#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8686
#define LARGE_STATE_COUNT 3404
#define SYMBOL_COUNT 632
#define ALIAS_COUNT 25
#define TOKEN_COUNT 272
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 209

enum ts_symbol_identifiers {
  aux_sym_preproc_include_token1 = 1,
  aux_sym_preproc_include_token2 = 2,
  aux_sym_preproc_def_token1 = 3,
  aux_sym_preproc_def_token2 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  sym_preproc_comment = 22,
  anon_sym_PLUS = 23,
  anon_sym_DASH = 24,
  anon_sym_STAR = 25,
  anon_sym_SLASH = 26,
  anon_sym_PERCENT = 27,
  anon_sym_PIPE_PIPE = 28,
  anon_sym_AMP_AMP = 29,
  anon_sym_PIPE = 30,
  anon_sym_CARET = 31,
  anon_sym_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_GT_EQ = 36,
  anon_sym_LT_EQ = 37,
  anon_sym_LT = 38,
  anon_sym_LT_LT = 39,
  anon_sym_GT_GT = 40,
  sym_system_lib_string = 41,
  aux_sym_program_statement_token1 = 42,
  aux_sym_end_program_statement_token1 = 43,
  aux_sym_end_program_statement_token2 = 44,
  aux_sym_module_statement_token1 = 45,
  aux_sym_end_module_statement_token1 = 46,
  aux_sym_submodule_statement_token1 = 47,
  anon_sym_COLON = 48,
  aux_sym_end_submodule_statement_token1 = 49,
  aux_sym_interface_statement_token1 = 50,
  aux_sym_end_interface_statement_token1 = 51,
  aux_sym_assignment_token1 = 52,
  anon_sym_EQ = 53,
  aux_sym_operator_token1 = 54,
  aux_sym_operator_token2 = 55,
  aux_sym_defined_io_procedure_token1 = 56,
  aux_sym_defined_io_procedure_token2 = 57,
  aux_sym_defined_io_procedure_token3 = 58,
  aux_sym_defined_io_procedure_token4 = 59,
  aux_sym_subroutine_statement_token1 = 60,
  aux_sym_end_subroutine_statement_token1 = 61,
  aux_sym_module_procedure_statement_token1 = 62,
  aux_sym_end_module_procedure_statement_token1 = 63,
  aux_sym_function_statement_token1 = 64,
  aux_sym_language_binding_token1 = 65,
  aux_sym_procedure_attributes_token1 = 66,
  aux_sym_procedure_attributes_token2 = 67,
  aux_sym_procedure_attributes_token3 = 68,
  aux_sym_procedure_attributes_token4 = 69,
  aux_sym_procedure_attributes_token5 = 70,
  aux_sym_end_function_statement_token1 = 71,
  aux_sym_function_result_token1 = 72,
  aux_sym_contains_statement_token1 = 73,
  aux_sym_use_statement_token1 = 74,
  aux_sym_use_statement_token2 = 75,
  aux_sym_use_statement_token3 = 76,
  anon_sym_COLON_COLON = 77,
  aux_sym_included_items_token1 = 78,
  anon_sym_EQ_GT = 79,
  aux_sym_implicit_statement_token1 = 80,
  aux_sym_implicit_statement_token2 = 81,
  aux_sym_implicit_statement_token3 = 82,
  aux_sym_implicit_statement_token4 = 83,
  aux_sym_save_statement_token1 = 84,
  aux_sym_private_statement_token1 = 85,
  aux_sym_public_statement_token1 = 86,
  aux_sym_namelist_statement_token1 = 87,
  aux_sym_common_statement_token1 = 88,
  aux_sym_implicit_range_token1 = 89,
  aux_sym_import_statement_token1 = 90,
  aux_sym__import_names_token1 = 91,
  aux_sym_derived_type_definition_token1 = 92,
  aux_sym_abstract_specifier_token1 = 93,
  aux_sym_base_type_specifier_token1 = 94,
  aux_sym_end_type_statement_token1 = 95,
  aux_sym_procedure_kind_token1 = 96,
  aux_sym_procedure_kind_token2 = 97,
  aux_sym_procedure_kind_token3 = 98,
  aux_sym_procedure_kind_token4 = 99,
  aux_sym_procedure_attribute_token1 = 100,
  aux_sym_procedure_attribute_token2 = 101,
  aux_sym_procedure_attribute_token3 = 102,
  aux_sym_procedure_attribute_token4 = 103,
  aux_sym_procedure_attribute_token5 = 104,
  aux_sym_procedure_attribute_token6 = 105,
  aux_sym_variable_attributes_token1 = 106,
  aux_sym_variable_attributes_token2 = 107,
  aux_sym_variable_attributes_token3 = 108,
  aux_sym_variable_attributes_token4 = 109,
  aux_sym_variable_attributes_token5 = 110,
  aux_sym__intrinsic_type_token1 = 111,
  aux_sym__intrinsic_type_token2 = 112,
  aux_sym__intrinsic_type_token3 = 113,
  aux_sym__intrinsic_type_token4 = 114,
  aux_sym__intrinsic_type_token5 = 115,
  aux_sym__intrinsic_type_token6 = 116,
  aux_sym__intrinsic_type_token7 = 117,
  aux_sym__intrinsic_type_token8 = 118,
  aux_sym__intrinsic_type_token9 = 119,
  aux_sym__intrinsic_type_token10 = 120,
  aux_sym_derived_type_token1 = 121,
  aux_sym_declared_type_token1 = 122,
  aux_sym_declared_type_token2 = 123,
  aux_sym_kind_token1 = 124,
  aux_sym__standalone_type_qualifier_token1 = 125,
  aux_sym__standalone_type_qualifier_token2 = 126,
  aux_sym__standalone_type_qualifier_token3 = 127,
  aux_sym__standalone_type_qualifier_token4 = 128,
  aux_sym__standalone_type_qualifier_token5 = 129,
  aux_sym__standalone_type_qualifier_token6 = 130,
  aux_sym__standalone_type_qualifier_token7 = 131,
  aux_sym__standalone_type_qualifier_token8 = 132,
  aux_sym__standalone_type_qualifier_token9 = 133,
  aux_sym__standalone_type_qualifier_token10 = 134,
  aux_sym__standalone_type_qualifier_token11 = 135,
  aux_sym__standalone_type_qualifier_token12 = 136,
  aux_sym__standalone_type_qualifier_token13 = 137,
  aux_sym__standalone_type_qualifier_token14 = 138,
  aux_sym__standalone_type_qualifier_token15 = 139,
  aux_sym__standalone_type_qualifier_token16 = 140,
  aux_sym__standalone_type_qualifier_token17 = 141,
  aux_sym_type_qualifier_token1 = 142,
  aux_sym_type_qualifier_token2 = 143,
  aux_sym_procedure_qualifier_token1 = 144,
  aux_sym_procedure_qualifier_token2 = 145,
  aux_sym_procedure_qualifier_token3 = 146,
  aux_sym_procedure_qualifier_token4 = 147,
  aux_sym_procedure_qualifier_token5 = 148,
  aux_sym_equivalence_statement_token1 = 149,
  anon_sym_SEMI = 150,
  aux_sym_stop_statement_token1 = 151,
  aux_sym_stop_statement_token2 = 152,
  aux_sym_stop_statement_token3 = 153,
  aux_sym_subroutine_call_token1 = 154,
  anon_sym_LT_LT_LT = 155,
  anon_sym_GT_GT_GT = 156,
  aux_sym_keyword_statement_token1 = 157,
  aux_sym_keyword_statement_token2 = 158,
  aux_sym_keyword_statement_token3 = 159,
  aux_sym_keyword_statement_token4 = 160,
  aux_sym_keyword_statement_token5 = 161,
  aux_sym_keyword_statement_token6 = 162,
  aux_sym_keyword_statement_token7 = 163,
  aux_sym_include_statement_token1 = 164,
  aux_sym_data_statement_token1 = 165,
  aux_sym_do_loop_statement_token1 = 166,
  aux_sym_end_do_loop_statement_token1 = 167,
  aux_sym_while_statement_token1 = 168,
  aux_sym_concurrent_header_token1 = 169,
  aux_sym_concurrent_locality_token1 = 170,
  aux_sym_concurrent_locality_token2 = 171,
  aux_sym_concurrent_locality_token3 = 172,
  aux_sym_concurrent_locality_token4 = 173,
  aux_sym_binary_op_token1 = 174,
  aux_sym__inline_if_statement_token1 = 175,
  aux_sym__block_if_statement_token1 = 176,
  aux_sym_end_if_statement_token1 = 177,
  aux_sym_elseif_clause_token1 = 178,
  aux_sym_elseif_clause_token2 = 179,
  aux_sym__inline_where_statement_token1 = 180,
  aux_sym_end_where_statement_token1 = 181,
  aux_sym_elsewhere_clause_token1 = 182,
  aux_sym__forall_control_expression_token1 = 183,
  aux_sym_end_forall_statement_token1 = 184,
  aux_sym_select_case_statement_token1 = 185,
  aux_sym_select_case_statement_token2 = 186,
  aux_sym_select_case_statement_token3 = 187,
  aux_sym_select_type_statement_token1 = 188,
  aux_sym_select_rank_statement_token1 = 189,
  aux_sym_end_select_statement_token1 = 190,
  aux_sym_type_statement_token1 = 191,
  aux_sym_type_statement_token2 = 192,
  aux_sym_type_statement_token3 = 193,
  aux_sym__class_default_token1 = 194,
  aux_sym_block_construct_token1 = 195,
  aux_sym_end_block_construct_statement_token1 = 196,
  aux_sym_associate_statement_token1 = 197,
  aux_sym_end_associate_statement_token1 = 198,
  aux_sym_format_statement_token1 = 199,
  sym_edit_descriptor = 200,
  aux_sym_hollerith_constant_token1 = 201,
  aux_sym_print_statement_token1 = 202,
  aux_sym_open_statement_token1 = 203,
  aux_sym_close_statement_token1 = 204,
  aux_sym_inquire_statement_token1 = 205,
  aux_sym_enum_statement_token1 = 206,
  aux_sym_enumeration_type_statement_token1 = 207,
  aux_sym_enumerator_statement_token1 = 208,
  aux_sym_end_enum_statement_token1 = 209,
  aux_sym_file_position_statement_token1 = 210,
  aux_sym_file_position_statement_token2 = 211,
  aux_sym_file_position_statement_token3 = 212,
  aux_sym_file_position_statement_token4 = 213,
  aux_sym_allocate_statement_token1 = 214,
  aux_sym_entry_statement_token1 = 215,
  aux_sym_logical_expression_token1 = 216,
  aux_sym_logical_expression_token2 = 217,
  aux_sym_logical_expression_token3 = 218,
  aux_sym_logical_expression_token4 = 219,
  aux_sym_logical_expression_token5 = 220,
  aux_sym_relational_expression_token1 = 221,
  aux_sym_relational_expression_token2 = 222,
  aux_sym_relational_expression_token3 = 223,
  aux_sym_relational_expression_token4 = 224,
  aux_sym_relational_expression_token5 = 225,
  anon_sym_SLASH_EQ = 226,
  aux_sym_relational_expression_token6 = 227,
  anon_sym_SLASH_SLASH = 228,
  anon_sym_STAR_STAR = 229,
  anon_sym_DOT = 230,
  aux_sym_user_defined_operator_token1 = 231,
  anon_sym_AT = 232,
  sym_assumed_rank = 233,
  anon_sym_LPAREN_SLASH = 234,
  anon_sym_SLASH_RPAREN = 235,
  anon_sym_LBRACK = 236,
  anon_sym_RBRACK = 237,
  aux_sym_boolean_literal_token1 = 238,
  aux_sym_boolean_literal_token2 = 239,
  anon_sym__ = 240,
  aux_sym__kind_token1 = 241,
  aux_sym__kind_token2 = 242,
  aux_sym_null_literal_token1 = 243,
  aux_sym_coarray_statement_token1 = 244,
  aux_sym_coarray_statement_token2 = 245,
  aux_sym_coarray_statement_token3 = 246,
  aux_sym_coarray_statement_token4 = 247,
  aux_sym_coarray_statement_token5 = 248,
  aux_sym_coarray_statement_token6 = 249,
  aux_sym_coarray_statement_token7 = 250,
  aux_sym_coarray_statement_token8 = 251,
  aux_sym_coarray_statement_token9 = 252,
  aux_sym_coarray_statement_token10 = 253,
  aux_sym_coarray_statement_token11 = 254,
  aux_sym_coarray_statement_token12 = 255,
  aux_sym_coarray_statement_token13 = 256,
  aux_sym_coarray_team_statement_token1 = 257,
  aux_sym_end_coarray_team_statement_token1 = 258,
  aux_sym_coarray_critical_statement_token1 = 259,
  aux_sym_end_coarray_critical_statement_token1 = 260,
  anon_sym_QMARK = 261,
  aux_sym_nil_literal_token1 = 262,
  aux_sym_identifier_token1 = 263,
  sym_comment = 264,
  sym__integer_literal = 265,
  sym__float_literal = 266,
  sym__boz_literal = 267,
  sym__string_literal = 268,
  sym__string_literal_kind = 269,
  sym__external_end_of_statement = 270,
  sym__preproc_unary_operator = 271,
  sym_translation_unit = 272,
  sym_preproc_include = 273,
  sym_preproc_def = 274,
  sym_preproc_function_def = 275,
  sym_preproc_params = 276,
  sym_preproc_call = 277,
  sym_preproc_if = 278,
  sym_preproc_ifdef = 279,
  sym_preproc_else = 280,
  sym_preproc_elif = 281,
  sym_preproc_elifdef = 282,
  sym_preproc_if_in_module = 283,
  sym_preproc_ifdef_in_module = 284,
  sym_preproc_else_in_module = 285,
  sym_preproc_elif_in_module = 286,
  sym_preproc_elifdef_in_module = 287,
  sym_preproc_if_in_specification_part = 288,
  sym_preproc_ifdef_in_specification_part = 289,
  sym_preproc_else_in_specification_part = 290,
  sym_preproc_elif_in_specification_part = 291,
  sym_preproc_elifdef_in_specification_part = 292,
  sym_preproc_if_in_statements = 293,
  sym_preproc_ifdef_in_statements = 294,
  sym_preproc_else_in_statements = 295,
  sym_preproc_elif_in_statements = 296,
  sym_preproc_elifdef_in_statements = 297,
  sym_preproc_if_in_procedure_statements = 298,
  sym_preproc_ifdef_in_procedure_statements = 299,
  sym_preproc_else_in_procedure_statements = 300,
  sym_preproc_elif_in_procedure_statements = 301,
  sym_preproc_elifdef_in_procedure_statements = 302,
  sym_preproc_if_in_internal_procedures = 303,
  sym_preproc_ifdef_in_internal_procedures = 304,
  sym_preproc_else_in_internal_procedures = 305,
  sym_preproc_elif_in_internal_procedures = 306,
  sym_preproc_elifdef_in_internal_procedures = 307,
  sym_preproc_if_in_interface = 308,
  sym_preproc_ifdef_in_interface = 309,
  sym_preproc_else_in_interface = 310,
  sym_preproc_elif_in_interface = 311,
  sym_preproc_elifdef_in_interface = 312,
  sym_preproc_if_in_derived_type = 313,
  sym_preproc_ifdef_in_derived_type = 314,
  sym_preproc_else_in_derived_type = 315,
  sym_preproc_elif_in_derived_type = 316,
  sym_preproc_elifdef_in_derived_type = 317,
  sym_preproc_if_in_bound_procedures = 318,
  sym_preproc_ifdef_in_bound_procedures = 319,
  sym_preproc_else_in_bound_procedures = 320,
  sym_preproc_elif_in_bound_procedures = 321,
  sym_preproc_elifdef_in_bound_procedures = 322,
  sym_preproc_if_in_select_case = 323,
  sym_preproc_ifdef_in_select_case = 324,
  sym_preproc_else_in_select_case = 325,
  sym_preproc_elif_in_select_case = 326,
  sym_preproc_elifdef_in_select_case = 327,
  sym_preproc_if_in_select_type = 328,
  sym_preproc_ifdef_in_select_type = 329,
  sym_preproc_else_in_select_type = 330,
  sym_preproc_elif_in_select_type = 331,
  sym_preproc_elifdef_in_select_type = 332,
  sym_preproc_if_in_select_rank = 333,
  sym_preproc_ifdef_in_select_rank = 334,
  sym_preproc_else_in_select_rank = 335,
  sym_preproc_elif_in_select_rank = 336,
  sym_preproc_elifdef_in_select_rank = 337,
  sym__preproc_expression = 338,
  sym_preproc_parenthesized_expression = 339,
  sym_preproc_defined = 340,
  sym_preproc_unary_expression = 341,
  sym_preproc_call_expression = 342,
  sym_preproc_argument_list = 343,
  sym_preproc_binary_expression = 344,
  sym_program = 345,
  sym_program_statement = 346,
  sym_end_program_statement = 347,
  sym_module = 348,
  sym_module_statement = 349,
  sym_end_module_statement = 350,
  sym_submodule = 351,
  sym_submodule_statement = 352,
  sym_end_submodule_statement = 353,
  sym_module_name = 354,
  sym_interface = 355,
  sym__interface_items = 356,
  sym_interface_statement = 357,
  sym_end_interface_statement = 358,
  sym_assignment = 359,
  sym_operator = 360,
  sym_defined_io_procedure = 361,
  sym__generic_procedure = 362,
  sym_subroutine = 363,
  sym_subroutine_statement = 364,
  sym_end_subroutine_statement = 365,
  sym_module_procedure = 366,
  sym_module_procedure_statement = 367,
  sym_end_module_procedure_statement = 368,
  sym_function = 369,
  sym_function_statement = 370,
  sym_language_binding = 371,
  aux_sym__callable_interface_qualifers = 372,
  sym_procedure_attributes = 373,
  sym_end_function_statement = 374,
  sym_function_result = 375,
  sym__name = 376,
  sym__parameters = 377,
  sym_parameters = 378,
  sym_internal_procedures = 379,
  sym_contains_statement = 380,
  sym__internal_procedures = 381,
  sym__specification_part = 382,
  sym_use_statement = 383,
  sym_included_items = 384,
  sym_use_alias = 385,
  sym_implicit_statement = 386,
  sym_save_statement = 387,
  sym_private_statement = 388,
  sym_public_statement = 389,
  sym_namelist_statement = 390,
  sym_common_statement = 391,
  sym_variable_group = 392,
  sym_implicit_range = 393,
  sym_import_statement = 394,
  sym__import_names = 395,
  sym_derived_type_definition = 396,
  sym_abstract_specifier = 397,
  sym_access_specifier = 398,
  sym_base_type_specifier = 399,
  sym__derived_type_qualifier = 400,
  sym_derived_type_statement = 401,
  sym_end_type_statement = 402,
  sym__type_name = 403,
  sym_derived_type_procedures = 404,
  sym_procedure_statement = 405,
  sym_binding = 406,
  sym_binding_name = 407,
  sym_method_name = 408,
  sym_procedure_kind = 409,
  sym_procedure_attribute = 410,
  sym_variable_declaration = 411,
  sym_procedure_declaration = 412,
  sym_variable_modification = 413,
  sym_variable_attributes = 414,
  sym__variable_declarator = 415,
  sym_sized_declarator = 416,
  sym__declaration_assignment = 417,
  sym__declaration_pointer_association = 418,
  sym__declaration_targets = 419,
  sym__intrinsic_type = 420,
  sym_intrinsic_type = 421,
  sym_derived_type = 422,
  sym_declared_type = 423,
  sym_unlimited_polymorphic = 424,
  sym_kind = 425,
  sym_character_length = 426,
  sym__standalone_type_qualifier = 427,
  sym_type_qualifier = 428,
  sym_procedure_qualifier = 429,
  sym_parameter_statement = 430,
  sym_parameter_assignment = 431,
  sym_equivalence_statement = 432,
  sym_equivalence_set = 433,
  sym__statements = 434,
  sym_statement_label = 435,
  sym_statement_label_reference = 436,
  sym_stop_statement = 437,
  sym_assignment_statement = 438,
  sym_pointer_association_statement = 439,
  sym_subroutine_call = 440,
  sym_cuda_kernel_argument_list = 441,
  sym_keyword_statement = 442,
  sym_include_statement = 443,
  sym_data_statement = 444,
  sym_data_set = 445,
  sym_data_value = 446,
  sym_do_loop_statement = 447,
  sym_end_do_loop_statement = 448,
  sym_do_label_statement = 449,
  sym_end_do_label_statement = 450,
  sym_while_statement = 451,
  sym_concurrent_statement = 452,
  sym_concurrent_header = 453,
  sym_concurrent_control = 454,
  sym_concurrent_locality = 455,
  sym_binary_op = 456,
  sym_if_statement = 457,
  sym__inline_if_statement = 458,
  sym_arithmetic_if_statement = 459,
  sym__block_if_statement = 460,
  sym_end_if_statement = 461,
  sym_elseif_clause = 462,
  sym_else_clause = 463,
  sym_where_statement = 464,
  sym__inline_where_statement = 465,
  sym__block_where_statement = 466,
  sym_end_where_statement = 467,
  sym_elsewhere_clause = 468,
  sym_forall_statement = 469,
  sym_triplet_spec = 470,
  sym__forall_control_expression = 471,
  sym__inline_forall_statement = 472,
  sym__block_forall_statement = 473,
  sym_end_forall_statement = 474,
  sym_select_case_statement = 475,
  sym_select_type_statement = 476,
  sym_select_rank_statement = 477,
  sym_end_select_statement = 478,
  sym_selector = 479,
  sym_case_statement = 480,
  sym_type_statement = 481,
  sym__class_default = 482,
  sym_case_value_range_list = 483,
  sym_rank_statement = 484,
  sym_block_construct = 485,
  sym_end_block_construct_statement = 486,
  sym_associate_statement = 487,
  sym_association = 488,
  sym_end_associate_statement = 489,
  sym_format_statement = 490,
  sym__transfer_item = 491,
  sym__transfer_items = 492,
  sym_hollerith_constant = 493,
  sym__io_arguments = 494,
  sym_read_statement = 495,
  sym__simple_read_statement = 496,
  sym__parameterized_read_statement = 497,
  sym_print_statement = 498,
  sym_open_statement = 499,
  sym_close_statement = 500,
  sym_write_statement = 501,
  sym_inquire_statement = 502,
  sym_enum = 503,
  sym_enum_statement = 504,
  sym_enumeration_type = 505,
  sym_enumeration_type_statement = 506,
  sym_enumerator_statement = 507,
  sym_end_enum_statement = 508,
  sym_end_enumeration_type_statement = 509,
  sym_unit_identifier = 510,
  sym_format_identifier = 511,
  sym__file_position_spec = 512,
  sym_file_position_statement = 513,
  sym__io_expressions = 514,
  sym_input_item_list = 515,
  sym_output_item_list = 516,
  sym_allocate_statement = 517,
  sym_sized_allocation = 518,
  sym_coarray_allocation = 519,
  sym_statement_function = 520,
  sym__statement_function_arg_list = 521,
  sym_entry_statement = 522,
  sym__expression = 523,
  sym_parenthesized_expression = 524,
  sym_derived_type_member_expression = 525,
  sym_logical_expression = 526,
  sym_relational_expression = 527,
  sym_concatenation_expression = 528,
  sym_math_expression = 529,
  sym_unary_expression = 530,
  sym_user_defined_operator = 531,
  sym_call_expression = 532,
  sym_implied_do_loop_expression = 533,
  sym__argument_list = 534,
  sym_argument_list = 535,
  sym_keyword_argument = 536,
  sym__extent_specifier = 537,
  sym_extent_specifier = 538,
  sym_multiple_subscript = 539,
  sym_multiple_subscript_triplet = 540,
  sym_assumed_size = 541,
  sym_assumed_shape = 542,
  sym_block_label_start_expression = 543,
  sym__block_label = 544,
  sym_loop_control_expression = 545,
  sym_array_literal = 546,
  sym__array_constructor_legacy = 547,
  sym__array_constructor_f2003 = 548,
  sym__type_spec = 549,
  sym__ac_value_list = 550,
  sym_complex_literal = 551,
  sym_number_literal = 552,
  sym_boolean_literal = 553,
  sym__kind = 554,
  sym_null_literal = 555,
  sym_string_literal = 556,
  sym_coarray_index = 557,
  sym__coarray_extent_specifier = 558,
  sym_coarray_declarator = 559,
  sym_coarray_expression = 560,
  sym_coarray_statement = 561,
  sym_coarray_team_statement = 562,
  sym_end_coarray_team_statement = 563,
  sym_coarray_critical_statement = 564,
  sym_end_coarray_critical_statement = 565,
  sym_conditional_expression = 566,
  sym_nil_literal = 567,
  sym_identifier = 568,
  sym__end_of_statement = 569,
  aux_sym_translation_unit_repeat1 = 570,
  aux_sym_preproc_params_repeat1 = 571,
  aux_sym_preproc_if_in_module_repeat1 = 572,
  aux_sym_preproc_if_in_specification_part_repeat1 = 573,
  aux_sym_preproc_if_in_internal_procedures_repeat1 = 574,
  aux_sym_preproc_if_in_interface_repeat1 = 575,
  aux_sym_preproc_if_in_derived_type_repeat1 = 576,
  aux_sym_preproc_if_in_bound_procedures_repeat1 = 577,
  aux_sym_preproc_argument_list_repeat1 = 578,
  aux_sym_program_repeat1 = 579,
  aux_sym_module_repeat1 = 580,
  aux_sym_interface_repeat1 = 581,
  aux_sym_subroutine_repeat1 = 582,
  aux_sym_function_statement_repeat1 = 583,
  aux_sym_procedure_attributes_repeat1 = 584,
  aux_sym_parameters_repeat1 = 585,
  aux_sym_use_statement_repeat1 = 586,
  aux_sym_included_items_repeat1 = 587,
  aux_sym_implicit_statement_repeat1 = 588,
  aux_sym_implicit_statement_repeat2 = 589,
  aux_sym_implicit_statement_repeat3 = 590,
  aux_sym_save_statement_repeat1 = 591,
  aux_sym_private_statement_repeat1 = 592,
  aux_sym_namelist_statement_repeat1 = 593,
  aux_sym_common_statement_repeat1 = 594,
  aux_sym_common_statement_repeat2 = 595,
  aux_sym_derived_type_definition_repeat1 = 596,
  aux_sym_derived_type_statement_repeat1 = 597,
  aux_sym_derived_type_procedures_repeat1 = 598,
  aux_sym_procedure_statement_repeat1 = 599,
  aux_sym_procedure_statement_repeat2 = 600,
  aux_sym_variable_declaration_repeat1 = 601,
  aux_sym_variable_modification_repeat1 = 602,
  aux_sym_variable_modification_repeat2 = 603,
  aux_sym__declaration_targets_repeat1 = 604,
  aux_sym_parameter_statement_repeat1 = 605,
  aux_sym_equivalence_statement_repeat1 = 606,
  aux_sym_equivalence_set_repeat1 = 607,
  aux_sym_cuda_kernel_argument_list_repeat1 = 608,
  aux_sym_keyword_statement_repeat1 = 609,
  aux_sym_data_statement_repeat1 = 610,
  aux_sym_data_set_repeat1 = 611,
  aux_sym_data_value_repeat1 = 612,
  aux_sym_concurrent_statement_repeat1 = 613,
  aux_sym_concurrent_header_repeat1 = 614,
  aux_sym__block_if_statement_repeat1 = 615,
  aux_sym__block_where_statement_repeat1 = 616,
  aux_sym__forall_control_expression_repeat1 = 617,
  aux_sym_select_case_statement_repeat1 = 618,
  aux_sym_select_type_statement_repeat1 = 619,
  aux_sym_select_rank_statement_repeat1 = 620,
  aux_sym_case_value_range_list_repeat1 = 621,
  aux_sym_associate_statement_repeat1 = 622,
  aux_sym__transfer_items_repeat1 = 623,
  aux_sym__io_arguments_repeat1 = 624,
  aux_sym_enum_repeat1 = 625,
  aux_sym_enumerator_statement_repeat1 = 626,
  aux_sym_allocate_statement_repeat1 = 627,
  aux_sym_call_expression_repeat1 = 628,
  aux_sym__argument_list_repeat1 = 629,
  aux_sym_coarray_index_repeat1 = 630,
  aux_sym_coarray_index_repeat2 = 631,
  alias_sym_block_label = 632,
  anon_alias_sym_class = 633,
  alias_sym_coarray_size = 634,
  alias_sym_concurrent_mask = 635,
  anon_alias_sym_default = 636,
  alias_sym_derived_type_parameter_list = 637,
  anon_alias_sym_double = 638,
  anon_alias_sym_else = 639,
  anon_alias_sym_end = 640,
  alias_sym_filename = 641,
  anon_alias_sym_label = 642,
  alias_sym_local_name = 643,
  anon_alias_sym_method_name = 644,
  alias_sym_name = 645,
  anon_alias_sym_none = 646,
  alias_sym_procedure_interface = 647,
  anon_alias_sym_program = 648,
  anon_alias_sym_select = 649,
  alias_sym_sequence_statement = 650,
  alias_sym_size = 651,
  anon_alias_sym_statement_label = 652,
  anon_alias_sym_statement_label_reference = 653,
  alias_sym_transfer_items = 654,
  alias_sym_type_member = 655,
  alias_sym_type_name = 656,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [aux_sym_preproc_def_token2] = "preproc_def_token2",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [sym_preproc_comment] = "preproc_comment",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym_system_lib_string] = "system_lib_string",
  [aux_sym_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token1] = "endprogram",
  [aux_sym_end_program_statement_token2] = "endprogram",
  [aux_sym_module_statement_token1] = "module",
  [aux_sym_end_module_statement_token1] = "endmodule",
  [aux_sym_submodule_statement_token1] = "submodule",
  [anon_sym_COLON] = ":",
  [aux_sym_end_submodule_statement_token1] = "endsubmodule",
  [aux_sym_interface_statement_token1] = "interface",
  [aux_sym_end_interface_statement_token1] = "endinterface",
  [aux_sym_assignment_token1] = "assignment",
  [anon_sym_EQ] = "=",
  [aux_sym_operator_token1] = "operator",
  [aux_sym_operator_token2] = "operator_token2",
  [aux_sym_defined_io_procedure_token1] = "read",
  [aux_sym_defined_io_procedure_token2] = "write",
  [aux_sym_defined_io_procedure_token3] = "formatted",
  [aux_sym_defined_io_procedure_token4] = "unformatted",
  [aux_sym_subroutine_statement_token1] = "subroutine",
  [aux_sym_end_subroutine_statement_token1] = "endsubroutine",
  [aux_sym_module_procedure_statement_token1] = "procedure",
  [aux_sym_end_module_procedure_statement_token1] = "endprocedure",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_language_binding_token1] = "bind",
  [aux_sym_procedure_attributes_token1] = "attributes",
  [aux_sym_procedure_attributes_token2] = "global",
  [aux_sym_procedure_attributes_token3] = "device",
  [aux_sym_procedure_attributes_token4] = "host",
  [aux_sym_procedure_attributes_token5] = "grid_global",
  [aux_sym_end_function_statement_token1] = "endfunction",
  [aux_sym_function_result_token1] = "result",
  [aux_sym_contains_statement_token1] = "contains",
  [aux_sym_use_statement_token1] = "use",
  [aux_sym_use_statement_token2] = "intrinsic",
  [aux_sym_use_statement_token3] = "non_intrinsic",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_included_items_token1] = "only",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_implicit_statement_token1] = "implicit",
  [aux_sym_implicit_statement_token2] = "none",
  [aux_sym_implicit_statement_token3] = "type",
  [aux_sym_implicit_statement_token4] = "external",
  [aux_sym_save_statement_token1] = "save",
  [aux_sym_private_statement_token1] = "private",
  [aux_sym_public_statement_token1] = "public",
  [aux_sym_namelist_statement_token1] = "namelist",
  [aux_sym_common_statement_token1] = "common",
  [aux_sym_implicit_range_token1] = "implicit_range_token1",
  [aux_sym_import_statement_token1] = "import",
  [aux_sym__import_names_token1] = "all",
  [aux_sym_derived_type_definition_token1] = "sequence",
  [aux_sym_abstract_specifier_token1] = "abstract",
  [aux_sym_base_type_specifier_token1] = "extends",
  [aux_sym_end_type_statement_token1] = "endtype",
  [aux_sym_procedure_kind_token1] = "generic",
  [aux_sym_procedure_kind_token2] = "initial",
  [aux_sym_procedure_kind_token3] = "property",
  [aux_sym_procedure_kind_token4] = "final",
  [aux_sym_procedure_attribute_token1] = "deferred",
  [aux_sym_procedure_attribute_token2] = "pass",
  [aux_sym_procedure_attribute_token3] = "nopass",
  [aux_sym_procedure_attribute_token4] = "non_overridable",
  [aux_sym_procedure_attribute_token5] = "family",
  [aux_sym_procedure_attribute_token6] = "pointer",
  [aux_sym_variable_attributes_token1] = "managed",
  [aux_sym_variable_attributes_token2] = "constant",
  [aux_sym_variable_attributes_token3] = "shared",
  [aux_sym_variable_attributes_token4] = "pinned",
  [aux_sym_variable_attributes_token5] = "texture",
  [aux_sym__intrinsic_type_token1] = "byte",
  [aux_sym__intrinsic_type_token2] = "integer",
  [aux_sym__intrinsic_type_token3] = "real",
  [aux_sym__intrinsic_type_token4] = "doubleprecision",
  [aux_sym__intrinsic_type_token5] = "doubleprecision",
  [aux_sym__intrinsic_type_token6] = "doubleprecision",
  [aux_sym__intrinsic_type_token7] = "complex",
  [aux_sym__intrinsic_type_token8] = "doublecomplex",
  [aux_sym__intrinsic_type_token9] = "logical",
  [aux_sym__intrinsic_type_token10] = "character",
  [aux_sym_derived_type_token1] = "derived_type_token1",
  [aux_sym_declared_type_token1] = "typeof",
  [aux_sym_declared_type_token2] = "classof",
  [aux_sym_kind_token1] = "kind_token1",
  [aux_sym__standalone_type_qualifier_token1] = "allocatable",
  [aux_sym__standalone_type_qualifier_token2] = "automatic",
  [aux_sym__standalone_type_qualifier_token3] = "codimension",
  [aux_sym__standalone_type_qualifier_token4] = "dimension",
  [aux_sym__standalone_type_qualifier_token5] = "contiguous",
  [aux_sym__standalone_type_qualifier_token6] = "intent",
  [aux_sym__standalone_type_qualifier_token7] = "in",
  [aux_sym__standalone_type_qualifier_token8] = "out",
  [aux_sym__standalone_type_qualifier_token9] = "inout",
  [aux_sym__standalone_type_qualifier_token10] = "optional",
  [aux_sym__standalone_type_qualifier_token11] = "parameter",
  [aux_sym__standalone_type_qualifier_token12] = "protected",
  [aux_sym__standalone_type_qualifier_token13] = "rank",
  [aux_sym__standalone_type_qualifier_token14] = "static",
  [aux_sym__standalone_type_qualifier_token15] = "target",
  [aux_sym__standalone_type_qualifier_token16] = "value",
  [aux_sym__standalone_type_qualifier_token17] = "volatile",
  [aux_sym_type_qualifier_token1] = "kind",
  [aux_sym_type_qualifier_token2] = "len",
  [aux_sym_procedure_qualifier_token1] = "elemental",
  [aux_sym_procedure_qualifier_token2] = "impure",
  [aux_sym_procedure_qualifier_token3] = "pure",
  [aux_sym_procedure_qualifier_token4] = "recursive",
  [aux_sym_procedure_qualifier_token5] = "simple",
  [aux_sym_equivalence_statement_token1] = "equivalence",
  [anon_sym_SEMI] = ";",
  [aux_sym_stop_statement_token1] = "error",
  [aux_sym_stop_statement_token2] = "stop",
  [aux_sym_stop_statement_token3] = "quiet",
  [aux_sym_subroutine_call_token1] = "call",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_GT_GT_GT] = ">>>",
  [aux_sym_keyword_statement_token1] = "continue",
  [aux_sym_keyword_statement_token2] = "cycle",
  [aux_sym_keyword_statement_token3] = "exit",
  [aux_sym_keyword_statement_token4] = "goto",
  [aux_sym_keyword_statement_token5] = "goto",
  [aux_sym_keyword_statement_token6] = "goto",
  [aux_sym_keyword_statement_token7] = "return",
  [aux_sym_include_statement_token1] = "include",
  [aux_sym_data_statement_token1] = "data",
  [aux_sym_do_loop_statement_token1] = "do",
  [aux_sym_end_do_loop_statement_token1] = "enddo",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_concurrent_header_token1] = "concurrent",
  [aux_sym_concurrent_locality_token1] = "local",
  [aux_sym_concurrent_locality_token2] = "local_init",
  [aux_sym_concurrent_locality_token3] = "concurrent_locality_token3",
  [aux_sym_concurrent_locality_token4] = "reduce",
  [aux_sym_binary_op_token1] = "binary_op_token1",
  [aux_sym__inline_if_statement_token1] = "if",
  [aux_sym__block_if_statement_token1] = "then",
  [aux_sym_end_if_statement_token1] = "endif",
  [aux_sym_elseif_clause_token1] = "elsewhere",
  [aux_sym_elseif_clause_token2] = "elseif",
  [aux_sym__inline_where_statement_token1] = "where",
  [aux_sym_end_where_statement_token1] = "endwhere",
  [aux_sym_elsewhere_clause_token1] = "elsewhere",
  [aux_sym__forall_control_expression_token1] = "forall",
  [aux_sym_end_forall_statement_token1] = "endforall",
  [aux_sym_select_case_statement_token1] = "selectcase",
  [aux_sym_select_case_statement_token2] = "case",
  [aux_sym_select_case_statement_token3] = "selectcase",
  [aux_sym_select_type_statement_token1] = "selecttype",
  [aux_sym_select_rank_statement_token1] = "selectrank",
  [aux_sym_end_select_statement_token1] = "endselect",
  [aux_sym_type_statement_token1] = "typeis",
  [aux_sym_type_statement_token2] = "typeis",
  [aux_sym_type_statement_token3] = "classis",
  [aux_sym__class_default_token1] = "_class_default_token1",
  [aux_sym_block_construct_token1] = "block",
  [aux_sym_end_block_construct_statement_token1] = "endblock",
  [aux_sym_associate_statement_token1] = "associate",
  [aux_sym_end_associate_statement_token1] = "endassociate",
  [aux_sym_format_statement_token1] = "format",
  [sym_edit_descriptor] = "edit_descriptor",
  [aux_sym_hollerith_constant_token1] = "hollerith_constant_token1",
  [aux_sym_print_statement_token1] = "print",
  [aux_sym_open_statement_token1] = "open",
  [aux_sym_close_statement_token1] = "close",
  [aux_sym_inquire_statement_token1] = "inquire",
  [aux_sym_enum_statement_token1] = "enum",
  [aux_sym_enumeration_type_statement_token1] = "enumeration",
  [aux_sym_enumerator_statement_token1] = "enumerator",
  [aux_sym_end_enum_statement_token1] = "endenum",
  [aux_sym_file_position_statement_token1] = "backspace",
  [aux_sym_file_position_statement_token2] = "endfile",
  [aux_sym_file_position_statement_token3] = "rewind",
  [aux_sym_file_position_statement_token4] = "pause",
  [aux_sym_allocate_statement_token1] = "allocate",
  [aux_sym_entry_statement_token1] = "entry",
  [aux_sym_logical_expression_token1] = "\\.or\\.",
  [aux_sym_logical_expression_token2] = "\\.and\\.",
  [aux_sym_logical_expression_token3] = "\\.eqv\\.",
  [aux_sym_logical_expression_token4] = "\\.neqv\\.",
  [aux_sym_logical_expression_token5] = "\\.not\\.",
  [aux_sym_relational_expression_token1] = "\\.lt\\.",
  [aux_sym_relational_expression_token2] = "\\.gt\\.",
  [aux_sym_relational_expression_token3] = "\\.le\\.",
  [aux_sym_relational_expression_token4] = "\\.ge\\.",
  [aux_sym_relational_expression_token5] = "\\.eq\\.",
  [anon_sym_SLASH_EQ] = "/=",
  [aux_sym_relational_expression_token6] = "\\.ne\\.",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_DOT] = ".",
  [aux_sym_user_defined_operator_token1] = "user_defined_operator_token1",
  [anon_sym_AT] = "@",
  [sym_assumed_rank] = "assumed_rank",
  [anon_sym_LPAREN_SLASH] = "(/",
  [anon_sym_SLASH_RPAREN] = "/)",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [aux_sym_boolean_literal_token1] = "\\.true\\.",
  [aux_sym_boolean_literal_token2] = "\\.false\\.",
  [anon_sym__] = "_",
  [aux_sym__kind_token1] = "identifier",
  [aux_sym__kind_token2] = "number_literal",
  [aux_sym_null_literal_token1] = "null",
  [aux_sym_coarray_statement_token1] = "sync",
  [aux_sym_coarray_statement_token2] = "form",
  [aux_sym_coarray_statement_token3] = "images",
  [aux_sym_coarray_statement_token4] = "memory",
  [aux_sym_coarray_statement_token5] = "team",
  [aux_sym_coarray_statement_token6] = "fail",
  [aux_sym_coarray_statement_token7] = "image",
  [aux_sym_coarray_statement_token8] = "event",
  [aux_sym_coarray_statement_token9] = "post",
  [aux_sym_coarray_statement_token10] = "wait",
  [aux_sym_coarray_statement_token11] = "lock",
  [aux_sym_coarray_statement_token12] = "unlock",
  [aux_sym_coarray_statement_token13] = "notify",
  [aux_sym_coarray_team_statement_token1] = "change",
  [aux_sym_end_coarray_team_statement_token1] = "endteam",
  [aux_sym_coarray_critical_statement_token1] = "critical",
  [aux_sym_end_coarray_critical_statement_token1] = "endcritical",
  [anon_sym_QMARK] = "\?",
  [aux_sym_nil_literal_token1] = "\\.nil\\.",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym_comment] = "comment",
  [sym__integer_literal] = "_integer_literal",
  [sym__float_literal] = "_float_literal",
  [sym__boz_literal] = "_boz_literal",
  [sym__string_literal] = "_string_literal",
  [sym__string_literal_kind] = "identifier",
  [sym__external_end_of_statement] = "_external_end_of_statement",
  [sym__preproc_unary_operator] = "_preproc_unary_operator",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_module] = "preproc_if",
  [sym_preproc_ifdef_in_module] = "preproc_ifdef",
  [sym_preproc_else_in_module] = "preproc_else",
  [sym_preproc_elif_in_module] = "preproc_elif",
  [sym_preproc_elifdef_in_module] = "preproc_elifdef",
  [sym_preproc_if_in_specification_part] = "preproc_if",
  [sym_preproc_ifdef_in_specification_part] = "preproc_ifdef",
  [sym_preproc_else_in_specification_part] = "preproc_else",
  [sym_preproc_elif_in_specification_part] = "preproc_elif",
  [sym_preproc_elifdef_in_specification_part] = "preproc_elifdef",
  [sym_preproc_if_in_statements] = "preproc_if",
  [sym_preproc_ifdef_in_statements] = "preproc_ifdef",
  [sym_preproc_else_in_statements] = "preproc_else",
  [sym_preproc_elif_in_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_statements] = "preproc_elifdef",
  [sym_preproc_if_in_procedure_statements] = "preproc_if",
  [sym_preproc_ifdef_in_procedure_statements] = "preproc_ifdef",
  [sym_preproc_else_in_procedure_statements] = "preproc_else",
  [sym_preproc_elif_in_procedure_statements] = "preproc_elif",
  [sym_preproc_elifdef_in_procedure_statements] = "preproc_elifdef",
  [sym_preproc_if_in_internal_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_internal_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_internal_procedures] = "preproc_else",
  [sym_preproc_elif_in_internal_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_internal_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_interface] = "preproc_if",
  [sym_preproc_ifdef_in_interface] = "preproc_ifdef",
  [sym_preproc_else_in_interface] = "preproc_else",
  [sym_preproc_elif_in_interface] = "preproc_elif",
  [sym_preproc_elifdef_in_interface] = "preproc_elifdef",
  [sym_preproc_if_in_derived_type] = "preproc_if",
  [sym_preproc_ifdef_in_derived_type] = "preproc_ifdef",
  [sym_preproc_else_in_derived_type] = "preproc_else",
  [sym_preproc_elif_in_derived_type] = "preproc_elif",
  [sym_preproc_elifdef_in_derived_type] = "preproc_elifdef",
  [sym_preproc_if_in_bound_procedures] = "preproc_if",
  [sym_preproc_ifdef_in_bound_procedures] = "preproc_ifdef",
  [sym_preproc_else_in_bound_procedures] = "preproc_else",
  [sym_preproc_elif_in_bound_procedures] = "preproc_elif",
  [sym_preproc_elifdef_in_bound_procedures] = "preproc_elifdef",
  [sym_preproc_if_in_select_case] = "preproc_if",
  [sym_preproc_ifdef_in_select_case] = "preproc_ifdef",
  [sym_preproc_else_in_select_case] = "preproc_else",
  [sym_preproc_elif_in_select_case] = "preproc_elif",
  [sym_preproc_elifdef_in_select_case] = "preproc_elifdef",
  [sym_preproc_if_in_select_type] = "preproc_if",
  [sym_preproc_ifdef_in_select_type] = "preproc_ifdef",
  [sym_preproc_else_in_select_type] = "preproc_else",
  [sym_preproc_elif_in_select_type] = "preproc_elif",
  [sym_preproc_elifdef_in_select_type] = "preproc_elifdef",
  [sym_preproc_if_in_select_rank] = "preproc_if",
  [sym_preproc_ifdef_in_select_rank] = "preproc_ifdef",
  [sym_preproc_else_in_select_rank] = "preproc_else",
  [sym_preproc_elif_in_select_rank] = "preproc_elif",
  [sym_preproc_elifdef_in_select_rank] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_program] = "program",
  [sym_program_statement] = "program_statement",
  [sym_end_program_statement] = "end_program_statement",
  [sym_module] = "module",
  [sym_module_statement] = "module_statement",
  [sym_end_module_statement] = "end_module_statement",
  [sym_submodule] = "submodule",
  [sym_submodule_statement] = "submodule_statement",
  [sym_end_submodule_statement] = "end_submodule_statement",
  [sym_module_name] = "module_name",
  [sym_interface] = "interface",
  [sym__interface_items] = "_interface_items",
  [sym_interface_statement] = "interface_statement",
  [sym_end_interface_statement] = "end_interface_statement",
  [sym_assignment] = "assignment",
  [sym_operator] = "operator",
  [sym_defined_io_procedure] = "defined_io_procedure",
  [sym__generic_procedure] = "_generic_procedure",
  [sym_subroutine] = "subroutine",
  [sym_subroutine_statement] = "subroutine_statement",
  [sym_end_subroutine_statement] = "end_subroutine_statement",
  [sym_module_procedure] = "module_procedure",
  [sym_module_procedure_statement] = "module_procedure_statement",
  [sym_end_module_procedure_statement] = "end_module_procedure_statement",
  [sym_function] = "function",
  [sym_function_statement] = "function_statement",
  [sym_language_binding] = "language_binding",
  [aux_sym__callable_interface_qualifers] = "_callable_interface_qualifers",
  [sym_procedure_attributes] = "procedure_attributes",
  [sym_end_function_statement] = "end_function_statement",
  [sym_function_result] = "function_result",
  [sym__name] = "_name",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym_internal_procedures] = "internal_procedures",
  [sym_contains_statement] = "contains_statement",
  [sym__internal_procedures] = "_internal_procedures",
  [sym__specification_part] = "_specification_part",
  [sym_use_statement] = "use_statement",
  [sym_included_items] = "included_items",
  [sym_use_alias] = "use_alias",
  [sym_implicit_statement] = "implicit_statement",
  [sym_save_statement] = "save_statement",
  [sym_private_statement] = "private_statement",
  [sym_public_statement] = "public_statement",
  [sym_namelist_statement] = "namelist_statement",
  [sym_common_statement] = "common_statement",
  [sym_variable_group] = "variable_group",
  [sym_implicit_range] = "implicit_range",
  [sym_import_statement] = "import_statement",
  [sym__import_names] = "_import_names",
  [sym_derived_type_definition] = "derived_type_definition",
  [sym_abstract_specifier] = "abstract_specifier",
  [sym_access_specifier] = "access_specifier",
  [sym_base_type_specifier] = "base_type_specifier",
  [sym__derived_type_qualifier] = "_derived_type_qualifier",
  [sym_derived_type_statement] = "derived_type_statement",
  [sym_end_type_statement] = "end_type_statement",
  [sym__type_name] = "_type_name",
  [sym_derived_type_procedures] = "derived_type_procedures",
  [sym_procedure_statement] = "procedure_statement",
  [sym_binding] = "binding",
  [sym_binding_name] = "binding_name",
  [sym_method_name] = "method_name",
  [sym_procedure_kind] = "procedure_kind",
  [sym_procedure_attribute] = "procedure_attribute",
  [sym_variable_declaration] = "variable_declaration",
  [sym_procedure_declaration] = "procedure",
  [sym_variable_modification] = "variable_modification",
  [sym_variable_attributes] = "variable_attributes",
  [sym__variable_declarator] = "_variable_declarator",
  [sym_sized_declarator] = "sized_declarator",
  [sym__declaration_assignment] = "init_declarator",
  [sym__declaration_pointer_association] = "pointer_init_declarator",
  [sym__declaration_targets] = "_declaration_targets",
  [sym__intrinsic_type] = "_intrinsic_type",
  [sym_intrinsic_type] = "intrinsic_type",
  [sym_derived_type] = "derived_type",
  [sym_declared_type] = "declared_type",
  [sym_unlimited_polymorphic] = "unlimited_polymorphic",
  [sym_kind] = "kind",
  [sym_character_length] = "character_length",
  [sym__standalone_type_qualifier] = "_standalone_type_qualifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_procedure_qualifier] = "procedure_qualifier",
  [sym_parameter_statement] = "parameter_statement",
  [sym_parameter_assignment] = "parameter_assignment",
  [sym_equivalence_statement] = "equivalence_statement",
  [sym_equivalence_set] = "equivalence_set",
  [sym__statements] = "_statements",
  [sym_statement_label] = "statement_label",
  [sym_statement_label_reference] = "statement_label_reference",
  [sym_stop_statement] = "stop_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_pointer_association_statement] = "pointer_association_statement",
  [sym_subroutine_call] = "subroutine_call",
  [sym_cuda_kernel_argument_list] = "cuda_kernel_argument_list",
  [sym_keyword_statement] = "keyword_statement",
  [sym_include_statement] = "include_statement",
  [sym_data_statement] = "data_statement",
  [sym_data_set] = "data_set",
  [sym_data_value] = "data_value",
  [sym_do_loop_statement] = "do_loop_statement",
  [sym_end_do_loop_statement] = "end_do_loop_statement",
  [sym_do_label_statement] = "do_label_statement",
  [sym_end_do_label_statement] = "end_do_label_statement",
  [sym_while_statement] = "while_statement",
  [sym_concurrent_statement] = "concurrent_statement",
  [sym_concurrent_header] = "concurrent_header",
  [sym_concurrent_control] = "concurrent_control",
  [sym_concurrent_locality] = "concurrent_locality",
  [sym_binary_op] = "binary_op",
  [sym_if_statement] = "if_statement",
  [sym__inline_if_statement] = "_inline_if_statement",
  [sym_arithmetic_if_statement] = "arithmetic_if_statement",
  [sym__block_if_statement] = "_block_if_statement",
  [sym_end_if_statement] = "end_if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_where_statement] = "where_statement",
  [sym__inline_where_statement] = "_inline_where_statement",
  [sym__block_where_statement] = "_block_where_statement",
  [sym_end_where_statement] = "end_where_statement",
  [sym_elsewhere_clause] = "elsewhere_clause",
  [sym_forall_statement] = "forall_statement",
  [sym_triplet_spec] = "triplet_spec",
  [sym__forall_control_expression] = "_forall_control_expression",
  [sym__inline_forall_statement] = "_inline_forall_statement",
  [sym__block_forall_statement] = "_block_forall_statement",
  [sym_end_forall_statement] = "end_forall_statement",
  [sym_select_case_statement] = "select_case_statement",
  [sym_select_type_statement] = "select_type_statement",
  [sym_select_rank_statement] = "select_rank_statement",
  [sym_end_select_statement] = "end_select_statement",
  [sym_selector] = "selector",
  [sym_case_statement] = "case_statement",
  [sym_type_statement] = "type_statement",
  [sym__class_default] = "default",
  [sym_case_value_range_list] = "case_value_range_list",
  [sym_rank_statement] = "rank_statement",
  [sym_block_construct] = "block_construct",
  [sym_end_block_construct_statement] = "end_block_construct_statement",
  [sym_associate_statement] = "associate_statement",
  [sym_association] = "association",
  [sym_end_associate_statement] = "end_associate_statement",
  [sym_format_statement] = "format_statement",
  [sym__transfer_item] = "_transfer_item",
  [sym__transfer_items] = "_transfer_items",
  [sym_hollerith_constant] = "hollerith_constant",
  [sym__io_arguments] = "_io_arguments",
  [sym_read_statement] = "read_statement",
  [sym__simple_read_statement] = "_simple_read_statement",
  [sym__parameterized_read_statement] = "_parameterized_read_statement",
  [sym_print_statement] = "print_statement",
  [sym_open_statement] = "open_statement",
  [sym_close_statement] = "close_statement",
  [sym_write_statement] = "write_statement",
  [sym_inquire_statement] = "inquire_statement",
  [sym_enum] = "enum",
  [sym_enum_statement] = "enum_statement",
  [sym_enumeration_type] = "enumeration_type",
  [sym_enumeration_type_statement] = "enumeration_type_statement",
  [sym_enumerator_statement] = "enumerator_statement",
  [sym_end_enum_statement] = "end_enum_statement",
  [sym_end_enumeration_type_statement] = "end_enumeration_type_statement",
  [sym_unit_identifier] = "unit_identifier",
  [sym_format_identifier] = "format_identifier",
  [sym__file_position_spec] = "_file_position_spec",
  [sym_file_position_statement] = "file_position_statement",
  [sym__io_expressions] = "_io_expressions",
  [sym_input_item_list] = "input_item_list",
  [sym_output_item_list] = "output_item_list",
  [sym_allocate_statement] = "allocate_statement",
  [sym_sized_allocation] = "sized_allocation",
  [sym_coarray_allocation] = "coarray_allocation",
  [sym_statement_function] = "statement_function",
  [sym__statement_function_arg_list] = "argument_list",
  [sym_entry_statement] = "entry_statement",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_derived_type_member_expression] = "derived_type_member_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_math_expression] = "math_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_user_defined_operator] = "user_defined_operator",
  [sym_call_expression] = "call_expression",
  [sym_implied_do_loop_expression] = "implied_do_loop_expression",
  [sym__argument_list] = "_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_keyword_argument] = "keyword_argument",
  [sym__extent_specifier] = "_extent_specifier",
  [sym_extent_specifier] = "extent_specifier",
  [sym_multiple_subscript] = "multiple_subscript",
  [sym_multiple_subscript_triplet] = "multiple_subscript_triplet",
  [sym_assumed_size] = "assumed_size",
  [sym_assumed_shape] = "assumed_shape",
  [sym_block_label_start_expression] = "block_label_start_expression",
  [sym__block_label] = "_block_label",
  [sym_loop_control_expression] = "loop_control_expression",
  [sym_array_literal] = "array_literal",
  [sym__array_constructor_legacy] = "_array_constructor_legacy",
  [sym__array_constructor_f2003] = "_array_constructor_f2003",
  [sym__type_spec] = "_type_spec",
  [sym__ac_value_list] = "_ac_value_list",
  [sym_complex_literal] = "complex_literal",
  [sym_number_literal] = "number_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__kind] = "_kind",
  [sym_null_literal] = "null_literal",
  [sym_string_literal] = "string_literal",
  [sym_coarray_index] = "coarray_index",
  [sym__coarray_extent_specifier] = "extent_specifier",
  [sym_coarray_declarator] = "coarray_declarator",
  [sym_coarray_expression] = "coarray_expression",
  [sym_coarray_statement] = "coarray_statement",
  [sym_coarray_team_statement] = "coarray_team_statement",
  [sym_end_coarray_team_statement] = "end_coarray_team_statement",
  [sym_coarray_critical_statement] = "coarray_critical_statement",
  [sym_end_coarray_critical_statement] = "end_coarray_critical_statement",
  [sym_conditional_expression] = "conditional_expression",
  [sym_nil_literal] = "nil_literal",
  [sym_identifier] = "identifier",
  [sym__end_of_statement] = "_end_of_statement",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_in_module_repeat1] = "preproc_if_in_module_repeat1",
  [aux_sym_preproc_if_in_specification_part_repeat1] = "preproc_if_in_specification_part_repeat1",
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = "preproc_if_in_internal_procedures_repeat1",
  [aux_sym_preproc_if_in_interface_repeat1] = "preproc_if_in_interface_repeat1",
  [aux_sym_preproc_if_in_derived_type_repeat1] = "preproc_if_in_derived_type_repeat1",
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = "preproc_if_in_bound_procedures_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym_interface_repeat1] = "interface_repeat1",
  [aux_sym_subroutine_repeat1] = "subroutine_repeat1",
  [aux_sym_function_statement_repeat1] = "function_statement_repeat1",
  [aux_sym_procedure_attributes_repeat1] = "procedure_attributes_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_use_statement_repeat1] = "use_statement_repeat1",
  [aux_sym_included_items_repeat1] = "included_items_repeat1",
  [aux_sym_implicit_statement_repeat1] = "implicit_statement_repeat1",
  [aux_sym_implicit_statement_repeat2] = "implicit_statement_repeat2",
  [aux_sym_implicit_statement_repeat3] = "implicit_statement_repeat3",
  [aux_sym_save_statement_repeat1] = "save_statement_repeat1",
  [aux_sym_private_statement_repeat1] = "private_statement_repeat1",
  [aux_sym_namelist_statement_repeat1] = "namelist_statement_repeat1",
  [aux_sym_common_statement_repeat1] = "common_statement_repeat1",
  [aux_sym_common_statement_repeat2] = "common_statement_repeat2",
  [aux_sym_derived_type_definition_repeat1] = "derived_type_definition_repeat1",
  [aux_sym_derived_type_statement_repeat1] = "derived_type_statement_repeat1",
  [aux_sym_derived_type_procedures_repeat1] = "derived_type_procedures_repeat1",
  [aux_sym_procedure_statement_repeat1] = "procedure_statement_repeat1",
  [aux_sym_procedure_statement_repeat2] = "procedure_statement_repeat2",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_variable_modification_repeat1] = "variable_modification_repeat1",
  [aux_sym_variable_modification_repeat2] = "variable_modification_repeat2",
  [aux_sym__declaration_targets_repeat1] = "_declaration_targets_repeat1",
  [aux_sym_parameter_statement_repeat1] = "parameter_statement_repeat1",
  [aux_sym_equivalence_statement_repeat1] = "equivalence_statement_repeat1",
  [aux_sym_equivalence_set_repeat1] = "equivalence_set_repeat1",
  [aux_sym_cuda_kernel_argument_list_repeat1] = "cuda_kernel_argument_list_repeat1",
  [aux_sym_keyword_statement_repeat1] = "keyword_statement_repeat1",
  [aux_sym_data_statement_repeat1] = "data_statement_repeat1",
  [aux_sym_data_set_repeat1] = "data_set_repeat1",
  [aux_sym_data_value_repeat1] = "data_value_repeat1",
  [aux_sym_concurrent_statement_repeat1] = "concurrent_statement_repeat1",
  [aux_sym_concurrent_header_repeat1] = "concurrent_header_repeat1",
  [aux_sym__block_if_statement_repeat1] = "_block_if_statement_repeat1",
  [aux_sym__block_where_statement_repeat1] = "_block_where_statement_repeat1",
  [aux_sym__forall_control_expression_repeat1] = "_forall_control_expression_repeat1",
  [aux_sym_select_case_statement_repeat1] = "select_case_statement_repeat1",
  [aux_sym_select_type_statement_repeat1] = "select_type_statement_repeat1",
  [aux_sym_select_rank_statement_repeat1] = "select_rank_statement_repeat1",
  [aux_sym_case_value_range_list_repeat1] = "case_value_range_list_repeat1",
  [aux_sym_associate_statement_repeat1] = "associate_statement_repeat1",
  [aux_sym__transfer_items_repeat1] = "_transfer_items_repeat1",
  [aux_sym__io_arguments_repeat1] = "_io_arguments_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_enumerator_statement_repeat1] = "enumerator_statement_repeat1",
  [aux_sym_allocate_statement_repeat1] = "allocate_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [aux_sym_coarray_index_repeat1] = "coarray_index_repeat1",
  [aux_sym_coarray_index_repeat2] = "coarray_index_repeat2",
  [alias_sym_block_label] = "block_label",
  [anon_alias_sym_class] = "class",
  [alias_sym_coarray_size] = "coarray_size",
  [alias_sym_concurrent_mask] = "concurrent_mask",
  [anon_alias_sym_default] = "default",
  [alias_sym_derived_type_parameter_list] = "derived_type_parameter_list",
  [anon_alias_sym_double] = "double",
  [anon_alias_sym_else] = "else",
  [anon_alias_sym_end] = "end",
  [alias_sym_filename] = "filename",
  [anon_alias_sym_label] = "label",
  [alias_sym_local_name] = "local_name",
  [anon_alias_sym_method_name] = "method_name",
  [alias_sym_name] = "name",
  [anon_alias_sym_none] = "none",
  [alias_sym_procedure_interface] = "procedure_interface",
  [anon_alias_sym_program] = "program",
  [anon_alias_sym_select] = "select",
  [alias_sym_sequence_statement] = "sequence_statement",
  [alias_sym_size] = "size",
  [anon_alias_sym_statement_label] = "statement_label",
  [anon_alias_sym_statement_label_reference] = "statement_label_reference",
  [alias_sym_transfer_items] = "transfer_items",
  [alias_sym_type_member] = "type_member",
  [alias_sym_type_name] = "type_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [aux_sym_preproc_def_token2] = aux_sym_preproc_def_token2,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [sym_preproc_comment] = sym_preproc_comment,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_system_lib_string] = sym_system_lib_string,
  [aux_sym_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token1] = aux_sym_program_statement_token1,
  [aux_sym_end_program_statement_token2] = aux_sym_program_statement_token1,
  [aux_sym_module_statement_token1] = aux_sym_module_statement_token1,
  [aux_sym_end_module_statement_token1] = aux_sym_end_module_statement_token1,
  [aux_sym_submodule_statement_token1] = aux_sym_submodule_statement_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_end_submodule_statement_token1] = aux_sym_end_submodule_statement_token1,
  [aux_sym_interface_statement_token1] = aux_sym_interface_statement_token1,
  [aux_sym_end_interface_statement_token1] = aux_sym_end_interface_statement_token1,
  [aux_sym_assignment_token1] = aux_sym_assignment_token1,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_operator_token1] = aux_sym_operator_token1,
  [aux_sym_operator_token2] = aux_sym_operator_token2,
  [aux_sym_defined_io_procedure_token1] = aux_sym_defined_io_procedure_token1,
  [aux_sym_defined_io_procedure_token2] = aux_sym_defined_io_procedure_token2,
  [aux_sym_defined_io_procedure_token3] = aux_sym_defined_io_procedure_token3,
  [aux_sym_defined_io_procedure_token4] = aux_sym_defined_io_procedure_token4,
  [aux_sym_subroutine_statement_token1] = aux_sym_subroutine_statement_token1,
  [aux_sym_end_subroutine_statement_token1] = aux_sym_end_subroutine_statement_token1,
  [aux_sym_module_procedure_statement_token1] = aux_sym_module_procedure_statement_token1,
  [aux_sym_end_module_procedure_statement_token1] = aux_sym_end_module_procedure_statement_token1,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_language_binding_token1] = aux_sym_language_binding_token1,
  [aux_sym_procedure_attributes_token1] = aux_sym_procedure_attributes_token1,
  [aux_sym_procedure_attributes_token2] = aux_sym_procedure_attributes_token2,
  [aux_sym_procedure_attributes_token3] = aux_sym_procedure_attributes_token3,
  [aux_sym_procedure_attributes_token4] = aux_sym_procedure_attributes_token4,
  [aux_sym_procedure_attributes_token5] = aux_sym_procedure_attributes_token5,
  [aux_sym_end_function_statement_token1] = aux_sym_end_function_statement_token1,
  [aux_sym_function_result_token1] = aux_sym_function_result_token1,
  [aux_sym_contains_statement_token1] = aux_sym_contains_statement_token1,
  [aux_sym_use_statement_token1] = aux_sym_use_statement_token1,
  [aux_sym_use_statement_token2] = aux_sym_use_statement_token2,
  [aux_sym_use_statement_token3] = aux_sym_use_statement_token3,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_included_items_token1] = aux_sym_included_items_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_implicit_statement_token1] = aux_sym_implicit_statement_token1,
  [aux_sym_implicit_statement_token2] = aux_sym_implicit_statement_token2,
  [aux_sym_implicit_statement_token3] = aux_sym_implicit_statement_token3,
  [aux_sym_implicit_statement_token4] = aux_sym_implicit_statement_token4,
  [aux_sym_save_statement_token1] = aux_sym_save_statement_token1,
  [aux_sym_private_statement_token1] = aux_sym_private_statement_token1,
  [aux_sym_public_statement_token1] = aux_sym_public_statement_token1,
  [aux_sym_namelist_statement_token1] = aux_sym_namelist_statement_token1,
  [aux_sym_common_statement_token1] = aux_sym_common_statement_token1,
  [aux_sym_implicit_range_token1] = aux_sym_implicit_range_token1,
  [aux_sym_import_statement_token1] = aux_sym_import_statement_token1,
  [aux_sym__import_names_token1] = aux_sym__import_names_token1,
  [aux_sym_derived_type_definition_token1] = aux_sym_derived_type_definition_token1,
  [aux_sym_abstract_specifier_token1] = aux_sym_abstract_specifier_token1,
  [aux_sym_base_type_specifier_token1] = aux_sym_base_type_specifier_token1,
  [aux_sym_end_type_statement_token1] = aux_sym_end_type_statement_token1,
  [aux_sym_procedure_kind_token1] = aux_sym_procedure_kind_token1,
  [aux_sym_procedure_kind_token2] = aux_sym_procedure_kind_token2,
  [aux_sym_procedure_kind_token3] = aux_sym_procedure_kind_token3,
  [aux_sym_procedure_kind_token4] = aux_sym_procedure_kind_token4,
  [aux_sym_procedure_attribute_token1] = aux_sym_procedure_attribute_token1,
  [aux_sym_procedure_attribute_token2] = aux_sym_procedure_attribute_token2,
  [aux_sym_procedure_attribute_token3] = aux_sym_procedure_attribute_token3,
  [aux_sym_procedure_attribute_token4] = aux_sym_procedure_attribute_token4,
  [aux_sym_procedure_attribute_token5] = aux_sym_procedure_attribute_token5,
  [aux_sym_procedure_attribute_token6] = aux_sym_procedure_attribute_token6,
  [aux_sym_variable_attributes_token1] = aux_sym_variable_attributes_token1,
  [aux_sym_variable_attributes_token2] = aux_sym_variable_attributes_token2,
  [aux_sym_variable_attributes_token3] = aux_sym_variable_attributes_token3,
  [aux_sym_variable_attributes_token4] = aux_sym_variable_attributes_token4,
  [aux_sym_variable_attributes_token5] = aux_sym_variable_attributes_token5,
  [aux_sym__intrinsic_type_token1] = aux_sym__intrinsic_type_token1,
  [aux_sym__intrinsic_type_token2] = aux_sym__intrinsic_type_token2,
  [aux_sym__intrinsic_type_token3] = aux_sym__intrinsic_type_token3,
  [aux_sym__intrinsic_type_token4] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token5] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token6] = aux_sym__intrinsic_type_token4,
  [aux_sym__intrinsic_type_token7] = aux_sym__intrinsic_type_token7,
  [aux_sym__intrinsic_type_token8] = aux_sym__intrinsic_type_token8,
  [aux_sym__intrinsic_type_token9] = aux_sym__intrinsic_type_token9,
  [aux_sym__intrinsic_type_token10] = aux_sym__intrinsic_type_token10,
  [aux_sym_derived_type_token1] = aux_sym_derived_type_token1,
  [aux_sym_declared_type_token1] = aux_sym_declared_type_token1,
  [aux_sym_declared_type_token2] = aux_sym_declared_type_token2,
  [aux_sym_kind_token1] = aux_sym_kind_token1,
  [aux_sym__standalone_type_qualifier_token1] = aux_sym__standalone_type_qualifier_token1,
  [aux_sym__standalone_type_qualifier_token2] = aux_sym__standalone_type_qualifier_token2,
  [aux_sym__standalone_type_qualifier_token3] = aux_sym__standalone_type_qualifier_token3,
  [aux_sym__standalone_type_qualifier_token4] = aux_sym__standalone_type_qualifier_token4,
  [aux_sym__standalone_type_qualifier_token5] = aux_sym__standalone_type_qualifier_token5,
  [aux_sym__standalone_type_qualifier_token6] = aux_sym__standalone_type_qualifier_token6,
  [aux_sym__standalone_type_qualifier_token7] = aux_sym__standalone_type_qualifier_token7,
  [aux_sym__standalone_type_qualifier_token8] = aux_sym__standalone_type_qualifier_token8,
  [aux_sym__standalone_type_qualifier_token9] = aux_sym__standalone_type_qualifier_token9,
  [aux_sym__standalone_type_qualifier_token10] = aux_sym__standalone_type_qualifier_token10,
  [aux_sym__standalone_type_qualifier_token11] = aux_sym__standalone_type_qualifier_token11,
  [aux_sym__standalone_type_qualifier_token12] = aux_sym__standalone_type_qualifier_token12,
  [aux_sym__standalone_type_qualifier_token13] = aux_sym__standalone_type_qualifier_token13,
  [aux_sym__standalone_type_qualifier_token14] = aux_sym__standalone_type_qualifier_token14,
  [aux_sym__standalone_type_qualifier_token15] = aux_sym__standalone_type_qualifier_token15,
  [aux_sym__standalone_type_qualifier_token16] = aux_sym__standalone_type_qualifier_token16,
  [aux_sym__standalone_type_qualifier_token17] = aux_sym__standalone_type_qualifier_token17,
  [aux_sym_type_qualifier_token1] = aux_sym_type_qualifier_token1,
  [aux_sym_type_qualifier_token2] = aux_sym_type_qualifier_token2,
  [aux_sym_procedure_qualifier_token1] = aux_sym_procedure_qualifier_token1,
  [aux_sym_procedure_qualifier_token2] = aux_sym_procedure_qualifier_token2,
  [aux_sym_procedure_qualifier_token3] = aux_sym_procedure_qualifier_token3,
  [aux_sym_procedure_qualifier_token4] = aux_sym_procedure_qualifier_token4,
  [aux_sym_procedure_qualifier_token5] = aux_sym_procedure_qualifier_token5,
  [aux_sym_equivalence_statement_token1] = aux_sym_equivalence_statement_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_stop_statement_token1] = aux_sym_stop_statement_token1,
  [aux_sym_stop_statement_token2] = aux_sym_stop_statement_token2,
  [aux_sym_stop_statement_token3] = aux_sym_stop_statement_token3,
  [aux_sym_subroutine_call_token1] = aux_sym_subroutine_call_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [aux_sym_keyword_statement_token1] = aux_sym_keyword_statement_token1,
  [aux_sym_keyword_statement_token2] = aux_sym_keyword_statement_token2,
  [aux_sym_keyword_statement_token3] = aux_sym_keyword_statement_token3,
  [aux_sym_keyword_statement_token4] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token5] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token6] = aux_sym_keyword_statement_token4,
  [aux_sym_keyword_statement_token7] = aux_sym_keyword_statement_token7,
  [aux_sym_include_statement_token1] = aux_sym_include_statement_token1,
  [aux_sym_data_statement_token1] = aux_sym_data_statement_token1,
  [aux_sym_do_loop_statement_token1] = aux_sym_do_loop_statement_token1,
  [aux_sym_end_do_loop_statement_token1] = aux_sym_end_do_loop_statement_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_concurrent_header_token1] = aux_sym_concurrent_header_token1,
  [aux_sym_concurrent_locality_token1] = aux_sym_concurrent_locality_token1,
  [aux_sym_concurrent_locality_token2] = aux_sym_concurrent_locality_token2,
  [aux_sym_concurrent_locality_token3] = aux_sym_concurrent_locality_token3,
  [aux_sym_concurrent_locality_token4] = aux_sym_concurrent_locality_token4,
  [aux_sym_binary_op_token1] = aux_sym_binary_op_token1,
  [aux_sym__inline_if_statement_token1] = aux_sym__inline_if_statement_token1,
  [aux_sym__block_if_statement_token1] = aux_sym__block_if_statement_token1,
  [aux_sym_end_if_statement_token1] = aux_sym_end_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_elseif_clause_token2] = aux_sym_elseif_clause_token2,
  [aux_sym__inline_where_statement_token1] = aux_sym__inline_where_statement_token1,
  [aux_sym_end_where_statement_token1] = aux_sym_end_where_statement_token1,
  [aux_sym_elsewhere_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym__forall_control_expression_token1] = aux_sym__forall_control_expression_token1,
  [aux_sym_end_forall_statement_token1] = aux_sym_end_forall_statement_token1,
  [aux_sym_select_case_statement_token1] = aux_sym_select_case_statement_token1,
  [aux_sym_select_case_statement_token2] = aux_sym_select_case_statement_token2,
  [aux_sym_select_case_statement_token3] = aux_sym_select_case_statement_token1,
  [aux_sym_select_type_statement_token1] = aux_sym_select_type_statement_token1,
  [aux_sym_select_rank_statement_token1] = aux_sym_select_rank_statement_token1,
  [aux_sym_end_select_statement_token1] = aux_sym_end_select_statement_token1,
  [aux_sym_type_statement_token1] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token2] = aux_sym_type_statement_token1,
  [aux_sym_type_statement_token3] = aux_sym_type_statement_token3,
  [aux_sym__class_default_token1] = aux_sym__class_default_token1,
  [aux_sym_block_construct_token1] = aux_sym_block_construct_token1,
  [aux_sym_end_block_construct_statement_token1] = aux_sym_end_block_construct_statement_token1,
  [aux_sym_associate_statement_token1] = aux_sym_associate_statement_token1,
  [aux_sym_end_associate_statement_token1] = aux_sym_end_associate_statement_token1,
  [aux_sym_format_statement_token1] = aux_sym_format_statement_token1,
  [sym_edit_descriptor] = sym_edit_descriptor,
  [aux_sym_hollerith_constant_token1] = aux_sym_hollerith_constant_token1,
  [aux_sym_print_statement_token1] = aux_sym_print_statement_token1,
  [aux_sym_open_statement_token1] = aux_sym_open_statement_token1,
  [aux_sym_close_statement_token1] = aux_sym_close_statement_token1,
  [aux_sym_inquire_statement_token1] = aux_sym_inquire_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_enumeration_type_statement_token1] = aux_sym_enumeration_type_statement_token1,
  [aux_sym_enumerator_statement_token1] = aux_sym_enumerator_statement_token1,
  [aux_sym_end_enum_statement_token1] = aux_sym_end_enum_statement_token1,
  [aux_sym_file_position_statement_token1] = aux_sym_file_position_statement_token1,
  [aux_sym_file_position_statement_token2] = aux_sym_file_position_statement_token2,
  [aux_sym_file_position_statement_token3] = aux_sym_file_position_statement_token3,
  [aux_sym_file_position_statement_token4] = aux_sym_file_position_statement_token4,
  [aux_sym_allocate_statement_token1] = aux_sym_allocate_statement_token1,
  [aux_sym_entry_statement_token1] = aux_sym_entry_statement_token1,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_logical_expression_token4] = aux_sym_logical_expression_token4,
  [aux_sym_logical_expression_token5] = aux_sym_logical_expression_token5,
  [aux_sym_relational_expression_token1] = aux_sym_relational_expression_token1,
  [aux_sym_relational_expression_token2] = aux_sym_relational_expression_token2,
  [aux_sym_relational_expression_token3] = aux_sym_relational_expression_token3,
  [aux_sym_relational_expression_token4] = aux_sym_relational_expression_token4,
  [aux_sym_relational_expression_token5] = aux_sym_relational_expression_token5,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [aux_sym_relational_expression_token6] = aux_sym_relational_expression_token6,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym_user_defined_operator_token1] = aux_sym_user_defined_operator_token1,
  [anon_sym_AT] = anon_sym_AT,
  [sym_assumed_rank] = sym_assumed_rank,
  [anon_sym_LPAREN_SLASH] = anon_sym_LPAREN_SLASH,
  [anon_sym_SLASH_RPAREN] = anon_sym_SLASH_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_boolean_literal_token1] = aux_sym_boolean_literal_token1,
  [aux_sym_boolean_literal_token2] = aux_sym_boolean_literal_token2,
  [anon_sym__] = anon_sym__,
  [aux_sym__kind_token1] = sym_identifier,
  [aux_sym__kind_token2] = sym_number_literal,
  [aux_sym_null_literal_token1] = aux_sym_null_literal_token1,
  [aux_sym_coarray_statement_token1] = aux_sym_coarray_statement_token1,
  [aux_sym_coarray_statement_token2] = aux_sym_coarray_statement_token2,
  [aux_sym_coarray_statement_token3] = aux_sym_coarray_statement_token3,
  [aux_sym_coarray_statement_token4] = aux_sym_coarray_statement_token4,
  [aux_sym_coarray_statement_token5] = aux_sym_coarray_statement_token5,
  [aux_sym_coarray_statement_token6] = aux_sym_coarray_statement_token6,
  [aux_sym_coarray_statement_token7] = aux_sym_coarray_statement_token7,
  [aux_sym_coarray_statement_token8] = aux_sym_coarray_statement_token8,
  [aux_sym_coarray_statement_token9] = aux_sym_coarray_statement_token9,
  [aux_sym_coarray_statement_token10] = aux_sym_coarray_statement_token10,
  [aux_sym_coarray_statement_token11] = aux_sym_coarray_statement_token11,
  [aux_sym_coarray_statement_token12] = aux_sym_coarray_statement_token12,
  [aux_sym_coarray_statement_token13] = aux_sym_coarray_statement_token13,
  [aux_sym_coarray_team_statement_token1] = aux_sym_coarray_team_statement_token1,
  [aux_sym_end_coarray_team_statement_token1] = aux_sym_end_coarray_team_statement_token1,
  [aux_sym_coarray_critical_statement_token1] = aux_sym_coarray_critical_statement_token1,
  [aux_sym_end_coarray_critical_statement_token1] = aux_sym_end_coarray_critical_statement_token1,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [aux_sym_nil_literal_token1] = aux_sym_nil_literal_token1,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym_comment] = sym_comment,
  [sym__integer_literal] = sym__integer_literal,
  [sym__float_literal] = sym__float_literal,
  [sym__boz_literal] = sym__boz_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__string_literal_kind] = sym_identifier,
  [sym__external_end_of_statement] = sym__external_end_of_statement,
  [sym__preproc_unary_operator] = sym__preproc_unary_operator,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_module] = sym_preproc_if,
  [sym_preproc_ifdef_in_module] = sym_preproc_ifdef,
  [sym_preproc_else_in_module] = sym_preproc_else,
  [sym_preproc_elif_in_module] = sym_preproc_elif,
  [sym_preproc_elifdef_in_module] = sym_preproc_elifdef,
  [sym_preproc_if_in_specification_part] = sym_preproc_if,
  [sym_preproc_ifdef_in_specification_part] = sym_preproc_ifdef,
  [sym_preproc_else_in_specification_part] = sym_preproc_else,
  [sym_preproc_elif_in_specification_part] = sym_preproc_elif,
  [sym_preproc_elifdef_in_specification_part] = sym_preproc_elifdef,
  [sym_preproc_if_in_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_statements] = sym_preproc_else,
  [sym_preproc_elif_in_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_procedure_statements] = sym_preproc_if,
  [sym_preproc_ifdef_in_procedure_statements] = sym_preproc_ifdef,
  [sym_preproc_else_in_procedure_statements] = sym_preproc_else,
  [sym_preproc_elif_in_procedure_statements] = sym_preproc_elif,
  [sym_preproc_elifdef_in_procedure_statements] = sym_preproc_elifdef,
  [sym_preproc_if_in_internal_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_internal_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_internal_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_internal_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_internal_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_interface] = sym_preproc_if,
  [sym_preproc_ifdef_in_interface] = sym_preproc_ifdef,
  [sym_preproc_else_in_interface] = sym_preproc_else,
  [sym_preproc_elif_in_interface] = sym_preproc_elif,
  [sym_preproc_elifdef_in_interface] = sym_preproc_elifdef,
  [sym_preproc_if_in_derived_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_derived_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_derived_type] = sym_preproc_else,
  [sym_preproc_elif_in_derived_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_derived_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_bound_procedures] = sym_preproc_if,
  [sym_preproc_ifdef_in_bound_procedures] = sym_preproc_ifdef,
  [sym_preproc_else_in_bound_procedures] = sym_preproc_else,
  [sym_preproc_elif_in_bound_procedures] = sym_preproc_elif,
  [sym_preproc_elifdef_in_bound_procedures] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_case] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_case] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_case] = sym_preproc_else,
  [sym_preproc_elif_in_select_case] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_case] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_type] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_type] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_type] = sym_preproc_else,
  [sym_preproc_elif_in_select_type] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_type] = sym_preproc_elifdef,
  [sym_preproc_if_in_select_rank] = sym_preproc_if,
  [sym_preproc_ifdef_in_select_rank] = sym_preproc_ifdef,
  [sym_preproc_else_in_select_rank] = sym_preproc_else,
  [sym_preproc_elif_in_select_rank] = sym_preproc_elif,
  [sym_preproc_elifdef_in_select_rank] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_preproc_binary_expression,
  [sym_program] = sym_program,
  [sym_program_statement] = sym_program_statement,
  [sym_end_program_statement] = sym_end_program_statement,
  [sym_module] = sym_module,
  [sym_module_statement] = sym_module_statement,
  [sym_end_module_statement] = sym_end_module_statement,
  [sym_submodule] = sym_submodule,
  [sym_submodule_statement] = sym_submodule_statement,
  [sym_end_submodule_statement] = sym_end_submodule_statement,
  [sym_module_name] = sym_module_name,
  [sym_interface] = sym_interface,
  [sym__interface_items] = sym__interface_items,
  [sym_interface_statement] = sym_interface_statement,
  [sym_end_interface_statement] = sym_end_interface_statement,
  [sym_assignment] = sym_assignment,
  [sym_operator] = sym_operator,
  [sym_defined_io_procedure] = sym_defined_io_procedure,
  [sym__generic_procedure] = sym__generic_procedure,
  [sym_subroutine] = sym_subroutine,
  [sym_subroutine_statement] = sym_subroutine_statement,
  [sym_end_subroutine_statement] = sym_end_subroutine_statement,
  [sym_module_procedure] = sym_module_procedure,
  [sym_module_procedure_statement] = sym_module_procedure_statement,
  [sym_end_module_procedure_statement] = sym_end_module_procedure_statement,
  [sym_function] = sym_function,
  [sym_function_statement] = sym_function_statement,
  [sym_language_binding] = sym_language_binding,
  [aux_sym__callable_interface_qualifers] = aux_sym__callable_interface_qualifers,
  [sym_procedure_attributes] = sym_procedure_attributes,
  [sym_end_function_statement] = sym_end_function_statement,
  [sym_function_result] = sym_function_result,
  [sym__name] = sym__name,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym_internal_procedures] = sym_internal_procedures,
  [sym_contains_statement] = sym_contains_statement,
  [sym__internal_procedures] = sym__internal_procedures,
  [sym__specification_part] = sym__specification_part,
  [sym_use_statement] = sym_use_statement,
  [sym_included_items] = sym_included_items,
  [sym_use_alias] = sym_use_alias,
  [sym_implicit_statement] = sym_implicit_statement,
  [sym_save_statement] = sym_save_statement,
  [sym_private_statement] = sym_private_statement,
  [sym_public_statement] = sym_public_statement,
  [sym_namelist_statement] = sym_namelist_statement,
  [sym_common_statement] = sym_common_statement,
  [sym_variable_group] = sym_variable_group,
  [sym_implicit_range] = sym_implicit_range,
  [sym_import_statement] = sym_import_statement,
  [sym__import_names] = sym__import_names,
  [sym_derived_type_definition] = sym_derived_type_definition,
  [sym_abstract_specifier] = sym_abstract_specifier,
  [sym_access_specifier] = sym_access_specifier,
  [sym_base_type_specifier] = sym_base_type_specifier,
  [sym__derived_type_qualifier] = sym__derived_type_qualifier,
  [sym_derived_type_statement] = sym_derived_type_statement,
  [sym_end_type_statement] = sym_end_type_statement,
  [sym__type_name] = sym__type_name,
  [sym_derived_type_procedures] = sym_derived_type_procedures,
  [sym_procedure_statement] = sym_procedure_statement,
  [sym_binding] = sym_binding,
  [sym_binding_name] = sym_binding_name,
  [sym_method_name] = sym_method_name,
  [sym_procedure_kind] = sym_procedure_kind,
  [sym_procedure_attribute] = sym_procedure_attribute,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_variable_modification] = sym_variable_modification,
  [sym_variable_attributes] = sym_variable_attributes,
  [sym__variable_declarator] = sym__variable_declarator,
  [sym_sized_declarator] = sym_sized_declarator,
  [sym__declaration_assignment] = sym__declaration_assignment,
  [sym__declaration_pointer_association] = sym__declaration_pointer_association,
  [sym__declaration_targets] = sym__declaration_targets,
  [sym__intrinsic_type] = sym__intrinsic_type,
  [sym_intrinsic_type] = sym_intrinsic_type,
  [sym_derived_type] = sym_derived_type,
  [sym_declared_type] = sym_declared_type,
  [sym_unlimited_polymorphic] = sym_unlimited_polymorphic,
  [sym_kind] = sym_kind,
  [sym_character_length] = sym_character_length,
  [sym__standalone_type_qualifier] = sym__standalone_type_qualifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_procedure_qualifier] = sym_procedure_qualifier,
  [sym_parameter_statement] = sym_parameter_statement,
  [sym_parameter_assignment] = sym_parameter_assignment,
  [sym_equivalence_statement] = sym_equivalence_statement,
  [sym_equivalence_set] = sym_equivalence_set,
  [sym__statements] = sym__statements,
  [sym_statement_label] = sym_statement_label,
  [sym_statement_label_reference] = sym_statement_label_reference,
  [sym_stop_statement] = sym_stop_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_pointer_association_statement] = sym_pointer_association_statement,
  [sym_subroutine_call] = sym_subroutine_call,
  [sym_cuda_kernel_argument_list] = sym_cuda_kernel_argument_list,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_data_statement] = sym_data_statement,
  [sym_data_set] = sym_data_set,
  [sym_data_value] = sym_data_value,
  [sym_do_loop_statement] = sym_do_loop_statement,
  [sym_end_do_loop_statement] = sym_end_do_loop_statement,
  [sym_do_label_statement] = sym_do_label_statement,
  [sym_end_do_label_statement] = sym_end_do_label_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_concurrent_statement] = sym_concurrent_statement,
  [sym_concurrent_header] = sym_concurrent_header,
  [sym_concurrent_control] = sym_concurrent_control,
  [sym_concurrent_locality] = sym_concurrent_locality,
  [sym_binary_op] = sym_binary_op,
  [sym_if_statement] = sym_if_statement,
  [sym__inline_if_statement] = sym__inline_if_statement,
  [sym_arithmetic_if_statement] = sym_arithmetic_if_statement,
  [sym__block_if_statement] = sym__block_if_statement,
  [sym_end_if_statement] = sym_end_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_where_statement] = sym_where_statement,
  [sym__inline_where_statement] = sym__inline_where_statement,
  [sym__block_where_statement] = sym__block_where_statement,
  [sym_end_where_statement] = sym_end_where_statement,
  [sym_elsewhere_clause] = sym_elsewhere_clause,
  [sym_forall_statement] = sym_forall_statement,
  [sym_triplet_spec] = sym_triplet_spec,
  [sym__forall_control_expression] = sym__forall_control_expression,
  [sym__inline_forall_statement] = sym__inline_forall_statement,
  [sym__block_forall_statement] = sym__block_forall_statement,
  [sym_end_forall_statement] = sym_end_forall_statement,
  [sym_select_case_statement] = sym_select_case_statement,
  [sym_select_type_statement] = sym_select_type_statement,
  [sym_select_rank_statement] = sym_select_rank_statement,
  [sym_end_select_statement] = sym_end_select_statement,
  [sym_selector] = sym_selector,
  [sym_case_statement] = sym_case_statement,
  [sym_type_statement] = sym_type_statement,
  [sym__class_default] = sym__class_default,
  [sym_case_value_range_list] = sym_case_value_range_list,
  [sym_rank_statement] = sym_rank_statement,
  [sym_block_construct] = sym_block_construct,
  [sym_end_block_construct_statement] = sym_end_block_construct_statement,
  [sym_associate_statement] = sym_associate_statement,
  [sym_association] = sym_association,
  [sym_end_associate_statement] = sym_end_associate_statement,
  [sym_format_statement] = sym_format_statement,
  [sym__transfer_item] = sym__transfer_item,
  [sym__transfer_items] = sym__transfer_items,
  [sym_hollerith_constant] = sym_hollerith_constant,
  [sym__io_arguments] = sym__io_arguments,
  [sym_read_statement] = sym_read_statement,
  [sym__simple_read_statement] = sym__simple_read_statement,
  [sym__parameterized_read_statement] = sym__parameterized_read_statement,
  [sym_print_statement] = sym_print_statement,
  [sym_open_statement] = sym_open_statement,
  [sym_close_statement] = sym_close_statement,
  [sym_write_statement] = sym_write_statement,
  [sym_inquire_statement] = sym_inquire_statement,
  [sym_enum] = sym_enum,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enumeration_type] = sym_enumeration_type,
  [sym_enumeration_type_statement] = sym_enumeration_type_statement,
  [sym_enumerator_statement] = sym_enumerator_statement,
  [sym_end_enum_statement] = sym_end_enum_statement,
  [sym_end_enumeration_type_statement] = sym_end_enumeration_type_statement,
  [sym_unit_identifier] = sym_unit_identifier,
  [sym_format_identifier] = sym_format_identifier,
  [sym__file_position_spec] = sym__file_position_spec,
  [sym_file_position_statement] = sym_file_position_statement,
  [sym__io_expressions] = sym__io_expressions,
  [sym_input_item_list] = sym_input_item_list,
  [sym_output_item_list] = sym_output_item_list,
  [sym_allocate_statement] = sym_allocate_statement,
  [sym_sized_allocation] = sym_sized_allocation,
  [sym_coarray_allocation] = sym_coarray_allocation,
  [sym_statement_function] = sym_statement_function,
  [sym__statement_function_arg_list] = sym_argument_list,
  [sym_entry_statement] = sym_entry_statement,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_derived_type_member_expression] = sym_derived_type_member_expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_math_expression] = sym_math_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_user_defined_operator] = sym_user_defined_operator,
  [sym_call_expression] = sym_call_expression,
  [sym_implied_do_loop_expression] = sym_implied_do_loop_expression,
  [sym__argument_list] = sym__argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym__extent_specifier] = sym__extent_specifier,
  [sym_extent_specifier] = sym_extent_specifier,
  [sym_multiple_subscript] = sym_multiple_subscript,
  [sym_multiple_subscript_triplet] = sym_multiple_subscript_triplet,
  [sym_assumed_size] = sym_assumed_size,
  [sym_assumed_shape] = sym_assumed_shape,
  [sym_block_label_start_expression] = sym_block_label_start_expression,
  [sym__block_label] = sym__block_label,
  [sym_loop_control_expression] = sym_loop_control_expression,
  [sym_array_literal] = sym_array_literal,
  [sym__array_constructor_legacy] = sym__array_constructor_legacy,
  [sym__array_constructor_f2003] = sym__array_constructor_f2003,
  [sym__type_spec] = sym__type_spec,
  [sym__ac_value_list] = sym__ac_value_list,
  [sym_complex_literal] = sym_complex_literal,
  [sym_number_literal] = sym_number_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__kind] = sym__kind,
  [sym_null_literal] = sym_null_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_coarray_index] = sym_coarray_index,
  [sym__coarray_extent_specifier] = sym_extent_specifier,
  [sym_coarray_declarator] = sym_coarray_declarator,
  [sym_coarray_expression] = sym_coarray_expression,
  [sym_coarray_statement] = sym_coarray_statement,
  [sym_coarray_team_statement] = sym_coarray_team_statement,
  [sym_end_coarray_team_statement] = sym_end_coarray_team_statement,
  [sym_coarray_critical_statement] = sym_coarray_critical_statement,
  [sym_end_coarray_critical_statement] = sym_end_coarray_critical_statement,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_nil_literal] = sym_nil_literal,
  [sym_identifier] = sym_identifier,
  [sym__end_of_statement] = sym__end_of_statement,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_in_module_repeat1] = aux_sym_preproc_if_in_module_repeat1,
  [aux_sym_preproc_if_in_specification_part_repeat1] = aux_sym_preproc_if_in_specification_part_repeat1,
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = aux_sym_preproc_if_in_internal_procedures_repeat1,
  [aux_sym_preproc_if_in_interface_repeat1] = aux_sym_preproc_if_in_interface_repeat1,
  [aux_sym_preproc_if_in_derived_type_repeat1] = aux_sym_preproc_if_in_derived_type_repeat1,
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = aux_sym_preproc_if_in_bound_procedures_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym_interface_repeat1] = aux_sym_interface_repeat1,
  [aux_sym_subroutine_repeat1] = aux_sym_subroutine_repeat1,
  [aux_sym_function_statement_repeat1] = aux_sym_function_statement_repeat1,
  [aux_sym_procedure_attributes_repeat1] = aux_sym_procedure_attributes_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_use_statement_repeat1] = aux_sym_use_statement_repeat1,
  [aux_sym_included_items_repeat1] = aux_sym_included_items_repeat1,
  [aux_sym_implicit_statement_repeat1] = aux_sym_implicit_statement_repeat1,
  [aux_sym_implicit_statement_repeat2] = aux_sym_implicit_statement_repeat2,
  [aux_sym_implicit_statement_repeat3] = aux_sym_implicit_statement_repeat3,
  [aux_sym_save_statement_repeat1] = aux_sym_save_statement_repeat1,
  [aux_sym_private_statement_repeat1] = aux_sym_private_statement_repeat1,
  [aux_sym_namelist_statement_repeat1] = aux_sym_namelist_statement_repeat1,
  [aux_sym_common_statement_repeat1] = aux_sym_common_statement_repeat1,
  [aux_sym_common_statement_repeat2] = aux_sym_common_statement_repeat2,
  [aux_sym_derived_type_definition_repeat1] = aux_sym_derived_type_definition_repeat1,
  [aux_sym_derived_type_statement_repeat1] = aux_sym_derived_type_statement_repeat1,
  [aux_sym_derived_type_procedures_repeat1] = aux_sym_derived_type_procedures_repeat1,
  [aux_sym_procedure_statement_repeat1] = aux_sym_procedure_statement_repeat1,
  [aux_sym_procedure_statement_repeat2] = aux_sym_procedure_statement_repeat2,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_variable_modification_repeat1] = aux_sym_variable_modification_repeat1,
  [aux_sym_variable_modification_repeat2] = aux_sym_variable_modification_repeat2,
  [aux_sym__declaration_targets_repeat1] = aux_sym__declaration_targets_repeat1,
  [aux_sym_parameter_statement_repeat1] = aux_sym_parameter_statement_repeat1,
  [aux_sym_equivalence_statement_repeat1] = aux_sym_equivalence_statement_repeat1,
  [aux_sym_equivalence_set_repeat1] = aux_sym_equivalence_set_repeat1,
  [aux_sym_cuda_kernel_argument_list_repeat1] = aux_sym_cuda_kernel_argument_list_repeat1,
  [aux_sym_keyword_statement_repeat1] = aux_sym_keyword_statement_repeat1,
  [aux_sym_data_statement_repeat1] = aux_sym_data_statement_repeat1,
  [aux_sym_data_set_repeat1] = aux_sym_data_set_repeat1,
  [aux_sym_data_value_repeat1] = aux_sym_data_value_repeat1,
  [aux_sym_concurrent_statement_repeat1] = aux_sym_concurrent_statement_repeat1,
  [aux_sym_concurrent_header_repeat1] = aux_sym_concurrent_header_repeat1,
  [aux_sym__block_if_statement_repeat1] = aux_sym__block_if_statement_repeat1,
  [aux_sym__block_where_statement_repeat1] = aux_sym__block_where_statement_repeat1,
  [aux_sym__forall_control_expression_repeat1] = aux_sym__forall_control_expression_repeat1,
  [aux_sym_select_case_statement_repeat1] = aux_sym_select_case_statement_repeat1,
  [aux_sym_select_type_statement_repeat1] = aux_sym_select_type_statement_repeat1,
  [aux_sym_select_rank_statement_repeat1] = aux_sym_select_rank_statement_repeat1,
  [aux_sym_case_value_range_list_repeat1] = aux_sym_case_value_range_list_repeat1,
  [aux_sym_associate_statement_repeat1] = aux_sym_associate_statement_repeat1,
  [aux_sym__transfer_items_repeat1] = aux_sym__transfer_items_repeat1,
  [aux_sym__io_arguments_repeat1] = aux_sym__io_arguments_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_enumerator_statement_repeat1] = aux_sym_enumerator_statement_repeat1,
  [aux_sym_allocate_statement_repeat1] = aux_sym_allocate_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [aux_sym_coarray_index_repeat1] = aux_sym_coarray_index_repeat1,
  [aux_sym_coarray_index_repeat2] = aux_sym_coarray_index_repeat2,
  [alias_sym_block_label] = alias_sym_block_label,
  [anon_alias_sym_class] = anon_alias_sym_class,
  [alias_sym_coarray_size] = alias_sym_coarray_size,
  [alias_sym_concurrent_mask] = alias_sym_concurrent_mask,
  [anon_alias_sym_default] = anon_alias_sym_default,
  [alias_sym_derived_type_parameter_list] = alias_sym_derived_type_parameter_list,
  [anon_alias_sym_double] = anon_alias_sym_double,
  [anon_alias_sym_else] = anon_alias_sym_else,
  [anon_alias_sym_end] = anon_alias_sym_end,
  [alias_sym_filename] = alias_sym_filename,
  [anon_alias_sym_label] = anon_alias_sym_label,
  [alias_sym_local_name] = alias_sym_local_name,
  [anon_alias_sym_method_name] = anon_alias_sym_method_name,
  [alias_sym_name] = alias_sym_name,
  [anon_alias_sym_none] = anon_alias_sym_none,
  [alias_sym_procedure_interface] = alias_sym_procedure_interface,
  [anon_alias_sym_program] = anon_alias_sym_program,
  [anon_alias_sym_select] = anon_alias_sym_select,
  [alias_sym_sequence_statement] = alias_sym_sequence_statement,
  [alias_sym_size] = alias_sym_size,
  [anon_alias_sym_statement_label] = anon_alias_sym_statement_label,
  [anon_alias_sym_statement_label_reference] = anon_alias_sym_statement_label_reference,
  [alias_sym_transfer_items] = alias_sym_transfer_items,
  [alias_sym_type_member] = alias_sym_type_member,
  [alias_sym_type_name] = alias_sym_type_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_def_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_program_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_submodule_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_interface_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assignment_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_operator_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_defined_io_procedure_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_subroutine_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_module_procedure_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_language_binding_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_result_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_contains_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_use_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_included_items_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_implicit_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_save_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_private_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_public_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namelist_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_common_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_implicit_range_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__import_names_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_type_specifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_kind_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_attribute_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_attributes_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__intrinsic_type_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_derived_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declared_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declared_type_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_kind_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token16] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__standalone_type_qualifier_token17] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_procedure_qualifier_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_equivalence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_stop_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_subroutine_call_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyword_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_do_loop_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_header_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concurrent_locality_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_locality_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_op_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__block_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__inline_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_where_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elsewhere_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__forall_control_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_forall_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_case_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_select_rank_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_select_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__class_default_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_construct_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_block_construct_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_associate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_edit_descriptor] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_hollerith_constant_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_open_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_close_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inquire_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumeration_type_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enumerator_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_position_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_allocate_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_entry_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_relational_expression_token6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_user_defined_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [sym_assumed_rank] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_boolean_literal_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__kind_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__kind_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_null_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_statement_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_team_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_end_coarray_critical_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_nil_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__integer_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__float_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__boz_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_kind] = {
    .visible = true,
    .named = true,
  },
  [sym__external_end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__preproc_unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_module] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_specification_part] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_procedure_statements] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_interface] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_bound_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_case] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_type] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_select_rank] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_program_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule] = {
    .visible = true,
    .named = true,
  },
  [sym_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_submodule_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_interface] = {
    .visible = true,
    .named = true,
  },
  [sym__interface_items] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_interface_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_defined_io_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym__generic_procedure] = {
    .visible = false,
    .named = true,
  },
  [sym_subroutine] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_subroutine_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_module_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_language_binding] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__callable_interface_qualifers] = {
    .visible = false,
    .named = false,
  },
  [sym_procedure_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_end_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_result] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_contains_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__internal_procedures] = {
    .visible = false,
    .named = true,
  },
  [sym__specification_part] = {
    .visible = false,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_included_items] = {
    .visible = true,
    .named = true,
  },
  [sym_use_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_save_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_private_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_public_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namelist_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_common_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_group] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_range] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_names] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__derived_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym_derived_type_procedures] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_modification] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_sized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_pointer_association] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_targets] = {
    .visible = false,
    .named = true,
  },
  [sym__intrinsic_type] = {
    .visible = false,
    .named = true,
  },
  [sym_intrinsic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type] = {
    .visible = true,
    .named = true,
  },
  [sym_declared_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unlimited_polymorphic] = {
    .visible = true,
    .named = true,
  },
  [sym_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_character_length] = {
    .visible = true,
    .named = true,
  },
  [sym__standalone_type_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_equivalence_set] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_label_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_association_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_call] = {
    .visible = true,
    .named = true,
  },
  [sym_cuda_kernel_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_set] = {
    .visible = true,
    .named = true,
  },
  [sym_data_value] = {
    .visible = true,
    .named = true,
  },
  [sym_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_do_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_header] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_control] = {
    .visible = true,
    .named = true,
  },
  [sym_concurrent_locality] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_op] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_arithmetic_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__block_if_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_where_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_where_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elsewhere_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_triplet_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__forall_control_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__block_forall_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_end_forall_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_select_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__class_default] = {
    .visible = true,
    .named = true,
  },
  [sym_case_value_range_list] = {
    .visible = true,
    .named = true,
  },
  [sym_rank_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_construct] = {
    .visible = true,
    .named = true,
  },
  [sym_end_block_construct_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_association] = {
    .visible = true,
    .named = true,
  },
  [sym_end_associate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_format_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transfer_item] = {
    .visible = false,
    .named = true,
  },
  [sym__transfer_items] = {
    .visible = false,
    .named = true,
  },
  [sym_hollerith_constant] = {
    .visible = true,
    .named = true,
  },
  [sym__io_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_read_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__parameterized_read_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_open_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_close_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_write_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inquire_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_enumeration_type_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__file_position_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_file_position_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__io_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_input_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_output_item_list] = {
    .visible = true,
    .named = true,
  },
  [sym_allocate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sized_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_allocation] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_function] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_function_arg_list] = {
    .visible = true,
    .named = true,
  },
  [sym_entry_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_derived_type_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_math_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implied_do_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__extent_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_multiple_subscript_triplet] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_size] = {
    .visible = true,
    .named = true,
  },
  [sym_assumed_shape] = {
    .visible = true,
    .named = true,
  },
  [sym_block_label_start_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__block_label] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_control_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__array_constructor_legacy] = {
    .visible = false,
    .named = true,
  },
  [sym__array_constructor_f2003] = {
    .visible = false,
    .named = true,
  },
  [sym__type_spec] = {
    .visible = false,
    .named = true,
  },
  [sym__ac_value_list] = {
    .visible = false,
    .named = true,
  },
  [sym_complex_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__kind] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_index] = {
    .visible = true,
    .named = true,
  },
  [sym__coarray_extent_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_team_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_end_coarray_critical_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_statement] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_specification_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_internal_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_derived_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_bound_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_included_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implicit_statement_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_private_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namelist_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_common_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_derived_type_procedures_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_procedure_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_modification_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_targets_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equivalence_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cuda_kernel_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concurrent_header_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__block_where_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__forall_control_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_type_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_rank_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_value_range_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_associate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__transfer_items_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__io_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_allocate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_coarray_index_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_class] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_coarray_size] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_concurrent_mask] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_default] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_derived_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_end] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_label] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_local_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_method_name] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_none] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_procedure_interface] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_program] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_select] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_size] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_statement_label] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_statement_label_reference] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_transfer_items] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_member] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_access = 1,
  field_allocation = 2,
  field_alternative = 3,
  field_ancestor = 4,
  field_argument = 5,
  field_arguments = 6,
  field_attribute = 7,
  field_base = 8,
  field_condition = 9,
  field_consequence = 10,
  field_declarator = 11,
  field_directive = 12,
  field_final = 13,
  field_function = 14,
  field_initial = 15,
  field_kind = 16,
  field_left = 17,
  field_name = 18,
  field_operator = 19,
  field_parameters = 20,
  field_parent = 21,
  field_path = 22,
  field_repeat = 23,
  field_right = 24,
  field_selector = 25,
  field_step = 26,
  field_subroutine = 27,
  field_type = 28,
  field_type_param = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_access] = "access",
  [field_allocation] = "allocation",
  [field_alternative] = "alternative",
  [field_ancestor] = "ancestor",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_base] = "base",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declarator] = "declarator",
  [field_directive] = "directive",
  [field_final] = "final",
  [field_function] = "function",
  [field_initial] = "initial",
  [field_kind] = "kind",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_parent] = "parent",
  [field_path] = "path",
  [field_repeat] = "repeat",
  [field_right] = "right",
  [field_selector] = "selector",
  [field_step] = "step",
  [field_subroutine] = "subroutine",
  [field_type] = "type",
  [field_type_param] = "type_param",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [6] = {.index = 0, .length = 1},
  [8] = {.index = 1, .length = 1},
  [9] = {.index = 2, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 4, .length = 2},
  [15] = {.index = 6, .length = 1},
  [20] = {.index = 7, .length = 1},
  [21] = {.index = 8, .length = 1},
  [22] = {.index = 9, .length = 2},
  [23] = {.index = 11, .length = 1},
  [24] = {.index = 12, .length = 3},
  [25] = {.index = 15, .length = 2},
  [26] = {.index = 17, .length = 1},
  [30] = {.index = 18, .length = 1},
  [31] = {.index = 19, .length = 1},
  [32] = {.index = 8, .length = 1},
  [33] = {.index = 20, .length = 2},
  [34] = {.index = 22, .length = 2},
  [35] = {.index = 24, .length = 2},
  [37] = {.index = 26, .length = 1},
  [38] = {.index = 27, .length = 1},
  [43] = {.index = 28, .length = 1},
  [49] = {.index = 29, .length = 2},
  [52] = {.index = 31, .length = 1},
  [53] = {.index = 32, .length = 2},
  [54] = {.index = 34, .length = 2},
  [55] = {.index = 36, .length = 4},
  [61] = {.index = 40, .length = 3},
  [62] = {.index = 43, .length = 3},
  [64] = {.index = 46, .length = 2},
  [65] = {.index = 48, .length = 1},
  [66] = {.index = 49, .length = 2},
  [67] = {.index = 51, .length = 2},
  [68] = {.index = 53, .length = 1},
  [69] = {.index = 54, .length = 2},
  [71] = {.index = 56, .length = 1},
  [72] = {.index = 56, .length = 1},
  [74] = {.index = 56, .length = 1},
  [75] = {.index = 56, .length = 1},
  [83] = {.index = 57, .length = 1},
  [90] = {.index = 58, .length = 3},
  [92] = {.index = 61, .length = 3},
  [93] = {.index = 64, .length = 2},
  [95] = {.index = 66, .length = 3},
  [96] = {.index = 69, .length = 4},
  [97] = {.index = 73, .length = 2},
  [98] = {.index = 75, .length = 3},
  [99] = {.index = 78, .length = 2},
  [100] = {.index = 80, .length = 2},
  [101] = {.index = 82, .length = 1},
  [102] = {.index = 83, .length = 2},
  [104] = {.index = 85, .length = 2},
  [105] = {.index = 87, .length = 4},
  [106] = {.index = 91, .length = 2},
  [107] = {.index = 91, .length = 2},
  [109] = {.index = 91, .length = 2},
  [110] = {.index = 91, .length = 2},
  [117] = {.index = 93, .length = 2},
  [118] = {.index = 95, .length = 1},
  [119] = {.index = 96, .length = 2},
  [120] = {.index = 98, .length = 2},
  [124] = {.index = 100, .length = 1},
  [125] = {.index = 101, .length = 3},
  [126] = {.index = 104, .length = 4},
  [127] = {.index = 108, .length = 2},
  [128] = {.index = 110, .length = 4},
  [129] = {.index = 114, .length = 3},
  [130] = {.index = 117, .length = 2},
  [131] = {.index = 119, .length = 1},
  [132] = {.index = 120, .length = 2},
  [134] = {.index = 122, .length = 2},
  [135] = {.index = 124, .length = 1},
  [136] = {.index = 125, .length = 2},
  [147] = {.index = 127, .length = 3},
  [149] = {.index = 130, .length = 1},
  [151] = {.index = 131, .length = 2},
  [152] = {.index = 133, .length = 4},
  [156] = {.index = 137, .length = 2},
  [157] = {.index = 139, .length = 2},
  [158] = {.index = 141, .length = 2},
  [159] = {.index = 143, .length = 2},
  [160] = {.index = 122, .length = 2},
  [161] = {.index = 145, .length = 4},
  [162] = {.index = 149, .length = 1},
  [163] = {.index = 150, .length = 1},
  [166] = {.index = 151, .length = 4},
  [167] = {.index = 155, .length = 1},
  [168] = {.index = 156, .length = 2},
  [169] = {.index = 155, .length = 1},
  [171] = {.index = 158, .length = 2},
  [175] = {.index = 160, .length = 2},
  [176] = {.index = 162, .length = 2},
  [177] = {.index = 164, .length = 2},
  [178] = {.index = 145, .length = 4},
  [179] = {.index = 166, .length = 2},
  [181] = {.index = 168, .length = 2},
  [183] = {.index = 150, .length = 1},
  [184] = {.index = 150, .length = 1},
  [185] = {.index = 170, .length = 2},
  [186] = {.index = 172, .length = 1},
  [187] = {.index = 172, .length = 1},
  [188] = {.index = 170, .length = 2},
  [189] = {.index = 158, .length = 2},
  [190] = {.index = 173, .length = 4},
  [191] = {.index = 177, .length = 2},
  [192] = {.index = 179, .length = 2},
  [193] = {.index = 150, .length = 1},
  [195] = {.index = 181, .length = 1},
  [196] = {.index = 181, .length = 1},
  [197] = {.index = 182, .length = 2},
  [198] = {.index = 184, .length = 1},
  [199] = {.index = 182, .length = 2},
  [200] = {.index = 173, .length = 4},
  [201] = {.index = 185, .length = 2},
  [202] = {.index = 150, .length = 1},
  [203] = {.index = 187, .length = 3},
  [204] = {.index = 190, .length = 1},
  [205] = {.index = 191, .length = 2},
  [206] = {.index = 193, .length = 2},
  [207] = {.index = 195, .length = 1},
  [208] = {.index = 196, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_type, 0, .inherited = true},
  [2] =
    {field_kind, 1, .inherited = true},
  [3] =
    {field_directive, 0},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 1},
  [7] =
    {field_subroutine, 1},
  [8] =
    {field_path, 1},
  [9] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_declarator, 0},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [15] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [17] =
    {field_kind, 1},
  [18] =
    {field_declarator, 1},
  [19] =
    {field_kind, 0},
  [20] =
    {field_arguments, 1},
    {field_function, 0},
  [22] =
    {field_argument, 1},
    {field_directive, 0},
  [24] =
    {field_name, 1},
    {field_parameters, 2},
  [26] =
    {field_access, 0},
  [27] =
    {field_base, 0},
  [28] =
    {field_type, 1, .inherited = true},
  [29] =
    {field_name, 2},
    {field_type, 0, .inherited = true},
  [31] =
    {field_type_param, 0},
  [32] =
    {field_declarator, 2, .inherited = true},
    {field_type, 0},
  [34] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [36] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
    {field_left, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [40] =
    {field_declarator, 1},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [43] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [46] =
    {field_left, 0},
    {field_right, 2},
  [48] =
    {field_declarator, 2},
  [49] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [51] =
    {field_name, 1},
    {field_value, 2},
  [53] =
    {field_condition, 1},
  [54] =
    {field_alternative, 2},
    {field_name, 1},
  [56] =
    {field_name, 2},
  [57] =
    {field_allocation, 2},
  [58] =
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 0, .inherited = true},
  [61] =
    {field_attribute, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0},
  [64] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [66] =
    {field_declarator, 2},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [69] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [73] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
  [75] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [78] =
    {field_alternative, 3},
    {field_condition, 1},
  [80] =
    {field_alternative, 3},
    {field_name, 1},
  [82] =
    {field_ancestor, 2},
  [83] =
    {field_name, 0},
    {field_value, 2},
  [85] =
    {field_access, 1, .inherited = true},
    {field_base, 1, .inherited = true},
  [87] =
    {field_access, 0, .inherited = true},
    {field_access, 1, .inherited = true},
    {field_base, 0, .inherited = true},
    {field_base, 1, .inherited = true},
  [91] =
    {field_kind, 3},
    {field_name, 2},
  [93] =
    {field_name, 0},
    {field_selector, 2},
  [95] =
    {field_allocation, 1},
  [96] =
    {field_allocation, 2},
    {field_allocation, 3, .inherited = true},
  [98] =
    {field_allocation, 0, .inherited = true},
    {field_allocation, 1, .inherited = true},
  [100] =
    {field_attribute, 1},
  [101] =
    {field_attribute, 2},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [104] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 4, .inherited = true},
    {field_type, 0},
  [108] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [110] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [114] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [117] =
    {field_alternative, 4},
    {field_condition, 1},
  [119] =
    {field_condition, 2},
  [120] =
    {field_alternative, 4},
    {field_name, 1},
  [122] =
    {field_access, 2, .inherited = true},
    {field_base, 2, .inherited = true},
  [124] =
    {field_repeat, 2, .inherited = true},
  [125] =
    {field_repeat, 0, .inherited = true},
    {field_repeat, 1, .inherited = true},
  [127] =
    {field_allocation, 4},
    {field_type, 2},
    {field_type, 3},
  [130] =
    {field_declarator, 3},
  [131] =
    {field_name, 3},
    {field_type, 0, .inherited = true},
  [133] =
    {field_attribute, 2},
    {field_attribute, 3, .inherited = true},
    {field_declarator, 5, .inherited = true},
    {field_type, 0},
  [137] =
    {field_alternative, 5},
    {field_condition, 1},
  [139] =
    {field_alternative, 4},
    {field_condition, 2},
  [141] =
    {field_alternative, 5},
    {field_name, 1},
  [143] =
    {field_ancestor, 2},
    {field_parent, 4},
  [145] =
    {field_access, 2, .inherited = true},
    {field_access, 3, .inherited = true},
    {field_base, 2, .inherited = true},
    {field_base, 3, .inherited = true},
  [149] =
    {field_repeat, 1},
  [150] =
    {field_type, 2},
  [151] =
    {field_allocation, 4},
    {field_allocation, 5, .inherited = true},
    {field_type, 2},
    {field_type, 3},
  [155] =
    {field_declarator, 4},
  [156] =
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
  [158] =
    {field_access, 3, .inherited = true},
    {field_base, 3, .inherited = true},
  [160] =
    {field_alternative, 6},
    {field_condition, 1},
  [162] =
    {field_alternative, 5},
    {field_condition, 2},
  [164] =
    {field_alternative, 6},
    {field_name, 1},
  [166] =
    {field_repeat, 1},
    {field_repeat, 4, .inherited = true},
  [168] =
    {field_final, 4},
    {field_initial, 2},
  [170] =
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
  [172] =
    {field_declarator, 5},
  [173] =
    {field_access, 3, .inherited = true},
    {field_access, 4, .inherited = true},
    {field_base, 3, .inherited = true},
    {field_base, 4, .inherited = true},
  [177] =
    {field_alternative, 7},
    {field_condition, 1},
  [179] =
    {field_alternative, 6},
    {field_condition, 2},
  [181] =
    {field_type, 3},
  [182] =
    {field_declarator, 5},
    {field_declarator, 6, .inherited = true},
  [184] =
    {field_declarator, 6},
  [185] =
    {field_alternative, 7},
    {field_condition, 2},
  [187] =
    {field_final, 4},
    {field_initial, 2},
    {field_step, 6},
  [190] =
    {field_declarator, 7},
  [191] =
    {field_declarator, 6},
    {field_declarator, 7, .inherited = true},
  [193] =
    {field_declarator, 7},
    {field_declarator, 8, .inherited = true},
  [195] =
    {field_declarator, 8},
  [196] =
    {field_declarator, 8},
    {field_declarator, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = anon_alias_sym_statement_label,
  },
  [2] = {
    [0] = anon_alias_sym_end,
  },
  [3] = {
    [0] = anon_alias_sym_double,
  },
  [4] = {
    [0] = aux_sym__intrinsic_type_token8,
  },
  [5] = {
    [0] = anon_alias_sym_select,
  },
  [7] = {
    [0] = sym_type_qualifier,
  },
  [12] = {
    [0] = anon_alias_sym_program,
  },
  [13] = {
    [0] = alias_sym_name,
  },
  [14] = {
    [0] = anon_alias_sym_statement_label_reference,
  },
  [16] = {
    [1] = sym_module_name,
  },
  [17] = {
    [0] = alias_sym_type_name,
  },
  [18] = {
    [0] = aux_sym__intrinsic_type_token8,
    [1] = aux_sym__intrinsic_type_token8,
  },
  [19] = {
    [1] = alias_sym_coarray_size,
  },
  [21] = {
    [1] = alias_sym_filename,
  },
  [27] = {
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [28] = {
    [0] = aux_sym_end_enum_statement_token1,
  },
  [29] = {
    [0] = anon_alias_sym_label,
  },
  [36] = {
    [2] = sym_module_name,
  },
  [39] = {
    [1] = alias_sym_size,
  },
  [40] = {
    [1] = anon_alias_sym_none,
  },
  [41] = {
    [0] = aux_sym_end_do_loop_statement_token1,
  },
  [42] = {
    [0] = aux_sym_end_block_construct_statement_token1,
  },
  [44] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
  },
  [45] = {
    [0] = aux_sym_end_module_statement_token1,
  },
  [46] = {
    [0] = aux_sym_end_submodule_statement_token1,
  },
  [47] = {
    [0] = aux_sym_end_interface_statement_token1,
  },
  [48] = {
    [0] = anon_alias_sym_method_name,
  },
  [50] = {
    [0] = aux_sym_end_type_statement_token1,
  },
  [51] = {
    [0] = alias_sym_sequence_statement,
  },
  [56] = {
    [1] = sym_number_literal,
  },
  [57] = {
    [0] = sym_assumed_size,
  },
  [58] = {
    [1] = aux_sym_end_do_loop_statement_token1,
    [2] = aux_sym_end_do_loop_statement_token1,
  },
  [59] = {
    [0] = aux_sym_end_forall_statement_token1,
  },
  [60] = {
    [0] = aux_sym_end_enum_statement_token1,
    [1] = aux_sym_end_enum_statement_token1,
  },
  [63] = {
    [2] = alias_sym_type_member,
  },
  [70] = {
    [2] = alias_sym_procedure_interface,
  },
  [72] = {
    [2] = sym_intrinsic_type,
  },
  [73] = {
    [2] = alias_sym_derived_type_parameter_list,
  },
  [74] = {
    [0] = anon_alias_sym_class,
  },
  [75] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [76] = {
    [0] = anon_alias_sym_class,
  },
  [77] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
  },
  [78] = {
    [0] = aux_sym_end_do_loop_statement_token1,
    [1] = aux_sym_end_do_loop_statement_token1,
  },
  [79] = {
    [0] = alias_sym_block_label,
  },
  [80] = {
    [0] = aux_sym_end_where_statement_token1,
  },
  [81] = {
    [0] = aux_sym_end_block_construct_statement_token1,
    [1] = aux_sym_end_block_construct_statement_token1,
  },
  [82] = {
    [2] = alias_sym_transfer_items,
  },
  [84] = {
    [0] = aux_sym_end_coarray_critical_statement_token1,
    [1] = aux_sym_end_coarray_critical_statement_token1,
  },
  [85] = {
    [0] = aux_sym_end_module_statement_token1,
    [1] = aux_sym_end_module_statement_token1,
  },
  [86] = {
    [0] = aux_sym_end_submodule_statement_token1,
    [1] = aux_sym_end_submodule_statement_token1,
  },
  [87] = {
    [0] = aux_sym_end_interface_statement_token1,
    [1] = aux_sym_end_interface_statement_token1,
  },
  [88] = {
    [0] = aux_sym_end_subroutine_statement_token1,
  },
  [89] = {
    [0] = aux_sym_end_function_statement_token1,
  },
  [91] = {
    [0] = aux_sym_end_type_statement_token1,
    [1] = aux_sym_end_type_statement_token1,
  },
  [94] = {
    [0] = aux_sym_end_forall_statement_token1,
    [1] = aux_sym_end_forall_statement_token1,
  },
  [103] = {
    [4] = sym_module_name,
  },
  [107] = {
    [2] = sym_intrinsic_type,
  },
  [108] = {
    [3] = alias_sym_derived_type_parameter_list,
  },
  [109] = {
    [0] = anon_alias_sym_class,
  },
  [110] = {
    [0] = anon_alias_sym_class,
    [2] = sym_intrinsic_type,
  },
  [111] = {
    [2] = aux_sym__standalone_type_qualifier_token9,
    [3] = aux_sym__standalone_type_qualifier_token9,
  },
  [112] = {
    [0] = aux_sym_end_if_statement_token1,
  },
  [113] = {
    [0] = aux_sym_end_where_statement_token1,
    [1] = aux_sym_end_where_statement_token1,
  },
  [114] = {
    [0] = aux_sym_end_select_statement_token1,
  },
  [115] = {
    [0] = aux_sym_select_type_statement_token1,
  },
  [116] = {
    [0] = aux_sym_select_rank_statement_token1,
  },
  [121] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
  },
  [122] = {
    [0] = aux_sym_end_subroutine_statement_token1,
    [1] = aux_sym_end_subroutine_statement_token1,
  },
  [123] = {
    [0] = aux_sym_end_function_statement_token1,
    [1] = aux_sym_end_function_statement_token1,
  },
  [133] = {
    [0] = alias_sym_local_name,
  },
  [137] = {
    [0] = anon_alias_sym_default,
    [2] = anon_alias_sym_none,
  },
  [138] = {
    [0] = aux_sym_end_if_statement_token1,
    [1] = aux_sym_end_if_statement_token1,
  },
  [139] = {
    [0] = anon_alias_sym_else,
  },
  [140] = {
    [1] = aux_sym_elseif_clause_token1,
  },
  [141] = {
    [0] = aux_sym_select_type_statement_token1,
    [1] = aux_sym_select_type_statement_token1,
  },
  [142] = {
    [0] = aux_sym_select_rank_statement_token1,
    [1] = aux_sym_select_rank_statement_token1,
  },
  [143] = {
    [1] = aux_sym_select_case_statement_token1,
  },
  [144] = {
    [1] = sym__class_default,
  },
  [145] = {
    [0] = aux_sym_end_select_statement_token1,
    [1] = aux_sym_end_select_statement_token1,
  },
  [146] = {
    [0] = aux_sym_end_associate_statement_token1,
  },
  [148] = {
    [0] = aux_sym_end_coarray_team_statement_token1,
    [1] = aux_sym_end_coarray_team_statement_token1,
  },
  [150] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
  },
  [153] = {
    [4] = alias_sym_derived_type_parameter_list,
  },
  [154] = {
    [1] = aux_sym_select_type_statement_token1,
  },
  [155] = {
    [1] = aux_sym_select_rank_statement_token1,
  },
  [160] = {
    [5] = alias_sym_derived_type_parameter_list,
  },
  [164] = {
    [4] = alias_sym_concurrent_mask,
  },
  [165] = {
    [0] = aux_sym_end_associate_statement_token1,
    [1] = aux_sym_end_associate_statement_token1,
  },
  [169] = {
    [2] = alias_sym_procedure_interface,
  },
  [170] = {
    [0] = aux_sym_end_module_procedure_statement_token1,
    [1] = aux_sym_end_module_procedure_statement_token1,
  },
  [172] = {
    [1] = aux_sym_select_type_statement_token1,
    [2] = aux_sym_select_type_statement_token1,
  },
  [173] = {
    [1] = aux_sym_select_rank_statement_token1,
    [2] = aux_sym_select_rank_statement_token1,
  },
  [174] = {
    [1] = aux_sym_select_case_statement_token1,
    [2] = aux_sym_select_case_statement_token1,
  },
  [178] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [180] = {
    [5] = alias_sym_concurrent_mask,
  },
  [182] = {
    [0] = aux_sym_elseif_clause_token2,
  },
  [183] = {
    [0] = aux_sym_type_statement_token1,
  },
  [184] = {
    [0] = aux_sym_type_statement_token3,
  },
  [187] = {
    [2] = alias_sym_procedure_interface,
  },
  [188] = {
    [2] = alias_sym_procedure_interface,
  },
  [189] = {
    [6] = alias_sym_derived_type_parameter_list,
  },
  [193] = {
    [6] = alias_sym_concurrent_mask,
  },
  [194] = {
    [0] = aux_sym_elseif_clause_token2,
    [1] = aux_sym_elseif_clause_token2,
  },
  [195] = {
    [0] = aux_sym_type_statement_token1,
  },
  [196] = {
    [0] = aux_sym_type_statement_token3,
    [1] = aux_sym_type_statement_token3,
  },
  [198] = {
    [2] = alias_sym_procedure_interface,
  },
  [199] = {
    [2] = alias_sym_procedure_interface,
  },
  [200] = {
    [7] = alias_sym_derived_type_parameter_list,
  },
  [202] = {
    [7] = alias_sym_concurrent_mask,
  },
  [204] = {
    [2] = alias_sym_procedure_interface,
  },
  [205] = {
    [2] = alias_sym_procedure_interface,
  },
  [206] = {
    [2] = alias_sym_procedure_interface,
  },
  [207] = {
    [2] = alias_sym_procedure_interface,
  },
  [208] = {
    [2] = alias_sym_procedure_interface,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__intrinsic_type, 2,
    sym__intrinsic_type,
    sym_intrinsic_type,
  sym__standalone_type_qualifier, 2,
    sym__standalone_type_qualifier,
    sym_type_qualifier,
  sym_statement_label, 2,
    sym_statement_label,
    anon_alias_sym_statement_label_reference,
  sym__transfer_items, 2,
    sym__transfer_items,
    alias_sym_transfer_items,
  sym__expression, 2,
    sym__expression,
    alias_sym_concurrent_mask,
  sym_argument_list, 3,
    sym_argument_list,
    alias_sym_derived_type_parameter_list,
    alias_sym_size,
  sym_string_literal, 2,
    sym_string_literal,
    alias_sym_filename,
  sym_coarray_index, 2,
    sym_coarray_index,
    alias_sym_coarray_size,
  sym_identifier, 10,
    sym_identifier,
    alias_sym_block_label,
    alias_sym_local_name,
    alias_sym_name,
    alias_sym_procedure_interface,
    alias_sym_type_member,
    alias_sym_type_name,
    anon_alias_sym_label,
    anon_alias_sym_method_name,
    sym_module_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 3,
  [6] = 3,
  [7] = 3,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 8,
  [14] = 14,
  [15] = 8,
  [16] = 9,
  [17] = 14,
  [18] = 8,
  [19] = 9,
  [20] = 14,
  [21] = 9,
  [22] = 9,
  [23] = 14,
  [24] = 8,
  [25] = 14,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 27,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 32,
  [36] = 28,
  [37] = 37,
  [38] = 31,
  [39] = 28,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 27,
  [44] = 31,
  [45] = 32,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 46,
  [51] = 51,
  [52] = 52,
  [53] = 46,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 57,
  [59] = 57,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 60,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 61,
  [68] = 62,
  [69] = 60,
  [70] = 62,
  [71] = 61,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 81,
  [83] = 81,
  [84] = 81,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 85,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 91,
  [93] = 93,
  [94] = 86,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 89,
  [100] = 100,
  [101] = 101,
  [102] = 89,
  [103] = 103,
  [104] = 91,
  [105] = 86,
  [106] = 97,
  [107] = 101,
  [108] = 98,
  [109] = 97,
  [110] = 85,
  [111] = 89,
  [112] = 91,
  [113] = 86,
  [114] = 97,
  [115] = 101,
  [116] = 98,
  [117] = 101,
  [118] = 98,
  [119] = 85,
  [120] = 120,
  [121] = 121,
  [122] = 120,
  [123] = 123,
  [124] = 123,
  [125] = 125,
  [126] = 125,
  [127] = 127,
  [128] = 125,
  [129] = 129,
  [130] = 120,
  [131] = 127,
  [132] = 120,
  [133] = 129,
  [134] = 129,
  [135] = 121,
  [136] = 127,
  [137] = 120,
  [138] = 127,
  [139] = 123,
  [140] = 125,
  [141] = 129,
  [142] = 127,
  [143] = 120,
  [144] = 121,
  [145] = 129,
  [146] = 121,
  [147] = 121,
  [148] = 123,
  [149] = 127,
  [150] = 125,
  [151] = 127,
  [152] = 120,
  [153] = 129,
  [154] = 121,
  [155] = 123,
  [156] = 125,
  [157] = 127,
  [158] = 120,
  [159] = 129,
  [160] = 121,
  [161] = 123,
  [162] = 125,
  [163] = 127,
  [164] = 120,
  [165] = 129,
  [166] = 121,
  [167] = 123,
  [168] = 125,
  [169] = 127,
  [170] = 120,
  [171] = 129,
  [172] = 121,
  [173] = 127,
  [174] = 120,
  [175] = 129,
  [176] = 121,
  [177] = 127,
  [178] = 120,
  [179] = 129,
  [180] = 121,
  [181] = 127,
  [182] = 120,
  [183] = 129,
  [184] = 121,
  [185] = 129,
  [186] = 121,
  [187] = 123,
  [188] = 188,
  [189] = 189,
  [190] = 188,
  [191] = 191,
  [192] = 189,
  [193] = 188,
  [194] = 189,
  [195] = 191,
  [196] = 191,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 209,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 211,
  [215] = 213,
  [216] = 212,
  [217] = 213,
  [218] = 209,
  [219] = 219,
  [220] = 211,
  [221] = 212,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 226,
  [232] = 228,
  [233] = 233,
  [234] = 234,
  [235] = 233,
  [236] = 230,
  [237] = 228,
  [238] = 230,
  [239] = 239,
  [240] = 233,
  [241] = 241,
  [242] = 242,
  [243] = 241,
  [244] = 241,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 247,
  [254] = 254,
  [255] = 246,
  [256] = 248,
  [257] = 250,
  [258] = 247,
  [259] = 250,
  [260] = 252,
  [261] = 261,
  [262] = 262,
  [263] = 252,
  [264] = 261,
  [265] = 265,
  [266] = 261,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 254,
  [276] = 276,
  [277] = 277,
  [278] = 254,
  [279] = 246,
  [280] = 248,
  [281] = 281,
  [282] = 281,
  [283] = 281,
  [284] = 284,
  [285] = 281,
  [286] = 281,
  [287] = 281,
  [288] = 281,
  [289] = 281,
  [290] = 281,
  [291] = 281,
  [292] = 281,
  [293] = 281,
  [294] = 281,
  [295] = 281,
  [296] = 281,
  [297] = 281,
  [298] = 281,
  [299] = 281,
  [300] = 281,
  [301] = 301,
  [302] = 301,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 304,
  [307] = 307,
  [308] = 304,
  [309] = 305,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 310,
  [318] = 312,
  [319] = 313,
  [320] = 314,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 303,
  [325] = 307,
  [326] = 301,
  [327] = 301,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 305,
  [332] = 321,
  [333] = 333,
  [334] = 334,
  [335] = 316,
  [336] = 336,
  [337] = 316,
  [338] = 310,
  [339] = 312,
  [340] = 313,
  [341] = 314,
  [342] = 321,
  [343] = 322,
  [344] = 323,
  [345] = 303,
  [346] = 307,
  [347] = 301,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 316,
  [353] = 310,
  [354] = 312,
  [355] = 313,
  [356] = 314,
  [357] = 321,
  [358] = 322,
  [359] = 323,
  [360] = 303,
  [361] = 307,
  [362] = 301,
  [363] = 363,
  [364] = 310,
  [365] = 312,
  [366] = 313,
  [367] = 322,
  [368] = 323,
  [369] = 303,
  [370] = 301,
  [371] = 310,
  [372] = 312,
  [373] = 313,
  [374] = 322,
  [375] = 323,
  [376] = 303,
  [377] = 301,
  [378] = 310,
  [379] = 312,
  [380] = 313,
  [381] = 322,
  [382] = 323,
  [383] = 303,
  [384] = 301,
  [385] = 310,
  [386] = 312,
  [387] = 313,
  [388] = 322,
  [389] = 323,
  [390] = 303,
  [391] = 301,
  [392] = 310,
  [393] = 312,
  [394] = 313,
  [395] = 322,
  [396] = 323,
  [397] = 303,
  [398] = 301,
  [399] = 310,
  [400] = 312,
  [401] = 313,
  [402] = 322,
  [403] = 323,
  [404] = 303,
  [405] = 301,
  [406] = 322,
  [407] = 310,
  [408] = 312,
  [409] = 313,
  [410] = 322,
  [411] = 323,
  [412] = 303,
  [413] = 301,
  [414] = 323,
  [415] = 310,
  [416] = 312,
  [417] = 313,
  [418] = 322,
  [419] = 323,
  [420] = 303,
  [421] = 301,
  [422] = 310,
  [423] = 312,
  [424] = 313,
  [425] = 322,
  [426] = 323,
  [427] = 303,
  [428] = 301,
  [429] = 310,
  [430] = 312,
  [431] = 313,
  [432] = 322,
  [433] = 323,
  [434] = 303,
  [435] = 304,
  [436] = 310,
  [437] = 312,
  [438] = 313,
  [439] = 322,
  [440] = 323,
  [441] = 303,
  [442] = 301,
  [443] = 310,
  [444] = 312,
  [445] = 313,
  [446] = 322,
  [447] = 323,
  [448] = 303,
  [449] = 301,
  [450] = 310,
  [451] = 312,
  [452] = 313,
  [453] = 322,
  [454] = 323,
  [455] = 303,
  [456] = 301,
  [457] = 310,
  [458] = 312,
  [459] = 313,
  [460] = 322,
  [461] = 323,
  [462] = 303,
  [463] = 301,
  [464] = 305,
  [465] = 310,
  [466] = 312,
  [467] = 313,
  [468] = 322,
  [469] = 323,
  [470] = 303,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 473,
  [477] = 477,
  [478] = 475,
  [479] = 475,
  [480] = 480,
  [481] = 474,
  [482] = 472,
  [483] = 473,
  [484] = 475,
  [485] = 477,
  [486] = 480,
  [487] = 474,
  [488] = 472,
  [489] = 473,
  [490] = 475,
  [491] = 477,
  [492] = 480,
  [493] = 474,
  [494] = 472,
  [495] = 473,
  [496] = 475,
  [497] = 477,
  [498] = 480,
  [499] = 474,
  [500] = 472,
  [501] = 473,
  [502] = 475,
  [503] = 477,
  [504] = 477,
  [505] = 480,
  [506] = 474,
  [507] = 472,
  [508] = 472,
  [509] = 475,
  [510] = 477,
  [511] = 480,
  [512] = 474,
  [513] = 472,
  [514] = 473,
  [515] = 475,
  [516] = 474,
  [517] = 472,
  [518] = 473,
  [519] = 475,
  [520] = 474,
  [521] = 472,
  [522] = 473,
  [523] = 475,
  [524] = 524,
  [525] = 474,
  [526] = 474,
  [527] = 472,
  [528] = 473,
  [529] = 475,
  [530] = 472,
  [531] = 473,
  [532] = 475,
  [533] = 477,
  [534] = 480,
  [535] = 474,
  [536] = 480,
  [537] = 474,
  [538] = 472,
  [539] = 473,
  [540] = 473,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 524,
  [562] = 562,
  [563] = 524,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 554,
  [570] = 524,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 572,
  [578] = 568,
  [579] = 579,
  [580] = 542,
  [581] = 565,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 544,
  [591] = 546,
  [592] = 592,
  [593] = 552,
  [594] = 566,
  [595] = 543,
  [596] = 572,
  [597] = 551,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 558,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 547,
  [606] = 606,
  [607] = 550,
  [608] = 559,
  [609] = 587,
  [610] = 610,
  [611] = 541,
  [612] = 612,
  [613] = 564,
  [614] = 575,
  [615] = 587,
  [616] = 616,
  [617] = 555,
  [618] = 545,
  [619] = 619,
  [620] = 575,
  [621] = 557,
  [622] = 549,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 626,
  [632] = 632,
  [633] = 626,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 524,
  [644] = 524,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 586,
  [655] = 524,
  [656] = 656,
  [657] = 524,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 573,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 588,
  [670] = 670,
  [671] = 660,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 524,
  [676] = 676,
  [677] = 660,
  [678] = 678,
  [679] = 598,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 599,
  [687] = 687,
  [688] = 688,
  [689] = 574,
  [690] = 690,
  [691] = 691,
  [692] = 576,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 660,
  [697] = 697,
  [698] = 604,
  [699] = 699,
  [700] = 551,
  [701] = 558,
  [702] = 702,
  [703] = 576,
  [704] = 524,
  [705] = 602,
  [706] = 606,
  [707] = 600,
  [708] = 603,
  [709] = 559,
  [710] = 606,
  [711] = 565,
  [712] = 524,
  [713] = 604,
  [714] = 547,
  [715] = 550,
  [716] = 585,
  [717] = 524,
  [718] = 524,
  [719] = 554,
  [720] = 598,
  [721] = 524,
  [722] = 568,
  [723] = 612,
  [724] = 585,
  [725] = 586,
  [726] = 544,
  [727] = 727,
  [728] = 612,
  [729] = 588,
  [730] = 546,
  [731] = 524,
  [732] = 732,
  [733] = 582,
  [734] = 603,
  [735] = 555,
  [736] = 557,
  [737] = 564,
  [738] = 524,
  [739] = 589,
  [740] = 589,
  [741] = 541,
  [742] = 542,
  [743] = 552,
  [744] = 582,
  [745] = 524,
  [746] = 566,
  [747] = 543,
  [748] = 524,
  [749] = 599,
  [750] = 573,
  [751] = 545,
  [752] = 549,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 602,
  [759] = 574,
  [760] = 600,
  [761] = 761,
  [762] = 630,
  [763] = 524,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 630,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 779,
  [786] = 784,
  [787] = 779,
  [788] = 784,
  [789] = 779,
  [790] = 779,
  [791] = 779,
  [792] = 792,
  [793] = 792,
  [794] = 792,
  [795] = 795,
  [796] = 792,
  [797] = 792,
  [798] = 795,
  [799] = 792,
  [800] = 792,
  [801] = 795,
  [802] = 792,
  [803] = 792,
  [804] = 792,
  [805] = 792,
  [806] = 792,
  [807] = 792,
  [808] = 792,
  [809] = 792,
  [810] = 792,
  [811] = 792,
  [812] = 792,
  [813] = 792,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 814,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 821,
  [835] = 822,
  [836] = 827,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 854,
  [881] = 864,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 865,
  [894] = 873,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 907,
  [910] = 829,
  [911] = 911,
  [912] = 831,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 814,
  [919] = 919,
  [920] = 920,
  [921] = 825,
  [922] = 821,
  [923] = 822,
  [924] = 823,
  [925] = 824,
  [926] = 832,
  [927] = 823,
  [928] = 833,
  [929] = 911,
  [930] = 825,
  [931] = 826,
  [932] = 827,
  [933] = 828,
  [934] = 827,
  [935] = 826,
  [936] = 936,
  [937] = 824,
  [938] = 938,
  [939] = 830,
  [940] = 830,
  [941] = 941,
  [942] = 831,
  [943] = 943,
  [944] = 832,
  [945] = 814,
  [946] = 936,
  [947] = 947,
  [948] = 814,
  [949] = 949,
  [950] = 938,
  [951] = 821,
  [952] = 822,
  [953] = 822,
  [954] = 947,
  [955] = 827,
  [956] = 833,
  [957] = 828,
  [958] = 949,
  [959] = 829,
  [960] = 914,
  [961] = 821,
  [962] = 913,
  [963] = 858,
  [964] = 868,
  [965] = 854,
  [966] = 869,
  [967] = 870,
  [968] = 901,
  [969] = 876,
  [970] = 872,
  [971] = 877,
  [972] = 882,
  [973] = 883,
  [974] = 888,
  [975] = 889,
  [976] = 890,
  [977] = 856,
  [978] = 891,
  [979] = 906,
  [980] = 837,
  [981] = 892,
  [982] = 982,
  [983] = 983,
  [984] = 845,
  [985] = 854,
  [986] = 982,
  [987] = 987,
  [988] = 988,
  [989] = 846,
  [990] = 983,
  [991] = 896,
  [992] = 903,
  [993] = 849,
  [994] = 850,
  [995] = 857,
  [996] = 871,
  [997] = 872,
  [998] = 878,
  [999] = 873,
  [1000] = 884,
  [1001] = 885,
  [1002] = 886,
  [1003] = 887,
  [1004] = 864,
  [1005] = 865,
  [1006] = 982,
  [1007] = 983,
  [1008] = 838,
  [1009] = 859,
  [1010] = 860,
  [1011] = 888,
  [1012] = 889,
  [1013] = 890,
  [1014] = 891,
  [1015] = 837,
  [1016] = 892,
  [1017] = 873,
  [1018] = 861,
  [1019] = 862,
  [1020] = 863,
  [1021] = 899,
  [1022] = 895,
  [1023] = 902,
  [1024] = 904,
  [1025] = 855,
  [1026] = 867,
  [1027] = 906,
  [1028] = 866,
  [1029] = 843,
  [1030] = 879,
  [1031] = 876,
  [1032] = 896,
  [1033] = 897,
  [1034] = 898,
  [1035] = 875,
  [1036] = 899,
  [1037] = 900,
  [1038] = 901,
  [1039] = 900,
  [1040] = 851,
  [1041] = 884,
  [1042] = 885,
  [1043] = 852,
  [1044] = 886,
  [1045] = 887,
  [1046] = 853,
  [1047] = 897,
  [1048] = 898,
  [1049] = 882,
  [1050] = 877,
  [1051] = 883,
  [1052] = 847,
  [1053] = 842,
  [1054] = 843,
  [1055] = 844,
  [1056] = 845,
  [1057] = 846,
  [1058] = 847,
  [1059] = 841,
  [1060] = 848,
  [1061] = 849,
  [1062] = 850,
  [1063] = 851,
  [1064] = 852,
  [1065] = 853,
  [1066] = 895,
  [1067] = 902,
  [1068] = 864,
  [1069] = 854,
  [1070] = 856,
  [1071] = 857,
  [1072] = 858,
  [1073] = 859,
  [1074] = 860,
  [1075] = 861,
  [1076] = 862,
  [1077] = 863,
  [1078] = 903,
  [1079] = 842,
  [1080] = 904,
  [1081] = 905,
  [1082] = 838,
  [1083] = 855,
  [1084] = 864,
  [1085] = 874,
  [1086] = 839,
  [1087] = 840,
  [1088] = 865,
  [1089] = 841,
  [1090] = 866,
  [1091] = 867,
  [1092] = 987,
  [1093] = 868,
  [1094] = 869,
  [1095] = 870,
  [1096] = 987,
  [1097] = 871,
  [1098] = 988,
  [1099] = 844,
  [1100] = 874,
  [1101] = 848,
  [1102] = 875,
  [1103] = 839,
  [1104] = 840,
  [1105] = 879,
  [1106] = 873,
  [1107] = 905,
  [1108] = 878,
  [1109] = 865,
  [1110] = 988,
  [1111] = 1111,
  [1112] = 1111,
  [1113] = 630,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 816,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 817,
  [1135] = 1135,
  [1136] = 818,
  [1137] = 819,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 815,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1126,
  [1158] = 1125,
  [1159] = 1152,
  [1160] = 903,
  [1161] = 896,
  [1162] = 1140,
  [1163] = 1141,
  [1164] = 1135,
  [1165] = 1142,
  [1166] = 905,
  [1167] = 838,
  [1168] = 874,
  [1169] = 839,
  [1170] = 840,
  [1171] = 841,
  [1172] = 1145,
  [1173] = 1147,
  [1174] = 1128,
  [1175] = 1146,
  [1176] = 1148,
  [1177] = 898,
  [1178] = 899,
  [1179] = 1150,
  [1180] = 1151,
  [1181] = 1133,
  [1182] = 900,
  [1183] = 1127,
  [1184] = 901,
  [1185] = 1149,
  [1186] = 1143,
  [1187] = 1155,
  [1188] = 1122,
  [1189] = 1132,
  [1190] = 897,
  [1191] = 630,
  [1192] = 1120,
  [1193] = 1116,
  [1194] = 1114,
  [1195] = 1119,
  [1196] = 1117,
  [1197] = 1115,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1206,
  [1210] = 1200,
  [1211] = 1211,
  [1212] = 1119,
  [1213] = 1213,
  [1214] = 1201,
  [1215] = 1204,
  [1216] = 1216,
  [1217] = 1205,
  [1218] = 1198,
  [1219] = 1219,
  [1220] = 1206,
  [1221] = 1207,
  [1222] = 1222,
  [1223] = 1120,
  [1224] = 1129,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1219,
  [1230] = 1230,
  [1231] = 1207,
  [1232] = 1202,
  [1233] = 1203,
  [1234] = 1234,
  [1235] = 1114,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1230,
  [1240] = 1240,
  [1241] = 1227,
  [1242] = 1242,
  [1243] = 1116,
  [1244] = 1139,
  [1245] = 1200,
  [1246] = 1211,
  [1247] = 1225,
  [1248] = 1222,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1234,
  [1252] = 1236,
  [1253] = 1201,
  [1254] = 1126,
  [1255] = 1127,
  [1256] = 1226,
  [1257] = 1240,
  [1258] = 1121,
  [1259] = 1242,
  [1260] = 1227,
  [1261] = 1242,
  [1262] = 1147,
  [1263] = 1149,
  [1264] = 1222,
  [1265] = 1150,
  [1266] = 1152,
  [1267] = 1237,
  [1268] = 1135,
  [1269] = 1237,
  [1270] = 1117,
  [1271] = 1271,
  [1272] = 1216,
  [1273] = 1228,
  [1274] = 1250,
  [1275] = 1201,
  [1276] = 1128,
  [1277] = 1142,
  [1278] = 1145,
  [1279] = 1146,
  [1280] = 1202,
  [1281] = 1203,
  [1282] = 1148,
  [1283] = 1151,
  [1284] = 1199,
  [1285] = 1208,
  [1286] = 1204,
  [1287] = 1202,
  [1288] = 1205,
  [1289] = 1203,
  [1290] = 1206,
  [1291] = 1138,
  [1292] = 1228,
  [1293] = 1130,
  [1294] = 1198,
  [1295] = 1219,
  [1296] = 1207,
  [1297] = 1211,
  [1298] = 1225,
  [1299] = 1230,
  [1300] = 1199,
  [1301] = 1208,
  [1302] = 1271,
  [1303] = 1249,
  [1304] = 1250,
  [1305] = 1204,
  [1306] = 1234,
  [1307] = 1236,
  [1308] = 1216,
  [1309] = 1155,
  [1310] = 1122,
  [1311] = 1271,
  [1312] = 1140,
  [1313] = 1141,
  [1314] = 1240,
  [1315] = 1133,
  [1316] = 1143,
  [1317] = 1211,
  [1318] = 1225,
  [1319] = 1249,
  [1320] = 1132,
  [1321] = 1125,
  [1322] = 1227,
  [1323] = 1242,
  [1324] = 1205,
  [1325] = 1222,
  [1326] = 1115,
  [1327] = 1249,
  [1328] = 1237,
  [1329] = 1228,
  [1330] = 1250,
  [1331] = 1234,
  [1332] = 1236,
  [1333] = 1144,
  [1334] = 1123,
  [1335] = 1226,
  [1336] = 1240,
  [1337] = 1200,
  [1338] = 903,
  [1339] = 1339,
  [1340] = 1148,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 841,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1132,
  [1349] = 815,
  [1350] = 1350,
  [1351] = 816,
  [1352] = 1352,
  [1353] = 817,
  [1354] = 1354,
  [1355] = 818,
  [1356] = 819,
  [1357] = 1357,
  [1358] = 1129,
  [1359] = 1132,
  [1360] = 1360,
  [1361] = 1125,
  [1362] = 903,
  [1363] = 1126,
  [1364] = 1342,
  [1365] = 1127,
  [1366] = 1366,
  [1367] = 903,
  [1368] = 1147,
  [1369] = 1149,
  [1370] = 1150,
  [1371] = 1152,
  [1372] = 1135,
  [1373] = 896,
  [1374] = 905,
  [1375] = 838,
  [1376] = 1128,
  [1377] = 905,
  [1378] = 874,
  [1379] = 1142,
  [1380] = 1145,
  [1381] = 1146,
  [1382] = 1148,
  [1383] = 897,
  [1384] = 898,
  [1385] = 1151,
  [1386] = 1155,
  [1387] = 1122,
  [1388] = 896,
  [1389] = 839,
  [1390] = 840,
  [1391] = 1126,
  [1392] = 1127,
  [1393] = 838,
  [1394] = 1140,
  [1395] = 874,
  [1396] = 1141,
  [1397] = 897,
  [1398] = 839,
  [1399] = 898,
  [1400] = 1147,
  [1401] = 1149,
  [1402] = 1150,
  [1403] = 1152,
  [1404] = 1135,
  [1405] = 1133,
  [1406] = 1143,
  [1407] = 899,
  [1408] = 899,
  [1409] = 900,
  [1410] = 1410,
  [1411] = 1130,
  [1412] = 840,
  [1413] = 841,
  [1414] = 900,
  [1415] = 1128,
  [1416] = 841,
  [1417] = 1142,
  [1418] = 1145,
  [1419] = 903,
  [1420] = 1146,
  [1421] = 1148,
  [1422] = 1132,
  [1423] = 905,
  [1424] = 1125,
  [1425] = 901,
  [1426] = 838,
  [1427] = 1151,
  [1428] = 1428,
  [1429] = 874,
  [1430] = 1155,
  [1431] = 1431,
  [1432] = 1122,
  [1433] = 896,
  [1434] = 839,
  [1435] = 840,
  [1436] = 901,
  [1437] = 841,
  [1438] = 1438,
  [1439] = 1125,
  [1440] = 1440,
  [1441] = 1360,
  [1442] = 1357,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1150,
  [1446] = 1140,
  [1447] = 1360,
  [1448] = 1151,
  [1449] = 1141,
  [1450] = 897,
  [1451] = 898,
  [1452] = 1354,
  [1453] = 1410,
  [1454] = 1346,
  [1455] = 896,
  [1456] = 1456,
  [1457] = 1366,
  [1458] = 1440,
  [1459] = 1459,
  [1460] = 897,
  [1461] = 1461,
  [1462] = 1410,
  [1463] = 898,
  [1464] = 1456,
  [1465] = 899,
  [1466] = 1140,
  [1467] = 1133,
  [1468] = 1143,
  [1469] = 1469,
  [1470] = 1341,
  [1471] = 899,
  [1472] = 1366,
  [1473] = 900,
  [1474] = 1121,
  [1475] = 900,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1339,
  [1479] = 1461,
  [1480] = 901,
  [1481] = 1133,
  [1482] = 1155,
  [1483] = 1122,
  [1484] = 1144,
  [1485] = 1485,
  [1486] = 1132,
  [1487] = 1125,
  [1488] = 901,
  [1489] = 1489,
  [1490] = 1459,
  [1491] = 1491,
  [1492] = 1444,
  [1493] = 1143,
  [1494] = 1476,
  [1495] = 1477,
  [1496] = 1339,
  [1497] = 1497,
  [1498] = 1345,
  [1499] = 1140,
  [1500] = 1346,
  [1501] = 1345,
  [1502] = 1346,
  [1503] = 1141,
  [1504] = 1141,
  [1505] = 1431,
  [1506] = 1128,
  [1507] = 1142,
  [1508] = 1491,
  [1509] = 1497,
  [1510] = 1352,
  [1511] = 1438,
  [1512] = 1443,
  [1513] = 1145,
  [1514] = 1155,
  [1515] = 1146,
  [1516] = 1148,
  [1517] = 1469,
  [1518] = 1352,
  [1519] = 1438,
  [1520] = 1520,
  [1521] = 1126,
  [1522] = 1341,
  [1523] = 1347,
  [1524] = 1133,
  [1525] = 1350,
  [1526] = 1354,
  [1527] = 1459,
  [1528] = 1443,
  [1529] = 1444,
  [1530] = 1143,
  [1531] = 1132,
  [1532] = 1127,
  [1533] = 1476,
  [1534] = 1456,
  [1535] = 1342,
  [1536] = 1477,
  [1537] = 1537,
  [1538] = 1122,
  [1539] = 1125,
  [1540] = 1339,
  [1541] = 1366,
  [1542] = 1128,
  [1543] = 1142,
  [1544] = 1147,
  [1545] = 1491,
  [1546] = 1428,
  [1547] = 1440,
  [1548] = 1431,
  [1549] = 1461,
  [1550] = 1461,
  [1551] = 1497,
  [1552] = 1428,
  [1553] = 1485,
  [1554] = 1123,
  [1555] = 1357,
  [1556] = 1152,
  [1557] = 1485,
  [1558] = 1347,
  [1559] = 1360,
  [1560] = 1145,
  [1561] = 1352,
  [1562] = 1126,
  [1563] = 1127,
  [1564] = 1410,
  [1565] = 1438,
  [1566] = 1146,
  [1567] = 1440,
  [1568] = 1147,
  [1569] = 1149,
  [1570] = 1150,
  [1571] = 1152,
  [1572] = 1135,
  [1573] = 1350,
  [1574] = 1354,
  [1575] = 1443,
  [1576] = 1133,
  [1577] = 1128,
  [1578] = 1142,
  [1579] = 1145,
  [1580] = 1143,
  [1581] = 1146,
  [1582] = 1148,
  [1583] = 1151,
  [1584] = 1476,
  [1585] = 1428,
  [1586] = 1477,
  [1587] = 1345,
  [1588] = 1431,
  [1589] = 1151,
  [1590] = 1357,
  [1591] = 896,
  [1592] = 1469,
  [1593] = 1138,
  [1594] = 905,
  [1595] = 838,
  [1596] = 874,
  [1597] = 897,
  [1598] = 898,
  [1599] = 839,
  [1600] = 1135,
  [1601] = 1469,
  [1602] = 1149,
  [1603] = 840,
  [1604] = 899,
  [1605] = 900,
  [1606] = 841,
  [1607] = 901,
  [1608] = 903,
  [1609] = 1155,
  [1610] = 1122,
  [1611] = 1126,
  [1612] = 1127,
  [1613] = 1341,
  [1614] = 905,
  [1615] = 838,
  [1616] = 874,
  [1617] = 1140,
  [1618] = 1141,
  [1619] = 1147,
  [1620] = 1149,
  [1621] = 1150,
  [1622] = 1152,
  [1623] = 1135,
  [1624] = 839,
  [1625] = 840,
  [1626] = 1485,
  [1627] = 1143,
  [1628] = 1151,
  [1629] = 1155,
  [1630] = 1122,
  [1631] = 1140,
  [1632] = 1141,
  [1633] = 897,
  [1634] = 1133,
  [1635] = 1132,
  [1636] = 1125,
  [1637] = 1147,
  [1638] = 1149,
  [1639] = 903,
  [1640] = 901,
  [1641] = 896,
  [1642] = 898,
  [1643] = 905,
  [1644] = 838,
  [1645] = 874,
  [1646] = 1150,
  [1647] = 1128,
  [1648] = 1127,
  [1649] = 1152,
  [1650] = 839,
  [1651] = 840,
  [1652] = 899,
  [1653] = 1142,
  [1654] = 900,
  [1655] = 1145,
  [1656] = 1135,
  [1657] = 841,
  [1658] = 1146,
  [1659] = 1148,
  [1660] = 1126,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1662,
  [1665] = 1662,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1667,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1680,
  [1687] = 1677,
  [1688] = 1676,
  [1689] = 1678,
  [1690] = 1679,
  [1691] = 1681,
  [1692] = 1682,
  [1693] = 1667,
  [1694] = 816,
  [1695] = 817,
  [1696] = 818,
  [1697] = 819,
  [1698] = 815,
  [1699] = 1668,
  [1700] = 1669,
  [1701] = 1670,
  [1702] = 1671,
  [1703] = 1672,
  [1704] = 1673,
  [1705] = 1674,
  [1706] = 1675,
  [1707] = 1680,
  [1708] = 1677,
  [1709] = 1676,
  [1710] = 1678,
  [1711] = 1679,
  [1712] = 1681,
  [1713] = 1682,
  [1714] = 1668,
  [1715] = 1715,
  [1716] = 903,
  [1717] = 905,
  [1718] = 838,
  [1719] = 874,
  [1720] = 839,
  [1721] = 840,
  [1722] = 841,
  [1723] = 1669,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1670,
  [1728] = 1728,
  [1729] = 1673,
  [1730] = 1730,
  [1731] = 1674,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1675,
  [1735] = 1724,
  [1736] = 1725,
  [1737] = 1724,
  [1738] = 1725,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1724,
  [1742] = 1725,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1724,
  [1746] = 1725,
  [1747] = 1724,
  [1748] = 1725,
  [1749] = 1724,
  [1750] = 1725,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1671,
  [1754] = 1754,
  [1755] = 1724,
  [1756] = 1725,
  [1757] = 1757,
  [1758] = 1724,
  [1759] = 1725,
  [1760] = 1760,
  [1761] = 1672,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1674,
  [1765] = 1733,
  [1766] = 1739,
  [1767] = 1743,
  [1768] = 1752,
  [1769] = 1754,
  [1770] = 1760,
  [1771] = 1762,
  [1772] = 1744,
  [1773] = 1740,
  [1774] = 1730,
  [1775] = 1751,
  [1776] = 1715,
  [1777] = 1763,
  [1778] = 1728,
  [1779] = 1757,
  [1780] = 1730,
  [1781] = 1732,
  [1782] = 1740,
  [1783] = 1732,
  [1784] = 1751,
  [1785] = 1684,
  [1786] = 1757,
  [1787] = 1685,
  [1788] = 1684,
  [1789] = 1685,
  [1790] = 1733,
  [1791] = 1739,
  [1792] = 1743,
  [1793] = 1752,
  [1794] = 1754,
  [1795] = 1760,
  [1796] = 1762,
  [1797] = 1744,
  [1798] = 1715,
  [1799] = 1763,
  [1800] = 1800,
  [1801] = 1669,
  [1802] = 1670,
  [1803] = 1671,
  [1804] = 1672,
  [1805] = 1673,
  [1806] = 1675,
  [1807] = 1680,
  [1808] = 1677,
  [1809] = 1676,
  [1810] = 1728,
  [1811] = 1678,
  [1812] = 1679,
  [1813] = 1681,
  [1814] = 1682,
  [1815] = 1667,
  [1816] = 903,
  [1817] = 905,
  [1818] = 838,
  [1819] = 874,
  [1820] = 839,
  [1821] = 840,
  [1822] = 841,
  [1823] = 903,
  [1824] = 905,
  [1825] = 838,
  [1826] = 874,
  [1827] = 839,
  [1828] = 840,
  [1829] = 841,
  [1830] = 1830,
  [1831] = 1800,
  [1832] = 1830,
  [1833] = 1800,
  [1834] = 1830,
  [1835] = 1668,
  [1836] = 1739,
  [1837] = 841,
  [1838] = 1715,
  [1839] = 1763,
  [1840] = 1728,
  [1841] = 1730,
  [1842] = 1732,
  [1843] = 1740,
  [1844] = 1751,
  [1845] = 1757,
  [1846] = 1684,
  [1847] = 1685,
  [1848] = 1733,
  [1849] = 1743,
  [1850] = 1752,
  [1851] = 1754,
  [1852] = 1760,
  [1853] = 1762,
  [1854] = 1744,
  [1855] = 903,
  [1856] = 905,
  [1857] = 838,
  [1858] = 874,
  [1859] = 839,
  [1860] = 840,
  [1861] = 1676,
  [1862] = 1682,
  [1863] = 1676,
  [1864] = 1669,
  [1865] = 1667,
  [1866] = 1675,
  [1867] = 1670,
  [1868] = 1678,
  [1869] = 1680,
  [1870] = 1668,
  [1871] = 1668,
  [1872] = 1672,
  [1873] = 1673,
  [1874] = 1677,
  [1875] = 1679,
  [1876] = 1681,
  [1877] = 1674,
  [1878] = 1669,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1671,
  [1882] = 1880,
  [1883] = 1671,
  [1884] = 1672,
  [1885] = 1879,
  [1886] = 1880,
  [1887] = 1880,
  [1888] = 1673,
  [1889] = 1674,
  [1890] = 1675,
  [1891] = 1879,
  [1892] = 1879,
  [1893] = 1680,
  [1894] = 1879,
  [1895] = 1677,
  [1896] = 1667,
  [1897] = 1879,
  [1898] = 1678,
  [1899] = 1679,
  [1900] = 1681,
  [1901] = 1682,
  [1902] = 1670,
  [1903] = 1680,
  [1904] = 1739,
  [1905] = 1667,
  [1906] = 1680,
  [1907] = 1677,
  [1908] = 1676,
  [1909] = 1678,
  [1910] = 1743,
  [1911] = 1679,
  [1912] = 1681,
  [1913] = 903,
  [1914] = 905,
  [1915] = 838,
  [1916] = 874,
  [1917] = 839,
  [1918] = 840,
  [1919] = 1680,
  [1920] = 841,
  [1921] = 1677,
  [1922] = 1676,
  [1923] = 1678,
  [1924] = 1679,
  [1925] = 1681,
  [1926] = 1682,
  [1927] = 1667,
  [1928] = 1682,
  [1929] = 1752,
  [1930] = 1667,
  [1931] = 1931,
  [1932] = 1754,
  [1933] = 1668,
  [1934] = 1667,
  [1935] = 1760,
  [1936] = 1715,
  [1937] = 1682,
  [1938] = 1669,
  [1939] = 1762,
  [1940] = 1670,
  [1941] = 1744,
  [1942] = 1728,
  [1943] = 1943,
  [1944] = 1757,
  [1945] = 1681,
  [1946] = 1678,
  [1947] = 1679,
  [1948] = 1948,
  [1949] = 1680,
  [1950] = 1677,
  [1951] = 903,
  [1952] = 905,
  [1953] = 838,
  [1954] = 874,
  [1955] = 839,
  [1956] = 840,
  [1957] = 841,
  [1958] = 1676,
  [1959] = 1678,
  [1960] = 1679,
  [1961] = 1681,
  [1962] = 1682,
  [1963] = 1667,
  [1964] = 1744,
  [1965] = 1679,
  [1966] = 1671,
  [1967] = 1672,
  [1968] = 1681,
  [1969] = 1763,
  [1970] = 1684,
  [1971] = 1971,
  [1972] = 1672,
  [1973] = 1673,
  [1974] = 1674,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1728,
  [1979] = 1979,
  [1980] = 1681,
  [1981] = 1685,
  [1982] = 1730,
  [1983] = 1675,
  [1984] = 1984,
  [1985] = 1732,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1682,
  [1991] = 1943,
  [1992] = 1682,
  [1993] = 1993,
  [1994] = 1977,
  [1995] = 1976,
  [1996] = 1671,
  [1997] = 1740,
  [1998] = 1989,
  [1999] = 1948,
  [2000] = 1971,
  [2001] = 1979,
  [2002] = 1948,
  [2003] = 1676,
  [2004] = 1669,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 1751,
  [2008] = 1931,
  [2009] = 1757,
  [2010] = 2010,
  [2011] = 1675,
  [2012] = 1684,
  [2013] = 1685,
  [2014] = 1993,
  [2015] = 1670,
  [2016] = 1715,
  [2017] = 1763,
  [2018] = 1971,
  [2019] = 1668,
  [2020] = 2005,
  [2021] = 1984,
  [2022] = 1668,
  [2023] = 1979,
  [2024] = 1986,
  [2025] = 2006,
  [2026] = 1733,
  [2027] = 1669,
  [2028] = 1987,
  [2029] = 1678,
  [2030] = 1989,
  [2031] = 1988,
  [2032] = 1670,
  [2033] = 1739,
  [2034] = 1677,
  [2035] = 1975,
  [2036] = 1976,
  [2037] = 1740,
  [2038] = 1743,
  [2039] = 1678,
  [2040] = 1673,
  [2041] = 1671,
  [2042] = 2042,
  [2043] = 1674,
  [2044] = 1672,
  [2045] = 1677,
  [2046] = 1680,
  [2047] = 1752,
  [2048] = 1667,
  [2049] = 1751,
  [2050] = 1754,
  [2051] = 1733,
  [2052] = 1679,
  [2053] = 1984,
  [2054] = 1673,
  [2055] = 1674,
  [2056] = 1986,
  [2057] = 1987,
  [2058] = 1988,
  [2059] = 1676,
  [2060] = 1760,
  [2061] = 1732,
  [2062] = 1762,
  [2063] = 1975,
  [2064] = 1730,
  [2065] = 2005,
  [2066] = 2006,
  [2067] = 1680,
  [2068] = 1943,
  [2069] = 1675,
  [2070] = 1677,
  [2071] = 1676,
  [2072] = 1993,
  [2073] = 1977,
  [2074] = 1931,
  [2075] = 1740,
  [2076] = 1668,
  [2077] = 905,
  [2078] = 1733,
  [2079] = 1669,
  [2080] = 1670,
  [2081] = 1739,
  [2082] = 1667,
  [2083] = 1743,
  [2084] = 1671,
  [2085] = 1672,
  [2086] = 1752,
  [2087] = 1743,
  [2088] = 1754,
  [2089] = 838,
  [2090] = 1673,
  [2091] = 1674,
  [2092] = 1760,
  [2093] = 874,
  [2094] = 1762,
  [2095] = 1675,
  [2096] = 1744,
  [2097] = 1668,
  [2098] = 2098,
  [2099] = 1677,
  [2100] = 2100,
  [2101] = 1680,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 1676,
  [2105] = 1677,
  [2106] = 1676,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 1678,
  [2110] = 1679,
  [2111] = 1754,
  [2112] = 1681,
  [2113] = 1682,
  [2114] = 1667,
  [2115] = 1752,
  [2116] = 1680,
  [2117] = 1668,
  [2118] = 1677,
  [2119] = 1676,
  [2120] = 1669,
  [2121] = 1670,
  [2122] = 1678,
  [2123] = 1679,
  [2124] = 1671,
  [2125] = 1672,
  [2126] = 1681,
  [2127] = 1682,
  [2128] = 1673,
  [2129] = 1674,
  [2130] = 1667,
  [2131] = 1675,
  [2132] = 2132,
  [2133] = 1733,
  [2134] = 1739,
  [2135] = 1743,
  [2136] = 1752,
  [2137] = 1754,
  [2138] = 1760,
  [2139] = 1754,
  [2140] = 1762,
  [2141] = 1744,
  [2142] = 1715,
  [2143] = 1669,
  [2144] = 1763,
  [2145] = 1670,
  [2146] = 2146,
  [2147] = 1730,
  [2148] = 1739,
  [2149] = 1728,
  [2150] = 1728,
  [2151] = 1744,
  [2152] = 1760,
  [2153] = 1762,
  [2154] = 1730,
  [2155] = 1730,
  [2156] = 1732,
  [2157] = 839,
  [2158] = 1732,
  [2159] = 840,
  [2160] = 1760,
  [2161] = 1744,
  [2162] = 1740,
  [2163] = 2163,
  [2164] = 1751,
  [2165] = 1740,
  [2166] = 1751,
  [2167] = 1757,
  [2168] = 1684,
  [2169] = 1685,
  [2170] = 2170,
  [2171] = 1678,
  [2172] = 1680,
  [2173] = 1668,
  [2174] = 1677,
  [2175] = 1676,
  [2176] = 1669,
  [2177] = 1670,
  [2178] = 1678,
  [2179] = 1679,
  [2180] = 1671,
  [2181] = 1672,
  [2182] = 1681,
  [2183] = 1682,
  [2184] = 1673,
  [2185] = 1674,
  [2186] = 1667,
  [2187] = 1675,
  [2188] = 1757,
  [2189] = 2189,
  [2190] = 1684,
  [2191] = 903,
  [2192] = 1685,
  [2193] = 1715,
  [2194] = 1763,
  [2195] = 1668,
  [2196] = 2196,
  [2197] = 1733,
  [2198] = 1669,
  [2199] = 1670,
  [2200] = 1739,
  [2201] = 1743,
  [2202] = 1671,
  [2203] = 1672,
  [2204] = 1752,
  [2205] = 1754,
  [2206] = 1673,
  [2207] = 1674,
  [2208] = 1760,
  [2209] = 1762,
  [2210] = 1675,
  [2211] = 1744,
  [2212] = 1680,
  [2213] = 1677,
  [2214] = 1676,
  [2215] = 1678,
  [2216] = 1679,
  [2217] = 1681,
  [2218] = 1682,
  [2219] = 1667,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 1757,
  [2223] = 1680,
  [2224] = 1677,
  [2225] = 1676,
  [2226] = 1678,
  [2227] = 1679,
  [2228] = 1681,
  [2229] = 1682,
  [2230] = 1667,
  [2231] = 903,
  [2232] = 905,
  [2233] = 838,
  [2234] = 2163,
  [2235] = 839,
  [2236] = 840,
  [2237] = 841,
  [2238] = 903,
  [2239] = 905,
  [2240] = 838,
  [2241] = 874,
  [2242] = 839,
  [2243] = 840,
  [2244] = 841,
  [2245] = 1684,
  [2246] = 2098,
  [2247] = 2189,
  [2248] = 1680,
  [2249] = 2100,
  [2250] = 2102,
  [2251] = 841,
  [2252] = 1679,
  [2253] = 1732,
  [2254] = 903,
  [2255] = 905,
  [2256] = 838,
  [2257] = 874,
  [2258] = 839,
  [2259] = 840,
  [2260] = 841,
  [2261] = 2103,
  [2262] = 1744,
  [2263] = 2107,
  [2264] = 2108,
  [2265] = 1752,
  [2266] = 903,
  [2267] = 905,
  [2268] = 838,
  [2269] = 874,
  [2270] = 839,
  [2271] = 840,
  [2272] = 841,
  [2273] = 903,
  [2274] = 905,
  [2275] = 838,
  [2276] = 874,
  [2277] = 839,
  [2278] = 840,
  [2279] = 841,
  [2280] = 1677,
  [2281] = 1752,
  [2282] = 1671,
  [2283] = 1672,
  [2284] = 1681,
  [2285] = 1682,
  [2286] = 1715,
  [2287] = 1754,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 1673,
  [2291] = 1674,
  [2292] = 2132,
  [2293] = 1667,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2170,
  [2297] = 2146,
  [2298] = 2294,
  [2299] = 2163,
  [2300] = 1676,
  [2301] = 2189,
  [2302] = 1675,
  [2303] = 1668,
  [2304] = 2221,
  [2305] = 1680,
  [2306] = 2170,
  [2307] = 1763,
  [2308] = 2196,
  [2309] = 2196,
  [2310] = 2220,
  [2311] = 1668,
  [2312] = 2098,
  [2313] = 2100,
  [2314] = 2102,
  [2315] = 2103,
  [2316] = 1728,
  [2317] = 2107,
  [2318] = 2108,
  [2319] = 1669,
  [2320] = 2132,
  [2321] = 1680,
  [2322] = 1669,
  [2323] = 1670,
  [2324] = 1670,
  [2325] = 1668,
  [2326] = 1677,
  [2327] = 1733,
  [2328] = 1676,
  [2329] = 2221,
  [2330] = 1671,
  [2331] = 1669,
  [2332] = 1670,
  [2333] = 1739,
  [2334] = 1678,
  [2335] = 1672,
  [2336] = 1678,
  [2337] = 1679,
  [2338] = 2288,
  [2339] = 1679,
  [2340] = 1671,
  [2341] = 1672,
  [2342] = 1673,
  [2343] = 2289,
  [2344] = 1674,
  [2345] = 1681,
  [2346] = 1675,
  [2347] = 1682,
  [2348] = 1673,
  [2349] = 1674,
  [2350] = 1667,
  [2351] = 1675,
  [2352] = 1675,
  [2353] = 1671,
  [2354] = 1672,
  [2355] = 1681,
  [2356] = 1751,
  [2357] = 1682,
  [2358] = 1762,
  [2359] = 2220,
  [2360] = 1760,
  [2361] = 1743,
  [2362] = 1680,
  [2363] = 1743,
  [2364] = 1762,
  [2365] = 1685,
  [2366] = 1668,
  [2367] = 1677,
  [2368] = 1676,
  [2369] = 2288,
  [2370] = 2289,
  [2371] = 1673,
  [2372] = 1669,
  [2373] = 1670,
  [2374] = 1678,
  [2375] = 1674,
  [2376] = 1679,
  [2377] = 1671,
  [2378] = 1672,
  [2379] = 1681,
  [2380] = 1682,
  [2381] = 1673,
  [2382] = 1674,
  [2383] = 1667,
  [2384] = 1675,
  [2385] = 1733,
  [2386] = 2295,
  [2387] = 1739,
  [2388] = 2146,
  [2389] = 2295,
  [2390] = 1733,
  [2391] = 2294,
  [2392] = 874,
  [2393] = 1762,
  [2394] = 1762,
  [2395] = 1762,
  [2396] = 1757,
  [2397] = 1730,
  [2398] = 1684,
  [2399] = 903,
  [2400] = 905,
  [2401] = 838,
  [2402] = 874,
  [2403] = 839,
  [2404] = 840,
  [2405] = 841,
  [2406] = 903,
  [2407] = 905,
  [2408] = 838,
  [2409] = 1763,
  [2410] = 839,
  [2411] = 840,
  [2412] = 841,
  [2413] = 1733,
  [2414] = 1744,
  [2415] = 1728,
  [2416] = 1685,
  [2417] = 1739,
  [2418] = 903,
  [2419] = 1743,
  [2420] = 1730,
  [2421] = 905,
  [2422] = 1732,
  [2423] = 838,
  [2424] = 1752,
  [2425] = 874,
  [2426] = 903,
  [2427] = 905,
  [2428] = 838,
  [2429] = 874,
  [2430] = 839,
  [2431] = 840,
  [2432] = 841,
  [2433] = 1754,
  [2434] = 1740,
  [2435] = 839,
  [2436] = 1751,
  [2437] = 840,
  [2438] = 1760,
  [2439] = 1752,
  [2440] = 1762,
  [2441] = 1757,
  [2442] = 1668,
  [2443] = 1684,
  [2444] = 1744,
  [2445] = 1685,
  [2446] = 903,
  [2447] = 905,
  [2448] = 838,
  [2449] = 874,
  [2450] = 839,
  [2451] = 840,
  [2452] = 841,
  [2453] = 841,
  [2454] = 903,
  [2455] = 903,
  [2456] = 905,
  [2457] = 838,
  [2458] = 874,
  [2459] = 839,
  [2460] = 840,
  [2461] = 841,
  [2462] = 1763,
  [2463] = 1760,
  [2464] = 1730,
  [2465] = 1669,
  [2466] = 1732,
  [2467] = 1715,
  [2468] = 905,
  [2469] = 1752,
  [2470] = 838,
  [2471] = 1670,
  [2472] = 1754,
  [2473] = 874,
  [2474] = 2474,
  [2475] = 1680,
  [2476] = 1677,
  [2477] = 1676,
  [2478] = 1763,
  [2479] = 1740,
  [2480] = 1751,
  [2481] = 1678,
  [2482] = 1760,
  [2483] = 1679,
  [2484] = 1762,
  [2485] = 1754,
  [2486] = 1681,
  [2487] = 839,
  [2488] = 1682,
  [2489] = 840,
  [2490] = 2490,
  [2491] = 1667,
  [2492] = 1757,
  [2493] = 1684,
  [2494] = 1733,
  [2495] = 1744,
  [2496] = 1715,
  [2497] = 1732,
  [2498] = 1763,
  [2499] = 1671,
  [2500] = 1672,
  [2501] = 1728,
  [2502] = 1685,
  [2503] = 1715,
  [2504] = 839,
  [2505] = 841,
  [2506] = 841,
  [2507] = 1730,
  [2508] = 1732,
  [2509] = 1673,
  [2510] = 1715,
  [2511] = 1763,
  [2512] = 1674,
  [2513] = 1728,
  [2514] = 1740,
  [2515] = 1760,
  [2516] = 1751,
  [2517] = 1728,
  [2518] = 1757,
  [2519] = 1743,
  [2520] = 1757,
  [2521] = 1757,
  [2522] = 1675,
  [2523] = 1684,
  [2524] = 1739,
  [2525] = 1730,
  [2526] = 1685,
  [2527] = 1733,
  [2528] = 840,
  [2529] = 1728,
  [2530] = 1732,
  [2531] = 1739,
  [2532] = 2532,
  [2533] = 1733,
  [2534] = 1739,
  [2535] = 1744,
  [2536] = 1743,
  [2537] = 1743,
  [2538] = 1743,
  [2539] = 1728,
  [2540] = 1752,
  [2541] = 1740,
  [2542] = 1730,
  [2543] = 1715,
  [2544] = 1732,
  [2545] = 1754,
  [2546] = 1763,
  [2547] = 1760,
  [2548] = 1751,
  [2549] = 1752,
  [2550] = 2550,
  [2551] = 1740,
  [2552] = 1762,
  [2553] = 1744,
  [2554] = 1754,
  [2555] = 903,
  [2556] = 1740,
  [2557] = 905,
  [2558] = 1751,
  [2559] = 838,
  [2560] = 1684,
  [2561] = 1760,
  [2562] = 874,
  [2563] = 1757,
  [2564] = 839,
  [2565] = 1730,
  [2566] = 1762,
  [2567] = 1684,
  [2568] = 1752,
  [2569] = 1757,
  [2570] = 840,
  [2571] = 1684,
  [2572] = 841,
  [2573] = 1732,
  [2574] = 1684,
  [2575] = 1744,
  [2576] = 1685,
  [2577] = 1685,
  [2578] = 905,
  [2579] = 1754,
  [2580] = 2580,
  [2581] = 1715,
  [2582] = 1685,
  [2583] = 2583,
  [2584] = 1728,
  [2585] = 1733,
  [2586] = 1763,
  [2587] = 2587,
  [2588] = 1685,
  [2589] = 1715,
  [2590] = 1728,
  [2591] = 1733,
  [2592] = 1739,
  [2593] = 1733,
  [2594] = 1743,
  [2595] = 2595,
  [2596] = 1739,
  [2597] = 1752,
  [2598] = 1733,
  [2599] = 1744,
  [2600] = 1754,
  [2601] = 1740,
  [2602] = 1743,
  [2603] = 1751,
  [2604] = 1760,
  [2605] = 1728,
  [2606] = 903,
  [2607] = 1739,
  [2608] = 1762,
  [2609] = 1744,
  [2610] = 1743,
  [2611] = 1730,
  [2612] = 1730,
  [2613] = 1733,
  [2614] = 1732,
  [2615] = 1732,
  [2616] = 1752,
  [2617] = 838,
  [2618] = 1754,
  [2619] = 1752,
  [2620] = 1740,
  [2621] = 874,
  [2622] = 1751,
  [2623] = 1754,
  [2624] = 1760,
  [2625] = 1739,
  [2626] = 1762,
  [2627] = 1757,
  [2628] = 1740,
  [2629] = 1684,
  [2630] = 1744,
  [2631] = 1685,
  [2632] = 1751,
  [2633] = 1763,
  [2634] = 1715,
  [2635] = 2635,
  [2636] = 1763,
  [2637] = 1751,
  [2638] = 1743,
  [2639] = 1715,
  [2640] = 1739,
  [2641] = 1760,
  [2642] = 874,
  [2643] = 1732,
  [2644] = 2644,
  [2645] = 1744,
  [2646] = 1733,
  [2647] = 1757,
  [2648] = 1739,
  [2649] = 1684,
  [2650] = 1730,
  [2651] = 1728,
  [2652] = 1762,
  [2653] = 1743,
  [2654] = 839,
  [2655] = 1685,
  [2656] = 840,
  [2657] = 841,
  [2658] = 1763,
  [2659] = 1752,
  [2660] = 1715,
  [2661] = 1740,
  [2662] = 1754,
  [2663] = 903,
  [2664] = 1751,
  [2665] = 905,
  [2666] = 838,
  [2667] = 1760,
  [2668] = 874,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 815,
  [2672] = 2672,
  [2673] = 817,
  [2674] = 818,
  [2675] = 2675,
  [2676] = 819,
  [2677] = 2677,
  [2678] = 816,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 1151,
  [2683] = 2683,
  [2684] = 897,
  [2685] = 898,
  [2686] = 903,
  [2687] = 905,
  [2688] = 838,
  [2689] = 874,
  [2690] = 839,
  [2691] = 840,
  [2692] = 841,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 899,
  [2697] = 900,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 901,
  [2702] = 2702,
  [2703] = 2680,
  [2704] = 2681,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 1126,
  [2708] = 1127,
  [2709] = 2709,
  [2710] = 2679,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 1147,
  [2718] = 2718,
  [2719] = 1149,
  [2720] = 1150,
  [2721] = 2715,
  [2722] = 1152,
  [2723] = 2716,
  [2724] = 2700,
  [2725] = 1135,
  [2726] = 2726,
  [2727] = 2693,
  [2728] = 1128,
  [2729] = 1142,
  [2730] = 1145,
  [2731] = 1155,
  [2732] = 2732,
  [2733] = 1122,
  [2734] = 2734,
  [2735] = 1132,
  [2736] = 2705,
  [2737] = 2706,
  [2738] = 2709,
  [2739] = 2726,
  [2740] = 1140,
  [2741] = 1125,
  [2742] = 1141,
  [2743] = 2743,
  [2744] = 896,
  [2745] = 2702,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2747,
  [2751] = 2695,
  [2752] = 2748,
  [2753] = 2749,
  [2754] = 2747,
  [2755] = 2695,
  [2756] = 2756,
  [2757] = 2747,
  [2758] = 2695,
  [2759] = 2759,
  [2760] = 2747,
  [2761] = 2695,
  [2762] = 1146,
  [2763] = 2759,
  [2764] = 1148,
  [2765] = 1133,
  [2766] = 1143,
  [2767] = 2694,
  [2768] = 2732,
  [2769] = 2694,
  [2770] = 2732,
  [2771] = 2699,
  [2772] = 2772,
  [2773] = 818,
  [2774] = 816,
  [2775] = 1128,
  [2776] = 1142,
  [2777] = 1145,
  [2778] = 1146,
  [2779] = 1152,
  [2780] = 1122,
  [2781] = 1150,
  [2782] = 819,
  [2783] = 2783,
  [2784] = 905,
  [2785] = 2785,
  [2786] = 1152,
  [2787] = 838,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 874,
  [2791] = 1135,
  [2792] = 2792,
  [2793] = 1151,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 903,
  [2797] = 2797,
  [2798] = 1133,
  [2799] = 1132,
  [2800] = 1125,
  [2801] = 903,
  [2802] = 896,
  [2803] = 2803,
  [2804] = 905,
  [2805] = 838,
  [2806] = 2806,
  [2807] = 874,
  [2808] = 897,
  [2809] = 898,
  [2810] = 2810,
  [2811] = 1135,
  [2812] = 2812,
  [2813] = 839,
  [2814] = 840,
  [2815] = 2815,
  [2816] = 1143,
  [2817] = 1151,
  [2818] = 899,
  [2819] = 900,
  [2820] = 2820,
  [2821] = 841,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 1128,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 1140,
  [2828] = 1141,
  [2829] = 839,
  [2830] = 901,
  [2831] = 2831,
  [2832] = 1142,
  [2833] = 2833,
  [2834] = 840,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 1147,
  [2839] = 1145,
  [2840] = 2835,
  [2841] = 1149,
  [2842] = 2788,
  [2843] = 2820,
  [2844] = 897,
  [2845] = 1146,
  [2846] = 1133,
  [2847] = 1148,
  [2848] = 2848,
  [2849] = 898,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2833,
  [2853] = 896,
  [2854] = 1143,
  [2855] = 841,
  [2856] = 1537,
  [2857] = 2795,
  [2858] = 1126,
  [2859] = 1537,
  [2860] = 1127,
  [2861] = 815,
  [2862] = 816,
  [2863] = 2863,
  [2864] = 817,
  [2865] = 818,
  [2866] = 901,
  [2867] = 1126,
  [2868] = 1127,
  [2869] = 819,
  [2870] = 2812,
  [2871] = 2815,
  [2872] = 2822,
  [2873] = 2823,
  [2874] = 1155,
  [2875] = 1155,
  [2876] = 1122,
  [2877] = 2772,
  [2878] = 2878,
  [2879] = 815,
  [2880] = 899,
  [2881] = 1147,
  [2882] = 1149,
  [2883] = 1140,
  [2884] = 1141,
  [2885] = 1132,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2837,
  [2890] = 2886,
  [2891] = 2891,
  [2892] = 2887,
  [2893] = 900,
  [2894] = 2837,
  [2895] = 2888,
  [2896] = 2837,
  [2897] = 2897,
  [2898] = 2837,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2897,
  [2902] = 1125,
  [2903] = 2794,
  [2904] = 2810,
  [2905] = 1150,
  [2906] = 817,
  [2907] = 1148,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2910,
  [2912] = 2910,
  [2913] = 2913,
  [2914] = 2908,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2908,
  [2920] = 2910,
  [2921] = 2908,
  [2922] = 2910,
  [2923] = 2908,
  [2924] = 2924,
  [2925] = 2908,
  [2926] = 2910,
  [2927] = 2908,
  [2928] = 2928,
  [2929] = 2910,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2915,
  [2933] = 2933,
  [2934] = 2934,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2934,
  [2938] = 2931,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2935,
  [2944] = 2935,
  [2945] = 2945,
  [2946] = 2934,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 1666,
  [2950] = 2940,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2958,
  [2967] = 2967,
  [2968] = 1141,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2956,
  [2972] = 2970,
  [2973] = 1125,
  [2974] = 2974,
  [2975] = 2975,
  [2976] = 1145,
  [2977] = 2959,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2955,
  [2981] = 2981,
  [2982] = 2979,
  [2983] = 2958,
  [2984] = 2955,
  [2985] = 2985,
  [2986] = 2960,
  [2987] = 1146,
  [2988] = 2969,
  [2989] = 2955,
  [2990] = 2963,
  [2991] = 2991,
  [2992] = 2958,
  [2993] = 2960,
  [2994] = 897,
  [2995] = 898,
  [2996] = 2996,
  [2997] = 2954,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 2955,
  [3001] = 2961,
  [3002] = 2958,
  [3003] = 2954,
  [3004] = 3004,
  [3005] = 2956,
  [3006] = 2955,
  [3007] = 2959,
  [3008] = 3008,
  [3009] = 2960,
  [3010] = 2961,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 2998,
  [3014] = 2955,
  [3015] = 3015,
  [3016] = 2963,
  [3017] = 2958,
  [3018] = 2979,
  [3019] = 2961,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 1126,
  [3023] = 1127,
  [3024] = 3024,
  [3025] = 2961,
  [3026] = 2970,
  [3027] = 2954,
  [3028] = 2975,
  [3029] = 3029,
  [3030] = 3030,
  [3031] = 2955,
  [3032] = 2956,
  [3033] = 2955,
  [3034] = 2959,
  [3035] = 2958,
  [3036] = 2958,
  [3037] = 2979,
  [3038] = 3012,
  [3039] = 3039,
  [3040] = 2954,
  [3041] = 2955,
  [3042] = 3042,
  [3043] = 1142,
  [3044] = 896,
  [3045] = 3045,
  [3046] = 2967,
  [3047] = 2958,
  [3048] = 3012,
  [3049] = 2970,
  [3050] = 2958,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 2969,
  [3054] = 3042,
  [3055] = 2956,
  [3056] = 2959,
  [3057] = 2964,
  [3058] = 2979,
  [3059] = 3039,
  [3060] = 2960,
  [3061] = 3039,
  [3062] = 1151,
  [3063] = 3012,
  [3064] = 3064,
  [3065] = 3042,
  [3066] = 2967,
  [3067] = 2979,
  [3068] = 3068,
  [3069] = 3069,
  [3070] = 901,
  [3071] = 2969,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 1155,
  [3075] = 3075,
  [3076] = 1132,
  [3077] = 2961,
  [3078] = 3004,
  [3079] = 3079,
  [3080] = 2963,
  [3081] = 2955,
  [3082] = 3012,
  [3083] = 3039,
  [3084] = 3042,
  [3085] = 2967,
  [3086] = 2969,
  [3087] = 2956,
  [3088] = 2959,
  [3089] = 2960,
  [3090] = 1147,
  [3091] = 2969,
  [3092] = 2979,
  [3093] = 1149,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 2961,
  [3097] = 3097,
  [3098] = 2970,
  [3099] = 3099,
  [3100] = 2958,
  [3101] = 3039,
  [3102] = 2999,
  [3103] = 1150,
  [3104] = 1152,
  [3105] = 2970,
  [3106] = 3004,
  [3107] = 2959,
  [3108] = 2960,
  [3109] = 3094,
  [3110] = 1140,
  [3111] = 899,
  [3112] = 2967,
  [3113] = 3042,
  [3114] = 2955,
  [3115] = 2956,
  [3116] = 2999,
  [3117] = 1135,
  [3118] = 3068,
  [3119] = 3119,
  [3120] = 2958,
  [3121] = 3004,
  [3122] = 1148,
  [3123] = 903,
  [3124] = 905,
  [3125] = 2979,
  [3126] = 3068,
  [3127] = 2954,
  [3128] = 2999,
  [3129] = 838,
  [3130] = 3130,
  [3131] = 874,
  [3132] = 2970,
  [3133] = 900,
  [3134] = 839,
  [3135] = 2957,
  [3136] = 840,
  [3137] = 841,
  [3138] = 3138,
  [3139] = 3012,
  [3140] = 1133,
  [3141] = 3039,
  [3142] = 1122,
  [3143] = 1143,
  [3144] = 2970,
  [3145] = 3145,
  [3146] = 2967,
  [3147] = 3147,
  [3148] = 2955,
  [3149] = 3079,
  [3150] = 3042,
  [3151] = 3151,
  [3152] = 2958,
  [3153] = 1128,
  [3154] = 2967,
  [3155] = 3012,
  [3156] = 2969,
  [3157] = 3039,
  [3158] = 3042,
  [3159] = 2954,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 2490,
  [3163] = 2595,
  [3164] = 2474,
  [3165] = 3165,
  [3166] = 2587,
  [3167] = 2580,
  [3168] = 2583,
  [3169] = 2635,
  [3170] = 2550,
  [3171] = 2532,
  [3172] = 3172,
  [3173] = 3161,
  [3174] = 1726,
  [3175] = 2915,
  [3176] = 3176,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 1724,
  [3184] = 1725,
  [3185] = 3185,
  [3186] = 1724,
  [3187] = 1725,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 1724,
  [3191] = 1725,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 3194,
  [3195] = 1724,
  [3196] = 1725,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 815,
  [3204] = 816,
  [3205] = 817,
  [3206] = 818,
  [3207] = 3207,
  [3208] = 819,
  [3209] = 3209,
  [3210] = 3210,
  [3211] = 2587,
  [3212] = 2583,
  [3213] = 2580,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3216,
  [3217] = 3217,
  [3218] = 3218,
  [3219] = 3219,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3222,
  [3223] = 3222,
  [3224] = 3224,
  [3225] = 3225,
  [3226] = 3226,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 3230,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3222,
  [3234] = 2670,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 3239,
  [3240] = 3240,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3263,
  [3264] = 3264,
  [3265] = 3265,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3273,
  [3274] = 3274,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3277,
  [3280] = 3280,
  [3281] = 3278,
  [3282] = 3236,
  [3283] = 3274,
  [3284] = 3265,
  [3285] = 3240,
  [3286] = 3238,
  [3287] = 3242,
  [3288] = 3245,
  [3289] = 3253,
  [3290] = 3260,
  [3291] = 3273,
  [3292] = 3292,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 3246,
  [3296] = 3243,
  [3297] = 3236,
  [3298] = 3254,
  [3299] = 3258,
  [3300] = 3275,
  [3301] = 3237,
  [3302] = 3246,
  [3303] = 3303,
  [3304] = 3236,
  [3305] = 3254,
  [3306] = 3258,
  [3307] = 3275,
  [3308] = 3237,
  [3309] = 3246,
  [3310] = 3236,
  [3311] = 3258,
  [3312] = 3275,
  [3313] = 3246,
  [3314] = 3236,
  [3315] = 3258,
  [3316] = 3236,
  [3317] = 3258,
  [3318] = 3236,
  [3319] = 3258,
  [3320] = 3236,
  [3321] = 3258,
  [3322] = 3236,
  [3323] = 3236,
  [3324] = 3236,
  [3325] = 3236,
  [3326] = 3236,
  [3327] = 3236,
  [3328] = 3236,
  [3329] = 3236,
  [3330] = 3236,
  [3331] = 3236,
  [3332] = 3292,
  [3333] = 2718,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3336,
  [3337] = 3337,
  [3338] = 3338,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3341,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 3340,
  [3345] = 3345,
  [3346] = 3339,
  [3347] = 3342,
  [3348] = 3343,
  [3349] = 3345,
  [3350] = 3350,
  [3351] = 816,
  [3352] = 818,
  [3353] = 3353,
  [3354] = 815,
  [3355] = 819,
  [3356] = 3353,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3358,
  [3361] = 3358,
  [3362] = 3359,
  [3363] = 3358,
  [3364] = 3359,
  [3365] = 3358,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3359,
  [3370] = 3359,
  [3371] = 3358,
  [3372] = 3359,
  [3373] = 3358,
  [3374] = 3359,
  [3375] = 3358,
  [3376] = 3357,
  [3377] = 3377,
  [3378] = 3358,
  [3379] = 3379,
  [3380] = 3350,
  [3381] = 3377,
  [3382] = 3382,
  [3383] = 3359,
  [3384] = 3358,
  [3385] = 3367,
  [3386] = 3386,
  [3387] = 3359,
  [3388] = 3368,
  [3389] = 3377,
  [3390] = 3382,
  [3391] = 3391,
  [3392] = 3359,
  [3393] = 3358,
  [3394] = 3382,
  [3395] = 3359,
  [3396] = 3359,
  [3397] = 3358,
  [3398] = 3359,
  [3399] = 3399,
  [3400] = 3359,
  [3401] = 3358,
  [3402] = 3358,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3405,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3408,
  [3414] = 3411,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3418,
  [3424] = 3412,
  [3425] = 3417,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 3428,
  [3429] = 3417,
  [3430] = 3416,
  [3431] = 3404,
  [3432] = 3410,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3437,
  [3440] = 3440,
  [3441] = 3438,
  [3442] = 3442,
  [3443] = 3440,
  [3444] = 3444,
  [3445] = 3444,
  [3446] = 3446,
  [3447] = 3447,
  [3448] = 3447,
  [3449] = 3438,
  [3450] = 3437,
  [3451] = 3451,
  [3452] = 3440,
  [3453] = 3444,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 3458,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 815,
  [3463] = 3463,
  [3464] = 3460,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3457,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3457,
  [3472] = 3468,
  [3473] = 3473,
  [3474] = 816,
  [3475] = 3470,
  [3476] = 3476,
  [3477] = 3457,
  [3478] = 3468,
  [3479] = 3479,
  [3480] = 3479,
  [3481] = 3457,
  [3482] = 3468,
  [3483] = 3457,
  [3484] = 3468,
  [3485] = 3468,
  [3486] = 819,
  [3487] = 3457,
  [3488] = 3468,
  [3489] = 3489,
  [3490] = 3457,
  [3491] = 3468,
  [3492] = 3457,
  [3493] = 3468,
  [3494] = 3457,
  [3495] = 3468,
  [3496] = 3457,
  [3497] = 3468,
  [3498] = 3457,
  [3499] = 3468,
  [3500] = 3457,
  [3501] = 3468,
  [3502] = 818,
  [3503] = 3470,
  [3504] = 817,
  [3505] = 3457,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3489,
  [3509] = 3468,
  [3510] = 3457,
  [3511] = 3479,
  [3512] = 3473,
  [3513] = 3513,
  [3514] = 3468,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3515,
  [3518] = 3161,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3515,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3519,
  [3525] = 3515,
  [3526] = 3519,
  [3527] = 3519,
  [3528] = 3515,
  [3529] = 3515,
  [3530] = 3522,
  [3531] = 3516,
  [3532] = 3515,
  [3533] = 3533,
  [3534] = 3516,
  [3535] = 3533,
  [3536] = 3515,
  [3537] = 3520,
  [3538] = 3357,
  [3539] = 3522,
  [3540] = 3515,
  [3541] = 3522,
  [3542] = 3520,
  [3543] = 3516,
  [3544] = 3515,
  [3545] = 3545,
  [3546] = 3520,
  [3547] = 3515,
  [3548] = 3519,
  [3549] = 3515,
  [3550] = 3515,
  [3551] = 3515,
  [3552] = 3515,
  [3553] = 3515,
  [3554] = 3515,
  [3555] = 3515,
  [3556] = 3515,
  [3557] = 3515,
  [3558] = 3515,
  [3559] = 3515,
  [3560] = 3515,
  [3561] = 3515,
  [3562] = 3515,
  [3563] = 3515,
  [3564] = 3515,
  [3565] = 3515,
  [3566] = 3515,
  [3567] = 3515,
  [3568] = 3515,
  [3569] = 3515,
  [3570] = 3515,
  [3571] = 3515,
  [3572] = 3515,
  [3573] = 3515,
  [3574] = 3515,
  [3575] = 3519,
  [3576] = 3515,
  [3577] = 3515,
  [3578] = 3515,
  [3579] = 3515,
  [3580] = 3580,
  [3581] = 3515,
  [3582] = 3519,
  [3583] = 3523,
  [3584] = 3515,
  [3585] = 3516,
  [3586] = 3516,
  [3587] = 3580,
  [3588] = 3519,
  [3589] = 3516,
  [3590] = 3520,
  [3591] = 2915,
  [3592] = 3520,
  [3593] = 3519,
  [3594] = 3520,
  [3595] = 3515,
  [3596] = 3596,
  [3597] = 3523,
  [3598] = 3522,
  [3599] = 3522,
  [3600] = 3519,
  [3601] = 3516,
  [3602] = 3602,
  [3603] = 3519,
  [3604] = 3516,
  [3605] = 3350,
  [3606] = 3522,
  [3607] = 3519,
  [3608] = 3178,
  [3609] = 3516,
  [3610] = 3522,
  [3611] = 3520,
  [3612] = 3515,
  [3613] = 3522,
  [3614] = 3522,
  [3615] = 3615,
  [3616] = 3522,
  [3617] = 3615,
  [3618] = 3516,
  [3619] = 3522,
  [3620] = 3596,
  [3621] = 3596,
  [3622] = 3519,
  [3623] = 3522,
  [3624] = 3516,
  [3625] = 3516,
  [3626] = 3515,
  [3627] = 3615,
  [3628] = 3515,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3629,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3630,
  [3645] = 3639,
  [3646] = 3640,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3643,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3636,
  [3653] = 3653,
  [3654] = 3634,
  [3655] = 3629,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3642,
  [3659] = 3659,
  [3660] = 3640,
  [3661] = 3643,
  [3662] = 3651,
  [3663] = 3642,
  [3664] = 3636,
  [3665] = 3665,
  [3666] = 3640,
  [3667] = 3667,
  [3668] = 3634,
  [3669] = 3648,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3640,
  [3674] = 3674,
  [3675] = 3643,
  [3676] = 3643,
  [3677] = 3651,
  [3678] = 3650,
  [3679] = 3636,
  [3680] = 3653,
  [3681] = 3637,
  [3682] = 3629,
  [3683] = 3683,
  [3684] = 3634,
  [3685] = 3629,
  [3686] = 3634,
  [3687] = 3338,
  [3688] = 3651,
  [3689] = 3640,
  [3690] = 3636,
  [3691] = 3643,
  [3692] = 3640,
  [3693] = 3640,
  [3694] = 3651,
  [3695] = 3643,
  [3696] = 3696,
  [3697] = 3651,
  [3698] = 3636,
  [3699] = 3636,
  [3700] = 3643,
  [3701] = 3634,
  [3702] = 3629,
  [3703] = 3703,
  [3704] = 3634,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3656,
  [3708] = 3651,
  [3709] = 3634,
  [3710] = 3629,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3629,
  [3714] = 3642,
  [3715] = 3715,
  [3716] = 3637,
  [3717] = 3717,
  [3718] = 3636,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3665,
  [3723] = 3639,
  [3724] = 3667,
  [3725] = 3670,
  [3726] = 3671,
  [3727] = 3639,
  [3728] = 3728,
  [3729] = 3651,
  [3730] = 3647,
  [3731] = 3642,
  [3732] = 3732,
  [3733] = 3651,
  [3734] = 3665,
  [3735] = 3735,
  [3736] = 3667,
  [3737] = 3670,
  [3738] = 3640,
  [3739] = 3671,
  [3740] = 3740,
  [3741] = 3643,
  [3742] = 3651,
  [3743] = 3636,
  [3744] = 3744,
  [3745] = 3634,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3634,
  [3751] = 3629,
  [3752] = 3752,
  [3753] = 3639,
  [3754] = 3637,
  [3755] = 3755,
  [3756] = 3639,
  [3757] = 3642,
  [3758] = 3633,
  [3759] = 3634,
  [3760] = 3650,
  [3761] = 3653,
  [3762] = 3762,
  [3763] = 3640,
  [3764] = 3643,
  [3765] = 3651,
  [3766] = 3629,
  [3767] = 3767,
  [3768] = 3636,
  [3769] = 3748,
  [3770] = 3762,
  [3771] = 3636,
  [3772] = 3640,
  [3773] = 3633,
  [3774] = 3634,
  [3775] = 3629,
  [3776] = 3637,
  [3777] = 3767,
  [3778] = 3643,
  [3779] = 3638,
  [3780] = 3639,
  [3781] = 3642,
  [3782] = 3629,
  [3783] = 3637,
  [3784] = 3638,
  [3785] = 3640,
  [3786] = 3643,
  [3787] = 3762,
  [3788] = 3651,
  [3789] = 3789,
  [3790] = 3636,
  [3791] = 3791,
  [3792] = 3631,
  [3793] = 3793,
  [3794] = 3696,
  [3795] = 3648,
  [3796] = 3634,
  [3797] = 3629,
  [3798] = 3798,
  [3799] = 3799,
  [3800] = 3637,
  [3801] = 3791,
  [3802] = 3636,
  [3803] = 3639,
  [3804] = 3804,
  [3805] = 3637,
  [3806] = 3642,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3630,
  [3810] = 3640,
  [3811] = 3767,
  [3812] = 3631,
  [3813] = 3748,
  [3814] = 3643,
  [3815] = 3651,
  [3816] = 3647,
  [3817] = 3817,
  [3818] = 3818,
  [3819] = 3819,
  [3820] = 3818,
  [3821] = 3818,
  [3822] = 3822,
  [3823] = 3823,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3826,
  [3827] = 3825,
  [3828] = 3823,
  [3829] = 3824,
  [3830] = 3818,
  [3831] = 3831,
  [3832] = 3823,
  [3833] = 3833,
  [3834] = 3834,
  [3835] = 3835,
  [3836] = 3836,
  [3837] = 3818,
  [3838] = 3838,
  [3839] = 3839,
  [3840] = 3825,
  [3841] = 3841,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3831,
  [3845] = 3845,
  [3846] = 3836,
  [3847] = 3847,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3843,
  [3851] = 3181,
  [3852] = 3179,
  [3853] = 3818,
  [3854] = 3824,
  [3855] = 3855,
  [3856] = 3818,
  [3857] = 3857,
  [3858] = 3818,
  [3859] = 3818,
  [3860] = 3831,
  [3861] = 3861,
  [3862] = 3838,
  [3863] = 3823,
  [3864] = 3182,
  [3865] = 3865,
  [3866] = 3180,
  [3867] = 3836,
  [3868] = 3825,
  [3869] = 3823,
  [3870] = 3824,
  [3871] = 3843,
  [3872] = 3838,
  [3873] = 3836,
  [3874] = 3838,
  [3875] = 3839,
  [3876] = 3839,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 3843,
  [3881] = 3839,
  [3882] = 3831,
  [3883] = 3847,
  [3884] = 3836,
  [3885] = 3831,
  [3886] = 3886,
  [3887] = 3823,
  [3888] = 3888,
  [3889] = 3824,
  [3890] = 3818,
  [3891] = 3824,
  [3892] = 3831,
  [3893] = 3831,
  [3894] = 1726,
  [3895] = 3831,
  [3896] = 3896,
  [3897] = 3897,
  [3898] = 3825,
  [3899] = 3823,
  [3900] = 3824,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3836,
  [3905] = 3838,
  [3906] = 3839,
  [3907] = 3818,
  [3908] = 3818,
  [3909] = 3843,
  [3910] = 3831,
  [3911] = 3911,
  [3912] = 3831,
  [3913] = 3836,
  [3914] = 3914,
  [3915] = 3838,
  [3916] = 3916,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3818,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3839,
  [3923] = 3831,
  [3924] = 3838,
  [3925] = 3818,
  [3926] = 3926,
  [3927] = 3843,
  [3928] = 3825,
  [3929] = 3823,
  [3930] = 3824,
  [3931] = 3839,
  [3932] = 3932,
  [3933] = 3822,
  [3934] = 3843,
  [3935] = 3831,
  [3936] = 3836,
  [3937] = 3838,
  [3938] = 3839,
  [3939] = 3843,
  [3940] = 3831,
  [3941] = 3941,
  [3942] = 3831,
  [3943] = 3825,
  [3944] = 3944,
  [3945] = 3825,
  [3946] = 2490,
  [3947] = 3804,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 2532,
  [3959] = 2474,
  [3960] = 2595,
  [3961] = 3961,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 2635,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3715,
  [3972] = 3972,
  [3973] = 3973,
  [3974] = 2550,
  [3975] = 2635,
  [3976] = 3427,
  [3977] = 3977,
  [3978] = 3978,
  [3979] = 3979,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3188,
  [3984] = 3199,
  [3985] = 2580,
  [3986] = 3209,
  [3987] = 2595,
  [3988] = 3189,
  [3989] = 3989,
  [3990] = 3194,
  [3991] = 3403,
  [3992] = 3200,
  [3993] = 3993,
  [3994] = 3192,
  [3995] = 2583,
  [3996] = 3996,
  [3997] = 3210,
  [3998] = 2490,
  [3999] = 3201,
  [4000] = 3193,
  [4001] = 2532,
  [4002] = 3980,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 2587,
  [4006] = 3202,
  [4007] = 4007,
  [4008] = 3406,
  [4009] = 4009,
  [4010] = 3433,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 3386,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 4018,
  [4019] = 4019,
  [4020] = 2583,
  [4021] = 2474,
  [4022] = 3981,
  [4023] = 4023,
  [4024] = 4024,
  [4025] = 2587,
  [4026] = 4026,
  [4027] = 3198,
  [4028] = 3421,
  [4029] = 4009,
  [4030] = 4030,
  [4031] = 4009,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 4035,
  [4036] = 4036,
  [4037] = 4037,
  [4038] = 4038,
  [4039] = 3214,
  [4040] = 2550,
  [4041] = 4041,
  [4042] = 3865,
  [4043] = 2580,
  [4044] = 3207,
  [4045] = 4009,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 3422,
  [4051] = 4051,
  [4052] = 3409,
  [4053] = 3428,
  [4054] = 4054,
  [4055] = 3819,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 3979,
  [4060] = 4060,
  [4061] = 4061,
  [4062] = 3185,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4066,
  [4067] = 4067,
  [4068] = 3197,
  [4069] = 4069,
  [4070] = 4070,
  [4071] = 4071,
  [4072] = 3932,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 4077,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4083,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 4097,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 817,
  [4101] = 4101,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 815,
  [4105] = 816,
  [4106] = 818,
  [4107] = 819,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 4110,
  [4113] = 4074,
  [4114] = 4085,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 4110,
  [4119] = 4085,
  [4120] = 4117,
  [4121] = 4091,
  [4122] = 4091,
  [4123] = 4123,
  [4124] = 4124,
  [4125] = 4085,
  [4126] = 4117,
  [4127] = 4117,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4101,
  [4134] = 4115,
  [4135] = 4094,
  [4136] = 4136,
  [4137] = 4093,
  [4138] = 4098,
  [4139] = 4139,
  [4140] = 4139,
  [4141] = 4141,
  [4142] = 4075,
  [4143] = 4082,
  [4144] = 4144,
  [4145] = 3952,
  [4146] = 3948,
  [4147] = 3966,
  [4148] = 4101,
  [4149] = 4115,
  [4150] = 4094,
  [4151] = 4093,
  [4152] = 4132,
  [4153] = 4139,
  [4154] = 4141,
  [4155] = 4075,
  [4156] = 4074,
  [4157] = 4101,
  [4158] = 4115,
  [4159] = 4094,
  [4160] = 4093,
  [4161] = 4141,
  [4162] = 4075,
  [4163] = 4101,
  [4164] = 4115,
  [4165] = 4093,
  [4166] = 4141,
  [4167] = 4136,
  [4168] = 4101,
  [4169] = 4169,
  [4170] = 4093,
  [4171] = 4141,
  [4172] = 4101,
  [4173] = 4093,
  [4174] = 4141,
  [4175] = 4101,
  [4176] = 4093,
  [4177] = 4141,
  [4178] = 4101,
  [4179] = 4093,
  [4180] = 4101,
  [4181] = 4093,
  [4182] = 4101,
  [4183] = 4093,
  [4184] = 4101,
  [4185] = 4093,
  [4186] = 4101,
  [4187] = 4093,
  [4188] = 4101,
  [4189] = 4093,
  [4190] = 4101,
  [4191] = 4093,
  [4192] = 4101,
  [4193] = 4093,
  [4194] = 4101,
  [4195] = 4093,
  [4196] = 4101,
  [4197] = 4093,
  [4198] = 4101,
  [4199] = 4093,
  [4200] = 4101,
  [4201] = 4101,
  [4202] = 4101,
  [4203] = 4101,
  [4204] = 4101,
  [4205] = 4101,
  [4206] = 4101,
  [4207] = 4101,
  [4208] = 4101,
  [4209] = 4101,
  [4210] = 4101,
  [4211] = 4101,
  [4212] = 4101,
  [4213] = 4101,
  [4214] = 4101,
  [4215] = 4101,
  [4216] = 4101,
  [4217] = 4101,
  [4218] = 4101,
  [4219] = 4101,
  [4220] = 4101,
  [4221] = 4101,
  [4222] = 4101,
  [4223] = 4101,
  [4224] = 4101,
  [4225] = 4225,
  [4226] = 4101,
  [4227] = 4101,
  [4228] = 4101,
  [4229] = 4141,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4238,
  [4239] = 4239,
  [4240] = 4240,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 2583,
  [4245] = 3966,
  [4246] = 3952,
  [4247] = 2587,
  [4248] = 2580,
  [4249] = 3948,
  [4250] = 3948,
  [4251] = 3952,
  [4252] = 3948,
  [4253] = 4253,
  [4254] = 3966,
  [4255] = 3966,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 3966,
  [4259] = 4259,
  [4260] = 3952,
  [4261] = 3966,
  [4262] = 4262,
  [4263] = 3948,
  [4264] = 3952,
  [4265] = 3966,
  [4266] = 3966,
  [4267] = 3948,
  [4268] = 3952,
  [4269] = 3948,
  [4270] = 3952,
  [4271] = 3952,
  [4272] = 3948,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 3952,
  [4284] = 3948,
  [4285] = 3966,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 3357,
  [4294] = 3350,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4295,
  [4298] = 4295,
  [4299] = 4296,
  [4300] = 4295,
  [4301] = 4295,
  [4302] = 4296,
  [4303] = 4303,
  [4304] = 4296,
  [4305] = 4296,
  [4306] = 4296,
  [4307] = 4295,
  [4308] = 4296,
  [4309] = 4295,
  [4310] = 4295,
  [4311] = 4296,
  [4312] = 4295,
  [4313] = 4296,
  [4314] = 4296,
  [4315] = 4295,
  [4316] = 4296,
  [4317] = 4295,
  [4318] = 4295,
  [4319] = 4296,
  [4320] = 4295,
  [4321] = 4296,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4242,
  [4329] = 4230,
  [4330] = 4231,
  [4331] = 4331,
  [4332] = 4232,
  [4333] = 4233,
  [4334] = 4234,
  [4335] = 4235,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4238,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4236,
  [4342] = 4342,
  [4343] = 4241,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4240,
  [4358] = 4239,
  [4359] = 4259,
  [4360] = 4259,
  [4361] = 4262,
  [4362] = 4262,
  [4363] = 4363,
  [4364] = 4232,
  [4365] = 4233,
  [4366] = 4234,
  [4367] = 4259,
  [4368] = 4235,
  [4369] = 4231,
  [4370] = 4238,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4232,
  [4374] = 4233,
  [4375] = 4234,
  [4376] = 4235,
  [4377] = 4371,
  [4378] = 4372,
  [4379] = 4379,
  [4380] = 4239,
  [4381] = 4372,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4236,
  [4391] = 4371,
  [4392] = 4372,
  [4393] = 4235,
  [4394] = 4243,
  [4395] = 4262,
  [4396] = 4396,
  [4397] = 4389,
  [4398] = 4398,
  [4399] = 4234,
  [4400] = 4400,
  [4401] = 4240,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4389,
  [4405] = 4241,
  [4406] = 4236,
  [4407] = 4407,
  [4408] = 4238,
  [4409] = 4409,
  [4410] = 4239,
  [4411] = 4240,
  [4412] = 4371,
  [4413] = 4241,
  [4414] = 4242,
  [4415] = 4230,
  [4416] = 4231,
  [4417] = 4238,
  [4418] = 4239,
  [4419] = 4372,
  [4420] = 4242,
  [4421] = 4236,
  [4422] = 4371,
  [4423] = 4372,
  [4424] = 4240,
  [4425] = 4241,
  [4426] = 4242,
  [4427] = 4230,
  [4428] = 4231,
  [4429] = 4232,
  [4430] = 4230,
  [4431] = 4233,
  [4432] = 4389,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4445,
  [4446] = 4446,
  [4447] = 817,
  [4448] = 4448,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4240,
  [4461] = 4241,
  [4462] = 4243,
  [4463] = 4237,
  [4464] = 4242,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 4230,
  [4468] = 4468,
  [4469] = 4238,
  [4470] = 4232,
  [4471] = 4233,
  [4472] = 4407,
  [4473] = 4235,
  [4474] = 4465,
  [4475] = 4475,
  [4476] = 4465,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4482,
  [4483] = 4234,
  [4484] = 1662,
  [4485] = 4239,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4243,
  [4490] = 815,
  [4491] = 816,
  [4492] = 817,
  [4493] = 818,
  [4494] = 819,
  [4495] = 4465,
  [4496] = 4496,
  [4497] = 4236,
  [4498] = 4498,
  [4499] = 4231,
  [4500] = 892,
  [4501] = 4501,
  [4502] = 4502,
  [4503] = 4503,
  [4504] = 4504,
  [4505] = 4505,
  [4506] = 902,
  [4507] = 4507,
  [4508] = 4356,
  [4509] = 4337,
  [4510] = 4342,
  [4511] = 4511,
  [4512] = 904,
  [4513] = 4513,
  [4514] = 4346,
  [4515] = 4348,
  [4516] = 4516,
  [4517] = 4349,
  [4518] = 4350,
  [4519] = 4352,
  [4520] = 4520,
  [4521] = 855,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4339,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 884,
  [4534] = 4331,
  [4535] = 903,
  [4536] = 905,
  [4537] = 838,
  [4538] = 874,
  [4539] = 839,
  [4540] = 840,
  [4541] = 841,
  [4542] = 4353,
  [4543] = 4543,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4340,
  [4548] = 885,
  [4549] = 903,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 886,
  [4553] = 882,
  [4554] = 3357,
  [4555] = 883,
  [4556] = 4556,
  [4557] = 3350,
  [4558] = 4558,
  [4559] = 887,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 905,
  [4563] = 838,
  [4564] = 4347,
  [4565] = 874,
  [4566] = 4336,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 839,
  [4571] = 840,
  [4572] = 4572,
  [4573] = 841,
  [4574] = 888,
  [4575] = 4575,
  [4576] = 884,
  [4577] = 885,
  [4578] = 886,
  [4579] = 887,
  [4580] = 4580,
  [4581] = 888,
  [4582] = 889,
  [4583] = 890,
  [4584] = 891,
  [4585] = 837,
  [4586] = 892,
  [4587] = 882,
  [4588] = 890,
  [4589] = 4234,
  [4590] = 4433,
  [4591] = 895,
  [4592] = 902,
  [4593] = 904,
  [4594] = 855,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4598,
  [4599] = 891,
  [4600] = 4235,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4603,
  [4604] = 4240,
  [4605] = 4238,
  [4606] = 4241,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4345,
  [4612] = 4344,
  [4613] = 4613,
  [4614] = 4327,
  [4615] = 4351,
  [4616] = 4354,
  [4617] = 4355,
  [4618] = 4239,
  [4619] = 4236,
  [4620] = 837,
  [4621] = 4621,
  [4622] = 4232,
  [4623] = 883,
  [4624] = 4624,
  [4625] = 4607,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4233,
  [4632] = 4632,
  [4633] = 895,
  [4634] = 4634,
  [4635] = 4242,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4230,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4231,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 889,
  [4647] = 4647,
  [4648] = 3602,
  [4649] = 4238,
  [4650] = 4379,
  [4651] = 4259,
  [4652] = 4400,
  [4653] = 4363,
  [4654] = 4654,
  [4655] = 4262,
  [4656] = 4656,
  [4657] = 3459,
  [4658] = 4384,
  [4659] = 4659,
  [4660] = 815,
  [4661] = 4402,
  [4662] = 4388,
  [4663] = 4654,
  [4664] = 4654,
  [4665] = 819,
  [4666] = 4656,
  [4667] = 4667,
  [4668] = 4656,
  [4669] = 4656,
  [4670] = 4659,
  [4671] = 4671,
  [4672] = 4656,
  [4673] = 816,
  [4674] = 4674,
  [4675] = 4580,
  [4676] = 4654,
  [4677] = 817,
  [4678] = 4387,
  [4679] = 4656,
  [4680] = 4680,
  [4681] = 4637,
  [4682] = 818,
  [4683] = 4683,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 4656,
  [4687] = 4687,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4687,
  [4691] = 4687,
  [4692] = 4385,
  [4693] = 4398,
  [4694] = 4694,
  [4695] = 4687,
  [4696] = 4398,
  [4697] = 3459,
  [4698] = 4698,
  [4699] = 3602,
  [4700] = 1662,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 3712,
  [4705] = 3674,
  [4706] = 4706,
  [4707] = 3721,
  [4708] = 3747,
  [4709] = 4709,
  [4710] = 3789,
  [4711] = 3793,
  [4712] = 3799,
  [4713] = 3719,
  [4714] = 3720,
  [4715] = 3703,
  [4716] = 3705,
  [4717] = 3706,
  [4718] = 4718,
  [4719] = 3755,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4724,
  [4725] = 3807,
  [4726] = 4726,
  [4727] = 3711,
  [4728] = 4527,
  [4729] = 4729,
  [4730] = 3798,
  [4731] = 4545,
  [4732] = 4546,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 3602,
  [4737] = 4737,
  [4738] = 4496,
  [4739] = 4437,
  [4740] = 3672,
  [4741] = 4442,
  [4742] = 4742,
  [4743] = 4448,
  [4744] = 4449,
  [4745] = 4450,
  [4746] = 4451,
  [4747] = 4452,
  [4748] = 4453,
  [4749] = 4454,
  [4750] = 4750,
  [4751] = 4456,
  [4752] = 4752,
  [4753] = 882,
  [4754] = 883,
  [4755] = 884,
  [4756] = 885,
  [4757] = 886,
  [4758] = 887,
  [4759] = 4759,
  [4760] = 888,
  [4761] = 889,
  [4762] = 890,
  [4763] = 891,
  [4764] = 837,
  [4765] = 892,
  [4766] = 895,
  [4767] = 902,
  [4768] = 904,
  [4769] = 855,
  [4770] = 3357,
  [4771] = 1726,
  [4772] = 4772,
  [4773] = 3350,
  [4774] = 4774,
  [4775] = 4438,
  [4776] = 4452,
  [4777] = 4453,
  [4778] = 903,
  [4779] = 905,
  [4780] = 838,
  [4781] = 874,
  [4782] = 839,
  [4783] = 840,
  [4784] = 841,
  [4785] = 4785,
  [4786] = 3711,
  [4787] = 4454,
  [4788] = 882,
  [4789] = 883,
  [4790] = 884,
  [4791] = 885,
  [4792] = 886,
  [4793] = 887,
  [4794] = 2550,
  [4795] = 888,
  [4796] = 889,
  [4797] = 890,
  [4798] = 891,
  [4799] = 837,
  [4800] = 892,
  [4801] = 3798,
  [4802] = 895,
  [4803] = 902,
  [4804] = 904,
  [4805] = 2915,
  [4806] = 855,
  [4807] = 2635,
  [4808] = 4456,
  [4809] = 4437,
  [4810] = 2474,
  [4811] = 4438,
  [4812] = 4496,
  [4813] = 4442,
  [4814] = 2532,
  [4815] = 4448,
  [4816] = 4437,
  [4817] = 4438,
  [4818] = 4442,
  [4819] = 3703,
  [4820] = 2490,
  [4821] = 4448,
  [4822] = 4449,
  [4823] = 4449,
  [4824] = 4824,
  [4825] = 4450,
  [4826] = 4451,
  [4827] = 4496,
  [4828] = 2595,
  [4829] = 4452,
  [4830] = 4453,
  [4831] = 4454,
  [4832] = 4456,
  [4833] = 4452,
  [4834] = 3357,
  [4835] = 4453,
  [4836] = 4437,
  [4837] = 4438,
  [4838] = 4442,
  [4839] = 4839,
  [4840] = 3350,
  [4841] = 4454,
  [4842] = 4842,
  [4843] = 4448,
  [4844] = 4449,
  [4845] = 4450,
  [4846] = 4451,
  [4847] = 4453,
  [4848] = 4454,
  [4849] = 4456,
  [4850] = 4850,
  [4851] = 4496,
  [4852] = 4852,
  [4853] = 4450,
  [4854] = 3703,
  [4855] = 3807,
  [4856] = 3672,
  [4857] = 3674,
  [4858] = 4858,
  [4859] = 3721,
  [4860] = 3703,
  [4861] = 4448,
  [4862] = 3789,
  [4863] = 3793,
  [4864] = 3799,
  [4865] = 4449,
  [4866] = 4866,
  [4867] = 4451,
  [4868] = 4437,
  [4869] = 4438,
  [4870] = 4442,
  [4871] = 4871,
  [4872] = 4448,
  [4873] = 4449,
  [4874] = 3719,
  [4875] = 4450,
  [4876] = 4451,
  [4877] = 3720,
  [4878] = 4452,
  [4879] = 4450,
  [4880] = 4451,
  [4881] = 4453,
  [4882] = 4454,
  [4883] = 4496,
  [4884] = 4884,
  [4885] = 3705,
  [4886] = 3706,
  [4887] = 4456,
  [4888] = 4496,
  [4889] = 3755,
  [4890] = 3712,
  [4891] = 4437,
  [4892] = 4438,
  [4893] = 4442,
  [4894] = 4894,
  [4895] = 4456,
  [4896] = 4632,
  [4897] = 4448,
  [4898] = 4449,
  [4899] = 4450,
  [4900] = 4451,
  [4901] = 4785,
  [4902] = 4551,
  [4903] = 4568,
  [4904] = 4569,
  [4905] = 4905,
  [4906] = 4621,
  [4907] = 4624,
  [4908] = 4645,
  [4909] = 4501,
  [4910] = 4502,
  [4911] = 4503,
  [4912] = 4504,
  [4913] = 4505,
  [4914] = 4516,
  [4915] = 4520,
  [4916] = 4452,
  [4917] = 4453,
  [4918] = 4523,
  [4919] = 4454,
  [4920] = 4524,
  [4921] = 4452,
  [4922] = 4526,
  [4923] = 4528,
  [4924] = 4532,
  [4925] = 4543,
  [4926] = 4558,
  [4927] = 4927,
  [4928] = 1726,
  [4929] = 4456,
  [4930] = 4496,
  [4931] = 4437,
  [4932] = 4438,
  [4933] = 4442,
  [4934] = 3747,
  [4935] = 839,
  [4936] = 4504,
  [4937] = 902,
  [4938] = 4505,
  [4939] = 4516,
  [4940] = 4516,
  [4941] = 4520,
  [4942] = 4520,
  [4943] = 4523,
  [4944] = 4524,
  [4945] = 904,
  [4946] = 4526,
  [4947] = 855,
  [4948] = 4528,
  [4949] = 841,
  [4950] = 3357,
  [4951] = 4504,
  [4952] = 4532,
  [4953] = 4543,
  [4954] = 4558,
  [4955] = 4505,
  [4956] = 882,
  [4957] = 4957,
  [4958] = 4551,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4568,
  [4962] = 4569,
  [4963] = 4523,
  [4964] = 903,
  [4965] = 886,
  [4966] = 4516,
  [4967] = 4520,
  [4968] = 4501,
  [4969] = 905,
  [4970] = 887,
  [4971] = 838,
  [4972] = 874,
  [4973] = 882,
  [4974] = 883,
  [4975] = 4523,
  [4976] = 4850,
  [4977] = 4524,
  [4978] = 4621,
  [4979] = 904,
  [4980] = 903,
  [4981] = 4624,
  [4982] = 3357,
  [4983] = 4645,
  [4984] = 4501,
  [4985] = 4502,
  [4986] = 4503,
  [4987] = 903,
  [4988] = 905,
  [4989] = 838,
  [4990] = 839,
  [4991] = 874,
  [4992] = 884,
  [4993] = 885,
  [4994] = 886,
  [4995] = 887,
  [4996] = 840,
  [4997] = 4997,
  [4998] = 4504,
  [4999] = 4505,
  [5000] = 839,
  [5001] = 3350,
  [5002] = 4516,
  [5003] = 4520,
  [5004] = 4524,
  [5005] = 4523,
  [5006] = 4524,
  [5007] = 841,
  [5008] = 855,
  [5009] = 888,
  [5010] = 4526,
  [5011] = 4528,
  [5012] = 882,
  [5013] = 4532,
  [5014] = 840,
  [5015] = 889,
  [5016] = 890,
  [5017] = 883,
  [5018] = 4543,
  [5019] = 891,
  [5020] = 837,
  [5021] = 892,
  [5022] = 4624,
  [5023] = 3357,
  [5024] = 4526,
  [5025] = 3350,
  [5026] = 4632,
  [5027] = 4528,
  [5028] = 903,
  [5029] = 905,
  [5030] = 841,
  [5031] = 5031,
  [5032] = 3350,
  [5033] = 4532,
  [5034] = 4850,
  [5035] = 3341,
  [5036] = 882,
  [5037] = 4558,
  [5038] = 883,
  [5039] = 4551,
  [5040] = 895,
  [5041] = 883,
  [5042] = 902,
  [5043] = 4543,
  [5044] = 904,
  [5045] = 4502,
  [5046] = 4503,
  [5047] = 4558,
  [5048] = 4621,
  [5049] = 838,
  [5050] = 4558,
  [5051] = 884,
  [5052] = 885,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 874,
  [5056] = 855,
  [5057] = 4621,
  [5058] = 884,
  [5059] = 4551,
  [5060] = 839,
  [5061] = 4632,
  [5062] = 4568,
  [5063] = 4569,
  [5064] = 840,
  [5065] = 885,
  [5066] = 4621,
  [5067] = 882,
  [5068] = 4568,
  [5069] = 4624,
  [5070] = 884,
  [5071] = 885,
  [5072] = 4645,
  [5073] = 4501,
  [5074] = 4502,
  [5075] = 4569,
  [5076] = 4503,
  [5077] = 886,
  [5078] = 4504,
  [5079] = 887,
  [5080] = 4624,
  [5081] = 4504,
  [5082] = 4505,
  [5083] = 886,
  [5084] = 887,
  [5085] = 841,
  [5086] = 4645,
  [5087] = 4516,
  [5088] = 4520,
  [5089] = 4645,
  [5090] = 4523,
  [5091] = 4524,
  [5092] = 5054,
  [5093] = 4632,
  [5094] = 4501,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 4526,
  [5098] = 5098,
  [5099] = 4502,
  [5100] = 4528,
  [5101] = 4532,
  [5102] = 905,
  [5103] = 4632,
  [5104] = 4543,
  [5105] = 883,
  [5106] = 3357,
  [5107] = 4503,
  [5108] = 5108,
  [5109] = 888,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 4551,
  [5113] = 4526,
  [5114] = 4558,
  [5115] = 4551,
  [5116] = 902,
  [5117] = 4568,
  [5118] = 4569,
  [5119] = 888,
  [5120] = 3350,
  [5121] = 4528,
  [5122] = 889,
  [5123] = 838,
  [5124] = 882,
  [5125] = 883,
  [5126] = 890,
  [5127] = 874,
  [5128] = 891,
  [5129] = 837,
  [5130] = 4532,
  [5131] = 4505,
  [5132] = 5132,
  [5133] = 884,
  [5134] = 884,
  [5135] = 885,
  [5136] = 886,
  [5137] = 887,
  [5138] = 892,
  [5139] = 888,
  [5140] = 889,
  [5141] = 890,
  [5142] = 891,
  [5143] = 837,
  [5144] = 892,
  [5145] = 5108,
  [5146] = 4568,
  [5147] = 895,
  [5148] = 4621,
  [5149] = 902,
  [5150] = 5150,
  [5151] = 4569,
  [5152] = 4624,
  [5153] = 904,
  [5154] = 855,
  [5155] = 5155,
  [5156] = 4645,
  [5157] = 4501,
  [5158] = 4502,
  [5159] = 4503,
  [5160] = 5160,
  [5161] = 885,
  [5162] = 886,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 889,
  [5166] = 890,
  [5167] = 5167,
  [5168] = 891,
  [5169] = 887,
  [5170] = 837,
  [5171] = 888,
  [5172] = 4621,
  [5173] = 889,
  [5174] = 890,
  [5175] = 5175,
  [5176] = 4624,
  [5177] = 891,
  [5178] = 837,
  [5179] = 4504,
  [5180] = 4645,
  [5181] = 4505,
  [5182] = 892,
  [5183] = 839,
  [5184] = 4516,
  [5185] = 888,
  [5186] = 4520,
  [5187] = 4501,
  [5188] = 889,
  [5189] = 4523,
  [5190] = 4524,
  [5191] = 892,
  [5192] = 890,
  [5193] = 891,
  [5194] = 837,
  [5195] = 4502,
  [5196] = 892,
  [5197] = 3357,
  [5198] = 5198,
  [5199] = 4503,
  [5200] = 3350,
  [5201] = 895,
  [5202] = 4543,
  [5203] = 5203,
  [5204] = 902,
  [5205] = 904,
  [5206] = 4632,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 895,
  [5210] = 903,
  [5211] = 905,
  [5212] = 838,
  [5213] = 874,
  [5214] = 4526,
  [5215] = 839,
  [5216] = 4528,
  [5217] = 840,
  [5218] = 841,
  [5219] = 4532,
  [5220] = 4632,
  [5221] = 903,
  [5222] = 905,
  [5223] = 838,
  [5224] = 874,
  [5225] = 4551,
  [5226] = 840,
  [5227] = 895,
  [5228] = 4568,
  [5229] = 4569,
  [5230] = 5053,
  [5231] = 902,
  [5232] = 4543,
  [5233] = 904,
  [5234] = 840,
  [5235] = 5053,
  [5236] = 855,
  [5237] = 841,
  [5238] = 4558,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 855,
  [5242] = 895,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5244,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5248,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 840,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 1141,
  [5273] = 903,
  [5274] = 5274,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 905,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 838,
  [5282] = 839,
  [5283] = 1125,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 1140,
  [5288] = 841,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 874,
  [5293] = 5293,
  [5294] = 1133,
  [5295] = 1143,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 1155,
  [5303] = 1122,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 1132,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5310,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 3451,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 3178,
  [5319] = 3455,
  [5320] = 3456,
  [5321] = 5321,
  [5322] = 3465,
  [5323] = 5323,
  [5324] = 3507,
  [5325] = 3476,
  [5326] = 5326,
  [5327] = 3466,
  [5328] = 5328,
  [5329] = 3181,
  [5330] = 3179,
  [5331] = 3180,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 3545,
  [5335] = 5335,
  [5336] = 3182,
  [5337] = 3602,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 3602,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5347,
  [5349] = 5349,
  [5350] = 815,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 816,
  [5362] = 817,
  [5363] = 818,
  [5364] = 819,
  [5365] = 3188,
  [5366] = 3194,
  [5367] = 5367,
  [5368] = 3189,
  [5369] = 3192,
  [5370] = 3193,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 3198,
  [5374] = 5374,
  [5375] = 3214,
  [5376] = 3200,
  [5377] = 3201,
  [5378] = 3202,
  [5379] = 5355,
  [5380] = 3207,
  [5381] = 3197,
  [5382] = 3209,
  [5383] = 3210,
  [5384] = 3185,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 815,
  [5390] = 816,
  [5391] = 817,
  [5392] = 818,
  [5393] = 819,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5355,
  [5398] = 3199,
  [5399] = 5399,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5399,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 3357,
  [5406] = 5406,
  [5407] = 5407,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5412,
  [5413] = 5413,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5408,
  [5417] = 5417,
  [5418] = 5418,
  [5419] = 5414,
  [5420] = 3798,
  [5421] = 3357,
  [5422] = 3711,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 5412,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5409,
  [5431] = 3350,
  [5432] = 5399,
  [5433] = 5433,
  [5434] = 5411,
  [5435] = 5435,
  [5436] = 5406,
  [5437] = 5437,
  [5438] = 5424,
  [5439] = 5412,
  [5440] = 5440,
  [5441] = 5399,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5433,
  [5445] = 5411,
  [5446] = 5435,
  [5447] = 5406,
  [5448] = 5426,
  [5449] = 5449,
  [5450] = 5412,
  [5451] = 5451,
  [5452] = 5399,
  [5453] = 5411,
  [5454] = 5435,
  [5455] = 5412,
  [5456] = 5456,
  [5457] = 5399,
  [5458] = 5411,
  [5459] = 5399,
  [5460] = 5411,
  [5461] = 5461,
  [5462] = 5399,
  [5463] = 5411,
  [5464] = 5399,
  [5465] = 5411,
  [5466] = 5399,
  [5467] = 5399,
  [5468] = 5399,
  [5469] = 5469,
  [5470] = 5428,
  [5471] = 5471,
  [5472] = 5472,
  [5473] = 5451,
  [5474] = 5399,
  [5475] = 5443,
  [5476] = 5440,
  [5477] = 5442,
  [5478] = 5404,
  [5479] = 5479,
  [5480] = 5401,
  [5481] = 5399,
  [5482] = 5413,
  [5483] = 5469,
  [5484] = 5472,
  [5485] = 5399,
  [5486] = 5399,
  [5487] = 5399,
  [5488] = 5399,
  [5489] = 3350,
  [5490] = 5399,
  [5491] = 5433,
  [5492] = 5471,
  [5493] = 5479,
  [5494] = 5425,
  [5495] = 5435,
  [5496] = 3711,
  [5497] = 5497,
  [5498] = 5417,
  [5499] = 3798,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5517,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5522,
  [5523] = 5523,
  [5524] = 5514,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 5543,
  [5544] = 5544,
  [5545] = 5545,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 838,
  [5552] = 874,
  [5553] = 839,
  [5554] = 841,
  [5555] = 840,
  [5556] = 903,
  [5557] = 905,
  [5558] = 5558,
  [5559] = 5559,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5565,
  [5566] = 5566,
  [5567] = 5567,
  [5568] = 5568,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5572,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5575,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5584,
  [5585] = 5583,
  [5586] = 5586,
  [5587] = 5580,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5573,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5596,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5573,
  [5607] = 5581,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5596,
  [5612] = 5602,
  [5613] = 5604,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5616,
  [5617] = 5594,
  [5618] = 5581,
  [5619] = 5599,
  [5620] = 5616,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 5615,
  [5624] = 5624,
  [5625] = 5580,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5588,
  [5631] = 5621,
  [5632] = 5632,
  [5633] = 5604,
  [5634] = 5579,
  [5635] = 5635,
  [5636] = 5596,
  [5637] = 5616,
  [5638] = 5579,
  [5639] = 5639,
  [5640] = 5599,
  [5641] = 5594,
  [5642] = 5602,
  [5643] = 5621,
  [5644] = 5644,
  [5645] = 5645,
  [5646] = 5583,
  [5647] = 5647,
  [5648] = 5615,
  [5649] = 5588,
  [5650] = 5650,
  [5651] = 1125,
  [5652] = 5652,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 5662,
  [5663] = 1155,
  [5664] = 1122,
  [5665] = 1140,
  [5666] = 1132,
  [5667] = 1141,
  [5668] = 5668,
  [5669] = 1133,
  [5670] = 1143,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5674,
  [5675] = 5662,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 5678,
  [5679] = 5654,
  [5680] = 5680,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 5685,
  [5686] = 5686,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5689,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5692,
  [5693] = 5693,
  [5694] = 5694,
  [5695] = 5695,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5701,
  [5702] = 5690,
  [5703] = 5703,
  [5704] = 5704,
  [5705] = 5694,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5685,
  [5710] = 5710,
  [5711] = 5711,
  [5712] = 5690,
  [5713] = 5713,
  [5714] = 5714,
  [5715] = 5683,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5683,
  [5720] = 5720,
  [5721] = 5721,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5676,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5687,
  [5729] = 5729,
  [5730] = 5730,
  [5731] = 5731,
  [5732] = 5698,
  [5733] = 5733,
  [5734] = 5687,
  [5735] = 5735,
  [5736] = 5694,
  [5737] = 5698,
  [5738] = 5738,
  [5739] = 5685,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5756,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5769,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5771,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5778,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5786,
  [5787] = 5787,
  [5788] = 5787,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5791,
  [5793] = 5793,
  [5794] = 5785,
  [5795] = 5786,
  [5796] = 5787,
  [5797] = 5790,
  [5798] = 5798,
  [5799] = 5791,
  [5800] = 5787,
  [5801] = 5793,
  [5802] = 5785,
  [5803] = 5803,
  [5804] = 5786,
  [5805] = 5790,
  [5806] = 5787,
  [5807] = 5790,
  [5808] = 5791,
  [5809] = 5787,
  [5810] = 5793,
  [5811] = 5785,
  [5812] = 5791,
  [5813] = 5813,
  [5814] = 5790,
  [5815] = 5793,
  [5816] = 5785,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5790,
  [5824] = 5793,
  [5825] = 5825,
  [5826] = 5813,
  [5827] = 5827,
  [5828] = 5828,
  [5829] = 5786,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5791,
  [5833] = 5787,
  [5834] = 5825,
  [5835] = 5835,
  [5836] = 5790,
  [5837] = 5837,
  [5838] = 5817,
  [5839] = 5793,
  [5840] = 5793,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5843,
  [5844] = 5844,
  [5845] = 5786,
  [5846] = 5787,
  [5847] = 5791,
  [5848] = 5793,
  [5849] = 5785,
  [5850] = 5785,
  [5851] = 5790,
  [5852] = 5852,
  [5853] = 5853,
  [5854] = 5854,
  [5855] = 5791,
  [5856] = 5856,
  [5857] = 5790,
  [5858] = 5858,
  [5859] = 5793,
  [5860] = 5785,
  [5861] = 5861,
  [5862] = 5862,
  [5863] = 5784,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 5869,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5842,
  [5875] = 5786,
  [5876] = 5785,
  [5877] = 5791,
  [5878] = 5793,
  [5879] = 5827,
  [5880] = 5817,
  [5881] = 5786,
  [5882] = 5882,
  [5883] = 5787,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5785,
  [5888] = 5787,
  [5889] = 5786,
  [5890] = 5861,
  [5891] = 5793,
  [5892] = 5790,
  [5893] = 5786,
  [5894] = 5787,
  [5895] = 5827,
  [5896] = 5827,
  [5897] = 5791,
  [5898] = 5793,
  [5899] = 5785,
  [5900] = 5900,
  [5901] = 5790,
  [5902] = 5868,
  [5903] = 5791,
  [5904] = 5791,
  [5905] = 5793,
  [5906] = 5785,
  [5907] = 5907,
  [5908] = 5825,
  [5909] = 5884,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5785,
  [5916] = 5861,
  [5917] = 5787,
  [5918] = 5918,
  [5919] = 5884,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5790,
  [5923] = 5923,
  [5924] = 5786,
  [5925] = 5925,
  [5926] = 5813,
  [5927] = 5786,
  [5928] = 5787,
  [5929] = 5785,
  [5930] = 5790,
  [5931] = 5787,
  [5932] = 5791,
  [5933] = 5933,
  [5934] = 5787,
  [5935] = 5790,
  [5936] = 5936,
  [5937] = 5793,
  [5938] = 5790,
  [5939] = 5939,
  [5940] = 5791,
  [5941] = 5793,
  [5942] = 5785,
  [5943] = 4702,
  [5944] = 5944,
  [5945] = 5785,
  [5946] = 5786,
  [5947] = 5842,
  [5948] = 5786,
  [5949] = 5787,
  [5950] = 5950,
  [5951] = 5790,
  [5952] = 5842,
  [5953] = 5953,
  [5954] = 5791,
  [5955] = 5793,
  [5956] = 5821,
  [5957] = 5785,
  [5958] = 5958,
  [5959] = 5825,
  [5960] = 5786,
  [5961] = 5953,
  [5962] = 5953,
  [5963] = 5963,
  [5964] = 5787,
  [5965] = 5790,
  [5966] = 5817,
  [5967] = 5791,
  [5968] = 5793,
  [5969] = 5785,
  [5970] = 5786,
  [5971] = 5786,
  [5972] = 5923,
  [5973] = 5786,
  [5974] = 5791,
  [5975] = 5786,
  [5976] = 5976,
  [5977] = 5787,
  [5978] = 5790,
  [5979] = 5786,
  [5980] = 5980,
  [5981] = 5884,
  [5982] = 5787,
  [5983] = 5791,
  [5984] = 5861,
  [5985] = 5790,
  [5986] = 5793,
  [5987] = 5980,
  [5988] = 5785,
  [5989] = 5793,
  [5990] = 5864,
  [5991] = 5991,
  [5992] = 5813,
  [5993] = 5791,
  [5994] = 5953,
  [5995] = 5995,
  [5996] = 5996,
  [5997] = 5997,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 6007,
  [6008] = 6008,
  [6009] = 6009,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 6013,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 3357,
  [6021] = 3350,
  [6022] = 6022,
  [6023] = 6023,
  [6024] = 6024,
  [6025] = 6025,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 6030,
  [6031] = 6031,
  [6032] = 6032,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 6035,
  [6036] = 6036,
  [6037] = 6036,
  [6038] = 3178,
  [6039] = 6039,
  [6040] = 6036,
  [6041] = 6039,
  [6042] = 6039,
  [6043] = 6043,
  [6044] = 6039,
  [6045] = 6036,
  [6046] = 815,
  [6047] = 6039,
  [6048] = 6036,
  [6049] = 5326,
  [6050] = 6039,
  [6051] = 6036,
  [6052] = 816,
  [6053] = 6039,
  [6054] = 6036,
  [6055] = 6055,
  [6056] = 6039,
  [6057] = 6036,
  [6058] = 6039,
  [6059] = 6059,
  [6060] = 6036,
  [6061] = 817,
  [6062] = 6036,
  [6063] = 6063,
  [6064] = 6036,
  [6065] = 6065,
  [6066] = 6039,
  [6067] = 6067,
  [6068] = 818,
  [6069] = 6069,
  [6070] = 6036,
  [6071] = 6071,
  [6072] = 6072,
  [6073] = 6039,
  [6074] = 6036,
  [6075] = 819,
  [6076] = 6076,
  [6077] = 6039,
  [6078] = 6039,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 6082,
  [6083] = 6083,
  [6084] = 6084,
  [6085] = 6081,
  [6086] = 6086,
  [6087] = 6079,
  [6088] = 6088,
  [6089] = 6088,
  [6090] = 6090,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6081,
  [6097] = 6097,
  [6098] = 6082,
  [6099] = 6079,
  [6100] = 6088,
  [6101] = 6088,
  [6102] = 6094,
  [6103] = 6083,
  [6104] = 6104,
  [6105] = 6094,
  [6106] = 6095,
  [6107] = 6107,
  [6108] = 6108,
  [6109] = 6095,
  [6110] = 6110,
  [6111] = 6111,
  [6112] = 6112,
  [6113] = 6113,
  [6114] = 6092,
  [6115] = 6115,
  [6116] = 1537,
  [6117] = 6092,
  [6118] = 6118,
  [6119] = 6119,
  [6120] = 6093,
  [6121] = 6121,
  [6122] = 6122,
  [6123] = 6092,
  [6124] = 6093,
  [6125] = 6081,
  [6126] = 6093,
  [6127] = 6092,
  [6128] = 6082,
  [6129] = 6079,
  [6130] = 6093,
  [6131] = 6088,
  [6132] = 5335,
  [6133] = 6094,
  [6134] = 6083,
  [6135] = 6092,
  [6136] = 6093,
  [6137] = 6095,
  [6138] = 6093,
  [6139] = 6111,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 6110,
  [6143] = 6143,
  [6144] = 6081,
  [6145] = 6082,
  [6146] = 6079,
  [6147] = 6088,
  [6148] = 6081,
  [6149] = 6094,
  [6150] = 6095,
  [6151] = 6082,
  [6152] = 6088,
  [6153] = 6153,
  [6154] = 6083,
  [6155] = 6094,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 6094,
  [6159] = 6095,
  [6160] = 6160,
  [6161] = 6111,
  [6162] = 6092,
  [6163] = 6090,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 6081,
  [6168] = 6082,
  [6169] = 6169,
  [6170] = 6079,
  [6171] = 6083,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 6088,
  [6175] = 6111,
  [6176] = 6176,
  [6177] = 6177,
  [6178] = 6178,
  [6179] = 6092,
  [6180] = 6093,
  [6181] = 6095,
  [6182] = 6092,
  [6183] = 6083,
  [6184] = 6093,
  [6185] = 6111,
  [6186] = 6112,
  [6187] = 6092,
  [6188] = 6092,
  [6189] = 6081,
  [6190] = 6083,
  [6191] = 6093,
  [6192] = 6082,
  [6193] = 6111,
  [6194] = 6093,
  [6195] = 6195,
  [6196] = 6079,
  [6197] = 6081,
  [6198] = 6082,
  [6199] = 6088,
  [6200] = 6083,
  [6201] = 6079,
  [6202] = 6088,
  [6203] = 6095,
  [6204] = 6111,
  [6205] = 6115,
  [6206] = 6094,
  [6207] = 6094,
  [6208] = 6095,
  [6209] = 6095,
  [6210] = 6083,
  [6211] = 6211,
  [6212] = 6111,
  [6213] = 6118,
  [6214] = 6214,
  [6215] = 6094,
  [6216] = 6095,
  [6217] = 6083,
  [6218] = 6104,
  [6219] = 6111,
  [6220] = 6220,
  [6221] = 6221,
  [6222] = 6220,
  [6223] = 6083,
  [6224] = 6224,
  [6225] = 6111,
  [6226] = 6226,
  [6227] = 6092,
  [6228] = 6083,
  [6229] = 6169,
  [6230] = 6230,
  [6231] = 6111,
  [6232] = 6092,
  [6233] = 6092,
  [6234] = 6093,
  [6235] = 6195,
  [6236] = 6083,
  [6237] = 6093,
  [6238] = 6081,
  [6239] = 6111,
  [6240] = 6081,
  [6241] = 6082,
  [6242] = 6079,
  [6243] = 6088,
  [6244] = 6094,
  [6245] = 6095,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 6177,
  [6249] = 6249,
  [6250] = 6081,
  [6251] = 6111,
  [6252] = 6082,
  [6253] = 6079,
  [6254] = 6088,
  [6255] = 6140,
  [6256] = 6160,
  [6257] = 6081,
  [6258] = 6258,
  [6259] = 6082,
  [6260] = 6079,
  [6261] = 6088,
  [6262] = 6262,
  [6263] = 6097,
  [6264] = 6094,
  [6265] = 6095,
  [6266] = 6082,
  [6267] = 6267,
  [6268] = 6082,
  [6269] = 6079,
  [6270] = 6088,
  [6271] = 6093,
  [6272] = 6082,
  [6273] = 6092,
  [6274] = 6093,
  [6275] = 6079,
  [6276] = 6094,
  [6277] = 6095,
  [6278] = 3632,
  [6279] = 3728,
  [6280] = 1726,
  [6281] = 6081,
  [6282] = 6082,
  [6283] = 6230,
  [6284] = 6079,
  [6285] = 6247,
  [6286] = 6088,
  [6287] = 6166,
  [6288] = 6172,
  [6289] = 6094,
  [6290] = 6249,
  [6291] = 6094,
  [6292] = 6095,
  [6293] = 6080,
  [6294] = 6247,
  [6295] = 6160,
  [6296] = 6249,
  [6297] = 6081,
  [6298] = 6141,
  [6299] = 6086,
  [6300] = 3744,
  [6301] = 6301,
  [6302] = 6176,
  [6303] = 6258,
  [6304] = 6211,
  [6305] = 6178,
  [6306] = 6079,
  [6307] = 6258,
  [6308] = 4400,
  [6309] = 6309,
  [6310] = 6310,
  [6311] = 5340,
  [6312] = 6312,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6316,
  [6317] = 6317,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6221,
  [6322] = 6310,
  [6323] = 6224,
  [6324] = 6324,
  [6325] = 6325,
  [6326] = 6310,
  [6327] = 6310,
  [6328] = 6310,
  [6329] = 4363,
  [6330] = 6330,
  [6331] = 6310,
  [6332] = 6310,
  [6333] = 6310,
  [6334] = 6310,
  [6335] = 6310,
  [6336] = 6310,
  [6337] = 6310,
  [6338] = 6310,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 6310,
  [6343] = 3403,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 6310,
  [6347] = 6084,
  [6348] = 5341,
  [6349] = 6310,
  [6350] = 6350,
  [6351] = 5339,
  [6352] = 6310,
  [6353] = 6310,
  [6354] = 5349,
  [6355] = 6355,
  [6356] = 6310,
  [6357] = 6164,
  [6358] = 6358,
  [6359] = 6310,
  [6360] = 6310,
  [6361] = 6310,
  [6362] = 4384,
  [6363] = 6246,
  [6364] = 6364,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 6310,
  [6369] = 6310,
  [6370] = 6370,
  [6371] = 6310,
  [6372] = 6372,
  [6373] = 6310,
  [6374] = 6310,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 6143,
  [6378] = 6378,
  [6379] = 6310,
  [6380] = 6267,
  [6381] = 6165,
  [6382] = 6310,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 6385,
  [6386] = 6310,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 3386,
  [6393] = 6393,
  [6394] = 6310,
  [6395] = 6310,
  [6396] = 6310,
  [6397] = 6310,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6310,
  [6401] = 4387,
  [6402] = 6402,
  [6403] = 6310,
  [6404] = 6404,
  [6405] = 6310,
  [6406] = 6406,
  [6407] = 6310,
  [6408] = 6310,
  [6409] = 4058,
  [6410] = 6410,
  [6411] = 5343,
  [6412] = 4388,
  [6413] = 6317,
  [6414] = 3178,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6310,
  [6418] = 6418,
  [6419] = 6156,
  [6420] = 6420,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6424,
  [6425] = 6425,
  [6426] = 6310,
  [6427] = 6310,
  [6428] = 6428,
  [6429] = 6317,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6310,
  [6437] = 6310,
  [6438] = 6317,
  [6439] = 6310,
  [6440] = 4402,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6310,
  [6446] = 6446,
  [6447] = 6310,
  [6448] = 4379,
  [6449] = 5342,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 6455,
  [6456] = 6456,
  [6457] = 6457,
  [6458] = 6458,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 6461,
  [6462] = 6462,
  [6463] = 6463,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6472,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 6496,
  [6497] = 6452,
  [6498] = 6498,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 6501,
  [6502] = 6502,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6493,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6507,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6465,
  [6521] = 6513,
  [6522] = 6522,
  [6523] = 6523,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 816,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 817,
  [6536] = 818,
  [6537] = 6537,
  [6538] = 819,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 4019,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6452,
  [6550] = 6550,
  [6551] = 6551,
  [6552] = 3455,
  [6553] = 6454,
  [6554] = 6554,
  [6555] = 6555,
  [6556] = 6458,
  [6557] = 6459,
  [6558] = 6477,
  [6559] = 6464,
  [6560] = 6560,
  [6561] = 6466,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6469,
  [6565] = 6565,
  [6566] = 6475,
  [6567] = 6476,
  [6568] = 6568,
  [6569] = 6487,
  [6570] = 6488,
  [6571] = 6490,
  [6572] = 6488,
  [6573] = 6573,
  [6574] = 6492,
  [6575] = 6575,
  [6576] = 6494,
  [6577] = 6495,
  [6578] = 6498,
  [6579] = 6500,
  [6580] = 6502,
  [6581] = 6503,
  [6582] = 6504,
  [6583] = 6505,
  [6584] = 6507,
  [6585] = 6508,
  [6586] = 6493,
  [6587] = 6587,
  [6588] = 6511,
  [6589] = 6512,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 6516,
  [6593] = 6519,
  [6594] = 6465,
  [6595] = 6513,
  [6596] = 6522,
  [6597] = 6523,
  [6598] = 6598,
  [6599] = 6494,
  [6600] = 6600,
  [6601] = 6527,
  [6602] = 6602,
  [6603] = 6528,
  [6604] = 6529,
  [6605] = 6531,
  [6606] = 6532,
  [6607] = 6533,
  [6608] = 6534,
  [6609] = 6609,
  [6610] = 6610,
  [6611] = 6495,
  [6612] = 6540,
  [6613] = 6541,
  [6614] = 6543,
  [6615] = 6452,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 6454,
  [6619] = 6458,
  [6620] = 6459,
  [6621] = 6621,
  [6622] = 6480,
  [6623] = 6464,
  [6624] = 6466,
  [6625] = 6481,
  [6626] = 6469,
  [6627] = 6498,
  [6628] = 6475,
  [6629] = 6476,
  [6630] = 6630,
  [6631] = 6631,
  [6632] = 6487,
  [6633] = 6488,
  [6634] = 6634,
  [6635] = 6490,
  [6636] = 6500,
  [6637] = 6492,
  [6638] = 6638,
  [6639] = 6639,
  [6640] = 6640,
  [6641] = 6494,
  [6642] = 6495,
  [6643] = 6643,
  [6644] = 6498,
  [6645] = 6500,
  [6646] = 6646,
  [6647] = 6502,
  [6648] = 6503,
  [6649] = 6504,
  [6650] = 6505,
  [6651] = 6651,
  [6652] = 6507,
  [6653] = 6508,
  [6654] = 6493,
  [6655] = 6511,
  [6656] = 6512,
  [6657] = 6657,
  [6658] = 6516,
  [6659] = 6659,
  [6660] = 6519,
  [6661] = 6661,
  [6662] = 6465,
  [6663] = 6513,
  [6664] = 6522,
  [6665] = 6523,
  [6666] = 6666,
  [6667] = 6482,
  [6668] = 6668,
  [6669] = 6528,
  [6670] = 6670,
  [6671] = 6529,
  [6672] = 6531,
  [6673] = 6532,
  [6674] = 6533,
  [6675] = 6534,
  [6676] = 6541,
  [6677] = 6455,
  [6678] = 6678,
  [6679] = 6543,
  [6680] = 6680,
  [6681] = 6681,
  [6682] = 6682,
  [6683] = 6522,
  [6684] = 6684,
  [6685] = 6454,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6464,
  [6689] = 6466,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6475,
  [6693] = 6476,
  [6694] = 6694,
  [6695] = 6487,
  [6696] = 6488,
  [6697] = 6514,
  [6698] = 6490,
  [6699] = 6699,
  [6700] = 6492,
  [6701] = 6494,
  [6702] = 6702,
  [6703] = 6495,
  [6704] = 6704,
  [6705] = 6498,
  [6706] = 6500,
  [6707] = 6502,
  [6708] = 6503,
  [6709] = 6504,
  [6710] = 6505,
  [6711] = 6507,
  [6712] = 6712,
  [6713] = 6508,
  [6714] = 6493,
  [6715] = 6715,
  [6716] = 6511,
  [6717] = 6512,
  [6718] = 6718,
  [6719] = 6516,
  [6720] = 815,
  [6721] = 6519,
  [6722] = 6722,
  [6723] = 6465,
  [6724] = 6513,
  [6725] = 6522,
  [6726] = 6523,
  [6727] = 6543,
  [6728] = 6529,
  [6729] = 6729,
  [6730] = 6531,
  [6731] = 6532,
  [6732] = 6533,
  [6733] = 6534,
  [6734] = 6734,
  [6735] = 6735,
  [6736] = 6543,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6461,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6454,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6487,
  [6747] = 5351,
  [6748] = 6748,
  [6749] = 5352,
  [6750] = 6750,
  [6751] = 6464,
  [6752] = 6466,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6475,
  [6756] = 6476,
  [6757] = 6757,
  [6758] = 6487,
  [6759] = 6488,
  [6760] = 6760,
  [6761] = 6490,
  [6762] = 6490,
  [6763] = 6492,
  [6764] = 6764,
  [6765] = 6494,
  [6766] = 6495,
  [6767] = 6498,
  [6768] = 6492,
  [6769] = 6500,
  [6770] = 6502,
  [6771] = 6503,
  [6772] = 6504,
  [6773] = 6505,
  [6774] = 6507,
  [6775] = 6775,
  [6776] = 6508,
  [6777] = 6493,
  [6778] = 6511,
  [6779] = 6512,
  [6780] = 6780,
  [6781] = 6519,
  [6782] = 6782,
  [6783] = 6465,
  [6784] = 6513,
  [6785] = 6522,
  [6786] = 6523,
  [6787] = 6787,
  [6788] = 6469,
  [6789] = 6529,
  [6790] = 6531,
  [6791] = 6532,
  [6792] = 6533,
  [6793] = 6534,
  [6794] = 6507,
  [6795] = 6795,
  [6796] = 6543,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6454,
  [6803] = 6508,
  [6804] = 6493,
  [6805] = 6805,
  [6806] = 6511,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6464,
  [6810] = 6810,
  [6811] = 6466,
  [6812] = 6512,
  [6813] = 6475,
  [6814] = 6476,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6487,
  [6818] = 6488,
  [6819] = 6490,
  [6820] = 6820,
  [6821] = 6490,
  [6822] = 6492,
  [6823] = 6494,
  [6824] = 6495,
  [6825] = 6492,
  [6826] = 6498,
  [6827] = 6474,
  [6828] = 6500,
  [6829] = 6502,
  [6830] = 6503,
  [6831] = 6504,
  [6832] = 6505,
  [6833] = 6833,
  [6834] = 6507,
  [6835] = 6493,
  [6836] = 6511,
  [6837] = 6512,
  [6838] = 6838,
  [6839] = 6516,
  [6840] = 6519,
  [6841] = 6519,
  [6842] = 6465,
  [6843] = 6513,
  [6844] = 6522,
  [6845] = 6523,
  [6846] = 6529,
  [6847] = 6847,
  [6848] = 6531,
  [6849] = 6532,
  [6850] = 6533,
  [6851] = 6534,
  [6852] = 6519,
  [6853] = 6543,
  [6854] = 6464,
  [6855] = 6465,
  [6856] = 6513,
  [6857] = 6522,
  [6858] = 6523,
  [6859] = 6859,
  [6860] = 6860,
  [6861] = 6861,
  [6862] = 6862,
  [6863] = 6466,
  [6864] = 6864,
  [6865] = 6487,
  [6866] = 6488,
  [6867] = 6867,
  [6868] = 6490,
  [6869] = 6492,
  [6870] = 6511,
  [6871] = 6871,
  [6872] = 6494,
  [6873] = 6495,
  [6874] = 6874,
  [6875] = 6875,
  [6876] = 6498,
  [6877] = 6460,
  [6878] = 6500,
  [6879] = 6879,
  [6880] = 6502,
  [6881] = 6503,
  [6882] = 6504,
  [6883] = 6505,
  [6884] = 6884,
  [6885] = 6507,
  [6886] = 6886,
  [6887] = 6493,
  [6888] = 6511,
  [6889] = 6512,
  [6890] = 6890,
  [6891] = 6891,
  [6892] = 3386,
  [6893] = 6519,
  [6894] = 6465,
  [6895] = 6522,
  [6896] = 6523,
  [6897] = 6451,
  [6898] = 6898,
  [6899] = 6899,
  [6900] = 6529,
  [6901] = 6531,
  [6902] = 6532,
  [6903] = 6533,
  [6904] = 6534,
  [6905] = 6543,
  [6906] = 6906,
  [6907] = 6907,
  [6908] = 4387,
  [6909] = 6909,
  [6910] = 6527,
  [6911] = 6911,
  [6912] = 6807,
  [6913] = 6487,
  [6914] = 6488,
  [6915] = 6490,
  [6916] = 6528,
  [6917] = 6917,
  [6918] = 6502,
  [6919] = 6492,
  [6920] = 6523,
  [6921] = 6494,
  [6922] = 6494,
  [6923] = 6495,
  [6924] = 6503,
  [6925] = 6498,
  [6926] = 6500,
  [6927] = 6502,
  [6928] = 6503,
  [6929] = 6504,
  [6930] = 6505,
  [6931] = 6495,
  [6932] = 6504,
  [6933] = 6493,
  [6934] = 6511,
  [6935] = 6512,
  [6936] = 6617,
  [6937] = 6498,
  [6938] = 6505,
  [6939] = 6519,
  [6940] = 6529,
  [6941] = 6465,
  [6942] = 6522,
  [6943] = 6523,
  [6944] = 6944,
  [6945] = 6945,
  [6946] = 6531,
  [6947] = 6529,
  [6948] = 6531,
  [6949] = 6532,
  [6950] = 6533,
  [6951] = 6534,
  [6952] = 6500,
  [6953] = 6532,
  [6954] = 6954,
  [6955] = 6543,
  [6956] = 6956,
  [6957] = 6957,
  [6958] = 6533,
  [6959] = 6534,
  [6960] = 6960,
  [6961] = 6735,
  [6962] = 6487,
  [6963] = 6488,
  [6964] = 6964,
  [6965] = 6490,
  [6966] = 6966,
  [6967] = 6492,
  [6968] = 6454,
  [6969] = 6737,
  [6970] = 6494,
  [6971] = 6495,
  [6972] = 6498,
  [6973] = 6500,
  [6974] = 6502,
  [6975] = 6503,
  [6976] = 6504,
  [6977] = 6505,
  [6978] = 6493,
  [6979] = 6511,
  [6980] = 6512,
  [6981] = 6519,
  [6982] = 6465,
  [6983] = 6522,
  [6984] = 6523,
  [6985] = 6985,
  [6986] = 6531,
  [6987] = 6532,
  [6988] = 6533,
  [6989] = 6534,
  [6990] = 6543,
  [6991] = 6991,
  [6992] = 6540,
  [6993] = 6487,
  [6994] = 6488,
  [6995] = 6541,
  [6996] = 6493,
  [6997] = 6511,
  [6998] = 6512,
  [6999] = 6847,
  [7000] = 7000,
  [7001] = 6529,
  [7002] = 6519,
  [7003] = 6465,
  [7004] = 6522,
  [7005] = 6523,
  [7006] = 4385,
  [7007] = 6502,
  [7008] = 6531,
  [7009] = 6532,
  [7010] = 6533,
  [7011] = 6534,
  [7012] = 6609,
  [7013] = 6543,
  [7014] = 6543,
  [7015] = 6738,
  [7016] = 6503,
  [7017] = 6504,
  [7018] = 7018,
  [7019] = 7019,
  [7020] = 6505,
  [7021] = 6483,
  [7022] = 6487,
  [7023] = 6488,
  [7024] = 6511,
  [7025] = 6512,
  [7026] = 7026,
  [7027] = 7027,
  [7028] = 6465,
  [7029] = 7029,
  [7030] = 7030,
  [7031] = 6510,
  [7032] = 7027,
  [7033] = 7033,
  [7034] = 6740,
  [7035] = 7035,
  [7036] = 7036,
  [7037] = 7037,
  [7038] = 6511,
  [7039] = 6512,
  [7040] = 6465,
  [7041] = 6488,
  [7042] = 6452,
  [7043] = 7043,
  [7044] = 7044,
  [7045] = 6455,
  [7046] = 7046,
  [7047] = 6494,
  [7048] = 7048,
  [7049] = 6511,
  [7050] = 6512,
  [7051] = 6465,
  [7052] = 6495,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 6743,
  [7057] = 6498,
  [7058] = 6454,
  [7059] = 6511,
  [7060] = 6512,
  [7061] = 7061,
  [7062] = 6465,
  [7063] = 6500,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 6475,
  [7067] = 6511,
  [7068] = 6512,
  [7069] = 6465,
  [7070] = 6487,
  [7071] = 3403,
  [7072] = 6458,
  [7073] = 6459,
  [7074] = 6511,
  [7075] = 6512,
  [7076] = 6460,
  [7077] = 6465,
  [7078] = 6461,
  [7079] = 6476,
  [7080] = 7080,
  [7081] = 6512,
  [7082] = 6484,
  [7083] = 6512,
  [7084] = 6512,
  [7085] = 6512,
  [7086] = 6485,
  [7087] = 6512,
  [7088] = 6512,
  [7089] = 6122,
  [7090] = 6512,
  [7091] = 6533,
  [7092] = 6512,
  [7093] = 6512,
  [7094] = 7094,
  [7095] = 6512,
  [7096] = 6512,
  [7097] = 7097,
  [7098] = 6512,
  [7099] = 7099,
  [7100] = 6512,
  [7101] = 6512,
  [7102] = 6512,
  [7103] = 6512,
  [7104] = 6464,
  [7105] = 6512,
  [7106] = 7106,
  [7107] = 6512,
  [7108] = 6466,
  [7109] = 6512,
  [7110] = 7110,
  [7111] = 6512,
  [7112] = 6512,
  [7113] = 7113,
  [7114] = 6512,
  [7115] = 6512,
  [7116] = 6512,
  [7117] = 6512,
  [7118] = 6512,
  [7119] = 6512,
  [7120] = 6469,
  [7121] = 6512,
  [7122] = 7122,
  [7123] = 6451,
  [7124] = 7054,
  [7125] = 7125,
  [7126] = 6799,
  [7127] = 6810,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7130,
  [7131] = 6475,
  [7132] = 6476,
  [7133] = 7133,
  [7134] = 6477,
  [7135] = 7135,
  [7136] = 6480,
  [7137] = 7137,
  [7138] = 6481,
  [7139] = 6482,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 7142,
  [7143] = 6490,
  [7144] = 6945,
  [7145] = 6838,
  [7146] = 6516,
  [7147] = 6484,
  [7148] = 6485,
  [7149] = 6544,
  [7150] = 6492,
  [7151] = 7151,
  [7152] = 6508,
  [7153] = 6508,
  [7154] = 6544,
  [7155] = 6451,
  [7156] = 7054,
  [7157] = 6598,
  [7158] = 7158,
  [7159] = 6602,
  [7160] = 7130,
  [7161] = 6514,
  [7162] = 6735,
  [7163] = 6737,
  [7164] = 7137,
  [7165] = 7165,
  [7166] = 6738,
  [7167] = 6740,
  [7168] = 6743,
  [7169] = 6487,
  [7170] = 7018,
  [7171] = 6483,
  [7172] = 6510,
  [7173] = 6488,
  [7174] = 6451,
  [7175] = 7054,
  [7176] = 7130,
  [7177] = 7177,
  [7178] = 7137,
  [7179] = 6490,
  [7180] = 7180,
  [7181] = 7137,
  [7182] = 6492,
  [7183] = 6527,
  [7184] = 6451,
  [7185] = 7054,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7130,
  [7190] = 7190,
  [7191] = 6494,
  [7192] = 7137,
  [7193] = 6495,
  [7194] = 6531,
  [7195] = 7195,
  [7196] = 6498,
  [7197] = 6451,
  [7198] = 7054,
  [7199] = 6507,
  [7200] = 6500,
  [7201] = 7201,
  [7202] = 7130,
  [7203] = 6502,
  [7204] = 6503,
  [7205] = 6504,
  [7206] = 6505,
  [7207] = 7137,
  [7208] = 7208,
  [7209] = 6451,
  [7210] = 7054,
  [7211] = 6508,
  [7212] = 6502,
  [7213] = 7130,
  [7214] = 6507,
  [7215] = 7215,
  [7216] = 6528,
  [7217] = 7137,
  [7218] = 6503,
  [7219] = 6504,
  [7220] = 6799,
  [7221] = 6451,
  [7222] = 7054,
  [7223] = 6508,
  [7224] = 6493,
  [7225] = 6511,
  [7226] = 7130,
  [7227] = 6807,
  [7228] = 7137,
  [7229] = 6532,
  [7230] = 6512,
  [7231] = 6451,
  [7232] = 7054,
  [7233] = 7233,
  [7234] = 6598,
  [7235] = 7130,
  [7236] = 7236,
  [7237] = 6954,
  [7238] = 6474,
  [7239] = 6451,
  [7240] = 7054,
  [7241] = 6505,
  [7242] = 7130,
  [7243] = 7130,
  [7244] = 6838,
  [7245] = 6516,
  [7246] = 7246,
  [7247] = 7054,
  [7248] = 6540,
  [7249] = 7130,
  [7250] = 7250,
  [7251] = 6519,
  [7252] = 7252,
  [7253] = 6465,
  [7254] = 6513,
  [7255] = 6451,
  [7256] = 7054,
  [7257] = 6522,
  [7258] = 6523,
  [7259] = 7259,
  [7260] = 6325,
  [7261] = 7261,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 6451,
  [7265] = 7054,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 6602,
  [7270] = 6527,
  [7271] = 6534,
  [7272] = 6528,
  [7273] = 6512,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 6529,
  [7277] = 6945,
  [7278] = 6531,
  [7279] = 6532,
  [7280] = 6533,
  [7281] = 6534,
  [7282] = 7282,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 6541,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 6540,
  [7294] = 6541,
  [7295] = 6458,
  [7296] = 6459,
  [7297] = 6609,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7301,
  [7302] = 6543,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7027,
  [7307] = 1537,
  [7308] = 7308,
  [7309] = 7309,
  [7310] = 7310,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 7313,
  [7314] = 7018,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 7317,
  [7318] = 7318,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 7317,
  [7322] = 7318,
  [7323] = 2909,
  [7324] = 7317,
  [7325] = 7318,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7317,
  [7329] = 7318,
  [7330] = 7318,
  [7331] = 7331,
  [7332] = 7317,
  [7333] = 7318,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7317,
  [7337] = 7318,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7317,
  [7341] = 7318,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7317,
  [7345] = 7318,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7317,
  [7349] = 7318,
  [7350] = 7350,
  [7351] = 7317,
  [7352] = 7318,
  [7353] = 7353,
  [7354] = 7354,
  [7355] = 7317,
  [7356] = 7318,
  [7357] = 7317,
  [7358] = 7358,
  [7359] = 7317,
  [7360] = 7318,
  [7361] = 7361,
  [7362] = 7317,
  [7363] = 7318,
  [7364] = 7364,
  [7365] = 7365,
  [7366] = 7317,
  [7367] = 7318,
  [7368] = 7368,
  [7369] = 7317,
  [7370] = 7318,
  [7371] = 7371,
  [7372] = 7318,
  [7373] = 7317,
  [7374] = 7318,
  [7375] = 7375,
  [7376] = 7376,
  [7377] = 7317,
  [7378] = 7318,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 7317,
  [7382] = 7318,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 7317,
  [7386] = 7318,
  [7387] = 7387,
  [7388] = 7317,
  [7389] = 7318,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 7317,
  [7393] = 7318,
  [7394] = 7394,
  [7395] = 7317,
  [7396] = 7318,
  [7397] = 7397,
  [7398] = 7317,
  [7399] = 7318,
  [7400] = 7400,
  [7401] = 7317,
  [7402] = 7318,
  [7403] = 7403,
  [7404] = 7317,
  [7405] = 7318,
  [7406] = 7406,
  [7407] = 7317,
  [7408] = 7318,
  [7409] = 7409,
  [7410] = 7317,
  [7411] = 7317,
  [7412] = 7318,
  [7413] = 7413,
  [7414] = 7317,
  [7415] = 7415,
  [7416] = 7416,
  [7417] = 7417,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7318,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7443,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 818,
  [7450] = 7450,
  [7451] = 7451,
  [7452] = 7452,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 7463,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7466,
  [7467] = 815,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7471,
  [7472] = 5671,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7475,
  [7476] = 7476,
  [7477] = 7375,
  [7478] = 7318,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 4058,
  [7483] = 7483,
  [7484] = 7484,
  [7485] = 7318,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7450,
  [7489] = 7451,
  [7490] = 4545,
  [7491] = 7491,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7318,
  [7498] = 7498,
  [7499] = 4546,
  [7500] = 7317,
  [7501] = 7501,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 2917,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7318,
  [7511] = 7450,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7516,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 4558,
  [7523] = 6729,
  [7524] = 7524,
  [7525] = 7525,
  [7526] = 7318,
  [7527] = 7527,
  [7528] = 7528,
  [7529] = 7317,
  [7530] = 7530,
  [7531] = 7318,
  [7532] = 2916,
  [7533] = 7317,
  [7534] = 7317,
  [7535] = 7443,
  [7536] = 7536,
  [7537] = 7454,
  [7538] = 7317,
  [7539] = 7539,
  [7540] = 7317,
  [7541] = 7318,
  [7542] = 7542,
  [7543] = 7318,
  [7544] = 7544,
  [7545] = 7545,
  [7546] = 7546,
  [7547] = 4527,
  [7548] = 7548,
  [7549] = 7549,
  [7550] = 7550,
  [7551] = 7551,
  [7552] = 7552,
  [7553] = 2924,
  [7554] = 7554,
  [7555] = 7555,
  [7556] = 5500,
  [7557] = 7437,
  [7558] = 7558,
  [7559] = 5400,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 5415,
  [7564] = 7564,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7443,
  [7568] = 7318,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 7317,
  [7575] = 7317,
  [7576] = 7576,
  [7577] = 7375,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7580,
  [7581] = 7564,
  [7582] = 7317,
  [7583] = 7583,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7586,
  [7587] = 7587,
  [7588] = 7588,
  [7589] = 7589,
  [7590] = 7590,
  [7591] = 817,
  [7592] = 7318,
  [7593] = 7593,
  [7594] = 7594,
  [7595] = 7317,
  [7596] = 7596,
  [7597] = 7597,
  [7598] = 7317,
  [7599] = 7599,
  [7600] = 7600,
  [7601] = 7601,
  [7602] = 7602,
  [7603] = 7603,
  [7604] = 7318,
  [7605] = 7605,
  [7606] = 7606,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7451,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7612,
  [7613] = 7613,
  [7614] = 7614,
  [7615] = 7318,
  [7616] = 7354,
  [7617] = 7317,
  [7618] = 5449,
  [7619] = 7619,
  [7620] = 7443,
  [7621] = 7621,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 7564,
  [7625] = 819,
  [7626] = 7626,
  [7627] = 7627,
  [7628] = 7317,
  [7629] = 7629,
  [7630] = 5410,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 7635,
  [7636] = 5418,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7639,
  [7640] = 7640,
  [7641] = 7318,
  [7642] = 7317,
  [7643] = 7643,
  [7644] = 7644,
  [7645] = 7645,
  [7646] = 7387,
  [7647] = 7647,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7317,
  [7651] = 7651,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 7654,
  [7655] = 7655,
  [7656] = 7656,
  [7657] = 7657,
  [7658] = 7658,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7564,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7665,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 7318,
  [7669] = 7443,
  [7670] = 7670,
  [7671] = 7671,
  [7672] = 7350,
  [7673] = 7317,
  [7674] = 7674,
  [7675] = 7318,
  [7676] = 7676,
  [7677] = 7677,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7318,
  [7682] = 7682,
  [7683] = 7683,
  [7684] = 7684,
  [7685] = 7350,
  [7686] = 7686,
  [7687] = 816,
  [7688] = 7688,
  [7689] = 7317,
  [7690] = 4058,
  [7691] = 7691,
  [7692] = 7692,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 7695,
  [7696] = 7696,
  [7697] = 7697,
  [7698] = 7698,
  [7699] = 7318,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 7702,
  [7703] = 7703,
  [7704] = 7703,
  [7705] = 7703,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 7709,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7715,
  [7716] = 7716,
  [7717] = 7717,
  [7718] = 7718,
  [7719] = 3357,
  [7720] = 7720,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7725,
  [7726] = 7726,
  [7727] = 7727,
  [7728] = 7726,
  [7729] = 7729,
  [7730] = 7706,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7736,
  [7737] = 7737,
  [7738] = 7738,
  [7739] = 7739,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 7735,
  [7743] = 7743,
  [7744] = 7744,
  [7745] = 7745,
  [7746] = 5424,
  [7747] = 7747,
  [7748] = 7748,
  [7749] = 7708,
  [7750] = 7709,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7717,
  [7754] = 7715,
  [7755] = 7716,
  [7756] = 7715,
  [7757] = 7716,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 7760,
  [7761] = 7720,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7764,
  [7765] = 7724,
  [7766] = 7725,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7726,
  [7770] = 7770,
  [7771] = 7732,
  [7772] = 7772,
  [7773] = 7734,
  [7774] = 7774,
  [7775] = 7740,
  [7776] = 7741,
  [7777] = 7735,
  [7778] = 7778,
  [7779] = 7732,
  [7780] = 7720,
  [7781] = 7781,
  [7782] = 7708,
  [7783] = 7709,
  [7784] = 7784,
  [7785] = 7711,
  [7786] = 7786,
  [7787] = 7711,
  [7788] = 7786,
  [7789] = 7715,
  [7790] = 7716,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7724,
  [7794] = 7720,
  [7795] = 7725,
  [7796] = 7734,
  [7797] = 7797,
  [7798] = 7725,
  [7799] = 7726,
  [7800] = 7800,
  [7801] = 7726,
  [7802] = 7720,
  [7803] = 7732,
  [7804] = 7723,
  [7805] = 7734,
  [7806] = 7806,
  [7807] = 7740,
  [7808] = 7741,
  [7809] = 7735,
  [7810] = 7810,
  [7811] = 7811,
  [7812] = 7812,
  [7813] = 7723,
  [7814] = 7708,
  [7815] = 7709,
  [7816] = 7708,
  [7817] = 7817,
  [7818] = 7817,
  [7819] = 7772,
  [7820] = 7715,
  [7821] = 7715,
  [7822] = 7716,
  [7823] = 7744,
  [7824] = 7770,
  [7825] = 7825,
  [7826] = 7720,
  [7827] = 7715,
  [7828] = 7828,
  [7829] = 7707,
  [7830] = 7725,
  [7831] = 7768,
  [7832] = 7825,
  [7833] = 7726,
  [7834] = 7732,
  [7835] = 7732,
  [7836] = 7836,
  [7837] = 7734,
  [7838] = 7797,
  [7839] = 7740,
  [7840] = 7741,
  [7841] = 7735,
  [7842] = 7842,
  [7843] = 7843,
  [7844] = 7734,
  [7845] = 7845,
  [7846] = 7708,
  [7847] = 7709,
  [7848] = 7848,
  [7849] = 7849,
  [7850] = 7732,
  [7851] = 7716,
  [7852] = 7852,
  [7853] = 7715,
  [7854] = 7716,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7720,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7861,
  [7862] = 7725,
  [7863] = 7863,
  [7864] = 7806,
  [7865] = 7726,
  [7866] = 7708,
  [7867] = 7732,
  [7868] = 7848,
  [7869] = 7734,
  [7870] = 7800,
  [7871] = 7740,
  [7872] = 7741,
  [7873] = 7735,
  [7874] = 7874,
  [7875] = 7875,
  [7876] = 7740,
  [7877] = 7877,
  [7878] = 7708,
  [7879] = 7709,
  [7880] = 7856,
  [7881] = 7881,
  [7882] = 7741,
  [7883] = 7735,
  [7884] = 7884,
  [7885] = 7715,
  [7886] = 7716,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7720,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 7725,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7726,
  [7897] = 7732,
  [7898] = 7710,
  [7899] = 7734,
  [7900] = 7740,
  [7901] = 7741,
  [7902] = 7735,
  [7903] = 7708,
  [7904] = 7709,
  [7905] = 7715,
  [7906] = 7716,
  [7907] = 7720,
  [7908] = 7908,
  [7909] = 7725,
  [7910] = 7910,
  [7911] = 7708,
  [7912] = 7726,
  [7913] = 7732,
  [7914] = 7709,
  [7915] = 7734,
  [7916] = 7740,
  [7917] = 7741,
  [7918] = 7735,
  [7919] = 7708,
  [7920] = 7709,
  [7921] = 7715,
  [7922] = 7716,
  [7923] = 7720,
  [7924] = 7709,
  [7925] = 7725,
  [7926] = 7926,
  [7927] = 7927,
  [7928] = 7726,
  [7929] = 7732,
  [7930] = 7930,
  [7931] = 7734,
  [7932] = 7740,
  [7933] = 7741,
  [7934] = 7735,
  [7935] = 7708,
  [7936] = 7709,
  [7937] = 7715,
  [7938] = 7716,
  [7939] = 7720,
  [7940] = 7740,
  [7941] = 7725,
  [7942] = 7942,
  [7943] = 7715,
  [7944] = 7726,
  [7945] = 7732,
  [7946] = 7716,
  [7947] = 7740,
  [7948] = 7741,
  [7949] = 7725,
  [7950] = 7707,
  [7951] = 7951,
  [7952] = 7726,
  [7953] = 7732,
  [7954] = 7720,
  [7955] = 7740,
  [7956] = 7735,
  [7957] = 7725,
  [7958] = 7706,
  [7959] = 7959,
  [7960] = 7726,
  [7961] = 7732,
  [7962] = 7962,
  [7963] = 7740,
  [7964] = 7964,
  [7965] = 7725,
  [7966] = 7966,
  [7967] = 7967,
  [7968] = 7726,
  [7969] = 7732,
  [7970] = 7970,
  [7971] = 7740,
  [7972] = 7972,
  [7973] = 7725,
  [7974] = 7732,
  [7975] = 7975,
  [7976] = 7726,
  [7977] = 7732,
  [7978] = 7978,
  [7979] = 7740,
  [7980] = 7980,
  [7981] = 7725,
  [7982] = 7711,
  [7983] = 7983,
  [7984] = 7726,
  [7985] = 7732,
  [7986] = 7986,
  [7987] = 7740,
  [7988] = 7988,
  [7989] = 7725,
  [7990] = 7708,
  [7991] = 7759,
  [7992] = 7726,
  [7993] = 7732,
  [7994] = 7994,
  [7995] = 7740,
  [7996] = 7709,
  [7997] = 7725,
  [7998] = 7998,
  [7999] = 7724,
  [8000] = 7726,
  [8001] = 7732,
  [8002] = 7725,
  [8003] = 7740,
  [8004] = 8004,
  [8005] = 7725,
  [8006] = 7716,
  [8007] = 7726,
  [8008] = 7726,
  [8009] = 7732,
  [8010] = 8010,
  [8011] = 7740,
  [8012] = 7711,
  [8013] = 7725,
  [8014] = 8014,
  [8015] = 7767,
  [8016] = 7726,
  [8017] = 7732,
  [8018] = 7723,
  [8019] = 7740,
  [8020] = 7810,
  [8021] = 7725,
  [8022] = 8022,
  [8023] = 8023,
  [8024] = 7726,
  [8025] = 7732,
  [8026] = 7741,
  [8027] = 7740,
  [8028] = 8028,
  [8029] = 7725,
  [8030] = 7724,
  [8031] = 8031,
  [8032] = 7726,
  [8033] = 7732,
  [8034] = 8034,
  [8035] = 7740,
  [8036] = 7725,
  [8037] = 7725,
  [8038] = 7724,
  [8039] = 7725,
  [8040] = 7726,
  [8041] = 7732,
  [8042] = 8042,
  [8043] = 7740,
  [8044] = 7759,
  [8045] = 7725,
  [8046] = 7726,
  [8047] = 8047,
  [8048] = 7726,
  [8049] = 7732,
  [8050] = 7860,
  [8051] = 7740,
  [8052] = 7723,
  [8053] = 7725,
  [8054] = 8054,
  [8055] = 8055,
  [8056] = 7726,
  [8057] = 7732,
  [8058] = 8058,
  [8059] = 7740,
  [8060] = 8060,
  [8061] = 7725,
  [8062] = 7732,
  [8063] = 7734,
  [8064] = 7726,
  [8065] = 7732,
  [8066] = 7781,
  [8067] = 7740,
  [8068] = 7734,
  [8069] = 7725,
  [8070] = 8070,
  [8071] = 8071,
  [8072] = 7726,
  [8073] = 7732,
  [8074] = 7732,
  [8075] = 7740,
  [8076] = 8076,
  [8077] = 7725,
  [8078] = 7734,
  [8079] = 8079,
  [8080] = 7726,
  [8081] = 7732,
  [8082] = 8082,
  [8083] = 7740,
  [8084] = 8084,
  [8085] = 7725,
  [8086] = 7715,
  [8087] = 8087,
  [8088] = 7726,
  [8089] = 7732,
  [8090] = 7716,
  [8091] = 7740,
  [8092] = 8092,
  [8093] = 7725,
  [8094] = 8094,
  [8095] = 7772,
  [8096] = 7726,
  [8097] = 7732,
  [8098] = 7759,
  [8099] = 7740,
  [8100] = 8100,
  [8101] = 7725,
  [8102] = 7744,
  [8103] = 8103,
  [8104] = 7726,
  [8105] = 7732,
  [8106] = 8106,
  [8107] = 7740,
  [8108] = 7740,
  [8109] = 7725,
  [8110] = 7741,
  [8111] = 7720,
  [8112] = 7726,
  [8113] = 7732,
  [8114] = 7735,
  [8115] = 7740,
  [8116] = 8116,
  [8117] = 7725,
  [8118] = 8118,
  [8119] = 7781,
  [8120] = 7726,
  [8121] = 7732,
  [8122] = 7740,
  [8123] = 7740,
  [8124] = 8124,
  [8125] = 7725,
  [8126] = 7741,
  [8127] = 7735,
  [8128] = 7726,
  [8129] = 7732,
  [8130] = 8130,
  [8131] = 7740,
  [8132] = 7708,
  [8133] = 7725,
  [8134] = 7709,
  [8135] = 8135,
  [8136] = 7726,
  [8137] = 7732,
  [8138] = 8138,
  [8139] = 7740,
  [8140] = 8140,
  [8141] = 7767,
  [8142] = 8142,
  [8143] = 8143,
  [8144] = 8144,
  [8145] = 8023,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 7715,
  [8151] = 7716,
  [8152] = 8152,
  [8153] = 7926,
  [8154] = 7770,
  [8155] = 7860,
  [8156] = 8156,
  [8157] = 8157,
  [8158] = 7951,
  [8159] = 7720,
  [8160] = 7817,
  [8161] = 7715,
  [8162] = 8162,
  [8163] = 7744,
  [8164] = 8164,
  [8165] = 8165,
  [8166] = 8166,
  [8167] = 7708,
  [8168] = 8168,
  [8169] = 7709,
  [8170] = 8170,
  [8171] = 7810,
  [8172] = 8172,
  [8173] = 7817,
  [8174] = 7768,
  [8175] = 7848,
  [8176] = 7748,
  [8177] = 7711,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8172,
  [8183] = 8147,
  [8184] = 7726,
  [8185] = 7716,
  [8186] = 5414,
  [8187] = 8187,
  [8188] = 7720,
  [8189] = 7706,
  [8190] = 7810,
  [8191] = 8191,
  [8192] = 7926,
  [8193] = 7817,
  [8194] = 7828,
  [8195] = 7759,
  [8196] = 8196,
  [8197] = 8197,
  [8198] = 8198,
  [8199] = 7715,
  [8200] = 7716,
  [8201] = 7759,
  [8202] = 7707,
  [8203] = 8092,
  [8204] = 8140,
  [8205] = 7767,
  [8206] = 8206,
  [8207] = 8207,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 7767,
  [8213] = 7738,
  [8214] = 8214,
  [8215] = 8215,
  [8216] = 8124,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 7988,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8162,
  [8223] = 8223,
  [8224] = 8224,
  [8225] = 8225,
  [8226] = 8226,
  [8227] = 8227,
  [8228] = 7770,
  [8229] = 7707,
  [8230] = 8230,
  [8231] = 7715,
  [8232] = 8232,
  [8233] = 8178,
  [8234] = 8234,
  [8235] = 8235,
  [8236] = 8236,
  [8237] = 8237,
  [8238] = 7724,
  [8239] = 8239,
  [8240] = 7725,
  [8241] = 8241,
  [8242] = 8242,
  [8243] = 7726,
  [8244] = 8244,
  [8245] = 8140,
  [8246] = 8246,
  [8247] = 7723,
  [8248] = 7720,
  [8249] = 7825,
  [8250] = 8250,
  [8251] = 7810,
  [8252] = 8252,
  [8253] = 7889,
  [8254] = 8254,
  [8255] = 7817,
  [8256] = 7723,
  [8257] = 8257,
  [8258] = 7726,
  [8259] = 8259,
  [8260] = 8260,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 8263,
  [8264] = 8264,
  [8265] = 8166,
  [8266] = 7707,
  [8267] = 8267,
  [8268] = 7732,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 7748,
  [8272] = 8272,
  [8273] = 7720,
  [8274] = 7734,
  [8275] = 8207,
  [8276] = 8276,
  [8277] = 7772,
  [8278] = 5469,
  [8279] = 7926,
  [8280] = 7720,
  [8281] = 8147,
  [8282] = 8282,
  [8283] = 8283,
  [8284] = 7781,
  [8285] = 8285,
  [8286] = 8286,
  [8287] = 7927,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8208,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8124,
  [8294] = 8236,
  [8295] = 8218,
  [8296] = 7988,
  [8297] = 8220,
  [8298] = 8221,
  [8299] = 8162,
  [8300] = 8225,
  [8301] = 8226,
  [8302] = 8227,
  [8303] = 7740,
  [8304] = 8140,
  [8305] = 7741,
  [8306] = 7735,
  [8307] = 7810,
  [8308] = 7287,
  [8309] = 8207,
  [8310] = 8310,
  [8311] = 7288,
  [8312] = 8312,
  [8313] = 7290,
  [8314] = 8314,
  [8315] = 8315,
  [8316] = 8316,
  [8317] = 7710,
  [8318] = 7709,
  [8319] = 7817,
  [8320] = 8320,
  [8321] = 8321,
  [8322] = 7713,
  [8323] = 8323,
  [8324] = 7748,
  [8325] = 8225,
  [8326] = 8326,
  [8327] = 7708,
  [8328] = 7709,
  [8329] = 8329,
  [8330] = 7994,
  [8331] = 8157,
  [8332] = 8208,
  [8333] = 8218,
  [8334] = 8334,
  [8335] = 8218,
  [8336] = 8149,
  [8337] = 8140,
  [8338] = 8338,
  [8339] = 7715,
  [8340] = 8340,
  [8341] = 7716,
  [8342] = 7951,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8345,
  [8346] = 7720,
  [8347] = 8178,
  [8348] = 7707,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 7738,
  [8355] = 7748,
  [8356] = 7711,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 8208,
  [8362] = 8362,
  [8363] = 8218,
  [8364] = 7732,
  [8365] = 8140,
  [8366] = 8366,
  [8367] = 7926,
  [8368] = 8368,
  [8369] = 7707,
  [8370] = 7724,
  [8371] = 7725,
  [8372] = 7927,
  [8373] = 8373,
  [8374] = 8374,
  [8375] = 8060,
  [8376] = 7724,
  [8377] = 7725,
  [8378] = 8378,
  [8379] = 7726,
  [8380] = 7740,
  [8381] = 8381,
  [8382] = 7726,
  [8383] = 8208,
  [8384] = 8218,
  [8385] = 8385,
  [8386] = 8140,
  [8387] = 7848,
  [8388] = 8388,
  [8389] = 8389,
  [8390] = 8390,
  [8391] = 7723,
  [8392] = 8344,
  [8393] = 7970,
  [8394] = 8394,
  [8395] = 7983,
  [8396] = 7734,
  [8397] = 7741,
  [8398] = 8398,
  [8399] = 8399,
  [8400] = 7724,
  [8401] = 7725,
  [8402] = 8179,
  [8403] = 8208,
  [8404] = 8218,
  [8405] = 7716,
  [8406] = 8140,
  [8407] = 8407,
  [8408] = 7722,
  [8409] = 7726,
  [8410] = 7723,
  [8411] = 8411,
  [8412] = 7723,
  [8413] = 8208,
  [8414] = 8414,
  [8415] = 8415,
  [8416] = 8358,
  [8417] = 8236,
  [8418] = 7722,
  [8419] = 8419,
  [8420] = 8420,
  [8421] = 7724,
  [8422] = 7725,
  [8423] = 8208,
  [8424] = 8218,
  [8425] = 8425,
  [8426] = 8140,
  [8427] = 7732,
  [8428] = 8428,
  [8429] = 7732,
  [8430] = 7734,
  [8431] = 7735,
  [8432] = 7726,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 7734,
  [8436] = 8436,
  [8437] = 8437,
  [8438] = 7735,
  [8439] = 8439,
  [8440] = 8208,
  [8441] = 8441,
  [8442] = 8140,
  [8443] = 8443,
  [8444] = 7732,
  [8445] = 8445,
  [8446] = 7740,
  [8447] = 7741,
  [8448] = 8448,
  [8449] = 7735,
  [8450] = 7786,
  [8451] = 8451,
  [8452] = 7797,
  [8453] = 7800,
  [8454] = 8454,
  [8455] = 7734,
  [8456] = 8208,
  [8457] = 8198,
  [8458] = 8140,
  [8459] = 8459,
  [8460] = 7718,
  [8461] = 8100,
  [8462] = 8326,
  [8463] = 8463,
  [8464] = 7723,
  [8465] = 7708,
  [8466] = 7709,
  [8467] = 8381,
  [8468] = 8389,
  [8469] = 8244,
  [8470] = 8310,
  [8471] = 7740,
  [8472] = 8208,
  [8473] = 7715,
  [8474] = 8140,
  [8475] = 7716,
  [8476] = 7759,
  [8477] = 8477,
  [8478] = 8478,
  [8479] = 7720,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 7751,
  [8483] = 8351,
  [8484] = 7740,
  [8485] = 7741,
  [8486] = 7735,
  [8487] = 8208,
  [8488] = 8488,
  [8489] = 8140,
  [8490] = 8490,
  [8491] = 8491,
  [8492] = 8492,
  [8493] = 8493,
  [8494] = 8494,
  [8495] = 8495,
  [8496] = 7732,
  [8497] = 8272,
  [8498] = 8232,
  [8499] = 7889,
  [8500] = 8058,
  [8501] = 8060,
  [8502] = 8208,
  [8503] = 8503,
  [8504] = 8140,
  [8505] = 7734,
  [8506] = 7724,
  [8507] = 7725,
  [8508] = 7767,
  [8509] = 8234,
  [8510] = 8510,
  [8511] = 8208,
  [8512] = 8512,
  [8513] = 8140,
  [8514] = 7726,
  [8515] = 8515,
  [8516] = 8516,
  [8517] = 7723,
  [8518] = 8118,
  [8519] = 8519,
  [8520] = 8208,
  [8521] = 8521,
  [8522] = 8140,
  [8523] = 7726,
  [8524] = 8524,
  [8525] = 8525,
  [8526] = 8526,
  [8527] = 8208,
  [8528] = 8528,
  [8529] = 8157,
  [8530] = 7774,
  [8531] = 7708,
  [8532] = 8532,
  [8533] = 8208,
  [8534] = 7724,
  [8535] = 7709,
  [8536] = 8536,
  [8537] = 7745,
  [8538] = 7732,
  [8539] = 8208,
  [8540] = 7711,
  [8541] = 7734,
  [8542] = 8542,
  [8543] = 8543,
  [8544] = 8208,
  [8545] = 8545,
  [8546] = 7727,
  [8547] = 8180,
  [8548] = 8548,
  [8549] = 7875,
  [8550] = 8220,
  [8551] = 8221,
  [8552] = 8178,
  [8553] = 7740,
  [8554] = 8554,
  [8555] = 7741,
  [8556] = 7735,
  [8557] = 8557,
  [8558] = 7736,
  [8559] = 7740,
  [8560] = 7741,
  [8561] = 7735,
  [8562] = 8562,
  [8563] = 8563,
  [8564] = 8564,
  [8565] = 7926,
  [8566] = 8566,
  [8567] = 8567,
  [8568] = 8568,
  [8569] = 7740,
  [8570] = 7970,
  [8571] = 8571,
  [8572] = 7983,
  [8573] = 7741,
  [8574] = 8574,
  [8575] = 8575,
  [8576] = 8576,
  [8577] = 8118,
  [8578] = 8578,
  [8579] = 8358,
  [8580] = 7722,
  [8581] = 8210,
  [8582] = 7735,
  [8583] = 7708,
  [8584] = 7709,
  [8585] = 8585,
  [8586] = 7715,
  [8587] = 7716,
  [8588] = 8588,
  [8589] = 7759,
  [8590] = 8590,
  [8591] = 7715,
  [8592] = 7718,
  [8593] = 8100,
  [8594] = 8244,
  [8595] = 8310,
  [8596] = 8596,
  [8597] = 7855,
  [8598] = 8598,
  [8599] = 7751,
  [8600] = 8351,
  [8601] = 8601,
  [8602] = 8394,
  [8603] = 7716,
  [8604] = 8340,
  [8605] = 8578,
  [8606] = 8606,
  [8607] = 8607,
  [8608] = 8242,
  [8609] = 8135,
  [8610] = 8166,
  [8611] = 7926,
  [8612] = 7720,
  [8613] = 8613,
  [8614] = 8226,
  [8615] = 8615,
  [8616] = 7767,
  [8617] = 7723,
  [8618] = 7724,
  [8619] = 7767,
  [8620] = 8420,
  [8621] = 7725,
  [8622] = 8622,
  [8623] = 7740,
  [8624] = 7983,
  [8625] = 8625,
  [8626] = 7741,
  [8627] = 7724,
  [8628] = 7725,
  [8629] = 7724,
  [8630] = 7725,
  [8631] = 8394,
  [8632] = 8340,
  [8633] = 8058,
  [8634] = 7729,
  [8635] = 8635,
  [8636] = 7726,
  [8637] = 8637,
  [8638] = 7725,
  [8639] = 7806,
  [8640] = 7708,
  [8641] = 7720,
  [8642] = 7842,
  [8643] = 8643,
  [8644] = 8644,
  [8645] = 7723,
  [8646] = 8646,
  [8647] = 8227,
  [8648] = 8394,
  [8649] = 7810,
  [8650] = 7732,
  [8651] = 7708,
  [8652] = 7734,
  [8653] = 8653,
  [8654] = 7806,
  [8655] = 7708,
  [8656] = 8656,
  [8657] = 7842,
  [8658] = 7810,
  [8659] = 8060,
  [8660] = 7710,
  [8661] = 8661,
  [8662] = 7709,
  [8663] = 7740,
  [8664] = 7713,
  [8665] = 7741,
  [8666] = 7735,
  [8667] = 7734,
  [8668] = 8668,
  [8669] = 7727,
  [8670] = 5408,
  [8671] = 7817,
  [8672] = 8606,
  [8673] = 8532,
  [8674] = 8588,
  [8675] = 8415,
  [8676] = 8419,
  [8677] = 8532,
  [8678] = 8588,
  [8679] = 8415,
  [8680] = 8419,
  [8681] = 8512,
  [8682] = 7709,
  [8683] = 8512,
  [8684] = 3350,
  [8685] = 8685,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(1302);
      ADVANCE_MAP(
        '!', 2670,
        '#', 354,
        '%', 1381,
        '&', 1387,
        '(', 1308,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1811,
        '/', 1376,
        ':', 1451,
        ';', 1670,
        '<', 1397,
        '=', 1461,
        '>', 1392,
        '?', 1861,
        '@', 1818,
        'D', 1533,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(1297);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == 'd') ADVANCE(1532);
      if (lookahead == '|') ADVANCE(1384);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1545);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1534);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1550);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1536);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1546);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1553);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1548);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1549);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1547);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1541);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1543);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1552);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1537);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1554);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1542);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1538);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1540);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1551);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1539);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1544);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1300);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1829);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(269);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(269);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(219);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(219);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(264);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(298);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(298);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(276);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(276);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(277);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(277);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(278);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(278);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(280);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(280);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(289);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(289);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(285);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(285);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(300);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(300);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(295);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(295);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(296);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(296);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(286);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(286);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(294);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(294);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(297);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(297);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(290);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(290);
      if (lookahead == '\r') SKIP(41);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(288);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(288);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(287);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(287);
      if (lookahead == '\r') SKIP(47);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(310);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(310);
      if (lookahead == '\r') SKIP(49);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(260);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(260);
      if (lookahead == '\r') SKIP(51);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(302);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(302);
      if (lookahead == '\r') SKIP(53);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(309);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(309);
      if (lookahead == '\r') SKIP(55);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(303);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(303);
      if (lookahead == '\r') SKIP(57);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(59);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(61);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(63);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(308);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(308);
      if (lookahead == '\r') SKIP(65);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(262);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(262);
      if (lookahead == '\r') SKIP(67);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(304);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(304);
      if (lookahead == '\r') SKIP(69);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(305);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(305);
      if (lookahead == '\r') SKIP(71);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(312);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(312);
      if (lookahead == '\r') SKIP(73);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(268);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(268);
      if (lookahead == '\r') SKIP(75);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(77);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(313);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(313);
      if (lookahead == '\r') SKIP(79);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(306);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(306);
      if (lookahead == '\r') SKIP(81);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(263);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(263);
      if (lookahead == '\r') SKIP(83);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(253);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(253);
      if (lookahead == '\r') SKIP(85);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(267);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(267);
      if (lookahead == '\r') SKIP(87);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(89);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(254);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(254);
      if (lookahead == '\r') SKIP(91);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(93);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '\n', 1314,
        '!', 2670,
        '%', 1381,
        '&', 1387,
        '(', 1365,
        '*', 1372,
        '+', 1370,
        '-', 1371,
        '/', 1378,
        '<', 1399,
        '=', 346,
        '>', 1393,
      );
      if (lookahead == '\\') SKIP(99);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == '|') ADVANCE(1384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '\n', 1314,
        '!', 2670,
        '%', 1381,
        '&', 1387,
        '(', 1365,
        '*', 1372,
        '+', 1370,
        '-', 1371,
        '/', 1378,
        '<', 1399,
        '=', 346,
        '>', 1393,
      );
      if (lookahead == '\\') SKIP(99);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == '|') ADVANCE(1384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      END_STATE();
    case 97:
      if (lookahead == '\n') ADVANCE(1314);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(96);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(96);
      if (lookahead == '\r') SKIP(98);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(266);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(266);
      if (lookahead == '\r') SKIP(100);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(301);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(301);
      if (lookahead == '\r') SKIP(102);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(314);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(314);
      if (lookahead == '\r') SKIP(104);
      END_STATE();
    case 106:
      if (lookahead == '\n') ADVANCE(1306);
      if (lookahead == '\r') ADVANCE(110);
      if (lookahead == '!') ADVANCE(2669);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1307);
      if (lookahead == '\\') ADVANCE(1329);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(321);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(1306);
      if (lookahead == '\r') ADVANCE(110);
      if (lookahead == '!') ADVANCE(2669);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') ADVANCE(1329);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(321);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(1306);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(317);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(1306);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(1306);
      if (lookahead == '!') ADVANCE(2669);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') ADVANCE(1329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(321);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(307);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(307);
      if (lookahead == '\r') SKIP(111);
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(315);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(315);
      if (lookahead == '\r') SKIP(113);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(117);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(117);
      if (lookahead == '\r') SKIP(115);
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(1304);
      if (lookahead == '\r') ADVANCE(117);
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == '\\') SKIP(116);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(117);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(316);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(316);
      if (lookahead == '\r') SKIP(118);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(317);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(317);
      if (lookahead == '\r') SKIP(120);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(122);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(124);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(126);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(299);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(299);
      if (lookahead == '\r') SKIP(128);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(282);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(282);
      if (lookahead == '\r') SKIP(130);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(291);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(291);
      if (lookahead == '\r') SKIP(132);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(265);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(265);
      if (lookahead == '\r') SKIP(134);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(311);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(311);
      if (lookahead == '\r') SKIP(136);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(275);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(275);
      if (lookahead == '\r') SKIP(138);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(319);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(319);
      if (lookahead == '\r') SKIP(140);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(142);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(144);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(292);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(292);
      if (lookahead == '\r') SKIP(146);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(148);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(150);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(271);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(271);
      if (lookahead == '\r') SKIP(152);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(270);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(270);
      if (lookahead == '\r') SKIP(154);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(156);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(158);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(272);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(272);
      if (lookahead == '\r') SKIP(160);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(162);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(273);
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(273);
      if (lookahead == '\r') SKIP(164);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(166);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(274);
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(274);
      if (lookahead == '\r') SKIP(168);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(170);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(320);
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(320);
      if (lookahead == '\r') SKIP(172);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(174);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(284);
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(284);
      if (lookahead == '\r') SKIP(176);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(178);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(293);
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(293);
      if (lookahead == '\r') SKIP(180);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(255);
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(255);
      if (lookahead == '\r') SKIP(182);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(184);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(186);
      END_STATE();
    case 188:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 189:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(188);
      END_STATE();
    case 190:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 191:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(190);
      END_STATE();
    case 192:
      if (lookahead == '\n') SKIP(256);
      END_STATE();
    case 193:
      if (lookahead == '\n') SKIP(256);
      if (lookahead == '\r') SKIP(192);
      END_STATE();
    case 194:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 195:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(194);
      END_STATE();
    case 196:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 197:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(196);
      END_STATE();
    case 198:
      if (lookahead == '\n') SKIP(257);
      END_STATE();
    case 199:
      if (lookahead == '\n') SKIP(257);
      if (lookahead == '\r') SKIP(198);
      END_STATE();
    case 200:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 201:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(200);
      END_STATE();
    case 202:
      if (lookahead == '\n') SKIP(258);
      END_STATE();
    case 203:
      if (lookahead == '\n') SKIP(258);
      if (lookahead == '\r') SKIP(202);
      END_STATE();
    case 204:
      if (lookahead == '\n') SKIP(244);
      END_STATE();
    case 205:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\r') SKIP(204);
      END_STATE();
    case 206:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 207:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(206);
      END_STATE();
    case 208:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 209:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(208);
      END_STATE();
    case 210:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 211:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(210);
      END_STATE();
    case 212:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 213:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(212);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 2670,
        '%', 1381,
        '&', 1387,
        '(', 1365,
        ')', 1311,
        '*', 1372,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '/', 1374,
        '<', 1399,
        '=', 346,
        '>', 1393,
      );
      if (lookahead == '\\') SKIP(94);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == '|') ADVANCE(1384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 2670,
        '%', 1381,
        '&', 1387,
        '(', 1365,
        ')', 1311,
        '*', 1372,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '/', 1374,
        '<', 1399,
        '=', 346,
        '>', 1393,
      );
      if (lookahead == '\\') SKIP(94);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == '|') ADVANCE(1384);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1379,
        ':', 1450,
        '<', 1400,
        '=', 1460,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(64);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(870);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ':', 344,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2285);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1893);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2175);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1910);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1913);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1886);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(125);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2333);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(159);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2331);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(171);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2334);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 2671,
        '#', 354,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(189);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(354);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(871);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        '<', 1400,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(60);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(470);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(784);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(452);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(650);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(872);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1035);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(899);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(788);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(649);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(393);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1042);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(422);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(397);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(383);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(390);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(950);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(389);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 344,
        '<', 1400,
        '=', 1460,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2205);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2342);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1943);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1931);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1379,
        ':', 1450,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(90);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1160);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(819);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(992);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(963);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1027);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(708);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1237);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(701);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1292);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(743);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1379,
        ':', 1450,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(90);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1160);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(819);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(741);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(992);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(963);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1027);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(708);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1237);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(701);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1292);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(743);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1379,
        ':', 344,
        '<', 1400,
        '=', 346,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(62);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(873);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(746);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(644);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1066);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(143);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2335);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(151);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2353);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(127);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2336);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(145);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1885);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2340);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1903);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(157);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1880);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2340);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(163);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2355);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(167);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2356);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(179);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2337);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(185);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2343);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(187);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(191);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(195);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2345);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(197);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2334);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(201);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2346);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(205);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(207);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2348);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(209);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2349);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(211);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2340);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(213);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2331);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1882);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2339);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ',') ADVANCE(1310);
      if (lookahead == ':') ADVANCE(344);
      if (lookahead == '\\') SKIP(46);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2364);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2206);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2287);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1892);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2148);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2179);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2439);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1936);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1915);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1888);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '.') ADVANCE(1810);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(18);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2205);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2344);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1943);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1931);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(149);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(86);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(739);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(962);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(941);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1068);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(697);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(638);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1291);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(92);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(453);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(964);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(395);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1292);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(183);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(193);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(879);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(199);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(875);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(358);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(203);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        ';', 1670,
        '<', 1398,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(52);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(469);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(783);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(451);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(571);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(869);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(402);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(645);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1017);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(707);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(392);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(991);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(942);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(442);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1236);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(396);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(705);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(572);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(427);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      END_STATE();
    case 260:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        ';', 1670,
        '<', 1398,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(52);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(469);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(783);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(451);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(571);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(869);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(402);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(645);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1017);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(707);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(994);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(392);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(991);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(942);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(442);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1236);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(396);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(705);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(572);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(427);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      END_STATE();
    case 261:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        '<', 1400,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(68);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == '_') ADVANCE(1826);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(740);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(979);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1085);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(697);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(737);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      END_STATE();
    case 262:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        '<', 1400,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(68);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(740);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(940);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(979);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1085);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(697);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(737);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      END_STATE();
    case 263:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(84);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(740);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(984);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(979);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1085);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(697);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1291);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        '!', 2671,
        '#', 365,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(10);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(365);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ',') ADVANCE(1310);
      if (lookahead == ':') ADVANCE(344);
      if (lookahead == '\\') SKIP(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2364);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2206);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2286);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1892);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2148);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2179);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2439);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1936);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1915);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1888);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(365);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(958);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266);
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(364);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(88);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(746);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(644);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(901);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1071);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1379,
        '<', 1400,
        '=', 346,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(76);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(880);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2285);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1893);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2175);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1910);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1913);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1886);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(155);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2333);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(153);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2334);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(161);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2331);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1872);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 273:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(165);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1883);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 274:
      ADVANCE_MAP(
        '!', 2671,
        '#', 356,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '/', 324,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(169);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 275:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(356);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(139);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1187);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1287);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1003);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(871);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1235);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(903);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(997);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(988);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1266);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      END_STATE();
    case 276:
      ADVANCE_MAP(
        '!', 2671,
        '#', 355,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1376,
        ':', 1450,
        ';', 1670,
        '<', 1398,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2205);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1943);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1931);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 277:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '#') ADVANCE(357);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == '\\') SKIP(20);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2205);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2176);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1943);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1931);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 278:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 279:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '_') ADVANCE(1827);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 281:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(131);
      if (lookahead == '_') ADVANCE(1827);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 282:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(131);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2350);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 283:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(177);
      if (lookahead == '_') ADVANCE(1827);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 284:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1366,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1813,
        '/', 1380,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(177);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 285:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1451,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2364);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2206);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2286);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1895);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2177);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2439);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1937);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1915);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1888);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 286:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1377,
        ':', 1451,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1394,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2210);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2182);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1933);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 287:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1451,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(48);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 288:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1398,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(44);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 289:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1451,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1970);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2210);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2182);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2476);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1933);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(289);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 290:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(42);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1889);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 291:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(133);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1895);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 292:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(147);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1934);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 293:
      ADVANCE_MAP(
        '!', 2671,
        '%', 1381,
        '&', 1386,
        '(', 1365,
        '*', 1373,
        '+', 1370,
        '-', 1371,
        '.', 1814,
        '/', 1380,
        ':', 1450,
        ';', 1670,
        '<', 1400,
        '=', 1461,
        '>', 1391,
        '?', 1861,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(181);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1935);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 294:
      ADVANCE_MAP(
        '!', 2671,
        '&', 1386,
        '(', 1366,
        ')', 1311,
        '*', 1372,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1816,
        '/', 323,
        ':', 1450,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(38);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 295:
      ADVANCE_MAP(
        '!', 2671,
        '&', 1386,
        '(', 1366,
        ')', 1311,
        '*', 1372,
        '+', 1370,
        '-', 1371,
        '.', 1812,
        ':', 1450,
        '<', 348,
        '@', 1818,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 296:
      ADVANCE_MAP(
        '!', 2671,
        '&', 1386,
        '(', 1366,
        '*', 1372,
        '+', 1370,
        '-', 1371,
        '.', 1816,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2208);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2183);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 297:
      ADVANCE_MAP(
        '!', 2671,
        '&', 1386,
        '(', 1366,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1815,
        ':', 344,
        ';', 1670,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(40);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 298:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1366);
      if (lookahead == '+') ADVANCE(1370);
      if (lookahead == '-') ADVANCE(1371);
      if (lookahead == '.') ADVANCE(1816);
      if (lookahead == '[') ADVANCE(1822);
      if (lookahead == '\\') SKIP(12);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2332);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1901);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 299:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1366);
      if (lookahead == '+') ADVANCE(1370);
      if (lookahead == '-') ADVANCE(1371);
      if (lookahead == '.') ADVANCE(1816);
      if (lookahead == '[') ADVANCE(1822);
      if (lookahead == '\\') SKIP(129);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2284);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1870);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1884);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1909);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2347);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2181);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2445);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1873);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1914);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1887);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 300:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1366);
      if (lookahead == '+') ADVANCE(1370);
      if (lookahead == '-') ADVANCE(1371);
      if (lookahead == '.') ADVANCE(1816);
      if (lookahead == '[') ADVANCE(1822);
      if (lookahead == '\\') SKIP(30);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2206);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2183);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 301:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == ')') ADVANCE(1311);
      if (lookahead == ',') ADVANCE(1310);
      if (lookahead == '\\') SKIP(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1767);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1768);
      END_STATE();
    case 302:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == ')') ADVANCE(1311);
      if (lookahead == '/') ADVANCE(324);
      if (lookahead == 'D') ADVANCE(1908);
      if (lookahead == '\\') SKIP(54);
      if (lookahead == 'd') ADVANCE(1863);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 303:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == ',') ADVANCE(1310);
      if (lookahead == ':') ADVANCE(344);
      if (lookahead == ';') ADVANCE(1670);
      if (lookahead == '\\') SKIP(58);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2363);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2476);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 304:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == ';') ADVANCE(1670);
      if (lookahead == '\\') SKIP(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2439);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 305:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '(') ADVANCE(1365);
      if (lookahead == ';') ADVANCE(1670);
      if (lookahead == '\\') SKIP(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1890);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 306:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ')') ADVANCE(1311);
      if (lookahead == '.') ADVANCE(343);
      if (lookahead == '\\') SKIP(82);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 307:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '*') ADVANCE(1372);
      if (lookahead == '+') ADVANCE(1370);
      if (lookahead == '.') ADVANCE(1293);
      if (lookahead == '\\') SKIP(112);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1712);
      END_STATE();
    case 308:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '+') ADVANCE(1370);
      if (lookahead == '-') ADVANCE(1371);
      if (lookahead == '.') ADVANCE(1810);
      if (lookahead == '\\') SKIP(66);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 309:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ',') ADVANCE(1310);
      if (lookahead == ';') ADVANCE(1670);
      if (lookahead == '\\') SKIP(56);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2211);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2215);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(309);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 310:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ':') ADVANCE(344);
      if (lookahead == '\\') SKIP(50);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2207);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1907);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2286);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1895);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2178);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1910);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1932);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1915);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1888);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(310);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 311:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ':') ADVANCE(344);
      if (lookahead == '\\') SKIP(137);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1971);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2216);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2210);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2184);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1911);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1933);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(311);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 312:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == ';') ADVANCE(1670);
      if (lookahead == '\\') SKIP(74);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2484);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1904);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(312);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 313:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(80);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2365);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2301);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2212);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1908);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2351);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1896);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2180);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2128);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2640);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2419);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1938);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1916);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1891);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1905);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2426);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1900);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2529);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(313);
      if (lookahead == '$' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 314:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(105);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(885);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(314);
      END_STATE();
    case 315:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(114);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(964);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1030);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1290);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(315);
      END_STATE();
    case 316:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(316);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 317:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      END_STATE();
    case 318:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1829);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1828);
      END_STATE();
    case 319:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(141);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(319);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1817);
      END_STATE();
    case 320:
      if (lookahead == '!') ADVANCE(2671);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') SKIP(173);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(320);
      END_STATE();
    case 321:
      if (lookahead == '!') ADVANCE(2669);
      if (lookahead == '&') ADVANCE(1386);
      if (lookahead == '\\') ADVANCE(1329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(321);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 322:
      if (lookahead == '!') ADVANCE(1467);
      if (lookahead == '&') ADVANCE(1388);
      if (lookahead == '\\') ADVANCE(1465);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1468);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 323:
      if (lookahead == ')') ADVANCE(1821);
      END_STATE();
    case 324:
      if (lookahead == '*') ADVANCE(326);
      END_STATE();
    case 325:
      if (lookahead == '*') ADVANCE(325);
      if (lookahead == '/') ADVANCE(1369);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(326);
      END_STATE();
    case 326:
      if (lookahead == '*') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(326);
      END_STATE();
    case 327:
      if (lookahead == '.') ADVANCE(1805);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(335);
      END_STATE();
    case 328:
      if (lookahead == '.') ADVANCE(1804);
      END_STATE();
    case 329:
      if (lookahead == '.') ADVANCE(1802);
      END_STATE();
    case 330:
      if (lookahead == '.') ADVANCE(1803);
      END_STATE();
    case 331:
      if (lookahead == '.') ADVANCE(1801);
      END_STATE();
    case 332:
      if (lookahead == '.') ADVANCE(1807);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1272);
      END_STATE();
    case 333:
      if (lookahead == '.') ADVANCE(1796);
      END_STATE();
    case 334:
      if (lookahead == '.') ADVANCE(1797);
      END_STATE();
    case 335:
      if (lookahead == '.') ADVANCE(1798);
      END_STATE();
    case 336:
      if (lookahead == '.') ADVANCE(1862);
      END_STATE();
    case 337:
      if (lookahead == '.') ADVANCE(1800);
      END_STATE();
    case 338:
      if (lookahead == '.') ADVANCE(1799);
      END_STATE();
    case 339:
      if (lookahead == '.') ADVANCE(1824);
      END_STATE();
    case 340:
      if (lookahead == '.') ADVANCE(1825);
      END_STATE();
    case 341:
      if (lookahead == '.') ADVANCE(1309);
      END_STATE();
    case 342:
      if (lookahead == '.') ADVANCE(1711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(342);
      END_STATE();
    case 343:
      if (lookahead == '.') ADVANCE(341);
      END_STATE();
    case 344:
      if (lookahead == ':') ADVANCE(1505);
      END_STATE();
    case 345:
      if (lookahead == '<') ADVANCE(1678);
      END_STATE();
    case 346:
      if (lookahead == '=') ADVANCE(1389);
      END_STATE();
    case 347:
      if (lookahead == '>') ADVANCE(1679);
      END_STATE();
    case 348:
      if (lookahead == '>') ADVANCE(1405);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(348);
      END_STATE();
    case 349:
      if (lookahead == '>') ADVANCE(1406);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(348);
      END_STATE();
    case 350:
      if (lookahead == '>') ADVANCE(347);
      END_STATE();
    case 351:
      if (lookahead == 'F') ADVANCE(440);
      if (lookahead == 'f') ADVANCE(378);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(756);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(778);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1511);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(725);
      END_STATE();
    case 354:
      if (lookahead == 'd') ADVANCE(1339);
      if (lookahead == 'e') ADVANCE(1358);
      if (lookahead == 'i') ADVANCE(1347);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(1339);
      if (lookahead == 'e') ADVANCE(1358);
      if (lookahead == 'i') ADVANCE(1361);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 356:
      if (lookahead == 'd') ADVANCE(1339);
      if (lookahead == 'e') ADVANCE(1360);
      if (lookahead == 'i') ADVANCE(1347);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 357:
      if (lookahead == 'd') ADVANCE(1339);
      if (lookahead == 'e') ADVANCE(1360);
      if (lookahead == 'i') ADVANCE(1361);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 358:
      if (lookahead == 'd') ADVANCE(1339);
      if (lookahead == 'i') ADVANCE(1347);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 359:
      if (lookahead == 'd') ADVANCE(1367);
      END_STATE();
    case 360:
      if (lookahead == 'd') ADVANCE(380);
      END_STATE();
    case 361:
      if (lookahead == 'd') ADVANCE(368);
      END_STATE();
    case 362:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 364:
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == 'i') ADVANCE(375);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(364);
      END_STATE();
    case 365:
      if (lookahead == 'e') ADVANCE(381);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(365);
      END_STATE();
    case 366:
      if (lookahead == 'e') ADVANCE(1321);
      END_STATE();
    case 367:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(374);
      END_STATE();
    case 369:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 370:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 371:
      if (lookahead == 'f') ADVANCE(1323);
      END_STATE();
    case 372:
      if (lookahead == 'f') ADVANCE(1315);
      END_STATE();
    case 373:
      if (lookahead == 'f') ADVANCE(1325);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(1327);
      END_STATE();
    case 375:
      if (lookahead == 'f') ADVANCE(1313);
      END_STATE();
    case 376:
      if (lookahead == 'f') ADVANCE(1317);
      END_STATE();
    case 377:
      if (lookahead == 'f') ADVANCE(1319);
      END_STATE();
    case 378:
      if (lookahead == 'i') ADVANCE(382);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1254);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 379:
      if (lookahead == 'i') ADVANCE(371);
      if (lookahead == 's') ADVANCE(366);
      END_STATE();
    case 380:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 381:
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 382:
      if (lookahead == 'n') ADVANCE(363);
      END_STATE();
    case 383:
      ADVANCE_MAP(
        'A', 1273,
        'a', 1273,
        'E', 1052,
        'e', 1052,
        'H', 398,
        'h', 398,
        'I', 898,
        'i', 898,
        'T', 462,
        't', 462,
        'U', 476,
        'u', 476,
      );
      END_STATE();
    case 384:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(974);
      END_STATE();
    case 385:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(724);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(883);
      END_STATE();
    case 386:
      ADVANCE_MAP(
        'A', 535,
        'a', 535,
        'C', 1246,
        'c', 1246,
        'D', 1253,
        'd', 1253,
        'S', 1249,
        's', 1249,
        'T', 1248,
        't', 1248,
        'W', 793,
        'w', 793,
      );
      END_STATE();
    case 387:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1695);
      END_STATE();
    case 388:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1134);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1139);
      END_STATE();
    case 389:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(841);
      END_STATE();
    case 390:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1097);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1280);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1044);
      END_STATE();
    case 391:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(893);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1216);
      END_STATE();
    case 392:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(906);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 393:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 394:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(882);
      END_STATE();
    case 395:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(939);
      END_STATE();
    case 396:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(939);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 397:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(939);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 398:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1081);
      END_STATE();
    case 399:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(895);
      END_STATE();
    case 400:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(896);
      END_STATE();
    case 401:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(897);
      END_STATE();
    case 402:
      ADVANCE_MAP(
        'A', 902,
        'a', 902,
        'I', 971,
        'i', 971,
        'O', 1062,
        'o', 1062,
        'U', 943,
        'u', 943,
      );
      END_STATE();
    case 403:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(826);
      END_STATE();
    case 404:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      END_STATE();
    case 405:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(827);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1847);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1214);
      END_STATE();
    case 407:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1170);
      END_STATE();
    case 408:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(829);
      END_STATE();
    case 409:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(887);
      END_STATE();
    case 410:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(949);
      END_STATE();
    case 411:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(830);
      END_STATE();
    case 412:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(831);
      END_STATE();
    case 413:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(832);
      END_STATE();
    case 414:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(833);
      END_STATE();
    case 415:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1188);
      END_STATE();
    case 416:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(834);
      END_STATE();
    case 417:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(835);
      END_STATE();
    case 418:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(837);
      END_STATE();
    case 419:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(973);
      END_STATE();
    case 420:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(838);
      END_STATE();
    case 421:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1191);
      END_STATE();
    case 422:
      ADVANCE_MAP(
        'A', 1069,
        'a', 1069,
        'I', 972,
        'i', 972,
        'O', 786,
        'o', 786,
        'R', 752,
        'r', 752,
        'U', 473,
        'u', 473,
      );
      END_STATE();
    case 423:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(825);
      END_STATE();
    case 424:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(825);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1246);
      END_STATE();
    case 425:
      ADVANCE_MAP(
        'A', 825,
        'a', 825,
        'C', 1246,
        'c', 1246,
        'D', 1253,
        'd', 1253,
        'S', 1249,
        's', 1249,
      );
      END_STATE();
    case 426:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1221);
      END_STATE();
    case 427:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(770);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(681);
      END_STATE();
    case 428:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(850);
      END_STATE();
    case 429:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(850);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1835);
      END_STATE();
    case 430:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(850);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(407);
      END_STATE();
    case 431:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1215);
      END_STATE();
    case 432:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1205);
      END_STATE();
    case 433:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(779);
      END_STATE();
    case 434:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(779);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(722);
      END_STATE();
    case 435:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1233);
      END_STATE();
    case 436:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(908);
      END_STATE();
    case 437:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(856);
      END_STATE();
    case 438:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1137);
      END_STATE();
    case 439:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(526);
      END_STATE();
    case 440:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1254);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 441:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(728);
      END_STATE();
    case 442:
      ADVANCE_MAP(
        'A', 1133,
        'a', 1133,
        'I', 972,
        'i', 972,
        'O', 787,
        'o', 787,
        'R', 647,
        'r', 647,
        'U', 473,
        'u', 473,
      );
      END_STATE();
    case 443:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1147);
      END_STATE();
    case 444:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1257);
      END_STATE();
    case 445:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(512);
      END_STATE();
    case 446:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      END_STATE();
    case 447:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1207);
      END_STATE();
    case 448:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(729);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1005);
      END_STATE();
    case 449:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1141);
      END_STATE();
    case 450:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(507);
      END_STATE();
    case 451:
      ADVANCE_MAP(
        'A', 1131,
        'a', 1131,
        'H', 464,
        'h', 464,
        'L', 449,
        'l', 449,
        'O', 918,
        'o', 918,
        'R', 757,
        'r', 757,
      );
      END_STATE();
    case 452:
      ADVANCE_MAP(
        'A', 1131,
        'a', 1131,
        'H', 464,
        'h', 464,
        'L', 449,
        'l', 449,
        'O', 559,
        'o', 559,
      );
      END_STATE();
    case 453:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1131);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(457);
      END_STATE();
    case 454:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 455:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(730);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1255);
      END_STATE();
    case 456:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1143);
      END_STATE();
    case 457:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1144);
      END_STATE();
    case 458:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(515);
      END_STATE();
    case 459:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1210);
      END_STATE();
    case 460:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(479);
      END_STATE();
    case 461:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(479);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1792);
      END_STATE();
    case 462:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1218);
      END_STATE();
    case 463:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1218);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1037);
      END_STATE();
    case 464:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1072);
      END_STATE();
    case 465:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1224);
      END_STATE();
    case 466:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1217);
      END_STATE();
    case 467:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(481);
      END_STATE();
    case 468:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1222);
      END_STATE();
    case 469:
      ADVANCE_MAP(
        'B', 1152,
        'b', 1152,
        'L', 839,
        'l', 839,
        'S', 1159,
        's', 1159,
        'T', 1193,
        't', 1193,
      );
      END_STATE();
    case 470:
      ADVANCE_MAP(
        'B', 1152,
        'b', 1152,
        'L', 851,
        'l', 851,
        'T', 1193,
        't', 1193,
        'U', 1189,
        'u', 1189,
      );
      END_STATE();
    case 471:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(921);
      END_STATE();
    case 472:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(884);
      END_STATE();
    case 473:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(884);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(582);
      END_STATE();
    case 474:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(922);
      END_STATE();
    case 475:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(408);
      END_STATE();
    case 476:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1074);
      END_STATE();
    case 477:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1260);
      END_STATE();
    case 478:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(855);
      END_STATE();
    case 479:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(865);
      END_STATE();
    case 480:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(420);
      END_STATE();
    case 481:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(868);
      END_STATE();
    case 482:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1115);
      END_STATE();
    case 483:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(923);
      END_STATE();
    case 484:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(818);
      END_STATE();
    case 485:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(405);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(760);
      END_STATE();
    case 486:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1832);
      END_STATE();
    case 487:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1525);
      END_STATE();
    case 488:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1646);
      END_STATE();
    case 489:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1565);
      END_STATE();
    case 490:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1624);
      END_STATE();
    case 491:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1502);
      END_STATE();
    case 492:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1504);
      END_STATE();
    case 493:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(814);
      END_STATE();
    case 494:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(815);
      END_STATE();
    case 495:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(816);
      END_STATE();
    case 496:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(848);
      END_STATE();
    case 497:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(640);
      END_STATE();
    case 498:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(843);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(691);
      END_STATE();
    case 499:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(810);
      END_STATE();
    case 500:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(806);
      END_STATE();
    case 501:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(678);
      END_STATE();
    case 502:
      ADVANCE_MAP(
        'C', 678,
        'c', 678,
        'G', 1077,
        'g', 1077,
        'P', 683,
        'p', 683,
        'T', 687,
        't', 687,
      );
      END_STATE();
    case 503:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(678);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(683);
      END_STATE();
    case 504:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 505:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1174);
      END_STATE();
    case 506:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(593);
      END_STATE();
    case 507:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1177);
      END_STATE();
    case 508:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(599);
      END_STATE();
    case 509:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1181);
      END_STATE();
    case 510:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1186);
      END_STATE();
    case 511:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(609);
      END_STATE();
    case 512:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(612);
      END_STATE();
    case 513:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(615);
      END_STATE();
    case 514:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(623);
      END_STATE();
    case 515:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(625);
      END_STATE();
    case 516:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1201);
      END_STATE();
    case 517:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1250);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1199);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(434);
      END_STATE();
    case 518:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 519:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1206);
      END_STATE();
    case 520:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(781);
      END_STATE();
    case 521:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(412);
      END_STATE();
    case 522:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(413);
      END_STATE();
    case 523:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(418);
      END_STATE();
    case 524:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(404);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(760);
      END_STATE();
    case 525:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1232);
      END_STATE();
    case 526:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1223);
      END_STATE();
    case 527:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(808);
      END_STATE();
    case 528:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(811);
      END_STATE();
    case 529:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(704);
      END_STATE();
    case 530:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(704);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1079);
      END_STATE();
    case 531:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1411);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1063);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(892);
      END_STATE();
    case 532:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1486);
      END_STATE();
    case 533:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(353);
      END_STATE();
    case 534:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1654);
      END_STATE();
    case 535:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1470);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1594);
      END_STATE();
    case 536:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1586);
      END_STATE();
    case 537:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1788);
      END_STATE();
    case 538:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1584);
      END_STATE();
    case 539:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1580);
      END_STATE();
    case 540:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1573);
      END_STATE();
    case 541:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1642);
      END_STATE();
    case 542:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1475);
      END_STATE();
    case 543:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1409);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(911);
      END_STATE();
    case 544:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1409);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(912);
      END_STATE();
    case 545:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1435);
      END_STATE();
    case 546:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1474);
      END_STATE();
    case 547:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1433);
      END_STATE();
    case 548:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1417);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(912);
      END_STATE();
    case 549:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1437);
      END_STATE();
    case 550:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1434);
      END_STATE();
    case 551:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1427);
      END_STATE();
    case 552:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1440);
      END_STATE();
    case 553:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1414);
      END_STATE();
    case 554:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1441);
      END_STATE();
    case 555:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1432);
      END_STATE();
    case 556:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1439);
      END_STATE();
    case 557:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 558:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(812);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(900);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(517);
      END_STATE();
    case 559:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(812);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1047);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1151);
      END_STATE();
    case 560:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(334);
      END_STATE();
    case 561:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1124);
      END_STATE();
    case 562:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 563:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(603);
      END_STATE();
    case 564:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1438);
      END_STATE();
    case 565:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1436);
      END_STATE();
    case 566:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1263);
      END_STATE();
    case 567:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1262);
      END_STATE();
    case 568:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1265);
      END_STATE();
    case 569:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1264);
      END_STATE();
    case 570:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1267);
      END_STATE();
    case 571:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(709);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1234);
      END_STATE();
    case 572:
      ADVANCE_MAP(
        'E', 391,
        'e', 391,
        'H', 653,
        'h', 653,
        'O', 1688,
        'o', 1688,
        'Y', 1044,
        'y', 1044,
      );
      END_STATE();
    case 573:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(328);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(329);
      END_STATE();
    case 574:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 575:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(332);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1197);
      END_STATE();
    case 576:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(332);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1197);
      END_STATE();
    case 577:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1500);
      END_STATE();
    case 578:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1590);
      END_STATE();
    case 579:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1740);
      END_STATE();
    case 580:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1720);
      END_STATE();
    case 581:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(735);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 582:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1662);
      END_STATE();
    case 583:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1521);
      END_STATE();
    case 584:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1514);
      END_STATE();
    case 585:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1774);
      END_STATE();
    case 586:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1682);
      END_STATE();
    case 587:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1842);
      END_STATE();
    case 588:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1790);
      END_STATE();
    case 589:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1650);
      END_STATE();
    case 590:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1726);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1703);
      END_STATE();
    case 592:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1472);
      END_STATE();
    case 593:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1491);
      END_STATE();
    case 594:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1596);
      END_STATE();
    case 595:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1853);
      END_STATE();
    case 596:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1278);
      END_STATE();
    case 597:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1660);
      END_STATE();
    case 598:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1444);
      END_STATE();
    case 599:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1710);
      END_STATE();
    case 600:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1666);
      END_STATE();
    case 601:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1786);
      END_STATE();
    case 602:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1564);
      END_STATE();
    case 603:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1693);
      END_STATE();
    case 604:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1776);
      END_STATE();
    case 605:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1523);
      END_STATE();
    case 606:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1588);
      END_STATE();
    case 607:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1680);
      END_STATE();
    case 608:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 609:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1559);
      END_STATE();
    case 610:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1652);
      END_STATE();
    case 611:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1761);
      END_STATE();
    case 612:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1784);
      END_STATE();
    case 613:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1730);
      END_STATE();
    case 614:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1446);
      END_STATE();
    case 615:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1454);
      END_STATE();
    case 616:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1480);
      END_STATE();
    case 617:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1664);
      END_STATE();
    case 618:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1448);
      END_STATE();
    case 619:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1742);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1744);
      END_STATE();
    case 621:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1476);
      END_STATE();
    case 622:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1622);
      END_STATE();
    case 623:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1668);
      END_STATE();
    case 624:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1763);
      END_STATE();
    case 625:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1456);
      END_STATE();
    case 626:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1482);
      END_STATE();
    case 627:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1452);
      END_STATE();
    case 628:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1478);
      END_STATE();
    case 629:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1576);
      END_STATE();
    case 630:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(736);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 631:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1512);
      END_STATE();
    case 632:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 633:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1841);
      END_STATE();
    case 634:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1516);
      END_STATE();
    case 635:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 636:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1719);
      END_STATE();
    case 637:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1723);
      END_STATE();
    case 638:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1052);
      END_STATE();
    case 639:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(927);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(762);
      END_STATE();
    case 640:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(734);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 641:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1279);
      END_STATE();
    case 642:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 643:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(948);
      END_STATE();
    case 644:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      END_STATE();
    case 645:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(951);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(995);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(750);
      END_STATE();
    case 646:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(499);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(960);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(502);
      END_STATE();
    case 647:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(499);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1275);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 648:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(499);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 649:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(924);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(731);
      END_STATE();
    case 650:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1271);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(907);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1234);
      END_STATE();
    case 651:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 652:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(956);
      END_STATE();
    case 653:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(928);
      END_STATE();
    case 654:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 655:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(952);
      END_STATE();
    case 656:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 657:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 658:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(540);
      END_STATE();
    case 659:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 660:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1041);
      END_STATE();
    case 661:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1103);
      END_STATE();
    case 662:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(541);
      END_STATE();
    case 663:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 664:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1126);
      END_STATE();
    case 665:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(546);
      END_STATE();
    case 666:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(849);
      END_STATE();
    case 667:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1169);
      END_STATE();
    case 668:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1120);
      END_STATE();
    case 669:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 670:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1055);
      END_STATE();
    case 671:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1056);
      END_STATE();
    case 672:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 673:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1175);
      END_STATE();
    case 674:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1058);
      END_STATE();
    case 675:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1059);
      END_STATE();
    case 676:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1106);
      END_STATE();
    case 677:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1111);
      END_STATE();
    case 678:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 679:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(505);
      END_STATE();
    case 680:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(716);
      END_STATE();
    case 681:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1084);
      END_STATE();
    case 682:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1084);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(853);
      END_STATE();
    case 683:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1087);
      END_STATE();
    case 684:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1086);
      END_STATE();
    case 685:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(975);
      END_STATE();
    case 686:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(965);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(967);
      END_STATE();
    case 689:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(509);
      END_STATE();
    case 690:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(968);
      END_STATE();
    case 691:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(733);
      END_STATE();
    case 692:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 693:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1092);
      END_STATE();
    case 694:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(889);
      END_STATE();
    case 695:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(889);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(483);
      END_STATE();
    case 696:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1094);
      END_STATE();
    case 697:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 698:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(913);
      END_STATE();
    case 699:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(913);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(580);
      END_STATE();
    case 700:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(977);
      END_STATE();
    case 701:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(846);
      END_STATE();
    case 702:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1225);
      END_STATE();
    case 703:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(987);
      END_STATE();
    case 704:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 705:
      ADVANCE_MAP(
        'E', 890,
        'e', 890,
        'H', 398,
        'h', 398,
        'I', 898,
        'i', 898,
        'T', 996,
        't', 996,
        'U', 476,
        'u', 476,
      );
      END_STATE();
    case 706:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 707:
      ADVANCE_MAP(
        'F', 1713,
        'f', 1713,
        'M', 448,
        'm', 448,
        'N', 763,
        'n', 763,
        'S', 1750,
        's', 1750,
      );
      END_STATE();
    case 708:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1713);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1635);
      END_STATE();
    case 709:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(440);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(756);
      END_STATE();
    case 710:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1717);
      END_STATE();
    case 711:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1717);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1220);
      END_STATE();
    case 712:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1724);
      END_STATE();
    case 713:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1617);
      END_STATE();
    case 714:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1619);
      END_STATE();
    case 715:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1285);
      END_STATE();
    case 716:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(444);
      END_STATE();
    case 717:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1008);
      END_STATE();
    case 718:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1008);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1022);
      END_STATE();
    case 719:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(454);
      END_STATE();
    case 720:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(458);
      END_STATE();
    case 721:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1243);
      END_STATE();
    case 722:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1243);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1252);
      END_STATE();
    case 723:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(986);
      END_STATE();
    case 724:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(587);
      END_STATE();
    case 725:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(891);
      END_STATE();
    case 726:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1079);
      END_STATE();
    case 727:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(595);
      END_STATE();
    case 728:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(656);
      END_STATE();
    case 729:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(668);
      END_STATE();
    case 730:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(633);
      END_STATE();
    case 731:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(760);
      END_STATE();
    case 732:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(673);
      END_STATE();
    case 733:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(670);
      END_STATE();
    case 734:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(670);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 735:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(670);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(719);
      END_STATE();
    case 736:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(670);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(719);
      END_STATE();
    case 737:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(653);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1045);
      END_STATE();
    case 738:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(464);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(449);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(917);
      END_STATE();
    case 739:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(464);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(919);
      END_STATE();
    case 740:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(464);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(456);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(917);
      END_STATE();
    case 741:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(419);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(457);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(757);
      END_STATE();
    case 742:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(693);
      END_STATE();
    case 743:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(681);
      END_STATE();
    case 744:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(696);
      END_STATE();
    case 745:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(715);
      END_STATE();
    case 746:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(971);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(943);
      END_STATE();
    case 747:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(723);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(500);
      END_STATE();
    case 748:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(898);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(476);
      END_STATE();
    case 749:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1276);
      END_STATE();
    case 750:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(533);
      END_STATE();
    case 751:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1275);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(503);
      END_STATE();
    case 752:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1275);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1228);
      END_STATE();
    case 753:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1275);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(501);
      END_STATE();
    case 754:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(477);
      END_STATE();
    case 755:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(721);
      END_STATE();
    case 756:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(506);
      END_STATE();
    case 757:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1230);
      END_STATE();
    case 758:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(844);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1197);
      END_STATE();
    case 759:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1162);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(643);
      END_STATE();
    case 760:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(521);
      END_STATE();
    case 761:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(520);
      END_STATE();
    case 762:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1028);
      END_STATE();
    case 763:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(630);
      END_STATE();
    case 764:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(691);
      END_STATE();
    case 765:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(823);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(776);
      END_STATE();
    case 766:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 767:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(667);
      END_STATE();
    case 768:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(488);
      END_STATE();
    case 769:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 770:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1165);
      END_STATE();
    case 771:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(490);
      END_STATE();
    case 772:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1204);
      END_STATE();
    case 773:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 774:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(562);
      END_STATE();
    case 775:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(955);
      END_STATE();
    case 776:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(840);
      END_STATE();
    case 777:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(492);
      END_STATE();
    case 778:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(981);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1277);
      END_STATE();
    case 779:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(957);
      END_STATE();
    case 780:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(976);
      END_STATE();
    case 781:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1179);
      END_STATE();
    case 782:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1184);
      END_STATE();
    case 783:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(944);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1018);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1190);
      END_STATE();
    case 784:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(944);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1190);
      END_STATE();
    case 785:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 786:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(959);
      END_STATE();
    case 787:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(959);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1164);
      END_STATE();
    case 788:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(947);
      END_STATE();
    case 789:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      END_STATE();
    case 790:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1274);
      END_STATE();
    case 791:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(969);
      END_STATE();
    case 792:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1009);
      END_STATE();
    case 793:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(954);
      END_STATE();
    case 794:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(970);
      END_STATE();
    case 795:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1010);
      END_STATE();
    case 796:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(411);
      END_STATE();
    case 797:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1011);
      END_STATE();
    case 798:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1090);
      END_STATE();
    case 799:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1012);
      END_STATE();
    case 800:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1013);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1060);
      END_STATE();
    case 801:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(860);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1104);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(985);
      END_STATE();
    case 802:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1014);
      END_STATE();
    case 803:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(862);
      END_STATE();
    case 804:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(522);
      END_STATE();
    case 805:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(982);
      END_STATE();
    case 806:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(447);
      END_STATE();
    case 807:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(523);
      END_STATE();
    case 808:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(459);
      END_STATE();
    case 809:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1231);
      END_STATE();
    case 810:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1156);
      END_STATE();
    case 811:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1158);
      END_STATE();
    case 812:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(920);
      END_STATE();
    case 813:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1644);
      END_STATE();
    case 814:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1757);
      END_STATE();
    case 815:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1849);
      END_STATE();
    case 816:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1759);
      END_STATE();
    case 817:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1746);
      END_STATE();
    case 818:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1132);
      END_STATE();
    case 819:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1018);
      END_STATE();
    case 820:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1558);
      END_STATE();
    case 821:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1281);
      END_STATE();
    case 822:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1676);
      END_STATE();
    case 823:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1839);
      END_STATE();
    case 824:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1830);
      END_STATE();
    case 825:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1594);
      END_STATE();
    case 826:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1571);
      END_STATE();
    case 827:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1707);
      END_STATE();
    case 828:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1732);
      END_STATE();
    case 829:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1490);
      END_STATE();
    case 830:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1567);
      END_STATE();
    case 831:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1606);
      END_STATE();
    case 832:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1857);
      END_STATE();
    case 833:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1519);
      END_STATE();
    case 834:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1638);
      END_STATE();
    case 835:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1658);
      END_STATE();
    case 836:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1734);
      END_STATE();
    case 837:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1859);
      END_STATE();
    case 838:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1494);
      END_STATE();
    case 839:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1557);
      END_STATE();
    case 840:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1283);
      END_STATE();
    case 841:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(406);
      END_STATE();
    case 842:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(822);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(579);
      END_STATE();
    case 843:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1241);
      END_STATE();
    case 844:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 845:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(824);
      END_STATE();
    case 846:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(679);
      END_STATE();
    case 847:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(679);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1258);
      END_STATE();
    case 848:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(586);
      END_STATE();
    case 849:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(789);
      END_STATE();
    case 850:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(828);
      END_STATE();
    case 851:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1021);
      END_STATE();
    case 852:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1173);
      END_STATE();
    case 853:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 854:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1176);
      END_STATE();
    case 855:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(594);
      END_STATE();
    case 856:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(836);
      END_STATE();
    case 857:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(596);
      END_STATE();
    case 858:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(598);
      END_STATE();
    case 859:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(600);
      END_STATE();
    case 860:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(601);
      END_STATE();
    case 861:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1185);
      END_STATE();
    case 862:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(610);
      END_STATE();
    case 863:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(614);
      END_STATE();
    case 864:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(618);
      END_STATE();
    case 865:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(622);
      END_STATE();
    case 866:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(641);
      END_STATE();
    case 867:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(627);
      END_STATE();
    case 868:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(629);
      END_STATE();
    case 869:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(543);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1194);
      END_STATE();
    case 870:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(548);
      END_STATE();
    case 871:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 872:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(545);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1227);
      END_STATE();
    case 873:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(547);
      END_STATE();
    case 874:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(549);
      END_STATE();
    case 875:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(550);
      END_STATE();
    case 876:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(551);
      END_STATE();
    case 877:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(552);
      END_STATE();
    case 878:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 879:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 880:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(698);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(544);
      END_STATE();
    case 881:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1251);
      END_STATE();
    case 882:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1145);
      END_STATE();
    case 883:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(761);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1082);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1088);
      END_STATE();
    case 884:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(766);
      END_STATE();
    case 885:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1148);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 886:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1149);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(554);
      END_STATE();
    case 887:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(700);
      END_STATE();
    case 888:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1023);
      END_STATE();
    case 889:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(689);
      END_STATE();
    case 890:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(692);
      END_STATE();
    case 891:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1026);
      END_STATE();
    case 892:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1778);
      END_STATE();
    case 893:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1838);
      END_STATE();
    case 894:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1783);
      END_STATE();
    case 895:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1855);
      END_STATE();
    case 896:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1407);
      END_STATE();
    case 897:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1442);
      END_STATE();
    case 898:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1049);
      END_STATE();
    case 899:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(455);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(497);
      END_STATE();
    case 900:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1004);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(857);
      END_STATE();
    case 901:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1038);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(764);
      END_STATE();
    case 902:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(776);
      END_STATE();
    case 903:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1048);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(498);
      END_STATE();
    case 904:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(666);
      END_STATE();
    case 905:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(468);
      END_STATE();
    case 906:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1006);
      END_STATE();
    case 907:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(655);
      END_STATE();
    case 908:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(702);
      END_STATE();
    case 909:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(426);
      END_STATE();
    case 910:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(407);
      END_STATE();
    case 911:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(669);
      END_STATE();
    case 912:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(677);
      END_STATE();
    case 913:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(686);
      END_STATE();
    case 914:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1050);
      END_STATE();
    case 915:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(465);
      END_STATE();
    case 916:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(688);
      END_STATE();
    case 917:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1047);
      END_STATE();
    case 918:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1047);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1150);
      END_STATE();
    case 919:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1047);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 920:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(703);
      END_STATE();
    case 921:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1033);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1019);
      END_STATE();
    case 922:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1034);
      END_STATE();
    case 923:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1034);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1031);
      END_STATE();
    case 924:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1656);
      END_STATE();
    case 925:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(352);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(438);
      END_STATE();
    case 926:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(352);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(438);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(745);
      END_STATE();
    case 927:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1772);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 928:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1715);
      END_STATE();
    case 929:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1529);
      END_STATE();
    case 930:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1691);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1484);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1628);
      END_STATE();
    case 933:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1599);
      END_STATE();
    case 934:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1626);
      END_STATE();
    case 935:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1495);
      END_STATE();
    case 936:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1780);
      END_STATE();
    case 937:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1600);
      END_STATE();
    case 938:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(560);
      END_STATE();
    case 939:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(813);
      END_STATE();
    case 940:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(548);
      END_STATE();
    case 941:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(498);
      END_STATE();
    case 942:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(821);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1161);
      END_STATE();
    case 943:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 944:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(532);
      END_STATE();
    case 945:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(441);
      END_STATE();
    case 946:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(486);
      END_STATE();
    case 947:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(534);
      END_STATE();
    case 948:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(561);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(978);
      END_STATE();
    case 949:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(817);
      END_STATE();
    case 950:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(717);
      END_STATE();
    case 951:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(661);
      END_STATE();
    case 952:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1155);
      END_STATE();
    case 953:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1240);
      END_STATE();
    case 954:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 955:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1153);
      END_STATE();
    case 956:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1166);
      END_STATE();
    case 957:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1125);
      END_STATE();
    case 958:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(545);
      END_STATE();
    case 959:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1219);
      END_STATE();
    case 960:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1168);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(432);
      END_STATE();
    case 961:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(651);
      END_STATE();
    case 962:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(552);
      END_STATE();
    case 963:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(553);
      END_STATE();
    case 964:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(556);
      END_STATE();
    case 965:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1226);
      END_STATE();
    case 966:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1178);
      END_STATE();
    case 967:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1182);
      END_STATE();
    case 968:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1183);
      END_STATE();
    case 969:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(621);
      END_STATE();
    case 970:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(628);
      END_STATE();
    case 971:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(403);
      END_STATE();
    case 972:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(961);
      END_STATE();
    case 973:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(727);
      END_STATE();
    case 974:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(727);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 975:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 976:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(782);
      END_STATE();
    case 977:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(514);
      END_STATE();
    case 978:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(414);
      END_STATE();
    case 979:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1212);
      END_STATE();
    case 980:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(416);
      END_STATE();
    case 981:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1213);
      END_STATE();
    case 982:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1154);
      END_STATE();
    case 983:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1220);
      END_STATE();
    case 984:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(544);
      END_STATE();
    case 985:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(525);
      END_STATE();
    case 986:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(916);
      END_STATE();
    case 987:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1157);
      END_STATE();
    case 988:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 989:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1689);
      END_STATE();
    case 990:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1701);
      END_STATE();
    case 991:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(925);
      END_STATE();
    case 992:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1697);
      END_STATE();
    case 993:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(530);
      END_STATE();
    case 994:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(524);
      END_STATE();
    case 995:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(475);
      END_STATE();
    case 996:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1037);
      END_STATE();
    case 997:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(731);
      END_STATE();
    case 998:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1197);
      END_STATE();
    case 999:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(905);
      END_STATE();
    case 1000:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(726);
      END_STATE();
    case 1001:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1247);
      END_STATE();
    case 1002:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1054);
      END_STATE();
    case 1003:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1234);
      END_STATE();
    case 1004:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(929);
      END_STATE();
    case 1005:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1082);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1088);
      END_STATE();
    case 1006:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1065);
      END_STATE();
    case 1007:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(931);
      END_STATE();
    case 1008:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1099);
      END_STATE();
    case 1009:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(932);
      END_STATE();
    case 1010:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(933);
      END_STATE();
    case 1011:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(934);
      END_STATE();
    case 1012:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(935);
      END_STATE();
    case 1013:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(936);
      END_STATE();
    case 1014:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(937);
      END_STATE();
    case 1015:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1057);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1060);
      END_STATE();
    case 1017:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1135);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(493);
      END_STATE();
    case 1019:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1256);
      END_STATE();
    case 1020:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(500);
      END_STATE();
    case 1021:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(504);
      END_STATE();
    case 1022:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(494);
      END_STATE();
    case 1023:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(495);
      END_STATE();
    case 1024:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(501);
      END_STATE();
    case 1025:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(914);
      END_STATE();
    case 1026:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(480);
      END_STATE();
    case 1027:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1105);
      END_STATE();
    case 1028:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(980);
      END_STATE();
    case 1029:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(566);
      END_STATE();
    case 1030:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1108);
      END_STATE();
    case 1031:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1268);
      END_STATE();
    case 1032:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(527);
      END_STATE();
    case 1033:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(568);
      END_STATE();
    case 1034:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(570);
      END_STATE();
    case 1035:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1113);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(943);
      END_STATE();
    case 1036:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(529);
      END_STATE();
    case 1037:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1673);
      END_STATE();
    case 1038:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1005);
      END_STATE();
    case 1039:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(584);
      END_STATE();
    case 1040:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(445);
      END_STATE();
    case 1041:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(602);
      END_STATE();
    case 1042:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1196);
      END_STATE();
    case 1043:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(620);
      END_STATE();
    case 1044:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(631);
      END_STATE();
    case 1045:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(634);
      END_STATE();
    case 1046:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(635);
      END_STATE();
    case 1047:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(857);
      END_STATE();
    case 1048:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1255);
      END_STATE();
    case 1049:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(859);
      END_STATE();
    case 1050:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(866);
      END_STATE();
    case 1051:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(327);
      END_STATE();
    case 1052:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1258);
      END_STATE();
    case 1053:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(429);
      END_STATE();
    case 1054:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1671);
      END_STATE();
    case 1055:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1592);
      END_STATE();
    case 1056:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1578);
      END_STATE();
    case 1057:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1463);
      END_STATE();
    case 1058:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1608);
      END_STATE();
    case 1059:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1640);
      END_STATE();
    case 1060:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1782);
      END_STATE();
    case 1061:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1244);
      END_STATE();
    case 1062:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 1063:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1282);
      END_STATE();
    case 1064:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1002);
      END_STATE();
    case 1065:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1284);
      END_STATE();
    case 1066:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(648);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1073);
      END_STATE();
    case 1067:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 1068:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(753);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(472);
      END_STATE();
    case 1069:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      END_STATE();
    case 1070:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(436);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1118);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1140);
      END_STATE();
    case 1071:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(751);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(473);
      END_STATE();
    case 1072:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 1073:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(582);
      END_STATE();
    case 1074:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1019);
      END_STATE();
    case 1075:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(993);
      END_STATE();
    case 1076:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(754);
      END_STATE();
    case 1077:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(400);
      END_STATE();
    case 1078:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(930);
      END_STATE();
    case 1079:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(401);
      END_STATE();
    case 1080:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1000);
      END_STATE();
    case 1081:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(654);
      END_STATE();
    case 1082:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1171);
      END_STATE();
    case 1083:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1109);
      END_STATE();
    case 1084:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(590);
      END_STATE();
    case 1085:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1024);
      END_STATE();
    case 1086:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1098);
      END_STATE();
    case 1087:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1195);
      END_STATE();
    case 1088:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(597);
      END_STATE();
    case 1089:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(658);
      END_STATE();
    case 1090:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(604);
      END_STATE();
    case 1091:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(606);
      END_STATE();
    case 1092:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(608);
      END_STATE();
    case 1093:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(706);
      END_STATE();
    case 1094:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(613);
      END_STATE();
    case 1095:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(616);
      END_STATE();
    case 1096:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(626);
      END_STATE();
    case 1097:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(732);
      END_STATE();
    case 1098:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(774);
      END_STATE();
    case 1099:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(909);
      END_STATE();
    case 1100:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1142);
      END_STATE();
    case 1101:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 1102:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1089);
      END_STATE();
    case 1103:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(769);
      END_STATE();
    case 1104:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(437);
      END_STATE();
    case 1105:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(428);
      END_STATE();
    case 1106:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(978);
      END_STATE();
    case 1107:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(450);
      END_STATE();
    case 1108:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(910);
      END_STATE();
    case 1109:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(690);
      END_STATE();
    case 1110:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(720);
      END_STATE();
    case 1111:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(466);
      END_STATE();
    case 1112:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(805);
      END_STATE();
    case 1113:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(915);
      END_STATE();
    case 1114:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(809);
      END_STATE();
    case 1115:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1031);
      END_STATE();
    case 1116:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1036);
      END_STATE();
    case 1117:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(747);
      END_STATE();
    case 1118:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1574);
      END_STATE();
    case 1119:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1612);
      END_STATE();
    case 1120:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1836);
      END_STATE();
    case 1121:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1575);
      END_STATE();
    case 1122:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1751);
      END_STATE();
    case 1123:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1753);
      END_STATE();
    case 1124:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1563);
      END_STATE();
    case 1125:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1498);
      END_STATE();
    case 1126:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1488);
      END_STATE();
    case 1127:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1630);
      END_STATE();
    case 1128:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1610);
      END_STATE();
    case 1129:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1614);
      END_STATE();
    case 1130:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1611);
      END_STATE();
    case 1131:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(579);
      END_STATE();
    case 1132:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1040);
      END_STATE();
    case 1133:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1118);
      END_STATE();
    case 1134:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1119);
      END_STATE();
    case 1135:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1163);
      END_STATE();
    case 1136:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1138);
      END_STATE();
    case 1137:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1121);
      END_STATE();
    case 1138:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1032);
      END_STATE();
    case 1139:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(585);
      END_STATE();
    case 1140:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(588);
      END_STATE();
    case 1141:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1128);
      END_STATE();
    case 1142:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(790);
      END_STATE();
    case 1143:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1129);
      END_STATE();
    case 1144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1130);
      END_STATE();
    case 1145:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(659);
      END_STATE();
    case 1146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1180);
      END_STATE();
    case 1147:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(619);
      END_STATE();
    case 1148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(636);
      END_STATE();
    case 1149:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(637);
      END_STATE();
    case 1150:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1199);
      END_STATE();
    case 1151:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1199);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(755);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1198);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(773);
      END_STATE();
    case 1154:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(777);
      END_STATE();
    case 1155:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(792);
      END_STATE();
    case 1156:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(795);
      END_STATE();
    case 1157:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(797);
      END_STATE();
    case 1158:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(802);
      END_STATE();
    case 1159:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1020);
      END_STATE();
    case 1160:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1159);
      END_STATE();
    case 1161:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1636);
      END_STATE();
    case 1162:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1684);
      END_STATE();
    case 1163:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1493);
      END_STATE();
    case 1164:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1845);
      END_STATE();
    case 1165:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1846);
      END_STATE();
    case 1166:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1843);
      END_STATE();
    case 1167:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1637);
      END_STATE();
    case 1168:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1770);
      END_STATE();
    case 1169:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1675);
      END_STATE();
    case 1170:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1765);
      END_STATE();
    case 1171:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1555);
      END_STATE();
    case 1172:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1632);
      END_STATE();
    case 1173:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1497);
      END_STATE();
    case 1174:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1737);
      END_STATE();
    case 1175:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1648);
      END_STATE();
    case 1176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1709);
      END_STATE();
    case 1177:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1561);
      END_STATE();
    case 1178:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1582);
      END_STATE();
    case 1179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1509);
      END_STATE();
    case 1180:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1527);
      END_STATE();
    case 1181:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1748);
      END_STATE();
    case 1182:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1458);
      END_STATE();
    case 1183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1705);
      END_STATE();
    case 1184:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1708);
      END_STATE();
    case 1185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1755);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1736);
      END_STATE();
    case 1187:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1193);
      END_STATE();
    case 1188:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(461);
      END_STATE();
    case 1189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(999);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(578);
      END_STATE();
    case 1191:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(800);
      END_STATE();
    case 1192:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(387);
      END_STATE();
    case 1193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1076);
      END_STATE();
    case 1194:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(643);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1286);
      END_STATE();
    case 1196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(762);
      END_STATE();
    case 1197:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(337);
      END_STATE();
    case 1198:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1107);
      END_STATE();
    case 1199:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(446);
      END_STATE();
    case 1200:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(796);
      END_STATE();
    case 1201:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(785);
      END_STATE();
    case 1202:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(791);
      END_STATE();
    case 1203:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(433);
      END_STATE();
    case 1204:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(592);
      END_STATE();
    case 1205:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(605);
      END_STATE();
    case 1206:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(662);
      END_STATE();
    case 1207:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(611);
      END_STATE();
    case 1208:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(664);
      END_STATE();
    case 1209:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(663);
      END_STATE();
    case 1210:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(624);
      END_STATE();
    case 1211:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(665);
      END_STATE();
    case 1212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(691);
      END_STATE();
    case 1213:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1112);
      END_STATE();
    case 1214:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(803);
      END_STATE();
    case 1215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1015);
      END_STATE();
    case 1216:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1261);
      END_STATE();
    case 1217:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1016);
      END_STATE();
    case 1218:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(768);
      END_STATE();
    case 1219:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(671);
      END_STATE();
    case 1220:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(672);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1209);
      END_STATE();
    case 1222:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(771);
      END_STATE();
    case 1223:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(674);
      END_STATE();
    case 1224:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1211);
      END_STATE();
    case 1225:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(675);
      END_STATE();
    case 1226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(417);
      END_STATE();
    case 1227:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(676);
      END_STATE();
    case 1228:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(687);
      END_STATE();
    case 1229:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(794);
      END_STATE();
    case 1230:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(804);
      END_STATE();
    case 1231:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(807);
      END_STATE();
    case 1232:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(799);
      END_STATE();
    case 1233:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(460);
      END_STATE();
    case 1234:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(478);
      END_STATE();
    case 1235:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(943);
      END_STATE();
    case 1236:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(767);
      END_STATE();
    case 1237:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1161);
      END_STATE();
    case 1238:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(749);
      END_STATE();
    case 1239:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(474);
      END_STATE();
    case 1240:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(894);
      END_STATE();
    case 1241:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(563);
      END_STATE();
    case 1242:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(798);
      END_STATE();
    case 1243:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1001);
      END_STATE();
    case 1244:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(657);
      END_STATE();
    case 1245:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1167);
      END_STATE();
    case 1246:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1100);
      END_STATE();
    case 1247:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1127);
      END_STATE();
    case 1248:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1078);
      END_STATE();
    case 1249:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(852);
      END_STATE();
    case 1250:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1083);
      END_STATE();
    case 1251:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(589);
      END_STATE();
    case 1252:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(607);
      END_STATE();
    case 1253:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(508);
      END_STATE();
    case 1254:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(854);
      END_STATE();
    case 1255:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1088);
      END_STATE();
    case 1256:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1202);
      END_STATE();
    case 1257:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(861);
      END_STATE();
    case 1258:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 1259:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(858);
      END_STATE();
    case 1260:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1208);
      END_STATE();
    case 1261:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1091);
      END_STATE();
    case 1262:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1095);
      END_STATE();
    case 1263:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(863);
      END_STATE();
    case 1264:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1096);
      END_STATE();
    case 1265:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(864);
      END_STATE();
    case 1266:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1073);
      END_STATE();
    case 1267:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(867);
      END_STATE();
    case 1268:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1229);
      END_STATE();
    case 1269:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(985);
      END_STATE();
    case 1270:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(482);
      END_STATE();
    case 1271:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(756);
      END_STATE();
    case 1272:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(338);
      END_STATE();
    case 1273:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(583);
      END_STATE();
    case 1274:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(617);
      END_STATE();
    case 1275:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(432);
      END_STATE();
    case 1276:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(409);
      END_STATE();
    case 1277:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(684);
      END_STATE();
    case 1278:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1602);
      END_STATE();
    case 1279:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1604);
      END_STATE();
    case 1280:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1216);
      END_STATE();
    case 1281:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1506);
      END_STATE();
    case 1282:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1794);
      END_STATE();
    case 1283:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1577);
      END_STATE();
    case 1284:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1837);
      END_STATE();
    case 1285:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1851);
      END_STATE();
    case 1286:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1569);
      END_STATE();
    case 1287:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1190);
      END_STATE();
    case 1288:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1041);
      END_STATE();
    case 1289:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1043);
      END_STATE();
    case 1290:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1044);
      END_STATE();
    case 1291:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1045);
      END_STATE();
    case 1292:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1046);
      END_STATE();
    case 1293:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(342);
      END_STATE();
    case 1294:
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '/') ADVANCE(1769);
      END_STATE();
    case 1295:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(1332);
      END_STATE();
    case 1296:
      if (eof) ADVANCE(1302);
      if (lookahead == '\n') SKIP(1300);
      END_STATE();
    case 1297:
      if (eof) ADVANCE(1302);
      if (lookahead == '\n') SKIP(1300);
      if (lookahead == '\r') SKIP(1296);
      END_STATE();
    case 1298:
      if (eof) ADVANCE(1302);
      if (lookahead == '\n') SKIP(1301);
      END_STATE();
    case 1299:
      if (eof) ADVANCE(1302);
      if (lookahead == '\n') SKIP(1301);
      if (lookahead == '\r') SKIP(1298);
      END_STATE();
    case 1300:
      if (eof) ADVANCE(1302);
      ADVANCE_MAP(
        '!', 2670,
        '#', 354,
        '%', 1381,
        '&', 1387,
        '(', 1366,
        ')', 1311,
        '*', 1373,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1811,
        '/', 1376,
        ':', 1451,
        ';', 1670,
        '<', 1397,
        '=', 1461,
        '>', 1392,
        '?', 1861,
        '@', 1818,
        'D', 1533,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(1297);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == '^') ADVANCE(1385);
      if (lookahead == 'd') ADVANCE(1532);
      if (lookahead == '|') ADVANCE(1384);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1545);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1534);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1535);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1550);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1536);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1546);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1553);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1548);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1549);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1547);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1541);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1543);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1552);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1537);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1554);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1542);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1538);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1540);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1551);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1539);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1544);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1300);
      if (('J' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      END_STATE();
    case 1301:
      if (eof) ADVANCE(1302);
      ADVANCE_MAP(
        '!', 2671,
        '#', 358,
        '&', 1386,
        '(', 1366,
        ')', 1311,
        '*', 1372,
        '+', 1370,
        ',', 1310,
        '-', 1371,
        '.', 1816,
        '/', 1375,
        ':', 1450,
        ';', 1670,
        '=', 1462,
        '>', 350,
        '[', 1822,
      );
      if (lookahead == '\\') SKIP(1299);
      if (lookahead == ']') ADVANCE(1823);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1969);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1869);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1881);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1906);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2285);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1893);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2438);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2175);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2244);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2127);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1910);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1942);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2472);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1871);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1913);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1886);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1902);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2425);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1899);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1301);
      if (lookahead == '$' ||
          ('H' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      if (lookahead == '\n') ADVANCE(1304);
      if (lookahead == '\r') ADVANCE(117);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(aux_sym_preproc_def_token2);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '/') ADVANCE(1820);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(1343);
      if (lookahead == 'n') ADVANCE(1337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(369);
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(1314);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(367);
      if (lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(1345);
      if (lookahead == 'n') ADVANCE(1338);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(321);
      if (lookahead == '\r') ADVANCE(1330);
      if (lookahead == '/') ADVANCE(1295);
      if (lookahead == '\\') ADVANCE(1331);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(321);
      if (lookahead == '/') ADVANCE(1295);
      if (lookahead == '\\') ADVANCE(1331);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(1333);
      if (lookahead == '/') ADVANCE(1295);
      if (lookahead == '\\') ADVANCE(1331);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1295);
      if (lookahead == '\\') ADVANCE(1331);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1332);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(1295);
      if (lookahead == '\\') ADVANCE(1331);
      if (lookahead != 0) ADVANCE(1332);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(1359);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1342);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(1346);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(1354);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1312);
      if (lookahead == 'n') ADVANCE(1334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1316);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(1328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1349);
      if (lookahead == 's') ADVANCE(1340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(1350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1356);
      if (lookahead == 'n') ADVANCE(1335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(1363);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1335);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1334);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(1341);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(1336);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1364);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      if (lookahead == '/') ADVANCE(1820);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(anon_sym_defined);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_preproc_comment);
      if (lookahead == '*') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(326);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(1809);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1821);
      if (lookahead == '*') ADVANCE(326);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1821);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '/') ADVANCE(1808);
      if (lookahead == '=') ADVANCE(1806);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == ')') ADVANCE(1821);
      if (lookahead == '/') ADVANCE(1808);
      if (lookahead == '=') ADVANCE(1806);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(326);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(326);
      if (lookahead == '/') ADVANCE(1808);
      if (lookahead == '=') ADVANCE(1806);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(1808);
      if (lookahead == '=') ADVANCE(1806);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(1382);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(1383);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1395);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1395);
      if (lookahead == '>') ADVANCE(1404);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1395);
      if (lookahead == '>') ADVANCE(1403);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(1395);
      if (lookahead == '>') ADVANCE(347);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1402);
      if (lookahead == '=') ADVANCE(1396);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(345);
      if (lookahead == '=') ADVANCE(1396);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(1401);
      if (lookahead == '=') ADVANCE(1396);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(1396);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(1678);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(1679);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(1405);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(348);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(aux_sym_program_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2571);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      ADVANCE_MAP(
        'A', 1136,
        'a', 1136,
        'B', 888,
        'b', 888,
        'C', 1114,
        'c', 1114,
        'D', 990,
        'd', 990,
        'E', 953,
        'e', 953,
        'F', 801,
        'f', 801,
        'I', 711,
        'i', 711,
        'M', 1029,
        'm', 1029,
        'P', 1075,
        'p', 1075,
        'S', 695,
        's', 695,
        'T', 660,
        't', 660,
        'W', 742,
        'w', 742,
      );
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2360);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2538);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(990);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2441);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2441);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2266);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2265);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2509);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2533);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2169);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2149);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2213);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2267);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1269);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2469);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2628);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2186);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2185);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(710);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(983);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1029);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1080);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1116);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1270);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1239);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(694);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1288);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(742);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym_end_program_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym_end_module_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1505);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(aux_sym_end_submodule_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(aux_sym_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(aux_sym_end_interface_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(aux_sym_assignment_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1389);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(1389);
      if (lookahead == '>') ADVANCE(1508);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(1508);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(aux_sym_operator_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1468);
      if (lookahead == '\r') ADVANCE(1466);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1468);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '\n') ADVANCE(1469);
      if (lookahead == '(' ||
          lookahead == ')') ADVANCE(2671);
      if (lookahead != 0) ADVANCE(1467);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead == '!') ADVANCE(1467);
      if (lookahead == '&') ADVANCE(1388);
      if (lookahead == '\\') ADVANCE(1465);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1468);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_operator_token2);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(1469);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token3);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_defined_io_procedure_token4);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_end_subroutine_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_end_module_procedure_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(aux_sym_language_binding_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token2);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token4);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_procedure_attributes_token5);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_end_function_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_function_result_token1);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(aux_sym_contains_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_use_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_use_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_use_statement_token3);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(aux_sym_included_items_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token2);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1122);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1122);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(713);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2544);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(713);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2188);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym_implicit_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym_save_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(aux_sym_private_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(aux_sym_public_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(aux_sym_namelist_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_common_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 709,
        'e', 351,
        'A', 1192,
        'a', 1192,
        'I', 907,
        'i', 907,
        'O', 1698,
        'o', 1698,
      );
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1192,
        'a', 1192,
        'E', 709,
        'e', 709,
        'I', 907,
        'i', 907,
        'O', 1698,
        'o', 1698,
      );
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 484,
        'a', 484,
        'I', 944,
        'i', 944,
        'L', 1018,
        'l', 1018,
        'Y', 1190,
        'y', 1190,
      );
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 842,
        'a', 842,
        'H', 384,
        'h', 384,
        'L', 388,
        'l', 388,
        'O', 558,
        'o', 558,
        'R', 757,
        'r', 757,
        'Y', 496,
        'y', 496,
      );
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 765,
        'a', 765,
        'I', 971,
        'i', 971,
        'O', 1053,
        'o', 1053,
        'U', 943,
        'u', 943,
      );
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1070,
        'a', 1070,
        'I', 972,
        'i', 972,
        'O', 787,
        'o', 787,
        'R', 646,
        'r', 646,
        'U', 473,
        'u', 473,
      );
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1273,
        'a', 1273,
        'E', 847,
        'e', 847,
        'H', 398,
        'h', 398,
        'I', 898,
        'i', 898,
        'T', 463,
        't', 463,
        'U', 471,
        'u', 471,
        'Y', 946,
        'y', 946,
      );
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(841);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'A', 1097,
        'a', 1097,
        'E', 391,
        'e', 391,
        'H', 653,
        'h', 653,
        'O', 1688,
        'o', 1688,
        'Y', 1039,
        'y', 1039,
      );
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(906);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(939);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(904);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(926);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(845);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(770);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(682);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(772);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'B', 1152,
        'b', 1152,
        'L', 820,
        'l', 820,
        'S', 1117,
        's', 1117,
        'T', 1193,
        't', 1193,
        'U', 1189,
        'u', 1189,
      );
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'E', 951,
        'e', 951,
        'L', 995,
        'l', 995,
        'O', 1686,
        'o', 1686,
        'R', 750,
        'r', 750,
      );
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(924);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(485);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'F', 1713,
        'f', 1713,
        'M', 385,
        'm', 385,
        'N', 1634,
        'n', 1634,
        'S', 1750,
        's', 1750,
      );
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(947);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      ADVANCE_MAP(
        'L', 699,
        'l', 699,
        'N', 531,
        'n', 531,
        'Q', 1238,
        'q', 1238,
        'R', 1064,
        'r', 1064,
        'V', 652,
        'v', 652,
        'X', 759,
        'x', 759,
      );
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(718);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(577);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(821);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(639);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1161);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1135);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_implicit_range_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(767);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_import_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym__import_names_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(518);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_derived_type_definition_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_abstract_specifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_base_type_specifier_token1);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_end_type_statement_token1);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_procedure_kind_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token1);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token2);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token3);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token4);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token5);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_procedure_attribute_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_variable_attributes_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1025);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1093);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2467);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2524);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token5);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token9);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym__intrinsic_type_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(680);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1123);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(680);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1123);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(714);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2153);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2545);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(714);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2189);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_derived_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_declared_type_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_declared_type_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_kind_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1621);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      ADVANCE_MAP(
        'C', 843,
        'c', 843,
        'I', 1200,
        'i', 1200,
        'O', 1245,
        'o', 1245,
        'Q', 1242,
        'q', 1242,
        'T', 581,
        't', 581,
      );
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token7);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1245);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token8);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token9);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token10);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token14);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token15);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token16);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym__standalone_type_qualifier_token17);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_type_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_procedure_qualifier_token5);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_equivalence_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym_stop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym_stop_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_stop_statement_token3);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_subroutine_call_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(989);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token4);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2440);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token5);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_keyword_statement_token7);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_include_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(478);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1977);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_do_loop_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1980);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_end_do_loop_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym_concurrent_header_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token1);
      if (lookahead == '_') ADVANCE(780);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token2);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token3);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym_concurrent_locality_token4);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym_binary_op_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1712);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym__inline_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym__block_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_end_if_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(712);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(744);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2187);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2214);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(744);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(aux_sym__inline_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(aux_sym_end_where_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(aux_sym_elsewhere_clause_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(aux_sym__forall_control_expression_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(aux_sym_end_forall_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(443);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(410);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1289);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1952);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1929);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2665);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(aux_sym_select_case_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(aux_sym_select_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(aux_sym_select_rank_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(aux_sym_end_select_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(aux_sym_type_statement_token1);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(aux_sym_type_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(aux_sym_type_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(aux_sym__class_default_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(aux_sym_block_construct_token1);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(aux_sym_block_construct_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(aux_sym_end_block_construct_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(aux_sym_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(aux_sym_end_associate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(aux_sym_format_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(sym_edit_descriptor);
      if (lookahead == 'H') ADVANCE(1294);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1767);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1768);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(sym_edit_descriptor);
      if (lookahead == '$' ||
          lookahead == '*' ||
          ('.' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'G') ||
          ('I' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'g') ||
          ('i' <= lookahead && lookahead <= 'z')) ADVANCE(1768);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(aux_sym_hollerith_constant_token1);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '/') ADVANCE(1769);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(aux_sym_print_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(aux_sym_open_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(aux_sym_close_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(aux_sym_inquire_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2513);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(aux_sym_enumeration_type_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(aux_sym_enumerator_statement_token1);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(aux_sym_end_enum_statement_token1);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token2);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token3);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(aux_sym_file_position_statement_token4);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(aux_sym_allocate_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(aux_sym_entry_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(aux_sym_logical_expression_token4);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(aux_sym_logical_expression_token5);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(aux_sym_relational_expression_token1);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(aux_sym_relational_expression_token2);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(aux_sym_relational_expression_token3);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(aux_sym_relational_expression_token4);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(aux_sym_relational_expression_token5);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(aux_sym_relational_expression_token6);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '.', 1819,
        'A', 938,
        'a', 938,
        'E', 1051,
        'e', 1051,
        'F', 394,
        'f', 394,
        'G', 573,
        'g', 573,
        'L', 642,
        'l', 642,
        'N', 575,
        'n', 575,
        'O', 1067,
        'o', 1067,
        'T', 1061,
        't', 1061,
      );
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(1819);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(394);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(998);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1061);
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 938,
        'a', 938,
        'E', 1051,
        'e', 1051,
        'F', 394,
        'f', 394,
        'G', 573,
        'g', 573,
        'L', 642,
        'l', 642,
        'N', 576,
        'n', 576,
        'O', 1067,
        'o', 1067,
        'T', 1061,
        't', 1061,
      );
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        'A', 938,
        'a', 938,
        'E', 1051,
        'e', 1051,
        'G', 573,
        'g', 573,
        'L', 642,
        'l', 642,
        'N', 574,
        'n', 574,
        'O', 1067,
        'o', 1067,
      );
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(394);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(758);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1061);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(394);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(998);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1061);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(aux_sym_user_defined_operator_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1817);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(sym_assumed_rank);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(anon_sym_LPAREN_SLASH);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(anon_sym_SLASH_RPAREN);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token1);
      END_STATE();
    case 1825:
      ACCEPT_TOKEN(aux_sym_boolean_literal_token2);
      END_STATE();
    case 1826:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 1827:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1828:
      ACCEPT_TOKEN(aux_sym__kind_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1828);
      END_STATE();
    case 1829:
      ACCEPT_TOKEN(aux_sym__kind_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1829);
      END_STATE();
    case 1830:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      END_STATE();
    case 1831:
      ACCEPT_TOKEN(aux_sym_null_literal_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1832:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      END_STATE();
    case 1833:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1834:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2575);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1835:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token2);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1170);
      END_STATE();
    case 1836:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token3);
      END_STATE();
    case 1837:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token4);
      END_STATE();
    case 1838:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token5);
      END_STATE();
    case 1839:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      END_STATE();
    case 1840:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token6);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1841:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      END_STATE();
    case 1842:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token7);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1836);
      END_STATE();
    case 1843:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      END_STATE();
    case 1844:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token8);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1845:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token9);
      END_STATE();
    case 1846:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token10);
      END_STATE();
    case 1847:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      END_STATE();
    case 1848:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token11);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1849:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      END_STATE();
    case 1850:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token12);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1851:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      END_STATE();
    case 1852:
      ACCEPT_TOKEN(aux_sym_coarray_statement_token13);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1853:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      END_STATE();
    case 1854:
      ACCEPT_TOKEN(aux_sym_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1855:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      END_STATE();
    case 1856:
      ACCEPT_TOKEN(aux_sym_end_coarray_team_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1857:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      END_STATE();
    case 1858:
      ACCEPT_TOKEN(aux_sym_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1859:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      END_STATE();
    case 1860:
      ACCEPT_TOKEN(aux_sym_end_coarray_critical_statement_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1861:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 1862:
      ACCEPT_TOKEN(aux_sym_nil_literal_token1);
      END_STATE();
    case 1863:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'E', 2653,
        'e', 1866,
        'A', 2590,
        'a', 2590,
        'I', 2378,
        'i', 2378,
        'O', 2652,
        'o', 2652,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1864:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'd') ADVANCE(1368);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1865:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'e') ADVANCE(1864);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1866:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'f') ADVANCE(1867);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2230);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1867:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'i') ADVANCE(1868);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1868:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'n') ADVANCE(1865);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1869:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 1983,
        'a', 1983,
        'I', 2398,
        'i', 2398,
        'L', 2460,
        'l', 2460,
        'Y', 2593,
        'y', 2593,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1870:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1983);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2460);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1871:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2503,
        'a', 2503,
        'I', 2410,
        'i', 2410,
        'O', 2234,
        'o', 2234,
        'R', 2217,
        'r', 2217,
        'U', 1974,
        'u', 1974,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1872:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2503,
        'a', 2503,
        'I', 2410,
        'i', 2410,
        'O', 2234,
        'o', 2234,
        'R', 2218,
        'r', 2218,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1873:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2503,
        'a', 2503,
        'O', 2234,
        'o', 2234,
        'R', 2219,
        'r', 2219,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1874:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2427);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1875:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2031,
        'a', 2031,
        'C', 2632,
        'c', 2632,
        'T', 2634,
        't', 2634,
        'W', 2256,
        'w', 2256,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1876:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2031);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2632);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1877:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2031);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2634);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(2256);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1878:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2031);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1879:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1696);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1880:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2303,
        'a', 2303,
        'H', 1941,
        'h', 1941,
        'L', 2443,
        'l', 2443,
        'O', 2399,
        'o', 2399,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1881:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2304,
        'a', 2304,
        'H', 1874,
        'h', 1874,
        'L', 1897,
        'l', 1897,
        'O', 2059,
        'o', 2059,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1882:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2304,
        'a', 2304,
        'H', 1874,
        'h', 1874,
        'L', 1897,
        'l', 1897,
        'O', 2060,
        'o', 2060,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1883:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2304,
        'a', 2304,
        'H', 1941,
        'h', 1941,
        'L', 2443,
        'l', 2443,
        'O', 2385,
        'o', 2385,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1884:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2304,
        'a', 2304,
        'H', 1941,
        'h', 1941,
        'L', 2443,
        'l', 2443,
        'O', 2399,
        'o', 2399,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1885:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2304,
        'a', 2304,
        'H', 1941,
        'h', 1941,
        'L', 1946,
        'l', 1946,
        'O', 2399,
        'o', 2399,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1886:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2310,
        'e', 2310,
        'H', 1918,
        'h', 1918,
        'I', 2371,
        'i', 2371,
        'T', 1966,
        't', 1966,
        'U', 1972,
        'u', 1972,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1887:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2310,
        'e', 2310,
        'H', 1918,
        'h', 1918,
        'T', 1966,
        't', 1966,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1888:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2361,
        'e', 2361,
        'H', 1918,
        'h', 1918,
        'I', 2371,
        'i', 2371,
        'T', 1966,
        't', 1966,
        'U', 1981,
        'u', 1981,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1889:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2361,
        'e', 2361,
        'H', 1918,
        'h', 1918,
        'T', 1966,
        't', 1966,
        'U', 1981,
        'u', 1981,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1890:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2361,
        'e', 2361,
        'H', 1918,
        'h', 1918,
        'T', 1966,
        't', 1966,
        'U', 1982,
        'u', 1982,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1891:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2655,
        'a', 2655,
        'E', 2361,
        'e', 2361,
        'H', 1918,
        'h', 1918,
        'T', 1966,
        't', 1966,
        'Y', 2403,
        'y', 2403,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1892:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2228,
        'a', 2228,
        'I', 2422,
        'i', 2422,
        'O', 2505,
        'o', 2505,
        'U', 2400,
        'u', 2400,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1893:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2493);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2400);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1894:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2493);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1895:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2505);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2400);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1896:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2228);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2505);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1897:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2549);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1898:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2549);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1899:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2305);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2307);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1900:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2305);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1901:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2494);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2147);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1902:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2494);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2478);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1903:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2494);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2481);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1904:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2494);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2482);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1905:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2494);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2660);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1906:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2590,
        'a', 2590,
        'E', 2653,
        'e', 2653,
        'I', 2378,
        'i', 2378,
        'O', 1699,
        'o', 1699,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1907:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2590,
        'a', 2590,
        'E', 2653,
        'e', 2653,
        'I', 2378,
        'i', 2378,
        'O', 2625,
        'o', 2625,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1908:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2590,
        'a', 2590,
        'E', 2653,
        'e', 2653,
        'I', 2378,
        'i', 2378,
        'O', 2652,
        'o', 2652,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1909:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2590,
        'a', 2590,
        'E', 2653,
        'e', 2653,
        'I', 2378,
        'i', 2378,
        'O', 1700,
        'o', 1700,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1910:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2052);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1911:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2404);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1912:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2368);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1913:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2402);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1875);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1914:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2402);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1877);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1915:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2402);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1876);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1916:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2402);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1878);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1917:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2369);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1918:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2514);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1919:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2370);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1920:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2023);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1921:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2359);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1922:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1923:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2292);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1924:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2293);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1925:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2294);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1926:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2295);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1927:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2296);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1928:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2589);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1929:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2406);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1930:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2298);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1931:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'I', 2410,
        'i', 2410,
        'O', 2234,
        'o', 2234,
        'R', 2247,
        'r', 2247,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1932:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'I', 2410,
        'i', 2410,
        'O', 2234,
        'o', 2234,
        'R', 2249,
        'r', 2249,
        'U', 1974,
        'u', 1974,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1933:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'I', 2410,
        'i', 2410,
        'O', 2234,
        'o', 2234,
        'R', 2249,
        'r', 2249,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1934:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'O', 2234,
        'o', 2234,
        'R', 2251,
        'r', 2251,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1935:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'O', 2234,
        'o', 2234,
        'R', 2250,
        'r', 2250,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1936:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'O', 2234,
        'o', 2234,
        'R', 2248,
        'r', 2248,
        'U', 1974,
        'u', 1974,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1937:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'O', 2234,
        'o', 2234,
        'R', 2252,
        'r', 2252,
        'U', 1974,
        'u', 1974,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1938:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'A', 2504,
        'a', 2504,
        'O', 2234,
        'o', 2234,
        'R', 2252,
        'r', 2252,
        'U', 1975,
        'u', 1975,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1939:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2299);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1940:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2300);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1941:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2428);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1942:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2595);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2309);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1943:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2372);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2309);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1944:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2610);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1945:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2635);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1946:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2555);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1947:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2377);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1948:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2198);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1949:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2311);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1834);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1950:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2558);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1951:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2005);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1952:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2561);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1953:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2011);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1954:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2418);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1955:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2604);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1956:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2240);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2194);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1957:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2240);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2195);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1958:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2314);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1959:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2605);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1960:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2012);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1961:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1962:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2014);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1963:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1964:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1793);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1965:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1979);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1966:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2615);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2474);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1967:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2623);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1968:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(2618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1969:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2564,
        'b', 2564,
        'L', 2302,
        'l', 2302,
        'S', 2565,
        's', 2565,
        'T', 2592,
        't', 2592,
        'U', 2591,
        'u', 2591,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1970:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2564,
        'b', 2564,
        'L', 2362,
        'l', 2362,
        'S', 2559,
        's', 2559,
        'T', 2592,
        't', 2592,
        'U', 2591,
        'u', 2591,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1971:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'B', 2564,
        'b', 2564,
        'L', 2362,
        'l', 2362,
        'T', 2592,
        't', 2592,
        'U', 2591,
        'u', 2591,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1972:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2374);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1973:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2645);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1974:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2354);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2075);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1975:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2354);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1976:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2384);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1977:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2317);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1978:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2537);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1979:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2323);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1980:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2325);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1981:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2508);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1982:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(2375);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1983:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2283);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1984:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1833);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1985:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1526);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1986:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1987:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1625);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1988:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1503);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1989:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1566);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1990:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2277);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2253);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1991:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2277);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1992:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2279);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1993:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2280);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1994:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2312);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1995:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2282);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1996:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2272);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1997:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1923);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1998:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2150);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2512);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2171);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 1999:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2150);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2157);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2000:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2150);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2171);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2001:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2150);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2002:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2275);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2003:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2578);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2004:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1924);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2005:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2580);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2006:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2584);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2007:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2085);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2008:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2586);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2009:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1930);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2010:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2096);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2011:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2099);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2012:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2100);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2013:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2108);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2014:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2122);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2015:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2308);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2074);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2016:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2308);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2017:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2599);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2018:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1928);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2019:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2241);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2020:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1955);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2021:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2638);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2598);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2224);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2022:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2606);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2023:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2614);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2024:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2273);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2025:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2624);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2026:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(2174);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2027:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1420);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2028:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1420);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2029:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1487);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2030:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1655);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2031:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1471);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1595);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2032:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1587);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2033:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1789);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2034:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1585);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2035:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1581);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2036:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1643);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2037:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2038:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2039:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1422);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2040:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1422);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2041:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1412);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2042:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1412);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2043:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1425);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2044:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1410);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2045:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1413);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2046:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1416);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2047:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1424);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2048:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1430);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2049:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1430);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2050:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1428);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2051:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1429);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2052:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2643);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2053:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1418);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2054:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1418);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2055:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1423);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2056:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1415);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2057:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1431);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2058:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1419);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2059:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2276);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2373);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2550);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2060:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2276);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2373);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2552);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2061:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2276);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2373);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2551);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2062:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2276);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2483);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2063:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2276);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2064:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2091);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2065:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1421);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2366);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2066:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1421);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2495);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2067:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2647);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2068:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2646);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2069:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2070:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2648);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2071:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(2650);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2072:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1501);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2073:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2074:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2201);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2075:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2076:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1522);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2077:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1517);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2078:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1775);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2079:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1683);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2080:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1791);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2081:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2082:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1727);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2083:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1473);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2084:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1854);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2085:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1492);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2086:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2087:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2088:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1445);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2089:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1667);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2090:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1787);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2091:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1694);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2092:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1777);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2093:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1524);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2094:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1589);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2095:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1681);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2096:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1560);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2097:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1653);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2098:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1762);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2099:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1785);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2100:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1455);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1481);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2102:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1665);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2103:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1449);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2104:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1743);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2105:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1745);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2106:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1477);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2107:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1623);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2108:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1669);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2109:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1483);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2110:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1479);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2111:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1598);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2112:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1515);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2113:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1721);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2114:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1729);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2115:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1731);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2116:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1722);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2117:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1741);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2118:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1764);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2119:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2120:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1447);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2121:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1453);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2122:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1457);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2123:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1704);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2124:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2658);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2125:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2414);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2126:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2202);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2127:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2386);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1990);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2128:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2386);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1991);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2129:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2130:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2032);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2131:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2411);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2132:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2034);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2133:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2387);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2231);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2134:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2035);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2135:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2136:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2036);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2137:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2225);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2138:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2541);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2139:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2313);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2140:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2407);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2141:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2497);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2142:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2498);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2143:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2499);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2144:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2500);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2145:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2579);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2146:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2536);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2147:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2396);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2148:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2434);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2149:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1919);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2150:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2068);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2151:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2003);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2152:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2534);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2153:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2191);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2154:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2002);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2155:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2515);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2156:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2431);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2157:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2519);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2158:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2430);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2159:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2203);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2160:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2433);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2161:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2006);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2162:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2415);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2163:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2008);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2164:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2420);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2165:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2421);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2166:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2522);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2231);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2167:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2527);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2168:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2528);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2169:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2358);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2170:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2379);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2137);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2171:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2022);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2172:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2617);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2173:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2436);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2174:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(2070);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2175:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2473);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2015);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2176:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2475);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2015);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2177:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2487);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2178:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2487);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2490);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2477);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2260);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2492);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2016);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2488);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1714);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2491);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1718);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2619);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1718);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1725);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1618);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1620);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(2662);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1945);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1960);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1962);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2633);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2639);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2145);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2084);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2134);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2437);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2512);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2141);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2577);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2192);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2141);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2577);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2141);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(2516);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1874,
        'h', 1874,
        'L', 1898,
        'l', 1898,
        'O', 2061,
        'o', 2061,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1874,
        'h', 1874,
        'L', 1950,
        'l', 1950,
        'O', 2382,
        'o', 2382,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1874,
        'h', 1874,
        'L', 1950,
        'l', 1950,
        'O', 2062,
        'o', 2062,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1874,
        'h', 1874,
        'O', 2382,
        'o', 2382,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2155);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1941,
        'h', 1941,
        'O', 2063,
        'o', 2063,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1941,
        'h', 1941,
        'O', 2397,
        'o', 2397,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'H', 1941,
        'h', 1941,
        'O', 2429,
        'o', 2429,
        'R', 2227,
        'r', 2227,
        'Y', 1994,
        'y', 1994,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2167);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2168);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(2271);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2398);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2460);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2412);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1998);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2412);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2000);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2412);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2194);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2190);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2656);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1973);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2195);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2187);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2199);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2621);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2289);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2572);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2135);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2007);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2462);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2019);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1985);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2432);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1986);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1987);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1988);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2408);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1989);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2409);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2582);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1940);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2243:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2560);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2244:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2401);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2245:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2657);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2246:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2247:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2000);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2248:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1999);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2249:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2600);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2250:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2200);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2251:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2001);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2252:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2654);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2253:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1997);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2254:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2453);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2255:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2423);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2256:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2405);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2257:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2004);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2258:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2454);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2259:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2424);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2260:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2602);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2159);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2261:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2009);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2262:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2521);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2263:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2455);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2264:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2456);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2265:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2320);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2266:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2320);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2435);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2267:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2320);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2268:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2457);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2269:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2321);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2270:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2459);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2271:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2328);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2272:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1961);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2273:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1963);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2274:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2622);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2275:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2569);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2276:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(2383);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2277:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1848);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2278:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1645);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2279:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1758);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2280:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1850);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2281:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1747);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2282:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1760);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2283:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(2548);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2284:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2302);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2285:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2170,
        'l', 2170,
        'N', 2027,
        'n', 2027,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2286:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2170,
        'l', 2170,
        'N', 2049,
        'n', 2049,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2287:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2170,
        'l', 2170,
        'N', 2057,
        'n', 2057,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2288:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1677);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2289:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1840);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2290:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1831);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2291:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1733);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2292:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1607);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2293:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1858);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2294:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1520);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2295:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1639);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2296:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1659);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2297:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1735);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2298:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1860);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2299:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1572);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2300:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1568);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2301:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2460);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2302:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2446);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2303:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2288);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2117);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2304:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2288);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2305:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2637);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2306:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2664);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2307:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1922);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2308:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2626);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2309:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2290);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2310:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2151);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2641);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2311:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2291);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2312:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2079);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2313:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2243);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2314:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2297);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2315:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2124);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2316:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2585);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2317:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2086);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2318:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2088);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2319:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2089);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2320:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2090);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2321:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2097);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2322:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2103);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2323:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2107);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2324:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2129);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2325:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2111);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2326:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2120);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2327:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2121);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2328:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2123);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2329:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2232);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2510);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2330:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2232);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2510);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2331:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2027,
        'n', 2027,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2332:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2038,
        'n', 2038,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2333:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2037,
        'n', 2037,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2334:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2028,
        'n', 2028,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2335:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2053,
        'n', 2053,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2336:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2054,
        'n', 2054,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2337:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2039,
        'n', 2039,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2338:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2040,
        'n', 2040,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2339:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2041,
        'n', 2041,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2340:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2055,
        'n', 2055,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2341:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2048,
        'n', 2048,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2342:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2050,
        'n', 2050,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2343:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2058,
        'n', 2058,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2344:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2051,
        'n', 2051,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2345:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2044,
        'n', 2044,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2346:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2045,
        'n', 2045,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2347:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2046,
        'n', 2046,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2348:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2047,
        'n', 2047,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2349:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2042,
        'n', 2042,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2350:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2056,
        'n', 2056,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2351:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2049,
        'n', 2049,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2352:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2066,
        'n', 2066,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2353:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2547,
        'l', 2547,
        'N', 2065,
        'n', 2065,
        'Q', 2629,
        'q', 2629,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2354:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2233);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2355:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2562,
        'l', 2562,
        'N', 2043,
        'n', 2043,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2356:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      ADVANCE_MAP(
        'L', 2563,
        'l', 2563,
        'N', 2038,
        'n', 2038,
        'R', 2502,
        'r', 2502,
        'V', 2131,
        'v', 2131,
        'X', 2229,
        'x', 2229,
      );
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2357:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2461);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2358:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2161);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2359:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2160);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2360:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2463);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2361:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2163);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2641);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2362:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2465);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2363:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2362);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2559);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2364:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2362);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2592);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2365:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(2362);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2591);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2366:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1779);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2367:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1834);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2368:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1408);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2369:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1443);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2370:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1856);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2371:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2485);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2372:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2139);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2373:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2452);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2315);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2374:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2466);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2448);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2375:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2466);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2376:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1968);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2377:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2172);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2378:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2140);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2379:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2156);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2380:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2486);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2381:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2164);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2382:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2483);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2383:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2173);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2384:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(2470);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2385:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2550);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2386:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1657);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2387:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1773);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2388:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1530);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2389:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1692);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2390:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1485);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2391:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1629);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2392:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1627);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2393:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1781);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2394:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1601);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2395:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1496);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2396:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1716);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2397:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2021);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2398:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2029);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2399:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2552);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2400:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2017);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2401:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2030);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2402:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2278);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2403:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1984);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2404:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1948);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2405:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2033);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2406:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2281);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2407:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2567);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2408:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2566);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2409:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2540);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2410:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2413);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2411:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2573);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2412:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2574);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1959);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2413:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2130);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2414:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2577);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2192);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2415:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2577);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2416:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1925);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2417:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1926);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2418:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2581);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2419:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2420:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2587);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2421:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2588);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2422:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1939);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2423:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2106);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2424:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2110);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2425:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2357);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2072);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2426:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2357);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2427:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2197);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1920);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2428:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2197);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2429:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2553);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2430:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2010);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2431:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2601);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2432:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2612);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2433:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2013);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2434:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2152);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2435:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2025);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2436:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2568);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2437:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(2381);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2438:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1687);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2439:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2052);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2440:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1690);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2441:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1702);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2442:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2204);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2443:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2554);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2444:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2376);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2445:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2595);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2309);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2446:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2018);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2447:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1996);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2448:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2636);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2449:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2496);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2450:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2451:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2510);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2452:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2388);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2453:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2390);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2454:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2391);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2455:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2392);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2456:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2393);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2457:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2394);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2458:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2501);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2459:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2395);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2460:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1992);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2461:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1993);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2462:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2417);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2463:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1995);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2464:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2026);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2465:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2020);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2466:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2067);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2467:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2380);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2468:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2651);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2469:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2069);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2470:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2071);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2471:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(2024);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2472:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2133);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2473:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2329);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2474:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1674);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2475:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2330);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2476:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2166);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2477:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2451);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2478:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2077);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2479:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1953);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2480:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2481:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2112);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2482:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2119);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2483:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2315);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2484:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2597);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2485:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2319);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2486:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2324);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2487:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(2642);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2488:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2162);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2489:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2159);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2490:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2126);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2491:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2125);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2492:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(2630);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2532);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2493:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1949);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2494:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2196);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2495:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2661);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2496:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1672);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2497:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1593);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2498:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1579);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2499:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1609);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2500:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1641);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2501:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1464);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2502:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2449);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2503:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1947);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2556);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2504:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1947);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2505:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2367);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2506:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2223);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2507:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1951);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2508:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2448);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2509:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2442);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2510:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2576);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2511:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2389);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2512:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1912);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2513:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1967);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2514:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2132);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2515:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2082);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2516:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1917);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2517:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2535);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2518:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2087);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2519:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2594);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2520:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1958);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2521:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2092);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2522:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1944);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2523:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2094);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2524:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2154);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2525:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2101);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2526:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2109);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2527:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2114);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2528:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2115);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2529:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2530:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2416);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2531:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2557);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2532:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2533:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2464);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2534:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2535:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2165);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2536:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2193);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2537:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2468);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2538:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(2274);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2539:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1615);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2540:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1499);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2541:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1489);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2542:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1631);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2543:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1613);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2544:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1752);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2545:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1754);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2546:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2547:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2137);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2548:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2479);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2549:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2539);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2550:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2598);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1956);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2551:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2598);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1957);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2552:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2598);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2220);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2553:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2598);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2224);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2554:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2078);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2555:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2543);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2556:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2080);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2557:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2245);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2558:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2546);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2559:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2226);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2560:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2583);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2561:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2104);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2562:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2113);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2563:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2116);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2564:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2596);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2565:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2447);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2566:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2237);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2567:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2258);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2568:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2263);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2569:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2268);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2570:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2471);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2571:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(2570);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2572:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1685);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2573:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1844);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2574:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1771);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2575:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1766);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2576:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1556);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2577:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1633);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2578:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1738);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2579:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1649);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2580:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1562);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2581:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1583);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2582:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1510);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2583:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1528);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2584:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1749);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2585:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1756);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2586:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1739);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2587:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1459);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2588:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1706);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2589:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1964);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2590:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1879);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2591:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2444);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2592:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2506);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2593:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2073);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2594:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2663);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2595:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2221);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2596:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2507);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2597:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2231);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2598:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1954);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2599:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2254);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2600:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2171);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2601:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1927);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2602:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2242);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2603:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2083);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2604:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1965);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2605:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2093);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2606:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2136);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2607:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2098);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2608:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2138);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2609:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2118);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2610:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2458);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2611:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2644);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2612:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2142);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2613:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2255);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2614:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2143);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2615:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2235);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2616:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2259);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2617:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2144);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2618:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2619:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2146);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2620:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2269);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2621:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2257);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2622:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2261);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2623:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2264);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2624:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(2270);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2625:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1977);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2626:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2064);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2627:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1978);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2628:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1976);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2629:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2222);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2630:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2262);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2631:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2542);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2632:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2531);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2633:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2450);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2634:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2511);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2635:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2316);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2636:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2613);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2637:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2081);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2638:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2517);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2639:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2095);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2640:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2309);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2641:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2158);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2642:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2518);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2643:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2318);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2644:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2523);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2645:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2608);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2646:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2525);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2647:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2322);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2648:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2526);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2649:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2326);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2650:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2327);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2651:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(2616);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2652:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1980);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2653:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2230);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2654:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1959);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2655:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2076);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2656:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1921);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2657:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(2102);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2658:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1603);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2659:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1605);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2660:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2611);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2661:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1795);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2662:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1852);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2663:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1570);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2664:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1507);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2665:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(2480);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2666:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2666);
      END_STATE();
    case 2667:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(2669);
      if (lookahead == '/') ADVANCE(2668);
      if (lookahead == '\\') ADVANCE(2667);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2669);
      END_STATE();
    case 2668:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(2671);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2669);
      END_STATE();
    case 2669:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(2668);
      if (lookahead == '\\') ADVANCE(2667);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2669);
      END_STATE();
    case 2670:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '=') ADVANCE(1390);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    case 2671:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(2671);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 1301, .external_lex_state = 2},
  [2] = {.lex_state = 217, .external_lex_state = 2},
  [3] = {.lex_state = 217, .external_lex_state = 2},
  [4] = {.lex_state = 217, .external_lex_state = 2},
  [5] = {.lex_state = 217, .external_lex_state = 2},
  [6] = {.lex_state = 217, .external_lex_state = 2},
  [7] = {.lex_state = 217, .external_lex_state = 2},
  [8] = {.lex_state = 217, .external_lex_state = 2},
  [9] = {.lex_state = 217, .external_lex_state = 2},
  [10] = {.lex_state = 217, .external_lex_state = 2},
  [11] = {.lex_state = 217, .external_lex_state = 2},
  [12] = {.lex_state = 217, .external_lex_state = 2},
  [13] = {.lex_state = 217, .external_lex_state = 2},
  [14] = {.lex_state = 217, .external_lex_state = 2},
  [15] = {.lex_state = 217, .external_lex_state = 2},
  [16] = {.lex_state = 217, .external_lex_state = 2},
  [17] = {.lex_state = 217, .external_lex_state = 2},
  [18] = {.lex_state = 217, .external_lex_state = 2},
  [19] = {.lex_state = 217, .external_lex_state = 2},
  [20] = {.lex_state = 217, .external_lex_state = 2},
  [21] = {.lex_state = 217, .external_lex_state = 2},
  [22] = {.lex_state = 217, .external_lex_state = 2},
  [23] = {.lex_state = 217, .external_lex_state = 2},
  [24] = {.lex_state = 217, .external_lex_state = 2},
  [25] = {.lex_state = 217, .external_lex_state = 2},
  [26] = {.lex_state = 217, .external_lex_state = 2},
  [27] = {.lex_state = 217, .external_lex_state = 2},
  [28] = {.lex_state = 217, .external_lex_state = 2},
  [29] = {.lex_state = 217, .external_lex_state = 2},
  [30] = {.lex_state = 217, .external_lex_state = 2},
  [31] = {.lex_state = 217, .external_lex_state = 2},
  [32] = {.lex_state = 217, .external_lex_state = 2},
  [33] = {.lex_state = 217, .external_lex_state = 2},
  [34] = {.lex_state = 217, .external_lex_state = 2},
  [35] = {.lex_state = 217, .external_lex_state = 2},
  [36] = {.lex_state = 217, .external_lex_state = 2},
  [37] = {.lex_state = 217, .external_lex_state = 2},
  [38] = {.lex_state = 217, .external_lex_state = 2},
  [39] = {.lex_state = 217, .external_lex_state = 2},
  [40] = {.lex_state = 217, .external_lex_state = 2},
  [41] = {.lex_state = 217, .external_lex_state = 2},
  [42] = {.lex_state = 217, .external_lex_state = 2},
  [43] = {.lex_state = 217, .external_lex_state = 2},
  [44] = {.lex_state = 217, .external_lex_state = 2},
  [45] = {.lex_state = 217, .external_lex_state = 2},
  [46] = {.lex_state = 217, .external_lex_state = 2},
  [47] = {.lex_state = 269, .external_lex_state = 2},
  [48] = {.lex_state = 269, .external_lex_state = 2},
  [49] = {.lex_state = 269, .external_lex_state = 2},
  [50] = {.lex_state = 1301, .external_lex_state = 2},
  [51] = {.lex_state = 1301, .external_lex_state = 2},
  [52] = {.lex_state = 269, .external_lex_state = 2},
  [53] = {.lex_state = 269, .external_lex_state = 2},
  [54] = {.lex_state = 269, .external_lex_state = 2},
  [55] = {.lex_state = 269, .external_lex_state = 2},
  [56] = {.lex_state = 218, .external_lex_state = 2},
  [57] = {.lex_state = 218, .external_lex_state = 2},
  [58] = {.lex_state = 218, .external_lex_state = 2},
  [59] = {.lex_state = 218, .external_lex_state = 2},
  [60] = {.lex_state = 218, .external_lex_state = 2},
  [61] = {.lex_state = 218, .external_lex_state = 2},
  [62] = {.lex_state = 218, .external_lex_state = 2},
  [63] = {.lex_state = 218, .external_lex_state = 2},
  [64] = {.lex_state = 218, .external_lex_state = 2},
  [65] = {.lex_state = 218, .external_lex_state = 2},
  [66] = {.lex_state = 218, .external_lex_state = 2},
  [67] = {.lex_state = 218, .external_lex_state = 2},
  [68] = {.lex_state = 218, .external_lex_state = 2},
  [69] = {.lex_state = 218, .external_lex_state = 2},
  [70] = {.lex_state = 218, .external_lex_state = 2},
  [71] = {.lex_state = 218, .external_lex_state = 2},
  [72] = {.lex_state = 218, .external_lex_state = 2},
  [73] = {.lex_state = 218, .external_lex_state = 2},
  [74] = {.lex_state = 218, .external_lex_state = 2},
  [75] = {.lex_state = 218, .external_lex_state = 2},
  [76] = {.lex_state = 218, .external_lex_state = 2},
  [77] = {.lex_state = 218, .external_lex_state = 2},
  [78] = {.lex_state = 218, .external_lex_state = 2},
  [79] = {.lex_state = 218, .external_lex_state = 2},
  [80] = {.lex_state = 218, .external_lex_state = 2},
  [81] = {.lex_state = 218, .external_lex_state = 2},
  [82] = {.lex_state = 218, .external_lex_state = 2},
  [83] = {.lex_state = 218, .external_lex_state = 2},
  [84] = {.lex_state = 218, .external_lex_state = 2},
  [85] = {.lex_state = 218, .external_lex_state = 2},
  [86] = {.lex_state = 218, .external_lex_state = 2},
  [87] = {.lex_state = 218, .external_lex_state = 2},
  [88] = {.lex_state = 218, .external_lex_state = 2},
  [89] = {.lex_state = 218, .external_lex_state = 2},
  [90] = {.lex_state = 218, .external_lex_state = 2},
  [91] = {.lex_state = 218, .external_lex_state = 2},
  [92] = {.lex_state = 218, .external_lex_state = 2},
  [93] = {.lex_state = 218, .external_lex_state = 2},
  [94] = {.lex_state = 218, .external_lex_state = 2},
  [95] = {.lex_state = 218, .external_lex_state = 2},
  [96] = {.lex_state = 218, .external_lex_state = 2},
  [97] = {.lex_state = 218, .external_lex_state = 2},
  [98] = {.lex_state = 218, .external_lex_state = 2},
  [99] = {.lex_state = 218, .external_lex_state = 2},
  [100] = {.lex_state = 218, .external_lex_state = 2},
  [101] = {.lex_state = 218, .external_lex_state = 2},
  [102] = {.lex_state = 218, .external_lex_state = 2},
  [103] = {.lex_state = 218, .external_lex_state = 2},
  [104] = {.lex_state = 218, .external_lex_state = 2},
  [105] = {.lex_state = 218, .external_lex_state = 2},
  [106] = {.lex_state = 218, .external_lex_state = 2},
  [107] = {.lex_state = 218, .external_lex_state = 2},
  [108] = {.lex_state = 218, .external_lex_state = 2},
  [109] = {.lex_state = 218, .external_lex_state = 2},
  [110] = {.lex_state = 218, .external_lex_state = 2},
  [111] = {.lex_state = 218, .external_lex_state = 2},
  [112] = {.lex_state = 218, .external_lex_state = 2},
  [113] = {.lex_state = 218, .external_lex_state = 2},
  [114] = {.lex_state = 218, .external_lex_state = 2},
  [115] = {.lex_state = 218, .external_lex_state = 2},
  [116] = {.lex_state = 218, .external_lex_state = 2},
  [117] = {.lex_state = 218, .external_lex_state = 2},
  [118] = {.lex_state = 218, .external_lex_state = 2},
  [119] = {.lex_state = 218, .external_lex_state = 2},
  [120] = {.lex_state = 229, .external_lex_state = 2},
  [121] = {.lex_state = 229, .external_lex_state = 2},
  [122] = {.lex_state = 229, .external_lex_state = 2},
  [123] = {.lex_state = 230, .external_lex_state = 2},
  [124] = {.lex_state = 230, .external_lex_state = 2},
  [125] = {.lex_state = 230, .external_lex_state = 2},
  [126] = {.lex_state = 230, .external_lex_state = 2},
  [127] = {.lex_state = 236, .external_lex_state = 2},
  [128] = {.lex_state = 230, .external_lex_state = 2},
  [129] = {.lex_state = 236, .external_lex_state = 2},
  [130] = {.lex_state = 229, .external_lex_state = 2},
  [131] = {.lex_state = 236, .external_lex_state = 2},
  [132] = {.lex_state = 229, .external_lex_state = 2},
  [133] = {.lex_state = 236, .external_lex_state = 2},
  [134] = {.lex_state = 236, .external_lex_state = 2},
  [135] = {.lex_state = 229, .external_lex_state = 2},
  [136] = {.lex_state = 236, .external_lex_state = 2},
  [137] = {.lex_state = 229, .external_lex_state = 2},
  [138] = {.lex_state = 236, .external_lex_state = 2},
  [139] = {.lex_state = 230, .external_lex_state = 2},
  [140] = {.lex_state = 230, .external_lex_state = 2},
  [141] = {.lex_state = 236, .external_lex_state = 2},
  [142] = {.lex_state = 236, .external_lex_state = 2},
  [143] = {.lex_state = 229, .external_lex_state = 2},
  [144] = {.lex_state = 229, .external_lex_state = 2},
  [145] = {.lex_state = 236, .external_lex_state = 2},
  [146] = {.lex_state = 229, .external_lex_state = 2},
  [147] = {.lex_state = 229, .external_lex_state = 2},
  [148] = {.lex_state = 230, .external_lex_state = 2},
  [149] = {.lex_state = 236, .external_lex_state = 2},
  [150] = {.lex_state = 230, .external_lex_state = 2},
  [151] = {.lex_state = 236, .external_lex_state = 2},
  [152] = {.lex_state = 229, .external_lex_state = 2},
  [153] = {.lex_state = 236, .external_lex_state = 2},
  [154] = {.lex_state = 229, .external_lex_state = 2},
  [155] = {.lex_state = 230, .external_lex_state = 2},
  [156] = {.lex_state = 230, .external_lex_state = 2},
  [157] = {.lex_state = 236, .external_lex_state = 2},
  [158] = {.lex_state = 229, .external_lex_state = 2},
  [159] = {.lex_state = 236, .external_lex_state = 2},
  [160] = {.lex_state = 229, .external_lex_state = 2},
  [161] = {.lex_state = 230, .external_lex_state = 2},
  [162] = {.lex_state = 230, .external_lex_state = 2},
  [163] = {.lex_state = 236, .external_lex_state = 2},
  [164] = {.lex_state = 229, .external_lex_state = 2},
  [165] = {.lex_state = 236, .external_lex_state = 2},
  [166] = {.lex_state = 229, .external_lex_state = 2},
  [167] = {.lex_state = 230, .external_lex_state = 2},
  [168] = {.lex_state = 230, .external_lex_state = 2},
  [169] = {.lex_state = 236, .external_lex_state = 2},
  [170] = {.lex_state = 229, .external_lex_state = 2},
  [171] = {.lex_state = 236, .external_lex_state = 2},
  [172] = {.lex_state = 229, .external_lex_state = 2},
  [173] = {.lex_state = 236, .external_lex_state = 2},
  [174] = {.lex_state = 229, .external_lex_state = 2},
  [175] = {.lex_state = 236, .external_lex_state = 2},
  [176] = {.lex_state = 229, .external_lex_state = 2},
  [177] = {.lex_state = 236, .external_lex_state = 2},
  [178] = {.lex_state = 229, .external_lex_state = 2},
  [179] = {.lex_state = 236, .external_lex_state = 2},
  [180] = {.lex_state = 229, .external_lex_state = 2},
  [181] = {.lex_state = 236, .external_lex_state = 2},
  [182] = {.lex_state = 229, .external_lex_state = 2},
  [183] = {.lex_state = 236, .external_lex_state = 2},
  [184] = {.lex_state = 229, .external_lex_state = 2},
  [185] = {.lex_state = 236, .external_lex_state = 2},
  [186] = {.lex_state = 229, .external_lex_state = 2},
  [187] = {.lex_state = 230, .external_lex_state = 2},
  [188] = {.lex_state = 248, .external_lex_state = 2},
  [189] = {.lex_state = 248, .external_lex_state = 2},
  [190] = {.lex_state = 248, .external_lex_state = 2},
  [191] = {.lex_state = 248, .external_lex_state = 2},
  [192] = {.lex_state = 248, .external_lex_state = 2},
  [193] = {.lex_state = 248, .external_lex_state = 2},
  [194] = {.lex_state = 248, .external_lex_state = 2},
  [195] = {.lex_state = 248, .external_lex_state = 2},
  [196] = {.lex_state = 248, .external_lex_state = 2},
  [197] = {.lex_state = 270, .external_lex_state = 2},
  [198] = {.lex_state = 270, .external_lex_state = 2},
  [199] = {.lex_state = 270, .external_lex_state = 2},
  [200] = {.lex_state = 270, .external_lex_state = 2},
  [201] = {.lex_state = 270, .external_lex_state = 2},
  [202] = {.lex_state = 270, .external_lex_state = 2},
  [203] = {.lex_state = 270, .external_lex_state = 2},
  [204] = {.lex_state = 270, .external_lex_state = 2},
  [205] = {.lex_state = 249, .external_lex_state = 2},
  [206] = {.lex_state = 249, .external_lex_state = 2},
  [207] = {.lex_state = 249, .external_lex_state = 2},
  [208] = {.lex_state = 249, .external_lex_state = 2},
  [209] = {.lex_state = 219, .external_lex_state = 2},
  [210] = {.lex_state = 219, .external_lex_state = 2},
  [211] = {.lex_state = 219, .external_lex_state = 2},
  [212] = {.lex_state = 219, .external_lex_state = 2},
  [213] = {.lex_state = 219, .external_lex_state = 2},
  [214] = {.lex_state = 219, .external_lex_state = 2},
  [215] = {.lex_state = 219, .external_lex_state = 2},
  [216] = {.lex_state = 219, .external_lex_state = 2},
  [217] = {.lex_state = 219, .external_lex_state = 2},
  [218] = {.lex_state = 219, .external_lex_state = 2},
  [219] = {.lex_state = 219, .external_lex_state = 2},
  [220] = {.lex_state = 219, .external_lex_state = 2},
  [221] = {.lex_state = 219, .external_lex_state = 2},
  [222] = {.lex_state = 219, .external_lex_state = 2},
  [223] = {.lex_state = 219, .external_lex_state = 2},
  [224] = {.lex_state = 219, .external_lex_state = 2},
  [225] = {.lex_state = 221, .external_lex_state = 2},
  [226] = {.lex_state = 221, .external_lex_state = 2},
  [227] = {.lex_state = 221, .external_lex_state = 2},
  [228] = {.lex_state = 221, .external_lex_state = 2},
  [229] = {.lex_state = 221, .external_lex_state = 2},
  [230] = {.lex_state = 221, .external_lex_state = 2},
  [231] = {.lex_state = 221, .external_lex_state = 2},
  [232] = {.lex_state = 221, .external_lex_state = 2},
  [233] = {.lex_state = 221, .external_lex_state = 2},
  [234] = {.lex_state = 221, .external_lex_state = 2},
  [235] = {.lex_state = 221, .external_lex_state = 2},
  [236] = {.lex_state = 221, .external_lex_state = 2},
  [237] = {.lex_state = 221, .external_lex_state = 2},
  [238] = {.lex_state = 221, .external_lex_state = 2},
  [239] = {.lex_state = 221, .external_lex_state = 2},
  [240] = {.lex_state = 221, .external_lex_state = 2},
  [241] = {.lex_state = 219, .external_lex_state = 2},
  [242] = {.lex_state = 219, .external_lex_state = 2},
  [243] = {.lex_state = 219, .external_lex_state = 2},
  [244] = {.lex_state = 219, .external_lex_state = 2},
  [245] = {.lex_state = 219, .external_lex_state = 2},
  [246] = {.lex_state = 219, .external_lex_state = 2},
  [247] = {.lex_state = 219, .external_lex_state = 2},
  [248] = {.lex_state = 219, .external_lex_state = 2},
  [249] = {.lex_state = 219, .external_lex_state = 2},
  [250] = {.lex_state = 219, .external_lex_state = 2},
  [251] = {.lex_state = 219, .external_lex_state = 2},
  [252] = {.lex_state = 219, .external_lex_state = 2},
  [253] = {.lex_state = 219, .external_lex_state = 2},
  [254] = {.lex_state = 219, .external_lex_state = 2},
  [255] = {.lex_state = 219, .external_lex_state = 2},
  [256] = {.lex_state = 219, .external_lex_state = 2},
  [257] = {.lex_state = 219, .external_lex_state = 2},
  [258] = {.lex_state = 219, .external_lex_state = 2},
  [259] = {.lex_state = 219, .external_lex_state = 2},
  [260] = {.lex_state = 219, .external_lex_state = 2},
  [261] = {.lex_state = 219, .external_lex_state = 2},
  [262] = {.lex_state = 219, .external_lex_state = 2},
  [263] = {.lex_state = 219, .external_lex_state = 2},
  [264] = {.lex_state = 219, .external_lex_state = 2},
  [265] = {.lex_state = 219, .external_lex_state = 2},
  [266] = {.lex_state = 219, .external_lex_state = 2},
  [267] = {.lex_state = 219, .external_lex_state = 2},
  [268] = {.lex_state = 219, .external_lex_state = 2},
  [269] = {.lex_state = 219, .external_lex_state = 2},
  [270] = {.lex_state = 219, .external_lex_state = 2},
  [271] = {.lex_state = 219, .external_lex_state = 2},
  [272] = {.lex_state = 219, .external_lex_state = 2},
  [273] = {.lex_state = 219, .external_lex_state = 2},
  [274] = {.lex_state = 219, .external_lex_state = 2},
  [275] = {.lex_state = 219, .external_lex_state = 2},
  [276] = {.lex_state = 219, .external_lex_state = 2},
  [277] = {.lex_state = 219, .external_lex_state = 2},
  [278] = {.lex_state = 219, .external_lex_state = 2},
  [279] = {.lex_state = 219, .external_lex_state = 2},
  [280] = {.lex_state = 219, .external_lex_state = 2},
  [281] = {.lex_state = 219, .external_lex_state = 2},
  [282] = {.lex_state = 219, .external_lex_state = 2},
  [283] = {.lex_state = 219, .external_lex_state = 2},
  [284] = {.lex_state = 219, .external_lex_state = 2},
  [285] = {.lex_state = 219, .external_lex_state = 2},
  [286] = {.lex_state = 219, .external_lex_state = 2},
  [287] = {.lex_state = 219, .external_lex_state = 2},
  [288] = {.lex_state = 219, .external_lex_state = 2},
  [289] = {.lex_state = 219, .external_lex_state = 2},
  [290] = {.lex_state = 219, .external_lex_state = 2},
  [291] = {.lex_state = 219, .external_lex_state = 2},
  [292] = {.lex_state = 219, .external_lex_state = 2},
  [293] = {.lex_state = 219, .external_lex_state = 2},
  [294] = {.lex_state = 219, .external_lex_state = 2},
  [295] = {.lex_state = 219, .external_lex_state = 2},
  [296] = {.lex_state = 219, .external_lex_state = 2},
  [297] = {.lex_state = 219, .external_lex_state = 2},
  [298] = {.lex_state = 219, .external_lex_state = 2},
  [299] = {.lex_state = 219, .external_lex_state = 2},
  [300] = {.lex_state = 219, .external_lex_state = 2},
  [301] = {.lex_state = 219, .external_lex_state = 2},
  [302] = {.lex_state = 219, .external_lex_state = 2},
  [303] = {.lex_state = 219, .external_lex_state = 2},
  [304] = {.lex_state = 219, .external_lex_state = 2},
  [305] = {.lex_state = 219, .external_lex_state = 2},
  [306] = {.lex_state = 219, .external_lex_state = 2},
  [307] = {.lex_state = 219, .external_lex_state = 2},
  [308] = {.lex_state = 219, .external_lex_state = 2},
  [309] = {.lex_state = 219, .external_lex_state = 2},
  [310] = {.lex_state = 219, .external_lex_state = 2},
  [311] = {.lex_state = 219, .external_lex_state = 2},
  [312] = {.lex_state = 219, .external_lex_state = 2},
  [313] = {.lex_state = 219, .external_lex_state = 2},
  [314] = {.lex_state = 219, .external_lex_state = 2},
  [315] = {.lex_state = 219, .external_lex_state = 2},
  [316] = {.lex_state = 219, .external_lex_state = 2},
  [317] = {.lex_state = 219, .external_lex_state = 2},
  [318] = {.lex_state = 219, .external_lex_state = 2},
  [319] = {.lex_state = 219, .external_lex_state = 2},
  [320] = {.lex_state = 219, .external_lex_state = 2},
  [321] = {.lex_state = 219, .external_lex_state = 2},
  [322] = {.lex_state = 219, .external_lex_state = 2},
  [323] = {.lex_state = 219, .external_lex_state = 2},
  [324] = {.lex_state = 219, .external_lex_state = 2},
  [325] = {.lex_state = 219, .external_lex_state = 2},
  [326] = {.lex_state = 219, .external_lex_state = 2},
  [327] = {.lex_state = 219, .external_lex_state = 2},
  [328] = {.lex_state = 219, .external_lex_state = 2},
  [329] = {.lex_state = 219, .external_lex_state = 2},
  [330] = {.lex_state = 219, .external_lex_state = 2},
  [331] = {.lex_state = 219, .external_lex_state = 2},
  [332] = {.lex_state = 219, .external_lex_state = 2},
  [333] = {.lex_state = 219, .external_lex_state = 2},
  [334] = {.lex_state = 219, .external_lex_state = 2},
  [335] = {.lex_state = 219, .external_lex_state = 2},
  [336] = {.lex_state = 219, .external_lex_state = 2},
  [337] = {.lex_state = 219, .external_lex_state = 2},
  [338] = {.lex_state = 219, .external_lex_state = 2},
  [339] = {.lex_state = 219, .external_lex_state = 2},
  [340] = {.lex_state = 219, .external_lex_state = 2},
  [341] = {.lex_state = 219, .external_lex_state = 2},
  [342] = {.lex_state = 219, .external_lex_state = 2},
  [343] = {.lex_state = 219, .external_lex_state = 2},
  [344] = {.lex_state = 219, .external_lex_state = 2},
  [345] = {.lex_state = 219, .external_lex_state = 2},
  [346] = {.lex_state = 219, .external_lex_state = 2},
  [347] = {.lex_state = 219, .external_lex_state = 2},
  [348] = {.lex_state = 219, .external_lex_state = 2},
  [349] = {.lex_state = 219, .external_lex_state = 2},
  [350] = {.lex_state = 219, .external_lex_state = 2},
  [351] = {.lex_state = 219, .external_lex_state = 2},
  [352] = {.lex_state = 219, .external_lex_state = 2},
  [353] = {.lex_state = 219, .external_lex_state = 2},
  [354] = {.lex_state = 219, .external_lex_state = 2},
  [355] = {.lex_state = 219, .external_lex_state = 2},
  [356] = {.lex_state = 219, .external_lex_state = 2},
  [357] = {.lex_state = 219, .external_lex_state = 2},
  [358] = {.lex_state = 219, .external_lex_state = 2},
  [359] = {.lex_state = 219, .external_lex_state = 2},
  [360] = {.lex_state = 219, .external_lex_state = 2},
  [361] = {.lex_state = 219, .external_lex_state = 2},
  [362] = {.lex_state = 219, .external_lex_state = 2},
  [363] = {.lex_state = 219, .external_lex_state = 2},
  [364] = {.lex_state = 219, .external_lex_state = 2},
  [365] = {.lex_state = 219, .external_lex_state = 2},
  [366] = {.lex_state = 219, .external_lex_state = 2},
  [367] = {.lex_state = 219, .external_lex_state = 2},
  [368] = {.lex_state = 219, .external_lex_state = 2},
  [369] = {.lex_state = 219, .external_lex_state = 2},
  [370] = {.lex_state = 219, .external_lex_state = 2},
  [371] = {.lex_state = 219, .external_lex_state = 2},
  [372] = {.lex_state = 219, .external_lex_state = 2},
  [373] = {.lex_state = 219, .external_lex_state = 2},
  [374] = {.lex_state = 219, .external_lex_state = 2},
  [375] = {.lex_state = 219, .external_lex_state = 2},
  [376] = {.lex_state = 219, .external_lex_state = 2},
  [377] = {.lex_state = 219, .external_lex_state = 2},
  [378] = {.lex_state = 219, .external_lex_state = 2},
  [379] = {.lex_state = 219, .external_lex_state = 2},
  [380] = {.lex_state = 219, .external_lex_state = 2},
  [381] = {.lex_state = 219, .external_lex_state = 2},
  [382] = {.lex_state = 219, .external_lex_state = 2},
  [383] = {.lex_state = 219, .external_lex_state = 2},
  [384] = {.lex_state = 219, .external_lex_state = 2},
  [385] = {.lex_state = 219, .external_lex_state = 2},
  [386] = {.lex_state = 219, .external_lex_state = 2},
  [387] = {.lex_state = 219, .external_lex_state = 2},
  [388] = {.lex_state = 219, .external_lex_state = 2},
  [389] = {.lex_state = 219, .external_lex_state = 2},
  [390] = {.lex_state = 219, .external_lex_state = 2},
  [391] = {.lex_state = 219, .external_lex_state = 2},
  [392] = {.lex_state = 219, .external_lex_state = 2},
  [393] = {.lex_state = 219, .external_lex_state = 2},
  [394] = {.lex_state = 219, .external_lex_state = 2},
  [395] = {.lex_state = 219, .external_lex_state = 2},
  [396] = {.lex_state = 219, .external_lex_state = 2},
  [397] = {.lex_state = 219, .external_lex_state = 2},
  [398] = {.lex_state = 219, .external_lex_state = 2},
  [399] = {.lex_state = 219, .external_lex_state = 2},
  [400] = {.lex_state = 219, .external_lex_state = 2},
  [401] = {.lex_state = 219, .external_lex_state = 2},
  [402] = {.lex_state = 219, .external_lex_state = 2},
  [403] = {.lex_state = 219, .external_lex_state = 2},
  [404] = {.lex_state = 219, .external_lex_state = 2},
  [405] = {.lex_state = 219, .external_lex_state = 2},
  [406] = {.lex_state = 219, .external_lex_state = 2},
  [407] = {.lex_state = 219, .external_lex_state = 2},
  [408] = {.lex_state = 219, .external_lex_state = 2},
  [409] = {.lex_state = 219, .external_lex_state = 2},
  [410] = {.lex_state = 219, .external_lex_state = 2},
  [411] = {.lex_state = 219, .external_lex_state = 2},
  [412] = {.lex_state = 219, .external_lex_state = 2},
  [413] = {.lex_state = 219, .external_lex_state = 2},
  [414] = {.lex_state = 219, .external_lex_state = 2},
  [415] = {.lex_state = 219, .external_lex_state = 2},
  [416] = {.lex_state = 219, .external_lex_state = 2},
  [417] = {.lex_state = 219, .external_lex_state = 2},
  [418] = {.lex_state = 219, .external_lex_state = 2},
  [419] = {.lex_state = 219, .external_lex_state = 2},
  [420] = {.lex_state = 219, .external_lex_state = 2},
  [421] = {.lex_state = 219, .external_lex_state = 2},
  [422] = {.lex_state = 219, .external_lex_state = 2},
  [423] = {.lex_state = 219, .external_lex_state = 2},
  [424] = {.lex_state = 219, .external_lex_state = 2},
  [425] = {.lex_state = 219, .external_lex_state = 2},
  [426] = {.lex_state = 219, .external_lex_state = 2},
  [427] = {.lex_state = 219, .external_lex_state = 2},
  [428] = {.lex_state = 219, .external_lex_state = 2},
  [429] = {.lex_state = 219, .external_lex_state = 2},
  [430] = {.lex_state = 219, .external_lex_state = 2},
  [431] = {.lex_state = 219, .external_lex_state = 2},
  [432] = {.lex_state = 219, .external_lex_state = 2},
  [433] = {.lex_state = 219, .external_lex_state = 2},
  [434] = {.lex_state = 219, .external_lex_state = 2},
  [435] = {.lex_state = 219, .external_lex_state = 2},
  [436] = {.lex_state = 219, .external_lex_state = 2},
  [437] = {.lex_state = 219, .external_lex_state = 2},
  [438] = {.lex_state = 219, .external_lex_state = 2},
  [439] = {.lex_state = 219, .external_lex_state = 2},
  [440] = {.lex_state = 219, .external_lex_state = 2},
  [441] = {.lex_state = 219, .external_lex_state = 2},
  [442] = {.lex_state = 219, .external_lex_state = 2},
  [443] = {.lex_state = 219, .external_lex_state = 2},
  [444] = {.lex_state = 219, .external_lex_state = 2},
  [445] = {.lex_state = 219, .external_lex_state = 2},
  [446] = {.lex_state = 219, .external_lex_state = 2},
  [447] = {.lex_state = 219, .external_lex_state = 2},
  [448] = {.lex_state = 219, .external_lex_state = 2},
  [449] = {.lex_state = 219, .external_lex_state = 2},
  [450] = {.lex_state = 219, .external_lex_state = 2},
  [451] = {.lex_state = 219, .external_lex_state = 2},
  [452] = {.lex_state = 219, .external_lex_state = 2},
  [453] = {.lex_state = 219, .external_lex_state = 2},
  [454] = {.lex_state = 219, .external_lex_state = 2},
  [455] = {.lex_state = 219, .external_lex_state = 2},
  [456] = {.lex_state = 219, .external_lex_state = 2},
  [457] = {.lex_state = 219, .external_lex_state = 2},
  [458] = {.lex_state = 219, .external_lex_state = 2},
  [459] = {.lex_state = 219, .external_lex_state = 2},
  [460] = {.lex_state = 219, .external_lex_state = 2},
  [461] = {.lex_state = 219, .external_lex_state = 2},
  [462] = {.lex_state = 219, .external_lex_state = 2},
  [463] = {.lex_state = 219, .external_lex_state = 2},
  [464] = {.lex_state = 219, .external_lex_state = 2},
  [465] = {.lex_state = 219, .external_lex_state = 2},
  [466] = {.lex_state = 219, .external_lex_state = 2},
  [467] = {.lex_state = 219, .external_lex_state = 2},
  [468] = {.lex_state = 219, .external_lex_state = 2},
  [469] = {.lex_state = 219, .external_lex_state = 2},
  [470] = {.lex_state = 219, .external_lex_state = 2},
  [471] = {.lex_state = 219, .external_lex_state = 2},
  [472] = {.lex_state = 231, .external_lex_state = 2},
  [473] = {.lex_state = 237, .external_lex_state = 2},
  [474] = {.lex_state = 237, .external_lex_state = 2},
  [475] = {.lex_state = 231, .external_lex_state = 2},
  [476] = {.lex_state = 237, .external_lex_state = 2},
  [477] = {.lex_state = 240, .external_lex_state = 2},
  [478] = {.lex_state = 231, .external_lex_state = 2},
  [479] = {.lex_state = 231, .external_lex_state = 2},
  [480] = {.lex_state = 240, .external_lex_state = 2},
  [481] = {.lex_state = 237, .external_lex_state = 2},
  [482] = {.lex_state = 231, .external_lex_state = 2},
  [483] = {.lex_state = 237, .external_lex_state = 2},
  [484] = {.lex_state = 231, .external_lex_state = 2},
  [485] = {.lex_state = 240, .external_lex_state = 2},
  [486] = {.lex_state = 240, .external_lex_state = 2},
  [487] = {.lex_state = 237, .external_lex_state = 2},
  [488] = {.lex_state = 231, .external_lex_state = 2},
  [489] = {.lex_state = 237, .external_lex_state = 2},
  [490] = {.lex_state = 231, .external_lex_state = 2},
  [491] = {.lex_state = 240, .external_lex_state = 2},
  [492] = {.lex_state = 240, .external_lex_state = 2},
  [493] = {.lex_state = 237, .external_lex_state = 2},
  [494] = {.lex_state = 231, .external_lex_state = 2},
  [495] = {.lex_state = 237, .external_lex_state = 2},
  [496] = {.lex_state = 231, .external_lex_state = 2},
  [497] = {.lex_state = 240, .external_lex_state = 2},
  [498] = {.lex_state = 240, .external_lex_state = 2},
  [499] = {.lex_state = 237, .external_lex_state = 2},
  [500] = {.lex_state = 231, .external_lex_state = 2},
  [501] = {.lex_state = 237, .external_lex_state = 2},
  [502] = {.lex_state = 231, .external_lex_state = 2},
  [503] = {.lex_state = 240, .external_lex_state = 2},
  [504] = {.lex_state = 240, .external_lex_state = 2},
  [505] = {.lex_state = 240, .external_lex_state = 2},
  [506] = {.lex_state = 237, .external_lex_state = 2},
  [507] = {.lex_state = 231, .external_lex_state = 2},
  [508] = {.lex_state = 231, .external_lex_state = 2},
  [509] = {.lex_state = 231, .external_lex_state = 2},
  [510] = {.lex_state = 240, .external_lex_state = 2},
  [511] = {.lex_state = 240, .external_lex_state = 2},
  [512] = {.lex_state = 237, .external_lex_state = 2},
  [513] = {.lex_state = 231, .external_lex_state = 2},
  [514] = {.lex_state = 237, .external_lex_state = 2},
  [515] = {.lex_state = 231, .external_lex_state = 2},
  [516] = {.lex_state = 237, .external_lex_state = 2},
  [517] = {.lex_state = 231, .external_lex_state = 2},
  [518] = {.lex_state = 237, .external_lex_state = 2},
  [519] = {.lex_state = 231, .external_lex_state = 2},
  [520] = {.lex_state = 237, .external_lex_state = 2},
  [521] = {.lex_state = 231, .external_lex_state = 2},
  [522] = {.lex_state = 237, .external_lex_state = 2},
  [523] = {.lex_state = 231, .external_lex_state = 2},
  [524] = {.lex_state = 221, .external_lex_state = 2},
  [525] = {.lex_state = 237, .external_lex_state = 2},
  [526] = {.lex_state = 237, .external_lex_state = 2},
  [527] = {.lex_state = 231, .external_lex_state = 2},
  [528] = {.lex_state = 237, .external_lex_state = 2},
  [529] = {.lex_state = 231, .external_lex_state = 2},
  [530] = {.lex_state = 231, .external_lex_state = 2},
  [531] = {.lex_state = 237, .external_lex_state = 2},
  [532] = {.lex_state = 231, .external_lex_state = 2},
  [533] = {.lex_state = 240, .external_lex_state = 2},
  [534] = {.lex_state = 240, .external_lex_state = 2},
  [535] = {.lex_state = 237, .external_lex_state = 2},
  [536] = {.lex_state = 240, .external_lex_state = 2},
  [537] = {.lex_state = 237, .external_lex_state = 2},
  [538] = {.lex_state = 231, .external_lex_state = 2},
  [539] = {.lex_state = 237, .external_lex_state = 2},
  [540] = {.lex_state = 237, .external_lex_state = 2},
  [541] = {.lex_state = 232, .external_lex_state = 2},
  [542] = {.lex_state = 232, .external_lex_state = 2},
  [543] = {.lex_state = 232, .external_lex_state = 2},
  [544] = {.lex_state = 232, .external_lex_state = 2},
  [545] = {.lex_state = 232, .external_lex_state = 2},
  [546] = {.lex_state = 232, .external_lex_state = 2},
  [547] = {.lex_state = 232, .external_lex_state = 2},
  [548] = {.lex_state = 234, .external_lex_state = 2},
  [549] = {.lex_state = 232, .external_lex_state = 2},
  [550] = {.lex_state = 232, .external_lex_state = 2},
  [551] = {.lex_state = 232, .external_lex_state = 2},
  [552] = {.lex_state = 232, .external_lex_state = 2},
  [553] = {.lex_state = 234, .external_lex_state = 2},
  [554] = {.lex_state = 232, .external_lex_state = 2},
  [555] = {.lex_state = 232, .external_lex_state = 2},
  [556] = {.lex_state = 234, .external_lex_state = 2},
  [557] = {.lex_state = 232, .external_lex_state = 2},
  [558] = {.lex_state = 232, .external_lex_state = 2},
  [559] = {.lex_state = 232, .external_lex_state = 2},
  [560] = {.lex_state = 271, .external_lex_state = 2},
  [561] = {.lex_state = 219, .external_lex_state = 2},
  [562] = {.lex_state = 271, .external_lex_state = 2},
  [563] = {.lex_state = 232, .external_lex_state = 2},
  [564] = {.lex_state = 232, .external_lex_state = 2},
  [565] = {.lex_state = 232, .external_lex_state = 2},
  [566] = {.lex_state = 232, .external_lex_state = 2},
  [567] = {.lex_state = 234, .external_lex_state = 2},
  [568] = {.lex_state = 232, .external_lex_state = 2},
  [569] = {.lex_state = 222, .external_lex_state = 2},
  [570] = {.lex_state = 222, .external_lex_state = 2},
  [571] = {.lex_state = 235, .external_lex_state = 2},
  [572] = {.lex_state = 242, .external_lex_state = 2},
  [573] = {.lex_state = 222, .external_lex_state = 2},
  [574] = {.lex_state = 222, .external_lex_state = 2},
  [575] = {.lex_state = 242, .external_lex_state = 2},
  [576] = {.lex_state = 222, .external_lex_state = 2},
  [577] = {.lex_state = 242, .external_lex_state = 2},
  [578] = {.lex_state = 222, .external_lex_state = 2},
  [579] = {.lex_state = 273, .external_lex_state = 2},
  [580] = {.lex_state = 222, .external_lex_state = 2},
  [581] = {.lex_state = 222, .external_lex_state = 2},
  [582] = {.lex_state = 222, .external_lex_state = 2},
  [583] = {.lex_state = 235, .external_lex_state = 2},
  [584] = {.lex_state = 235, .external_lex_state = 2},
  [585] = {.lex_state = 222, .external_lex_state = 2},
  [586] = {.lex_state = 222, .external_lex_state = 2},
  [587] = {.lex_state = 242, .external_lex_state = 2},
  [588] = {.lex_state = 222, .external_lex_state = 2},
  [589] = {.lex_state = 222, .external_lex_state = 2},
  [590] = {.lex_state = 222, .external_lex_state = 2},
  [591] = {.lex_state = 222, .external_lex_state = 2},
  [592] = {.lex_state = 235, .external_lex_state = 2},
  [593] = {.lex_state = 222, .external_lex_state = 2},
  [594] = {.lex_state = 222, .external_lex_state = 2},
  [595] = {.lex_state = 222, .external_lex_state = 2},
  [596] = {.lex_state = 242, .external_lex_state = 2},
  [597] = {.lex_state = 222, .external_lex_state = 2},
  [598] = {.lex_state = 222, .external_lex_state = 2},
  [599] = {.lex_state = 222, .external_lex_state = 2},
  [600] = {.lex_state = 222, .external_lex_state = 2},
  [601] = {.lex_state = 222, .external_lex_state = 2},
  [602] = {.lex_state = 222, .external_lex_state = 2},
  [603] = {.lex_state = 222, .external_lex_state = 2},
  [604] = {.lex_state = 222, .external_lex_state = 2},
  [605] = {.lex_state = 222, .external_lex_state = 2},
  [606] = {.lex_state = 222, .external_lex_state = 2},
  [607] = {.lex_state = 222, .external_lex_state = 2},
  [608] = {.lex_state = 222, .external_lex_state = 2},
  [609] = {.lex_state = 242, .external_lex_state = 2},
  [610] = {.lex_state = 273, .external_lex_state = 2},
  [611] = {.lex_state = 222, .external_lex_state = 2},
  [612] = {.lex_state = 222, .external_lex_state = 2},
  [613] = {.lex_state = 222, .external_lex_state = 2},
  [614] = {.lex_state = 242, .external_lex_state = 2},
  [615] = {.lex_state = 242, .external_lex_state = 2},
  [616] = {.lex_state = 235, .external_lex_state = 2},
  [617] = {.lex_state = 222, .external_lex_state = 2},
  [618] = {.lex_state = 222, .external_lex_state = 2},
  [619] = {.lex_state = 235, .external_lex_state = 2},
  [620] = {.lex_state = 242, .external_lex_state = 2},
  [621] = {.lex_state = 222, .external_lex_state = 2},
  [622] = {.lex_state = 222, .external_lex_state = 2},
  [623] = {.lex_state = 273, .external_lex_state = 2},
  [624] = {.lex_state = 273, .external_lex_state = 2},
  [625] = {.lex_state = 273, .external_lex_state = 2},
  [626] = {.lex_state = 240, .external_lex_state = 2},
  [627] = {.lex_state = 273, .external_lex_state = 2},
  [628] = {.lex_state = 273, .external_lex_state = 2},
  [629] = {.lex_state = 273, .external_lex_state = 2},
  [630] = {.lex_state = 218, .external_lex_state = 2},
  [631] = {.lex_state = 231, .external_lex_state = 2},
  [632] = {.lex_state = 273, .external_lex_state = 2},
  [633] = {.lex_state = 237, .external_lex_state = 2},
  [634] = {.lex_state = 273, .external_lex_state = 2},
  [635] = {.lex_state = 273, .external_lex_state = 2},
  [636] = {.lex_state = 273, .external_lex_state = 2},
  [637] = {.lex_state = 273, .external_lex_state = 2},
  [638] = {.lex_state = 273, .external_lex_state = 2},
  [639] = {.lex_state = 273, .external_lex_state = 2},
  [640] = {.lex_state = 234, .external_lex_state = 2},
  [641] = {.lex_state = 234, .external_lex_state = 2},
  [642] = {.lex_state = 234, .external_lex_state = 2},
  [643] = {.lex_state = 271, .external_lex_state = 2},
  [644] = {.lex_state = 234, .external_lex_state = 2},
  [645] = {.lex_state = 234, .external_lex_state = 2},
  [646] = {.lex_state = 234, .external_lex_state = 2},
  [647] = {.lex_state = 234, .external_lex_state = 2},
  [648] = {.lex_state = 234, .external_lex_state = 2},
  [649] = {.lex_state = 234, .external_lex_state = 2},
  [650] = {.lex_state = 234, .external_lex_state = 2},
  [651] = {.lex_state = 234, .external_lex_state = 2},
  [652] = {.lex_state = 234, .external_lex_state = 2},
  [653] = {.lex_state = 234, .external_lex_state = 2},
  [654] = {.lex_state = 233, .external_lex_state = 2},
  [655] = {.lex_state = 233, .external_lex_state = 2},
  [656] = {.lex_state = 238, .external_lex_state = 2},
  [657] = {.lex_state = 242, .external_lex_state = 2},
  [658] = {.lex_state = 241, .external_lex_state = 2},
  [659] = {.lex_state = 243, .external_lex_state = 2},
  [660] = {.lex_state = 236, .external_lex_state = 2},
  [661] = {.lex_state = 233, .external_lex_state = 2},
  [662] = {.lex_state = 244, .external_lex_state = 2},
  [663] = {.lex_state = 243, .external_lex_state = 2},
  [664] = {.lex_state = 238, .external_lex_state = 2},
  [665] = {.lex_state = 245, .external_lex_state = 2},
  [666] = {.lex_state = 241, .external_lex_state = 2},
  [667] = {.lex_state = 245, .external_lex_state = 2},
  [668] = {.lex_state = 243, .external_lex_state = 2},
  [669] = {.lex_state = 233, .external_lex_state = 2},
  [670] = {.lex_state = 244, .external_lex_state = 2},
  [671] = {.lex_state = 248, .external_lex_state = 2},
  [672] = {.lex_state = 246, .external_lex_state = 2},
  [673] = {.lex_state = 246, .external_lex_state = 2},
  [674] = {.lex_state = 238, .external_lex_state = 2},
  [675] = {.lex_state = 273, .external_lex_state = 2},
  [676] = {.lex_state = 244, .external_lex_state = 2},
  [677] = {.lex_state = 229, .external_lex_state = 2},
  [678] = {.lex_state = 244, .external_lex_state = 2},
  [679] = {.lex_state = 233, .external_lex_state = 2},
  [680] = {.lex_state = 241, .external_lex_state = 2},
  [681] = {.lex_state = 241, .external_lex_state = 2},
  [682] = {.lex_state = 241, .external_lex_state = 2},
  [683] = {.lex_state = 243, .external_lex_state = 2},
  [684] = {.lex_state = 243, .external_lex_state = 2},
  [685] = {.lex_state = 238, .external_lex_state = 2},
  [686] = {.lex_state = 233, .external_lex_state = 2},
  [687] = {.lex_state = 243, .external_lex_state = 2},
  [688] = {.lex_state = 244, .external_lex_state = 2},
  [689] = {.lex_state = 233, .external_lex_state = 2},
  [690] = {.lex_state = 244, .external_lex_state = 2},
  [691] = {.lex_state = 245, .external_lex_state = 2},
  [692] = {.lex_state = 233, .external_lex_state = 2},
  [693] = {.lex_state = 244, .external_lex_state = 2},
  [694] = {.lex_state = 246, .external_lex_state = 2},
  [695] = {.lex_state = 245, .external_lex_state = 2},
  [696] = {.lex_state = 230, .external_lex_state = 2},
  [697] = {.lex_state = 244, .external_lex_state = 2},
  [698] = {.lex_state = 233, .external_lex_state = 2},
  [699] = {.lex_state = 241, .external_lex_state = 2},
  [700] = {.lex_state = 274, .external_lex_state = 2},
  [701] = {.lex_state = 274, .external_lex_state = 2},
  [702] = {.lex_state = 235, .external_lex_state = 2},
  [703] = {.lex_state = 274, .external_lex_state = 2},
  [704] = {.lex_state = 241, .external_lex_state = 2},
  [705] = {.lex_state = 247, .external_lex_state = 2},
  [706] = {.lex_state = 274, .external_lex_state = 2},
  [707] = {.lex_state = 274, .external_lex_state = 2},
  [708] = {.lex_state = 274, .external_lex_state = 2},
  [709] = {.lex_state = 274, .external_lex_state = 2},
  [710] = {.lex_state = 247, .external_lex_state = 2},
  [711] = {.lex_state = 274, .external_lex_state = 2},
  [712] = {.lex_state = 247, .external_lex_state = 2},
  [713] = {.lex_state = 274, .external_lex_state = 2},
  [714] = {.lex_state = 274, .external_lex_state = 2},
  [715] = {.lex_state = 274, .external_lex_state = 2},
  [716] = {.lex_state = 247, .external_lex_state = 2},
  [717] = {.lex_state = 274, .external_lex_state = 2},
  [718] = {.lex_state = 235, .external_lex_state = 2},
  [719] = {.lex_state = 274, .external_lex_state = 2},
  [720] = {.lex_state = 274, .external_lex_state = 2},
  [721] = {.lex_state = 245, .external_lex_state = 2},
  [722] = {.lex_state = 274, .external_lex_state = 2},
  [723] = {.lex_state = 274, .external_lex_state = 2},
  [724] = {.lex_state = 274, .external_lex_state = 2},
  [725] = {.lex_state = 274, .external_lex_state = 2},
  [726] = {.lex_state = 274, .external_lex_state = 2},
  [727] = {.lex_state = 235, .external_lex_state = 2},
  [728] = {.lex_state = 247, .external_lex_state = 2},
  [729] = {.lex_state = 274, .external_lex_state = 2},
  [730] = {.lex_state = 274, .external_lex_state = 2},
  [731] = {.lex_state = 243, .external_lex_state = 2},
  [732] = {.lex_state = 235, .external_lex_state = 2},
  [733] = {.lex_state = 247, .external_lex_state = 2},
  [734] = {.lex_state = 247, .external_lex_state = 2},
  [735] = {.lex_state = 274, .external_lex_state = 2},
  [736] = {.lex_state = 274, .external_lex_state = 2},
  [737] = {.lex_state = 274, .external_lex_state = 2},
  [738] = {.lex_state = 244, .external_lex_state = 2},
  [739] = {.lex_state = 247, .external_lex_state = 2},
  [740] = {.lex_state = 274, .external_lex_state = 2},
  [741] = {.lex_state = 274, .external_lex_state = 2},
  [742] = {.lex_state = 274, .external_lex_state = 2},
  [743] = {.lex_state = 274, .external_lex_state = 2},
  [744] = {.lex_state = 274, .external_lex_state = 2},
  [745] = {.lex_state = 246, .external_lex_state = 2},
  [746] = {.lex_state = 274, .external_lex_state = 2},
  [747] = {.lex_state = 274, .external_lex_state = 2},
  [748] = {.lex_state = 238, .external_lex_state = 2},
  [749] = {.lex_state = 274, .external_lex_state = 2},
  [750] = {.lex_state = 274, .external_lex_state = 2},
  [751] = {.lex_state = 274, .external_lex_state = 2},
  [752] = {.lex_state = 274, .external_lex_state = 2},
  [753] = {.lex_state = 235, .external_lex_state = 2},
  [754] = {.lex_state = 235, .external_lex_state = 2},
  [755] = {.lex_state = 235, .external_lex_state = 2},
  [756] = {.lex_state = 235, .external_lex_state = 2},
  [757] = {.lex_state = 235, .external_lex_state = 2},
  [758] = {.lex_state = 274, .external_lex_state = 2},
  [759] = {.lex_state = 274, .external_lex_state = 2},
  [760] = {.lex_state = 247, .external_lex_state = 2},
  [761] = {.lex_state = 239, .external_lex_state = 2},
  [762] = {.lex_state = 270, .external_lex_state = 2},
  [763] = {.lex_state = 239, .external_lex_state = 2},
  [764] = {.lex_state = 239, .external_lex_state = 2},
  [765] = {.lex_state = 239, .external_lex_state = 2},
  [766] = {.lex_state = 239, .external_lex_state = 2},
  [767] = {.lex_state = 249, .external_lex_state = 2},
  [768] = {.lex_state = 222, .external_lex_state = 3},
  [769] = {.lex_state = 264, .external_lex_state = 2},
  [770] = {.lex_state = 222, .external_lex_state = 3},
  [771] = {.lex_state = 264, .external_lex_state = 2},
  [772] = {.lex_state = 264, .external_lex_state = 2},
  [773] = {.lex_state = 244, .external_lex_state = 2},
  [774] = {.lex_state = 298, .external_lex_state = 2},
  [775] = {.lex_state = 244, .external_lex_state = 2},
  [776] = {.lex_state = 244, .external_lex_state = 2},
  [777] = {.lex_state = 244, .external_lex_state = 2},
  [778] = {.lex_state = 244, .external_lex_state = 2},
  [779] = {.lex_state = 299, .external_lex_state = 2},
  [780] = {.lex_state = 244, .external_lex_state = 2},
  [781] = {.lex_state = 244, .external_lex_state = 2},
  [782] = {.lex_state = 244, .external_lex_state = 2},
  [783] = {.lex_state = 244, .external_lex_state = 2},
  [784] = {.lex_state = 299, .external_lex_state = 2},
  [785] = {.lex_state = 299, .external_lex_state = 2},
  [786] = {.lex_state = 299, .external_lex_state = 2},
  [787] = {.lex_state = 299, .external_lex_state = 2},
  [788] = {.lex_state = 299, .external_lex_state = 2},
  [789] = {.lex_state = 299, .external_lex_state = 2},
  [790] = {.lex_state = 299, .external_lex_state = 2},
  [791] = {.lex_state = 299, .external_lex_state = 2},
  [792] = {.lex_state = 244, .external_lex_state = 2},
  [793] = {.lex_state = 244, .external_lex_state = 2},
  [794] = {.lex_state = 244, .external_lex_state = 2},
  [795] = {.lex_state = 244, .external_lex_state = 2},
  [796] = {.lex_state = 244, .external_lex_state = 2},
  [797] = {.lex_state = 244, .external_lex_state = 2},
  [798] = {.lex_state = 244, .external_lex_state = 2},
  [799] = {.lex_state = 244, .external_lex_state = 2},
  [800] = {.lex_state = 244, .external_lex_state = 2},
  [801] = {.lex_state = 244, .external_lex_state = 2},
  [802] = {.lex_state = 244, .external_lex_state = 2},
  [803] = {.lex_state = 244, .external_lex_state = 2},
  [804] = {.lex_state = 244, .external_lex_state = 2},
  [805] = {.lex_state = 244, .external_lex_state = 2},
  [806] = {.lex_state = 244, .external_lex_state = 2},
  [807] = {.lex_state = 244, .external_lex_state = 2},
  [808] = {.lex_state = 244, .external_lex_state = 2},
  [809] = {.lex_state = 244, .external_lex_state = 2},
  [810] = {.lex_state = 244, .external_lex_state = 2},
  [811] = {.lex_state = 244, .external_lex_state = 2},
  [812] = {.lex_state = 244, .external_lex_state = 2},
  [813] = {.lex_state = 244, .external_lex_state = 2},
  [814] = {.lex_state = 217, .external_lex_state = 2},
  [815] = {.lex_state = 217, .external_lex_state = 2},
  [816] = {.lex_state = 217, .external_lex_state = 2},
  [817] = {.lex_state = 217, .external_lex_state = 2},
  [818] = {.lex_state = 217, .external_lex_state = 2},
  [819] = {.lex_state = 217, .external_lex_state = 2},
  [820] = {.lex_state = 217, .external_lex_state = 2},
  [821] = {.lex_state = 217, .external_lex_state = 2},
  [822] = {.lex_state = 217, .external_lex_state = 2},
  [823] = {.lex_state = 217, .external_lex_state = 2},
  [824] = {.lex_state = 217, .external_lex_state = 2},
  [825] = {.lex_state = 217, .external_lex_state = 2},
  [826] = {.lex_state = 217, .external_lex_state = 2},
  [827] = {.lex_state = 217, .external_lex_state = 2},
  [828] = {.lex_state = 217, .external_lex_state = 2},
  [829] = {.lex_state = 217, .external_lex_state = 2},
  [830] = {.lex_state = 217, .external_lex_state = 2},
  [831] = {.lex_state = 217, .external_lex_state = 2},
  [832] = {.lex_state = 217, .external_lex_state = 2},
  [833] = {.lex_state = 217, .external_lex_state = 2},
  [834] = {.lex_state = 217, .external_lex_state = 2},
  [835] = {.lex_state = 217, .external_lex_state = 2},
  [836] = {.lex_state = 217, .external_lex_state = 2},
  [837] = {.lex_state = 217, .external_lex_state = 2},
  [838] = {.lex_state = 217, .external_lex_state = 2},
  [839] = {.lex_state = 217, .external_lex_state = 2},
  [840] = {.lex_state = 217, .external_lex_state = 2},
  [841] = {.lex_state = 217, .external_lex_state = 2},
  [842] = {.lex_state = 217, .external_lex_state = 2},
  [843] = {.lex_state = 217, .external_lex_state = 2},
  [844] = {.lex_state = 217, .external_lex_state = 2},
  [845] = {.lex_state = 217, .external_lex_state = 2},
  [846] = {.lex_state = 217, .external_lex_state = 2},
  [847] = {.lex_state = 217, .external_lex_state = 2},
  [848] = {.lex_state = 217, .external_lex_state = 2},
  [849] = {.lex_state = 217, .external_lex_state = 2},
  [850] = {.lex_state = 217, .external_lex_state = 2},
  [851] = {.lex_state = 217, .external_lex_state = 2},
  [852] = {.lex_state = 217, .external_lex_state = 2},
  [853] = {.lex_state = 217, .external_lex_state = 2},
  [854] = {.lex_state = 217, .external_lex_state = 2},
  [855] = {.lex_state = 217, .external_lex_state = 2},
  [856] = {.lex_state = 217, .external_lex_state = 2},
  [857] = {.lex_state = 217, .external_lex_state = 2},
  [858] = {.lex_state = 217, .external_lex_state = 2},
  [859] = {.lex_state = 217, .external_lex_state = 2},
  [860] = {.lex_state = 217, .external_lex_state = 2},
  [861] = {.lex_state = 217, .external_lex_state = 2},
  [862] = {.lex_state = 217, .external_lex_state = 2},
  [863] = {.lex_state = 217, .external_lex_state = 2},
  [864] = {.lex_state = 217, .external_lex_state = 2},
  [865] = {.lex_state = 217, .external_lex_state = 2},
  [866] = {.lex_state = 217, .external_lex_state = 2},
  [867] = {.lex_state = 217, .external_lex_state = 2},
  [868] = {.lex_state = 217, .external_lex_state = 2},
  [869] = {.lex_state = 217, .external_lex_state = 2},
  [870] = {.lex_state = 217, .external_lex_state = 2},
  [871] = {.lex_state = 217, .external_lex_state = 2},
  [872] = {.lex_state = 217, .external_lex_state = 2},
  [873] = {.lex_state = 217, .external_lex_state = 2},
  [874] = {.lex_state = 217, .external_lex_state = 2},
  [875] = {.lex_state = 217, .external_lex_state = 2},
  [876] = {.lex_state = 217, .external_lex_state = 2},
  [877] = {.lex_state = 217, .external_lex_state = 2},
  [878] = {.lex_state = 217, .external_lex_state = 2},
  [879] = {.lex_state = 217, .external_lex_state = 2},
  [880] = {.lex_state = 217, .external_lex_state = 2},
  [881] = {.lex_state = 217, .external_lex_state = 2},
  [882] = {.lex_state = 217, .external_lex_state = 2},
  [883] = {.lex_state = 217, .external_lex_state = 2},
  [884] = {.lex_state = 217, .external_lex_state = 2},
  [885] = {.lex_state = 217, .external_lex_state = 2},
  [886] = {.lex_state = 217, .external_lex_state = 2},
  [887] = {.lex_state = 217, .external_lex_state = 2},
  [888] = {.lex_state = 217, .external_lex_state = 2},
  [889] = {.lex_state = 217, .external_lex_state = 2},
  [890] = {.lex_state = 217, .external_lex_state = 2},
  [891] = {.lex_state = 217, .external_lex_state = 2},
  [892] = {.lex_state = 217, .external_lex_state = 2},
  [893] = {.lex_state = 217, .external_lex_state = 2},
  [894] = {.lex_state = 217, .external_lex_state = 2},
  [895] = {.lex_state = 217, .external_lex_state = 2},
  [896] = {.lex_state = 217, .external_lex_state = 2},
  [897] = {.lex_state = 217, .external_lex_state = 2},
  [898] = {.lex_state = 217, .external_lex_state = 2},
  [899] = {.lex_state = 217, .external_lex_state = 2},
  [900] = {.lex_state = 217, .external_lex_state = 2},
  [901] = {.lex_state = 217, .external_lex_state = 2},
  [902] = {.lex_state = 217, .external_lex_state = 2},
  [903] = {.lex_state = 217, .external_lex_state = 2},
  [904] = {.lex_state = 217, .external_lex_state = 2},
  [905] = {.lex_state = 217, .external_lex_state = 2},
  [906] = {.lex_state = 217, .external_lex_state = 2},
  [907] = {.lex_state = 276, .external_lex_state = 4},
  [908] = {.lex_state = 276, .external_lex_state = 4},
  [909] = {.lex_state = 276, .external_lex_state = 4},
  [910] = {.lex_state = 269, .external_lex_state = 2},
  [911] = {.lex_state = 276, .external_lex_state = 4},
  [912] = {.lex_state = 269, .external_lex_state = 2},
  [913] = {.lex_state = 276, .external_lex_state = 4},
  [914] = {.lex_state = 276, .external_lex_state = 4},
  [915] = {.lex_state = 276, .external_lex_state = 4},
  [916] = {.lex_state = 276, .external_lex_state = 4},
  [917] = {.lex_state = 276, .external_lex_state = 4},
  [918] = {.lex_state = 269, .external_lex_state = 2},
  [919] = {.lex_state = 276, .external_lex_state = 4},
  [920] = {.lex_state = 276, .external_lex_state = 4},
  [921] = {.lex_state = 1301, .external_lex_state = 2},
  [922] = {.lex_state = 269, .external_lex_state = 2},
  [923] = {.lex_state = 269, .external_lex_state = 2},
  [924] = {.lex_state = 269, .external_lex_state = 2},
  [925] = {.lex_state = 269, .external_lex_state = 2},
  [926] = {.lex_state = 269, .external_lex_state = 2},
  [927] = {.lex_state = 1301, .external_lex_state = 2},
  [928] = {.lex_state = 1301, .external_lex_state = 2},
  [929] = {.lex_state = 276, .external_lex_state = 4},
  [930] = {.lex_state = 269, .external_lex_state = 2},
  [931] = {.lex_state = 269, .external_lex_state = 2},
  [932] = {.lex_state = 269, .external_lex_state = 2},
  [933] = {.lex_state = 269, .external_lex_state = 2},
  [934] = {.lex_state = 1301, .external_lex_state = 2},
  [935] = {.lex_state = 1301, .external_lex_state = 2},
  [936] = {.lex_state = 276, .external_lex_state = 4},
  [937] = {.lex_state = 1301, .external_lex_state = 2},
  [938] = {.lex_state = 276, .external_lex_state = 4},
  [939] = {.lex_state = 1301, .external_lex_state = 2},
  [940] = {.lex_state = 269, .external_lex_state = 2},
  [941] = {.lex_state = 276, .external_lex_state = 4},
  [942] = {.lex_state = 1301, .external_lex_state = 2},
  [943] = {.lex_state = 276, .external_lex_state = 4},
  [944] = {.lex_state = 1301, .external_lex_state = 2},
  [945] = {.lex_state = 1301, .external_lex_state = 2},
  [946] = {.lex_state = 276, .external_lex_state = 4},
  [947] = {.lex_state = 276, .external_lex_state = 4},
  [948] = {.lex_state = 269, .external_lex_state = 2},
  [949] = {.lex_state = 276, .external_lex_state = 4},
  [950] = {.lex_state = 276, .external_lex_state = 4},
  [951] = {.lex_state = 269, .external_lex_state = 2},
  [952] = {.lex_state = 269, .external_lex_state = 2},
  [953] = {.lex_state = 1301, .external_lex_state = 2},
  [954] = {.lex_state = 276, .external_lex_state = 4},
  [955] = {.lex_state = 269, .external_lex_state = 2},
  [956] = {.lex_state = 269, .external_lex_state = 2},
  [957] = {.lex_state = 1301, .external_lex_state = 2},
  [958] = {.lex_state = 276, .external_lex_state = 4},
  [959] = {.lex_state = 1301, .external_lex_state = 2},
  [960] = {.lex_state = 276, .external_lex_state = 4},
  [961] = {.lex_state = 1301, .external_lex_state = 2},
  [962] = {.lex_state = 276, .external_lex_state = 4},
  [963] = {.lex_state = 1301, .external_lex_state = 2},
  [964] = {.lex_state = 1301, .external_lex_state = 2},
  [965] = {.lex_state = 1301, .external_lex_state = 2},
  [966] = {.lex_state = 1301, .external_lex_state = 2},
  [967] = {.lex_state = 1301, .external_lex_state = 2},
  [968] = {.lex_state = 1301, .external_lex_state = 2},
  [969] = {.lex_state = 269, .external_lex_state = 2},
  [970] = {.lex_state = 269, .external_lex_state = 2},
  [971] = {.lex_state = 269, .external_lex_state = 2},
  [972] = {.lex_state = 269, .external_lex_state = 2},
  [973] = {.lex_state = 269, .external_lex_state = 2},
  [974] = {.lex_state = 1301, .external_lex_state = 2},
  [975] = {.lex_state = 1301, .external_lex_state = 2},
  [976] = {.lex_state = 1301, .external_lex_state = 2},
  [977] = {.lex_state = 1301, .external_lex_state = 2},
  [978] = {.lex_state = 1301, .external_lex_state = 2},
  [979] = {.lex_state = 269, .external_lex_state = 2},
  [980] = {.lex_state = 1301, .external_lex_state = 2},
  [981] = {.lex_state = 1301, .external_lex_state = 2},
  [982] = {.lex_state = 225, .external_lex_state = 4},
  [983] = {.lex_state = 251, .external_lex_state = 4},
  [984] = {.lex_state = 1301, .external_lex_state = 2},
  [985] = {.lex_state = 269, .external_lex_state = 2},
  [986] = {.lex_state = 225, .external_lex_state = 4},
  [987] = {.lex_state = 225, .external_lex_state = 4},
  [988] = {.lex_state = 251, .external_lex_state = 4},
  [989] = {.lex_state = 1301, .external_lex_state = 2},
  [990] = {.lex_state = 251, .external_lex_state = 4},
  [991] = {.lex_state = 1301, .external_lex_state = 2},
  [992] = {.lex_state = 1301, .external_lex_state = 2},
  [993] = {.lex_state = 1301, .external_lex_state = 2},
  [994] = {.lex_state = 1301, .external_lex_state = 2},
  [995] = {.lex_state = 1301, .external_lex_state = 2},
  [996] = {.lex_state = 1301, .external_lex_state = 2},
  [997] = {.lex_state = 1301, .external_lex_state = 2},
  [998] = {.lex_state = 269, .external_lex_state = 2},
  [999] = {.lex_state = 1301, .external_lex_state = 2},
  [1000] = {.lex_state = 269, .external_lex_state = 2},
  [1001] = {.lex_state = 269, .external_lex_state = 2},
  [1002] = {.lex_state = 269, .external_lex_state = 2},
  [1003] = {.lex_state = 269, .external_lex_state = 2},
  [1004] = {.lex_state = 269, .external_lex_state = 2},
  [1005] = {.lex_state = 269, .external_lex_state = 2},
  [1006] = {.lex_state = 225, .external_lex_state = 4},
  [1007] = {.lex_state = 251, .external_lex_state = 4},
  [1008] = {.lex_state = 1301, .external_lex_state = 2},
  [1009] = {.lex_state = 1301, .external_lex_state = 2},
  [1010] = {.lex_state = 1301, .external_lex_state = 2},
  [1011] = {.lex_state = 269, .external_lex_state = 2},
  [1012] = {.lex_state = 269, .external_lex_state = 2},
  [1013] = {.lex_state = 269, .external_lex_state = 2},
  [1014] = {.lex_state = 269, .external_lex_state = 2},
  [1015] = {.lex_state = 269, .external_lex_state = 2},
  [1016] = {.lex_state = 269, .external_lex_state = 2},
  [1017] = {.lex_state = 269, .external_lex_state = 2},
  [1018] = {.lex_state = 1301, .external_lex_state = 2},
  [1019] = {.lex_state = 1301, .external_lex_state = 2},
  [1020] = {.lex_state = 1301, .external_lex_state = 2},
  [1021] = {.lex_state = 1301, .external_lex_state = 2},
  [1022] = {.lex_state = 269, .external_lex_state = 2},
  [1023] = {.lex_state = 269, .external_lex_state = 2},
  [1024] = {.lex_state = 269, .external_lex_state = 2},
  [1025] = {.lex_state = 269, .external_lex_state = 2},
  [1026] = {.lex_state = 1301, .external_lex_state = 2},
  [1027] = {.lex_state = 1301, .external_lex_state = 2},
  [1028] = {.lex_state = 1301, .external_lex_state = 2},
  [1029] = {.lex_state = 1301, .external_lex_state = 2},
  [1030] = {.lex_state = 269, .external_lex_state = 2},
  [1031] = {.lex_state = 1301, .external_lex_state = 2},
  [1032] = {.lex_state = 269, .external_lex_state = 2},
  [1033] = {.lex_state = 269, .external_lex_state = 2},
  [1034] = {.lex_state = 269, .external_lex_state = 2},
  [1035] = {.lex_state = 1301, .external_lex_state = 2},
  [1036] = {.lex_state = 269, .external_lex_state = 2},
  [1037] = {.lex_state = 269, .external_lex_state = 2},
  [1038] = {.lex_state = 269, .external_lex_state = 2},
  [1039] = {.lex_state = 1301, .external_lex_state = 2},
  [1040] = {.lex_state = 1301, .external_lex_state = 2},
  [1041] = {.lex_state = 1301, .external_lex_state = 2},
  [1042] = {.lex_state = 1301, .external_lex_state = 2},
  [1043] = {.lex_state = 1301, .external_lex_state = 2},
  [1044] = {.lex_state = 1301, .external_lex_state = 2},
  [1045] = {.lex_state = 1301, .external_lex_state = 2},
  [1046] = {.lex_state = 1301, .external_lex_state = 2},
  [1047] = {.lex_state = 1301, .external_lex_state = 2},
  [1048] = {.lex_state = 1301, .external_lex_state = 2},
  [1049] = {.lex_state = 1301, .external_lex_state = 2},
  [1050] = {.lex_state = 1301, .external_lex_state = 2},
  [1051] = {.lex_state = 1301, .external_lex_state = 2},
  [1052] = {.lex_state = 1301, .external_lex_state = 2},
  [1053] = {.lex_state = 269, .external_lex_state = 2},
  [1054] = {.lex_state = 269, .external_lex_state = 2},
  [1055] = {.lex_state = 269, .external_lex_state = 2},
  [1056] = {.lex_state = 269, .external_lex_state = 2},
  [1057] = {.lex_state = 269, .external_lex_state = 2},
  [1058] = {.lex_state = 269, .external_lex_state = 2},
  [1059] = {.lex_state = 1301, .external_lex_state = 2},
  [1060] = {.lex_state = 269, .external_lex_state = 2},
  [1061] = {.lex_state = 269, .external_lex_state = 2},
  [1062] = {.lex_state = 269, .external_lex_state = 2},
  [1063] = {.lex_state = 269, .external_lex_state = 2},
  [1064] = {.lex_state = 269, .external_lex_state = 2},
  [1065] = {.lex_state = 269, .external_lex_state = 2},
  [1066] = {.lex_state = 1301, .external_lex_state = 2},
  [1067] = {.lex_state = 1301, .external_lex_state = 2},
  [1068] = {.lex_state = 1301, .external_lex_state = 2},
  [1069] = {.lex_state = 269, .external_lex_state = 2},
  [1070] = {.lex_state = 269, .external_lex_state = 2},
  [1071] = {.lex_state = 269, .external_lex_state = 2},
  [1072] = {.lex_state = 269, .external_lex_state = 2},
  [1073] = {.lex_state = 269, .external_lex_state = 2},
  [1074] = {.lex_state = 269, .external_lex_state = 2},
  [1075] = {.lex_state = 269, .external_lex_state = 2},
  [1076] = {.lex_state = 269, .external_lex_state = 2},
  [1077] = {.lex_state = 269, .external_lex_state = 2},
  [1078] = {.lex_state = 269, .external_lex_state = 2},
  [1079] = {.lex_state = 1301, .external_lex_state = 2},
  [1080] = {.lex_state = 1301, .external_lex_state = 2},
  [1081] = {.lex_state = 269, .external_lex_state = 2},
  [1082] = {.lex_state = 269, .external_lex_state = 2},
  [1083] = {.lex_state = 1301, .external_lex_state = 2},
  [1084] = {.lex_state = 269, .external_lex_state = 2},
  [1085] = {.lex_state = 269, .external_lex_state = 2},
  [1086] = {.lex_state = 269, .external_lex_state = 2},
  [1087] = {.lex_state = 269, .external_lex_state = 2},
  [1088] = {.lex_state = 269, .external_lex_state = 2},
  [1089] = {.lex_state = 269, .external_lex_state = 2},
  [1090] = {.lex_state = 269, .external_lex_state = 2},
  [1091] = {.lex_state = 269, .external_lex_state = 2},
  [1092] = {.lex_state = 225, .external_lex_state = 4},
  [1093] = {.lex_state = 269, .external_lex_state = 2},
  [1094] = {.lex_state = 269, .external_lex_state = 2},
  [1095] = {.lex_state = 269, .external_lex_state = 2},
  [1096] = {.lex_state = 225, .external_lex_state = 4},
  [1097] = {.lex_state = 269, .external_lex_state = 2},
  [1098] = {.lex_state = 251, .external_lex_state = 4},
  [1099] = {.lex_state = 1301, .external_lex_state = 2},
  [1100] = {.lex_state = 1301, .external_lex_state = 2},
  [1101] = {.lex_state = 1301, .external_lex_state = 2},
  [1102] = {.lex_state = 269, .external_lex_state = 2},
  [1103] = {.lex_state = 1301, .external_lex_state = 2},
  [1104] = {.lex_state = 1301, .external_lex_state = 2},
  [1105] = {.lex_state = 1301, .external_lex_state = 2},
  [1106] = {.lex_state = 269, .external_lex_state = 2},
  [1107] = {.lex_state = 1301, .external_lex_state = 2},
  [1108] = {.lex_state = 1301, .external_lex_state = 2},
  [1109] = {.lex_state = 1301, .external_lex_state = 2},
  [1110] = {.lex_state = 251, .external_lex_state = 4},
  [1111] = {.lex_state = 225, .external_lex_state = 4},
  [1112] = {.lex_state = 251, .external_lex_state = 4},
  [1113] = {.lex_state = 276, .external_lex_state = 4},
  [1114] = {.lex_state = 220, .external_lex_state = 2},
  [1115] = {.lex_state = 220, .external_lex_state = 2},
  [1116] = {.lex_state = 220, .external_lex_state = 2},
  [1117] = {.lex_state = 220, .external_lex_state = 2},
  [1118] = {.lex_state = 277, .external_lex_state = 4},
  [1119] = {.lex_state = 220, .external_lex_state = 2},
  [1120] = {.lex_state = 220, .external_lex_state = 2},
  [1121] = {.lex_state = 220, .external_lex_state = 2},
  [1122] = {.lex_state = 220, .external_lex_state = 2},
  [1123] = {.lex_state = 220, .external_lex_state = 2},
  [1124] = {.lex_state = 277, .external_lex_state = 4},
  [1125] = {.lex_state = 220, .external_lex_state = 2},
  [1126] = {.lex_state = 220, .external_lex_state = 2},
  [1127] = {.lex_state = 220, .external_lex_state = 2},
  [1128] = {.lex_state = 220, .external_lex_state = 2},
  [1129] = {.lex_state = 220, .external_lex_state = 2},
  [1130] = {.lex_state = 220, .external_lex_state = 2},
  [1131] = {.lex_state = 218, .external_lex_state = 2},
  [1132] = {.lex_state = 220, .external_lex_state = 2},
  [1133] = {.lex_state = 220, .external_lex_state = 2},
  [1134] = {.lex_state = 218, .external_lex_state = 2},
  [1135] = {.lex_state = 220, .external_lex_state = 2},
  [1136] = {.lex_state = 218, .external_lex_state = 2},
  [1137] = {.lex_state = 218, .external_lex_state = 2},
  [1138] = {.lex_state = 220, .external_lex_state = 2},
  [1139] = {.lex_state = 220, .external_lex_state = 2},
  [1140] = {.lex_state = 220, .external_lex_state = 2},
  [1141] = {.lex_state = 220, .external_lex_state = 2},
  [1142] = {.lex_state = 220, .external_lex_state = 2},
  [1143] = {.lex_state = 220, .external_lex_state = 2},
  [1144] = {.lex_state = 220, .external_lex_state = 2},
  [1145] = {.lex_state = 220, .external_lex_state = 2},
  [1146] = {.lex_state = 220, .external_lex_state = 2},
  [1147] = {.lex_state = 220, .external_lex_state = 2},
  [1148] = {.lex_state = 220, .external_lex_state = 2},
  [1149] = {.lex_state = 220, .external_lex_state = 2},
  [1150] = {.lex_state = 220, .external_lex_state = 2},
  [1151] = {.lex_state = 220, .external_lex_state = 2},
  [1152] = {.lex_state = 220, .external_lex_state = 2},
  [1153] = {.lex_state = 218, .external_lex_state = 2},
  [1154] = {.lex_state = 277, .external_lex_state = 4},
  [1155] = {.lex_state = 220, .external_lex_state = 2},
  [1156] = {.lex_state = 277, .external_lex_state = 4},
  [1157] = {.lex_state = 218, .external_lex_state = 2},
  [1158] = {.lex_state = 218, .external_lex_state = 2},
  [1159] = {.lex_state = 218, .external_lex_state = 2},
  [1160] = {.lex_state = 218, .external_lex_state = 2},
  [1161] = {.lex_state = 218, .external_lex_state = 2},
  [1162] = {.lex_state = 218, .external_lex_state = 2},
  [1163] = {.lex_state = 218, .external_lex_state = 2},
  [1164] = {.lex_state = 218, .external_lex_state = 2},
  [1165] = {.lex_state = 218, .external_lex_state = 2},
  [1166] = {.lex_state = 218, .external_lex_state = 2},
  [1167] = {.lex_state = 218, .external_lex_state = 2},
  [1168] = {.lex_state = 218, .external_lex_state = 2},
  [1169] = {.lex_state = 218, .external_lex_state = 2},
  [1170] = {.lex_state = 218, .external_lex_state = 2},
  [1171] = {.lex_state = 218, .external_lex_state = 2},
  [1172] = {.lex_state = 218, .external_lex_state = 2},
  [1173] = {.lex_state = 218, .external_lex_state = 2},
  [1174] = {.lex_state = 218, .external_lex_state = 2},
  [1175] = {.lex_state = 218, .external_lex_state = 2},
  [1176] = {.lex_state = 218, .external_lex_state = 2},
  [1177] = {.lex_state = 218, .external_lex_state = 2},
  [1178] = {.lex_state = 218, .external_lex_state = 2},
  [1179] = {.lex_state = 218, .external_lex_state = 2},
  [1180] = {.lex_state = 218, .external_lex_state = 2},
  [1181] = {.lex_state = 218, .external_lex_state = 2},
  [1182] = {.lex_state = 218, .external_lex_state = 2},
  [1183] = {.lex_state = 218, .external_lex_state = 2},
  [1184] = {.lex_state = 218, .external_lex_state = 2},
  [1185] = {.lex_state = 218, .external_lex_state = 2},
  [1186] = {.lex_state = 218, .external_lex_state = 2},
  [1187] = {.lex_state = 218, .external_lex_state = 2},
  [1188] = {.lex_state = 218, .external_lex_state = 2},
  [1189] = {.lex_state = 218, .external_lex_state = 2},
  [1190] = {.lex_state = 218, .external_lex_state = 2},
  [1191] = {.lex_state = 277, .external_lex_state = 4},
  [1192] = {.lex_state = 272, .external_lex_state = 2},
  [1193] = {.lex_state = 272, .external_lex_state = 2},
  [1194] = {.lex_state = 272, .external_lex_state = 2},
  [1195] = {.lex_state = 272, .external_lex_state = 2},
  [1196] = {.lex_state = 272, .external_lex_state = 2},
  [1197] = {.lex_state = 272, .external_lex_state = 2},
  [1198] = {.lex_state = 236, .external_lex_state = 2},
  [1199] = {.lex_state = 236, .external_lex_state = 2},
  [1200] = {.lex_state = 230, .external_lex_state = 2},
  [1201] = {.lex_state = 230, .external_lex_state = 2},
  [1202] = {.lex_state = 230, .external_lex_state = 2},
  [1203] = {.lex_state = 230, .external_lex_state = 2},
  [1204] = {.lex_state = 230, .external_lex_state = 2},
  [1205] = {.lex_state = 230, .external_lex_state = 2},
  [1206] = {.lex_state = 230, .external_lex_state = 2},
  [1207] = {.lex_state = 230, .external_lex_state = 2},
  [1208] = {.lex_state = 236, .external_lex_state = 2},
  [1209] = {.lex_state = 229, .external_lex_state = 2},
  [1210] = {.lex_state = 248, .external_lex_state = 2},
  [1211] = {.lex_state = 248, .external_lex_state = 2},
  [1212] = {.lex_state = 248, .external_lex_state = 2},
  [1213] = {.lex_state = 248, .external_lex_state = 2},
  [1214] = {.lex_state = 248, .external_lex_state = 2},
  [1215] = {.lex_state = 248, .external_lex_state = 2},
  [1216] = {.lex_state = 230, .external_lex_state = 2},
  [1217] = {.lex_state = 248, .external_lex_state = 2},
  [1218] = {.lex_state = 230, .external_lex_state = 2},
  [1219] = {.lex_state = 230, .external_lex_state = 2},
  [1220] = {.lex_state = 248, .external_lex_state = 2},
  [1221] = {.lex_state = 229, .external_lex_state = 2},
  [1222] = {.lex_state = 229, .external_lex_state = 2},
  [1223] = {.lex_state = 248, .external_lex_state = 2},
  [1224] = {.lex_state = 272, .external_lex_state = 2},
  [1225] = {.lex_state = 248, .external_lex_state = 2},
  [1226] = {.lex_state = 236, .external_lex_state = 2},
  [1227] = {.lex_state = 229, .external_lex_state = 2},
  [1228] = {.lex_state = 229, .external_lex_state = 2},
  [1229] = {.lex_state = 236, .external_lex_state = 2},
  [1230] = {.lex_state = 230, .external_lex_state = 2},
  [1231] = {.lex_state = 248, .external_lex_state = 2},
  [1232] = {.lex_state = 248, .external_lex_state = 2},
  [1233] = {.lex_state = 248, .external_lex_state = 2},
  [1234] = {.lex_state = 248, .external_lex_state = 2},
  [1235] = {.lex_state = 248, .external_lex_state = 2},
  [1236] = {.lex_state = 248, .external_lex_state = 2},
  [1237] = {.lex_state = 229, .external_lex_state = 2},
  [1238] = {.lex_state = 248, .external_lex_state = 2},
  [1239] = {.lex_state = 236, .external_lex_state = 2},
  [1240] = {.lex_state = 248, .external_lex_state = 2},
  [1241] = {.lex_state = 248, .external_lex_state = 2},
  [1242] = {.lex_state = 248, .external_lex_state = 2},
  [1243] = {.lex_state = 248, .external_lex_state = 2},
  [1244] = {.lex_state = 272, .external_lex_state = 2},
  [1245] = {.lex_state = 229, .external_lex_state = 2},
  [1246] = {.lex_state = 236, .external_lex_state = 2},
  [1247] = {.lex_state = 236, .external_lex_state = 2},
  [1248] = {.lex_state = 248, .external_lex_state = 2},
  [1249] = {.lex_state = 236, .external_lex_state = 2},
  [1250] = {.lex_state = 236, .external_lex_state = 2},
  [1251] = {.lex_state = 236, .external_lex_state = 2},
  [1252] = {.lex_state = 236, .external_lex_state = 2},
  [1253] = {.lex_state = 229, .external_lex_state = 2},
  [1254] = {.lex_state = 272, .external_lex_state = 2},
  [1255] = {.lex_state = 272, .external_lex_state = 2},
  [1256] = {.lex_state = 229, .external_lex_state = 2},
  [1257] = {.lex_state = 236, .external_lex_state = 2},
  [1258] = {.lex_state = 272, .external_lex_state = 2},
  [1259] = {.lex_state = 229, .external_lex_state = 2},
  [1260] = {.lex_state = 236, .external_lex_state = 2},
  [1261] = {.lex_state = 236, .external_lex_state = 2},
  [1262] = {.lex_state = 272, .external_lex_state = 2},
  [1263] = {.lex_state = 272, .external_lex_state = 2},
  [1264] = {.lex_state = 236, .external_lex_state = 2},
  [1265] = {.lex_state = 272, .external_lex_state = 2},
  [1266] = {.lex_state = 272, .external_lex_state = 2},
  [1267] = {.lex_state = 236, .external_lex_state = 2},
  [1268] = {.lex_state = 272, .external_lex_state = 2},
  [1269] = {.lex_state = 248, .external_lex_state = 2},
  [1270] = {.lex_state = 248, .external_lex_state = 2},
  [1271] = {.lex_state = 229, .external_lex_state = 2},
  [1272] = {.lex_state = 229, .external_lex_state = 2},
  [1273] = {.lex_state = 236, .external_lex_state = 2},
  [1274] = {.lex_state = 248, .external_lex_state = 2},
  [1275] = {.lex_state = 236, .external_lex_state = 2},
  [1276] = {.lex_state = 272, .external_lex_state = 2},
  [1277] = {.lex_state = 272, .external_lex_state = 2},
  [1278] = {.lex_state = 272, .external_lex_state = 2},
  [1279] = {.lex_state = 272, .external_lex_state = 2},
  [1280] = {.lex_state = 236, .external_lex_state = 2},
  [1281] = {.lex_state = 236, .external_lex_state = 2},
  [1282] = {.lex_state = 272, .external_lex_state = 2},
  [1283] = {.lex_state = 272, .external_lex_state = 2},
  [1284] = {.lex_state = 229, .external_lex_state = 2},
  [1285] = {.lex_state = 229, .external_lex_state = 2},
  [1286] = {.lex_state = 236, .external_lex_state = 2},
  [1287] = {.lex_state = 229, .external_lex_state = 2},
  [1288] = {.lex_state = 236, .external_lex_state = 2},
  [1289] = {.lex_state = 229, .external_lex_state = 2},
  [1290] = {.lex_state = 236, .external_lex_state = 2},
  [1291] = {.lex_state = 272, .external_lex_state = 2},
  [1292] = {.lex_state = 248, .external_lex_state = 2},
  [1293] = {.lex_state = 272, .external_lex_state = 2},
  [1294] = {.lex_state = 229, .external_lex_state = 2},
  [1295] = {.lex_state = 229, .external_lex_state = 2},
  [1296] = {.lex_state = 236, .external_lex_state = 2},
  [1297] = {.lex_state = 230, .external_lex_state = 2},
  [1298] = {.lex_state = 230, .external_lex_state = 2},
  [1299] = {.lex_state = 229, .external_lex_state = 2},
  [1300] = {.lex_state = 230, .external_lex_state = 2},
  [1301] = {.lex_state = 230, .external_lex_state = 2},
  [1302] = {.lex_state = 236, .external_lex_state = 2},
  [1303] = {.lex_state = 230, .external_lex_state = 2},
  [1304] = {.lex_state = 230, .external_lex_state = 2},
  [1305] = {.lex_state = 229, .external_lex_state = 2},
  [1306] = {.lex_state = 230, .external_lex_state = 2},
  [1307] = {.lex_state = 230, .external_lex_state = 2},
  [1308] = {.lex_state = 236, .external_lex_state = 2},
  [1309] = {.lex_state = 272, .external_lex_state = 2},
  [1310] = {.lex_state = 272, .external_lex_state = 2},
  [1311] = {.lex_state = 230, .external_lex_state = 2},
  [1312] = {.lex_state = 272, .external_lex_state = 2},
  [1313] = {.lex_state = 272, .external_lex_state = 2},
  [1314] = {.lex_state = 230, .external_lex_state = 2},
  [1315] = {.lex_state = 272, .external_lex_state = 2},
  [1316] = {.lex_state = 272, .external_lex_state = 2},
  [1317] = {.lex_state = 229, .external_lex_state = 2},
  [1318] = {.lex_state = 229, .external_lex_state = 2},
  [1319] = {.lex_state = 248, .external_lex_state = 2},
  [1320] = {.lex_state = 272, .external_lex_state = 2},
  [1321] = {.lex_state = 272, .external_lex_state = 2},
  [1322] = {.lex_state = 230, .external_lex_state = 2},
  [1323] = {.lex_state = 230, .external_lex_state = 2},
  [1324] = {.lex_state = 229, .external_lex_state = 2},
  [1325] = {.lex_state = 230, .external_lex_state = 2},
  [1326] = {.lex_state = 248, .external_lex_state = 2},
  [1327] = {.lex_state = 229, .external_lex_state = 2},
  [1328] = {.lex_state = 230, .external_lex_state = 2},
  [1329] = {.lex_state = 230, .external_lex_state = 2},
  [1330] = {.lex_state = 229, .external_lex_state = 2},
  [1331] = {.lex_state = 229, .external_lex_state = 2},
  [1332] = {.lex_state = 229, .external_lex_state = 2},
  [1333] = {.lex_state = 272, .external_lex_state = 2},
  [1334] = {.lex_state = 272, .external_lex_state = 2},
  [1335] = {.lex_state = 230, .external_lex_state = 2},
  [1336] = {.lex_state = 229, .external_lex_state = 2},
  [1337] = {.lex_state = 236, .external_lex_state = 2},
  [1338] = {.lex_state = 236, .external_lex_state = 2},
  [1339] = {.lex_state = 230, .external_lex_state = 2},
  [1340] = {.lex_state = 230, .external_lex_state = 2},
  [1341] = {.lex_state = 229, .external_lex_state = 2},
  [1342] = {.lex_state = 230, .external_lex_state = 2},
  [1343] = {.lex_state = 229, .external_lex_state = 2},
  [1344] = {.lex_state = 248, .external_lex_state = 2},
  [1345] = {.lex_state = 230, .external_lex_state = 2},
  [1346] = {.lex_state = 230, .external_lex_state = 2},
  [1347] = {.lex_state = 236, .external_lex_state = 2},
  [1348] = {.lex_state = 270, .external_lex_state = 2},
  [1349] = {.lex_state = 248, .external_lex_state = 2},
  [1350] = {.lex_state = 236, .external_lex_state = 2},
  [1351] = {.lex_state = 248, .external_lex_state = 2},
  [1352] = {.lex_state = 230, .external_lex_state = 2},
  [1353] = {.lex_state = 248, .external_lex_state = 2},
  [1354] = {.lex_state = 248, .external_lex_state = 2},
  [1355] = {.lex_state = 248, .external_lex_state = 2},
  [1356] = {.lex_state = 248, .external_lex_state = 2},
  [1357] = {.lex_state = 248, .external_lex_state = 2},
  [1358] = {.lex_state = 248, .external_lex_state = 2},
  [1359] = {.lex_state = 248, .external_lex_state = 2},
  [1360] = {.lex_state = 248, .external_lex_state = 2},
  [1361] = {.lex_state = 248, .external_lex_state = 2},
  [1362] = {.lex_state = 270, .external_lex_state = 2},
  [1363] = {.lex_state = 236, .external_lex_state = 2},
  [1364] = {.lex_state = 236, .external_lex_state = 2},
  [1365] = {.lex_state = 236, .external_lex_state = 2},
  [1366] = {.lex_state = 229, .external_lex_state = 2},
  [1367] = {.lex_state = 248, .external_lex_state = 2},
  [1368] = {.lex_state = 236, .external_lex_state = 2},
  [1369] = {.lex_state = 236, .external_lex_state = 2},
  [1370] = {.lex_state = 236, .external_lex_state = 2},
  [1371] = {.lex_state = 236, .external_lex_state = 2},
  [1372] = {.lex_state = 236, .external_lex_state = 2},
  [1373] = {.lex_state = 248, .external_lex_state = 2},
  [1374] = {.lex_state = 248, .external_lex_state = 2},
  [1375] = {.lex_state = 248, .external_lex_state = 2},
  [1376] = {.lex_state = 236, .external_lex_state = 2},
  [1377] = {.lex_state = 270, .external_lex_state = 2},
  [1378] = {.lex_state = 248, .external_lex_state = 2},
  [1379] = {.lex_state = 236, .external_lex_state = 2},
  [1380] = {.lex_state = 236, .external_lex_state = 2},
  [1381] = {.lex_state = 236, .external_lex_state = 2},
  [1382] = {.lex_state = 236, .external_lex_state = 2},
  [1383] = {.lex_state = 248, .external_lex_state = 2},
  [1384] = {.lex_state = 248, .external_lex_state = 2},
  [1385] = {.lex_state = 236, .external_lex_state = 2},
  [1386] = {.lex_state = 236, .external_lex_state = 2},
  [1387] = {.lex_state = 236, .external_lex_state = 2},
  [1388] = {.lex_state = 236, .external_lex_state = 2},
  [1389] = {.lex_state = 248, .external_lex_state = 2},
  [1390] = {.lex_state = 248, .external_lex_state = 2},
  [1391] = {.lex_state = 229, .external_lex_state = 2},
  [1392] = {.lex_state = 229, .external_lex_state = 2},
  [1393] = {.lex_state = 270, .external_lex_state = 2},
  [1394] = {.lex_state = 236, .external_lex_state = 2},
  [1395] = {.lex_state = 270, .external_lex_state = 2},
  [1396] = {.lex_state = 236, .external_lex_state = 2},
  [1397] = {.lex_state = 236, .external_lex_state = 2},
  [1398] = {.lex_state = 270, .external_lex_state = 2},
  [1399] = {.lex_state = 236, .external_lex_state = 2},
  [1400] = {.lex_state = 229, .external_lex_state = 2},
  [1401] = {.lex_state = 229, .external_lex_state = 2},
  [1402] = {.lex_state = 229, .external_lex_state = 2},
  [1403] = {.lex_state = 229, .external_lex_state = 2},
  [1404] = {.lex_state = 229, .external_lex_state = 2},
  [1405] = {.lex_state = 236, .external_lex_state = 2},
  [1406] = {.lex_state = 236, .external_lex_state = 2},
  [1407] = {.lex_state = 236, .external_lex_state = 2},
  [1408] = {.lex_state = 248, .external_lex_state = 2},
  [1409] = {.lex_state = 248, .external_lex_state = 2},
  [1410] = {.lex_state = 248, .external_lex_state = 2},
  [1411] = {.lex_state = 248, .external_lex_state = 2},
  [1412] = {.lex_state = 270, .external_lex_state = 2},
  [1413] = {.lex_state = 248, .external_lex_state = 2},
  [1414] = {.lex_state = 236, .external_lex_state = 2},
  [1415] = {.lex_state = 229, .external_lex_state = 2},
  [1416] = {.lex_state = 270, .external_lex_state = 2},
  [1417] = {.lex_state = 229, .external_lex_state = 2},
  [1418] = {.lex_state = 229, .external_lex_state = 2},
  [1419] = {.lex_state = 230, .external_lex_state = 2},
  [1420] = {.lex_state = 229, .external_lex_state = 2},
  [1421] = {.lex_state = 229, .external_lex_state = 2},
  [1422] = {.lex_state = 236, .external_lex_state = 2},
  [1423] = {.lex_state = 230, .external_lex_state = 2},
  [1424] = {.lex_state = 236, .external_lex_state = 2},
  [1425] = {.lex_state = 236, .external_lex_state = 2},
  [1426] = {.lex_state = 230, .external_lex_state = 2},
  [1427] = {.lex_state = 229, .external_lex_state = 2},
  [1428] = {.lex_state = 236, .external_lex_state = 2},
  [1429] = {.lex_state = 230, .external_lex_state = 2},
  [1430] = {.lex_state = 229, .external_lex_state = 2},
  [1431] = {.lex_state = 236, .external_lex_state = 2},
  [1432] = {.lex_state = 229, .external_lex_state = 2},
  [1433] = {.lex_state = 229, .external_lex_state = 2},
  [1434] = {.lex_state = 230, .external_lex_state = 2},
  [1435] = {.lex_state = 230, .external_lex_state = 2},
  [1436] = {.lex_state = 248, .external_lex_state = 2},
  [1437] = {.lex_state = 230, .external_lex_state = 2},
  [1438] = {.lex_state = 230, .external_lex_state = 2},
  [1439] = {.lex_state = 270, .external_lex_state = 2},
  [1440] = {.lex_state = 248, .external_lex_state = 2},
  [1441] = {.lex_state = 229, .external_lex_state = 2},
  [1442] = {.lex_state = 236, .external_lex_state = 2},
  [1443] = {.lex_state = 230, .external_lex_state = 2},
  [1444] = {.lex_state = 236, .external_lex_state = 2},
  [1445] = {.lex_state = 248, .external_lex_state = 2},
  [1446] = {.lex_state = 229, .external_lex_state = 2},
  [1447] = {.lex_state = 236, .external_lex_state = 2},
  [1448] = {.lex_state = 230, .external_lex_state = 2},
  [1449] = {.lex_state = 229, .external_lex_state = 2},
  [1450] = {.lex_state = 229, .external_lex_state = 2},
  [1451] = {.lex_state = 229, .external_lex_state = 2},
  [1452] = {.lex_state = 230, .external_lex_state = 2},
  [1453] = {.lex_state = 236, .external_lex_state = 2},
  [1454] = {.lex_state = 229, .external_lex_state = 2},
  [1455] = {.lex_state = 230, .external_lex_state = 2},
  [1456] = {.lex_state = 230, .external_lex_state = 2},
  [1457] = {.lex_state = 248, .external_lex_state = 2},
  [1458] = {.lex_state = 236, .external_lex_state = 2},
  [1459] = {.lex_state = 236, .external_lex_state = 2},
  [1460] = {.lex_state = 230, .external_lex_state = 2},
  [1461] = {.lex_state = 229, .external_lex_state = 2},
  [1462] = {.lex_state = 229, .external_lex_state = 2},
  [1463] = {.lex_state = 230, .external_lex_state = 2},
  [1464] = {.lex_state = 229, .external_lex_state = 2},
  [1465] = {.lex_state = 230, .external_lex_state = 2},
  [1466] = {.lex_state = 248, .external_lex_state = 2},
  [1467] = {.lex_state = 229, .external_lex_state = 2},
  [1468] = {.lex_state = 229, .external_lex_state = 2},
  [1469] = {.lex_state = 236, .external_lex_state = 2},
  [1470] = {.lex_state = 236, .external_lex_state = 2},
  [1471] = {.lex_state = 229, .external_lex_state = 2},
  [1472] = {.lex_state = 236, .external_lex_state = 2},
  [1473] = {.lex_state = 230, .external_lex_state = 2},
  [1474] = {.lex_state = 248, .external_lex_state = 2},
  [1475] = {.lex_state = 229, .external_lex_state = 2},
  [1476] = {.lex_state = 248, .external_lex_state = 2},
  [1477] = {.lex_state = 248, .external_lex_state = 2},
  [1478] = {.lex_state = 248, .external_lex_state = 2},
  [1479] = {.lex_state = 236, .external_lex_state = 2},
  [1480] = {.lex_state = 230, .external_lex_state = 2},
  [1481] = {.lex_state = 270, .external_lex_state = 2},
  [1482] = {.lex_state = 230, .external_lex_state = 2},
  [1483] = {.lex_state = 230, .external_lex_state = 2},
  [1484] = {.lex_state = 248, .external_lex_state = 2},
  [1485] = {.lex_state = 229, .external_lex_state = 2},
  [1486] = {.lex_state = 229, .external_lex_state = 2},
  [1487] = {.lex_state = 229, .external_lex_state = 2},
  [1488] = {.lex_state = 229, .external_lex_state = 2},
  [1489] = {.lex_state = 248, .external_lex_state = 2},
  [1490] = {.lex_state = 229, .external_lex_state = 2},
  [1491] = {.lex_state = 230, .external_lex_state = 2},
  [1492] = {.lex_state = 229, .external_lex_state = 2},
  [1493] = {.lex_state = 270, .external_lex_state = 2},
  [1494] = {.lex_state = 236, .external_lex_state = 2},
  [1495] = {.lex_state = 236, .external_lex_state = 2},
  [1496] = {.lex_state = 236, .external_lex_state = 2},
  [1497] = {.lex_state = 230, .external_lex_state = 2},
  [1498] = {.lex_state = 248, .external_lex_state = 2},
  [1499] = {.lex_state = 230, .external_lex_state = 2},
  [1500] = {.lex_state = 248, .external_lex_state = 2},
  [1501] = {.lex_state = 236, .external_lex_state = 2},
  [1502] = {.lex_state = 236, .external_lex_state = 2},
  [1503] = {.lex_state = 230, .external_lex_state = 2},
  [1504] = {.lex_state = 248, .external_lex_state = 2},
  [1505] = {.lex_state = 248, .external_lex_state = 2},
  [1506] = {.lex_state = 248, .external_lex_state = 2},
  [1507] = {.lex_state = 248, .external_lex_state = 2},
  [1508] = {.lex_state = 229, .external_lex_state = 2},
  [1509] = {.lex_state = 229, .external_lex_state = 2},
  [1510] = {.lex_state = 236, .external_lex_state = 2},
  [1511] = {.lex_state = 236, .external_lex_state = 2},
  [1512] = {.lex_state = 236, .external_lex_state = 2},
  [1513] = {.lex_state = 248, .external_lex_state = 2},
  [1514] = {.lex_state = 248, .external_lex_state = 2},
  [1515] = {.lex_state = 248, .external_lex_state = 2},
  [1516] = {.lex_state = 248, .external_lex_state = 2},
  [1517] = {.lex_state = 248, .external_lex_state = 2},
  [1518] = {.lex_state = 229, .external_lex_state = 2},
  [1519] = {.lex_state = 229, .external_lex_state = 2},
  [1520] = {.lex_state = 248, .external_lex_state = 2},
  [1521] = {.lex_state = 248, .external_lex_state = 2},
  [1522] = {.lex_state = 248, .external_lex_state = 2},
  [1523] = {.lex_state = 229, .external_lex_state = 2},
  [1524] = {.lex_state = 230, .external_lex_state = 2},
  [1525] = {.lex_state = 229, .external_lex_state = 2},
  [1526] = {.lex_state = 236, .external_lex_state = 2},
  [1527] = {.lex_state = 230, .external_lex_state = 2},
  [1528] = {.lex_state = 229, .external_lex_state = 2},
  [1529] = {.lex_state = 230, .external_lex_state = 2},
  [1530] = {.lex_state = 230, .external_lex_state = 2},
  [1531] = {.lex_state = 230, .external_lex_state = 2},
  [1532] = {.lex_state = 248, .external_lex_state = 2},
  [1533] = {.lex_state = 229, .external_lex_state = 2},
  [1534] = {.lex_state = 236, .external_lex_state = 2},
  [1535] = {.lex_state = 229, .external_lex_state = 2},
  [1536] = {.lex_state = 229, .external_lex_state = 2},
  [1537] = {.lex_state = 248, .external_lex_state = 2},
  [1538] = {.lex_state = 248, .external_lex_state = 2},
  [1539] = {.lex_state = 230, .external_lex_state = 2},
  [1540] = {.lex_state = 229, .external_lex_state = 2},
  [1541] = {.lex_state = 230, .external_lex_state = 2},
  [1542] = {.lex_state = 230, .external_lex_state = 2},
  [1543] = {.lex_state = 230, .external_lex_state = 2},
  [1544] = {.lex_state = 248, .external_lex_state = 2},
  [1545] = {.lex_state = 236, .external_lex_state = 2},
  [1546] = {.lex_state = 230, .external_lex_state = 2},
  [1547] = {.lex_state = 229, .external_lex_state = 2},
  [1548] = {.lex_state = 230, .external_lex_state = 2},
  [1549] = {.lex_state = 230, .external_lex_state = 2},
  [1550] = {.lex_state = 248, .external_lex_state = 2},
  [1551] = {.lex_state = 236, .external_lex_state = 2},
  [1552] = {.lex_state = 248, .external_lex_state = 2},
  [1553] = {.lex_state = 230, .external_lex_state = 2},
  [1554] = {.lex_state = 248, .external_lex_state = 2},
  [1555] = {.lex_state = 230, .external_lex_state = 2},
  [1556] = {.lex_state = 248, .external_lex_state = 2},
  [1557] = {.lex_state = 248, .external_lex_state = 2},
  [1558] = {.lex_state = 230, .external_lex_state = 2},
  [1559] = {.lex_state = 230, .external_lex_state = 2},
  [1560] = {.lex_state = 230, .external_lex_state = 2},
  [1561] = {.lex_state = 248, .external_lex_state = 2},
  [1562] = {.lex_state = 270, .external_lex_state = 2},
  [1563] = {.lex_state = 270, .external_lex_state = 2},
  [1564] = {.lex_state = 230, .external_lex_state = 2},
  [1565] = {.lex_state = 248, .external_lex_state = 2},
  [1566] = {.lex_state = 230, .external_lex_state = 2},
  [1567] = {.lex_state = 230, .external_lex_state = 2},
  [1568] = {.lex_state = 270, .external_lex_state = 2},
  [1569] = {.lex_state = 270, .external_lex_state = 2},
  [1570] = {.lex_state = 270, .external_lex_state = 2},
  [1571] = {.lex_state = 270, .external_lex_state = 2},
  [1572] = {.lex_state = 270, .external_lex_state = 2},
  [1573] = {.lex_state = 230, .external_lex_state = 2},
  [1574] = {.lex_state = 229, .external_lex_state = 2},
  [1575] = {.lex_state = 248, .external_lex_state = 2},
  [1576] = {.lex_state = 248, .external_lex_state = 2},
  [1577] = {.lex_state = 270, .external_lex_state = 2},
  [1578] = {.lex_state = 270, .external_lex_state = 2},
  [1579] = {.lex_state = 270, .external_lex_state = 2},
  [1580] = {.lex_state = 248, .external_lex_state = 2},
  [1581] = {.lex_state = 270, .external_lex_state = 2},
  [1582] = {.lex_state = 270, .external_lex_state = 2},
  [1583] = {.lex_state = 248, .external_lex_state = 2},
  [1584] = {.lex_state = 230, .external_lex_state = 2},
  [1585] = {.lex_state = 229, .external_lex_state = 2},
  [1586] = {.lex_state = 230, .external_lex_state = 2},
  [1587] = {.lex_state = 229, .external_lex_state = 2},
  [1588] = {.lex_state = 229, .external_lex_state = 2},
  [1589] = {.lex_state = 270, .external_lex_state = 2},
  [1590] = {.lex_state = 229, .external_lex_state = 2},
  [1591] = {.lex_state = 270, .external_lex_state = 2},
  [1592] = {.lex_state = 230, .external_lex_state = 2},
  [1593] = {.lex_state = 248, .external_lex_state = 2},
  [1594] = {.lex_state = 236, .external_lex_state = 2},
  [1595] = {.lex_state = 236, .external_lex_state = 2},
  [1596] = {.lex_state = 236, .external_lex_state = 2},
  [1597] = {.lex_state = 270, .external_lex_state = 2},
  [1598] = {.lex_state = 270, .external_lex_state = 2},
  [1599] = {.lex_state = 236, .external_lex_state = 2},
  [1600] = {.lex_state = 248, .external_lex_state = 2},
  [1601] = {.lex_state = 229, .external_lex_state = 2},
  [1602] = {.lex_state = 248, .external_lex_state = 2},
  [1603] = {.lex_state = 236, .external_lex_state = 2},
  [1604] = {.lex_state = 270, .external_lex_state = 2},
  [1605] = {.lex_state = 270, .external_lex_state = 2},
  [1606] = {.lex_state = 236, .external_lex_state = 2},
  [1607] = {.lex_state = 270, .external_lex_state = 2},
  [1608] = {.lex_state = 229, .external_lex_state = 2},
  [1609] = {.lex_state = 270, .external_lex_state = 2},
  [1610] = {.lex_state = 270, .external_lex_state = 2},
  [1611] = {.lex_state = 230, .external_lex_state = 2},
  [1612] = {.lex_state = 230, .external_lex_state = 2},
  [1613] = {.lex_state = 230, .external_lex_state = 2},
  [1614] = {.lex_state = 229, .external_lex_state = 2},
  [1615] = {.lex_state = 229, .external_lex_state = 2},
  [1616] = {.lex_state = 229, .external_lex_state = 2},
  [1617] = {.lex_state = 270, .external_lex_state = 2},
  [1618] = {.lex_state = 270, .external_lex_state = 2},
  [1619] = {.lex_state = 230, .external_lex_state = 2},
  [1620] = {.lex_state = 230, .external_lex_state = 2},
  [1621] = {.lex_state = 230, .external_lex_state = 2},
  [1622] = {.lex_state = 230, .external_lex_state = 2},
  [1623] = {.lex_state = 230, .external_lex_state = 2},
  [1624] = {.lex_state = 229, .external_lex_state = 2},
  [1625] = {.lex_state = 229, .external_lex_state = 2},
  [1626] = {.lex_state = 236, .external_lex_state = 2},
  [1627] = {.lex_state = 249, .external_lex_state = 2},
  [1628] = {.lex_state = 249, .external_lex_state = 2},
  [1629] = {.lex_state = 249, .external_lex_state = 2},
  [1630] = {.lex_state = 249, .external_lex_state = 2},
  [1631] = {.lex_state = 249, .external_lex_state = 2},
  [1632] = {.lex_state = 249, .external_lex_state = 2},
  [1633] = {.lex_state = 249, .external_lex_state = 2},
  [1634] = {.lex_state = 249, .external_lex_state = 2},
  [1635] = {.lex_state = 249, .external_lex_state = 2},
  [1636] = {.lex_state = 249, .external_lex_state = 2},
  [1637] = {.lex_state = 249, .external_lex_state = 2},
  [1638] = {.lex_state = 249, .external_lex_state = 2},
  [1639] = {.lex_state = 249, .external_lex_state = 2},
  [1640] = {.lex_state = 249, .external_lex_state = 2},
  [1641] = {.lex_state = 249, .external_lex_state = 2},
  [1642] = {.lex_state = 249, .external_lex_state = 2},
  [1643] = {.lex_state = 249, .external_lex_state = 2},
  [1644] = {.lex_state = 249, .external_lex_state = 2},
  [1645] = {.lex_state = 249, .external_lex_state = 2},
  [1646] = {.lex_state = 249, .external_lex_state = 2},
  [1647] = {.lex_state = 249, .external_lex_state = 2},
  [1648] = {.lex_state = 249, .external_lex_state = 2},
  [1649] = {.lex_state = 249, .external_lex_state = 2},
  [1650] = {.lex_state = 249, .external_lex_state = 2},
  [1651] = {.lex_state = 249, .external_lex_state = 2},
  [1652] = {.lex_state = 249, .external_lex_state = 2},
  [1653] = {.lex_state = 249, .external_lex_state = 2},
  [1654] = {.lex_state = 249, .external_lex_state = 2},
  [1655] = {.lex_state = 249, .external_lex_state = 2},
  [1656] = {.lex_state = 249, .external_lex_state = 2},
  [1657] = {.lex_state = 249, .external_lex_state = 2},
  [1658] = {.lex_state = 249, .external_lex_state = 2},
  [1659] = {.lex_state = 249, .external_lex_state = 2},
  [1660] = {.lex_state = 249, .external_lex_state = 2},
  [1661] = {.lex_state = 278, .external_lex_state = 2},
  [1662] = {.lex_state = 279, .external_lex_state = 2},
  [1663] = {.lex_state = 278, .external_lex_state = 3},
  [1664] = {.lex_state = 281, .external_lex_state = 2},
  [1665] = {.lex_state = 283, .external_lex_state = 2},
  [1666] = {.lex_state = 278, .external_lex_state = 2},
  [1667] = {.lex_state = 221, .external_lex_state = 2},
  [1668] = {.lex_state = 221, .external_lex_state = 2},
  [1669] = {.lex_state = 221, .external_lex_state = 2},
  [1670] = {.lex_state = 221, .external_lex_state = 2},
  [1671] = {.lex_state = 221, .external_lex_state = 2},
  [1672] = {.lex_state = 221, .external_lex_state = 2},
  [1673] = {.lex_state = 221, .external_lex_state = 2},
  [1674] = {.lex_state = 221, .external_lex_state = 2},
  [1675] = {.lex_state = 221, .external_lex_state = 2},
  [1676] = {.lex_state = 221, .external_lex_state = 2},
  [1677] = {.lex_state = 221, .external_lex_state = 2},
  [1678] = {.lex_state = 221, .external_lex_state = 2},
  [1679] = {.lex_state = 221, .external_lex_state = 2},
  [1680] = {.lex_state = 221, .external_lex_state = 2},
  [1681] = {.lex_state = 221, .external_lex_state = 2},
  [1682] = {.lex_state = 221, .external_lex_state = 2},
  [1683] = {.lex_state = 232, .external_lex_state = 2},
  [1684] = {.lex_state = 221, .external_lex_state = 2},
  [1685] = {.lex_state = 221, .external_lex_state = 2},
  [1686] = {.lex_state = 219, .external_lex_state = 2},
  [1687] = {.lex_state = 219, .external_lex_state = 2},
  [1688] = {.lex_state = 219, .external_lex_state = 2},
  [1689] = {.lex_state = 219, .external_lex_state = 2},
  [1690] = {.lex_state = 219, .external_lex_state = 2},
  [1691] = {.lex_state = 219, .external_lex_state = 2},
  [1692] = {.lex_state = 219, .external_lex_state = 2},
  [1693] = {.lex_state = 219, .external_lex_state = 2},
  [1694] = {.lex_state = 219, .external_lex_state = 2},
  [1695] = {.lex_state = 219, .external_lex_state = 2},
  [1696] = {.lex_state = 219, .external_lex_state = 2},
  [1697] = {.lex_state = 219, .external_lex_state = 2},
  [1698] = {.lex_state = 219, .external_lex_state = 2},
  [1699] = {.lex_state = 232, .external_lex_state = 2},
  [1700] = {.lex_state = 232, .external_lex_state = 2},
  [1701] = {.lex_state = 232, .external_lex_state = 2},
  [1702] = {.lex_state = 232, .external_lex_state = 2},
  [1703] = {.lex_state = 232, .external_lex_state = 2},
  [1704] = {.lex_state = 232, .external_lex_state = 2},
  [1705] = {.lex_state = 232, .external_lex_state = 2},
  [1706] = {.lex_state = 232, .external_lex_state = 2},
  [1707] = {.lex_state = 232, .external_lex_state = 2},
  [1708] = {.lex_state = 232, .external_lex_state = 2},
  [1709] = {.lex_state = 232, .external_lex_state = 2},
  [1710] = {.lex_state = 232, .external_lex_state = 2},
  [1711] = {.lex_state = 232, .external_lex_state = 2},
  [1712] = {.lex_state = 232, .external_lex_state = 2},
  [1713] = {.lex_state = 232, .external_lex_state = 2},
  [1714] = {.lex_state = 219, .external_lex_state = 2},
  [1715] = {.lex_state = 221, .external_lex_state = 2},
  [1716] = {.lex_state = 221, .external_lex_state = 2},
  [1717] = {.lex_state = 221, .external_lex_state = 2},
  [1718] = {.lex_state = 221, .external_lex_state = 2},
  [1719] = {.lex_state = 221, .external_lex_state = 2},
  [1720] = {.lex_state = 221, .external_lex_state = 2},
  [1721] = {.lex_state = 221, .external_lex_state = 2},
  [1722] = {.lex_state = 221, .external_lex_state = 2},
  [1723] = {.lex_state = 219, .external_lex_state = 2},
  [1724] = {.lex_state = 289, .external_lex_state = 5},
  [1725] = {.lex_state = 289, .external_lex_state = 5},
  [1726] = {.lex_state = 285, .external_lex_state = 6},
  [1727] = {.lex_state = 219, .external_lex_state = 2},
  [1728] = {.lex_state = 221, .external_lex_state = 2},
  [1729] = {.lex_state = 219, .external_lex_state = 2},
  [1730] = {.lex_state = 221, .external_lex_state = 2},
  [1731] = {.lex_state = 219, .external_lex_state = 2},
  [1732] = {.lex_state = 221, .external_lex_state = 2},
  [1733] = {.lex_state = 221, .external_lex_state = 2},
  [1734] = {.lex_state = 219, .external_lex_state = 2},
  [1735] = {.lex_state = 289, .external_lex_state = 5},
  [1736] = {.lex_state = 289, .external_lex_state = 5},
  [1737] = {.lex_state = 289, .external_lex_state = 5},
  [1738] = {.lex_state = 289, .external_lex_state = 5},
  [1739] = {.lex_state = 221, .external_lex_state = 2},
  [1740] = {.lex_state = 221, .external_lex_state = 2},
  [1741] = {.lex_state = 289, .external_lex_state = 5},
  [1742] = {.lex_state = 289, .external_lex_state = 5},
  [1743] = {.lex_state = 221, .external_lex_state = 2},
  [1744] = {.lex_state = 221, .external_lex_state = 2},
  [1745] = {.lex_state = 289, .external_lex_state = 5},
  [1746] = {.lex_state = 289, .external_lex_state = 5},
  [1747] = {.lex_state = 289, .external_lex_state = 5},
  [1748] = {.lex_state = 289, .external_lex_state = 5},
  [1749] = {.lex_state = 289, .external_lex_state = 5},
  [1750] = {.lex_state = 289, .external_lex_state = 5},
  [1751] = {.lex_state = 221, .external_lex_state = 2},
  [1752] = {.lex_state = 221, .external_lex_state = 2},
  [1753] = {.lex_state = 219, .external_lex_state = 2},
  [1754] = {.lex_state = 221, .external_lex_state = 2},
  [1755] = {.lex_state = 289, .external_lex_state = 5},
  [1756] = {.lex_state = 289, .external_lex_state = 5},
  [1757] = {.lex_state = 221, .external_lex_state = 2},
  [1758] = {.lex_state = 289, .external_lex_state = 5},
  [1759] = {.lex_state = 289, .external_lex_state = 5},
  [1760] = {.lex_state = 221, .external_lex_state = 2},
  [1761] = {.lex_state = 219, .external_lex_state = 2},
  [1762] = {.lex_state = 221, .external_lex_state = 2},
  [1763] = {.lex_state = 221, .external_lex_state = 2},
  [1764] = {.lex_state = 222, .external_lex_state = 2},
  [1765] = {.lex_state = 219, .external_lex_state = 2},
  [1766] = {.lex_state = 219, .external_lex_state = 2},
  [1767] = {.lex_state = 219, .external_lex_state = 2},
  [1768] = {.lex_state = 219, .external_lex_state = 2},
  [1769] = {.lex_state = 219, .external_lex_state = 2},
  [1770] = {.lex_state = 219, .external_lex_state = 2},
  [1771] = {.lex_state = 219, .external_lex_state = 2},
  [1772] = {.lex_state = 219, .external_lex_state = 2},
  [1773] = {.lex_state = 219, .external_lex_state = 2},
  [1774] = {.lex_state = 219, .external_lex_state = 2},
  [1775] = {.lex_state = 219, .external_lex_state = 2},
  [1776] = {.lex_state = 232, .external_lex_state = 2},
  [1777] = {.lex_state = 232, .external_lex_state = 2},
  [1778] = {.lex_state = 232, .external_lex_state = 2},
  [1779] = {.lex_state = 219, .external_lex_state = 2},
  [1780] = {.lex_state = 232, .external_lex_state = 2},
  [1781] = {.lex_state = 232, .external_lex_state = 2},
  [1782] = {.lex_state = 232, .external_lex_state = 2},
  [1783] = {.lex_state = 219, .external_lex_state = 2},
  [1784] = {.lex_state = 232, .external_lex_state = 2},
  [1785] = {.lex_state = 219, .external_lex_state = 2},
  [1786] = {.lex_state = 232, .external_lex_state = 2},
  [1787] = {.lex_state = 219, .external_lex_state = 2},
  [1788] = {.lex_state = 232, .external_lex_state = 2},
  [1789] = {.lex_state = 232, .external_lex_state = 2},
  [1790] = {.lex_state = 232, .external_lex_state = 2},
  [1791] = {.lex_state = 232, .external_lex_state = 2},
  [1792] = {.lex_state = 232, .external_lex_state = 2},
  [1793] = {.lex_state = 232, .external_lex_state = 2},
  [1794] = {.lex_state = 232, .external_lex_state = 2},
  [1795] = {.lex_state = 232, .external_lex_state = 2},
  [1796] = {.lex_state = 232, .external_lex_state = 2},
  [1797] = {.lex_state = 232, .external_lex_state = 2},
  [1798] = {.lex_state = 219, .external_lex_state = 2},
  [1799] = {.lex_state = 219, .external_lex_state = 2},
  [1800] = {.lex_state = 300, .external_lex_state = 2},
  [1801] = {.lex_state = 222, .external_lex_state = 2},
  [1802] = {.lex_state = 222, .external_lex_state = 2},
  [1803] = {.lex_state = 222, .external_lex_state = 2},
  [1804] = {.lex_state = 222, .external_lex_state = 2},
  [1805] = {.lex_state = 222, .external_lex_state = 2},
  [1806] = {.lex_state = 222, .external_lex_state = 2},
  [1807] = {.lex_state = 222, .external_lex_state = 2},
  [1808] = {.lex_state = 222, .external_lex_state = 2},
  [1809] = {.lex_state = 222, .external_lex_state = 2},
  [1810] = {.lex_state = 219, .external_lex_state = 2},
  [1811] = {.lex_state = 222, .external_lex_state = 2},
  [1812] = {.lex_state = 222, .external_lex_state = 2},
  [1813] = {.lex_state = 222, .external_lex_state = 2},
  [1814] = {.lex_state = 222, .external_lex_state = 2},
  [1815] = {.lex_state = 222, .external_lex_state = 2},
  [1816] = {.lex_state = 219, .external_lex_state = 2},
  [1817] = {.lex_state = 219, .external_lex_state = 2},
  [1818] = {.lex_state = 219, .external_lex_state = 2},
  [1819] = {.lex_state = 219, .external_lex_state = 2},
  [1820] = {.lex_state = 219, .external_lex_state = 2},
  [1821] = {.lex_state = 219, .external_lex_state = 2},
  [1822] = {.lex_state = 219, .external_lex_state = 2},
  [1823] = {.lex_state = 232, .external_lex_state = 2},
  [1824] = {.lex_state = 232, .external_lex_state = 2},
  [1825] = {.lex_state = 232, .external_lex_state = 2},
  [1826] = {.lex_state = 232, .external_lex_state = 2},
  [1827] = {.lex_state = 232, .external_lex_state = 2},
  [1828] = {.lex_state = 232, .external_lex_state = 2},
  [1829] = {.lex_state = 232, .external_lex_state = 2},
  [1830] = {.lex_state = 300, .external_lex_state = 2},
  [1831] = {.lex_state = 300, .external_lex_state = 2},
  [1832] = {.lex_state = 300, .external_lex_state = 2},
  [1833] = {.lex_state = 300, .external_lex_state = 2},
  [1834] = {.lex_state = 300, .external_lex_state = 2},
  [1835] = {.lex_state = 222, .external_lex_state = 2},
  [1836] = {.lex_state = 222, .external_lex_state = 2},
  [1837] = {.lex_state = 222, .external_lex_state = 2},
  [1838] = {.lex_state = 222, .external_lex_state = 2},
  [1839] = {.lex_state = 222, .external_lex_state = 2},
  [1840] = {.lex_state = 222, .external_lex_state = 2},
  [1841] = {.lex_state = 222, .external_lex_state = 2},
  [1842] = {.lex_state = 222, .external_lex_state = 2},
  [1843] = {.lex_state = 222, .external_lex_state = 2},
  [1844] = {.lex_state = 222, .external_lex_state = 2},
  [1845] = {.lex_state = 222, .external_lex_state = 2},
  [1846] = {.lex_state = 222, .external_lex_state = 2},
  [1847] = {.lex_state = 222, .external_lex_state = 2},
  [1848] = {.lex_state = 222, .external_lex_state = 2},
  [1849] = {.lex_state = 222, .external_lex_state = 2},
  [1850] = {.lex_state = 222, .external_lex_state = 2},
  [1851] = {.lex_state = 222, .external_lex_state = 2},
  [1852] = {.lex_state = 222, .external_lex_state = 2},
  [1853] = {.lex_state = 222, .external_lex_state = 2},
  [1854] = {.lex_state = 222, .external_lex_state = 2},
  [1855] = {.lex_state = 222, .external_lex_state = 2},
  [1856] = {.lex_state = 222, .external_lex_state = 2},
  [1857] = {.lex_state = 222, .external_lex_state = 2},
  [1858] = {.lex_state = 222, .external_lex_state = 2},
  [1859] = {.lex_state = 222, .external_lex_state = 2},
  [1860] = {.lex_state = 222, .external_lex_state = 2},
  [1861] = {.lex_state = 271, .external_lex_state = 2},
  [1862] = {.lex_state = 234, .external_lex_state = 2},
  [1863] = {.lex_state = 234, .external_lex_state = 2},
  [1864] = {.lex_state = 271, .external_lex_state = 2},
  [1865] = {.lex_state = 234, .external_lex_state = 2},
  [1866] = {.lex_state = 271, .external_lex_state = 2},
  [1867] = {.lex_state = 271, .external_lex_state = 2},
  [1868] = {.lex_state = 234, .external_lex_state = 2},
  [1869] = {.lex_state = 234, .external_lex_state = 2},
  [1870] = {.lex_state = 271, .external_lex_state = 2},
  [1871] = {.lex_state = 234, .external_lex_state = 2},
  [1872] = {.lex_state = 271, .external_lex_state = 2},
  [1873] = {.lex_state = 271, .external_lex_state = 2},
  [1874] = {.lex_state = 234, .external_lex_state = 2},
  [1875] = {.lex_state = 234, .external_lex_state = 2},
  [1876] = {.lex_state = 234, .external_lex_state = 2},
  [1877] = {.lex_state = 271, .external_lex_state = 2},
  [1878] = {.lex_state = 234, .external_lex_state = 2},
  [1879] = {.lex_state = 295, .external_lex_state = 2},
  [1880] = {.lex_state = 295, .external_lex_state = 2},
  [1881] = {.lex_state = 271, .external_lex_state = 2},
  [1882] = {.lex_state = 295, .external_lex_state = 2},
  [1883] = {.lex_state = 234, .external_lex_state = 2},
  [1884] = {.lex_state = 234, .external_lex_state = 2},
  [1885] = {.lex_state = 295, .external_lex_state = 2},
  [1886] = {.lex_state = 295, .external_lex_state = 2},
  [1887] = {.lex_state = 295, .external_lex_state = 2},
  [1888] = {.lex_state = 234, .external_lex_state = 2},
  [1889] = {.lex_state = 234, .external_lex_state = 2},
  [1890] = {.lex_state = 234, .external_lex_state = 2},
  [1891] = {.lex_state = 295, .external_lex_state = 2},
  [1892] = {.lex_state = 295, .external_lex_state = 2},
  [1893] = {.lex_state = 271, .external_lex_state = 2},
  [1894] = {.lex_state = 295, .external_lex_state = 2},
  [1895] = {.lex_state = 271, .external_lex_state = 2},
  [1896] = {.lex_state = 271, .external_lex_state = 2},
  [1897] = {.lex_state = 295, .external_lex_state = 2},
  [1898] = {.lex_state = 271, .external_lex_state = 2},
  [1899] = {.lex_state = 271, .external_lex_state = 2},
  [1900] = {.lex_state = 271, .external_lex_state = 2},
  [1901] = {.lex_state = 271, .external_lex_state = 2},
  [1902] = {.lex_state = 234, .external_lex_state = 2},
  [1903] = {.lex_state = 231, .external_lex_state = 2},
  [1904] = {.lex_state = 234, .external_lex_state = 2},
  [1905] = {.lex_state = 237, .external_lex_state = 2},
  [1906] = {.lex_state = 240, .external_lex_state = 2},
  [1907] = {.lex_state = 240, .external_lex_state = 2},
  [1908] = {.lex_state = 240, .external_lex_state = 2},
  [1909] = {.lex_state = 240, .external_lex_state = 2},
  [1910] = {.lex_state = 234, .external_lex_state = 2},
  [1911] = {.lex_state = 240, .external_lex_state = 2},
  [1912] = {.lex_state = 240, .external_lex_state = 2},
  [1913] = {.lex_state = 234, .external_lex_state = 2},
  [1914] = {.lex_state = 234, .external_lex_state = 2},
  [1915] = {.lex_state = 234, .external_lex_state = 2},
  [1916] = {.lex_state = 234, .external_lex_state = 2},
  [1917] = {.lex_state = 234, .external_lex_state = 2},
  [1918] = {.lex_state = 234, .external_lex_state = 2},
  [1919] = {.lex_state = 233, .external_lex_state = 2},
  [1920] = {.lex_state = 234, .external_lex_state = 2},
  [1921] = {.lex_state = 233, .external_lex_state = 2},
  [1922] = {.lex_state = 233, .external_lex_state = 2},
  [1923] = {.lex_state = 233, .external_lex_state = 2},
  [1924] = {.lex_state = 233, .external_lex_state = 2},
  [1925] = {.lex_state = 233, .external_lex_state = 2},
  [1926] = {.lex_state = 233, .external_lex_state = 2},
  [1927] = {.lex_state = 233, .external_lex_state = 2},
  [1928] = {.lex_state = 240, .external_lex_state = 2},
  [1929] = {.lex_state = 234, .external_lex_state = 2},
  [1930] = {.lex_state = 240, .external_lex_state = 2},
  [1931] = {.lex_state = 231, .external_lex_state = 2},
  [1932] = {.lex_state = 234, .external_lex_state = 2},
  [1933] = {.lex_state = 233, .external_lex_state = 2},
  [1934] = {.lex_state = 231, .external_lex_state = 2},
  [1935] = {.lex_state = 234, .external_lex_state = 2},
  [1936] = {.lex_state = 271, .external_lex_state = 2},
  [1937] = {.lex_state = 237, .external_lex_state = 2},
  [1938] = {.lex_state = 233, .external_lex_state = 2},
  [1939] = {.lex_state = 234, .external_lex_state = 2},
  [1940] = {.lex_state = 233, .external_lex_state = 2},
  [1941] = {.lex_state = 234, .external_lex_state = 2},
  [1942] = {.lex_state = 271, .external_lex_state = 2},
  [1943] = {.lex_state = 237, .external_lex_state = 2},
  [1944] = {.lex_state = 271, .external_lex_state = 2},
  [1945] = {.lex_state = 237, .external_lex_state = 2},
  [1946] = {.lex_state = 231, .external_lex_state = 2},
  [1947] = {.lex_state = 231, .external_lex_state = 2},
  [1948] = {.lex_state = 237, .external_lex_state = 2},
  [1949] = {.lex_state = 273, .external_lex_state = 2},
  [1950] = {.lex_state = 273, .external_lex_state = 2},
  [1951] = {.lex_state = 271, .external_lex_state = 2},
  [1952] = {.lex_state = 271, .external_lex_state = 2},
  [1953] = {.lex_state = 271, .external_lex_state = 2},
  [1954] = {.lex_state = 271, .external_lex_state = 2},
  [1955] = {.lex_state = 271, .external_lex_state = 2},
  [1956] = {.lex_state = 271, .external_lex_state = 2},
  [1957] = {.lex_state = 271, .external_lex_state = 2},
  [1958] = {.lex_state = 273, .external_lex_state = 2},
  [1959] = {.lex_state = 273, .external_lex_state = 2},
  [1960] = {.lex_state = 273, .external_lex_state = 2},
  [1961] = {.lex_state = 273, .external_lex_state = 2},
  [1962] = {.lex_state = 273, .external_lex_state = 2},
  [1963] = {.lex_state = 273, .external_lex_state = 2},
  [1964] = {.lex_state = 271, .external_lex_state = 2},
  [1965] = {.lex_state = 237, .external_lex_state = 2},
  [1966] = {.lex_state = 233, .external_lex_state = 2},
  [1967] = {.lex_state = 233, .external_lex_state = 2},
  [1968] = {.lex_state = 231, .external_lex_state = 2},
  [1969] = {.lex_state = 271, .external_lex_state = 2},
  [1970] = {.lex_state = 271, .external_lex_state = 2},
  [1971] = {.lex_state = 231, .external_lex_state = 2},
  [1972] = {.lex_state = 242, .external_lex_state = 2},
  [1973] = {.lex_state = 233, .external_lex_state = 2},
  [1974] = {.lex_state = 233, .external_lex_state = 2},
  [1975] = {.lex_state = 240, .external_lex_state = 2},
  [1976] = {.lex_state = 240, .external_lex_state = 2},
  [1977] = {.lex_state = 237, .external_lex_state = 2},
  [1978] = {.lex_state = 234, .external_lex_state = 2},
  [1979] = {.lex_state = 231, .external_lex_state = 2},
  [1980] = {.lex_state = 242, .external_lex_state = 2},
  [1981] = {.lex_state = 271, .external_lex_state = 2},
  [1982] = {.lex_state = 234, .external_lex_state = 2},
  [1983] = {.lex_state = 233, .external_lex_state = 2},
  [1984] = {.lex_state = 240, .external_lex_state = 2},
  [1985] = {.lex_state = 234, .external_lex_state = 2},
  [1986] = {.lex_state = 240, .external_lex_state = 2},
  [1987] = {.lex_state = 240, .external_lex_state = 2},
  [1988] = {.lex_state = 240, .external_lex_state = 2},
  [1989] = {.lex_state = 237, .external_lex_state = 2},
  [1990] = {.lex_state = 242, .external_lex_state = 2},
  [1991] = {.lex_state = 240, .external_lex_state = 2},
  [1992] = {.lex_state = 231, .external_lex_state = 2},
  [1993] = {.lex_state = 240, .external_lex_state = 2},
  [1994] = {.lex_state = 240, .external_lex_state = 2},
  [1995] = {.lex_state = 237, .external_lex_state = 2},
  [1996] = {.lex_state = 242, .external_lex_state = 2},
  [1997] = {.lex_state = 234, .external_lex_state = 2},
  [1998] = {.lex_state = 240, .external_lex_state = 2},
  [1999] = {.lex_state = 231, .external_lex_state = 2},
  [2000] = {.lex_state = 240, .external_lex_state = 2},
  [2001] = {.lex_state = 240, .external_lex_state = 2},
  [2002] = {.lex_state = 240, .external_lex_state = 2},
  [2003] = {.lex_state = 231, .external_lex_state = 2},
  [2004] = {.lex_state = 242, .external_lex_state = 2},
  [2005] = {.lex_state = 240, .external_lex_state = 2},
  [2006] = {.lex_state = 240, .external_lex_state = 2},
  [2007] = {.lex_state = 234, .external_lex_state = 2},
  [2008] = {.lex_state = 237, .external_lex_state = 2},
  [2009] = {.lex_state = 234, .external_lex_state = 2},
  [2010] = {.lex_state = 295, .external_lex_state = 2},
  [2011] = {.lex_state = 242, .external_lex_state = 2},
  [2012] = {.lex_state = 234, .external_lex_state = 2},
  [2013] = {.lex_state = 234, .external_lex_state = 2},
  [2014] = {.lex_state = 237, .external_lex_state = 2},
  [2015] = {.lex_state = 242, .external_lex_state = 2},
  [2016] = {.lex_state = 234, .external_lex_state = 2},
  [2017] = {.lex_state = 234, .external_lex_state = 2},
  [2018] = {.lex_state = 237, .external_lex_state = 2},
  [2019] = {.lex_state = 273, .external_lex_state = 2},
  [2020] = {.lex_state = 231, .external_lex_state = 2},
  [2021] = {.lex_state = 237, .external_lex_state = 2},
  [2022] = {.lex_state = 242, .external_lex_state = 2},
  [2023] = {.lex_state = 237, .external_lex_state = 2},
  [2024] = {.lex_state = 237, .external_lex_state = 2},
  [2025] = {.lex_state = 231, .external_lex_state = 2},
  [2026] = {.lex_state = 271, .external_lex_state = 2},
  [2027] = {.lex_state = 273, .external_lex_state = 2},
  [2028] = {.lex_state = 237, .external_lex_state = 2},
  [2029] = {.lex_state = 242, .external_lex_state = 2},
  [2030] = {.lex_state = 231, .external_lex_state = 2},
  [2031] = {.lex_state = 237, .external_lex_state = 2},
  [2032] = {.lex_state = 273, .external_lex_state = 2},
  [2033] = {.lex_state = 271, .external_lex_state = 2},
  [2034] = {.lex_state = 242, .external_lex_state = 2},
  [2035] = {.lex_state = 231, .external_lex_state = 2},
  [2036] = {.lex_state = 231, .external_lex_state = 2},
  [2037] = {.lex_state = 271, .external_lex_state = 2},
  [2038] = {.lex_state = 271, .external_lex_state = 2},
  [2039] = {.lex_state = 237, .external_lex_state = 2},
  [2040] = {.lex_state = 242, .external_lex_state = 2},
  [2041] = {.lex_state = 273, .external_lex_state = 2},
  [2042] = {.lex_state = 296, .external_lex_state = 2},
  [2043] = {.lex_state = 242, .external_lex_state = 2},
  [2044] = {.lex_state = 273, .external_lex_state = 2},
  [2045] = {.lex_state = 231, .external_lex_state = 2},
  [2046] = {.lex_state = 242, .external_lex_state = 2},
  [2047] = {.lex_state = 271, .external_lex_state = 2},
  [2048] = {.lex_state = 242, .external_lex_state = 2},
  [2049] = {.lex_state = 271, .external_lex_state = 2},
  [2050] = {.lex_state = 271, .external_lex_state = 2},
  [2051] = {.lex_state = 234, .external_lex_state = 2},
  [2052] = {.lex_state = 242, .external_lex_state = 2},
  [2053] = {.lex_state = 231, .external_lex_state = 2},
  [2054] = {.lex_state = 273, .external_lex_state = 2},
  [2055] = {.lex_state = 273, .external_lex_state = 2},
  [2056] = {.lex_state = 231, .external_lex_state = 2},
  [2057] = {.lex_state = 231, .external_lex_state = 2},
  [2058] = {.lex_state = 231, .external_lex_state = 2},
  [2059] = {.lex_state = 242, .external_lex_state = 2},
  [2060] = {.lex_state = 271, .external_lex_state = 2},
  [2061] = {.lex_state = 271, .external_lex_state = 2},
  [2062] = {.lex_state = 271, .external_lex_state = 2},
  [2063] = {.lex_state = 237, .external_lex_state = 2},
  [2064] = {.lex_state = 271, .external_lex_state = 2},
  [2065] = {.lex_state = 237, .external_lex_state = 2},
  [2066] = {.lex_state = 237, .external_lex_state = 2},
  [2067] = {.lex_state = 237, .external_lex_state = 2},
  [2068] = {.lex_state = 231, .external_lex_state = 2},
  [2069] = {.lex_state = 273, .external_lex_state = 2},
  [2070] = {.lex_state = 237, .external_lex_state = 2},
  [2071] = {.lex_state = 237, .external_lex_state = 2},
  [2072] = {.lex_state = 231, .external_lex_state = 2},
  [2073] = {.lex_state = 231, .external_lex_state = 2},
  [2074] = {.lex_state = 240, .external_lex_state = 2},
  [2075] = {.lex_state = 242, .external_lex_state = 2},
  [2076] = {.lex_state = 245, .external_lex_state = 2},
  [2077] = {.lex_state = 242, .external_lex_state = 2},
  [2078] = {.lex_state = 273, .external_lex_state = 2},
  [2079] = {.lex_state = 245, .external_lex_state = 2},
  [2080] = {.lex_state = 245, .external_lex_state = 2},
  [2081] = {.lex_state = 273, .external_lex_state = 2},
  [2082] = {.lex_state = 238, .external_lex_state = 2},
  [2083] = {.lex_state = 273, .external_lex_state = 2},
  [2084] = {.lex_state = 245, .external_lex_state = 2},
  [2085] = {.lex_state = 245, .external_lex_state = 2},
  [2086] = {.lex_state = 273, .external_lex_state = 2},
  [2087] = {.lex_state = 231, .external_lex_state = 2},
  [2088] = {.lex_state = 273, .external_lex_state = 2},
  [2089] = {.lex_state = 242, .external_lex_state = 2},
  [2090] = {.lex_state = 245, .external_lex_state = 2},
  [2091] = {.lex_state = 245, .external_lex_state = 2},
  [2092] = {.lex_state = 273, .external_lex_state = 2},
  [2093] = {.lex_state = 242, .external_lex_state = 2},
  [2094] = {.lex_state = 273, .external_lex_state = 2},
  [2095] = {.lex_state = 245, .external_lex_state = 2},
  [2096] = {.lex_state = 273, .external_lex_state = 2},
  [2097] = {.lex_state = 246, .external_lex_state = 2},
  [2098] = {.lex_state = 237, .external_lex_state = 2},
  [2099] = {.lex_state = 244, .external_lex_state = 2},
  [2100] = {.lex_state = 237, .external_lex_state = 2},
  [2101] = {.lex_state = 235, .external_lex_state = 2},
  [2102] = {.lex_state = 237, .external_lex_state = 2},
  [2103] = {.lex_state = 237, .external_lex_state = 2},
  [2104] = {.lex_state = 244, .external_lex_state = 2},
  [2105] = {.lex_state = 235, .external_lex_state = 2},
  [2106] = {.lex_state = 235, .external_lex_state = 2},
  [2107] = {.lex_state = 237, .external_lex_state = 2},
  [2108] = {.lex_state = 237, .external_lex_state = 2},
  [2109] = {.lex_state = 235, .external_lex_state = 2},
  [2110] = {.lex_state = 235, .external_lex_state = 2},
  [2111] = {.lex_state = 237, .external_lex_state = 2},
  [2112] = {.lex_state = 235, .external_lex_state = 2},
  [2113] = {.lex_state = 235, .external_lex_state = 2},
  [2114] = {.lex_state = 235, .external_lex_state = 2},
  [2115] = {.lex_state = 231, .external_lex_state = 2},
  [2116] = {.lex_state = 245, .external_lex_state = 2},
  [2117] = {.lex_state = 241, .external_lex_state = 2},
  [2118] = {.lex_state = 245, .external_lex_state = 2},
  [2119] = {.lex_state = 245, .external_lex_state = 2},
  [2120] = {.lex_state = 241, .external_lex_state = 2},
  [2121] = {.lex_state = 241, .external_lex_state = 2},
  [2122] = {.lex_state = 245, .external_lex_state = 2},
  [2123] = {.lex_state = 245, .external_lex_state = 2},
  [2124] = {.lex_state = 241, .external_lex_state = 2},
  [2125] = {.lex_state = 241, .external_lex_state = 2},
  [2126] = {.lex_state = 245, .external_lex_state = 2},
  [2127] = {.lex_state = 245, .external_lex_state = 2},
  [2128] = {.lex_state = 241, .external_lex_state = 2},
  [2129] = {.lex_state = 241, .external_lex_state = 2},
  [2130] = {.lex_state = 245, .external_lex_state = 2},
  [2131] = {.lex_state = 241, .external_lex_state = 2},
  [2132] = {.lex_state = 240, .external_lex_state = 2},
  [2133] = {.lex_state = 240, .external_lex_state = 2},
  [2134] = {.lex_state = 240, .external_lex_state = 2},
  [2135] = {.lex_state = 240, .external_lex_state = 2},
  [2136] = {.lex_state = 240, .external_lex_state = 2},
  [2137] = {.lex_state = 240, .external_lex_state = 2},
  [2138] = {.lex_state = 240, .external_lex_state = 2},
  [2139] = {.lex_state = 231, .external_lex_state = 2},
  [2140] = {.lex_state = 240, .external_lex_state = 2},
  [2141] = {.lex_state = 240, .external_lex_state = 2},
  [2142] = {.lex_state = 233, .external_lex_state = 2},
  [2143] = {.lex_state = 246, .external_lex_state = 2},
  [2144] = {.lex_state = 233, .external_lex_state = 2},
  [2145] = {.lex_state = 246, .external_lex_state = 2},
  [2146] = {.lex_state = 237, .external_lex_state = 2},
  [2147] = {.lex_state = 242, .external_lex_state = 2},
  [2148] = {.lex_state = 237, .external_lex_state = 2},
  [2149] = {.lex_state = 273, .external_lex_state = 2},
  [2150] = {.lex_state = 233, .external_lex_state = 2},
  [2151] = {.lex_state = 237, .external_lex_state = 2},
  [2152] = {.lex_state = 231, .external_lex_state = 2},
  [2153] = {.lex_state = 231, .external_lex_state = 2},
  [2154] = {.lex_state = 233, .external_lex_state = 2},
  [2155] = {.lex_state = 273, .external_lex_state = 2},
  [2156] = {.lex_state = 233, .external_lex_state = 2},
  [2157] = {.lex_state = 242, .external_lex_state = 2},
  [2158] = {.lex_state = 273, .external_lex_state = 2},
  [2159] = {.lex_state = 242, .external_lex_state = 2},
  [2160] = {.lex_state = 237, .external_lex_state = 2},
  [2161] = {.lex_state = 231, .external_lex_state = 2},
  [2162] = {.lex_state = 233, .external_lex_state = 2},
  [2163] = {.lex_state = 237, .external_lex_state = 2},
  [2164] = {.lex_state = 233, .external_lex_state = 2},
  [2165] = {.lex_state = 273, .external_lex_state = 2},
  [2166] = {.lex_state = 273, .external_lex_state = 2},
  [2167] = {.lex_state = 233, .external_lex_state = 2},
  [2168] = {.lex_state = 233, .external_lex_state = 2},
  [2169] = {.lex_state = 233, .external_lex_state = 2},
  [2170] = {.lex_state = 231, .external_lex_state = 2},
  [2171] = {.lex_state = 244, .external_lex_state = 2},
  [2172] = {.lex_state = 241, .external_lex_state = 2},
  [2173] = {.lex_state = 247, .external_lex_state = 2},
  [2174] = {.lex_state = 241, .external_lex_state = 2},
  [2175] = {.lex_state = 241, .external_lex_state = 2},
  [2176] = {.lex_state = 247, .external_lex_state = 2},
  [2177] = {.lex_state = 247, .external_lex_state = 2},
  [2178] = {.lex_state = 241, .external_lex_state = 2},
  [2179] = {.lex_state = 241, .external_lex_state = 2},
  [2180] = {.lex_state = 247, .external_lex_state = 2},
  [2181] = {.lex_state = 247, .external_lex_state = 2},
  [2182] = {.lex_state = 241, .external_lex_state = 2},
  [2183] = {.lex_state = 241, .external_lex_state = 2},
  [2184] = {.lex_state = 247, .external_lex_state = 2},
  [2185] = {.lex_state = 247, .external_lex_state = 2},
  [2186] = {.lex_state = 241, .external_lex_state = 2},
  [2187] = {.lex_state = 247, .external_lex_state = 2},
  [2188] = {.lex_state = 273, .external_lex_state = 2},
  [2189] = {.lex_state = 237, .external_lex_state = 2},
  [2190] = {.lex_state = 273, .external_lex_state = 2},
  [2191] = {.lex_state = 242, .external_lex_state = 2},
  [2192] = {.lex_state = 273, .external_lex_state = 2},
  [2193] = {.lex_state = 273, .external_lex_state = 2},
  [2194] = {.lex_state = 273, .external_lex_state = 2},
  [2195] = {.lex_state = 274, .external_lex_state = 2},
  [2196] = {.lex_state = 231, .external_lex_state = 2},
  [2197] = {.lex_state = 233, .external_lex_state = 2},
  [2198] = {.lex_state = 274, .external_lex_state = 2},
  [2199] = {.lex_state = 274, .external_lex_state = 2},
  [2200] = {.lex_state = 233, .external_lex_state = 2},
  [2201] = {.lex_state = 233, .external_lex_state = 2},
  [2202] = {.lex_state = 274, .external_lex_state = 2},
  [2203] = {.lex_state = 274, .external_lex_state = 2},
  [2204] = {.lex_state = 233, .external_lex_state = 2},
  [2205] = {.lex_state = 233, .external_lex_state = 2},
  [2206] = {.lex_state = 274, .external_lex_state = 2},
  [2207] = {.lex_state = 274, .external_lex_state = 2},
  [2208] = {.lex_state = 233, .external_lex_state = 2},
  [2209] = {.lex_state = 233, .external_lex_state = 2},
  [2210] = {.lex_state = 274, .external_lex_state = 2},
  [2211] = {.lex_state = 233, .external_lex_state = 2},
  [2212] = {.lex_state = 247, .external_lex_state = 2},
  [2213] = {.lex_state = 247, .external_lex_state = 2},
  [2214] = {.lex_state = 247, .external_lex_state = 2},
  [2215] = {.lex_state = 247, .external_lex_state = 2},
  [2216] = {.lex_state = 247, .external_lex_state = 2},
  [2217] = {.lex_state = 247, .external_lex_state = 2},
  [2218] = {.lex_state = 247, .external_lex_state = 2},
  [2219] = {.lex_state = 247, .external_lex_state = 2},
  [2220] = {.lex_state = 231, .external_lex_state = 2},
  [2221] = {.lex_state = 237, .external_lex_state = 2},
  [2222] = {.lex_state = 242, .external_lex_state = 2},
  [2223] = {.lex_state = 274, .external_lex_state = 2},
  [2224] = {.lex_state = 274, .external_lex_state = 2},
  [2225] = {.lex_state = 274, .external_lex_state = 2},
  [2226] = {.lex_state = 274, .external_lex_state = 2},
  [2227] = {.lex_state = 274, .external_lex_state = 2},
  [2228] = {.lex_state = 274, .external_lex_state = 2},
  [2229] = {.lex_state = 274, .external_lex_state = 2},
  [2230] = {.lex_state = 274, .external_lex_state = 2},
  [2231] = {.lex_state = 237, .external_lex_state = 2},
  [2232] = {.lex_state = 237, .external_lex_state = 2},
  [2233] = {.lex_state = 237, .external_lex_state = 2},
  [2234] = {.lex_state = 231, .external_lex_state = 2},
  [2235] = {.lex_state = 237, .external_lex_state = 2},
  [2236] = {.lex_state = 237, .external_lex_state = 2},
  [2237] = {.lex_state = 237, .external_lex_state = 2},
  [2238] = {.lex_state = 231, .external_lex_state = 2},
  [2239] = {.lex_state = 231, .external_lex_state = 2},
  [2240] = {.lex_state = 231, .external_lex_state = 2},
  [2241] = {.lex_state = 231, .external_lex_state = 2},
  [2242] = {.lex_state = 231, .external_lex_state = 2},
  [2243] = {.lex_state = 231, .external_lex_state = 2},
  [2244] = {.lex_state = 231, .external_lex_state = 2},
  [2245] = {.lex_state = 242, .external_lex_state = 2},
  [2246] = {.lex_state = 231, .external_lex_state = 2},
  [2247] = {.lex_state = 231, .external_lex_state = 2},
  [2248] = {.lex_state = 238, .external_lex_state = 2},
  [2249] = {.lex_state = 231, .external_lex_state = 2},
  [2250] = {.lex_state = 231, .external_lex_state = 2},
  [2251] = {.lex_state = 242, .external_lex_state = 2},
  [2252] = {.lex_state = 244, .external_lex_state = 2},
  [2253] = {.lex_state = 242, .external_lex_state = 2},
  [2254] = {.lex_state = 273, .external_lex_state = 2},
  [2255] = {.lex_state = 273, .external_lex_state = 2},
  [2256] = {.lex_state = 273, .external_lex_state = 2},
  [2257] = {.lex_state = 273, .external_lex_state = 2},
  [2258] = {.lex_state = 273, .external_lex_state = 2},
  [2259] = {.lex_state = 273, .external_lex_state = 2},
  [2260] = {.lex_state = 273, .external_lex_state = 2},
  [2261] = {.lex_state = 231, .external_lex_state = 2},
  [2262] = {.lex_state = 242, .external_lex_state = 2},
  [2263] = {.lex_state = 231, .external_lex_state = 2},
  [2264] = {.lex_state = 231, .external_lex_state = 2},
  [2265] = {.lex_state = 237, .external_lex_state = 2},
  [2266] = {.lex_state = 240, .external_lex_state = 2},
  [2267] = {.lex_state = 240, .external_lex_state = 2},
  [2268] = {.lex_state = 240, .external_lex_state = 2},
  [2269] = {.lex_state = 240, .external_lex_state = 2},
  [2270] = {.lex_state = 240, .external_lex_state = 2},
  [2271] = {.lex_state = 240, .external_lex_state = 2},
  [2272] = {.lex_state = 240, .external_lex_state = 2},
  [2273] = {.lex_state = 233, .external_lex_state = 2},
  [2274] = {.lex_state = 233, .external_lex_state = 2},
  [2275] = {.lex_state = 233, .external_lex_state = 2},
  [2276] = {.lex_state = 233, .external_lex_state = 2},
  [2277] = {.lex_state = 233, .external_lex_state = 2},
  [2278] = {.lex_state = 233, .external_lex_state = 2},
  [2279] = {.lex_state = 233, .external_lex_state = 2},
  [2280] = {.lex_state = 238, .external_lex_state = 2},
  [2281] = {.lex_state = 242, .external_lex_state = 2},
  [2282] = {.lex_state = 246, .external_lex_state = 2},
  [2283] = {.lex_state = 246, .external_lex_state = 2},
  [2284] = {.lex_state = 244, .external_lex_state = 2},
  [2285] = {.lex_state = 244, .external_lex_state = 2},
  [2286] = {.lex_state = 242, .external_lex_state = 2},
  [2287] = {.lex_state = 242, .external_lex_state = 2},
  [2288] = {.lex_state = 240, .external_lex_state = 2},
  [2289] = {.lex_state = 240, .external_lex_state = 2},
  [2290] = {.lex_state = 246, .external_lex_state = 2},
  [2291] = {.lex_state = 246, .external_lex_state = 2},
  [2292] = {.lex_state = 237, .external_lex_state = 2},
  [2293] = {.lex_state = 244, .external_lex_state = 2},
  [2294] = {.lex_state = 237, .external_lex_state = 2},
  [2295] = {.lex_state = 240, .external_lex_state = 2},
  [2296] = {.lex_state = 237, .external_lex_state = 2},
  [2297] = {.lex_state = 240, .external_lex_state = 2},
  [2298] = {.lex_state = 231, .external_lex_state = 2},
  [2299] = {.lex_state = 240, .external_lex_state = 2},
  [2300] = {.lex_state = 238, .external_lex_state = 2},
  [2301] = {.lex_state = 240, .external_lex_state = 2},
  [2302] = {.lex_state = 246, .external_lex_state = 2},
  [2303] = {.lex_state = 244, .external_lex_state = 2},
  [2304] = {.lex_state = 240, .external_lex_state = 2},
  [2305] = {.lex_state = 244, .external_lex_state = 2},
  [2306] = {.lex_state = 240, .external_lex_state = 2},
  [2307] = {.lex_state = 242, .external_lex_state = 2},
  [2308] = {.lex_state = 237, .external_lex_state = 2},
  [2309] = {.lex_state = 240, .external_lex_state = 2},
  [2310] = {.lex_state = 240, .external_lex_state = 2},
  [2311] = {.lex_state = 235, .external_lex_state = 2},
  [2312] = {.lex_state = 240, .external_lex_state = 2},
  [2313] = {.lex_state = 240, .external_lex_state = 2},
  [2314] = {.lex_state = 240, .external_lex_state = 2},
  [2315] = {.lex_state = 240, .external_lex_state = 2},
  [2316] = {.lex_state = 242, .external_lex_state = 2},
  [2317] = {.lex_state = 240, .external_lex_state = 2},
  [2318] = {.lex_state = 240, .external_lex_state = 2},
  [2319] = {.lex_state = 235, .external_lex_state = 2},
  [2320] = {.lex_state = 231, .external_lex_state = 2},
  [2321] = {.lex_state = 246, .external_lex_state = 2},
  [2322] = {.lex_state = 244, .external_lex_state = 2},
  [2323] = {.lex_state = 244, .external_lex_state = 2},
  [2324] = {.lex_state = 235, .external_lex_state = 2},
  [2325] = {.lex_state = 243, .external_lex_state = 2},
  [2326] = {.lex_state = 246, .external_lex_state = 2},
  [2327] = {.lex_state = 231, .external_lex_state = 2},
  [2328] = {.lex_state = 246, .external_lex_state = 2},
  [2329] = {.lex_state = 231, .external_lex_state = 2},
  [2330] = {.lex_state = 235, .external_lex_state = 2},
  [2331] = {.lex_state = 243, .external_lex_state = 2},
  [2332] = {.lex_state = 243, .external_lex_state = 2},
  [2333] = {.lex_state = 242, .external_lex_state = 2},
  [2334] = {.lex_state = 246, .external_lex_state = 2},
  [2335] = {.lex_state = 235, .external_lex_state = 2},
  [2336] = {.lex_state = 238, .external_lex_state = 2},
  [2337] = {.lex_state = 238, .external_lex_state = 2},
  [2338] = {.lex_state = 237, .external_lex_state = 2},
  [2339] = {.lex_state = 246, .external_lex_state = 2},
  [2340] = {.lex_state = 243, .external_lex_state = 2},
  [2341] = {.lex_state = 243, .external_lex_state = 2},
  [2342] = {.lex_state = 235, .external_lex_state = 2},
  [2343] = {.lex_state = 237, .external_lex_state = 2},
  [2344] = {.lex_state = 235, .external_lex_state = 2},
  [2345] = {.lex_state = 246, .external_lex_state = 2},
  [2346] = {.lex_state = 244, .external_lex_state = 2},
  [2347] = {.lex_state = 246, .external_lex_state = 2},
  [2348] = {.lex_state = 243, .external_lex_state = 2},
  [2349] = {.lex_state = 243, .external_lex_state = 2},
  [2350] = {.lex_state = 246, .external_lex_state = 2},
  [2351] = {.lex_state = 235, .external_lex_state = 2},
  [2352] = {.lex_state = 243, .external_lex_state = 2},
  [2353] = {.lex_state = 244, .external_lex_state = 2},
  [2354] = {.lex_state = 244, .external_lex_state = 2},
  [2355] = {.lex_state = 238, .external_lex_state = 2},
  [2356] = {.lex_state = 242, .external_lex_state = 2},
  [2357] = {.lex_state = 238, .external_lex_state = 2},
  [2358] = {.lex_state = 237, .external_lex_state = 2},
  [2359] = {.lex_state = 237, .external_lex_state = 2},
  [2360] = {.lex_state = 242, .external_lex_state = 2},
  [2361] = {.lex_state = 237, .external_lex_state = 2},
  [2362] = {.lex_state = 243, .external_lex_state = 2},
  [2363] = {.lex_state = 242, .external_lex_state = 2},
  [2364] = {.lex_state = 242, .external_lex_state = 2},
  [2365] = {.lex_state = 242, .external_lex_state = 2},
  [2366] = {.lex_state = 238, .external_lex_state = 2},
  [2367] = {.lex_state = 243, .external_lex_state = 2},
  [2368] = {.lex_state = 243, .external_lex_state = 2},
  [2369] = {.lex_state = 231, .external_lex_state = 2},
  [2370] = {.lex_state = 231, .external_lex_state = 2},
  [2371] = {.lex_state = 244, .external_lex_state = 2},
  [2372] = {.lex_state = 238, .external_lex_state = 2},
  [2373] = {.lex_state = 238, .external_lex_state = 2},
  [2374] = {.lex_state = 243, .external_lex_state = 2},
  [2375] = {.lex_state = 244, .external_lex_state = 2},
  [2376] = {.lex_state = 243, .external_lex_state = 2},
  [2377] = {.lex_state = 238, .external_lex_state = 2},
  [2378] = {.lex_state = 238, .external_lex_state = 2},
  [2379] = {.lex_state = 243, .external_lex_state = 2},
  [2380] = {.lex_state = 243, .external_lex_state = 2},
  [2381] = {.lex_state = 238, .external_lex_state = 2},
  [2382] = {.lex_state = 238, .external_lex_state = 2},
  [2383] = {.lex_state = 243, .external_lex_state = 2},
  [2384] = {.lex_state = 238, .external_lex_state = 2},
  [2385] = {.lex_state = 242, .external_lex_state = 2},
  [2386] = {.lex_state = 231, .external_lex_state = 2},
  [2387] = {.lex_state = 231, .external_lex_state = 2},
  [2388] = {.lex_state = 231, .external_lex_state = 2},
  [2389] = {.lex_state = 237, .external_lex_state = 2},
  [2390] = {.lex_state = 237, .external_lex_state = 2},
  [2391] = {.lex_state = 240, .external_lex_state = 2},
  [2392] = {.lex_state = 237, .external_lex_state = 2},
  [2393] = {.lex_state = 235, .external_lex_state = 2},
  [2394] = {.lex_state = 238, .external_lex_state = 2},
  [2395] = {.lex_state = 245, .external_lex_state = 2},
  [2396] = {.lex_state = 241, .external_lex_state = 2},
  [2397] = {.lex_state = 245, .external_lex_state = 2},
  [2398] = {.lex_state = 241, .external_lex_state = 2},
  [2399] = {.lex_state = 235, .external_lex_state = 2},
  [2400] = {.lex_state = 235, .external_lex_state = 2},
  [2401] = {.lex_state = 235, .external_lex_state = 2},
  [2402] = {.lex_state = 235, .external_lex_state = 2},
  [2403] = {.lex_state = 235, .external_lex_state = 2},
  [2404] = {.lex_state = 235, .external_lex_state = 2},
  [2405] = {.lex_state = 235, .external_lex_state = 2},
  [2406] = {.lex_state = 245, .external_lex_state = 2},
  [2407] = {.lex_state = 245, .external_lex_state = 2},
  [2408] = {.lex_state = 245, .external_lex_state = 2},
  [2409] = {.lex_state = 247, .external_lex_state = 2},
  [2410] = {.lex_state = 245, .external_lex_state = 2},
  [2411] = {.lex_state = 245, .external_lex_state = 2},
  [2412] = {.lex_state = 245, .external_lex_state = 2},
  [2413] = {.lex_state = 241, .external_lex_state = 2},
  [2414] = {.lex_state = 245, .external_lex_state = 2},
  [2415] = {.lex_state = 247, .external_lex_state = 2},
  [2416] = {.lex_state = 241, .external_lex_state = 2},
  [2417] = {.lex_state = 241, .external_lex_state = 2},
  [2418] = {.lex_state = 238, .external_lex_state = 2},
  [2419] = {.lex_state = 241, .external_lex_state = 2},
  [2420] = {.lex_state = 247, .external_lex_state = 2},
  [2421] = {.lex_state = 238, .external_lex_state = 2},
  [2422] = {.lex_state = 247, .external_lex_state = 2},
  [2423] = {.lex_state = 238, .external_lex_state = 2},
  [2424] = {.lex_state = 241, .external_lex_state = 2},
  [2425] = {.lex_state = 238, .external_lex_state = 2},
  [2426] = {.lex_state = 241, .external_lex_state = 2},
  [2427] = {.lex_state = 241, .external_lex_state = 2},
  [2428] = {.lex_state = 241, .external_lex_state = 2},
  [2429] = {.lex_state = 241, .external_lex_state = 2},
  [2430] = {.lex_state = 241, .external_lex_state = 2},
  [2431] = {.lex_state = 241, .external_lex_state = 2},
  [2432] = {.lex_state = 241, .external_lex_state = 2},
  [2433] = {.lex_state = 241, .external_lex_state = 2},
  [2434] = {.lex_state = 247, .external_lex_state = 2},
  [2435] = {.lex_state = 238, .external_lex_state = 2},
  [2436] = {.lex_state = 247, .external_lex_state = 2},
  [2437] = {.lex_state = 238, .external_lex_state = 2},
  [2438] = {.lex_state = 241, .external_lex_state = 2},
  [2439] = {.lex_state = 235, .external_lex_state = 2},
  [2440] = {.lex_state = 241, .external_lex_state = 2},
  [2441] = {.lex_state = 247, .external_lex_state = 2},
  [2442] = {.lex_state = 239, .external_lex_state = 2},
  [2443] = {.lex_state = 247, .external_lex_state = 2},
  [2444] = {.lex_state = 241, .external_lex_state = 2},
  [2445] = {.lex_state = 247, .external_lex_state = 2},
  [2446] = {.lex_state = 247, .external_lex_state = 2},
  [2447] = {.lex_state = 247, .external_lex_state = 2},
  [2448] = {.lex_state = 247, .external_lex_state = 2},
  [2449] = {.lex_state = 247, .external_lex_state = 2},
  [2450] = {.lex_state = 247, .external_lex_state = 2},
  [2451] = {.lex_state = 247, .external_lex_state = 2},
  [2452] = {.lex_state = 247, .external_lex_state = 2},
  [2453] = {.lex_state = 238, .external_lex_state = 2},
  [2454] = {.lex_state = 243, .external_lex_state = 2},
  [2455] = {.lex_state = 274, .external_lex_state = 2},
  [2456] = {.lex_state = 274, .external_lex_state = 2},
  [2457] = {.lex_state = 274, .external_lex_state = 2},
  [2458] = {.lex_state = 274, .external_lex_state = 2},
  [2459] = {.lex_state = 274, .external_lex_state = 2},
  [2460] = {.lex_state = 274, .external_lex_state = 2},
  [2461] = {.lex_state = 274, .external_lex_state = 2},
  [2462] = {.lex_state = 244, .external_lex_state = 2},
  [2463] = {.lex_state = 238, .external_lex_state = 2},
  [2464] = {.lex_state = 246, .external_lex_state = 2},
  [2465] = {.lex_state = 239, .external_lex_state = 2},
  [2466] = {.lex_state = 246, .external_lex_state = 2},
  [2467] = {.lex_state = 235, .external_lex_state = 2},
  [2468] = {.lex_state = 243, .external_lex_state = 2},
  [2469] = {.lex_state = 244, .external_lex_state = 2},
  [2470] = {.lex_state = 243, .external_lex_state = 2},
  [2471] = {.lex_state = 239, .external_lex_state = 2},
  [2472] = {.lex_state = 244, .external_lex_state = 2},
  [2473] = {.lex_state = 243, .external_lex_state = 2},
  [2474] = {.lex_state = 286, .external_lex_state = 6},
  [2475] = {.lex_state = 239, .external_lex_state = 2},
  [2476] = {.lex_state = 239, .external_lex_state = 2},
  [2477] = {.lex_state = 239, .external_lex_state = 2},
  [2478] = {.lex_state = 235, .external_lex_state = 2},
  [2479] = {.lex_state = 246, .external_lex_state = 2},
  [2480] = {.lex_state = 246, .external_lex_state = 2},
  [2481] = {.lex_state = 239, .external_lex_state = 2},
  [2482] = {.lex_state = 244, .external_lex_state = 2},
  [2483] = {.lex_state = 239, .external_lex_state = 2},
  [2484] = {.lex_state = 244, .external_lex_state = 2},
  [2485] = {.lex_state = 235, .external_lex_state = 2},
  [2486] = {.lex_state = 239, .external_lex_state = 2},
  [2487] = {.lex_state = 243, .external_lex_state = 2},
  [2488] = {.lex_state = 239, .external_lex_state = 2},
  [2489] = {.lex_state = 243, .external_lex_state = 2},
  [2490] = {.lex_state = 286, .external_lex_state = 6},
  [2491] = {.lex_state = 239, .external_lex_state = 2},
  [2492] = {.lex_state = 246, .external_lex_state = 2},
  [2493] = {.lex_state = 246, .external_lex_state = 2},
  [2494] = {.lex_state = 238, .external_lex_state = 2},
  [2495] = {.lex_state = 244, .external_lex_state = 2},
  [2496] = {.lex_state = 274, .external_lex_state = 2},
  [2497] = {.lex_state = 245, .external_lex_state = 2},
  [2498] = {.lex_state = 274, .external_lex_state = 2},
  [2499] = {.lex_state = 239, .external_lex_state = 2},
  [2500] = {.lex_state = 239, .external_lex_state = 2},
  [2501] = {.lex_state = 274, .external_lex_state = 2},
  [2502] = {.lex_state = 246, .external_lex_state = 2},
  [2503] = {.lex_state = 244, .external_lex_state = 2},
  [2504] = {.lex_state = 244, .external_lex_state = 2},
  [2505] = {.lex_state = 243, .external_lex_state = 2},
  [2506] = {.lex_state = 244, .external_lex_state = 2},
  [2507] = {.lex_state = 274, .external_lex_state = 2},
  [2508] = {.lex_state = 274, .external_lex_state = 2},
  [2509] = {.lex_state = 239, .external_lex_state = 2},
  [2510] = {.lex_state = 246, .external_lex_state = 2},
  [2511] = {.lex_state = 246, .external_lex_state = 2},
  [2512] = {.lex_state = 239, .external_lex_state = 2},
  [2513] = {.lex_state = 235, .external_lex_state = 2},
  [2514] = {.lex_state = 274, .external_lex_state = 2},
  [2515] = {.lex_state = 235, .external_lex_state = 2},
  [2516] = {.lex_state = 274, .external_lex_state = 2},
  [2517] = {.lex_state = 244, .external_lex_state = 2},
  [2518] = {.lex_state = 245, .external_lex_state = 2},
  [2519] = {.lex_state = 244, .external_lex_state = 2},
  [2520] = {.lex_state = 274, .external_lex_state = 2},
  [2521] = {.lex_state = 244, .external_lex_state = 2},
  [2522] = {.lex_state = 239, .external_lex_state = 2},
  [2523] = {.lex_state = 274, .external_lex_state = 2},
  [2524] = {.lex_state = 238, .external_lex_state = 2},
  [2525] = {.lex_state = 235, .external_lex_state = 2},
  [2526] = {.lex_state = 274, .external_lex_state = 2},
  [2527] = {.lex_state = 246, .external_lex_state = 2},
  [2528] = {.lex_state = 244, .external_lex_state = 2},
  [2529] = {.lex_state = 243, .external_lex_state = 2},
  [2530] = {.lex_state = 235, .external_lex_state = 2},
  [2531] = {.lex_state = 246, .external_lex_state = 2},
  [2532] = {.lex_state = 286, .external_lex_state = 6},
  [2533] = {.lex_state = 247, .external_lex_state = 2},
  [2534] = {.lex_state = 247, .external_lex_state = 2},
  [2535] = {.lex_state = 235, .external_lex_state = 2},
  [2536] = {.lex_state = 238, .external_lex_state = 2},
  [2537] = {.lex_state = 247, .external_lex_state = 2},
  [2538] = {.lex_state = 246, .external_lex_state = 2},
  [2539] = {.lex_state = 246, .external_lex_state = 2},
  [2540] = {.lex_state = 247, .external_lex_state = 2},
  [2541] = {.lex_state = 235, .external_lex_state = 2},
  [2542] = {.lex_state = 243, .external_lex_state = 2},
  [2543] = {.lex_state = 241, .external_lex_state = 2},
  [2544] = {.lex_state = 243, .external_lex_state = 2},
  [2545] = {.lex_state = 247, .external_lex_state = 2},
  [2546] = {.lex_state = 241, .external_lex_state = 2},
  [2547] = {.lex_state = 247, .external_lex_state = 2},
  [2548] = {.lex_state = 235, .external_lex_state = 2},
  [2549] = {.lex_state = 246, .external_lex_state = 2},
  [2550] = {.lex_state = 286, .external_lex_state = 6},
  [2551] = {.lex_state = 245, .external_lex_state = 2},
  [2552] = {.lex_state = 247, .external_lex_state = 2},
  [2553] = {.lex_state = 247, .external_lex_state = 2},
  [2554] = {.lex_state = 246, .external_lex_state = 2},
  [2555] = {.lex_state = 246, .external_lex_state = 2},
  [2556] = {.lex_state = 243, .external_lex_state = 2},
  [2557] = {.lex_state = 246, .external_lex_state = 2},
  [2558] = {.lex_state = 243, .external_lex_state = 2},
  [2559] = {.lex_state = 246, .external_lex_state = 2},
  [2560] = {.lex_state = 244, .external_lex_state = 2},
  [2561] = {.lex_state = 246, .external_lex_state = 2},
  [2562] = {.lex_state = 246, .external_lex_state = 2},
  [2563] = {.lex_state = 235, .external_lex_state = 2},
  [2564] = {.lex_state = 246, .external_lex_state = 2},
  [2565] = {.lex_state = 244, .external_lex_state = 2},
  [2566] = {.lex_state = 246, .external_lex_state = 2},
  [2567] = {.lex_state = 235, .external_lex_state = 2},
  [2568] = {.lex_state = 238, .external_lex_state = 2},
  [2569] = {.lex_state = 243, .external_lex_state = 2},
  [2570] = {.lex_state = 246, .external_lex_state = 2},
  [2571] = {.lex_state = 243, .external_lex_state = 2},
  [2572] = {.lex_state = 246, .external_lex_state = 2},
  [2573] = {.lex_state = 244, .external_lex_state = 2},
  [2574] = {.lex_state = 245, .external_lex_state = 2},
  [2575] = {.lex_state = 246, .external_lex_state = 2},
  [2576] = {.lex_state = 243, .external_lex_state = 2},
  [2577] = {.lex_state = 235, .external_lex_state = 2},
  [2578] = {.lex_state = 244, .external_lex_state = 2},
  [2579] = {.lex_state = 238, .external_lex_state = 2},
  [2580] = {.lex_state = 286, .external_lex_state = 6},
  [2581] = {.lex_state = 243, .external_lex_state = 2},
  [2582] = {.lex_state = 244, .external_lex_state = 2},
  [2583] = {.lex_state = 286, .external_lex_state = 6},
  [2584] = {.lex_state = 245, .external_lex_state = 2},
  [2585] = {.lex_state = 245, .external_lex_state = 2},
  [2586] = {.lex_state = 243, .external_lex_state = 2},
  [2587] = {.lex_state = 286, .external_lex_state = 6},
  [2588] = {.lex_state = 245, .external_lex_state = 2},
  [2589] = {.lex_state = 245, .external_lex_state = 2},
  [2590] = {.lex_state = 241, .external_lex_state = 2},
  [2591] = {.lex_state = 274, .external_lex_state = 2},
  [2592] = {.lex_state = 274, .external_lex_state = 2},
  [2593] = {.lex_state = 235, .external_lex_state = 2},
  [2594] = {.lex_state = 274, .external_lex_state = 2},
  [2595] = {.lex_state = 286, .external_lex_state = 6},
  [2596] = {.lex_state = 245, .external_lex_state = 2},
  [2597] = {.lex_state = 274, .external_lex_state = 2},
  [2598] = {.lex_state = 243, .external_lex_state = 2},
  [2599] = {.lex_state = 238, .external_lex_state = 2},
  [2600] = {.lex_state = 274, .external_lex_state = 2},
  [2601] = {.lex_state = 244, .external_lex_state = 2},
  [2602] = {.lex_state = 245, .external_lex_state = 2},
  [2603] = {.lex_state = 244, .external_lex_state = 2},
  [2604] = {.lex_state = 274, .external_lex_state = 2},
  [2605] = {.lex_state = 238, .external_lex_state = 2},
  [2606] = {.lex_state = 244, .external_lex_state = 2},
  [2607] = {.lex_state = 243, .external_lex_state = 2},
  [2608] = {.lex_state = 274, .external_lex_state = 2},
  [2609] = {.lex_state = 274, .external_lex_state = 2},
  [2610] = {.lex_state = 243, .external_lex_state = 2},
  [2611] = {.lex_state = 241, .external_lex_state = 2},
  [2612] = {.lex_state = 238, .external_lex_state = 2},
  [2613] = {.lex_state = 244, .external_lex_state = 2},
  [2614] = {.lex_state = 238, .external_lex_state = 2},
  [2615] = {.lex_state = 241, .external_lex_state = 2},
  [2616] = {.lex_state = 243, .external_lex_state = 2},
  [2617] = {.lex_state = 244, .external_lex_state = 2},
  [2618] = {.lex_state = 243, .external_lex_state = 2},
  [2619] = {.lex_state = 245, .external_lex_state = 2},
  [2620] = {.lex_state = 238, .external_lex_state = 2},
  [2621] = {.lex_state = 244, .external_lex_state = 2},
  [2622] = {.lex_state = 238, .external_lex_state = 2},
  [2623] = {.lex_state = 245, .external_lex_state = 2},
  [2624] = {.lex_state = 243, .external_lex_state = 2},
  [2625] = {.lex_state = 235, .external_lex_state = 2},
  [2626] = {.lex_state = 243, .external_lex_state = 2},
  [2627] = {.lex_state = 238, .external_lex_state = 2},
  [2628] = {.lex_state = 241, .external_lex_state = 2},
  [2629] = {.lex_state = 238, .external_lex_state = 2},
  [2630] = {.lex_state = 243, .external_lex_state = 2},
  [2631] = {.lex_state = 238, .external_lex_state = 2},
  [2632] = {.lex_state = 245, .external_lex_state = 2},
  [2633] = {.lex_state = 245, .external_lex_state = 2},
  [2634] = {.lex_state = 238, .external_lex_state = 2},
  [2635] = {.lex_state = 286, .external_lex_state = 6},
  [2636] = {.lex_state = 238, .external_lex_state = 2},
  [2637] = {.lex_state = 241, .external_lex_state = 2},
  [2638] = {.lex_state = 235, .external_lex_state = 2},
  [2639] = {.lex_state = 247, .external_lex_state = 2},
  [2640] = {.lex_state = 244, .external_lex_state = 2},
  [2641] = {.lex_state = 245, .external_lex_state = 2},
  [2642] = {.lex_state = 245, .external_lex_state = 2},
  [2643] = {.lex_state = 239, .external_lex_state = 2},
  [2644] = {.lex_state = 286, .external_lex_state = 5},
  [2645] = {.lex_state = 239, .external_lex_state = 2},
  [2646] = {.lex_state = 239, .external_lex_state = 2},
  [2647] = {.lex_state = 239, .external_lex_state = 2},
  [2648] = {.lex_state = 239, .external_lex_state = 2},
  [2649] = {.lex_state = 239, .external_lex_state = 2},
  [2650] = {.lex_state = 239, .external_lex_state = 2},
  [2651] = {.lex_state = 239, .external_lex_state = 2},
  [2652] = {.lex_state = 239, .external_lex_state = 2},
  [2653] = {.lex_state = 239, .external_lex_state = 2},
  [2654] = {.lex_state = 239, .external_lex_state = 2},
  [2655] = {.lex_state = 239, .external_lex_state = 2},
  [2656] = {.lex_state = 239, .external_lex_state = 2},
  [2657] = {.lex_state = 239, .external_lex_state = 2},
  [2658] = {.lex_state = 239, .external_lex_state = 2},
  [2659] = {.lex_state = 239, .external_lex_state = 2},
  [2660] = {.lex_state = 239, .external_lex_state = 2},
  [2661] = {.lex_state = 239, .external_lex_state = 2},
  [2662] = {.lex_state = 239, .external_lex_state = 2},
  [2663] = {.lex_state = 239, .external_lex_state = 2},
  [2664] = {.lex_state = 239, .external_lex_state = 2},
  [2665] = {.lex_state = 239, .external_lex_state = 2},
  [2666] = {.lex_state = 239, .external_lex_state = 2},
  [2667] = {.lex_state = 239, .external_lex_state = 2},
  [2668] = {.lex_state = 239, .external_lex_state = 2},
  [2669] = {.lex_state = 294, .external_lex_state = 2},
  [2670] = {.lex_state = 286, .external_lex_state = 6},
  [2671] = {.lex_state = 276, .external_lex_state = 4},
  [2672] = {.lex_state = 294, .external_lex_state = 2},
  [2673] = {.lex_state = 276, .external_lex_state = 4},
  [2674] = {.lex_state = 276, .external_lex_state = 4},
  [2675] = {.lex_state = 294, .external_lex_state = 2},
  [2676] = {.lex_state = 276, .external_lex_state = 4},
  [2677] = {.lex_state = 294, .external_lex_state = 2},
  [2678] = {.lex_state = 276, .external_lex_state = 4},
  [2679] = {.lex_state = 251, .external_lex_state = 4},
  [2680] = {.lex_state = 225, .external_lex_state = 4},
  [2681] = {.lex_state = 225, .external_lex_state = 4},
  [2682] = {.lex_state = 276, .external_lex_state = 4},
  [2683] = {.lex_state = 286, .external_lex_state = 6},
  [2684] = {.lex_state = 276, .external_lex_state = 4},
  [2685] = {.lex_state = 276, .external_lex_state = 4},
  [2686] = {.lex_state = 276, .external_lex_state = 4},
  [2687] = {.lex_state = 276, .external_lex_state = 4},
  [2688] = {.lex_state = 276, .external_lex_state = 4},
  [2689] = {.lex_state = 276, .external_lex_state = 4},
  [2690] = {.lex_state = 276, .external_lex_state = 4},
  [2691] = {.lex_state = 276, .external_lex_state = 4},
  [2692] = {.lex_state = 276, .external_lex_state = 4},
  [2693] = {.lex_state = 251, .external_lex_state = 4},
  [2694] = {.lex_state = 294, .external_lex_state = 2},
  [2695] = {.lex_state = 294, .external_lex_state = 2},
  [2696] = {.lex_state = 276, .external_lex_state = 4},
  [2697] = {.lex_state = 276, .external_lex_state = 4},
  [2698] = {.lex_state = 294, .external_lex_state = 2},
  [2699] = {.lex_state = 251, .external_lex_state = 4},
  [2700] = {.lex_state = 225, .external_lex_state = 4},
  [2701] = {.lex_state = 276, .external_lex_state = 4},
  [2702] = {.lex_state = 251, .external_lex_state = 4},
  [2703] = {.lex_state = 251, .external_lex_state = 4},
  [2704] = {.lex_state = 251, .external_lex_state = 4},
  [2705] = {.lex_state = 225, .external_lex_state = 4},
  [2706] = {.lex_state = 225, .external_lex_state = 4},
  [2707] = {.lex_state = 276, .external_lex_state = 4},
  [2708] = {.lex_state = 276, .external_lex_state = 4},
  [2709] = {.lex_state = 225, .external_lex_state = 4},
  [2710] = {.lex_state = 225, .external_lex_state = 4},
  [2711] = {.lex_state = 294, .external_lex_state = 2},
  [2712] = {.lex_state = 294, .external_lex_state = 2},
  [2713] = {.lex_state = 294, .external_lex_state = 3},
  [2714] = {.lex_state = 294, .external_lex_state = 2},
  [2715] = {.lex_state = 225, .external_lex_state = 4},
  [2716] = {.lex_state = 225, .external_lex_state = 4},
  [2717] = {.lex_state = 276, .external_lex_state = 4},
  [2718] = {.lex_state = 286, .external_lex_state = 6},
  [2719] = {.lex_state = 276, .external_lex_state = 4},
  [2720] = {.lex_state = 276, .external_lex_state = 4},
  [2721] = {.lex_state = 251, .external_lex_state = 4},
  [2722] = {.lex_state = 276, .external_lex_state = 4},
  [2723] = {.lex_state = 251, .external_lex_state = 4},
  [2724] = {.lex_state = 251, .external_lex_state = 4},
  [2725] = {.lex_state = 276, .external_lex_state = 4},
  [2726] = {.lex_state = 251, .external_lex_state = 4},
  [2727] = {.lex_state = 225, .external_lex_state = 4},
  [2728] = {.lex_state = 276, .external_lex_state = 4},
  [2729] = {.lex_state = 276, .external_lex_state = 4},
  [2730] = {.lex_state = 276, .external_lex_state = 4},
  [2731] = {.lex_state = 276, .external_lex_state = 4},
  [2732] = {.lex_state = 294, .external_lex_state = 2},
  [2733] = {.lex_state = 276, .external_lex_state = 4},
  [2734] = {.lex_state = 294, .external_lex_state = 2},
  [2735] = {.lex_state = 276, .external_lex_state = 4},
  [2736] = {.lex_state = 251, .external_lex_state = 4},
  [2737] = {.lex_state = 251, .external_lex_state = 4},
  [2738] = {.lex_state = 251, .external_lex_state = 4},
  [2739] = {.lex_state = 225, .external_lex_state = 4},
  [2740] = {.lex_state = 276, .external_lex_state = 4},
  [2741] = {.lex_state = 276, .external_lex_state = 4},
  [2742] = {.lex_state = 276, .external_lex_state = 4},
  [2743] = {.lex_state = 294, .external_lex_state = 2},
  [2744] = {.lex_state = 276, .external_lex_state = 4},
  [2745] = {.lex_state = 225, .external_lex_state = 4},
  [2746] = {.lex_state = 294, .external_lex_state = 2},
  [2747] = {.lex_state = 294, .external_lex_state = 2},
  [2748] = {.lex_state = 225, .external_lex_state = 4},
  [2749] = {.lex_state = 225, .external_lex_state = 4},
  [2750] = {.lex_state = 294, .external_lex_state = 2},
  [2751] = {.lex_state = 294, .external_lex_state = 2},
  [2752] = {.lex_state = 251, .external_lex_state = 4},
  [2753] = {.lex_state = 251, .external_lex_state = 4},
  [2754] = {.lex_state = 294, .external_lex_state = 2},
  [2755] = {.lex_state = 294, .external_lex_state = 2},
  [2756] = {.lex_state = 294, .external_lex_state = 2},
  [2757] = {.lex_state = 294, .external_lex_state = 2},
  [2758] = {.lex_state = 294, .external_lex_state = 2},
  [2759] = {.lex_state = 251, .external_lex_state = 4},
  [2760] = {.lex_state = 294, .external_lex_state = 2},
  [2761] = {.lex_state = 294, .external_lex_state = 2},
  [2762] = {.lex_state = 276, .external_lex_state = 4},
  [2763] = {.lex_state = 225, .external_lex_state = 4},
  [2764] = {.lex_state = 276, .external_lex_state = 4},
  [2765] = {.lex_state = 276, .external_lex_state = 4},
  [2766] = {.lex_state = 276, .external_lex_state = 4},
  [2767] = {.lex_state = 294, .external_lex_state = 2},
  [2768] = {.lex_state = 294, .external_lex_state = 2},
  [2769] = {.lex_state = 294, .external_lex_state = 2},
  [2770] = {.lex_state = 294, .external_lex_state = 2},
  [2771] = {.lex_state = 225, .external_lex_state = 4},
  [2772] = {.lex_state = 251, .external_lex_state = 4},
  [2773] = {.lex_state = 251, .external_lex_state = 4},
  [2774] = {.lex_state = 251, .external_lex_state = 4},
  [2775] = {.lex_state = 225, .external_lex_state = 4},
  [2776] = {.lex_state = 225, .external_lex_state = 4},
  [2777] = {.lex_state = 225, .external_lex_state = 4},
  [2778] = {.lex_state = 225, .external_lex_state = 4},
  [2779] = {.lex_state = 251, .external_lex_state = 4},
  [2780] = {.lex_state = 251, .external_lex_state = 4},
  [2781] = {.lex_state = 225, .external_lex_state = 4},
  [2782] = {.lex_state = 251, .external_lex_state = 4},
  [2783] = {.lex_state = 294, .external_lex_state = 2},
  [2784] = {.lex_state = 225, .external_lex_state = 4},
  [2785] = {.lex_state = 294, .external_lex_state = 2},
  [2786] = {.lex_state = 225, .external_lex_state = 4},
  [2787] = {.lex_state = 225, .external_lex_state = 4},
  [2788] = {.lex_state = 225, .external_lex_state = 4},
  [2789] = {.lex_state = 294, .external_lex_state = 2},
  [2790] = {.lex_state = 225, .external_lex_state = 4},
  [2791] = {.lex_state = 225, .external_lex_state = 4},
  [2792] = {.lex_state = 294, .external_lex_state = 2},
  [2793] = {.lex_state = 251, .external_lex_state = 4},
  [2794] = {.lex_state = 251, .external_lex_state = 4},
  [2795] = {.lex_state = 251, .external_lex_state = 4},
  [2796] = {.lex_state = 225, .external_lex_state = 4},
  [2797] = {.lex_state = 294, .external_lex_state = 2},
  [2798] = {.lex_state = 251, .external_lex_state = 4},
  [2799] = {.lex_state = 225, .external_lex_state = 4},
  [2800] = {.lex_state = 225, .external_lex_state = 4},
  [2801] = {.lex_state = 251, .external_lex_state = 4},
  [2802] = {.lex_state = 251, .external_lex_state = 4},
  [2803] = {.lex_state = 294, .external_lex_state = 2},
  [2804] = {.lex_state = 251, .external_lex_state = 4},
  [2805] = {.lex_state = 251, .external_lex_state = 4},
  [2806] = {.lex_state = 294, .external_lex_state = 2},
  [2807] = {.lex_state = 251, .external_lex_state = 4},
  [2808] = {.lex_state = 251, .external_lex_state = 4},
  [2809] = {.lex_state = 251, .external_lex_state = 4},
  [2810] = {.lex_state = 251, .external_lex_state = 4},
  [2811] = {.lex_state = 251, .external_lex_state = 4},
  [2812] = {.lex_state = 225, .external_lex_state = 4},
  [2813] = {.lex_state = 251, .external_lex_state = 4},
  [2814] = {.lex_state = 251, .external_lex_state = 4},
  [2815] = {.lex_state = 225, .external_lex_state = 4},
  [2816] = {.lex_state = 251, .external_lex_state = 4},
  [2817] = {.lex_state = 225, .external_lex_state = 4},
  [2818] = {.lex_state = 251, .external_lex_state = 4},
  [2819] = {.lex_state = 251, .external_lex_state = 4},
  [2820] = {.lex_state = 251, .external_lex_state = 4},
  [2821] = {.lex_state = 251, .external_lex_state = 4},
  [2822] = {.lex_state = 225, .external_lex_state = 4},
  [2823] = {.lex_state = 225, .external_lex_state = 4},
  [2824] = {.lex_state = 251, .external_lex_state = 4},
  [2825] = {.lex_state = 294, .external_lex_state = 2},
  [2826] = {.lex_state = 225, .external_lex_state = 4},
  [2827] = {.lex_state = 251, .external_lex_state = 4},
  [2828] = {.lex_state = 251, .external_lex_state = 4},
  [2829] = {.lex_state = 225, .external_lex_state = 4},
  [2830] = {.lex_state = 251, .external_lex_state = 4},
  [2831] = {.lex_state = 294, .external_lex_state = 3},
  [2832] = {.lex_state = 251, .external_lex_state = 4},
  [2833] = {.lex_state = 251, .external_lex_state = 4},
  [2834] = {.lex_state = 225, .external_lex_state = 4},
  [2835] = {.lex_state = 225, .external_lex_state = 4},
  [2836] = {.lex_state = 294, .external_lex_state = 2},
  [2837] = {.lex_state = 294, .external_lex_state = 2},
  [2838] = {.lex_state = 225, .external_lex_state = 4},
  [2839] = {.lex_state = 251, .external_lex_state = 4},
  [2840] = {.lex_state = 251, .external_lex_state = 4},
  [2841] = {.lex_state = 225, .external_lex_state = 4},
  [2842] = {.lex_state = 251, .external_lex_state = 4},
  [2843] = {.lex_state = 225, .external_lex_state = 4},
  [2844] = {.lex_state = 225, .external_lex_state = 4},
  [2845] = {.lex_state = 251, .external_lex_state = 4},
  [2846] = {.lex_state = 225, .external_lex_state = 4},
  [2847] = {.lex_state = 251, .external_lex_state = 4},
  [2848] = {.lex_state = 294, .external_lex_state = 3},
  [2849] = {.lex_state = 225, .external_lex_state = 4},
  [2850] = {.lex_state = 251, .external_lex_state = 4},
  [2851] = {.lex_state = 294, .external_lex_state = 3},
  [2852] = {.lex_state = 225, .external_lex_state = 4},
  [2853] = {.lex_state = 225, .external_lex_state = 4},
  [2854] = {.lex_state = 225, .external_lex_state = 4},
  [2855] = {.lex_state = 225, .external_lex_state = 4},
  [2856] = {.lex_state = 225, .external_lex_state = 4},
  [2857] = {.lex_state = 225, .external_lex_state = 4},
  [2858] = {.lex_state = 251, .external_lex_state = 4},
  [2859] = {.lex_state = 251, .external_lex_state = 4},
  [2860] = {.lex_state = 251, .external_lex_state = 4},
  [2861] = {.lex_state = 225, .external_lex_state = 4},
  [2862] = {.lex_state = 225, .external_lex_state = 4},
  [2863] = {.lex_state = 294, .external_lex_state = 3},
  [2864] = {.lex_state = 225, .external_lex_state = 4},
  [2865] = {.lex_state = 225, .external_lex_state = 4},
  [2866] = {.lex_state = 225, .external_lex_state = 4},
  [2867] = {.lex_state = 225, .external_lex_state = 4},
  [2868] = {.lex_state = 225, .external_lex_state = 4},
  [2869] = {.lex_state = 225, .external_lex_state = 4},
  [2870] = {.lex_state = 251, .external_lex_state = 4},
  [2871] = {.lex_state = 251, .external_lex_state = 4},
  [2872] = {.lex_state = 251, .external_lex_state = 4},
  [2873] = {.lex_state = 251, .external_lex_state = 4},
  [2874] = {.lex_state = 251, .external_lex_state = 4},
  [2875] = {.lex_state = 225, .external_lex_state = 4},
  [2876] = {.lex_state = 225, .external_lex_state = 4},
  [2877] = {.lex_state = 225, .external_lex_state = 4},
  [2878] = {.lex_state = 294, .external_lex_state = 3},
  [2879] = {.lex_state = 251, .external_lex_state = 4},
  [2880] = {.lex_state = 225, .external_lex_state = 4},
  [2881] = {.lex_state = 251, .external_lex_state = 4},
  [2882] = {.lex_state = 251, .external_lex_state = 4},
  [2883] = {.lex_state = 225, .external_lex_state = 4},
  [2884] = {.lex_state = 225, .external_lex_state = 4},
  [2885] = {.lex_state = 251, .external_lex_state = 4},
  [2886] = {.lex_state = 225, .external_lex_state = 4},
  [2887] = {.lex_state = 225, .external_lex_state = 4},
  [2888] = {.lex_state = 225, .external_lex_state = 4},
  [2889] = {.lex_state = 294, .external_lex_state = 2},
  [2890] = {.lex_state = 251, .external_lex_state = 4},
  [2891] = {.lex_state = 294, .external_lex_state = 2},
  [2892] = {.lex_state = 251, .external_lex_state = 4},
  [2893] = {.lex_state = 225, .external_lex_state = 4},
  [2894] = {.lex_state = 294, .external_lex_state = 2},
  [2895] = {.lex_state = 251, .external_lex_state = 4},
  [2896] = {.lex_state = 294, .external_lex_state = 2},
  [2897] = {.lex_state = 251, .external_lex_state = 4},
  [2898] = {.lex_state = 294, .external_lex_state = 2},
  [2899] = {.lex_state = 294, .external_lex_state = 2},
  [2900] = {.lex_state = 251, .external_lex_state = 4},
  [2901] = {.lex_state = 225, .external_lex_state = 4},
  [2902] = {.lex_state = 251, .external_lex_state = 4},
  [2903] = {.lex_state = 225, .external_lex_state = 4},
  [2904] = {.lex_state = 225, .external_lex_state = 4},
  [2905] = {.lex_state = 251, .external_lex_state = 4},
  [2906] = {.lex_state = 251, .external_lex_state = 4},
  [2907] = {.lex_state = 225, .external_lex_state = 4},
  [2908] = {.lex_state = 297, .external_lex_state = 2},
  [2909] = {.lex_state = 222, .external_lex_state = 3},
  [2910] = {.lex_state = 297, .external_lex_state = 2},
  [2911] = {.lex_state = 297, .external_lex_state = 2},
  [2912] = {.lex_state = 297, .external_lex_state = 2},
  [2913] = {.lex_state = 294, .external_lex_state = 2},
  [2914] = {.lex_state = 297, .external_lex_state = 2},
  [2915] = {.lex_state = 222, .external_lex_state = 3},
  [2916] = {.lex_state = 222, .external_lex_state = 3},
  [2917] = {.lex_state = 222, .external_lex_state = 3},
  [2918] = {.lex_state = 294, .external_lex_state = 2},
  [2919] = {.lex_state = 297, .external_lex_state = 2},
  [2920] = {.lex_state = 297, .external_lex_state = 2},
  [2921] = {.lex_state = 297, .external_lex_state = 2},
  [2922] = {.lex_state = 297, .external_lex_state = 2},
  [2923] = {.lex_state = 297, .external_lex_state = 2},
  [2924] = {.lex_state = 222, .external_lex_state = 3},
  [2925] = {.lex_state = 297, .external_lex_state = 2},
  [2926] = {.lex_state = 297, .external_lex_state = 2},
  [2927] = {.lex_state = 297, .external_lex_state = 2},
  [2928] = {.lex_state = 294, .external_lex_state = 2},
  [2929] = {.lex_state = 297, .external_lex_state = 2},
  [2930] = {.lex_state = 294, .external_lex_state = 2},
  [2931] = {.lex_state = 294, .external_lex_state = 2},
  [2932] = {.lex_state = 298, .external_lex_state = 2},
  [2933] = {.lex_state = 294, .external_lex_state = 2},
  [2934] = {.lex_state = 294, .external_lex_state = 2},
  [2935] = {.lex_state = 294, .external_lex_state = 2},
  [2936] = {.lex_state = 294, .external_lex_state = 2},
  [2937] = {.lex_state = 294, .external_lex_state = 2},
  [2938] = {.lex_state = 294, .external_lex_state = 2},
  [2939] = {.lex_state = 294, .external_lex_state = 2},
  [2940] = {.lex_state = 294, .external_lex_state = 2},
  [2941] = {.lex_state = 294, .external_lex_state = 2},
  [2942] = {.lex_state = 294, .external_lex_state = 2},
  [2943] = {.lex_state = 294, .external_lex_state = 2},
  [2944] = {.lex_state = 294, .external_lex_state = 2},
  [2945] = {.lex_state = 294, .external_lex_state = 2},
  [2946] = {.lex_state = 294, .external_lex_state = 2},
  [2947] = {.lex_state = 294, .external_lex_state = 2},
  [2948] = {.lex_state = 294, .external_lex_state = 2},
  [2949] = {.lex_state = 294, .external_lex_state = 2},
  [2950] = {.lex_state = 294, .external_lex_state = 2},
  [2951] = {.lex_state = 294, .external_lex_state = 2},
  [2952] = {.lex_state = 294, .external_lex_state = 2},
  [2953] = {.lex_state = 294, .external_lex_state = 2},
  [2954] = {.lex_state = 294, .external_lex_state = 2},
  [2955] = {.lex_state = 290, .external_lex_state = 5},
  [2956] = {.lex_state = 294, .external_lex_state = 2},
  [2957] = {.lex_state = 294, .external_lex_state = 2},
  [2958] = {.lex_state = 291, .external_lex_state = 5},
  [2959] = {.lex_state = 294, .external_lex_state = 2},
  [2960] = {.lex_state = 294, .external_lex_state = 2},
  [2961] = {.lex_state = 294, .external_lex_state = 2},
  [2962] = {.lex_state = 294, .external_lex_state = 2},
  [2963] = {.lex_state = 294, .external_lex_state = 2},
  [2964] = {.lex_state = 294, .external_lex_state = 2},
  [2965] = {.lex_state = 294, .external_lex_state = 2},
  [2966] = {.lex_state = 291, .external_lex_state = 5},
  [2967] = {.lex_state = 294, .external_lex_state = 2},
  [2968] = {.lex_state = 277, .external_lex_state = 4},
  [2969] = {.lex_state = 294, .external_lex_state = 2},
  [2970] = {.lex_state = 292, .external_lex_state = 5},
  [2971] = {.lex_state = 294, .external_lex_state = 2},
  [2972] = {.lex_state = 292, .external_lex_state = 5},
  [2973] = {.lex_state = 277, .external_lex_state = 4},
  [2974] = {.lex_state = 294, .external_lex_state = 2},
  [2975] = {.lex_state = 294, .external_lex_state = 2},
  [2976] = {.lex_state = 277, .external_lex_state = 4},
  [2977] = {.lex_state = 294, .external_lex_state = 2},
  [2978] = {.lex_state = 294, .external_lex_state = 2},
  [2979] = {.lex_state = 294, .external_lex_state = 2},
  [2980] = {.lex_state = 290, .external_lex_state = 5},
  [2981] = {.lex_state = 294, .external_lex_state = 2},
  [2982] = {.lex_state = 294, .external_lex_state = 2},
  [2983] = {.lex_state = 291, .external_lex_state = 5},
  [2984] = {.lex_state = 290, .external_lex_state = 5},
  [2985] = {.lex_state = 294, .external_lex_state = 2},
  [2986] = {.lex_state = 294, .external_lex_state = 2},
  [2987] = {.lex_state = 277, .external_lex_state = 4},
  [2988] = {.lex_state = 294, .external_lex_state = 2},
  [2989] = {.lex_state = 290, .external_lex_state = 5},
  [2990] = {.lex_state = 294, .external_lex_state = 2},
  [2991] = {.lex_state = 294, .external_lex_state = 2},
  [2992] = {.lex_state = 291, .external_lex_state = 5},
  [2993] = {.lex_state = 294, .external_lex_state = 2},
  [2994] = {.lex_state = 277, .external_lex_state = 4},
  [2995] = {.lex_state = 277, .external_lex_state = 4},
  [2996] = {.lex_state = 294, .external_lex_state = 2},
  [2997] = {.lex_state = 294, .external_lex_state = 2},
  [2998] = {.lex_state = 294, .external_lex_state = 2},
  [2999] = {.lex_state = 294, .external_lex_state = 2},
  [3000] = {.lex_state = 290, .external_lex_state = 5},
  [3001] = {.lex_state = 294, .external_lex_state = 2},
  [3002] = {.lex_state = 291, .external_lex_state = 5},
  [3003] = {.lex_state = 294, .external_lex_state = 2},
  [3004] = {.lex_state = 294, .external_lex_state = 2},
  [3005] = {.lex_state = 294, .external_lex_state = 2},
  [3006] = {.lex_state = 290, .external_lex_state = 5},
  [3007] = {.lex_state = 294, .external_lex_state = 2},
  [3008] = {.lex_state = 294, .external_lex_state = 2},
  [3009] = {.lex_state = 294, .external_lex_state = 2},
  [3010] = {.lex_state = 294, .external_lex_state = 2},
  [3011] = {.lex_state = 294, .external_lex_state = 2},
  [3012] = {.lex_state = 294, .external_lex_state = 2},
  [3013] = {.lex_state = 294, .external_lex_state = 2},
  [3014] = {.lex_state = 290, .external_lex_state = 5},
  [3015] = {.lex_state = 294, .external_lex_state = 2},
  [3016] = {.lex_state = 294, .external_lex_state = 2},
  [3017] = {.lex_state = 291, .external_lex_state = 5},
  [3018] = {.lex_state = 294, .external_lex_state = 2},
  [3019] = {.lex_state = 294, .external_lex_state = 2},
  [3020] = {.lex_state = 294, .external_lex_state = 2},
  [3021] = {.lex_state = 294, .external_lex_state = 2},
  [3022] = {.lex_state = 277, .external_lex_state = 4},
  [3023] = {.lex_state = 277, .external_lex_state = 4},
  [3024] = {.lex_state = 294, .external_lex_state = 2},
  [3025] = {.lex_state = 294, .external_lex_state = 2},
  [3026] = {.lex_state = 292, .external_lex_state = 5},
  [3027] = {.lex_state = 294, .external_lex_state = 2},
  [3028] = {.lex_state = 294, .external_lex_state = 2},
  [3029] = {.lex_state = 294, .external_lex_state = 2},
  [3030] = {.lex_state = 294, .external_lex_state = 2},
  [3031] = {.lex_state = 290, .external_lex_state = 5},
  [3032] = {.lex_state = 294, .external_lex_state = 2},
  [3033] = {.lex_state = 290, .external_lex_state = 5},
  [3034] = {.lex_state = 294, .external_lex_state = 2},
  [3035] = {.lex_state = 291, .external_lex_state = 5},
  [3036] = {.lex_state = 291, .external_lex_state = 5},
  [3037] = {.lex_state = 294, .external_lex_state = 2},
  [3038] = {.lex_state = 294, .external_lex_state = 2},
  [3039] = {.lex_state = 294, .external_lex_state = 2},
  [3040] = {.lex_state = 294, .external_lex_state = 2},
  [3041] = {.lex_state = 290, .external_lex_state = 5},
  [3042] = {.lex_state = 294, .external_lex_state = 2},
  [3043] = {.lex_state = 277, .external_lex_state = 4},
  [3044] = {.lex_state = 277, .external_lex_state = 4},
  [3045] = {.lex_state = 294, .external_lex_state = 2},
  [3046] = {.lex_state = 294, .external_lex_state = 2},
  [3047] = {.lex_state = 291, .external_lex_state = 5},
  [3048] = {.lex_state = 294, .external_lex_state = 2},
  [3049] = {.lex_state = 292, .external_lex_state = 5},
  [3050] = {.lex_state = 291, .external_lex_state = 5},
  [3051] = {.lex_state = 294, .external_lex_state = 2},
  [3052] = {.lex_state = 294, .external_lex_state = 2},
  [3053] = {.lex_state = 294, .external_lex_state = 2},
  [3054] = {.lex_state = 294, .external_lex_state = 2},
  [3055] = {.lex_state = 294, .external_lex_state = 2},
  [3056] = {.lex_state = 294, .external_lex_state = 2},
  [3057] = {.lex_state = 294, .external_lex_state = 2},
  [3058] = {.lex_state = 294, .external_lex_state = 2},
  [3059] = {.lex_state = 294, .external_lex_state = 2},
  [3060] = {.lex_state = 294, .external_lex_state = 2},
  [3061] = {.lex_state = 294, .external_lex_state = 2},
  [3062] = {.lex_state = 277, .external_lex_state = 4},
  [3063] = {.lex_state = 294, .external_lex_state = 2},
  [3064] = {.lex_state = 294, .external_lex_state = 2},
  [3065] = {.lex_state = 294, .external_lex_state = 2},
  [3066] = {.lex_state = 294, .external_lex_state = 2},
  [3067] = {.lex_state = 294, .external_lex_state = 2},
  [3068] = {.lex_state = 293, .external_lex_state = 5},
  [3069] = {.lex_state = 294, .external_lex_state = 2},
  [3070] = {.lex_state = 277, .external_lex_state = 4},
  [3071] = {.lex_state = 294, .external_lex_state = 2},
  [3072] = {.lex_state = 294, .external_lex_state = 2},
  [3073] = {.lex_state = 294, .external_lex_state = 2},
  [3074] = {.lex_state = 277, .external_lex_state = 4},
  [3075] = {.lex_state = 294, .external_lex_state = 2},
  [3076] = {.lex_state = 277, .external_lex_state = 4},
  [3077] = {.lex_state = 294, .external_lex_state = 2},
  [3078] = {.lex_state = 294, .external_lex_state = 2},
  [3079] = {.lex_state = 294, .external_lex_state = 2},
  [3080] = {.lex_state = 294, .external_lex_state = 2},
  [3081] = {.lex_state = 290, .external_lex_state = 5},
  [3082] = {.lex_state = 294, .external_lex_state = 2},
  [3083] = {.lex_state = 294, .external_lex_state = 2},
  [3084] = {.lex_state = 294, .external_lex_state = 2},
  [3085] = {.lex_state = 294, .external_lex_state = 2},
  [3086] = {.lex_state = 294, .external_lex_state = 2},
  [3087] = {.lex_state = 294, .external_lex_state = 2},
  [3088] = {.lex_state = 294, .external_lex_state = 2},
  [3089] = {.lex_state = 294, .external_lex_state = 2},
  [3090] = {.lex_state = 277, .external_lex_state = 4},
  [3091] = {.lex_state = 294, .external_lex_state = 2},
  [3092] = {.lex_state = 294, .external_lex_state = 2},
  [3093] = {.lex_state = 277, .external_lex_state = 4},
  [3094] = {.lex_state = 294, .external_lex_state = 2},
  [3095] = {.lex_state = 294, .external_lex_state = 2},
  [3096] = {.lex_state = 294, .external_lex_state = 2},
  [3097] = {.lex_state = 294, .external_lex_state = 2},
  [3098] = {.lex_state = 292, .external_lex_state = 5},
  [3099] = {.lex_state = 294, .external_lex_state = 2},
  [3100] = {.lex_state = 291, .external_lex_state = 5},
  [3101] = {.lex_state = 294, .external_lex_state = 2},
  [3102] = {.lex_state = 294, .external_lex_state = 2},
  [3103] = {.lex_state = 277, .external_lex_state = 4},
  [3104] = {.lex_state = 277, .external_lex_state = 4},
  [3105] = {.lex_state = 292, .external_lex_state = 5},
  [3106] = {.lex_state = 294, .external_lex_state = 2},
  [3107] = {.lex_state = 294, .external_lex_state = 2},
  [3108] = {.lex_state = 294, .external_lex_state = 2},
  [3109] = {.lex_state = 294, .external_lex_state = 2},
  [3110] = {.lex_state = 277, .external_lex_state = 4},
  [3111] = {.lex_state = 277, .external_lex_state = 4},
  [3112] = {.lex_state = 294, .external_lex_state = 2},
  [3113] = {.lex_state = 294, .external_lex_state = 2},
  [3114] = {.lex_state = 290, .external_lex_state = 5},
  [3115] = {.lex_state = 294, .external_lex_state = 2},
  [3116] = {.lex_state = 294, .external_lex_state = 2},
  [3117] = {.lex_state = 277, .external_lex_state = 4},
  [3118] = {.lex_state = 293, .external_lex_state = 5},
  [3119] = {.lex_state = 294, .external_lex_state = 2},
  [3120] = {.lex_state = 291, .external_lex_state = 5},
  [3121] = {.lex_state = 294, .external_lex_state = 2},
  [3122] = {.lex_state = 277, .external_lex_state = 4},
  [3123] = {.lex_state = 277, .external_lex_state = 4},
  [3124] = {.lex_state = 277, .external_lex_state = 4},
  [3125] = {.lex_state = 294, .external_lex_state = 2},
  [3126] = {.lex_state = 293, .external_lex_state = 5},
  [3127] = {.lex_state = 294, .external_lex_state = 2},
  [3128] = {.lex_state = 294, .external_lex_state = 2},
  [3129] = {.lex_state = 277, .external_lex_state = 4},
  [3130] = {.lex_state = 294, .external_lex_state = 2},
  [3131] = {.lex_state = 277, .external_lex_state = 4},
  [3132] = {.lex_state = 292, .external_lex_state = 5},
  [3133] = {.lex_state = 277, .external_lex_state = 4},
  [3134] = {.lex_state = 277, .external_lex_state = 4},
  [3135] = {.lex_state = 294, .external_lex_state = 2},
  [3136] = {.lex_state = 277, .external_lex_state = 4},
  [3137] = {.lex_state = 277, .external_lex_state = 4},
  [3138] = {.lex_state = 294, .external_lex_state = 2},
  [3139] = {.lex_state = 294, .external_lex_state = 2},
  [3140] = {.lex_state = 277, .external_lex_state = 4},
  [3141] = {.lex_state = 294, .external_lex_state = 2},
  [3142] = {.lex_state = 277, .external_lex_state = 4},
  [3143] = {.lex_state = 277, .external_lex_state = 4},
  [3144] = {.lex_state = 292, .external_lex_state = 5},
  [3145] = {.lex_state = 294, .external_lex_state = 2},
  [3146] = {.lex_state = 294, .external_lex_state = 2},
  [3147] = {.lex_state = 294, .external_lex_state = 2},
  [3148] = {.lex_state = 290, .external_lex_state = 5},
  [3149] = {.lex_state = 294, .external_lex_state = 2},
  [3150] = {.lex_state = 294, .external_lex_state = 2},
  [3151] = {.lex_state = 294, .external_lex_state = 2},
  [3152] = {.lex_state = 291, .external_lex_state = 5},
  [3153] = {.lex_state = 277, .external_lex_state = 4},
  [3154] = {.lex_state = 294, .external_lex_state = 2},
  [3155] = {.lex_state = 294, .external_lex_state = 2},
  [3156] = {.lex_state = 294, .external_lex_state = 2},
  [3157] = {.lex_state = 294, .external_lex_state = 2},
  [3158] = {.lex_state = 294, .external_lex_state = 2},
  [3159] = {.lex_state = 294, .external_lex_state = 2},
  [3160] = {.lex_state = 288, .external_lex_state = 5},
  [3161] = {.lex_state = 250, .external_lex_state = 6},
  [3162] = {.lex_state = 288, .external_lex_state = 5},
  [3163] = {.lex_state = 288, .external_lex_state = 5},
  [3164] = {.lex_state = 288, .external_lex_state = 5},
  [3165] = {.lex_state = 288, .external_lex_state = 5},
  [3166] = {.lex_state = 288, .external_lex_state = 5},
  [3167] = {.lex_state = 288, .external_lex_state = 5},
  [3168] = {.lex_state = 288, .external_lex_state = 5},
  [3169] = {.lex_state = 288, .external_lex_state = 5},
  [3170] = {.lex_state = 288, .external_lex_state = 5},
  [3171] = {.lex_state = 288, .external_lex_state = 5},
  [3172] = {.lex_state = 288, .external_lex_state = 6},
  [3173] = {.lex_state = 265, .external_lex_state = 6},
  [3174] = {.lex_state = 287, .external_lex_state = 6},
  [3175] = {.lex_state = 288, .external_lex_state = 5},
  [3176] = {.lex_state = 310, .external_lex_state = 6},
  [3177] = {.lex_state = 285, .external_lex_state = 6},
  [3178] = {.lex_state = 285, .external_lex_state = 6},
  [3179] = {.lex_state = 285, .external_lex_state = 6},
  [3180] = {.lex_state = 285, .external_lex_state = 6},
  [3181] = {.lex_state = 285, .external_lex_state = 6},
  [3182] = {.lex_state = 285, .external_lex_state = 6},
  [3183] = {.lex_state = 289, .external_lex_state = 5},
  [3184] = {.lex_state = 289, .external_lex_state = 5},
  [3185] = {.lex_state = 285, .external_lex_state = 6},
  [3186] = {.lex_state = 289, .external_lex_state = 5},
  [3187] = {.lex_state = 289, .external_lex_state = 5},
  [3188] = {.lex_state = 285, .external_lex_state = 6},
  [3189] = {.lex_state = 285, .external_lex_state = 6},
  [3190] = {.lex_state = 289, .external_lex_state = 5},
  [3191] = {.lex_state = 289, .external_lex_state = 5},
  [3192] = {.lex_state = 285, .external_lex_state = 6},
  [3193] = {.lex_state = 285, .external_lex_state = 6},
  [3194] = {.lex_state = 285, .external_lex_state = 6},
  [3195] = {.lex_state = 289, .external_lex_state = 5},
  [3196] = {.lex_state = 289, .external_lex_state = 5},
  [3197] = {.lex_state = 285, .external_lex_state = 6},
  [3198] = {.lex_state = 285, .external_lex_state = 6},
  [3199] = {.lex_state = 285, .external_lex_state = 6},
  [3200] = {.lex_state = 285, .external_lex_state = 6},
  [3201] = {.lex_state = 285, .external_lex_state = 6},
  [3202] = {.lex_state = 285, .external_lex_state = 6},
  [3203] = {.lex_state = 259, .external_lex_state = 6},
  [3204] = {.lex_state = 259, .external_lex_state = 6},
  [3205] = {.lex_state = 259, .external_lex_state = 6},
  [3206] = {.lex_state = 259, .external_lex_state = 6},
  [3207] = {.lex_state = 285, .external_lex_state = 6},
  [3208] = {.lex_state = 259, .external_lex_state = 6},
  [3209] = {.lex_state = 285, .external_lex_state = 6},
  [3210] = {.lex_state = 285, .external_lex_state = 6},
  [3211] = {.lex_state = 285, .external_lex_state = 6},
  [3212] = {.lex_state = 285, .external_lex_state = 6},
  [3213] = {.lex_state = 285, .external_lex_state = 6},
  [3214] = {.lex_state = 285, .external_lex_state = 6},
  [3215] = {.lex_state = 285, .external_lex_state = 6},
  [3216] = {.lex_state = 302, .external_lex_state = 7},
  [3217] = {.lex_state = 302, .external_lex_state = 7},
  [3218] = {.lex_state = 302, .external_lex_state = 7},
  [3219] = {.lex_state = 302, .external_lex_state = 7},
  [3220] = {.lex_state = 302, .external_lex_state = 7},
  [3221] = {.lex_state = 302, .external_lex_state = 7},
  [3222] = {.lex_state = 302, .external_lex_state = 7},
  [3223] = {.lex_state = 302, .external_lex_state = 7},
  [3224] = {.lex_state = 302, .external_lex_state = 7},
  [3225] = {.lex_state = 302, .external_lex_state = 7},
  [3226] = {.lex_state = 302, .external_lex_state = 7},
  [3227] = {.lex_state = 302, .external_lex_state = 7},
  [3228] = {.lex_state = 302, .external_lex_state = 7},
  [3229] = {.lex_state = 302, .external_lex_state = 7},
  [3230] = {.lex_state = 302, .external_lex_state = 7},
  [3231] = {.lex_state = 286, .external_lex_state = 6},
  [3232] = {.lex_state = 302, .external_lex_state = 7},
  [3233] = {.lex_state = 302, .external_lex_state = 7},
  [3234] = {.lex_state = 286, .external_lex_state = 5},
  [3235] = {.lex_state = 302, .external_lex_state = 7},
  [3236] = {.lex_state = 302, .external_lex_state = 7},
  [3237] = {.lex_state = 302, .external_lex_state = 7},
  [3238] = {.lex_state = 302, .external_lex_state = 7},
  [3239] = {.lex_state = 302, .external_lex_state = 7},
  [3240] = {.lex_state = 302, .external_lex_state = 7},
  [3241] = {.lex_state = 302, .external_lex_state = 7},
  [3242] = {.lex_state = 302, .external_lex_state = 7},
  [3243] = {.lex_state = 302, .external_lex_state = 7},
  [3244] = {.lex_state = 302, .external_lex_state = 7},
  [3245] = {.lex_state = 302, .external_lex_state = 7},
  [3246] = {.lex_state = 302, .external_lex_state = 7},
  [3247] = {.lex_state = 302, .external_lex_state = 7},
  [3248] = {.lex_state = 302, .external_lex_state = 7},
  [3249] = {.lex_state = 302, .external_lex_state = 7},
  [3250] = {.lex_state = 302, .external_lex_state = 7},
  [3251] = {.lex_state = 302, .external_lex_state = 7},
  [3252] = {.lex_state = 302, .external_lex_state = 7},
  [3253] = {.lex_state = 302, .external_lex_state = 7},
  [3254] = {.lex_state = 302, .external_lex_state = 7},
  [3255] = {.lex_state = 294, .external_lex_state = 3},
  [3256] = {.lex_state = 302, .external_lex_state = 7},
  [3257] = {.lex_state = 302, .external_lex_state = 7},
  [3258] = {.lex_state = 302, .external_lex_state = 7},
  [3259] = {.lex_state = 302, .external_lex_state = 7},
  [3260] = {.lex_state = 302, .external_lex_state = 7},
  [3261] = {.lex_state = 302, .external_lex_state = 7},
  [3262] = {.lex_state = 294, .external_lex_state = 3},
  [3263] = {.lex_state = 302, .external_lex_state = 7},
  [3264] = {.lex_state = 302, .external_lex_state = 7},
  [3265] = {.lex_state = 302, .external_lex_state = 7},
  [3266] = {.lex_state = 302, .external_lex_state = 7},
  [3267] = {.lex_state = 294, .external_lex_state = 3},
  [3268] = {.lex_state = 294, .external_lex_state = 3},
  [3269] = {.lex_state = 294, .external_lex_state = 3},
  [3270] = {.lex_state = 302, .external_lex_state = 7},
  [3271] = {.lex_state = 302, .external_lex_state = 7},
  [3272] = {.lex_state = 302, .external_lex_state = 7},
  [3273] = {.lex_state = 302, .external_lex_state = 7},
  [3274] = {.lex_state = 302, .external_lex_state = 7},
  [3275] = {.lex_state = 302, .external_lex_state = 7},
  [3276] = {.lex_state = 294, .external_lex_state = 3},
  [3277] = {.lex_state = 302, .external_lex_state = 7},
  [3278] = {.lex_state = 302, .external_lex_state = 7},
  [3279] = {.lex_state = 302, .external_lex_state = 7},
  [3280] = {.lex_state = 302, .external_lex_state = 7},
  [3281] = {.lex_state = 302, .external_lex_state = 7},
  [3282] = {.lex_state = 302, .external_lex_state = 7},
  [3283] = {.lex_state = 302, .external_lex_state = 7},
  [3284] = {.lex_state = 302, .external_lex_state = 7},
  [3285] = {.lex_state = 302, .external_lex_state = 7},
  [3286] = {.lex_state = 302, .external_lex_state = 7},
  [3287] = {.lex_state = 302, .external_lex_state = 7},
  [3288] = {.lex_state = 302, .external_lex_state = 7},
  [3289] = {.lex_state = 302, .external_lex_state = 7},
  [3290] = {.lex_state = 302, .external_lex_state = 7},
  [3291] = {.lex_state = 302, .external_lex_state = 7},
  [3292] = {.lex_state = 302, .external_lex_state = 7},
  [3293] = {.lex_state = 302, .external_lex_state = 7},
  [3294] = {.lex_state = 302, .external_lex_state = 7},
  [3295] = {.lex_state = 302, .external_lex_state = 7},
  [3296] = {.lex_state = 302, .external_lex_state = 7},
  [3297] = {.lex_state = 302, .external_lex_state = 7},
  [3298] = {.lex_state = 302, .external_lex_state = 7},
  [3299] = {.lex_state = 302, .external_lex_state = 7},
  [3300] = {.lex_state = 302, .external_lex_state = 7},
  [3301] = {.lex_state = 302, .external_lex_state = 7},
  [3302] = {.lex_state = 302, .external_lex_state = 7},
  [3303] = {.lex_state = 302, .external_lex_state = 7},
  [3304] = {.lex_state = 302, .external_lex_state = 7},
  [3305] = {.lex_state = 302, .external_lex_state = 7},
  [3306] = {.lex_state = 302, .external_lex_state = 7},
  [3307] = {.lex_state = 302, .external_lex_state = 7},
  [3308] = {.lex_state = 302, .external_lex_state = 7},
  [3309] = {.lex_state = 302, .external_lex_state = 7},
  [3310] = {.lex_state = 302, .external_lex_state = 7},
  [3311] = {.lex_state = 302, .external_lex_state = 7},
  [3312] = {.lex_state = 302, .external_lex_state = 7},
  [3313] = {.lex_state = 302, .external_lex_state = 7},
  [3314] = {.lex_state = 302, .external_lex_state = 7},
  [3315] = {.lex_state = 302, .external_lex_state = 7},
  [3316] = {.lex_state = 302, .external_lex_state = 7},
  [3317] = {.lex_state = 302, .external_lex_state = 7},
  [3318] = {.lex_state = 302, .external_lex_state = 7},
  [3319] = {.lex_state = 302, .external_lex_state = 7},
  [3320] = {.lex_state = 302, .external_lex_state = 7},
  [3321] = {.lex_state = 302, .external_lex_state = 7},
  [3322] = {.lex_state = 302, .external_lex_state = 7},
  [3323] = {.lex_state = 302, .external_lex_state = 7},
  [3324] = {.lex_state = 302, .external_lex_state = 7},
  [3325] = {.lex_state = 302, .external_lex_state = 7},
  [3326] = {.lex_state = 302, .external_lex_state = 7},
  [3327] = {.lex_state = 302, .external_lex_state = 7},
  [3328] = {.lex_state = 302, .external_lex_state = 7},
  [3329] = {.lex_state = 302, .external_lex_state = 7},
  [3330] = {.lex_state = 302, .external_lex_state = 7},
  [3331] = {.lex_state = 302, .external_lex_state = 7},
  [3332] = {.lex_state = 302, .external_lex_state = 7},
  [3333] = {.lex_state = 286, .external_lex_state = 5},
  [3334] = {.lex_state = 294, .external_lex_state = 2},
  [3335] = {.lex_state = 309, .external_lex_state = 8},
  [3336] = {.lex_state = 294, .external_lex_state = 2},
  [3337] = {.lex_state = 286, .external_lex_state = 6},
  [3338] = {.lex_state = 286, .external_lex_state = 6},
  [3339] = {.lex_state = 303, .external_lex_state = 6},
  [3340] = {.lex_state = 303, .external_lex_state = 6},
  [3341] = {.lex_state = 288, .external_lex_state = 5},
  [3342] = {.lex_state = 303, .external_lex_state = 6},
  [3343] = {.lex_state = 303, .external_lex_state = 6},
  [3344] = {.lex_state = 303, .external_lex_state = 6},
  [3345] = {.lex_state = 303, .external_lex_state = 6},
  [3346] = {.lex_state = 303, .external_lex_state = 6},
  [3347] = {.lex_state = 303, .external_lex_state = 6},
  [3348] = {.lex_state = 303, .external_lex_state = 6},
  [3349] = {.lex_state = 303, .external_lex_state = 6},
  [3350] = {.lex_state = 224, .external_lex_state = 6},
  [3351] = {.lex_state = 228, .external_lex_state = 6},
  [3352] = {.lex_state = 228, .external_lex_state = 6},
  [3353] = {.lex_state = 303, .external_lex_state = 6},
  [3354] = {.lex_state = 228, .external_lex_state = 6},
  [3355] = {.lex_state = 228, .external_lex_state = 6},
  [3356] = {.lex_state = 303, .external_lex_state = 6},
  [3357] = {.lex_state = 224, .external_lex_state = 6},
  [3358] = {.lex_state = 303, .external_lex_state = 5},
  [3359] = {.lex_state = 303, .external_lex_state = 5},
  [3360] = {.lex_state = 303, .external_lex_state = 5},
  [3361] = {.lex_state = 303, .external_lex_state = 5},
  [3362] = {.lex_state = 303, .external_lex_state = 5},
  [3363] = {.lex_state = 303, .external_lex_state = 5},
  [3364] = {.lex_state = 303, .external_lex_state = 5},
  [3365] = {.lex_state = 303, .external_lex_state = 5},
  [3366] = {.lex_state = 303, .external_lex_state = 5},
  [3367] = {.lex_state = 303, .external_lex_state = 5},
  [3368] = {.lex_state = 303, .external_lex_state = 5},
  [3369] = {.lex_state = 303, .external_lex_state = 5},
  [3370] = {.lex_state = 303, .external_lex_state = 5},
  [3371] = {.lex_state = 303, .external_lex_state = 5},
  [3372] = {.lex_state = 303, .external_lex_state = 5},
  [3373] = {.lex_state = 303, .external_lex_state = 5},
  [3374] = {.lex_state = 303, .external_lex_state = 5},
  [3375] = {.lex_state = 303, .external_lex_state = 5},
  [3376] = {.lex_state = 216, .external_lex_state = 6},
  [3377] = {.lex_state = 296, .external_lex_state = 6},
  [3378] = {.lex_state = 303, .external_lex_state = 5},
  [3379] = {.lex_state = 311, .external_lex_state = 6},
  [3380] = {.lex_state = 216, .external_lex_state = 6},
  [3381] = {.lex_state = 296, .external_lex_state = 6},
  [3382] = {.lex_state = 296, .external_lex_state = 6},
  [3383] = {.lex_state = 303, .external_lex_state = 5},
  [3384] = {.lex_state = 303, .external_lex_state = 5},
  [3385] = {.lex_state = 303, .external_lex_state = 5},
  [3386] = {.lex_state = 286, .external_lex_state = 6},
  [3387] = {.lex_state = 303, .external_lex_state = 5},
  [3388] = {.lex_state = 303, .external_lex_state = 5},
  [3389] = {.lex_state = 296, .external_lex_state = 6},
  [3390] = {.lex_state = 296, .external_lex_state = 6},
  [3391] = {.lex_state = 309, .external_lex_state = 5},
  [3392] = {.lex_state = 303, .external_lex_state = 5},
  [3393] = {.lex_state = 303, .external_lex_state = 5},
  [3394] = {.lex_state = 296, .external_lex_state = 6},
  [3395] = {.lex_state = 303, .external_lex_state = 5},
  [3396] = {.lex_state = 303, .external_lex_state = 5},
  [3397] = {.lex_state = 303, .external_lex_state = 5},
  [3398] = {.lex_state = 303, .external_lex_state = 5},
  [3399] = {.lex_state = 303, .external_lex_state = 5},
  [3400] = {.lex_state = 303, .external_lex_state = 5},
  [3401] = {.lex_state = 303, .external_lex_state = 5},
  [3402] = {.lex_state = 303, .external_lex_state = 5},
  [3403] = {.lex_state = 286, .external_lex_state = 6},
  [3404] = {.lex_state = 303, .external_lex_state = 6},
  [3405] = {.lex_state = 303, .external_lex_state = 6},
  [3406] = {.lex_state = 286, .external_lex_state = 6},
  [3407] = {.lex_state = 303, .external_lex_state = 6},
  [3408] = {.lex_state = 303, .external_lex_state = 6},
  [3409] = {.lex_state = 286, .external_lex_state = 6},
  [3410] = {.lex_state = 303, .external_lex_state = 6},
  [3411] = {.lex_state = 303, .external_lex_state = 6},
  [3412] = {.lex_state = 303, .external_lex_state = 6},
  [3413] = {.lex_state = 303, .external_lex_state = 6},
  [3414] = {.lex_state = 303, .external_lex_state = 6},
  [3415] = {.lex_state = 303, .external_lex_state = 5},
  [3416] = {.lex_state = 297, .external_lex_state = 6},
  [3417] = {.lex_state = 308, .external_lex_state = 9},
  [3418] = {.lex_state = 297, .external_lex_state = 6},
  [3419] = {.lex_state = 286, .external_lex_state = 6},
  [3420] = {.lex_state = 309, .external_lex_state = 5},
  [3421] = {.lex_state = 286, .external_lex_state = 6},
  [3422] = {.lex_state = 286, .external_lex_state = 6},
  [3423] = {.lex_state = 297, .external_lex_state = 6},
  [3424] = {.lex_state = 303, .external_lex_state = 6},
  [3425] = {.lex_state = 308, .external_lex_state = 9},
  [3426] = {.lex_state = 296, .external_lex_state = 6},
  [3427] = {.lex_state = 286, .external_lex_state = 6},
  [3428] = {.lex_state = 286, .external_lex_state = 6},
  [3429] = {.lex_state = 308, .external_lex_state = 9},
  [3430] = {.lex_state = 297, .external_lex_state = 6},
  [3431] = {.lex_state = 303, .external_lex_state = 6},
  [3432] = {.lex_state = 303, .external_lex_state = 6},
  [3433] = {.lex_state = 286, .external_lex_state = 6},
  [3434] = {.lex_state = 309, .external_lex_state = 5},
  [3435] = {.lex_state = 303, .external_lex_state = 6},
  [3436] = {.lex_state = 286, .external_lex_state = 6},
  [3437] = {.lex_state = 296, .external_lex_state = 6},
  [3438] = {.lex_state = 296, .external_lex_state = 6},
  [3439] = {.lex_state = 296, .external_lex_state = 6},
  [3440] = {.lex_state = 296, .external_lex_state = 6},
  [3441] = {.lex_state = 296, .external_lex_state = 6},
  [3442] = {.lex_state = 278, .external_lex_state = 5},
  [3443] = {.lex_state = 296, .external_lex_state = 6},
  [3444] = {.lex_state = 296, .external_lex_state = 6},
  [3445] = {.lex_state = 296, .external_lex_state = 6},
  [3446] = {.lex_state = 278, .external_lex_state = 5},
  [3447] = {.lex_state = 297, .external_lex_state = 6},
  [3448] = {.lex_state = 297, .external_lex_state = 6},
  [3449] = {.lex_state = 296, .external_lex_state = 6},
  [3450] = {.lex_state = 296, .external_lex_state = 6},
  [3451] = {.lex_state = 288, .external_lex_state = 5},
  [3452] = {.lex_state = 296, .external_lex_state = 6},
  [3453] = {.lex_state = 296, .external_lex_state = 6},
  [3454] = {.lex_state = 303, .external_lex_state = 6},
  [3455] = {.lex_state = 278, .external_lex_state = 5},
  [3456] = {.lex_state = 288, .external_lex_state = 5},
  [3457] = {.lex_state = 303, .external_lex_state = 6},
  [3458] = {.lex_state = 288, .external_lex_state = 5},
  [3459] = {.lex_state = 261, .external_lex_state = 6},
  [3460] = {.lex_state = 278, .external_lex_state = 6},
  [3461] = {.lex_state = 303, .external_lex_state = 6},
  [3462] = {.lex_state = 288, .external_lex_state = 5},
  [3463] = {.lex_state = 278, .external_lex_state = 6},
  [3464] = {.lex_state = 278, .external_lex_state = 6},
  [3465] = {.lex_state = 278, .external_lex_state = 5},
  [3466] = {.lex_state = 278, .external_lex_state = 5},
  [3467] = {.lex_state = 303, .external_lex_state = 6},
  [3468] = {.lex_state = 303, .external_lex_state = 6},
  [3469] = {.lex_state = 288, .external_lex_state = 5},
  [3470] = {.lex_state = 304, .external_lex_state = 5},
  [3471] = {.lex_state = 303, .external_lex_state = 6},
  [3472] = {.lex_state = 303, .external_lex_state = 6},
  [3473] = {.lex_state = 278, .external_lex_state = 6},
  [3474] = {.lex_state = 288, .external_lex_state = 5},
  [3475] = {.lex_state = 304, .external_lex_state = 5},
  [3476] = {.lex_state = 278, .external_lex_state = 5},
  [3477] = {.lex_state = 303, .external_lex_state = 6},
  [3478] = {.lex_state = 303, .external_lex_state = 6},
  [3479] = {.lex_state = 305, .external_lex_state = 5},
  [3480] = {.lex_state = 305, .external_lex_state = 5},
  [3481] = {.lex_state = 303, .external_lex_state = 6},
  [3482] = {.lex_state = 303, .external_lex_state = 6},
  [3483] = {.lex_state = 303, .external_lex_state = 6},
  [3484] = {.lex_state = 303, .external_lex_state = 6},
  [3485] = {.lex_state = 303, .external_lex_state = 6},
  [3486] = {.lex_state = 288, .external_lex_state = 5},
  [3487] = {.lex_state = 303, .external_lex_state = 6},
  [3488] = {.lex_state = 303, .external_lex_state = 6},
  [3489] = {.lex_state = 278, .external_lex_state = 6},
  [3490] = {.lex_state = 303, .external_lex_state = 6},
  [3491] = {.lex_state = 303, .external_lex_state = 6},
  [3492] = {.lex_state = 303, .external_lex_state = 6},
  [3493] = {.lex_state = 303, .external_lex_state = 6},
  [3494] = {.lex_state = 303, .external_lex_state = 6},
  [3495] = {.lex_state = 303, .external_lex_state = 6},
  [3496] = {.lex_state = 303, .external_lex_state = 6},
  [3497] = {.lex_state = 303, .external_lex_state = 6},
  [3498] = {.lex_state = 303, .external_lex_state = 6},
  [3499] = {.lex_state = 303, .external_lex_state = 6},
  [3500] = {.lex_state = 303, .external_lex_state = 6},
  [3501] = {.lex_state = 303, .external_lex_state = 6},
  [3502] = {.lex_state = 288, .external_lex_state = 5},
  [3503] = {.lex_state = 304, .external_lex_state = 5},
  [3504] = {.lex_state = 288, .external_lex_state = 5},
  [3505] = {.lex_state = 303, .external_lex_state = 6},
  [3506] = {.lex_state = 288, .external_lex_state = 5},
  [3507] = {.lex_state = 278, .external_lex_state = 5},
  [3508] = {.lex_state = 278, .external_lex_state = 6},
  [3509] = {.lex_state = 303, .external_lex_state = 6},
  [3510] = {.lex_state = 303, .external_lex_state = 6},
  [3511] = {.lex_state = 305, .external_lex_state = 5},
  [3512] = {.lex_state = 278, .external_lex_state = 6},
  [3513] = {.lex_state = 288, .external_lex_state = 5},
  [3514] = {.lex_state = 303, .external_lex_state = 6},
  [3515] = {.lex_state = 295, .external_lex_state = 10},
  [3516] = {.lex_state = 291, .external_lex_state = 5},
  [3517] = {.lex_state = 295, .external_lex_state = 10},
  [3518] = {.lex_state = 297, .external_lex_state = 5},
  [3519] = {.lex_state = 312, .external_lex_state = 5},
  [3520] = {.lex_state = 292, .external_lex_state = 5},
  [3521] = {.lex_state = 295, .external_lex_state = 10},
  [3522] = {.lex_state = 290, .external_lex_state = 5},
  [3523] = {.lex_state = 293, .external_lex_state = 5},
  [3524] = {.lex_state = 312, .external_lex_state = 5},
  [3525] = {.lex_state = 295, .external_lex_state = 10},
  [3526] = {.lex_state = 312, .external_lex_state = 5},
  [3527] = {.lex_state = 312, .external_lex_state = 5},
  [3528] = {.lex_state = 295, .external_lex_state = 10},
  [3529] = {.lex_state = 295, .external_lex_state = 10},
  [3530] = {.lex_state = 290, .external_lex_state = 5},
  [3531] = {.lex_state = 291, .external_lex_state = 5},
  [3532] = {.lex_state = 295, .external_lex_state = 10},
  [3533] = {.lex_state = 278, .external_lex_state = 6},
  [3534] = {.lex_state = 291, .external_lex_state = 5},
  [3535] = {.lex_state = 278, .external_lex_state = 6},
  [3536] = {.lex_state = 295, .external_lex_state = 10},
  [3537] = {.lex_state = 292, .external_lex_state = 5},
  [3538] = {.lex_state = 268, .external_lex_state = 6},
  [3539] = {.lex_state = 290, .external_lex_state = 5},
  [3540] = {.lex_state = 295, .external_lex_state = 10},
  [3541] = {.lex_state = 290, .external_lex_state = 5},
  [3542] = {.lex_state = 292, .external_lex_state = 5},
  [3543] = {.lex_state = 291, .external_lex_state = 5},
  [3544] = {.lex_state = 295, .external_lex_state = 10},
  [3545] = {.lex_state = 278, .external_lex_state = 5},
  [3546] = {.lex_state = 292, .external_lex_state = 5},
  [3547] = {.lex_state = 295, .external_lex_state = 10},
  [3548] = {.lex_state = 312, .external_lex_state = 5},
  [3549] = {.lex_state = 295, .external_lex_state = 10},
  [3550] = {.lex_state = 295, .external_lex_state = 10},
  [3551] = {.lex_state = 295, .external_lex_state = 10},
  [3552] = {.lex_state = 295, .external_lex_state = 10},
  [3553] = {.lex_state = 295, .external_lex_state = 10},
  [3554] = {.lex_state = 295, .external_lex_state = 10},
  [3555] = {.lex_state = 295, .external_lex_state = 10},
  [3556] = {.lex_state = 295, .external_lex_state = 10},
  [3557] = {.lex_state = 295, .external_lex_state = 10},
  [3558] = {.lex_state = 295, .external_lex_state = 10},
  [3559] = {.lex_state = 295, .external_lex_state = 10},
  [3560] = {.lex_state = 295, .external_lex_state = 10},
  [3561] = {.lex_state = 295, .external_lex_state = 10},
  [3562] = {.lex_state = 295, .external_lex_state = 10},
  [3563] = {.lex_state = 295, .external_lex_state = 10},
  [3564] = {.lex_state = 295, .external_lex_state = 10},
  [3565] = {.lex_state = 295, .external_lex_state = 10},
  [3566] = {.lex_state = 295, .external_lex_state = 10},
  [3567] = {.lex_state = 295, .external_lex_state = 10},
  [3568] = {.lex_state = 295, .external_lex_state = 10},
  [3569] = {.lex_state = 295, .external_lex_state = 10},
  [3570] = {.lex_state = 295, .external_lex_state = 10},
  [3571] = {.lex_state = 295, .external_lex_state = 10},
  [3572] = {.lex_state = 295, .external_lex_state = 10},
  [3573] = {.lex_state = 295, .external_lex_state = 10},
  [3574] = {.lex_state = 295, .external_lex_state = 10},
  [3575] = {.lex_state = 312, .external_lex_state = 5},
  [3576] = {.lex_state = 295, .external_lex_state = 10},
  [3577] = {.lex_state = 295, .external_lex_state = 10},
  [3578] = {.lex_state = 295, .external_lex_state = 10},
  [3579] = {.lex_state = 295, .external_lex_state = 10},
  [3580] = {.lex_state = 297, .external_lex_state = 6},
  [3581] = {.lex_state = 295, .external_lex_state = 10},
  [3582] = {.lex_state = 312, .external_lex_state = 5},
  [3583] = {.lex_state = 293, .external_lex_state = 5},
  [3584] = {.lex_state = 295, .external_lex_state = 10},
  [3585] = {.lex_state = 291, .external_lex_state = 5},
  [3586] = {.lex_state = 291, .external_lex_state = 5},
  [3587] = {.lex_state = 297, .external_lex_state = 6},
  [3588] = {.lex_state = 312, .external_lex_state = 5},
  [3589] = {.lex_state = 291, .external_lex_state = 5},
  [3590] = {.lex_state = 292, .external_lex_state = 5},
  [3591] = {.lex_state = 261, .external_lex_state = 6},
  [3592] = {.lex_state = 292, .external_lex_state = 5},
  [3593] = {.lex_state = 312, .external_lex_state = 5},
  [3594] = {.lex_state = 292, .external_lex_state = 5},
  [3595] = {.lex_state = 295, .external_lex_state = 10},
  [3596] = {.lex_state = 305, .external_lex_state = 5},
  [3597] = {.lex_state = 293, .external_lex_state = 5},
  [3598] = {.lex_state = 290, .external_lex_state = 5},
  [3599] = {.lex_state = 290, .external_lex_state = 5},
  [3600] = {.lex_state = 312, .external_lex_state = 5},
  [3601] = {.lex_state = 291, .external_lex_state = 5},
  [3602] = {.lex_state = 261, .external_lex_state = 6},
  [3603] = {.lex_state = 312, .external_lex_state = 5},
  [3604] = {.lex_state = 291, .external_lex_state = 5},
  [3605] = {.lex_state = 268, .external_lex_state = 6},
  [3606] = {.lex_state = 290, .external_lex_state = 5},
  [3607] = {.lex_state = 312, .external_lex_state = 5},
  [3608] = {.lex_state = 287, .external_lex_state = 6},
  [3609] = {.lex_state = 291, .external_lex_state = 5},
  [3610] = {.lex_state = 290, .external_lex_state = 5},
  [3611] = {.lex_state = 292, .external_lex_state = 5},
  [3612] = {.lex_state = 295, .external_lex_state = 10},
  [3613] = {.lex_state = 290, .external_lex_state = 5},
  [3614] = {.lex_state = 290, .external_lex_state = 5},
  [3615] = {.lex_state = 304, .external_lex_state = 5},
  [3616] = {.lex_state = 290, .external_lex_state = 5},
  [3617] = {.lex_state = 304, .external_lex_state = 5},
  [3618] = {.lex_state = 291, .external_lex_state = 5},
  [3619] = {.lex_state = 290, .external_lex_state = 5},
  [3620] = {.lex_state = 305, .external_lex_state = 5},
  [3621] = {.lex_state = 305, .external_lex_state = 5},
  [3622] = {.lex_state = 312, .external_lex_state = 5},
  [3623] = {.lex_state = 290, .external_lex_state = 5},
  [3624] = {.lex_state = 291, .external_lex_state = 5},
  [3625] = {.lex_state = 291, .external_lex_state = 5},
  [3626] = {.lex_state = 295, .external_lex_state = 10},
  [3627] = {.lex_state = 304, .external_lex_state = 5},
  [3628] = {.lex_state = 295, .external_lex_state = 10},
  [3629] = {.lex_state = 278, .external_lex_state = 5},
  [3630] = {.lex_state = 278, .external_lex_state = 5},
  [3631] = {.lex_state = 278, .external_lex_state = 5},
  [3632] = {.lex_state = 278, .external_lex_state = 5},
  [3633] = {.lex_state = 278, .external_lex_state = 5},
  [3634] = {.lex_state = 278, .external_lex_state = 5},
  [3635] = {.lex_state = 278, .external_lex_state = 5},
  [3636] = {.lex_state = 278, .external_lex_state = 5},
  [3637] = {.lex_state = 216, .external_lex_state = 6},
  [3638] = {.lex_state = 278, .external_lex_state = 5},
  [3639] = {.lex_state = 278, .external_lex_state = 5},
  [3640] = {.lex_state = 278, .external_lex_state = 5},
  [3641] = {.lex_state = 303, .external_lex_state = 6},
  [3642] = {.lex_state = 278, .external_lex_state = 5},
  [3643] = {.lex_state = 278, .external_lex_state = 5},
  [3644] = {.lex_state = 278, .external_lex_state = 5},
  [3645] = {.lex_state = 278, .external_lex_state = 5},
  [3646] = {.lex_state = 278, .external_lex_state = 5},
  [3647] = {.lex_state = 278, .external_lex_state = 5},
  [3648] = {.lex_state = 278, .external_lex_state = 5},
  [3649] = {.lex_state = 278, .external_lex_state = 5},
  [3650] = {.lex_state = 278, .external_lex_state = 5},
  [3651] = {.lex_state = 278, .external_lex_state = 5},
  [3652] = {.lex_state = 278, .external_lex_state = 5},
  [3653] = {.lex_state = 278, .external_lex_state = 5},
  [3654] = {.lex_state = 278, .external_lex_state = 5},
  [3655] = {.lex_state = 278, .external_lex_state = 5},
  [3656] = {.lex_state = 278, .external_lex_state = 6},
  [3657] = {.lex_state = 216, .external_lex_state = 6},
  [3658] = {.lex_state = 278, .external_lex_state = 5},
  [3659] = {.lex_state = 303, .external_lex_state = 6},
  [3660] = {.lex_state = 278, .external_lex_state = 5},
  [3661] = {.lex_state = 278, .external_lex_state = 5},
  [3662] = {.lex_state = 278, .external_lex_state = 5},
  [3663] = {.lex_state = 278, .external_lex_state = 5},
  [3664] = {.lex_state = 278, .external_lex_state = 5},
  [3665] = {.lex_state = 278, .external_lex_state = 5},
  [3666] = {.lex_state = 278, .external_lex_state = 5},
  [3667] = {.lex_state = 278, .external_lex_state = 5},
  [3668] = {.lex_state = 278, .external_lex_state = 5},
  [3669] = {.lex_state = 278, .external_lex_state = 5},
  [3670] = {.lex_state = 278, .external_lex_state = 5},
  [3671] = {.lex_state = 278, .external_lex_state = 5},
  [3672] = {.lex_state = 261, .external_lex_state = 6},
  [3673] = {.lex_state = 278, .external_lex_state = 5},
  [3674] = {.lex_state = 261, .external_lex_state = 6},
  [3675] = {.lex_state = 278, .external_lex_state = 5},
  [3676] = {.lex_state = 278, .external_lex_state = 5},
  [3677] = {.lex_state = 278, .external_lex_state = 5},
  [3678] = {.lex_state = 278, .external_lex_state = 5},
  [3679] = {.lex_state = 278, .external_lex_state = 5},
  [3680] = {.lex_state = 278, .external_lex_state = 5},
  [3681] = {.lex_state = 216, .external_lex_state = 6},
  [3682] = {.lex_state = 278, .external_lex_state = 5},
  [3683] = {.lex_state = 278, .external_lex_state = 5},
  [3684] = {.lex_state = 278, .external_lex_state = 5},
  [3685] = {.lex_state = 278, .external_lex_state = 5},
  [3686] = {.lex_state = 278, .external_lex_state = 5},
  [3687] = {.lex_state = 287, .external_lex_state = 6},
  [3688] = {.lex_state = 278, .external_lex_state = 5},
  [3689] = {.lex_state = 278, .external_lex_state = 5},
  [3690] = {.lex_state = 278, .external_lex_state = 5},
  [3691] = {.lex_state = 278, .external_lex_state = 5},
  [3692] = {.lex_state = 278, .external_lex_state = 5},
  [3693] = {.lex_state = 278, .external_lex_state = 5},
  [3694] = {.lex_state = 278, .external_lex_state = 5},
  [3695] = {.lex_state = 278, .external_lex_state = 5},
  [3696] = {.lex_state = 278, .external_lex_state = 6},
  [3697] = {.lex_state = 278, .external_lex_state = 5},
  [3698] = {.lex_state = 278, .external_lex_state = 5},
  [3699] = {.lex_state = 278, .external_lex_state = 5},
  [3700] = {.lex_state = 278, .external_lex_state = 5},
  [3701] = {.lex_state = 278, .external_lex_state = 5},
  [3702] = {.lex_state = 278, .external_lex_state = 5},
  [3703] = {.lex_state = 261, .external_lex_state = 6},
  [3704] = {.lex_state = 278, .external_lex_state = 5},
  [3705] = {.lex_state = 261, .external_lex_state = 6},
  [3706] = {.lex_state = 261, .external_lex_state = 6},
  [3707] = {.lex_state = 278, .external_lex_state = 6},
  [3708] = {.lex_state = 278, .external_lex_state = 5},
  [3709] = {.lex_state = 278, .external_lex_state = 5},
  [3710] = {.lex_state = 278, .external_lex_state = 5},
  [3711] = {.lex_state = 261, .external_lex_state = 6},
  [3712] = {.lex_state = 261, .external_lex_state = 6},
  [3713] = {.lex_state = 278, .external_lex_state = 5},
  [3714] = {.lex_state = 278, .external_lex_state = 5},
  [3715] = {.lex_state = 303, .external_lex_state = 6},
  [3716] = {.lex_state = 216, .external_lex_state = 6},
  [3717] = {.lex_state = 278, .external_lex_state = 5},
  [3718] = {.lex_state = 278, .external_lex_state = 5},
  [3719] = {.lex_state = 261, .external_lex_state = 6},
  [3720] = {.lex_state = 261, .external_lex_state = 6},
  [3721] = {.lex_state = 261, .external_lex_state = 6},
  [3722] = {.lex_state = 278, .external_lex_state = 5},
  [3723] = {.lex_state = 278, .external_lex_state = 5},
  [3724] = {.lex_state = 278, .external_lex_state = 5},
  [3725] = {.lex_state = 278, .external_lex_state = 5},
  [3726] = {.lex_state = 278, .external_lex_state = 5},
  [3727] = {.lex_state = 278, .external_lex_state = 5},
  [3728] = {.lex_state = 278, .external_lex_state = 5},
  [3729] = {.lex_state = 278, .external_lex_state = 5},
  [3730] = {.lex_state = 278, .external_lex_state = 5},
  [3731] = {.lex_state = 278, .external_lex_state = 5},
  [3732] = {.lex_state = 278, .external_lex_state = 5},
  [3733] = {.lex_state = 278, .external_lex_state = 5},
  [3734] = {.lex_state = 278, .external_lex_state = 5},
  [3735] = {.lex_state = 278, .external_lex_state = 5},
  [3736] = {.lex_state = 278, .external_lex_state = 5},
  [3737] = {.lex_state = 278, .external_lex_state = 5},
  [3738] = {.lex_state = 278, .external_lex_state = 5},
  [3739] = {.lex_state = 278, .external_lex_state = 5},
  [3740] = {.lex_state = 278, .external_lex_state = 5},
  [3741] = {.lex_state = 278, .external_lex_state = 5},
  [3742] = {.lex_state = 278, .external_lex_state = 5},
  [3743] = {.lex_state = 278, .external_lex_state = 5},
  [3744] = {.lex_state = 278, .external_lex_state = 5},
  [3745] = {.lex_state = 278, .external_lex_state = 5},
  [3746] = {.lex_state = 278, .external_lex_state = 5},
  [3747] = {.lex_state = 261, .external_lex_state = 6},
  [3748] = {.lex_state = 278, .external_lex_state = 5},
  [3749] = {.lex_state = 278, .external_lex_state = 5},
  [3750] = {.lex_state = 278, .external_lex_state = 5},
  [3751] = {.lex_state = 278, .external_lex_state = 5},
  [3752] = {.lex_state = 278, .external_lex_state = 5},
  [3753] = {.lex_state = 278, .external_lex_state = 5},
  [3754] = {.lex_state = 216, .external_lex_state = 6},
  [3755] = {.lex_state = 261, .external_lex_state = 6},
  [3756] = {.lex_state = 278, .external_lex_state = 5},
  [3757] = {.lex_state = 278, .external_lex_state = 5},
  [3758] = {.lex_state = 278, .external_lex_state = 5},
  [3759] = {.lex_state = 278, .external_lex_state = 5},
  [3760] = {.lex_state = 278, .external_lex_state = 5},
  [3761] = {.lex_state = 278, .external_lex_state = 5},
  [3762] = {.lex_state = 278, .external_lex_state = 5},
  [3763] = {.lex_state = 278, .external_lex_state = 5},
  [3764] = {.lex_state = 278, .external_lex_state = 5},
  [3765] = {.lex_state = 278, .external_lex_state = 5},
  [3766] = {.lex_state = 278, .external_lex_state = 5},
  [3767] = {.lex_state = 278, .external_lex_state = 5},
  [3768] = {.lex_state = 278, .external_lex_state = 5},
  [3769] = {.lex_state = 278, .external_lex_state = 5},
  [3770] = {.lex_state = 278, .external_lex_state = 5},
  [3771] = {.lex_state = 278, .external_lex_state = 5},
  [3772] = {.lex_state = 278, .external_lex_state = 5},
  [3773] = {.lex_state = 278, .external_lex_state = 5},
  [3774] = {.lex_state = 278, .external_lex_state = 5},
  [3775] = {.lex_state = 278, .external_lex_state = 5},
  [3776] = {.lex_state = 216, .external_lex_state = 6},
  [3777] = {.lex_state = 278, .external_lex_state = 5},
  [3778] = {.lex_state = 278, .external_lex_state = 5},
  [3779] = {.lex_state = 278, .external_lex_state = 5},
  [3780] = {.lex_state = 278, .external_lex_state = 5},
  [3781] = {.lex_state = 278, .external_lex_state = 5},
  [3782] = {.lex_state = 278, .external_lex_state = 5},
  [3783] = {.lex_state = 216, .external_lex_state = 6},
  [3784] = {.lex_state = 278, .external_lex_state = 5},
  [3785] = {.lex_state = 278, .external_lex_state = 5},
  [3786] = {.lex_state = 278, .external_lex_state = 5},
  [3787] = {.lex_state = 278, .external_lex_state = 5},
  [3788] = {.lex_state = 278, .external_lex_state = 5},
  [3789] = {.lex_state = 261, .external_lex_state = 6},
  [3790] = {.lex_state = 278, .external_lex_state = 5},
  [3791] = {.lex_state = 287, .external_lex_state = 6},
  [3792] = {.lex_state = 278, .external_lex_state = 5},
  [3793] = {.lex_state = 261, .external_lex_state = 6},
  [3794] = {.lex_state = 278, .external_lex_state = 6},
  [3795] = {.lex_state = 278, .external_lex_state = 5},
  [3796] = {.lex_state = 278, .external_lex_state = 5},
  [3797] = {.lex_state = 278, .external_lex_state = 5},
  [3798] = {.lex_state = 261, .external_lex_state = 6},
  [3799] = {.lex_state = 261, .external_lex_state = 6},
  [3800] = {.lex_state = 216, .external_lex_state = 6},
  [3801] = {.lex_state = 287, .external_lex_state = 6},
  [3802] = {.lex_state = 278, .external_lex_state = 5},
  [3803] = {.lex_state = 278, .external_lex_state = 5},
  [3804] = {.lex_state = 303, .external_lex_state = 6},
  [3805] = {.lex_state = 216, .external_lex_state = 6},
  [3806] = {.lex_state = 278, .external_lex_state = 5},
  [3807] = {.lex_state = 261, .external_lex_state = 6},
  [3808] = {.lex_state = 278, .external_lex_state = 5},
  [3809] = {.lex_state = 278, .external_lex_state = 5},
  [3810] = {.lex_state = 278, .external_lex_state = 5},
  [3811] = {.lex_state = 278, .external_lex_state = 5},
  [3812] = {.lex_state = 278, .external_lex_state = 5},
  [3813] = {.lex_state = 278, .external_lex_state = 5},
  [3814] = {.lex_state = 278, .external_lex_state = 5},
  [3815] = {.lex_state = 278, .external_lex_state = 5},
  [3816] = {.lex_state = 278, .external_lex_state = 5},
  [3817] = {.lex_state = 278, .external_lex_state = 5},
  [3818] = {.lex_state = 228, .external_lex_state = 6},
  [3819] = {.lex_state = 303, .external_lex_state = 6},
  [3820] = {.lex_state = 228, .external_lex_state = 6},
  [3821] = {.lex_state = 228, .external_lex_state = 6},
  [3822] = {.lex_state = 278, .external_lex_state = 6},
  [3823] = {.lex_state = 216, .external_lex_state = 6},
  [3824] = {.lex_state = 216, .external_lex_state = 6},
  [3825] = {.lex_state = 216, .external_lex_state = 6},
  [3826] = {.lex_state = 278, .external_lex_state = 5},
  [3827] = {.lex_state = 216, .external_lex_state = 6},
  [3828] = {.lex_state = 216, .external_lex_state = 6},
  [3829] = {.lex_state = 216, .external_lex_state = 6},
  [3830] = {.lex_state = 228, .external_lex_state = 6},
  [3831] = {.lex_state = 228, .external_lex_state = 6},
  [3832] = {.lex_state = 216, .external_lex_state = 6},
  [3833] = {.lex_state = 278, .external_lex_state = 5},
  [3834] = {.lex_state = 278, .external_lex_state = 6},
  [3835] = {.lex_state = 278, .external_lex_state = 5},
  [3836] = {.lex_state = 216, .external_lex_state = 6},
  [3837] = {.lex_state = 228, .external_lex_state = 6},
  [3838] = {.lex_state = 216, .external_lex_state = 6},
  [3839] = {.lex_state = 216, .external_lex_state = 6},
  [3840] = {.lex_state = 216, .external_lex_state = 6},
  [3841] = {.lex_state = 278, .external_lex_state = 5},
  [3842] = {.lex_state = 278, .external_lex_state = 5},
  [3843] = {.lex_state = 216, .external_lex_state = 6},
  [3844] = {.lex_state = 228, .external_lex_state = 6},
  [3845] = {.lex_state = 278, .external_lex_state = 5},
  [3846] = {.lex_state = 216, .external_lex_state = 6},
  [3847] = {.lex_state = 278, .external_lex_state = 6},
  [3848] = {.lex_state = 278, .external_lex_state = 5},
  [3849] = {.lex_state = 216, .external_lex_state = 6},
  [3850] = {.lex_state = 216, .external_lex_state = 6},
  [3851] = {.lex_state = 287, .external_lex_state = 6},
  [3852] = {.lex_state = 287, .external_lex_state = 6},
  [3853] = {.lex_state = 228, .external_lex_state = 6},
  [3854] = {.lex_state = 216, .external_lex_state = 6},
  [3855] = {.lex_state = 278, .external_lex_state = 5},
  [3856] = {.lex_state = 228, .external_lex_state = 6},
  [3857] = {.lex_state = 278, .external_lex_state = 5},
  [3858] = {.lex_state = 228, .external_lex_state = 6},
  [3859] = {.lex_state = 228, .external_lex_state = 6},
  [3860] = {.lex_state = 228, .external_lex_state = 6},
  [3861] = {.lex_state = 278, .external_lex_state = 5},
  [3862] = {.lex_state = 216, .external_lex_state = 6},
  [3863] = {.lex_state = 216, .external_lex_state = 6},
  [3864] = {.lex_state = 287, .external_lex_state = 6},
  [3865] = {.lex_state = 303, .external_lex_state = 6},
  [3866] = {.lex_state = 287, .external_lex_state = 6},
  [3867] = {.lex_state = 216, .external_lex_state = 6},
  [3868] = {.lex_state = 216, .external_lex_state = 6},
  [3869] = {.lex_state = 216, .external_lex_state = 6},
  [3870] = {.lex_state = 216, .external_lex_state = 6},
  [3871] = {.lex_state = 216, .external_lex_state = 6},
  [3872] = {.lex_state = 216, .external_lex_state = 6},
  [3873] = {.lex_state = 216, .external_lex_state = 6},
  [3874] = {.lex_state = 216, .external_lex_state = 6},
  [3875] = {.lex_state = 216, .external_lex_state = 6},
  [3876] = {.lex_state = 216, .external_lex_state = 6},
  [3877] = {.lex_state = 278, .external_lex_state = 5},
  [3878] = {.lex_state = 278, .external_lex_state = 5},
  [3879] = {.lex_state = 278, .external_lex_state = 5},
  [3880] = {.lex_state = 216, .external_lex_state = 6},
  [3881] = {.lex_state = 216, .external_lex_state = 6},
  [3882] = {.lex_state = 228, .external_lex_state = 6},
  [3883] = {.lex_state = 278, .external_lex_state = 6},
  [3884] = {.lex_state = 216, .external_lex_state = 6},
  [3885] = {.lex_state = 228, .external_lex_state = 6},
  [3886] = {.lex_state = 278, .external_lex_state = 5},
  [3887] = {.lex_state = 216, .external_lex_state = 6},
  [3888] = {.lex_state = 216, .external_lex_state = 6},
  [3889] = {.lex_state = 216, .external_lex_state = 6},
  [3890] = {.lex_state = 228, .external_lex_state = 6},
  [3891] = {.lex_state = 216, .external_lex_state = 6},
  [3892] = {.lex_state = 228, .external_lex_state = 6},
  [3893] = {.lex_state = 228, .external_lex_state = 6},
  [3894] = {.lex_state = 287, .external_lex_state = 6},
  [3895] = {.lex_state = 228, .external_lex_state = 6},
  [3896] = {.lex_state = 216, .external_lex_state = 6},
  [3897] = {.lex_state = 216, .external_lex_state = 6},
  [3898] = {.lex_state = 216, .external_lex_state = 6},
  [3899] = {.lex_state = 216, .external_lex_state = 6},
  [3900] = {.lex_state = 216, .external_lex_state = 6},
  [3901] = {.lex_state = 278, .external_lex_state = 5},
  [3902] = {.lex_state = 216, .external_lex_state = 6},
  [3903] = {.lex_state = 216, .external_lex_state = 6},
  [3904] = {.lex_state = 216, .external_lex_state = 6},
  [3905] = {.lex_state = 216, .external_lex_state = 6},
  [3906] = {.lex_state = 216, .external_lex_state = 6},
  [3907] = {.lex_state = 228, .external_lex_state = 6},
  [3908] = {.lex_state = 228, .external_lex_state = 6},
  [3909] = {.lex_state = 216, .external_lex_state = 6},
  [3910] = {.lex_state = 228, .external_lex_state = 6},
  [3911] = {.lex_state = 216, .external_lex_state = 6},
  [3912] = {.lex_state = 228, .external_lex_state = 6},
  [3913] = {.lex_state = 216, .external_lex_state = 6},
  [3914] = {.lex_state = 278, .external_lex_state = 5},
  [3915] = {.lex_state = 216, .external_lex_state = 6},
  [3916] = {.lex_state = 278, .external_lex_state = 6},
  [3917] = {.lex_state = 278, .external_lex_state = 5},
  [3918] = {.lex_state = 278, .external_lex_state = 5},
  [3919] = {.lex_state = 228, .external_lex_state = 6},
  [3920] = {.lex_state = 297, .external_lex_state = 6},
  [3921] = {.lex_state = 297, .external_lex_state = 6},
  [3922] = {.lex_state = 216, .external_lex_state = 6},
  [3923] = {.lex_state = 228, .external_lex_state = 6},
  [3924] = {.lex_state = 216, .external_lex_state = 6},
  [3925] = {.lex_state = 228, .external_lex_state = 6},
  [3926] = {.lex_state = 278, .external_lex_state = 5},
  [3927] = {.lex_state = 216, .external_lex_state = 6},
  [3928] = {.lex_state = 216, .external_lex_state = 6},
  [3929] = {.lex_state = 216, .external_lex_state = 6},
  [3930] = {.lex_state = 216, .external_lex_state = 6},
  [3931] = {.lex_state = 216, .external_lex_state = 6},
  [3932] = {.lex_state = 303, .external_lex_state = 6},
  [3933] = {.lex_state = 278, .external_lex_state = 6},
  [3934] = {.lex_state = 216, .external_lex_state = 6},
  [3935] = {.lex_state = 228, .external_lex_state = 6},
  [3936] = {.lex_state = 216, .external_lex_state = 6},
  [3937] = {.lex_state = 216, .external_lex_state = 6},
  [3938] = {.lex_state = 216, .external_lex_state = 6},
  [3939] = {.lex_state = 216, .external_lex_state = 6},
  [3940] = {.lex_state = 228, .external_lex_state = 6},
  [3941] = {.lex_state = 278, .external_lex_state = 5},
  [3942] = {.lex_state = 228, .external_lex_state = 6},
  [3943] = {.lex_state = 216, .external_lex_state = 6},
  [3944] = {.lex_state = 278, .external_lex_state = 5},
  [3945] = {.lex_state = 216, .external_lex_state = 6},
  [3946] = {.lex_state = 261, .external_lex_state = 6},
  [3947] = {.lex_state = 287, .external_lex_state = 6},
  [3948] = {.lex_state = 223, .external_lex_state = 6},
  [3949] = {.lex_state = 278, .external_lex_state = 6},
  [3950] = {.lex_state = 278, .external_lex_state = 6},
  [3951] = {.lex_state = 313, .external_lex_state = 6},
  [3952] = {.lex_state = 223, .external_lex_state = 6},
  [3953] = {.lex_state = 287, .external_lex_state = 6},
  [3954] = {.lex_state = 297, .external_lex_state = 6},
  [3955] = {.lex_state = 297, .external_lex_state = 6},
  [3956] = {.lex_state = 297, .external_lex_state = 6},
  [3957] = {.lex_state = 278, .external_lex_state = 6},
  [3958] = {.lex_state = 261, .external_lex_state = 6},
  [3959] = {.lex_state = 261, .external_lex_state = 6},
  [3960] = {.lex_state = 261, .external_lex_state = 6},
  [3961] = {.lex_state = 297, .external_lex_state = 6},
  [3962] = {.lex_state = 297, .external_lex_state = 6},
  [3963] = {.lex_state = 297, .external_lex_state = 6},
  [3964] = {.lex_state = 228, .external_lex_state = 6},
  [3965] = {.lex_state = 313, .external_lex_state = 6},
  [3966] = {.lex_state = 223, .external_lex_state = 6},
  [3967] = {.lex_state = 313, .external_lex_state = 6},
  [3968] = {.lex_state = 261, .external_lex_state = 6},
  [3969] = {.lex_state = 306, .external_lex_state = 6},
  [3970] = {.lex_state = 297, .external_lex_state = 6},
  [3971] = {.lex_state = 297, .external_lex_state = 6},
  [3972] = {.lex_state = 297, .external_lex_state = 6},
  [3973] = {.lex_state = 297, .external_lex_state = 6},
  [3974] = {.lex_state = 261, .external_lex_state = 6},
  [3975] = {.lex_state = 297, .external_lex_state = 6},
  [3976] = {.lex_state = 297, .external_lex_state = 6},
  [3977] = {.lex_state = 278, .external_lex_state = 6},
  [3978] = {.lex_state = 278, .external_lex_state = 6},
  [3979] = {.lex_state = 278, .external_lex_state = 6},
  [3980] = {.lex_state = 288, .external_lex_state = 6},
  [3981] = {.lex_state = 278, .external_lex_state = 6},
  [3982] = {.lex_state = 278, .external_lex_state = 6},
  [3983] = {.lex_state = 297, .external_lex_state = 6},
  [3984] = {.lex_state = 297, .external_lex_state = 6},
  [3985] = {.lex_state = 297, .external_lex_state = 6},
  [3986] = {.lex_state = 297, .external_lex_state = 6},
  [3987] = {.lex_state = 297, .external_lex_state = 6},
  [3988] = {.lex_state = 297, .external_lex_state = 6},
  [3989] = {.lex_state = 278, .external_lex_state = 6},
  [3990] = {.lex_state = 297, .external_lex_state = 6},
  [3991] = {.lex_state = 297, .external_lex_state = 6},
  [3992] = {.lex_state = 297, .external_lex_state = 6},
  [3993] = {.lex_state = 297, .external_lex_state = 6},
  [3994] = {.lex_state = 297, .external_lex_state = 6},
  [3995] = {.lex_state = 216, .external_lex_state = 6},
  [3996] = {.lex_state = 278, .external_lex_state = 6},
  [3997] = {.lex_state = 297, .external_lex_state = 6},
  [3998] = {.lex_state = 297, .external_lex_state = 6},
  [3999] = {.lex_state = 297, .external_lex_state = 6},
  [4000] = {.lex_state = 297, .external_lex_state = 6},
  [4001] = {.lex_state = 297, .external_lex_state = 6},
  [4002] = {.lex_state = 288, .external_lex_state = 6},
  [4003] = {.lex_state = 278, .external_lex_state = 6},
  [4004] = {.lex_state = 278, .external_lex_state = 6},
  [4005] = {.lex_state = 297, .external_lex_state = 6},
  [4006] = {.lex_state = 297, .external_lex_state = 6},
  [4007] = {.lex_state = 278, .external_lex_state = 6},
  [4008] = {.lex_state = 297, .external_lex_state = 6},
  [4009] = {.lex_state = 278, .external_lex_state = 6},
  [4010] = {.lex_state = 297, .external_lex_state = 6},
  [4011] = {.lex_state = 278, .external_lex_state = 6},
  [4012] = {.lex_state = 278, .external_lex_state = 6},
  [4013] = {.lex_state = 297, .external_lex_state = 6},
  [4014] = {.lex_state = 297, .external_lex_state = 6},
  [4015] = {.lex_state = 278, .external_lex_state = 6},
  [4016] = {.lex_state = 278, .external_lex_state = 6},
  [4017] = {.lex_state = 278, .external_lex_state = 6},
  [4018] = {.lex_state = 278, .external_lex_state = 6},
  [4019] = {.lex_state = 278, .external_lex_state = 6},
  [4020] = {.lex_state = 297, .external_lex_state = 6},
  [4021] = {.lex_state = 297, .external_lex_state = 6},
  [4022] = {.lex_state = 278, .external_lex_state = 6},
  [4023] = {.lex_state = 278, .external_lex_state = 6},
  [4024] = {.lex_state = 278, .external_lex_state = 6},
  [4025] = {.lex_state = 216, .external_lex_state = 6},
  [4026] = {.lex_state = 278, .external_lex_state = 6},
  [4027] = {.lex_state = 297, .external_lex_state = 6},
  [4028] = {.lex_state = 297, .external_lex_state = 6},
  [4029] = {.lex_state = 278, .external_lex_state = 6},
  [4030] = {.lex_state = 297, .external_lex_state = 6},
  [4031] = {.lex_state = 278, .external_lex_state = 6},
  [4032] = {.lex_state = 297, .external_lex_state = 6},
  [4033] = {.lex_state = 278, .external_lex_state = 6},
  [4034] = {.lex_state = 306, .external_lex_state = 6},
  [4035] = {.lex_state = 278, .external_lex_state = 6},
  [4036] = {.lex_state = 278, .external_lex_state = 6},
  [4037] = {.lex_state = 278, .external_lex_state = 6},
  [4038] = {.lex_state = 278, .external_lex_state = 6},
  [4039] = {.lex_state = 297, .external_lex_state = 6},
  [4040] = {.lex_state = 297, .external_lex_state = 6},
  [4041] = {.lex_state = 278, .external_lex_state = 6},
  [4042] = {.lex_state = 297, .external_lex_state = 6},
  [4043] = {.lex_state = 216, .external_lex_state = 6},
  [4044] = {.lex_state = 297, .external_lex_state = 6},
  [4045] = {.lex_state = 278, .external_lex_state = 6},
  [4046] = {.lex_state = 278, .external_lex_state = 6},
  [4047] = {.lex_state = 278, .external_lex_state = 6},
  [4048] = {.lex_state = 278, .external_lex_state = 5},
  [4049] = {.lex_state = 278, .external_lex_state = 6},
  [4050] = {.lex_state = 297, .external_lex_state = 6},
  [4051] = {.lex_state = 278, .external_lex_state = 6},
  [4052] = {.lex_state = 297, .external_lex_state = 6},
  [4053] = {.lex_state = 297, .external_lex_state = 6},
  [4054] = {.lex_state = 278, .external_lex_state = 6},
  [4055] = {.lex_state = 297, .external_lex_state = 6},
  [4056] = {.lex_state = 278, .external_lex_state = 5},
  [4057] = {.lex_state = 278, .external_lex_state = 6},
  [4058] = {.lex_state = 278, .external_lex_state = 6},
  [4059] = {.lex_state = 278, .external_lex_state = 6},
  [4060] = {.lex_state = 297, .external_lex_state = 6},
  [4061] = {.lex_state = 278, .external_lex_state = 6},
  [4062] = {.lex_state = 297, .external_lex_state = 6},
  [4063] = {.lex_state = 278, .external_lex_state = 6},
  [4064] = {.lex_state = 278, .external_lex_state = 6},
  [4065] = {.lex_state = 278, .external_lex_state = 6},
  [4066] = {.lex_state = 278, .external_lex_state = 6},
  [4067] = {.lex_state = 278, .external_lex_state = 6},
  [4068] = {.lex_state = 297, .external_lex_state = 6},
  [4069] = {.lex_state = 278, .external_lex_state = 6},
  [4070] = {.lex_state = 278, .external_lex_state = 6},
  [4071] = {.lex_state = 297, .external_lex_state = 6},
  [4072] = {.lex_state = 297, .external_lex_state = 6},
  [4073] = {.lex_state = 297, .external_lex_state = 6},
  [4074] = {.lex_state = 278, .external_lex_state = 6},
  [4075] = {.lex_state = 278, .external_lex_state = 6},
  [4076] = {.lex_state = 278, .external_lex_state = 6},
  [4077] = {.lex_state = 278, .external_lex_state = 6},
  [4078] = {.lex_state = 278, .external_lex_state = 6},
  [4079] = {.lex_state = 278, .external_lex_state = 6},
  [4080] = {.lex_state = 278, .external_lex_state = 6},
  [4081] = {.lex_state = 278, .external_lex_state = 6},
  [4082] = {.lex_state = 278, .external_lex_state = 6},
  [4083] = {.lex_state = 278, .external_lex_state = 6},
  [4084] = {.lex_state = 278, .external_lex_state = 6},
  [4085] = {.lex_state = 278, .external_lex_state = 6},
  [4086] = {.lex_state = 278, .external_lex_state = 6},
  [4087] = {.lex_state = 278, .external_lex_state = 6},
  [4088] = {.lex_state = 278, .external_lex_state = 6},
  [4089] = {.lex_state = 278, .external_lex_state = 6},
  [4090] = {.lex_state = 278, .external_lex_state = 6},
  [4091] = {.lex_state = 278, .external_lex_state = 6},
  [4092] = {.lex_state = 278, .external_lex_state = 6},
  [4093] = {.lex_state = 278, .external_lex_state = 6},
  [4094] = {.lex_state = 278, .external_lex_state = 6},
  [4095] = {.lex_state = 278, .external_lex_state = 6},
  [4096] = {.lex_state = 278, .external_lex_state = 6},
  [4097] = {.lex_state = 278, .external_lex_state = 6},
  [4098] = {.lex_state = 278, .external_lex_state = 6},
  [4099] = {.lex_state = 278, .external_lex_state = 6},
  [4100] = {.lex_state = 261, .external_lex_state = 6},
  [4101] = {.lex_state = 278, .external_lex_state = 6},
  [4102] = {.lex_state = 278, .external_lex_state = 6},
  [4103] = {.lex_state = 278, .external_lex_state = 6},
  [4104] = {.lex_state = 261, .external_lex_state = 6},
  [4105] = {.lex_state = 261, .external_lex_state = 6},
  [4106] = {.lex_state = 261, .external_lex_state = 6},
  [4107] = {.lex_state = 261, .external_lex_state = 6},
  [4108] = {.lex_state = 278, .external_lex_state = 6},
  [4109] = {.lex_state = 278, .external_lex_state = 6},
  [4110] = {.lex_state = 278, .external_lex_state = 6},
  [4111] = {.lex_state = 278, .external_lex_state = 6},
  [4112] = {.lex_state = 278, .external_lex_state = 6},
  [4113] = {.lex_state = 278, .external_lex_state = 6},
  [4114] = {.lex_state = 278, .external_lex_state = 6},
  [4115] = {.lex_state = 278, .external_lex_state = 6},
  [4116] = {.lex_state = 278, .external_lex_state = 6},
  [4117] = {.lex_state = 278, .external_lex_state = 6},
  [4118] = {.lex_state = 278, .external_lex_state = 6},
  [4119] = {.lex_state = 278, .external_lex_state = 6},
  [4120] = {.lex_state = 278, .external_lex_state = 6},
  [4121] = {.lex_state = 278, .external_lex_state = 6},
  [4122] = {.lex_state = 278, .external_lex_state = 6},
  [4123] = {.lex_state = 278, .external_lex_state = 6},
  [4124] = {.lex_state = 278, .external_lex_state = 6},
  [4125] = {.lex_state = 278, .external_lex_state = 6},
  [4126] = {.lex_state = 278, .external_lex_state = 6},
  [4127] = {.lex_state = 278, .external_lex_state = 6},
  [4128] = {.lex_state = 278, .external_lex_state = 6},
  [4129] = {.lex_state = 278, .external_lex_state = 6},
  [4130] = {.lex_state = 278, .external_lex_state = 6},
  [4131] = {.lex_state = 278, .external_lex_state = 6},
  [4132] = {.lex_state = 278, .external_lex_state = 6},
  [4133] = {.lex_state = 278, .external_lex_state = 6},
  [4134] = {.lex_state = 278, .external_lex_state = 6},
  [4135] = {.lex_state = 278, .external_lex_state = 6},
  [4136] = {.lex_state = 278, .external_lex_state = 6},
  [4137] = {.lex_state = 278, .external_lex_state = 6},
  [4138] = {.lex_state = 278, .external_lex_state = 6},
  [4139] = {.lex_state = 278, .external_lex_state = 6},
  [4140] = {.lex_state = 278, .external_lex_state = 6},
  [4141] = {.lex_state = 278, .external_lex_state = 6},
  [4142] = {.lex_state = 278, .external_lex_state = 6},
  [4143] = {.lex_state = 278, .external_lex_state = 6},
  [4144] = {.lex_state = 278, .external_lex_state = 6},
  [4145] = {.lex_state = 216, .external_lex_state = 6},
  [4146] = {.lex_state = 216, .external_lex_state = 6},
  [4147] = {.lex_state = 216, .external_lex_state = 6},
  [4148] = {.lex_state = 278, .external_lex_state = 6},
  [4149] = {.lex_state = 278, .external_lex_state = 6},
  [4150] = {.lex_state = 278, .external_lex_state = 6},
  [4151] = {.lex_state = 278, .external_lex_state = 6},
  [4152] = {.lex_state = 278, .external_lex_state = 6},
  [4153] = {.lex_state = 278, .external_lex_state = 6},
  [4154] = {.lex_state = 278, .external_lex_state = 6},
  [4155] = {.lex_state = 278, .external_lex_state = 6},
  [4156] = {.lex_state = 278, .external_lex_state = 6},
  [4157] = {.lex_state = 278, .external_lex_state = 6},
  [4158] = {.lex_state = 278, .external_lex_state = 6},
  [4159] = {.lex_state = 278, .external_lex_state = 6},
  [4160] = {.lex_state = 278, .external_lex_state = 6},
  [4161] = {.lex_state = 278, .external_lex_state = 6},
  [4162] = {.lex_state = 278, .external_lex_state = 6},
  [4163] = {.lex_state = 278, .external_lex_state = 6},
  [4164] = {.lex_state = 278, .external_lex_state = 6},
  [4165] = {.lex_state = 278, .external_lex_state = 6},
  [4166] = {.lex_state = 278, .external_lex_state = 6},
  [4167] = {.lex_state = 278, .external_lex_state = 6},
  [4168] = {.lex_state = 278, .external_lex_state = 6},
  [4169] = {.lex_state = 278, .external_lex_state = 6},
  [4170] = {.lex_state = 278, .external_lex_state = 6},
  [4171] = {.lex_state = 278, .external_lex_state = 6},
  [4172] = {.lex_state = 278, .external_lex_state = 6},
  [4173] = {.lex_state = 278, .external_lex_state = 6},
  [4174] = {.lex_state = 278, .external_lex_state = 6},
  [4175] = {.lex_state = 278, .external_lex_state = 6},
  [4176] = {.lex_state = 278, .external_lex_state = 6},
  [4177] = {.lex_state = 278, .external_lex_state = 6},
  [4178] = {.lex_state = 278, .external_lex_state = 6},
  [4179] = {.lex_state = 278, .external_lex_state = 6},
  [4180] = {.lex_state = 278, .external_lex_state = 6},
  [4181] = {.lex_state = 278, .external_lex_state = 6},
  [4182] = {.lex_state = 278, .external_lex_state = 6},
  [4183] = {.lex_state = 278, .external_lex_state = 6},
  [4184] = {.lex_state = 278, .external_lex_state = 6},
  [4185] = {.lex_state = 278, .external_lex_state = 6},
  [4186] = {.lex_state = 278, .external_lex_state = 6},
  [4187] = {.lex_state = 278, .external_lex_state = 6},
  [4188] = {.lex_state = 278, .external_lex_state = 6},
  [4189] = {.lex_state = 278, .external_lex_state = 6},
  [4190] = {.lex_state = 278, .external_lex_state = 6},
  [4191] = {.lex_state = 278, .external_lex_state = 6},
  [4192] = {.lex_state = 278, .external_lex_state = 6},
  [4193] = {.lex_state = 278, .external_lex_state = 6},
  [4194] = {.lex_state = 278, .external_lex_state = 6},
  [4195] = {.lex_state = 278, .external_lex_state = 6},
  [4196] = {.lex_state = 278, .external_lex_state = 6},
  [4197] = {.lex_state = 278, .external_lex_state = 6},
  [4198] = {.lex_state = 278, .external_lex_state = 6},
  [4199] = {.lex_state = 278, .external_lex_state = 6},
  [4200] = {.lex_state = 278, .external_lex_state = 6},
  [4201] = {.lex_state = 278, .external_lex_state = 6},
  [4202] = {.lex_state = 278, .external_lex_state = 6},
  [4203] = {.lex_state = 278, .external_lex_state = 6},
  [4204] = {.lex_state = 278, .external_lex_state = 6},
  [4205] = {.lex_state = 278, .external_lex_state = 6},
  [4206] = {.lex_state = 278, .external_lex_state = 6},
  [4207] = {.lex_state = 278, .external_lex_state = 6},
  [4208] = {.lex_state = 278, .external_lex_state = 6},
  [4209] = {.lex_state = 278, .external_lex_state = 6},
  [4210] = {.lex_state = 278, .external_lex_state = 6},
  [4211] = {.lex_state = 278, .external_lex_state = 6},
  [4212] = {.lex_state = 278, .external_lex_state = 6},
  [4213] = {.lex_state = 278, .external_lex_state = 6},
  [4214] = {.lex_state = 278, .external_lex_state = 6},
  [4215] = {.lex_state = 278, .external_lex_state = 6},
  [4216] = {.lex_state = 278, .external_lex_state = 6},
  [4217] = {.lex_state = 278, .external_lex_state = 6},
  [4218] = {.lex_state = 278, .external_lex_state = 6},
  [4219] = {.lex_state = 278, .external_lex_state = 6},
  [4220] = {.lex_state = 278, .external_lex_state = 6},
  [4221] = {.lex_state = 278, .external_lex_state = 6},
  [4222] = {.lex_state = 278, .external_lex_state = 6},
  [4223] = {.lex_state = 278, .external_lex_state = 6},
  [4224] = {.lex_state = 278, .external_lex_state = 6},
  [4225] = {.lex_state = 278, .external_lex_state = 6},
  [4226] = {.lex_state = 278, .external_lex_state = 6},
  [4227] = {.lex_state = 278, .external_lex_state = 6},
  [4228] = {.lex_state = 278, .external_lex_state = 6},
  [4229] = {.lex_state = 278, .external_lex_state = 6},
  [4230] = {.lex_state = 261, .external_lex_state = 6},
  [4231] = {.lex_state = 261, .external_lex_state = 6},
  [4232] = {.lex_state = 261, .external_lex_state = 6},
  [4233] = {.lex_state = 261, .external_lex_state = 6},
  [4234] = {.lex_state = 261, .external_lex_state = 6},
  [4235] = {.lex_state = 261, .external_lex_state = 6},
  [4236] = {.lex_state = 261, .external_lex_state = 6},
  [4237] = {.lex_state = 261, .external_lex_state = 6},
  [4238] = {.lex_state = 261, .external_lex_state = 6},
  [4239] = {.lex_state = 261, .external_lex_state = 6},
  [4240] = {.lex_state = 261, .external_lex_state = 6},
  [4241] = {.lex_state = 261, .external_lex_state = 6},
  [4242] = {.lex_state = 261, .external_lex_state = 6},
  [4243] = {.lex_state = 261, .external_lex_state = 6},
  [4244] = {.lex_state = 263, .external_lex_state = 6},
  [4245] = {.lex_state = 275, .external_lex_state = 6},
  [4246] = {.lex_state = 275, .external_lex_state = 6},
  [4247] = {.lex_state = 263, .external_lex_state = 6},
  [4248] = {.lex_state = 263, .external_lex_state = 6},
  [4249] = {.lex_state = 275, .external_lex_state = 6},
  [4250] = {.lex_state = 252, .external_lex_state = 6},
  [4251] = {.lex_state = 255, .external_lex_state = 6},
  [4252] = {.lex_state = 255, .external_lex_state = 6},
  [4253] = {.lex_state = 259, .external_lex_state = 6},
  [4254] = {.lex_state = 256, .external_lex_state = 6},
  [4255] = {.lex_state = 255, .external_lex_state = 6},
  [4256] = {.lex_state = 268, .external_lex_state = 6},
  [4257] = {.lex_state = 259, .external_lex_state = 6},
  [4258] = {.lex_state = 252, .external_lex_state = 6},
  [4259] = {.lex_state = 261, .external_lex_state = 6},
  [4260] = {.lex_state = 257, .external_lex_state = 6},
  [4261] = {.lex_state = 224, .external_lex_state = 6},
  [4262] = {.lex_state = 261, .external_lex_state = 6},
  [4263] = {.lex_state = 257, .external_lex_state = 6},
  [4264] = {.lex_state = 258, .external_lex_state = 6},
  [4265] = {.lex_state = 258, .external_lex_state = 6},
  [4266] = {.lex_state = 257, .external_lex_state = 6},
  [4267] = {.lex_state = 258, .external_lex_state = 6},
  [4268] = {.lex_state = 252, .external_lex_state = 6},
  [4269] = {.lex_state = 224, .external_lex_state = 6},
  [4270] = {.lex_state = 256, .external_lex_state = 6},
  [4271] = {.lex_state = 224, .external_lex_state = 6},
  [4272] = {.lex_state = 256, .external_lex_state = 6},
  [4273] = {.lex_state = 259, .external_lex_state = 6},
  [4274] = {.lex_state = 259, .external_lex_state = 6},
  [4275] = {.lex_state = 259, .external_lex_state = 6},
  [4276] = {.lex_state = 259, .external_lex_state = 6},
  [4277] = {.lex_state = 259, .external_lex_state = 6},
  [4278] = {.lex_state = 268, .external_lex_state = 6},
  [4279] = {.lex_state = 259, .external_lex_state = 6},
  [4280] = {.lex_state = 259, .external_lex_state = 6},
  [4281] = {.lex_state = 268, .external_lex_state = 6},
  [4282] = {.lex_state = 259, .external_lex_state = 6},
  [4283] = {.lex_state = 268, .external_lex_state = 6},
  [4284] = {.lex_state = 268, .external_lex_state = 6},
  [4285] = {.lex_state = 268, .external_lex_state = 6},
  [4286] = {.lex_state = 259, .external_lex_state = 6},
  [4287] = {.lex_state = 259, .external_lex_state = 6},
  [4288] = {.lex_state = 268, .external_lex_state = 6},
  [4289] = {.lex_state = 259, .external_lex_state = 6},
  [4290] = {.lex_state = 259, .external_lex_state = 6},
  [4291] = {.lex_state = 259, .external_lex_state = 6},
  [4292] = {.lex_state = 259, .external_lex_state = 6},
  [4293] = {.lex_state = 261, .external_lex_state = 6},
  [4294] = {.lex_state = 261, .external_lex_state = 6},
  [4295] = {.lex_state = 253, .external_lex_state = 6},
  [4296] = {.lex_state = 253, .external_lex_state = 6},
  [4297] = {.lex_state = 253, .external_lex_state = 6},
  [4298] = {.lex_state = 253, .external_lex_state = 6},
  [4299] = {.lex_state = 253, .external_lex_state = 6},
  [4300] = {.lex_state = 253, .external_lex_state = 6},
  [4301] = {.lex_state = 253, .external_lex_state = 6},
  [4302] = {.lex_state = 253, .external_lex_state = 6},
  [4303] = {.lex_state = 259, .external_lex_state = 6},
  [4304] = {.lex_state = 253, .external_lex_state = 6},
  [4305] = {.lex_state = 253, .external_lex_state = 6},
  [4306] = {.lex_state = 253, .external_lex_state = 6},
  [4307] = {.lex_state = 253, .external_lex_state = 6},
  [4308] = {.lex_state = 253, .external_lex_state = 6},
  [4309] = {.lex_state = 253, .external_lex_state = 6},
  [4310] = {.lex_state = 253, .external_lex_state = 6},
  [4311] = {.lex_state = 253, .external_lex_state = 6},
  [4312] = {.lex_state = 253, .external_lex_state = 6},
  [4313] = {.lex_state = 253, .external_lex_state = 6},
  [4314] = {.lex_state = 253, .external_lex_state = 6},
  [4315] = {.lex_state = 253, .external_lex_state = 6},
  [4316] = {.lex_state = 253, .external_lex_state = 6},
  [4317] = {.lex_state = 253, .external_lex_state = 6},
  [4318] = {.lex_state = 253, .external_lex_state = 6},
  [4319] = {.lex_state = 253, .external_lex_state = 6},
  [4320] = {.lex_state = 253, .external_lex_state = 6},
  [4321] = {.lex_state = 253, .external_lex_state = 6},
  [4322] = {.lex_state = 259, .external_lex_state = 6},
  [4323] = {.lex_state = 253, .external_lex_state = 6},
  [4324] = {.lex_state = 259, .external_lex_state = 6},
  [4325] = {.lex_state = 259, .external_lex_state = 6},
  [4326] = {.lex_state = 259, .external_lex_state = 6},
  [4327] = {.lex_state = 267, .external_lex_state = 6},
  [4328] = {.lex_state = 276, .external_lex_state = 6},
  [4329] = {.lex_state = 276, .external_lex_state = 6},
  [4330] = {.lex_state = 276, .external_lex_state = 6},
  [4331] = {.lex_state = 267, .external_lex_state = 6},
  [4332] = {.lex_state = 276, .external_lex_state = 6},
  [4333] = {.lex_state = 276, .external_lex_state = 6},
  [4334] = {.lex_state = 276, .external_lex_state = 6},
  [4335] = {.lex_state = 276, .external_lex_state = 6},
  [4336] = {.lex_state = 267, .external_lex_state = 6},
  [4337] = {.lex_state = 267, .external_lex_state = 6},
  [4338] = {.lex_state = 276, .external_lex_state = 6},
  [4339] = {.lex_state = 267, .external_lex_state = 6},
  [4340] = {.lex_state = 267, .external_lex_state = 6},
  [4341] = {.lex_state = 276, .external_lex_state = 6},
  [4342] = {.lex_state = 267, .external_lex_state = 6},
  [4343] = {.lex_state = 276, .external_lex_state = 6},
  [4344] = {.lex_state = 267, .external_lex_state = 6},
  [4345] = {.lex_state = 267, .external_lex_state = 6},
  [4346] = {.lex_state = 267, .external_lex_state = 6},
  [4347] = {.lex_state = 267, .external_lex_state = 6},
  [4348] = {.lex_state = 267, .external_lex_state = 6},
  [4349] = {.lex_state = 267, .external_lex_state = 6},
  [4350] = {.lex_state = 267, .external_lex_state = 6},
  [4351] = {.lex_state = 267, .external_lex_state = 6},
  [4352] = {.lex_state = 267, .external_lex_state = 6},
  [4353] = {.lex_state = 267, .external_lex_state = 6},
  [4354] = {.lex_state = 267, .external_lex_state = 6},
  [4355] = {.lex_state = 267, .external_lex_state = 6},
  [4356] = {.lex_state = 267, .external_lex_state = 6},
  [4357] = {.lex_state = 276, .external_lex_state = 6},
  [4358] = {.lex_state = 276, .external_lex_state = 6},
  [4359] = {.lex_state = 216, .external_lex_state = 6},
  [4360] = {.lex_state = 276, .external_lex_state = 6},
  [4361] = {.lex_state = 216, .external_lex_state = 6},
  [4362] = {.lex_state = 276, .external_lex_state = 6},
  [4363] = {.lex_state = 228, .external_lex_state = 6},
  [4364] = {.lex_state = 276, .external_lex_state = 5},
  [4365] = {.lex_state = 276, .external_lex_state = 5},
  [4366] = {.lex_state = 276, .external_lex_state = 5},
  [4367] = {.lex_state = 276, .external_lex_state = 5},
  [4368] = {.lex_state = 276, .external_lex_state = 5},
  [4369] = {.lex_state = 216, .external_lex_state = 6},
  [4370] = {.lex_state = 276, .external_lex_state = 5},
  [4371] = {.lex_state = 276, .external_lex_state = 6},
  [4372] = {.lex_state = 276, .external_lex_state = 6},
  [4373] = {.lex_state = 216, .external_lex_state = 6},
  [4374] = {.lex_state = 216, .external_lex_state = 6},
  [4375] = {.lex_state = 216, .external_lex_state = 6},
  [4376] = {.lex_state = 216, .external_lex_state = 6},
  [4377] = {.lex_state = 276, .external_lex_state = 6},
  [4378] = {.lex_state = 276, .external_lex_state = 6},
  [4379] = {.lex_state = 228, .external_lex_state = 6},
  [4380] = {.lex_state = 276, .external_lex_state = 5},
  [4381] = {.lex_state = 276, .external_lex_state = 6},
  [4382] = {.lex_state = 276, .external_lex_state = 5},
  [4383] = {.lex_state = 276, .external_lex_state = 6},
  [4384] = {.lex_state = 228, .external_lex_state = 6},
  [4385] = {.lex_state = 228, .external_lex_state = 6},
  [4386] = {.lex_state = 276, .external_lex_state = 5},
  [4387] = {.lex_state = 228, .external_lex_state = 6},
  [4388] = {.lex_state = 228, .external_lex_state = 6},
  [4389] = {.lex_state = 276, .external_lex_state = 6},
  [4390] = {.lex_state = 276, .external_lex_state = 6},
  [4391] = {.lex_state = 276, .external_lex_state = 6},
  [4392] = {.lex_state = 276, .external_lex_state = 6},
  [4393] = {.lex_state = 276, .external_lex_state = 6},
  [4394] = {.lex_state = 216, .external_lex_state = 6},
  [4395] = {.lex_state = 276, .external_lex_state = 5},
  [4396] = {.lex_state = 276, .external_lex_state = 5},
  [4397] = {.lex_state = 276, .external_lex_state = 6},
  [4398] = {.lex_state = 259, .external_lex_state = 6},
  [4399] = {.lex_state = 276, .external_lex_state = 6},
  [4400] = {.lex_state = 228, .external_lex_state = 6},
  [4401] = {.lex_state = 216, .external_lex_state = 6},
  [4402] = {.lex_state = 228, .external_lex_state = 6},
  [4403] = {.lex_state = 276, .external_lex_state = 6},
  [4404] = {.lex_state = 276, .external_lex_state = 6},
  [4405] = {.lex_state = 216, .external_lex_state = 6},
  [4406] = {.lex_state = 216, .external_lex_state = 6},
  [4407] = {.lex_state = 276, .external_lex_state = 6},
  [4408] = {.lex_state = 276, .external_lex_state = 6},
  [4409] = {.lex_state = 276, .external_lex_state = 6},
  [4410] = {.lex_state = 276, .external_lex_state = 6},
  [4411] = {.lex_state = 276, .external_lex_state = 5},
  [4412] = {.lex_state = 276, .external_lex_state = 6},
  [4413] = {.lex_state = 276, .external_lex_state = 5},
  [4414] = {.lex_state = 276, .external_lex_state = 5},
  [4415] = {.lex_state = 276, .external_lex_state = 5},
  [4416] = {.lex_state = 276, .external_lex_state = 5},
  [4417] = {.lex_state = 216, .external_lex_state = 6},
  [4418] = {.lex_state = 216, .external_lex_state = 6},
  [4419] = {.lex_state = 276, .external_lex_state = 6},
  [4420] = {.lex_state = 216, .external_lex_state = 6},
  [4421] = {.lex_state = 276, .external_lex_state = 5},
  [4422] = {.lex_state = 276, .external_lex_state = 6},
  [4423] = {.lex_state = 276, .external_lex_state = 6},
  [4424] = {.lex_state = 276, .external_lex_state = 6},
  [4425] = {.lex_state = 276, .external_lex_state = 6},
  [4426] = {.lex_state = 276, .external_lex_state = 6},
  [4427] = {.lex_state = 276, .external_lex_state = 6},
  [4428] = {.lex_state = 276, .external_lex_state = 6},
  [4429] = {.lex_state = 276, .external_lex_state = 6},
  [4430] = {.lex_state = 216, .external_lex_state = 6},
  [4431] = {.lex_state = 276, .external_lex_state = 6},
  [4432] = {.lex_state = 276, .external_lex_state = 6},
  [4433] = {.lex_state = 276, .external_lex_state = 5},
  [4434] = {.lex_state = 228, .external_lex_state = 6},
  [4435] = {.lex_state = 228, .external_lex_state = 6},
  [4436] = {.lex_state = 228, .external_lex_state = 6},
  [4437] = {.lex_state = 223, .external_lex_state = 6},
  [4438] = {.lex_state = 223, .external_lex_state = 6},
  [4439] = {.lex_state = 276, .external_lex_state = 6},
  [4440] = {.lex_state = 276, .external_lex_state = 6},
  [4441] = {.lex_state = 276, .external_lex_state = 6},
  [4442] = {.lex_state = 223, .external_lex_state = 6},
  [4443] = {.lex_state = 276, .external_lex_state = 6},
  [4444] = {.lex_state = 276, .external_lex_state = 6},
  [4445] = {.lex_state = 276, .external_lex_state = 6},
  [4446] = {.lex_state = 228, .external_lex_state = 6},
  [4447] = {.lex_state = 228, .external_lex_state = 6},
  [4448] = {.lex_state = 223, .external_lex_state = 6},
  [4449] = {.lex_state = 223, .external_lex_state = 6},
  [4450] = {.lex_state = 223, .external_lex_state = 6},
  [4451] = {.lex_state = 223, .external_lex_state = 6},
  [4452] = {.lex_state = 223, .external_lex_state = 6},
  [4453] = {.lex_state = 223, .external_lex_state = 6},
  [4454] = {.lex_state = 223, .external_lex_state = 6},
  [4455] = {.lex_state = 228, .external_lex_state = 6},
  [4456] = {.lex_state = 223, .external_lex_state = 6},
  [4457] = {.lex_state = 228, .external_lex_state = 6},
  [4458] = {.lex_state = 276, .external_lex_state = 5},
  [4459] = {.lex_state = 228, .external_lex_state = 6},
  [4460] = {.lex_state = 259, .external_lex_state = 6},
  [4461] = {.lex_state = 259, .external_lex_state = 6},
  [4462] = {.lex_state = 276, .external_lex_state = 5},
  [4463] = {.lex_state = 276, .external_lex_state = 5},
  [4464] = {.lex_state = 259, .external_lex_state = 6},
  [4465] = {.lex_state = 276, .external_lex_state = 6},
  [4466] = {.lex_state = 228, .external_lex_state = 6},
  [4467] = {.lex_state = 259, .external_lex_state = 6},
  [4468] = {.lex_state = 228, .external_lex_state = 6},
  [4469] = {.lex_state = 259, .external_lex_state = 6},
  [4470] = {.lex_state = 259, .external_lex_state = 6},
  [4471] = {.lex_state = 259, .external_lex_state = 6},
  [4472] = {.lex_state = 276, .external_lex_state = 5},
  [4473] = {.lex_state = 259, .external_lex_state = 6},
  [4474] = {.lex_state = 276, .external_lex_state = 6},
  [4475] = {.lex_state = 276, .external_lex_state = 5},
  [4476] = {.lex_state = 276, .external_lex_state = 6},
  [4477] = {.lex_state = 276, .external_lex_state = 6},
  [4478] = {.lex_state = 276, .external_lex_state = 5},
  [4479] = {.lex_state = 276, .external_lex_state = 6},
  [4480] = {.lex_state = 276, .external_lex_state = 6},
  [4481] = {.lex_state = 276, .external_lex_state = 6},
  [4482] = {.lex_state = 276, .external_lex_state = 6},
  [4483] = {.lex_state = 259, .external_lex_state = 6},
  [4484] = {.lex_state = 226, .external_lex_state = 6},
  [4485] = {.lex_state = 259, .external_lex_state = 6},
  [4486] = {.lex_state = 228, .external_lex_state = 6},
  [4487] = {.lex_state = 228, .external_lex_state = 6},
  [4488] = {.lex_state = 228, .external_lex_state = 6},
  [4489] = {.lex_state = 259, .external_lex_state = 6},
  [4490] = {.lex_state = 259, .external_lex_state = 5},
  [4491] = {.lex_state = 259, .external_lex_state = 5},
  [4492] = {.lex_state = 259, .external_lex_state = 5},
  [4493] = {.lex_state = 259, .external_lex_state = 5},
  [4494] = {.lex_state = 259, .external_lex_state = 5},
  [4495] = {.lex_state = 276, .external_lex_state = 6},
  [4496] = {.lex_state = 223, .external_lex_state = 6},
  [4497] = {.lex_state = 259, .external_lex_state = 6},
  [4498] = {.lex_state = 276, .external_lex_state = 6},
  [4499] = {.lex_state = 259, .external_lex_state = 6},
  [4500] = {.lex_state = 223, .external_lex_state = 6},
  [4501] = {.lex_state = 223, .external_lex_state = 6},
  [4502] = {.lex_state = 223, .external_lex_state = 6},
  [4503] = {.lex_state = 223, .external_lex_state = 6},
  [4504] = {.lex_state = 223, .external_lex_state = 6},
  [4505] = {.lex_state = 223, .external_lex_state = 6},
  [4506] = {.lex_state = 223, .external_lex_state = 6},
  [4507] = {.lex_state = 228, .external_lex_state = 6},
  [4508] = {.lex_state = 228, .external_lex_state = 6},
  [4509] = {.lex_state = 228, .external_lex_state = 6},
  [4510] = {.lex_state = 228, .external_lex_state = 6},
  [4511] = {.lex_state = 276, .external_lex_state = 6},
  [4512] = {.lex_state = 223, .external_lex_state = 6},
  [4513] = {.lex_state = 259, .external_lex_state = 6},
  [4514] = {.lex_state = 228, .external_lex_state = 6},
  [4515] = {.lex_state = 228, .external_lex_state = 6},
  [4516] = {.lex_state = 223, .external_lex_state = 6},
  [4517] = {.lex_state = 228, .external_lex_state = 6},
  [4518] = {.lex_state = 228, .external_lex_state = 6},
  [4519] = {.lex_state = 228, .external_lex_state = 6},
  [4520] = {.lex_state = 223, .external_lex_state = 6},
  [4521] = {.lex_state = 223, .external_lex_state = 6},
  [4522] = {.lex_state = 228, .external_lex_state = 6},
  [4523] = {.lex_state = 223, .external_lex_state = 6},
  [4524] = {.lex_state = 223, .external_lex_state = 6},
  [4525] = {.lex_state = 228, .external_lex_state = 6},
  [4526] = {.lex_state = 223, .external_lex_state = 6},
  [4527] = {.lex_state = 228, .external_lex_state = 6},
  [4528] = {.lex_state = 223, .external_lex_state = 6},
  [4529] = {.lex_state = 228, .external_lex_state = 6},
  [4530] = {.lex_state = 228, .external_lex_state = 6},
  [4531] = {.lex_state = 228, .external_lex_state = 6},
  [4532] = {.lex_state = 223, .external_lex_state = 6},
  [4533] = {.lex_state = 223, .external_lex_state = 6},
  [4534] = {.lex_state = 228, .external_lex_state = 6},
  [4535] = {.lex_state = 223, .external_lex_state = 6},
  [4536] = {.lex_state = 223, .external_lex_state = 6},
  [4537] = {.lex_state = 223, .external_lex_state = 6},
  [4538] = {.lex_state = 223, .external_lex_state = 6},
  [4539] = {.lex_state = 223, .external_lex_state = 6},
  [4540] = {.lex_state = 223, .external_lex_state = 6},
  [4541] = {.lex_state = 223, .external_lex_state = 6},
  [4542] = {.lex_state = 228, .external_lex_state = 6},
  [4543] = {.lex_state = 223, .external_lex_state = 6},
  [4544] = {.lex_state = 228, .external_lex_state = 6},
  [4545] = {.lex_state = 228, .external_lex_state = 6},
  [4546] = {.lex_state = 228, .external_lex_state = 6},
  [4547] = {.lex_state = 228, .external_lex_state = 6},
  [4548] = {.lex_state = 223, .external_lex_state = 6},
  [4549] = {.lex_state = 228, .external_lex_state = 6},
  [4550] = {.lex_state = 224, .external_lex_state = 6},
  [4551] = {.lex_state = 223, .external_lex_state = 6},
  [4552] = {.lex_state = 223, .external_lex_state = 6},
  [4553] = {.lex_state = 228, .external_lex_state = 6},
  [4554] = {.lex_state = 223, .external_lex_state = 6},
  [4555] = {.lex_state = 228, .external_lex_state = 6},
  [4556] = {.lex_state = 228, .external_lex_state = 6},
  [4557] = {.lex_state = 223, .external_lex_state = 6},
  [4558] = {.lex_state = 223, .external_lex_state = 6},
  [4559] = {.lex_state = 223, .external_lex_state = 6},
  [4560] = {.lex_state = 228, .external_lex_state = 6},
  [4561] = {.lex_state = 228, .external_lex_state = 6},
  [4562] = {.lex_state = 228, .external_lex_state = 6},
  [4563] = {.lex_state = 228, .external_lex_state = 6},
  [4564] = {.lex_state = 228, .external_lex_state = 6},
  [4565] = {.lex_state = 228, .external_lex_state = 6},
  [4566] = {.lex_state = 228, .external_lex_state = 6},
  [4567] = {.lex_state = 228, .external_lex_state = 6},
  [4568] = {.lex_state = 223, .external_lex_state = 6},
  [4569] = {.lex_state = 223, .external_lex_state = 6},
  [4570] = {.lex_state = 228, .external_lex_state = 6},
  [4571] = {.lex_state = 228, .external_lex_state = 6},
  [4572] = {.lex_state = 276, .external_lex_state = 5},
  [4573] = {.lex_state = 228, .external_lex_state = 6},
  [4574] = {.lex_state = 223, .external_lex_state = 6},
  [4575] = {.lex_state = 276, .external_lex_state = 5},
  [4576] = {.lex_state = 228, .external_lex_state = 6},
  [4577] = {.lex_state = 228, .external_lex_state = 6},
  [4578] = {.lex_state = 228, .external_lex_state = 6},
  [4579] = {.lex_state = 228, .external_lex_state = 6},
  [4580] = {.lex_state = 276, .external_lex_state = 5},
  [4581] = {.lex_state = 228, .external_lex_state = 6},
  [4582] = {.lex_state = 228, .external_lex_state = 6},
  [4583] = {.lex_state = 228, .external_lex_state = 6},
  [4584] = {.lex_state = 228, .external_lex_state = 6},
  [4585] = {.lex_state = 228, .external_lex_state = 6},
  [4586] = {.lex_state = 228, .external_lex_state = 6},
  [4587] = {.lex_state = 223, .external_lex_state = 6},
  [4588] = {.lex_state = 223, .external_lex_state = 6},
  [4589] = {.lex_state = 276, .external_lex_state = 6},
  [4590] = {.lex_state = 276, .external_lex_state = 6},
  [4591] = {.lex_state = 228, .external_lex_state = 6},
  [4592] = {.lex_state = 228, .external_lex_state = 6},
  [4593] = {.lex_state = 228, .external_lex_state = 6},
  [4594] = {.lex_state = 228, .external_lex_state = 6},
  [4595] = {.lex_state = 276, .external_lex_state = 6},
  [4596] = {.lex_state = 228, .external_lex_state = 6},
  [4597] = {.lex_state = 276, .external_lex_state = 6},
  [4598] = {.lex_state = 228, .external_lex_state = 6},
  [4599] = {.lex_state = 223, .external_lex_state = 6},
  [4600] = {.lex_state = 276, .external_lex_state = 6},
  [4601] = {.lex_state = 276, .external_lex_state = 6},
  [4602] = {.lex_state = 276, .external_lex_state = 5},
  [4603] = {.lex_state = 276, .external_lex_state = 5},
  [4604] = {.lex_state = 276, .external_lex_state = 6},
  [4605] = {.lex_state = 276, .external_lex_state = 6},
  [4606] = {.lex_state = 276, .external_lex_state = 6},
  [4607] = {.lex_state = 224, .external_lex_state = 6},
  [4608] = {.lex_state = 276, .external_lex_state = 6},
  [4609] = {.lex_state = 276, .external_lex_state = 6},
  [4610] = {.lex_state = 228, .external_lex_state = 6},
  [4611] = {.lex_state = 228, .external_lex_state = 6},
  [4612] = {.lex_state = 228, .external_lex_state = 6},
  [4613] = {.lex_state = 228, .external_lex_state = 6},
  [4614] = {.lex_state = 228, .external_lex_state = 6},
  [4615] = {.lex_state = 228, .external_lex_state = 6},
  [4616] = {.lex_state = 228, .external_lex_state = 6},
  [4617] = {.lex_state = 228, .external_lex_state = 6},
  [4618] = {.lex_state = 276, .external_lex_state = 6},
  [4619] = {.lex_state = 276, .external_lex_state = 6},
  [4620] = {.lex_state = 223, .external_lex_state = 6},
  [4621] = {.lex_state = 223, .external_lex_state = 6},
  [4622] = {.lex_state = 276, .external_lex_state = 6},
  [4623] = {.lex_state = 223, .external_lex_state = 6},
  [4624] = {.lex_state = 223, .external_lex_state = 6},
  [4625] = {.lex_state = 224, .external_lex_state = 6},
  [4626] = {.lex_state = 276, .external_lex_state = 6},
  [4627] = {.lex_state = 276, .external_lex_state = 6},
  [4628] = {.lex_state = 276, .external_lex_state = 6},
  [4629] = {.lex_state = 276, .external_lex_state = 5},
  [4630] = {.lex_state = 276, .external_lex_state = 5},
  [4631] = {.lex_state = 276, .external_lex_state = 6},
  [4632] = {.lex_state = 223, .external_lex_state = 6},
  [4633] = {.lex_state = 223, .external_lex_state = 6},
  [4634] = {.lex_state = 276, .external_lex_state = 6},
  [4635] = {.lex_state = 276, .external_lex_state = 6},
  [4636] = {.lex_state = 276, .external_lex_state = 5},
  [4637] = {.lex_state = 276, .external_lex_state = 5},
  [4638] = {.lex_state = 276, .external_lex_state = 6},
  [4639] = {.lex_state = 276, .external_lex_state = 6},
  [4640] = {.lex_state = 276, .external_lex_state = 6},
  [4641] = {.lex_state = 276, .external_lex_state = 5},
  [4642] = {.lex_state = 276, .external_lex_state = 6},
  [4643] = {.lex_state = 228, .external_lex_state = 6},
  [4644] = {.lex_state = 276, .external_lex_state = 5},
  [4645] = {.lex_state = 223, .external_lex_state = 6},
  [4646] = {.lex_state = 223, .external_lex_state = 6},
  [4647] = {.lex_state = 276, .external_lex_state = 6},
  [4648] = {.lex_state = 259, .external_lex_state = 5},
  [4649] = {.lex_state = 276, .external_lex_state = 6},
  [4650] = {.lex_state = 259, .external_lex_state = 6},
  [4651] = {.lex_state = 259, .external_lex_state = 6},
  [4652] = {.lex_state = 259, .external_lex_state = 6},
  [4653] = {.lex_state = 259, .external_lex_state = 6},
  [4654] = {.lex_state = 276, .external_lex_state = 6},
  [4655] = {.lex_state = 259, .external_lex_state = 6},
  [4656] = {.lex_state = 276, .external_lex_state = 6},
  [4657] = {.lex_state = 259, .external_lex_state = 5},
  [4658] = {.lex_state = 259, .external_lex_state = 6},
  [4659] = {.lex_state = 276, .external_lex_state = 6},
  [4660] = {.lex_state = 216, .external_lex_state = 6},
  [4661] = {.lex_state = 259, .external_lex_state = 6},
  [4662] = {.lex_state = 259, .external_lex_state = 6},
  [4663] = {.lex_state = 276, .external_lex_state = 6},
  [4664] = {.lex_state = 276, .external_lex_state = 6},
  [4665] = {.lex_state = 216, .external_lex_state = 6},
  [4666] = {.lex_state = 276, .external_lex_state = 6},
  [4667] = {.lex_state = 276, .external_lex_state = 6},
  [4668] = {.lex_state = 276, .external_lex_state = 6},
  [4669] = {.lex_state = 276, .external_lex_state = 6},
  [4670] = {.lex_state = 276, .external_lex_state = 6},
  [4671] = {.lex_state = 276, .external_lex_state = 6},
  [4672] = {.lex_state = 276, .external_lex_state = 6},
  [4673] = {.lex_state = 216, .external_lex_state = 6},
  [4674] = {.lex_state = 259, .external_lex_state = 6},
  [4675] = {.lex_state = 276, .external_lex_state = 6},
  [4676] = {.lex_state = 276, .external_lex_state = 6},
  [4677] = {.lex_state = 216, .external_lex_state = 6},
  [4678] = {.lex_state = 259, .external_lex_state = 6},
  [4679] = {.lex_state = 276, .external_lex_state = 6},
  [4680] = {.lex_state = 276, .external_lex_state = 6},
  [4681] = {.lex_state = 276, .external_lex_state = 6},
  [4682] = {.lex_state = 216, .external_lex_state = 6},
  [4683] = {.lex_state = 276, .external_lex_state = 5},
  [4684] = {.lex_state = 276, .external_lex_state = 6},
  [4685] = {.lex_state = 276, .external_lex_state = 6},
  [4686] = {.lex_state = 276, .external_lex_state = 6},
  [4687] = {.lex_state = 276, .external_lex_state = 6},
  [4688] = {.lex_state = 259, .external_lex_state = 6},
  [4689] = {.lex_state = 226, .external_lex_state = 6},
  [4690] = {.lex_state = 276, .external_lex_state = 6},
  [4691] = {.lex_state = 276, .external_lex_state = 6},
  [4692] = {.lex_state = 259, .external_lex_state = 6},
  [4693] = {.lex_state = 259, .external_lex_state = 6},
  [4694] = {.lex_state = 276, .external_lex_state = 6},
  [4695] = {.lex_state = 276, .external_lex_state = 6},
  [4696] = {.lex_state = 228, .external_lex_state = 6},
  [4697] = {.lex_state = 259, .external_lex_state = 6},
  [4698] = {.lex_state = 276, .external_lex_state = 6},
  [4699] = {.lex_state = 259, .external_lex_state = 6},
  [4700] = {.lex_state = 259, .external_lex_state = 5},
  [4701] = {.lex_state = 226, .external_lex_state = 6},
  [4702] = {.lex_state = 276, .external_lex_state = 6},
  [4703] = {.lex_state = 276, .external_lex_state = 6},
  [4704] = {.lex_state = 276, .external_lex_state = 5},
  [4705] = {.lex_state = 276, .external_lex_state = 5},
  [4706] = {.lex_state = 259, .external_lex_state = 6},
  [4707] = {.lex_state = 276, .external_lex_state = 5},
  [4708] = {.lex_state = 276, .external_lex_state = 5},
  [4709] = {.lex_state = 276, .external_lex_state = 6},
  [4710] = {.lex_state = 276, .external_lex_state = 5},
  [4711] = {.lex_state = 276, .external_lex_state = 5},
  [4712] = {.lex_state = 276, .external_lex_state = 5},
  [4713] = {.lex_state = 276, .external_lex_state = 5},
  [4714] = {.lex_state = 276, .external_lex_state = 5},
  [4715] = {.lex_state = 276, .external_lex_state = 5},
  [4716] = {.lex_state = 276, .external_lex_state = 5},
  [4717] = {.lex_state = 276, .external_lex_state = 5},
  [4718] = {.lex_state = 226, .external_lex_state = 6},
  [4719] = {.lex_state = 276, .external_lex_state = 5},
  [4720] = {.lex_state = 259, .external_lex_state = 6},
  [4721] = {.lex_state = 226, .external_lex_state = 6},
  [4722] = {.lex_state = 259, .external_lex_state = 6},
  [4723] = {.lex_state = 259, .external_lex_state = 6},
  [4724] = {.lex_state = 276, .external_lex_state = 6},
  [4725] = {.lex_state = 276, .external_lex_state = 5},
  [4726] = {.lex_state = 259, .external_lex_state = 6},
  [4727] = {.lex_state = 276, .external_lex_state = 5},
  [4728] = {.lex_state = 259, .external_lex_state = 6},
  [4729] = {.lex_state = 259, .external_lex_state = 6},
  [4730] = {.lex_state = 276, .external_lex_state = 5},
  [4731] = {.lex_state = 259, .external_lex_state = 6},
  [4732] = {.lex_state = 259, .external_lex_state = 6},
  [4733] = {.lex_state = 225, .external_lex_state = 6},
  [4734] = {.lex_state = 226, .external_lex_state = 6},
  [4735] = {.lex_state = 259, .external_lex_state = 6},
  [4736] = {.lex_state = 259, .external_lex_state = 6},
  [4737] = {.lex_state = 276, .external_lex_state = 5},
  [4738] = {.lex_state = 275, .external_lex_state = 6},
  [4739] = {.lex_state = 275, .external_lex_state = 6},
  [4740] = {.lex_state = 276, .external_lex_state = 5},
  [4741] = {.lex_state = 275, .external_lex_state = 6},
  [4742] = {.lex_state = 276, .external_lex_state = 6},
  [4743] = {.lex_state = 275, .external_lex_state = 6},
  [4744] = {.lex_state = 275, .external_lex_state = 6},
  [4745] = {.lex_state = 275, .external_lex_state = 6},
  [4746] = {.lex_state = 275, .external_lex_state = 6},
  [4747] = {.lex_state = 275, .external_lex_state = 6},
  [4748] = {.lex_state = 275, .external_lex_state = 6},
  [4749] = {.lex_state = 275, .external_lex_state = 6},
  [4750] = {.lex_state = 276, .external_lex_state = 6},
  [4751] = {.lex_state = 275, .external_lex_state = 6},
  [4752] = {.lex_state = 224, .external_lex_state = 6},
  [4753] = {.lex_state = 259, .external_lex_state = 6},
  [4754] = {.lex_state = 259, .external_lex_state = 6},
  [4755] = {.lex_state = 259, .external_lex_state = 6},
  [4756] = {.lex_state = 259, .external_lex_state = 6},
  [4757] = {.lex_state = 259, .external_lex_state = 6},
  [4758] = {.lex_state = 259, .external_lex_state = 6},
  [4759] = {.lex_state = 259, .external_lex_state = 6},
  [4760] = {.lex_state = 259, .external_lex_state = 6},
  [4761] = {.lex_state = 259, .external_lex_state = 6},
  [4762] = {.lex_state = 259, .external_lex_state = 6},
  [4763] = {.lex_state = 259, .external_lex_state = 6},
  [4764] = {.lex_state = 259, .external_lex_state = 6},
  [4765] = {.lex_state = 259, .external_lex_state = 6},
  [4766] = {.lex_state = 259, .external_lex_state = 6},
  [4767] = {.lex_state = 259, .external_lex_state = 6},
  [4768] = {.lex_state = 259, .external_lex_state = 6},
  [4769] = {.lex_state = 259, .external_lex_state = 6},
  [4770] = {.lex_state = 276, .external_lex_state = 5},
  [4771] = {.lex_state = 225, .external_lex_state = 6},
  [4772] = {.lex_state = 259, .external_lex_state = 6},
  [4773] = {.lex_state = 276, .external_lex_state = 5},
  [4774] = {.lex_state = 276, .external_lex_state = 6},
  [4775] = {.lex_state = 275, .external_lex_state = 6},
  [4776] = {.lex_state = 257, .external_lex_state = 6},
  [4777] = {.lex_state = 256, .external_lex_state = 6},
  [4778] = {.lex_state = 275, .external_lex_state = 6},
  [4779] = {.lex_state = 275, .external_lex_state = 6},
  [4780] = {.lex_state = 275, .external_lex_state = 6},
  [4781] = {.lex_state = 275, .external_lex_state = 6},
  [4782] = {.lex_state = 275, .external_lex_state = 6},
  [4783] = {.lex_state = 275, .external_lex_state = 6},
  [4784] = {.lex_state = 275, .external_lex_state = 6},
  [4785] = {.lex_state = 276, .external_lex_state = 6},
  [4786] = {.lex_state = 259, .external_lex_state = 6},
  [4787] = {.lex_state = 256, .external_lex_state = 6},
  [4788] = {.lex_state = 275, .external_lex_state = 6},
  [4789] = {.lex_state = 275, .external_lex_state = 6},
  [4790] = {.lex_state = 275, .external_lex_state = 6},
  [4791] = {.lex_state = 275, .external_lex_state = 6},
  [4792] = {.lex_state = 275, .external_lex_state = 6},
  [4793] = {.lex_state = 275, .external_lex_state = 6},
  [4794] = {.lex_state = 259, .external_lex_state = 6},
  [4795] = {.lex_state = 275, .external_lex_state = 6},
  [4796] = {.lex_state = 275, .external_lex_state = 6},
  [4797] = {.lex_state = 275, .external_lex_state = 6},
  [4798] = {.lex_state = 275, .external_lex_state = 6},
  [4799] = {.lex_state = 275, .external_lex_state = 6},
  [4800] = {.lex_state = 275, .external_lex_state = 6},
  [4801] = {.lex_state = 259, .external_lex_state = 6},
  [4802] = {.lex_state = 275, .external_lex_state = 6},
  [4803] = {.lex_state = 275, .external_lex_state = 6},
  [4804] = {.lex_state = 275, .external_lex_state = 6},
  [4805] = {.lex_state = 259, .external_lex_state = 6},
  [4806] = {.lex_state = 275, .external_lex_state = 6},
  [4807] = {.lex_state = 259, .external_lex_state = 6},
  [4808] = {.lex_state = 256, .external_lex_state = 6},
  [4809] = {.lex_state = 224, .external_lex_state = 6},
  [4810] = {.lex_state = 259, .external_lex_state = 6},
  [4811] = {.lex_state = 224, .external_lex_state = 6},
  [4812] = {.lex_state = 252, .external_lex_state = 6},
  [4813] = {.lex_state = 224, .external_lex_state = 6},
  [4814] = {.lex_state = 259, .external_lex_state = 6},
  [4815] = {.lex_state = 256, .external_lex_state = 6},
  [4816] = {.lex_state = 252, .external_lex_state = 6},
  [4817] = {.lex_state = 252, .external_lex_state = 6},
  [4818] = {.lex_state = 252, .external_lex_state = 6},
  [4819] = {.lex_state = 259, .external_lex_state = 6},
  [4820] = {.lex_state = 259, .external_lex_state = 6},
  [4821] = {.lex_state = 252, .external_lex_state = 6},
  [4822] = {.lex_state = 252, .external_lex_state = 6},
  [4823] = {.lex_state = 256, .external_lex_state = 6},
  [4824] = {.lex_state = 276, .external_lex_state = 6},
  [4825] = {.lex_state = 252, .external_lex_state = 6},
  [4826] = {.lex_state = 252, .external_lex_state = 6},
  [4827] = {.lex_state = 257, .external_lex_state = 6},
  [4828] = {.lex_state = 259, .external_lex_state = 6},
  [4829] = {.lex_state = 252, .external_lex_state = 6},
  [4830] = {.lex_state = 252, .external_lex_state = 6},
  [4831] = {.lex_state = 252, .external_lex_state = 6},
  [4832] = {.lex_state = 252, .external_lex_state = 6},
  [4833] = {.lex_state = 224, .external_lex_state = 6},
  [4834] = {.lex_state = 275, .external_lex_state = 6},
  [4835] = {.lex_state = 224, .external_lex_state = 6},
  [4836] = {.lex_state = 257, .external_lex_state = 6},
  [4837] = {.lex_state = 257, .external_lex_state = 6},
  [4838] = {.lex_state = 257, .external_lex_state = 6},
  [4839] = {.lex_state = 276, .external_lex_state = 5},
  [4840] = {.lex_state = 275, .external_lex_state = 6},
  [4841] = {.lex_state = 224, .external_lex_state = 6},
  [4842] = {.lex_state = 276, .external_lex_state = 6},
  [4843] = {.lex_state = 257, .external_lex_state = 6},
  [4844] = {.lex_state = 257, .external_lex_state = 6},
  [4845] = {.lex_state = 257, .external_lex_state = 6},
  [4846] = {.lex_state = 257, .external_lex_state = 6},
  [4847] = {.lex_state = 257, .external_lex_state = 6},
  [4848] = {.lex_state = 257, .external_lex_state = 6},
  [4849] = {.lex_state = 257, .external_lex_state = 6},
  [4850] = {.lex_state = 276, .external_lex_state = 5},
  [4851] = {.lex_state = 258, .external_lex_state = 6},
  [4852] = {.lex_state = 276, .external_lex_state = 6},
  [4853] = {.lex_state = 256, .external_lex_state = 6},
  [4854] = {.lex_state = 225, .external_lex_state = 6},
  [4855] = {.lex_state = 259, .external_lex_state = 6},
  [4856] = {.lex_state = 259, .external_lex_state = 6},
  [4857] = {.lex_state = 259, .external_lex_state = 6},
  [4858] = {.lex_state = 276, .external_lex_state = 6},
  [4859] = {.lex_state = 259, .external_lex_state = 6},
  [4860] = {.lex_state = 276, .external_lex_state = 5},
  [4861] = {.lex_state = 224, .external_lex_state = 6},
  [4862] = {.lex_state = 259, .external_lex_state = 6},
  [4863] = {.lex_state = 259, .external_lex_state = 6},
  [4864] = {.lex_state = 259, .external_lex_state = 6},
  [4865] = {.lex_state = 224, .external_lex_state = 6},
  [4866] = {.lex_state = 276, .external_lex_state = 6},
  [4867] = {.lex_state = 256, .external_lex_state = 6},
  [4868] = {.lex_state = 258, .external_lex_state = 6},
  [4869] = {.lex_state = 258, .external_lex_state = 6},
  [4870] = {.lex_state = 258, .external_lex_state = 6},
  [4871] = {.lex_state = 276, .external_lex_state = 6},
  [4872] = {.lex_state = 258, .external_lex_state = 6},
  [4873] = {.lex_state = 258, .external_lex_state = 6},
  [4874] = {.lex_state = 259, .external_lex_state = 6},
  [4875] = {.lex_state = 258, .external_lex_state = 6},
  [4876] = {.lex_state = 258, .external_lex_state = 6},
  [4877] = {.lex_state = 259, .external_lex_state = 6},
  [4878] = {.lex_state = 258, .external_lex_state = 6},
  [4879] = {.lex_state = 224, .external_lex_state = 6},
  [4880] = {.lex_state = 224, .external_lex_state = 6},
  [4881] = {.lex_state = 258, .external_lex_state = 6},
  [4882] = {.lex_state = 258, .external_lex_state = 6},
  [4883] = {.lex_state = 224, .external_lex_state = 6},
  [4884] = {.lex_state = 261, .external_lex_state = 6},
  [4885] = {.lex_state = 259, .external_lex_state = 6},
  [4886] = {.lex_state = 259, .external_lex_state = 6},
  [4887] = {.lex_state = 258, .external_lex_state = 6},
  [4888] = {.lex_state = 255, .external_lex_state = 6},
  [4889] = {.lex_state = 259, .external_lex_state = 6},
  [4890] = {.lex_state = 259, .external_lex_state = 6},
  [4891] = {.lex_state = 255, .external_lex_state = 6},
  [4892] = {.lex_state = 255, .external_lex_state = 6},
  [4893] = {.lex_state = 255, .external_lex_state = 6},
  [4894] = {.lex_state = 276, .external_lex_state = 6},
  [4895] = {.lex_state = 224, .external_lex_state = 6},
  [4896] = {.lex_state = 275, .external_lex_state = 6},
  [4897] = {.lex_state = 255, .external_lex_state = 6},
  [4898] = {.lex_state = 255, .external_lex_state = 6},
  [4899] = {.lex_state = 255, .external_lex_state = 6},
  [4900] = {.lex_state = 255, .external_lex_state = 6},
  [4901] = {.lex_state = 276, .external_lex_state = 6},
  [4902] = {.lex_state = 275, .external_lex_state = 6},
  [4903] = {.lex_state = 275, .external_lex_state = 6},
  [4904] = {.lex_state = 275, .external_lex_state = 6},
  [4905] = {.lex_state = 261, .external_lex_state = 6},
  [4906] = {.lex_state = 275, .external_lex_state = 6},
  [4907] = {.lex_state = 275, .external_lex_state = 6},
  [4908] = {.lex_state = 275, .external_lex_state = 6},
  [4909] = {.lex_state = 275, .external_lex_state = 6},
  [4910] = {.lex_state = 275, .external_lex_state = 6},
  [4911] = {.lex_state = 275, .external_lex_state = 6},
  [4912] = {.lex_state = 275, .external_lex_state = 6},
  [4913] = {.lex_state = 275, .external_lex_state = 6},
  [4914] = {.lex_state = 275, .external_lex_state = 6},
  [4915] = {.lex_state = 275, .external_lex_state = 6},
  [4916] = {.lex_state = 255, .external_lex_state = 6},
  [4917] = {.lex_state = 255, .external_lex_state = 6},
  [4918] = {.lex_state = 275, .external_lex_state = 6},
  [4919] = {.lex_state = 255, .external_lex_state = 6},
  [4920] = {.lex_state = 275, .external_lex_state = 6},
  [4921] = {.lex_state = 256, .external_lex_state = 6},
  [4922] = {.lex_state = 275, .external_lex_state = 6},
  [4923] = {.lex_state = 275, .external_lex_state = 6},
  [4924] = {.lex_state = 275, .external_lex_state = 6},
  [4925] = {.lex_state = 275, .external_lex_state = 6},
  [4926] = {.lex_state = 275, .external_lex_state = 6},
  [4927] = {.lex_state = 276, .external_lex_state = 6},
  [4928] = {.lex_state = 225, .external_lex_state = 6},
  [4929] = {.lex_state = 255, .external_lex_state = 6},
  [4930] = {.lex_state = 256, .external_lex_state = 6},
  [4931] = {.lex_state = 256, .external_lex_state = 6},
  [4932] = {.lex_state = 256, .external_lex_state = 6},
  [4933] = {.lex_state = 256, .external_lex_state = 6},
  [4934] = {.lex_state = 259, .external_lex_state = 6},
  [4935] = {.lex_state = 258, .external_lex_state = 6},
  [4936] = {.lex_state = 252, .external_lex_state = 6},
  [4937] = {.lex_state = 256, .external_lex_state = 6},
  [4938] = {.lex_state = 252, .external_lex_state = 6},
  [4939] = {.lex_state = 256, .external_lex_state = 6},
  [4940] = {.lex_state = 252, .external_lex_state = 6},
  [4941] = {.lex_state = 252, .external_lex_state = 6},
  [4942] = {.lex_state = 256, .external_lex_state = 6},
  [4943] = {.lex_state = 252, .external_lex_state = 6},
  [4944] = {.lex_state = 252, .external_lex_state = 6},
  [4945] = {.lex_state = 256, .external_lex_state = 6},
  [4946] = {.lex_state = 252, .external_lex_state = 6},
  [4947] = {.lex_state = 256, .external_lex_state = 6},
  [4948] = {.lex_state = 252, .external_lex_state = 6},
  [4949] = {.lex_state = 257, .external_lex_state = 6},
  [4950] = {.lex_state = 252, .external_lex_state = 6},
  [4951] = {.lex_state = 224, .external_lex_state = 6},
  [4952] = {.lex_state = 252, .external_lex_state = 6},
  [4953] = {.lex_state = 252, .external_lex_state = 6},
  [4954] = {.lex_state = 252, .external_lex_state = 6},
  [4955] = {.lex_state = 224, .external_lex_state = 6},
  [4956] = {.lex_state = 258, .external_lex_state = 6},
  [4957] = {.lex_state = 276, .external_lex_state = 6},
  [4958] = {.lex_state = 257, .external_lex_state = 6},
  [4959] = {.lex_state = 276, .external_lex_state = 6},
  [4960] = {.lex_state = 261, .external_lex_state = 6},
  [4961] = {.lex_state = 257, .external_lex_state = 6},
  [4962] = {.lex_state = 257, .external_lex_state = 6},
  [4963] = {.lex_state = 256, .external_lex_state = 6},
  [4964] = {.lex_state = 224, .external_lex_state = 6},
  [4965] = {.lex_state = 224, .external_lex_state = 6},
  [4966] = {.lex_state = 224, .external_lex_state = 6},
  [4967] = {.lex_state = 224, .external_lex_state = 6},
  [4968] = {.lex_state = 256, .external_lex_state = 6},
  [4969] = {.lex_state = 224, .external_lex_state = 6},
  [4970] = {.lex_state = 224, .external_lex_state = 6},
  [4971] = {.lex_state = 224, .external_lex_state = 6},
  [4972] = {.lex_state = 224, .external_lex_state = 6},
  [4973] = {.lex_state = 257, .external_lex_state = 6},
  [4974] = {.lex_state = 257, .external_lex_state = 6},
  [4975] = {.lex_state = 224, .external_lex_state = 6},
  [4976] = {.lex_state = 276, .external_lex_state = 6},
  [4977] = {.lex_state = 224, .external_lex_state = 6},
  [4978] = {.lex_state = 257, .external_lex_state = 6},
  [4979] = {.lex_state = 224, .external_lex_state = 6},
  [4980] = {.lex_state = 257, .external_lex_state = 6},
  [4981] = {.lex_state = 257, .external_lex_state = 6},
  [4982] = {.lex_state = 258, .external_lex_state = 6},
  [4983] = {.lex_state = 257, .external_lex_state = 6},
  [4984] = {.lex_state = 257, .external_lex_state = 6},
  [4985] = {.lex_state = 257, .external_lex_state = 6},
  [4986] = {.lex_state = 257, .external_lex_state = 6},
  [4987] = {.lex_state = 255, .external_lex_state = 6},
  [4988] = {.lex_state = 255, .external_lex_state = 6},
  [4989] = {.lex_state = 255, .external_lex_state = 6},
  [4990] = {.lex_state = 224, .external_lex_state = 6},
  [4991] = {.lex_state = 255, .external_lex_state = 6},
  [4992] = {.lex_state = 257, .external_lex_state = 6},
  [4993] = {.lex_state = 257, .external_lex_state = 6},
  [4994] = {.lex_state = 257, .external_lex_state = 6},
  [4995] = {.lex_state = 257, .external_lex_state = 6},
  [4996] = {.lex_state = 224, .external_lex_state = 6},
  [4997] = {.lex_state = 261, .external_lex_state = 6},
  [4998] = {.lex_state = 257, .external_lex_state = 6},
  [4999] = {.lex_state = 257, .external_lex_state = 6},
  [5000] = {.lex_state = 255, .external_lex_state = 6},
  [5001] = {.lex_state = 258, .external_lex_state = 6},
  [5002] = {.lex_state = 257, .external_lex_state = 6},
  [5003] = {.lex_state = 257, .external_lex_state = 6},
  [5004] = {.lex_state = 256, .external_lex_state = 6},
  [5005] = {.lex_state = 257, .external_lex_state = 6},
  [5006] = {.lex_state = 257, .external_lex_state = 6},
  [5007] = {.lex_state = 224, .external_lex_state = 6},
  [5008] = {.lex_state = 224, .external_lex_state = 6},
  [5009] = {.lex_state = 257, .external_lex_state = 6},
  [5010] = {.lex_state = 257, .external_lex_state = 6},
  [5011] = {.lex_state = 257, .external_lex_state = 6},
  [5012] = {.lex_state = 256, .external_lex_state = 6},
  [5013] = {.lex_state = 257, .external_lex_state = 6},
  [5014] = {.lex_state = 255, .external_lex_state = 6},
  [5015] = {.lex_state = 257, .external_lex_state = 6},
  [5016] = {.lex_state = 257, .external_lex_state = 6},
  [5017] = {.lex_state = 256, .external_lex_state = 6},
  [5018] = {.lex_state = 257, .external_lex_state = 6},
  [5019] = {.lex_state = 257, .external_lex_state = 6},
  [5020] = {.lex_state = 257, .external_lex_state = 6},
  [5021] = {.lex_state = 257, .external_lex_state = 6},
  [5022] = {.lex_state = 256, .external_lex_state = 6},
  [5023] = {.lex_state = 256, .external_lex_state = 6},
  [5024] = {.lex_state = 256, .external_lex_state = 6},
  [5025] = {.lex_state = 252, .external_lex_state = 6},
  [5026] = {.lex_state = 258, .external_lex_state = 6},
  [5027] = {.lex_state = 256, .external_lex_state = 6},
  [5028] = {.lex_state = 256, .external_lex_state = 6},
  [5029] = {.lex_state = 256, .external_lex_state = 6},
  [5030] = {.lex_state = 255, .external_lex_state = 6},
  [5031] = {.lex_state = 276, .external_lex_state = 6},
  [5032] = {.lex_state = 256, .external_lex_state = 6},
  [5033] = {.lex_state = 256, .external_lex_state = 6},
  [5034] = {.lex_state = 276, .external_lex_state = 6},
  [5035] = {.lex_state = 261, .external_lex_state = 6},
  [5036] = {.lex_state = 252, .external_lex_state = 6},
  [5037] = {.lex_state = 257, .external_lex_state = 6},
  [5038] = {.lex_state = 252, .external_lex_state = 6},
  [5039] = {.lex_state = 224, .external_lex_state = 6},
  [5040] = {.lex_state = 257, .external_lex_state = 6},
  [5041] = {.lex_state = 258, .external_lex_state = 6},
  [5042] = {.lex_state = 257, .external_lex_state = 6},
  [5043] = {.lex_state = 256, .external_lex_state = 6},
  [5044] = {.lex_state = 257, .external_lex_state = 6},
  [5045] = {.lex_state = 256, .external_lex_state = 6},
  [5046] = {.lex_state = 256, .external_lex_state = 6},
  [5047] = {.lex_state = 224, .external_lex_state = 6},
  [5048] = {.lex_state = 224, .external_lex_state = 6},
  [5049] = {.lex_state = 256, .external_lex_state = 6},
  [5050] = {.lex_state = 256, .external_lex_state = 6},
  [5051] = {.lex_state = 224, .external_lex_state = 6},
  [5052] = {.lex_state = 224, .external_lex_state = 6},
  [5053] = {.lex_state = 276, .external_lex_state = 6},
  [5054] = {.lex_state = 276, .external_lex_state = 6},
  [5055] = {.lex_state = 256, .external_lex_state = 6},
  [5056] = {.lex_state = 257, .external_lex_state = 6},
  [5057] = {.lex_state = 256, .external_lex_state = 6},
  [5058] = {.lex_state = 252, .external_lex_state = 6},
  [5059] = {.lex_state = 258, .external_lex_state = 6},
  [5060] = {.lex_state = 256, .external_lex_state = 6},
  [5061] = {.lex_state = 252, .external_lex_state = 6},
  [5062] = {.lex_state = 258, .external_lex_state = 6},
  [5063] = {.lex_state = 258, .external_lex_state = 6},
  [5064] = {.lex_state = 256, .external_lex_state = 6},
  [5065] = {.lex_state = 252, .external_lex_state = 6},
  [5066] = {.lex_state = 258, .external_lex_state = 6},
  [5067] = {.lex_state = 224, .external_lex_state = 6},
  [5068] = {.lex_state = 224, .external_lex_state = 6},
  [5069] = {.lex_state = 258, .external_lex_state = 6},
  [5070] = {.lex_state = 256, .external_lex_state = 6},
  [5071] = {.lex_state = 256, .external_lex_state = 6},
  [5072] = {.lex_state = 258, .external_lex_state = 6},
  [5073] = {.lex_state = 258, .external_lex_state = 6},
  [5074] = {.lex_state = 258, .external_lex_state = 6},
  [5075] = {.lex_state = 224, .external_lex_state = 6},
  [5076] = {.lex_state = 258, .external_lex_state = 6},
  [5077] = {.lex_state = 252, .external_lex_state = 6},
  [5078] = {.lex_state = 256, .external_lex_state = 6},
  [5079] = {.lex_state = 252, .external_lex_state = 6},
  [5080] = {.lex_state = 224, .external_lex_state = 6},
  [5081] = {.lex_state = 258, .external_lex_state = 6},
  [5082] = {.lex_state = 258, .external_lex_state = 6},
  [5083] = {.lex_state = 256, .external_lex_state = 6},
  [5084] = {.lex_state = 256, .external_lex_state = 6},
  [5085] = {.lex_state = 256, .external_lex_state = 6},
  [5086] = {.lex_state = 256, .external_lex_state = 6},
  [5087] = {.lex_state = 258, .external_lex_state = 6},
  [5088] = {.lex_state = 258, .external_lex_state = 6},
  [5089] = {.lex_state = 224, .external_lex_state = 6},
  [5090] = {.lex_state = 258, .external_lex_state = 6},
  [5091] = {.lex_state = 258, .external_lex_state = 6},
  [5092] = {.lex_state = 276, .external_lex_state = 5},
  [5093] = {.lex_state = 224, .external_lex_state = 6},
  [5094] = {.lex_state = 224, .external_lex_state = 6},
  [5095] = {.lex_state = 261, .external_lex_state = 6},
  [5096] = {.lex_state = 261, .external_lex_state = 6},
  [5097] = {.lex_state = 258, .external_lex_state = 6},
  [5098] = {.lex_state = 261, .external_lex_state = 6},
  [5099] = {.lex_state = 224, .external_lex_state = 6},
  [5100] = {.lex_state = 258, .external_lex_state = 6},
  [5101] = {.lex_state = 258, .external_lex_state = 6},
  [5102] = {.lex_state = 257, .external_lex_state = 6},
  [5103] = {.lex_state = 255, .external_lex_state = 6},
  [5104] = {.lex_state = 258, .external_lex_state = 6},
  [5105] = {.lex_state = 224, .external_lex_state = 6},
  [5106] = {.lex_state = 257, .external_lex_state = 6},
  [5107] = {.lex_state = 224, .external_lex_state = 6},
  [5108] = {.lex_state = 276, .external_lex_state = 6},
  [5109] = {.lex_state = 252, .external_lex_state = 6},
  [5110] = {.lex_state = 276, .external_lex_state = 6},
  [5111] = {.lex_state = 276, .external_lex_state = 6},
  [5112] = {.lex_state = 252, .external_lex_state = 6},
  [5113] = {.lex_state = 224, .external_lex_state = 6},
  [5114] = {.lex_state = 258, .external_lex_state = 6},
  [5115] = {.lex_state = 255, .external_lex_state = 6},
  [5116] = {.lex_state = 224, .external_lex_state = 6},
  [5117] = {.lex_state = 255, .external_lex_state = 6},
  [5118] = {.lex_state = 255, .external_lex_state = 6},
  [5119] = {.lex_state = 224, .external_lex_state = 6},
  [5120] = {.lex_state = 257, .external_lex_state = 6},
  [5121] = {.lex_state = 224, .external_lex_state = 6},
  [5122] = {.lex_state = 224, .external_lex_state = 6},
  [5123] = {.lex_state = 257, .external_lex_state = 6},
  [5124] = {.lex_state = 255, .external_lex_state = 6},
  [5125] = {.lex_state = 255, .external_lex_state = 6},
  [5126] = {.lex_state = 224, .external_lex_state = 6},
  [5127] = {.lex_state = 257, .external_lex_state = 6},
  [5128] = {.lex_state = 224, .external_lex_state = 6},
  [5129] = {.lex_state = 224, .external_lex_state = 6},
  [5130] = {.lex_state = 224, .external_lex_state = 6},
  [5131] = {.lex_state = 256, .external_lex_state = 6},
  [5132] = {.lex_state = 276, .external_lex_state = 6},
  [5133] = {.lex_state = 258, .external_lex_state = 6},
  [5134] = {.lex_state = 255, .external_lex_state = 6},
  [5135] = {.lex_state = 255, .external_lex_state = 6},
  [5136] = {.lex_state = 255, .external_lex_state = 6},
  [5137] = {.lex_state = 255, .external_lex_state = 6},
  [5138] = {.lex_state = 224, .external_lex_state = 6},
  [5139] = {.lex_state = 255, .external_lex_state = 6},
  [5140] = {.lex_state = 255, .external_lex_state = 6},
  [5141] = {.lex_state = 255, .external_lex_state = 6},
  [5142] = {.lex_state = 255, .external_lex_state = 6},
  [5143] = {.lex_state = 255, .external_lex_state = 6},
  [5144] = {.lex_state = 255, .external_lex_state = 6},
  [5145] = {.lex_state = 276, .external_lex_state = 6},
  [5146] = {.lex_state = 252, .external_lex_state = 6},
  [5147] = {.lex_state = 255, .external_lex_state = 6},
  [5148] = {.lex_state = 255, .external_lex_state = 6},
  [5149] = {.lex_state = 255, .external_lex_state = 6},
  [5150] = {.lex_state = 261, .external_lex_state = 6},
  [5151] = {.lex_state = 252, .external_lex_state = 6},
  [5152] = {.lex_state = 255, .external_lex_state = 6},
  [5153] = {.lex_state = 255, .external_lex_state = 6},
  [5154] = {.lex_state = 255, .external_lex_state = 6},
  [5155] = {.lex_state = 261, .external_lex_state = 6},
  [5156] = {.lex_state = 255, .external_lex_state = 6},
  [5157] = {.lex_state = 255, .external_lex_state = 6},
  [5158] = {.lex_state = 255, .external_lex_state = 6},
  [5159] = {.lex_state = 255, .external_lex_state = 6},
  [5160] = {.lex_state = 261, .external_lex_state = 6},
  [5161] = {.lex_state = 258, .external_lex_state = 6},
  [5162] = {.lex_state = 258, .external_lex_state = 6},
  [5163] = {.lex_state = 261, .external_lex_state = 6},
  [5164] = {.lex_state = 261, .external_lex_state = 6},
  [5165] = {.lex_state = 252, .external_lex_state = 6},
  [5166] = {.lex_state = 252, .external_lex_state = 6},
  [5167] = {.lex_state = 276, .external_lex_state = 6},
  [5168] = {.lex_state = 252, .external_lex_state = 6},
  [5169] = {.lex_state = 258, .external_lex_state = 6},
  [5170] = {.lex_state = 252, .external_lex_state = 6},
  [5171] = {.lex_state = 258, .external_lex_state = 6},
  [5172] = {.lex_state = 252, .external_lex_state = 6},
  [5173] = {.lex_state = 258, .external_lex_state = 6},
  [5174] = {.lex_state = 258, .external_lex_state = 6},
  [5175] = {.lex_state = 261, .external_lex_state = 6},
  [5176] = {.lex_state = 252, .external_lex_state = 6},
  [5177] = {.lex_state = 258, .external_lex_state = 6},
  [5178] = {.lex_state = 258, .external_lex_state = 6},
  [5179] = {.lex_state = 255, .external_lex_state = 6},
  [5180] = {.lex_state = 252, .external_lex_state = 6},
  [5181] = {.lex_state = 255, .external_lex_state = 6},
  [5182] = {.lex_state = 258, .external_lex_state = 6},
  [5183] = {.lex_state = 257, .external_lex_state = 6},
  [5184] = {.lex_state = 255, .external_lex_state = 6},
  [5185] = {.lex_state = 256, .external_lex_state = 6},
  [5186] = {.lex_state = 255, .external_lex_state = 6},
  [5187] = {.lex_state = 252, .external_lex_state = 6},
  [5188] = {.lex_state = 256, .external_lex_state = 6},
  [5189] = {.lex_state = 255, .external_lex_state = 6},
  [5190] = {.lex_state = 255, .external_lex_state = 6},
  [5191] = {.lex_state = 252, .external_lex_state = 6},
  [5192] = {.lex_state = 256, .external_lex_state = 6},
  [5193] = {.lex_state = 256, .external_lex_state = 6},
  [5194] = {.lex_state = 256, .external_lex_state = 6},
  [5195] = {.lex_state = 252, .external_lex_state = 6},
  [5196] = {.lex_state = 256, .external_lex_state = 6},
  [5197] = {.lex_state = 255, .external_lex_state = 6},
  [5198] = {.lex_state = 276, .external_lex_state = 6},
  [5199] = {.lex_state = 252, .external_lex_state = 6},
  [5200] = {.lex_state = 255, .external_lex_state = 6},
  [5201] = {.lex_state = 258, .external_lex_state = 6},
  [5202] = {.lex_state = 224, .external_lex_state = 6},
  [5203] = {.lex_state = 261, .external_lex_state = 6},
  [5204] = {.lex_state = 258, .external_lex_state = 6},
  [5205] = {.lex_state = 258, .external_lex_state = 6},
  [5206] = {.lex_state = 257, .external_lex_state = 6},
  [5207] = {.lex_state = 261, .external_lex_state = 6},
  [5208] = {.lex_state = 261, .external_lex_state = 6},
  [5209] = {.lex_state = 252, .external_lex_state = 6},
  [5210] = {.lex_state = 252, .external_lex_state = 6},
  [5211] = {.lex_state = 252, .external_lex_state = 6},
  [5212] = {.lex_state = 252, .external_lex_state = 6},
  [5213] = {.lex_state = 252, .external_lex_state = 6},
  [5214] = {.lex_state = 255, .external_lex_state = 6},
  [5215] = {.lex_state = 252, .external_lex_state = 6},
  [5216] = {.lex_state = 255, .external_lex_state = 6},
  [5217] = {.lex_state = 252, .external_lex_state = 6},
  [5218] = {.lex_state = 252, .external_lex_state = 6},
  [5219] = {.lex_state = 255, .external_lex_state = 6},
  [5220] = {.lex_state = 256, .external_lex_state = 6},
  [5221] = {.lex_state = 258, .external_lex_state = 6},
  [5222] = {.lex_state = 258, .external_lex_state = 6},
  [5223] = {.lex_state = 258, .external_lex_state = 6},
  [5224] = {.lex_state = 258, .external_lex_state = 6},
  [5225] = {.lex_state = 256, .external_lex_state = 6},
  [5226] = {.lex_state = 257, .external_lex_state = 6},
  [5227] = {.lex_state = 256, .external_lex_state = 6},
  [5228] = {.lex_state = 256, .external_lex_state = 6},
  [5229] = {.lex_state = 256, .external_lex_state = 6},
  [5230] = {.lex_state = 276, .external_lex_state = 6},
  [5231] = {.lex_state = 252, .external_lex_state = 6},
  [5232] = {.lex_state = 255, .external_lex_state = 6},
  [5233] = {.lex_state = 252, .external_lex_state = 6},
  [5234] = {.lex_state = 258, .external_lex_state = 6},
  [5235] = {.lex_state = 276, .external_lex_state = 6},
  [5236] = {.lex_state = 252, .external_lex_state = 6},
  [5237] = {.lex_state = 258, .external_lex_state = 6},
  [5238] = {.lex_state = 255, .external_lex_state = 6},
  [5239] = {.lex_state = 276, .external_lex_state = 6},
  [5240] = {.lex_state = 276, .external_lex_state = 6},
  [5241] = {.lex_state = 258, .external_lex_state = 6},
  [5242] = {.lex_state = 224, .external_lex_state = 6},
  [5243] = {.lex_state = 253, .external_lex_state = 6},
  [5244] = {.lex_state = 276, .external_lex_state = 6},
  [5245] = {.lex_state = 276, .external_lex_state = 6},
  [5246] = {.lex_state = 276, .external_lex_state = 6},
  [5247] = {.lex_state = 253, .external_lex_state = 6},
  [5248] = {.lex_state = 276, .external_lex_state = 6},
  [5249] = {.lex_state = 276, .external_lex_state = 6},
  [5250] = {.lex_state = 276, .external_lex_state = 6},
  [5251] = {.lex_state = 253, .external_lex_state = 6},
  [5252] = {.lex_state = 253, .external_lex_state = 6},
  [5253] = {.lex_state = 276, .external_lex_state = 6},
  [5254] = {.lex_state = 253, .external_lex_state = 6},
  [5255] = {.lex_state = 253, .external_lex_state = 6},
  [5256] = {.lex_state = 276, .external_lex_state = 6},
  [5257] = {.lex_state = 253, .external_lex_state = 6},
  [5258] = {.lex_state = 253, .external_lex_state = 6},
  [5259] = {.lex_state = 253, .external_lex_state = 6},
  [5260] = {.lex_state = 253, .external_lex_state = 6},
  [5261] = {.lex_state = 253, .external_lex_state = 6},
  [5262] = {.lex_state = 253, .external_lex_state = 6},
  [5263] = {.lex_state = 276, .external_lex_state = 6},
  [5264] = {.lex_state = 276, .external_lex_state = 6},
  [5265] = {.lex_state = 276, .external_lex_state = 6},
  [5266] = {.lex_state = 253, .external_lex_state = 6},
  [5267] = {.lex_state = 253, .external_lex_state = 6},
  [5268] = {.lex_state = 253, .external_lex_state = 6},
  [5269] = {.lex_state = 253, .external_lex_state = 6},
  [5270] = {.lex_state = 253, .external_lex_state = 6},
  [5271] = {.lex_state = 253, .external_lex_state = 6},
  [5272] = {.lex_state = 253, .external_lex_state = 6},
  [5273] = {.lex_state = 253, .external_lex_state = 6},
  [5274] = {.lex_state = 253, .external_lex_state = 6},
  [5275] = {.lex_state = 253, .external_lex_state = 6},
  [5276] = {.lex_state = 253, .external_lex_state = 6},
  [5277] = {.lex_state = 253, .external_lex_state = 6},
  [5278] = {.lex_state = 253, .external_lex_state = 6},
  [5279] = {.lex_state = 253, .external_lex_state = 6},
  [5280] = {.lex_state = 253, .external_lex_state = 6},
  [5281] = {.lex_state = 253, .external_lex_state = 6},
  [5282] = {.lex_state = 253, .external_lex_state = 6},
  [5283] = {.lex_state = 253, .external_lex_state = 6},
  [5284] = {.lex_state = 253, .external_lex_state = 6},
  [5285] = {.lex_state = 253, .external_lex_state = 6},
  [5286] = {.lex_state = 253, .external_lex_state = 6},
  [5287] = {.lex_state = 253, .external_lex_state = 6},
  [5288] = {.lex_state = 253, .external_lex_state = 6},
  [5289] = {.lex_state = 253, .external_lex_state = 6},
  [5290] = {.lex_state = 253, .external_lex_state = 6},
  [5291] = {.lex_state = 253, .external_lex_state = 6},
  [5292] = {.lex_state = 253, .external_lex_state = 6},
  [5293] = {.lex_state = 253, .external_lex_state = 6},
  [5294] = {.lex_state = 253, .external_lex_state = 6},
  [5295] = {.lex_state = 253, .external_lex_state = 6},
  [5296] = {.lex_state = 253, .external_lex_state = 6},
  [5297] = {.lex_state = 253, .external_lex_state = 6},
  [5298] = {.lex_state = 253, .external_lex_state = 6},
  [5299] = {.lex_state = 253, .external_lex_state = 6},
  [5300] = {.lex_state = 253, .external_lex_state = 6},
  [5301] = {.lex_state = 253, .external_lex_state = 6},
  [5302] = {.lex_state = 253, .external_lex_state = 6},
  [5303] = {.lex_state = 253, .external_lex_state = 6},
  [5304] = {.lex_state = 253, .external_lex_state = 6},
  [5305] = {.lex_state = 253, .external_lex_state = 6},
  [5306] = {.lex_state = 253, .external_lex_state = 6},
  [5307] = {.lex_state = 253, .external_lex_state = 6},
  [5308] = {.lex_state = 253, .external_lex_state = 6},
  [5309] = {.lex_state = 259, .external_lex_state = 6},
  [5310] = {.lex_state = 259, .external_lex_state = 6},
  [5311] = {.lex_state = 261, .external_lex_state = 6},
  [5312] = {.lex_state = 259, .external_lex_state = 6},
  [5313] = {.lex_state = 261, .external_lex_state = 6},
  [5314] = {.lex_state = 254, .external_lex_state = 4},
  [5315] = {.lex_state = 254, .external_lex_state = 4},
  [5316] = {.lex_state = 254, .external_lex_state = 4},
  [5317] = {.lex_state = 254, .external_lex_state = 4},
  [5318] = {.lex_state = 259, .external_lex_state = 6},
  [5319] = {.lex_state = 261, .external_lex_state = 6},
  [5320] = {.lex_state = 261, .external_lex_state = 6},
  [5321] = {.lex_state = 261, .external_lex_state = 6},
  [5322] = {.lex_state = 261, .external_lex_state = 6},
  [5323] = {.lex_state = 254, .external_lex_state = 4},
  [5324] = {.lex_state = 261, .external_lex_state = 6},
  [5325] = {.lex_state = 261, .external_lex_state = 6},
  [5326] = {.lex_state = 261, .external_lex_state = 6},
  [5327] = {.lex_state = 261, .external_lex_state = 6},
  [5328] = {.lex_state = 261, .external_lex_state = 6},
  [5329] = {.lex_state = 259, .external_lex_state = 6},
  [5330] = {.lex_state = 259, .external_lex_state = 6},
  [5331] = {.lex_state = 259, .external_lex_state = 6},
  [5332] = {.lex_state = 261, .external_lex_state = 6},
  [5333] = {.lex_state = 261, .external_lex_state = 6},
  [5334] = {.lex_state = 261, .external_lex_state = 6},
  [5335] = {.lex_state = 261, .external_lex_state = 6},
  [5336] = {.lex_state = 259, .external_lex_state = 6},
  [5337] = {.lex_state = 214, .external_lex_state = 6},
  [5338] = {.lex_state = 259, .external_lex_state = 6},
  [5339] = {.lex_state = 261, .external_lex_state = 6},
  [5340] = {.lex_state = 261, .external_lex_state = 6},
  [5341] = {.lex_state = 261, .external_lex_state = 6},
  [5342] = {.lex_state = 261, .external_lex_state = 6},
  [5343] = {.lex_state = 261, .external_lex_state = 6},
  [5344] = {.lex_state = 259, .external_lex_state = 6},
  [5345] = {.lex_state = 95, .external_lex_state = 6},
  [5346] = {.lex_state = 259, .external_lex_state = 6},
  [5347] = {.lex_state = 95, .external_lex_state = 6},
  [5348] = {.lex_state = 214, .external_lex_state = 6},
  [5349] = {.lex_state = 261, .external_lex_state = 6},
  [5350] = {.lex_state = 95, .external_lex_state = 6},
  [5351] = {.lex_state = 261, .external_lex_state = 6},
  [5352] = {.lex_state = 261, .external_lex_state = 6},
  [5353] = {.lex_state = 254, .external_lex_state = 4},
  [5354] = {.lex_state = 254, .external_lex_state = 4},
  [5355] = {.lex_state = 214, .external_lex_state = 6},
  [5356] = {.lex_state = 259, .external_lex_state = 6},
  [5357] = {.lex_state = 259, .external_lex_state = 6},
  [5358] = {.lex_state = 254, .external_lex_state = 4},
  [5359] = {.lex_state = 254, .external_lex_state = 4},
  [5360] = {.lex_state = 226, .external_lex_state = 6},
  [5361] = {.lex_state = 95, .external_lex_state = 6},
  [5362] = {.lex_state = 95, .external_lex_state = 6},
  [5363] = {.lex_state = 95, .external_lex_state = 6},
  [5364] = {.lex_state = 95, .external_lex_state = 6},
  [5365] = {.lex_state = 259, .external_lex_state = 6},
  [5366] = {.lex_state = 259, .external_lex_state = 6},
  [5367] = {.lex_state = 254, .external_lex_state = 4},
  [5368] = {.lex_state = 259, .external_lex_state = 6},
  [5369] = {.lex_state = 259, .external_lex_state = 6},
  [5370] = {.lex_state = 259, .external_lex_state = 6},
  [5371] = {.lex_state = 254, .external_lex_state = 4},
  [5372] = {.lex_state = 259, .external_lex_state = 6},
  [5373] = {.lex_state = 259, .external_lex_state = 6},
  [5374] = {.lex_state = 226, .external_lex_state = 6},
  [5375] = {.lex_state = 259, .external_lex_state = 6},
  [5376] = {.lex_state = 259, .external_lex_state = 6},
  [5377] = {.lex_state = 259, .external_lex_state = 6},
  [5378] = {.lex_state = 259, .external_lex_state = 6},
  [5379] = {.lex_state = 214, .external_lex_state = 6},
  [5380] = {.lex_state = 259, .external_lex_state = 6},
  [5381] = {.lex_state = 259, .external_lex_state = 6},
  [5382] = {.lex_state = 259, .external_lex_state = 6},
  [5383] = {.lex_state = 259, .external_lex_state = 6},
  [5384] = {.lex_state = 259, .external_lex_state = 6},
  [5385] = {.lex_state = 226, .external_lex_state = 6},
  [5386] = {.lex_state = 254, .external_lex_state = 4},
  [5387] = {.lex_state = 259, .external_lex_state = 6},
  [5388] = {.lex_state = 267, .external_lex_state = 6},
  [5389] = {.lex_state = 214, .external_lex_state = 6},
  [5390] = {.lex_state = 214, .external_lex_state = 6},
  [5391] = {.lex_state = 214, .external_lex_state = 6},
  [5392] = {.lex_state = 214, .external_lex_state = 6},
  [5393] = {.lex_state = 214, .external_lex_state = 6},
  [5394] = {.lex_state = 267, .external_lex_state = 6},
  [5395] = {.lex_state = 226, .external_lex_state = 6},
  [5396] = {.lex_state = 267, .external_lex_state = 6},
  [5397] = {.lex_state = 214, .external_lex_state = 6},
  [5398] = {.lex_state = 259, .external_lex_state = 6},
  [5399] = {.lex_state = 95, .external_lex_state = 6},
  [5400] = {.lex_state = 261, .external_lex_state = 6},
  [5401] = {.lex_state = 95, .external_lex_state = 6},
  [5402] = {.lex_state = 95, .external_lex_state = 6},
  [5403] = {.lex_state = 95, .external_lex_state = 6},
  [5404] = {.lex_state = 95, .external_lex_state = 6},
  [5405] = {.lex_state = 95, .external_lex_state = 6},
  [5406] = {.lex_state = 95, .external_lex_state = 6},
  [5407] = {.lex_state = 95, .external_lex_state = 6},
  [5408] = {.lex_state = 214, .external_lex_state = 6},
  [5409] = {.lex_state = 95, .external_lex_state = 6},
  [5410] = {.lex_state = 261, .external_lex_state = 6},
  [5411] = {.lex_state = 95, .external_lex_state = 6},
  [5412] = {.lex_state = 95, .external_lex_state = 6},
  [5413] = {.lex_state = 95, .external_lex_state = 6},
  [5414] = {.lex_state = 95, .external_lex_state = 6},
  [5415] = {.lex_state = 261, .external_lex_state = 6},
  [5416] = {.lex_state = 95, .external_lex_state = 6},
  [5417] = {.lex_state = 214, .external_lex_state = 6},
  [5418] = {.lex_state = 261, .external_lex_state = 6},
  [5419] = {.lex_state = 214, .external_lex_state = 6},
  [5420] = {.lex_state = 95, .external_lex_state = 6},
  [5421] = {.lex_state = 214, .external_lex_state = 6},
  [5422] = {.lex_state = 95, .external_lex_state = 6},
  [5423] = {.lex_state = 95, .external_lex_state = 6},
  [5424] = {.lex_state = 95, .external_lex_state = 6},
  [5425] = {.lex_state = 214, .external_lex_state = 6},
  [5426] = {.lex_state = 214, .external_lex_state = 6},
  [5427] = {.lex_state = 95, .external_lex_state = 6},
  [5428] = {.lex_state = 95, .external_lex_state = 6},
  [5429] = {.lex_state = 214, .external_lex_state = 6},
  [5430] = {.lex_state = 95, .external_lex_state = 6},
  [5431] = {.lex_state = 95, .external_lex_state = 6},
  [5432] = {.lex_state = 95, .external_lex_state = 6},
  [5433] = {.lex_state = 95, .external_lex_state = 6},
  [5434] = {.lex_state = 95, .external_lex_state = 6},
  [5435] = {.lex_state = 95, .external_lex_state = 6},
  [5436] = {.lex_state = 95, .external_lex_state = 6},
  [5437] = {.lex_state = 95, .external_lex_state = 6},
  [5438] = {.lex_state = 214, .external_lex_state = 6},
  [5439] = {.lex_state = 95, .external_lex_state = 6},
  [5440] = {.lex_state = 95, .external_lex_state = 6},
  [5441] = {.lex_state = 95, .external_lex_state = 6},
  [5442] = {.lex_state = 95, .external_lex_state = 6},
  [5443] = {.lex_state = 95, .external_lex_state = 6},
  [5444] = {.lex_state = 95, .external_lex_state = 6},
  [5445] = {.lex_state = 95, .external_lex_state = 6},
  [5446] = {.lex_state = 95, .external_lex_state = 6},
  [5447] = {.lex_state = 95, .external_lex_state = 6},
  [5448] = {.lex_state = 95, .external_lex_state = 6},
  [5449] = {.lex_state = 261, .external_lex_state = 6},
  [5450] = {.lex_state = 95, .external_lex_state = 6},
  [5451] = {.lex_state = 95, .external_lex_state = 6},
  [5452] = {.lex_state = 95, .external_lex_state = 6},
  [5453] = {.lex_state = 95, .external_lex_state = 6},
  [5454] = {.lex_state = 95, .external_lex_state = 6},
  [5455] = {.lex_state = 95, .external_lex_state = 6},
  [5456] = {.lex_state = 95, .external_lex_state = 6},
  [5457] = {.lex_state = 95, .external_lex_state = 6},
  [5458] = {.lex_state = 95, .external_lex_state = 6},
  [5459] = {.lex_state = 95, .external_lex_state = 6},
  [5460] = {.lex_state = 95, .external_lex_state = 6},
  [5461] = {.lex_state = 95, .external_lex_state = 6},
  [5462] = {.lex_state = 95, .external_lex_state = 6},
  [5463] = {.lex_state = 95, .external_lex_state = 6},
  [5464] = {.lex_state = 95, .external_lex_state = 6},
  [5465] = {.lex_state = 95, .external_lex_state = 6},
  [5466] = {.lex_state = 95, .external_lex_state = 6},
  [5467] = {.lex_state = 95, .external_lex_state = 6},
  [5468] = {.lex_state = 95, .external_lex_state = 6},
  [5469] = {.lex_state = 95, .external_lex_state = 6},
  [5470] = {.lex_state = 214, .external_lex_state = 6},
  [5471] = {.lex_state = 214, .external_lex_state = 6},
  [5472] = {.lex_state = 214, .external_lex_state = 6},
  [5473] = {.lex_state = 214, .external_lex_state = 6},
  [5474] = {.lex_state = 95, .external_lex_state = 6},
  [5475] = {.lex_state = 214, .external_lex_state = 6},
  [5476] = {.lex_state = 214, .external_lex_state = 6},
  [5477] = {.lex_state = 214, .external_lex_state = 6},
  [5478] = {.lex_state = 214, .external_lex_state = 6},
  [5479] = {.lex_state = 214, .external_lex_state = 6},
  [5480] = {.lex_state = 214, .external_lex_state = 6},
  [5481] = {.lex_state = 95, .external_lex_state = 6},
  [5482] = {.lex_state = 214, .external_lex_state = 6},
  [5483] = {.lex_state = 214, .external_lex_state = 6},
  [5484] = {.lex_state = 95, .external_lex_state = 6},
  [5485] = {.lex_state = 95, .external_lex_state = 6},
  [5486] = {.lex_state = 95, .external_lex_state = 6},
  [5487] = {.lex_state = 95, .external_lex_state = 6},
  [5488] = {.lex_state = 95, .external_lex_state = 6},
  [5489] = {.lex_state = 214, .external_lex_state = 6},
  [5490] = {.lex_state = 95, .external_lex_state = 6},
  [5491] = {.lex_state = 95, .external_lex_state = 6},
  [5492] = {.lex_state = 95, .external_lex_state = 6},
  [5493] = {.lex_state = 95, .external_lex_state = 6},
  [5494] = {.lex_state = 95, .external_lex_state = 6},
  [5495] = {.lex_state = 95, .external_lex_state = 6},
  [5496] = {.lex_state = 214, .external_lex_state = 6},
  [5497] = {.lex_state = 95, .external_lex_state = 6},
  [5498] = {.lex_state = 95, .external_lex_state = 6},
  [5499] = {.lex_state = 214, .external_lex_state = 6},
  [5500] = {.lex_state = 261, .external_lex_state = 6},
  [5501] = {.lex_state = 95, .external_lex_state = 6},
  [5502] = {.lex_state = 95, .external_lex_state = 6},
  [5503] = {.lex_state = 95, .external_lex_state = 6},
  [5504] = {.lex_state = 95, .external_lex_state = 6},
  [5505] = {.lex_state = 95, .external_lex_state = 6},
  [5506] = {.lex_state = 95, .external_lex_state = 6},
  [5507] = {.lex_state = 95, .external_lex_state = 6},
  [5508] = {.lex_state = 95, .external_lex_state = 6},
  [5509] = {.lex_state = 95, .external_lex_state = 6},
  [5510] = {.lex_state = 95, .external_lex_state = 6},
  [5511] = {.lex_state = 259, .external_lex_state = 6},
  [5512] = {.lex_state = 254, .external_lex_state = 4},
  [5513] = {.lex_state = 95, .external_lex_state = 6},
  [5514] = {.lex_state = 214, .external_lex_state = 6},
  [5515] = {.lex_state = 95, .external_lex_state = 6},
  [5516] = {.lex_state = 254, .external_lex_state = 4},
  [5517] = {.lex_state = 95, .external_lex_state = 6},
  [5518] = {.lex_state = 95, .external_lex_state = 6},
  [5519] = {.lex_state = 259, .external_lex_state = 6},
  [5520] = {.lex_state = 95, .external_lex_state = 6},
  [5521] = {.lex_state = 95, .external_lex_state = 6},
  [5522] = {.lex_state = 95, .external_lex_state = 6},
  [5523] = {.lex_state = 95, .external_lex_state = 6},
  [5524] = {.lex_state = 214, .external_lex_state = 6},
  [5525] = {.lex_state = 95, .external_lex_state = 6},
  [5526] = {.lex_state = 95, .external_lex_state = 6},
  [5527] = {.lex_state = 95, .external_lex_state = 6},
  [5528] = {.lex_state = 95, .external_lex_state = 6},
  [5529] = {.lex_state = 95, .external_lex_state = 6},
  [5530] = {.lex_state = 95, .external_lex_state = 6},
  [5531] = {.lex_state = 95, .external_lex_state = 6},
  [5532] = {.lex_state = 95, .external_lex_state = 6},
  [5533] = {.lex_state = 95, .external_lex_state = 6},
  [5534] = {.lex_state = 95, .external_lex_state = 6},
  [5535] = {.lex_state = 95, .external_lex_state = 6},
  [5536] = {.lex_state = 95, .external_lex_state = 6},
  [5537] = {.lex_state = 259, .external_lex_state = 6},
  [5538] = {.lex_state = 259, .external_lex_state = 6},
  [5539] = {.lex_state = 259, .external_lex_state = 6},
  [5540] = {.lex_state = 259, .external_lex_state = 6},
  [5541] = {.lex_state = 259, .external_lex_state = 6},
  [5542] = {.lex_state = 259, .external_lex_state = 6},
  [5543] = {.lex_state = 259, .external_lex_state = 6},
  [5544] = {.lex_state = 259, .external_lex_state = 6},
  [5545] = {.lex_state = 259, .external_lex_state = 6},
  [5546] = {.lex_state = 259, .external_lex_state = 6},
  [5547] = {.lex_state = 259, .external_lex_state = 6},
  [5548] = {.lex_state = 259, .external_lex_state = 6},
  [5549] = {.lex_state = 259, .external_lex_state = 6},
  [5550] = {.lex_state = 259, .external_lex_state = 6},
  [5551] = {.lex_state = 254, .external_lex_state = 4},
  [5552] = {.lex_state = 254, .external_lex_state = 4},
  [5553] = {.lex_state = 254, .external_lex_state = 4},
  [5554] = {.lex_state = 254, .external_lex_state = 4},
  [5555] = {.lex_state = 254, .external_lex_state = 4},
  [5556] = {.lex_state = 254, .external_lex_state = 4},
  [5557] = {.lex_state = 254, .external_lex_state = 4},
  [5558] = {.lex_state = 254, .external_lex_state = 4},
  [5559] = {.lex_state = 254, .external_lex_state = 4},
  [5560] = {.lex_state = 224, .external_lex_state = 6},
  [5561] = {.lex_state = 254, .external_lex_state = 4},
  [5562] = {.lex_state = 254, .external_lex_state = 4},
  [5563] = {.lex_state = 224, .external_lex_state = 6},
  [5564] = {.lex_state = 224, .external_lex_state = 6},
  [5565] = {.lex_state = 224, .external_lex_state = 6},
  [5566] = {.lex_state = 254, .external_lex_state = 4},
  [5567] = {.lex_state = 224, .external_lex_state = 6},
  [5568] = {.lex_state = 254, .external_lex_state = 4},
  [5569] = {.lex_state = 224, .external_lex_state = 6},
  [5570] = {.lex_state = 254, .external_lex_state = 4},
  [5571] = {.lex_state = 254, .external_lex_state = 4},
  [5572] = {.lex_state = 224, .external_lex_state = 6},
  [5573] = {.lex_state = 266, .external_lex_state = 6},
  [5574] = {.lex_state = 264, .external_lex_state = 6},
  [5575] = {.lex_state = 264, .external_lex_state = 6},
  [5576] = {.lex_state = 264, .external_lex_state = 6},
  [5577] = {.lex_state = 254, .external_lex_state = 4},
  [5578] = {.lex_state = 266, .external_lex_state = 6},
  [5579] = {.lex_state = 266, .external_lex_state = 6},
  [5580] = {.lex_state = 264, .external_lex_state = 6},
  [5581] = {.lex_state = 266, .external_lex_state = 6},
  [5582] = {.lex_state = 266, .external_lex_state = 6},
  [5583] = {.lex_state = 264, .external_lex_state = 6},
  [5584] = {.lex_state = 266, .external_lex_state = 6},
  [5585] = {.lex_state = 264, .external_lex_state = 6},
  [5586] = {.lex_state = 266, .external_lex_state = 6},
  [5587] = {.lex_state = 264, .external_lex_state = 6},
  [5588] = {.lex_state = 264, .external_lex_state = 6},
  [5589] = {.lex_state = 254, .external_lex_state = 4},
  [5590] = {.lex_state = 264, .external_lex_state = 6},
  [5591] = {.lex_state = 267, .external_lex_state = 6},
  [5592] = {.lex_state = 267, .external_lex_state = 6},
  [5593] = {.lex_state = 266, .external_lex_state = 6},
  [5594] = {.lex_state = 264, .external_lex_state = 6},
  [5595] = {.lex_state = 267, .external_lex_state = 6},
  [5596] = {.lex_state = 266, .external_lex_state = 6},
  [5597] = {.lex_state = 267, .external_lex_state = 6},
  [5598] = {.lex_state = 267, .external_lex_state = 6},
  [5599] = {.lex_state = 264, .external_lex_state = 6},
  [5600] = {.lex_state = 254, .external_lex_state = 4},
  [5601] = {.lex_state = 267, .external_lex_state = 6},
  [5602] = {.lex_state = 266, .external_lex_state = 6},
  [5603] = {.lex_state = 267, .external_lex_state = 6},
  [5604] = {.lex_state = 266, .external_lex_state = 6},
  [5605] = {.lex_state = 254, .external_lex_state = 4},
  [5606] = {.lex_state = 266, .external_lex_state = 6},
  [5607] = {.lex_state = 266, .external_lex_state = 6},
  [5608] = {.lex_state = 267, .external_lex_state = 6},
  [5609] = {.lex_state = 254, .external_lex_state = 4},
  [5610] = {.lex_state = 267, .external_lex_state = 6},
  [5611] = {.lex_state = 266, .external_lex_state = 6},
  [5612] = {.lex_state = 266, .external_lex_state = 6},
  [5613] = {.lex_state = 266, .external_lex_state = 6},
  [5614] = {.lex_state = 267, .external_lex_state = 6},
  [5615] = {.lex_state = 264, .external_lex_state = 6},
  [5616] = {.lex_state = 266, .external_lex_state = 6},
  [5617] = {.lex_state = 264, .external_lex_state = 6},
  [5618] = {.lex_state = 266, .external_lex_state = 6},
  [5619] = {.lex_state = 264, .external_lex_state = 6},
  [5620] = {.lex_state = 266, .external_lex_state = 6},
  [5621] = {.lex_state = 266, .external_lex_state = 6},
  [5622] = {.lex_state = 266, .external_lex_state = 6},
  [5623] = {.lex_state = 264, .external_lex_state = 6},
  [5624] = {.lex_state = 266, .external_lex_state = 6},
  [5625] = {.lex_state = 264, .external_lex_state = 6},
  [5626] = {.lex_state = 254, .external_lex_state = 4},
  [5627] = {.lex_state = 266, .external_lex_state = 6},
  [5628] = {.lex_state = 264, .external_lex_state = 6},
  [5629] = {.lex_state = 264, .external_lex_state = 6},
  [5630] = {.lex_state = 264, .external_lex_state = 6},
  [5631] = {.lex_state = 266, .external_lex_state = 6},
  [5632] = {.lex_state = 266, .external_lex_state = 6},
  [5633] = {.lex_state = 266, .external_lex_state = 6},
  [5634] = {.lex_state = 266, .external_lex_state = 6},
  [5635] = {.lex_state = 264, .external_lex_state = 6},
  [5636] = {.lex_state = 266, .external_lex_state = 6},
  [5637] = {.lex_state = 266, .external_lex_state = 6},
  [5638] = {.lex_state = 266, .external_lex_state = 6},
  [5639] = {.lex_state = 254, .external_lex_state = 4},
  [5640] = {.lex_state = 264, .external_lex_state = 6},
  [5641] = {.lex_state = 264, .external_lex_state = 6},
  [5642] = {.lex_state = 266, .external_lex_state = 6},
  [5643] = {.lex_state = 266, .external_lex_state = 6},
  [5644] = {.lex_state = 267, .external_lex_state = 6},
  [5645] = {.lex_state = 259, .external_lex_state = 6},
  [5646] = {.lex_state = 264, .external_lex_state = 6},
  [5647] = {.lex_state = 254, .external_lex_state = 4},
  [5648] = {.lex_state = 264, .external_lex_state = 6},
  [5649] = {.lex_state = 264, .external_lex_state = 6},
  [5650] = {.lex_state = 267, .external_lex_state = 6},
  [5651] = {.lex_state = 267, .external_lex_state = 6},
  [5652] = {.lex_state = 267, .external_lex_state = 6},
  [5653] = {.lex_state = 267, .external_lex_state = 6},
  [5654] = {.lex_state = 216, .external_lex_state = 6},
  [5655] = {.lex_state = 267, .external_lex_state = 6},
  [5656] = {.lex_state = 226, .external_lex_state = 6},
  [5657] = {.lex_state = 267, .external_lex_state = 6},
  [5658] = {.lex_state = 267, .external_lex_state = 6},
  [5659] = {.lex_state = 267, .external_lex_state = 6},
  [5660] = {.lex_state = 267, .external_lex_state = 6},
  [5661] = {.lex_state = 267, .external_lex_state = 6},
  [5662] = {.lex_state = 216, .external_lex_state = 6},
  [5663] = {.lex_state = 267, .external_lex_state = 6},
  [5664] = {.lex_state = 267, .external_lex_state = 6},
  [5665] = {.lex_state = 267, .external_lex_state = 6},
  [5666] = {.lex_state = 267, .external_lex_state = 6},
  [5667] = {.lex_state = 267, .external_lex_state = 6},
  [5668] = {.lex_state = 267, .external_lex_state = 6},
  [5669] = {.lex_state = 267, .external_lex_state = 6},
  [5670] = {.lex_state = 267, .external_lex_state = 6},
  [5671] = {.lex_state = 267, .external_lex_state = 6},
  [5672] = {.lex_state = 267, .external_lex_state = 6},
  [5673] = {.lex_state = 267, .external_lex_state = 6},
  [5674] = {.lex_state = 267, .external_lex_state = 6},
  [5675] = {.lex_state = 259, .external_lex_state = 6},
  [5676] = {.lex_state = 216, .external_lex_state = 6},
  [5677] = {.lex_state = 226, .external_lex_state = 6},
  [5678] = {.lex_state = 259, .external_lex_state = 6},
  [5679] = {.lex_state = 259, .external_lex_state = 6},
  [5680] = {.lex_state = 264, .external_lex_state = 6},
  [5681] = {.lex_state = 264, .external_lex_state = 6},
  [5682] = {.lex_state = 254, .external_lex_state = 4},
  [5683] = {.lex_state = 264, .external_lex_state = 6},
  [5684] = {.lex_state = 264, .external_lex_state = 6},
  [5685] = {.lex_state = 264, .external_lex_state = 6},
  [5686] = {.lex_state = 254, .external_lex_state = 4},
  [5687] = {.lex_state = 264, .external_lex_state = 6},
  [5688] = {.lex_state = 259, .external_lex_state = 6},
  [5689] = {.lex_state = 254, .external_lex_state = 4},
  [5690] = {.lex_state = 264, .external_lex_state = 6},
  [5691] = {.lex_state = 254, .external_lex_state = 4},
  [5692] = {.lex_state = 254, .external_lex_state = 4},
  [5693] = {.lex_state = 254, .external_lex_state = 4},
  [5694] = {.lex_state = 264, .external_lex_state = 6},
  [5695] = {.lex_state = 254, .external_lex_state = 4},
  [5696] = {.lex_state = 254, .external_lex_state = 4},
  [5697] = {.lex_state = 254, .external_lex_state = 4},
  [5698] = {.lex_state = 264, .external_lex_state = 6},
  [5699] = {.lex_state = 264, .external_lex_state = 6},
  [5700] = {.lex_state = 254, .external_lex_state = 4},
  [5701] = {.lex_state = 254, .external_lex_state = 4},
  [5702] = {.lex_state = 264, .external_lex_state = 6},
  [5703] = {.lex_state = 264, .external_lex_state = 6},
  [5704] = {.lex_state = 254, .external_lex_state = 4},
  [5705] = {.lex_state = 264, .external_lex_state = 6},
  [5706] = {.lex_state = 301, .external_lex_state = 10},
  [5707] = {.lex_state = 264, .external_lex_state = 6},
  [5708] = {.lex_state = 264, .external_lex_state = 6},
  [5709] = {.lex_state = 264, .external_lex_state = 6},
  [5710] = {.lex_state = 264, .external_lex_state = 6},
  [5711] = {.lex_state = 301, .external_lex_state = 10},
  [5712] = {.lex_state = 264, .external_lex_state = 6},
  [5713] = {.lex_state = 264, .external_lex_state = 6},
  [5714] = {.lex_state = 264, .external_lex_state = 6},
  [5715] = {.lex_state = 264, .external_lex_state = 6},
  [5716] = {.lex_state = 264, .external_lex_state = 6},
  [5717] = {.lex_state = 254, .external_lex_state = 4},
  [5718] = {.lex_state = 264, .external_lex_state = 6},
  [5719] = {.lex_state = 264, .external_lex_state = 6},
  [5720] = {.lex_state = 254, .external_lex_state = 4},
  [5721] = {.lex_state = 264, .external_lex_state = 6},
  [5722] = {.lex_state = 264, .external_lex_state = 6},
  [5723] = {.lex_state = 254, .external_lex_state = 4},
  [5724] = {.lex_state = 259, .external_lex_state = 6},
  [5725] = {.lex_state = 259, .external_lex_state = 6},
  [5726] = {.lex_state = 264, .external_lex_state = 6},
  [5727] = {.lex_state = 301, .external_lex_state = 10},
  [5728] = {.lex_state = 264, .external_lex_state = 6},
  [5729] = {.lex_state = 264, .external_lex_state = 6},
  [5730] = {.lex_state = 264, .external_lex_state = 6},
  [5731] = {.lex_state = 264, .external_lex_state = 6},
  [5732] = {.lex_state = 264, .external_lex_state = 6},
  [5733] = {.lex_state = 264, .external_lex_state = 6},
  [5734] = {.lex_state = 264, .external_lex_state = 6},
  [5735] = {.lex_state = 264, .external_lex_state = 6},
  [5736] = {.lex_state = 264, .external_lex_state = 6},
  [5737] = {.lex_state = 264, .external_lex_state = 6},
  [5738] = {.lex_state = 254, .external_lex_state = 4},
  [5739] = {.lex_state = 264, .external_lex_state = 6},
  [5740] = {.lex_state = 254, .external_lex_state = 4},
  [5741] = {.lex_state = 254, .external_lex_state = 4},
  [5742] = {.lex_state = 254, .external_lex_state = 4},
  [5743] = {.lex_state = 314, .external_lex_state = 4},
  [5744] = {.lex_state = 254, .external_lex_state = 4},
  [5745] = {.lex_state = 254, .external_lex_state = 4},
  [5746] = {.lex_state = 254, .external_lex_state = 4},
  [5747] = {.lex_state = 254, .external_lex_state = 4},
  [5748] = {.lex_state = 259, .external_lex_state = 5},
  [5749] = {.lex_state = 254, .external_lex_state = 4},
  [5750] = {.lex_state = 254, .external_lex_state = 4},
  [5751] = {.lex_state = 259, .external_lex_state = 5},
  [5752] = {.lex_state = 254, .external_lex_state = 4},
  [5753] = {.lex_state = 314, .external_lex_state = 4},
  [5754] = {.lex_state = 314, .external_lex_state = 4},
  [5755] = {.lex_state = 254, .external_lex_state = 4},
  [5756] = {.lex_state = 259, .external_lex_state = 6},
  [5757] = {.lex_state = 254, .external_lex_state = 4},
  [5758] = {.lex_state = 314, .external_lex_state = 4},
  [5759] = {.lex_state = 259, .external_lex_state = 6},
  [5760] = {.lex_state = 259, .external_lex_state = 5},
  [5761] = {.lex_state = 254, .external_lex_state = 4},
  [5762] = {.lex_state = 254, .external_lex_state = 4},
  [5763] = {.lex_state = 259, .external_lex_state = 6},
  [5764] = {.lex_state = 259, .external_lex_state = 6},
  [5765] = {.lex_state = 254, .external_lex_state = 4},
  [5766] = {.lex_state = 254, .external_lex_state = 4},
  [5767] = {.lex_state = 259, .external_lex_state = 6},
  [5768] = {.lex_state = 259, .external_lex_state = 6},
  [5769] = {.lex_state = 259, .external_lex_state = 6},
  [5770] = {.lex_state = 259, .external_lex_state = 5},
  [5771] = {.lex_state = 259, .external_lex_state = 6},
  [5772] = {.lex_state = 259, .external_lex_state = 6},
  [5773] = {.lex_state = 259, .external_lex_state = 5},
  [5774] = {.lex_state = 259, .external_lex_state = 5},
  [5775] = {.lex_state = 259, .external_lex_state = 6},
  [5776] = {.lex_state = 259, .external_lex_state = 6},
  [5777] = {.lex_state = 259, .external_lex_state = 6},
  [5778] = {.lex_state = 259, .external_lex_state = 6},
  [5779] = {.lex_state = 259, .external_lex_state = 6},
  [5780] = {.lex_state = 259, .external_lex_state = 6},
  [5781] = {.lex_state = 301, .external_lex_state = 10},
  [5782] = {.lex_state = 301, .external_lex_state = 10},
  [5783] = {.lex_state = 259, .external_lex_state = 6},
  [5784] = {.lex_state = 264, .external_lex_state = 6},
  [5785] = {.lex_state = 264, .external_lex_state = 6},
  [5786] = {.lex_state = 264, .external_lex_state = 6},
  [5787] = {.lex_state = 264, .external_lex_state = 6},
  [5788] = {.lex_state = 264, .external_lex_state = 6},
  [5789] = {.lex_state = 264, .external_lex_state = 6},
  [5790] = {.lex_state = 264, .external_lex_state = 6},
  [5791] = {.lex_state = 264, .external_lex_state = 6},
  [5792] = {.lex_state = 264, .external_lex_state = 6},
  [5793] = {.lex_state = 264, .external_lex_state = 6},
  [5794] = {.lex_state = 264, .external_lex_state = 6},
  [5795] = {.lex_state = 264, .external_lex_state = 6},
  [5796] = {.lex_state = 264, .external_lex_state = 6},
  [5797] = {.lex_state = 264, .external_lex_state = 6},
  [5798] = {.lex_state = 264, .external_lex_state = 6},
  [5799] = {.lex_state = 264, .external_lex_state = 6},
  [5800] = {.lex_state = 264, .external_lex_state = 6},
  [5801] = {.lex_state = 264, .external_lex_state = 6},
  [5802] = {.lex_state = 264, .external_lex_state = 6},
  [5803] = {.lex_state = 264, .external_lex_state = 6},
  [5804] = {.lex_state = 264, .external_lex_state = 6},
  [5805] = {.lex_state = 264, .external_lex_state = 6},
  [5806] = {.lex_state = 264, .external_lex_state = 6},
  [5807] = {.lex_state = 264, .external_lex_state = 6},
  [5808] = {.lex_state = 264, .external_lex_state = 6},
  [5809] = {.lex_state = 264, .external_lex_state = 6},
  [5810] = {.lex_state = 264, .external_lex_state = 6},
  [5811] = {.lex_state = 264, .external_lex_state = 6},
  [5812] = {.lex_state = 264, .external_lex_state = 6},
  [5813] = {.lex_state = 264, .external_lex_state = 6},
  [5814] = {.lex_state = 264, .external_lex_state = 6},
  [5815] = {.lex_state = 264, .external_lex_state = 6},
  [5816] = {.lex_state = 264, .external_lex_state = 6},
  [5817] = {.lex_state = 264, .external_lex_state = 6},
  [5818] = {.lex_state = 264, .external_lex_state = 6},
  [5819] = {.lex_state = 264, .external_lex_state = 6},
  [5820] = {.lex_state = 264, .external_lex_state = 6},
  [5821] = {.lex_state = 264, .external_lex_state = 6},
  [5822] = {.lex_state = 264, .external_lex_state = 6},
  [5823] = {.lex_state = 264, .external_lex_state = 6},
  [5824] = {.lex_state = 264, .external_lex_state = 6},
  [5825] = {.lex_state = 264, .external_lex_state = 6},
  [5826] = {.lex_state = 264, .external_lex_state = 6},
  [5827] = {.lex_state = 264, .external_lex_state = 6},
  [5828] = {.lex_state = 264, .external_lex_state = 6},
  [5829] = {.lex_state = 264, .external_lex_state = 6},
  [5830] = {.lex_state = 226, .external_lex_state = 6},
  [5831] = {.lex_state = 264, .external_lex_state = 6},
  [5832] = {.lex_state = 264, .external_lex_state = 6},
  [5833] = {.lex_state = 264, .external_lex_state = 6},
  [5834] = {.lex_state = 264, .external_lex_state = 6},
  [5835] = {.lex_state = 264, .external_lex_state = 6},
  [5836] = {.lex_state = 264, .external_lex_state = 6},
  [5837] = {.lex_state = 264, .external_lex_state = 6},
  [5838] = {.lex_state = 264, .external_lex_state = 6},
  [5839] = {.lex_state = 264, .external_lex_state = 6},
  [5840] = {.lex_state = 264, .external_lex_state = 6},
  [5841] = {.lex_state = 264, .external_lex_state = 6},
  [5842] = {.lex_state = 264, .external_lex_state = 6},
  [5843] = {.lex_state = 264, .external_lex_state = 6},
  [5844] = {.lex_state = 264, .external_lex_state = 6},
  [5845] = {.lex_state = 264, .external_lex_state = 6},
  [5846] = {.lex_state = 264, .external_lex_state = 6},
  [5847] = {.lex_state = 264, .external_lex_state = 6},
  [5848] = {.lex_state = 264, .external_lex_state = 6},
  [5849] = {.lex_state = 264, .external_lex_state = 6},
  [5850] = {.lex_state = 264, .external_lex_state = 6},
  [5851] = {.lex_state = 264, .external_lex_state = 6},
  [5852] = {.lex_state = 264, .external_lex_state = 6},
  [5853] = {.lex_state = 264, .external_lex_state = 6},
  [5854] = {.lex_state = 264, .external_lex_state = 6},
  [5855] = {.lex_state = 264, .external_lex_state = 6},
  [5856] = {.lex_state = 264, .external_lex_state = 6},
  [5857] = {.lex_state = 264, .external_lex_state = 6},
  [5858] = {.lex_state = 264, .external_lex_state = 6},
  [5859] = {.lex_state = 264, .external_lex_state = 6},
  [5860] = {.lex_state = 264, .external_lex_state = 6},
  [5861] = {.lex_state = 264, .external_lex_state = 6},
  [5862] = {.lex_state = 264, .external_lex_state = 6},
  [5863] = {.lex_state = 264, .external_lex_state = 6},
  [5864] = {.lex_state = 264, .external_lex_state = 6},
  [5865] = {.lex_state = 264, .external_lex_state = 6},
  [5866] = {.lex_state = 226, .external_lex_state = 6},
  [5867] = {.lex_state = 264, .external_lex_state = 6},
  [5868] = {.lex_state = 264, .external_lex_state = 6},
  [5869] = {.lex_state = 264, .external_lex_state = 6},
  [5870] = {.lex_state = 264, .external_lex_state = 6},
  [5871] = {.lex_state = 264, .external_lex_state = 6},
  [5872] = {.lex_state = 264, .external_lex_state = 6},
  [5873] = {.lex_state = 264, .external_lex_state = 6},
  [5874] = {.lex_state = 264, .external_lex_state = 6},
  [5875] = {.lex_state = 264, .external_lex_state = 6},
  [5876] = {.lex_state = 264, .external_lex_state = 6},
  [5877] = {.lex_state = 264, .external_lex_state = 6},
  [5878] = {.lex_state = 264, .external_lex_state = 6},
  [5879] = {.lex_state = 264, .external_lex_state = 6},
  [5880] = {.lex_state = 264, .external_lex_state = 6},
  [5881] = {.lex_state = 264, .external_lex_state = 6},
  [5882] = {.lex_state = 264, .external_lex_state = 6},
  [5883] = {.lex_state = 264, .external_lex_state = 6},
  [5884] = {.lex_state = 264, .external_lex_state = 6},
  [5885] = {.lex_state = 264, .external_lex_state = 6},
  [5886] = {.lex_state = 264, .external_lex_state = 6},
  [5887] = {.lex_state = 264, .external_lex_state = 6},
  [5888] = {.lex_state = 264, .external_lex_state = 6},
  [5889] = {.lex_state = 264, .external_lex_state = 6},
  [5890] = {.lex_state = 264, .external_lex_state = 6},
  [5891] = {.lex_state = 264, .external_lex_state = 6},
  [5892] = {.lex_state = 264, .external_lex_state = 6},
  [5893] = {.lex_state = 264, .external_lex_state = 6},
  [5894] = {.lex_state = 264, .external_lex_state = 6},
  [5895] = {.lex_state = 264, .external_lex_state = 6},
  [5896] = {.lex_state = 264, .external_lex_state = 6},
  [5897] = {.lex_state = 264, .external_lex_state = 6},
  [5898] = {.lex_state = 264, .external_lex_state = 6},
  [5899] = {.lex_state = 264, .external_lex_state = 6},
  [5900] = {.lex_state = 264, .external_lex_state = 6},
  [5901] = {.lex_state = 264, .external_lex_state = 6},
  [5902] = {.lex_state = 264, .external_lex_state = 6},
  [5903] = {.lex_state = 264, .external_lex_state = 6},
  [5904] = {.lex_state = 264, .external_lex_state = 6},
  [5905] = {.lex_state = 264, .external_lex_state = 6},
  [5906] = {.lex_state = 264, .external_lex_state = 6},
  [5907] = {.lex_state = 264, .external_lex_state = 6},
  [5908] = {.lex_state = 264, .external_lex_state = 6},
  [5909] = {.lex_state = 264, .external_lex_state = 6},
  [5910] = {.lex_state = 264, .external_lex_state = 6},
  [5911] = {.lex_state = 264, .external_lex_state = 6},
  [5912] = {.lex_state = 264, .external_lex_state = 6},
  [5913] = {.lex_state = 264, .external_lex_state = 6},
  [5914] = {.lex_state = 264, .external_lex_state = 6},
  [5915] = {.lex_state = 264, .external_lex_state = 6},
  [5916] = {.lex_state = 264, .external_lex_state = 6},
  [5917] = {.lex_state = 264, .external_lex_state = 6},
  [5918] = {.lex_state = 264, .external_lex_state = 6},
  [5919] = {.lex_state = 264, .external_lex_state = 6},
  [5920] = {.lex_state = 264, .external_lex_state = 6},
  [5921] = {.lex_state = 264, .external_lex_state = 6},
  [5922] = {.lex_state = 264, .external_lex_state = 6},
  [5923] = {.lex_state = 264, .external_lex_state = 6},
  [5924] = {.lex_state = 264, .external_lex_state = 6},
  [5925] = {.lex_state = 264, .external_lex_state = 6},
  [5926] = {.lex_state = 264, .external_lex_state = 6},
  [5927] = {.lex_state = 264, .external_lex_state = 6},
  [5928] = {.lex_state = 264, .external_lex_state = 6},
  [5929] = {.lex_state = 264, .external_lex_state = 6},
  [5930] = {.lex_state = 264, .external_lex_state = 6},
  [5931] = {.lex_state = 264, .external_lex_state = 6},
  [5932] = {.lex_state = 264, .external_lex_state = 6},
  [5933] = {.lex_state = 264, .external_lex_state = 6},
  [5934] = {.lex_state = 264, .external_lex_state = 6},
  [5935] = {.lex_state = 264, .external_lex_state = 6},
  [5936] = {.lex_state = 264, .external_lex_state = 6},
  [5937] = {.lex_state = 264, .external_lex_state = 6},
  [5938] = {.lex_state = 264, .external_lex_state = 6},
  [5939] = {.lex_state = 226, .external_lex_state = 6},
  [5940] = {.lex_state = 264, .external_lex_state = 6},
  [5941] = {.lex_state = 264, .external_lex_state = 6},
  [5942] = {.lex_state = 264, .external_lex_state = 6},
  [5943] = {.lex_state = 276, .external_lex_state = 5},
  [5944] = {.lex_state = 264, .external_lex_state = 6},
  [5945] = {.lex_state = 264, .external_lex_state = 6},
  [5946] = {.lex_state = 264, .external_lex_state = 6},
  [5947] = {.lex_state = 264, .external_lex_state = 6},
  [5948] = {.lex_state = 264, .external_lex_state = 6},
  [5949] = {.lex_state = 264, .external_lex_state = 6},
  [5950] = {.lex_state = 264, .external_lex_state = 6},
  [5951] = {.lex_state = 264, .external_lex_state = 6},
  [5952] = {.lex_state = 264, .external_lex_state = 6},
  [5953] = {.lex_state = 264, .external_lex_state = 6},
  [5954] = {.lex_state = 264, .external_lex_state = 6},
  [5955] = {.lex_state = 264, .external_lex_state = 6},
  [5956] = {.lex_state = 264, .external_lex_state = 6},
  [5957] = {.lex_state = 264, .external_lex_state = 6},
  [5958] = {.lex_state = 264, .external_lex_state = 6},
  [5959] = {.lex_state = 264, .external_lex_state = 6},
  [5960] = {.lex_state = 264, .external_lex_state = 6},
  [5961] = {.lex_state = 264, .external_lex_state = 6},
  [5962] = {.lex_state = 264, .external_lex_state = 6},
  [5963] = {.lex_state = 264, .external_lex_state = 6},
  [5964] = {.lex_state = 264, .external_lex_state = 6},
  [5965] = {.lex_state = 264, .external_lex_state = 6},
  [5966] = {.lex_state = 264, .external_lex_state = 6},
  [5967] = {.lex_state = 264, .external_lex_state = 6},
  [5968] = {.lex_state = 264, .external_lex_state = 6},
  [5969] = {.lex_state = 264, .external_lex_state = 6},
  [5970] = {.lex_state = 264, .external_lex_state = 6},
  [5971] = {.lex_state = 264, .external_lex_state = 6},
  [5972] = {.lex_state = 264, .external_lex_state = 6},
  [5973] = {.lex_state = 264, .external_lex_state = 6},
  [5974] = {.lex_state = 264, .external_lex_state = 6},
  [5975] = {.lex_state = 264, .external_lex_state = 6},
  [5976] = {.lex_state = 264, .external_lex_state = 6},
  [5977] = {.lex_state = 264, .external_lex_state = 6},
  [5978] = {.lex_state = 264, .external_lex_state = 6},
  [5979] = {.lex_state = 264, .external_lex_state = 6},
  [5980] = {.lex_state = 264, .external_lex_state = 6},
  [5981] = {.lex_state = 264, .external_lex_state = 6},
  [5982] = {.lex_state = 264, .external_lex_state = 6},
  [5983] = {.lex_state = 264, .external_lex_state = 6},
  [5984] = {.lex_state = 264, .external_lex_state = 6},
  [5985] = {.lex_state = 264, .external_lex_state = 6},
  [5986] = {.lex_state = 264, .external_lex_state = 6},
  [5987] = {.lex_state = 264, .external_lex_state = 6},
  [5988] = {.lex_state = 264, .external_lex_state = 6},
  [5989] = {.lex_state = 264, .external_lex_state = 6},
  [5990] = {.lex_state = 264, .external_lex_state = 6},
  [5991] = {.lex_state = 301, .external_lex_state = 10},
  [5992] = {.lex_state = 264, .external_lex_state = 6},
  [5993] = {.lex_state = 264, .external_lex_state = 6},
  [5994] = {.lex_state = 264, .external_lex_state = 6},
  [5995] = {.lex_state = 259, .external_lex_state = 5},
  [5996] = {.lex_state = 259, .external_lex_state = 5},
  [5997] = {.lex_state = 259, .external_lex_state = 5},
  [5998] = {.lex_state = 226, .external_lex_state = 6},
  [5999] = {.lex_state = 226, .external_lex_state = 6},
  [6000] = {.lex_state = 226, .external_lex_state = 6},
  [6001] = {.lex_state = 276, .external_lex_state = 5},
  [6002] = {.lex_state = 301, .external_lex_state = 10},
  [6003] = {.lex_state = 226, .external_lex_state = 6},
  [6004] = {.lex_state = 259, .external_lex_state = 5},
  [6005] = {.lex_state = 259, .external_lex_state = 5},
  [6006] = {.lex_state = 259, .external_lex_state = 5},
  [6007] = {.lex_state = 259, .external_lex_state = 5},
  [6008] = {.lex_state = 259, .external_lex_state = 5},
  [6009] = {.lex_state = 314, .external_lex_state = 4},
  [6010] = {.lex_state = 259, .external_lex_state = 5},
  [6011] = {.lex_state = 259, .external_lex_state = 5},
  [6012] = {.lex_state = 259, .external_lex_state = 5},
  [6013] = {.lex_state = 276, .external_lex_state = 5},
  [6014] = {.lex_state = 259, .external_lex_state = 5},
  [6015] = {.lex_state = 259, .external_lex_state = 5},
  [6016] = {.lex_state = 226, .external_lex_state = 6},
  [6017] = {.lex_state = 259, .external_lex_state = 5},
  [6018] = {.lex_state = 226, .external_lex_state = 6},
  [6019] = {.lex_state = 259, .external_lex_state = 5},
  [6020] = {.lex_state = 301, .external_lex_state = 10},
  [6021] = {.lex_state = 301, .external_lex_state = 10},
  [6022] = {.lex_state = 259, .external_lex_state = 5},
  [6023] = {.lex_state = 259, .external_lex_state = 5},
  [6024] = {.lex_state = 320, .external_lex_state = 6},
  [6025] = {.lex_state = 259, .external_lex_state = 5},
  [6026] = {.lex_state = 226, .external_lex_state = 6},
  [6027] = {.lex_state = 259, .external_lex_state = 5},
  [6028] = {.lex_state = 259, .external_lex_state = 5},
  [6029] = {.lex_state = 320, .external_lex_state = 6},
  [6030] = {.lex_state = 259, .external_lex_state = 5},
  [6031] = {.lex_state = 259, .external_lex_state = 5},
  [6032] = {.lex_state = 301, .external_lex_state = 10},
  [6033] = {.lex_state = 301, .external_lex_state = 10},
  [6034] = {.lex_state = 259, .external_lex_state = 5},
  [6035] = {.lex_state = 320, .external_lex_state = 6},
  [6036] = {.lex_state = 216, .external_lex_state = 6},
  [6037] = {.lex_state = 216, .external_lex_state = 6},
  [6038] = {.lex_state = 225, .external_lex_state = 6},
  [6039] = {.lex_state = 216, .external_lex_state = 6},
  [6040] = {.lex_state = 216, .external_lex_state = 6},
  [6041] = {.lex_state = 216, .external_lex_state = 6},
  [6042] = {.lex_state = 216, .external_lex_state = 6},
  [6043] = {.lex_state = 320, .external_lex_state = 6},
  [6044] = {.lex_state = 216, .external_lex_state = 6},
  [6045] = {.lex_state = 216, .external_lex_state = 6},
  [6046] = {.lex_state = 226, .external_lex_state = 6},
  [6047] = {.lex_state = 216, .external_lex_state = 6},
  [6048] = {.lex_state = 216, .external_lex_state = 6},
  [6049] = {.lex_state = 1301, .external_lex_state = 5},
  [6050] = {.lex_state = 216, .external_lex_state = 6},
  [6051] = {.lex_state = 216, .external_lex_state = 6},
  [6052] = {.lex_state = 226, .external_lex_state = 6},
  [6053] = {.lex_state = 216, .external_lex_state = 6},
  [6054] = {.lex_state = 216, .external_lex_state = 6},
  [6055] = {.lex_state = 276, .external_lex_state = 5},
  [6056] = {.lex_state = 216, .external_lex_state = 6},
  [6057] = {.lex_state = 216, .external_lex_state = 6},
  [6058] = {.lex_state = 216, .external_lex_state = 6},
  [6059] = {.lex_state = 259, .external_lex_state = 6},
  [6060] = {.lex_state = 216, .external_lex_state = 6},
  [6061] = {.lex_state = 226, .external_lex_state = 6},
  [6062] = {.lex_state = 216, .external_lex_state = 6},
  [6063] = {.lex_state = 276, .external_lex_state = 5},
  [6064] = {.lex_state = 216, .external_lex_state = 6},
  [6065] = {.lex_state = 276, .external_lex_state = 5},
  [6066] = {.lex_state = 216, .external_lex_state = 6},
  [6067] = {.lex_state = 276, .external_lex_state = 5},
  [6068] = {.lex_state = 226, .external_lex_state = 6},
  [6069] = {.lex_state = 276, .external_lex_state = 5},
  [6070] = {.lex_state = 216, .external_lex_state = 6},
  [6071] = {.lex_state = 276, .external_lex_state = 5},
  [6072] = {.lex_state = 276, .external_lex_state = 5},
  [6073] = {.lex_state = 216, .external_lex_state = 6},
  [6074] = {.lex_state = 216, .external_lex_state = 6},
  [6075] = {.lex_state = 226, .external_lex_state = 6},
  [6076] = {.lex_state = 276, .external_lex_state = 5},
  [6077] = {.lex_state = 216, .external_lex_state = 6},
  [6078] = {.lex_state = 216, .external_lex_state = 6},
  [6079] = {.lex_state = 1301, .external_lex_state = 5},
  [6080] = {.lex_state = 1301, .external_lex_state = 5},
  [6081] = {.lex_state = 1301, .external_lex_state = 5},
  [6082] = {.lex_state = 1301, .external_lex_state = 5},
  [6083] = {.lex_state = 259, .external_lex_state = 6},
  [6084] = {.lex_state = 216, .external_lex_state = 6},
  [6085] = {.lex_state = 1301, .external_lex_state = 5},
  [6086] = {.lex_state = 1301, .external_lex_state = 5},
  [6087] = {.lex_state = 1301, .external_lex_state = 5},
  [6088] = {.lex_state = 1301, .external_lex_state = 5},
  [6089] = {.lex_state = 1301, .external_lex_state = 5},
  [6090] = {.lex_state = 1301, .external_lex_state = 5},
  [6091] = {.lex_state = 276, .external_lex_state = 5},
  [6092] = {.lex_state = 1301, .external_lex_state = 5},
  [6093] = {.lex_state = 1301, .external_lex_state = 5},
  [6094] = {.lex_state = 1301, .external_lex_state = 5},
  [6095] = {.lex_state = 1301, .external_lex_state = 5},
  [6096] = {.lex_state = 1301, .external_lex_state = 5},
  [6097] = {.lex_state = 1301, .external_lex_state = 5},
  [6098] = {.lex_state = 1301, .external_lex_state = 5},
  [6099] = {.lex_state = 1301, .external_lex_state = 5},
  [6100] = {.lex_state = 1301, .external_lex_state = 5},
  [6101] = {.lex_state = 1301, .external_lex_state = 5},
  [6102] = {.lex_state = 1301, .external_lex_state = 5},
  [6103] = {.lex_state = 259, .external_lex_state = 6},
  [6104] = {.lex_state = 1301, .external_lex_state = 5},
  [6105] = {.lex_state = 1301, .external_lex_state = 5},
  [6106] = {.lex_state = 1301, .external_lex_state = 5},
  [6107] = {.lex_state = 314, .external_lex_state = 4},
  [6108] = {.lex_state = 1301, .external_lex_state = 5},
  [6109] = {.lex_state = 1301, .external_lex_state = 5},
  [6110] = {.lex_state = 1301, .external_lex_state = 5},
  [6111] = {.lex_state = 259, .external_lex_state = 6},
  [6112] = {.lex_state = 1301, .external_lex_state = 5},
  [6113] = {.lex_state = 1301, .external_lex_state = 6},
  [6114] = {.lex_state = 1301, .external_lex_state = 5},
  [6115] = {.lex_state = 1301, .external_lex_state = 5},
  [6116] = {.lex_state = 259, .external_lex_state = 5},
  [6117] = {.lex_state = 1301, .external_lex_state = 5},
  [6118] = {.lex_state = 1301, .external_lex_state = 5},
  [6119] = {.lex_state = 314, .external_lex_state = 4},
  [6120] = {.lex_state = 1301, .external_lex_state = 5},
  [6121] = {.lex_state = 1301, .external_lex_state = 6},
  [6122] = {.lex_state = 259, .external_lex_state = 6},
  [6123] = {.lex_state = 1301, .external_lex_state = 5},
  [6124] = {.lex_state = 1301, .external_lex_state = 5},
  [6125] = {.lex_state = 1301, .external_lex_state = 5},
  [6126] = {.lex_state = 1301, .external_lex_state = 5},
  [6127] = {.lex_state = 1301, .external_lex_state = 5},
  [6128] = {.lex_state = 1301, .external_lex_state = 5},
  [6129] = {.lex_state = 1301, .external_lex_state = 5},
  [6130] = {.lex_state = 1301, .external_lex_state = 5},
  [6131] = {.lex_state = 1301, .external_lex_state = 5},
  [6132] = {.lex_state = 1301, .external_lex_state = 5},
  [6133] = {.lex_state = 1301, .external_lex_state = 5},
  [6134] = {.lex_state = 259, .external_lex_state = 6},
  [6135] = {.lex_state = 1301, .external_lex_state = 5},
  [6136] = {.lex_state = 1301, .external_lex_state = 5},
  [6137] = {.lex_state = 1301, .external_lex_state = 5},
  [6138] = {.lex_state = 1301, .external_lex_state = 5},
  [6139] = {.lex_state = 259, .external_lex_state = 6},
  [6140] = {.lex_state = 1301, .external_lex_state = 5},
  [6141] = {.lex_state = 1301, .external_lex_state = 5},
  [6142] = {.lex_state = 1301, .external_lex_state = 5},
  [6143] = {.lex_state = 1301, .external_lex_state = 6},
  [6144] = {.lex_state = 1301, .external_lex_state = 5},
  [6145] = {.lex_state = 1301, .external_lex_state = 5},
  [6146] = {.lex_state = 1301, .external_lex_state = 5},
  [6147] = {.lex_state = 1301, .external_lex_state = 5},
  [6148] = {.lex_state = 1301, .external_lex_state = 5},
  [6149] = {.lex_state = 1301, .external_lex_state = 5},
  [6150] = {.lex_state = 1301, .external_lex_state = 5},
  [6151] = {.lex_state = 1301, .external_lex_state = 5},
  [6152] = {.lex_state = 1301, .external_lex_state = 5},
  [6153] = {.lex_state = 276, .external_lex_state = 5},
  [6154] = {.lex_state = 259, .external_lex_state = 6},
  [6155] = {.lex_state = 1301, .external_lex_state = 5},
  [6156] = {.lex_state = 216, .external_lex_state = 6},
  [6157] = {.lex_state = 314, .external_lex_state = 4},
  [6158] = {.lex_state = 1301, .external_lex_state = 5},
  [6159] = {.lex_state = 1301, .external_lex_state = 5},
  [6160] = {.lex_state = 276, .external_lex_state = 6},
  [6161] = {.lex_state = 259, .external_lex_state = 6},
  [6162] = {.lex_state = 1301, .external_lex_state = 5},
  [6163] = {.lex_state = 1301, .external_lex_state = 5},
  [6164] = {.lex_state = 216, .external_lex_state = 6},
  [6165] = {.lex_state = 216, .external_lex_state = 6},
  [6166] = {.lex_state = 1301, .external_lex_state = 5},
  [6167] = {.lex_state = 1301, .external_lex_state = 5},
  [6168] = {.lex_state = 1301, .external_lex_state = 5},
  [6169] = {.lex_state = 1301, .external_lex_state = 5},
  [6170] = {.lex_state = 1301, .external_lex_state = 5},
  [6171] = {.lex_state = 259, .external_lex_state = 6},
  [6172] = {.lex_state = 1301, .external_lex_state = 5},
  [6173] = {.lex_state = 1301, .external_lex_state = 5},
  [6174] = {.lex_state = 1301, .external_lex_state = 5},
  [6175] = {.lex_state = 259, .external_lex_state = 6},
  [6176] = {.lex_state = 1301, .external_lex_state = 5},
  [6177] = {.lex_state = 1301, .external_lex_state = 5},
  [6178] = {.lex_state = 1301, .external_lex_state = 5},
  [6179] = {.lex_state = 1301, .external_lex_state = 5},
  [6180] = {.lex_state = 1301, .external_lex_state = 5},
  [6181] = {.lex_state = 1301, .external_lex_state = 5},
  [6182] = {.lex_state = 1301, .external_lex_state = 5},
  [6183] = {.lex_state = 259, .external_lex_state = 6},
  [6184] = {.lex_state = 1301, .external_lex_state = 5},
  [6185] = {.lex_state = 259, .external_lex_state = 6},
  [6186] = {.lex_state = 1301, .external_lex_state = 5},
  [6187] = {.lex_state = 1301, .external_lex_state = 5},
  [6188] = {.lex_state = 1301, .external_lex_state = 5},
  [6189] = {.lex_state = 1301, .external_lex_state = 5},
  [6190] = {.lex_state = 259, .external_lex_state = 6},
  [6191] = {.lex_state = 1301, .external_lex_state = 5},
  [6192] = {.lex_state = 1301, .external_lex_state = 5},
  [6193] = {.lex_state = 259, .external_lex_state = 6},
  [6194] = {.lex_state = 1301, .external_lex_state = 5},
  [6195] = {.lex_state = 1301, .external_lex_state = 5},
  [6196] = {.lex_state = 1301, .external_lex_state = 5},
  [6197] = {.lex_state = 1301, .external_lex_state = 5},
  [6198] = {.lex_state = 1301, .external_lex_state = 5},
  [6199] = {.lex_state = 1301, .external_lex_state = 5},
  [6200] = {.lex_state = 259, .external_lex_state = 6},
  [6201] = {.lex_state = 1301, .external_lex_state = 5},
  [6202] = {.lex_state = 1301, .external_lex_state = 5},
  [6203] = {.lex_state = 1301, .external_lex_state = 5},
  [6204] = {.lex_state = 259, .external_lex_state = 6},
  [6205] = {.lex_state = 1301, .external_lex_state = 5},
  [6206] = {.lex_state = 1301, .external_lex_state = 5},
  [6207] = {.lex_state = 1301, .external_lex_state = 5},
  [6208] = {.lex_state = 1301, .external_lex_state = 5},
  [6209] = {.lex_state = 1301, .external_lex_state = 5},
  [6210] = {.lex_state = 259, .external_lex_state = 6},
  [6211] = {.lex_state = 1301, .external_lex_state = 5},
  [6212] = {.lex_state = 259, .external_lex_state = 6},
  [6213] = {.lex_state = 1301, .external_lex_state = 5},
  [6214] = {.lex_state = 1301, .external_lex_state = 11},
  [6215] = {.lex_state = 1301, .external_lex_state = 5},
  [6216] = {.lex_state = 1301, .external_lex_state = 5},
  [6217] = {.lex_state = 259, .external_lex_state = 6},
  [6218] = {.lex_state = 1301, .external_lex_state = 5},
  [6219] = {.lex_state = 259, .external_lex_state = 6},
  [6220] = {.lex_state = 1301, .external_lex_state = 5},
  [6221] = {.lex_state = 216, .external_lex_state = 6},
  [6222] = {.lex_state = 1301, .external_lex_state = 5},
  [6223] = {.lex_state = 259, .external_lex_state = 6},
  [6224] = {.lex_state = 216, .external_lex_state = 6},
  [6225] = {.lex_state = 259, .external_lex_state = 6},
  [6226] = {.lex_state = 314, .external_lex_state = 4},
  [6227] = {.lex_state = 1301, .external_lex_state = 5},
  [6228] = {.lex_state = 259, .external_lex_state = 6},
  [6229] = {.lex_state = 1301, .external_lex_state = 5},
  [6230] = {.lex_state = 276, .external_lex_state = 5},
  [6231] = {.lex_state = 259, .external_lex_state = 6},
  [6232] = {.lex_state = 1301, .external_lex_state = 5},
  [6233] = {.lex_state = 1301, .external_lex_state = 5},
  [6234] = {.lex_state = 1301, .external_lex_state = 5},
  [6235] = {.lex_state = 1301, .external_lex_state = 5},
  [6236] = {.lex_state = 259, .external_lex_state = 6},
  [6237] = {.lex_state = 1301, .external_lex_state = 5},
  [6238] = {.lex_state = 1301, .external_lex_state = 5},
  [6239] = {.lex_state = 259, .external_lex_state = 6},
  [6240] = {.lex_state = 1301, .external_lex_state = 5},
  [6241] = {.lex_state = 1301, .external_lex_state = 5},
  [6242] = {.lex_state = 1301, .external_lex_state = 5},
  [6243] = {.lex_state = 1301, .external_lex_state = 5},
  [6244] = {.lex_state = 1301, .external_lex_state = 5},
  [6245] = {.lex_state = 1301, .external_lex_state = 5},
  [6246] = {.lex_state = 216, .external_lex_state = 6},
  [6247] = {.lex_state = 276, .external_lex_state = 6},
  [6248] = {.lex_state = 1301, .external_lex_state = 5},
  [6249] = {.lex_state = 276, .external_lex_state = 6},
  [6250] = {.lex_state = 1301, .external_lex_state = 5},
  [6251] = {.lex_state = 259, .external_lex_state = 6},
  [6252] = {.lex_state = 1301, .external_lex_state = 5},
  [6253] = {.lex_state = 1301, .external_lex_state = 5},
  [6254] = {.lex_state = 1301, .external_lex_state = 5},
  [6255] = {.lex_state = 1301, .external_lex_state = 5},
  [6256] = {.lex_state = 276, .external_lex_state = 6},
  [6257] = {.lex_state = 1301, .external_lex_state = 5},
  [6258] = {.lex_state = 276, .external_lex_state = 6},
  [6259] = {.lex_state = 1301, .external_lex_state = 5},
  [6260] = {.lex_state = 1301, .external_lex_state = 5},
  [6261] = {.lex_state = 1301, .external_lex_state = 5},
  [6262] = {.lex_state = 1301, .external_lex_state = 5},
  [6263] = {.lex_state = 1301, .external_lex_state = 5},
  [6264] = {.lex_state = 1301, .external_lex_state = 5},
  [6265] = {.lex_state = 1301, .external_lex_state = 5},
  [6266] = {.lex_state = 1301, .external_lex_state = 5},
  [6267] = {.lex_state = 216, .external_lex_state = 6},
  [6268] = {.lex_state = 1301, .external_lex_state = 5},
  [6269] = {.lex_state = 1301, .external_lex_state = 5},
  [6270] = {.lex_state = 1301, .external_lex_state = 5},
  [6271] = {.lex_state = 1301, .external_lex_state = 5},
  [6272] = {.lex_state = 1301, .external_lex_state = 5},
  [6273] = {.lex_state = 1301, .external_lex_state = 5},
  [6274] = {.lex_state = 1301, .external_lex_state = 5},
  [6275] = {.lex_state = 1301, .external_lex_state = 5},
  [6276] = {.lex_state = 1301, .external_lex_state = 5},
  [6277] = {.lex_state = 1301, .external_lex_state = 5},
  [6278] = {.lex_state = 1301, .external_lex_state = 5},
  [6279] = {.lex_state = 1301, .external_lex_state = 5},
  [6280] = {.lex_state = 225, .external_lex_state = 6},
  [6281] = {.lex_state = 1301, .external_lex_state = 5},
  [6282] = {.lex_state = 1301, .external_lex_state = 5},
  [6283] = {.lex_state = 276, .external_lex_state = 5},
  [6284] = {.lex_state = 1301, .external_lex_state = 5},
  [6285] = {.lex_state = 276, .external_lex_state = 6},
  [6286] = {.lex_state = 1301, .external_lex_state = 5},
  [6287] = {.lex_state = 1301, .external_lex_state = 5},
  [6288] = {.lex_state = 1301, .external_lex_state = 5},
  [6289] = {.lex_state = 1301, .external_lex_state = 5},
  [6290] = {.lex_state = 276, .external_lex_state = 6},
  [6291] = {.lex_state = 1301, .external_lex_state = 5},
  [6292] = {.lex_state = 1301, .external_lex_state = 5},
  [6293] = {.lex_state = 1301, .external_lex_state = 5},
  [6294] = {.lex_state = 276, .external_lex_state = 6},
  [6295] = {.lex_state = 276, .external_lex_state = 6},
  [6296] = {.lex_state = 276, .external_lex_state = 6},
  [6297] = {.lex_state = 1301, .external_lex_state = 5},
  [6298] = {.lex_state = 1301, .external_lex_state = 5},
  [6299] = {.lex_state = 1301, .external_lex_state = 5},
  [6300] = {.lex_state = 1301, .external_lex_state = 5},
  [6301] = {.lex_state = 314, .external_lex_state = 4},
  [6302] = {.lex_state = 1301, .external_lex_state = 5},
  [6303] = {.lex_state = 276, .external_lex_state = 6},
  [6304] = {.lex_state = 1301, .external_lex_state = 5},
  [6305] = {.lex_state = 1301, .external_lex_state = 5},
  [6306] = {.lex_state = 1301, .external_lex_state = 5},
  [6307] = {.lex_state = 276, .external_lex_state = 6},
  [6308] = {.lex_state = 1301, .external_lex_state = 5},
  [6309] = {.lex_state = 1301, .external_lex_state = 6},
  [6310] = {.lex_state = 106, .external_lex_state = 6},
  [6311] = {.lex_state = 1301, .external_lex_state = 5},
  [6312] = {.lex_state = 259, .external_lex_state = 5},
  [6313] = {.lex_state = 1301, .external_lex_state = 5},
  [6314] = {.lex_state = 1301, .external_lex_state = 5},
  [6315] = {.lex_state = 259, .external_lex_state = 6},
  [6316] = {.lex_state = 276, .external_lex_state = 4},
  [6317] = {.lex_state = 276, .external_lex_state = 6},
  [6318] = {.lex_state = 259, .external_lex_state = 5},
  [6319] = {.lex_state = 1301, .external_lex_state = 5},
  [6320] = {.lex_state = 1301, .external_lex_state = 5},
  [6321] = {.lex_state = 259, .external_lex_state = 6},
  [6322] = {.lex_state = 106, .external_lex_state = 6},
  [6323] = {.lex_state = 259, .external_lex_state = 6},
  [6324] = {.lex_state = 1301, .external_lex_state = 5},
  [6325] = {.lex_state = 216, .external_lex_state = 6},
  [6326] = {.lex_state = 106, .external_lex_state = 6},
  [6327] = {.lex_state = 106, .external_lex_state = 6},
  [6328] = {.lex_state = 106, .external_lex_state = 6},
  [6329] = {.lex_state = 1301, .external_lex_state = 5},
  [6330] = {.lex_state = 1301, .external_lex_state = 5},
  [6331] = {.lex_state = 106, .external_lex_state = 6},
  [6332] = {.lex_state = 106, .external_lex_state = 6},
  [6333] = {.lex_state = 106, .external_lex_state = 6},
  [6334] = {.lex_state = 106, .external_lex_state = 6},
  [6335] = {.lex_state = 106, .external_lex_state = 6},
  [6336] = {.lex_state = 106, .external_lex_state = 6},
  [6337] = {.lex_state = 106, .external_lex_state = 6},
  [6338] = {.lex_state = 106, .external_lex_state = 6},
  [6339] = {.lex_state = 1301, .external_lex_state = 5},
  [6340] = {.lex_state = 1301, .external_lex_state = 5},
  [6341] = {.lex_state = 1301, .external_lex_state = 6},
  [6342] = {.lex_state = 106, .external_lex_state = 6},
  [6343] = {.lex_state = 259, .external_lex_state = 5},
  [6344] = {.lex_state = 276, .external_lex_state = 5},
  [6345] = {.lex_state = 1301, .external_lex_state = 5},
  [6346] = {.lex_state = 106, .external_lex_state = 6},
  [6347] = {.lex_state = 259, .external_lex_state = 6},
  [6348] = {.lex_state = 1301, .external_lex_state = 5},
  [6349] = {.lex_state = 106, .external_lex_state = 6},
  [6350] = {.lex_state = 259, .external_lex_state = 5},
  [6351] = {.lex_state = 1301, .external_lex_state = 5},
  [6352] = {.lex_state = 106, .external_lex_state = 6},
  [6353] = {.lex_state = 106, .external_lex_state = 6},
  [6354] = {.lex_state = 1301, .external_lex_state = 5},
  [6355] = {.lex_state = 1301, .external_lex_state = 5},
  [6356] = {.lex_state = 106, .external_lex_state = 6},
  [6357] = {.lex_state = 259, .external_lex_state = 6},
  [6358] = {.lex_state = 259, .external_lex_state = 5},
  [6359] = {.lex_state = 106, .external_lex_state = 6},
  [6360] = {.lex_state = 106, .external_lex_state = 6},
  [6361] = {.lex_state = 106, .external_lex_state = 6},
  [6362] = {.lex_state = 1301, .external_lex_state = 5},
  [6363] = {.lex_state = 259, .external_lex_state = 6},
  [6364] = {.lex_state = 1301, .external_lex_state = 5},
  [6365] = {.lex_state = 1301, .external_lex_state = 6},
  [6366] = {.lex_state = 1301, .external_lex_state = 5},
  [6367] = {.lex_state = 1301, .external_lex_state = 5},
  [6368] = {.lex_state = 106, .external_lex_state = 6},
  [6369] = {.lex_state = 106, .external_lex_state = 6},
  [6370] = {.lex_state = 1301, .external_lex_state = 5},
  [6371] = {.lex_state = 106, .external_lex_state = 6},
  [6372] = {.lex_state = 1301, .external_lex_state = 6},
  [6373] = {.lex_state = 106, .external_lex_state = 6},
  [6374] = {.lex_state = 106, .external_lex_state = 6},
  [6375] = {.lex_state = 1301, .external_lex_state = 5},
  [6376] = {.lex_state = 1301, .external_lex_state = 5},
  [6377] = {.lex_state = 1301, .external_lex_state = 5},
  [6378] = {.lex_state = 1301, .external_lex_state = 5},
  [6379] = {.lex_state = 106, .external_lex_state = 6},
  [6380] = {.lex_state = 259, .external_lex_state = 6},
  [6381] = {.lex_state = 259, .external_lex_state = 6},
  [6382] = {.lex_state = 106, .external_lex_state = 6},
  [6383] = {.lex_state = 1301, .external_lex_state = 5},
  [6384] = {.lex_state = 1301, .external_lex_state = 5},
  [6385] = {.lex_state = 1301, .external_lex_state = 5},
  [6386] = {.lex_state = 106, .external_lex_state = 6},
  [6387] = {.lex_state = 1301, .external_lex_state = 5},
  [6388] = {.lex_state = 1301, .external_lex_state = 5},
  [6389] = {.lex_state = 1301, .external_lex_state = 5},
  [6390] = {.lex_state = 1301, .external_lex_state = 5},
  [6391] = {.lex_state = 1301, .external_lex_state = 5},
  [6392] = {.lex_state = 259, .external_lex_state = 5},
  [6393] = {.lex_state = 1301, .external_lex_state = 5},
  [6394] = {.lex_state = 106, .external_lex_state = 6},
  [6395] = {.lex_state = 106, .external_lex_state = 6},
  [6396] = {.lex_state = 106, .external_lex_state = 6},
  [6397] = {.lex_state = 106, .external_lex_state = 6},
  [6398] = {.lex_state = 307, .external_lex_state = 6},
  [6399] = {.lex_state = 1301, .external_lex_state = 5},
  [6400] = {.lex_state = 106, .external_lex_state = 6},
  [6401] = {.lex_state = 1301, .external_lex_state = 5},
  [6402] = {.lex_state = 1301, .external_lex_state = 6},
  [6403] = {.lex_state = 106, .external_lex_state = 6},
  [6404] = {.lex_state = 1301, .external_lex_state = 5},
  [6405] = {.lex_state = 106, .external_lex_state = 6},
  [6406] = {.lex_state = 1301, .external_lex_state = 5},
  [6407] = {.lex_state = 106, .external_lex_state = 6},
  [6408] = {.lex_state = 106, .external_lex_state = 6},
  [6409] = {.lex_state = 315, .external_lex_state = 6},
  [6410] = {.lex_state = 266, .external_lex_state = 6},
  [6411] = {.lex_state = 1301, .external_lex_state = 5},
  [6412] = {.lex_state = 1301, .external_lex_state = 5},
  [6413] = {.lex_state = 276, .external_lex_state = 6},
  [6414] = {.lex_state = 276, .external_lex_state = 6},
  [6415] = {.lex_state = 266, .external_lex_state = 6},
  [6416] = {.lex_state = 1301, .external_lex_state = 5},
  [6417] = {.lex_state = 106, .external_lex_state = 6},
  [6418] = {.lex_state = 1301, .external_lex_state = 5},
  [6419] = {.lex_state = 259, .external_lex_state = 6},
  [6420] = {.lex_state = 1301, .external_lex_state = 5},
  [6421] = {.lex_state = 276, .external_lex_state = 4},
  [6422] = {.lex_state = 1301, .external_lex_state = 5},
  [6423] = {.lex_state = 1301, .external_lex_state = 5},
  [6424] = {.lex_state = 1301, .external_lex_state = 5},
  [6425] = {.lex_state = 1301, .external_lex_state = 5},
  [6426] = {.lex_state = 106, .external_lex_state = 6},
  [6427] = {.lex_state = 106, .external_lex_state = 6},
  [6428] = {.lex_state = 1301, .external_lex_state = 5},
  [6429] = {.lex_state = 276, .external_lex_state = 6},
  [6430] = {.lex_state = 1301, .external_lex_state = 5},
  [6431] = {.lex_state = 1301, .external_lex_state = 5},
  [6432] = {.lex_state = 259, .external_lex_state = 6},
  [6433] = {.lex_state = 1301, .external_lex_state = 5},
  [6434] = {.lex_state = 1301, .external_lex_state = 5},
  [6435] = {.lex_state = 1301, .external_lex_state = 5},
  [6436] = {.lex_state = 106, .external_lex_state = 6},
  [6437] = {.lex_state = 106, .external_lex_state = 6},
  [6438] = {.lex_state = 276, .external_lex_state = 6},
  [6439] = {.lex_state = 106, .external_lex_state = 6},
  [6440] = {.lex_state = 1301, .external_lex_state = 5},
  [6441] = {.lex_state = 1301, .external_lex_state = 5},
  [6442] = {.lex_state = 266, .external_lex_state = 6},
  [6443] = {.lex_state = 266, .external_lex_state = 6},
  [6444] = {.lex_state = 1301, .external_lex_state = 5},
  [6445] = {.lex_state = 106, .external_lex_state = 6},
  [6446] = {.lex_state = 1301, .external_lex_state = 5},
  [6447] = {.lex_state = 106, .external_lex_state = 6},
  [6448] = {.lex_state = 1301, .external_lex_state = 5},
  [6449] = {.lex_state = 1301, .external_lex_state = 5},
  [6450] = {.lex_state = 1301, .external_lex_state = 5},
  [6451] = {.lex_state = 1301, .external_lex_state = 5},
  [6452] = {.lex_state = 1301, .external_lex_state = 6},
  [6453] = {.lex_state = 1301, .external_lex_state = 6},
  [6454] = {.lex_state = 256, .external_lex_state = 6},
  [6455] = {.lex_state = 1301, .external_lex_state = 5},
  [6456] = {.lex_state = 314, .external_lex_state = 6},
  [6457] = {.lex_state = 1301, .external_lex_state = 5},
  [6458] = {.lex_state = 1301, .external_lex_state = 6},
  [6459] = {.lex_state = 1301, .external_lex_state = 6},
  [6460] = {.lex_state = 1301, .external_lex_state = 5},
  [6461] = {.lex_state = 1301, .external_lex_state = 5},
  [6462] = {.lex_state = 1301, .external_lex_state = 6},
  [6463] = {.lex_state = 1301, .external_lex_state = 6},
  [6464] = {.lex_state = 1301, .external_lex_state = 5},
  [6465] = {.lex_state = 1301, .external_lex_state = 5},
  [6466] = {.lex_state = 256, .external_lex_state = 6},
  [6467] = {.lex_state = 254, .external_lex_state = 6},
  [6468] = {.lex_state = 259, .external_lex_state = 6},
  [6469] = {.lex_state = 1301, .external_lex_state = 6},
  [6470] = {.lex_state = 1301, .external_lex_state = 6},
  [6471] = {.lex_state = 1301, .external_lex_state = 6},
  [6472] = {.lex_state = 1301, .external_lex_state = 5},
  [6473] = {.lex_state = 1301, .external_lex_state = 6},
  [6474] = {.lex_state = 259, .external_lex_state = 6},
  [6475] = {.lex_state = 1301, .external_lex_state = 5},
  [6476] = {.lex_state = 256, .external_lex_state = 6},
  [6477] = {.lex_state = 1301, .external_lex_state = 5},
  [6478] = {.lex_state = 217, .external_lex_state = 6},
  [6479] = {.lex_state = 1301, .external_lex_state = 4},
  [6480] = {.lex_state = 1301, .external_lex_state = 5},
  [6481] = {.lex_state = 1301, .external_lex_state = 5},
  [6482] = {.lex_state = 1301, .external_lex_state = 5},
  [6483] = {.lex_state = 1301, .external_lex_state = 5},
  [6484] = {.lex_state = 1301, .external_lex_state = 5},
  [6485] = {.lex_state = 1301, .external_lex_state = 5},
  [6486] = {.lex_state = 1301, .external_lex_state = 5},
  [6487] = {.lex_state = 1301, .external_lex_state = 5},
  [6488] = {.lex_state = 1301, .external_lex_state = 5},
  [6489] = {.lex_state = 1301, .external_lex_state = 6},
  [6490] = {.lex_state = 252, .external_lex_state = 6},
  [6491] = {.lex_state = 1301, .external_lex_state = 6},
  [6492] = {.lex_state = 258, .external_lex_state = 6},
  [6493] = {.lex_state = 1301, .external_lex_state = 5},
  [6494] = {.lex_state = 1301, .external_lex_state = 5},
  [6495] = {.lex_state = 252, .external_lex_state = 6},
  [6496] = {.lex_state = 1301, .external_lex_state = 5},
  [6497] = {.lex_state = 1301, .external_lex_state = 6},
  [6498] = {.lex_state = 1301, .external_lex_state = 5},
  [6499] = {.lex_state = 1301, .external_lex_state = 5},
  [6500] = {.lex_state = 258, .external_lex_state = 6},
  [6501] = {.lex_state = 1301, .external_lex_state = 5},
  [6502] = {.lex_state = 1301, .external_lex_state = 5},
  [6503] = {.lex_state = 252, .external_lex_state = 6},
  [6504] = {.lex_state = 1301, .external_lex_state = 5},
  [6505] = {.lex_state = 258, .external_lex_state = 6},
  [6506] = {.lex_state = 1301, .external_lex_state = 6},
  [6507] = {.lex_state = 1301, .external_lex_state = 10},
  [6508] = {.lex_state = 1301, .external_lex_state = 5},
  [6509] = {.lex_state = 1301, .external_lex_state = 5},
  [6510] = {.lex_state = 1301, .external_lex_state = 5},
  [6511] = {.lex_state = 1301, .external_lex_state = 5},
  [6512] = {.lex_state = 117, .external_lex_state = 6},
  [6513] = {.lex_state = 1301, .external_lex_state = 5},
  [6514] = {.lex_state = 1301, .external_lex_state = 5},
  [6515] = {.lex_state = 1301, .external_lex_state = 6},
  [6516] = {.lex_state = 1301, .external_lex_state = 5},
  [6517] = {.lex_state = 1301, .external_lex_state = 10},
  [6518] = {.lex_state = 1301, .external_lex_state = 5},
  [6519] = {.lex_state = 253, .external_lex_state = 6},
  [6520] = {.lex_state = 1301, .external_lex_state = 5},
  [6521] = {.lex_state = 1301, .external_lex_state = 5},
  [6522] = {.lex_state = 1301, .external_lex_state = 5},
  [6523] = {.lex_state = 1301, .external_lex_state = 5},
  [6524] = {.lex_state = 1301, .external_lex_state = 6},
  [6525] = {.lex_state = 1301, .external_lex_state = 6},
  [6526] = {.lex_state = 314, .external_lex_state = 6},
  [6527] = {.lex_state = 1301, .external_lex_state = 6},
  [6528] = {.lex_state = 1301, .external_lex_state = 6},
  [6529] = {.lex_state = 1301, .external_lex_state = 5},
  [6530] = {.lex_state = 106, .external_lex_state = 6},
  [6531] = {.lex_state = 1301, .external_lex_state = 5},
  [6532] = {.lex_state = 253, .external_lex_state = 6},
  [6533] = {.lex_state = 1301, .external_lex_state = 5},
  [6534] = {.lex_state = 1301, .external_lex_state = 5},
  [6535] = {.lex_state = 106, .external_lex_state = 6},
  [6536] = {.lex_state = 106, .external_lex_state = 6},
  [6537] = {.lex_state = 1301, .external_lex_state = 6},
  [6538] = {.lex_state = 106, .external_lex_state = 6},
  [6539] = {.lex_state = 1301, .external_lex_state = 5},
  [6540] = {.lex_state = 1301, .external_lex_state = 6},
  [6541] = {.lex_state = 1301, .external_lex_state = 6},
  [6542] = {.lex_state = 1301, .external_lex_state = 5},
  [6543] = {.lex_state = 1301, .external_lex_state = 5},
  [6544] = {.lex_state = 1301, .external_lex_state = 5},
  [6545] = {.lex_state = 1301, .external_lex_state = 6},
  [6546] = {.lex_state = 1301, .external_lex_state = 6},
  [6547] = {.lex_state = 1301, .external_lex_state = 4},
  [6548] = {.lex_state = 276, .external_lex_state = 5},
  [6549] = {.lex_state = 1301, .external_lex_state = 6},
  [6550] = {.lex_state = 1301, .external_lex_state = 6},
  [6551] = {.lex_state = 1301, .external_lex_state = 6},
  [6552] = {.lex_state = 1301, .external_lex_state = 6},
  [6553] = {.lex_state = 256, .external_lex_state = 6},
  [6554] = {.lex_state = 1301, .external_lex_state = 6},
  [6555] = {.lex_state = 259, .external_lex_state = 6},
  [6556] = {.lex_state = 1301, .external_lex_state = 6},
  [6557] = {.lex_state = 1301, .external_lex_state = 6},
  [6558] = {.lex_state = 1301, .external_lex_state = 5},
  [6559] = {.lex_state = 1301, .external_lex_state = 5},
  [6560] = {.lex_state = 1301, .external_lex_state = 6},
  [6561] = {.lex_state = 256, .external_lex_state = 6},
  [6562] = {.lex_state = 1301, .external_lex_state = 6},
  [6563] = {.lex_state = 1301, .external_lex_state = 5},
  [6564] = {.lex_state = 1301, .external_lex_state = 6},
  [6565] = {.lex_state = 1301, .external_lex_state = 6},
  [6566] = {.lex_state = 1301, .external_lex_state = 5},
  [6567] = {.lex_state = 256, .external_lex_state = 6},
  [6568] = {.lex_state = 1301, .external_lex_state = 6},
  [6569] = {.lex_state = 1301, .external_lex_state = 5},
  [6570] = {.lex_state = 1301, .external_lex_state = 5},
  [6571] = {.lex_state = 252, .external_lex_state = 6},
  [6572] = {.lex_state = 1301, .external_lex_state = 5},
  [6573] = {.lex_state = 1301, .external_lex_state = 6},
  [6574] = {.lex_state = 258, .external_lex_state = 6},
  [6575] = {.lex_state = 1301, .external_lex_state = 6},
  [6576] = {.lex_state = 1301, .external_lex_state = 5},
  [6577] = {.lex_state = 252, .external_lex_state = 6},
  [6578] = {.lex_state = 1301, .external_lex_state = 5},
  [6579] = {.lex_state = 258, .external_lex_state = 6},
  [6580] = {.lex_state = 1301, .external_lex_state = 5},
  [6581] = {.lex_state = 252, .external_lex_state = 6},
  [6582] = {.lex_state = 1301, .external_lex_state = 5},
  [6583] = {.lex_state = 258, .external_lex_state = 6},
  [6584] = {.lex_state = 1301, .external_lex_state = 10},
  [6585] = {.lex_state = 1301, .external_lex_state = 5},
  [6586] = {.lex_state = 1301, .external_lex_state = 5},
  [6587] = {.lex_state = 1301, .external_lex_state = 5},
  [6588] = {.lex_state = 1301, .external_lex_state = 5},
  [6589] = {.lex_state = 117, .external_lex_state = 6},
  [6590] = {.lex_state = 1301, .external_lex_state = 6},
  [6591] = {.lex_state = 1301, .external_lex_state = 5},
  [6592] = {.lex_state = 1301, .external_lex_state = 5},
  [6593] = {.lex_state = 253, .external_lex_state = 6},
  [6594] = {.lex_state = 1301, .external_lex_state = 5},
  [6595] = {.lex_state = 1301, .external_lex_state = 5},
  [6596] = {.lex_state = 1301, .external_lex_state = 5},
  [6597] = {.lex_state = 1301, .external_lex_state = 5},
  [6598] = {.lex_state = 257, .external_lex_state = 6},
  [6599] = {.lex_state = 1301, .external_lex_state = 5},
  [6600] = {.lex_state = 1301, .external_lex_state = 6},
  [6601] = {.lex_state = 1301, .external_lex_state = 6},
  [6602] = {.lex_state = 255, .external_lex_state = 6},
  [6603] = {.lex_state = 1301, .external_lex_state = 6},
  [6604] = {.lex_state = 1301, .external_lex_state = 5},
  [6605] = {.lex_state = 1301, .external_lex_state = 5},
  [6606] = {.lex_state = 253, .external_lex_state = 6},
  [6607] = {.lex_state = 1301, .external_lex_state = 5},
  [6608] = {.lex_state = 1301, .external_lex_state = 5},
  [6609] = {.lex_state = 1301, .external_lex_state = 5},
  [6610] = {.lex_state = 226, .external_lex_state = 6},
  [6611] = {.lex_state = 252, .external_lex_state = 6},
  [6612] = {.lex_state = 1301, .external_lex_state = 6},
  [6613] = {.lex_state = 1301, .external_lex_state = 6},
  [6614] = {.lex_state = 1301, .external_lex_state = 5},
  [6615] = {.lex_state = 1301, .external_lex_state = 6},
  [6616] = {.lex_state = 1301, .external_lex_state = 5},
  [6617] = {.lex_state = 1301, .external_lex_state = 6},
  [6618] = {.lex_state = 256, .external_lex_state = 6},
  [6619] = {.lex_state = 1301, .external_lex_state = 6},
  [6620] = {.lex_state = 1301, .external_lex_state = 6},
  [6621] = {.lex_state = 1301, .external_lex_state = 6},
  [6622] = {.lex_state = 1301, .external_lex_state = 5},
  [6623] = {.lex_state = 1301, .external_lex_state = 5},
  [6624] = {.lex_state = 256, .external_lex_state = 6},
  [6625] = {.lex_state = 1301, .external_lex_state = 5},
  [6626] = {.lex_state = 1301, .external_lex_state = 6},
  [6627] = {.lex_state = 1301, .external_lex_state = 5},
  [6628] = {.lex_state = 1301, .external_lex_state = 5},
  [6629] = {.lex_state = 256, .external_lex_state = 6},
  [6630] = {.lex_state = 1301, .external_lex_state = 5},
  [6631] = {.lex_state = 1301, .external_lex_state = 5},
  [6632] = {.lex_state = 1301, .external_lex_state = 5},
  [6633] = {.lex_state = 1301, .external_lex_state = 5},
  [6634] = {.lex_state = 1301, .external_lex_state = 6},
  [6635] = {.lex_state = 252, .external_lex_state = 6},
  [6636] = {.lex_state = 258, .external_lex_state = 6},
  [6637] = {.lex_state = 258, .external_lex_state = 6},
  [6638] = {.lex_state = 259, .external_lex_state = 6},
  [6639] = {.lex_state = 1301, .external_lex_state = 5},
  [6640] = {.lex_state = 1301, .external_lex_state = 5},
  [6641] = {.lex_state = 1301, .external_lex_state = 5},
  [6642] = {.lex_state = 252, .external_lex_state = 6},
  [6643] = {.lex_state = 254, .external_lex_state = 6},
  [6644] = {.lex_state = 1301, .external_lex_state = 5},
  [6645] = {.lex_state = 258, .external_lex_state = 6},
  [6646] = {.lex_state = 254, .external_lex_state = 6},
  [6647] = {.lex_state = 1301, .external_lex_state = 5},
  [6648] = {.lex_state = 252, .external_lex_state = 6},
  [6649] = {.lex_state = 1301, .external_lex_state = 5},
  [6650] = {.lex_state = 258, .external_lex_state = 6},
  [6651] = {.lex_state = 1301, .external_lex_state = 6},
  [6652] = {.lex_state = 1301, .external_lex_state = 10},
  [6653] = {.lex_state = 1301, .external_lex_state = 5},
  [6654] = {.lex_state = 1301, .external_lex_state = 5},
  [6655] = {.lex_state = 1301, .external_lex_state = 5},
  [6656] = {.lex_state = 117, .external_lex_state = 6},
  [6657] = {.lex_state = 1301, .external_lex_state = 6},
  [6658] = {.lex_state = 1301, .external_lex_state = 5},
  [6659] = {.lex_state = 1301, .external_lex_state = 6},
  [6660] = {.lex_state = 253, .external_lex_state = 6},
  [6661] = {.lex_state = 1301, .external_lex_state = 6},
  [6662] = {.lex_state = 1301, .external_lex_state = 5},
  [6663] = {.lex_state = 1301, .external_lex_state = 5},
  [6664] = {.lex_state = 1301, .external_lex_state = 5},
  [6665] = {.lex_state = 1301, .external_lex_state = 5},
  [6666] = {.lex_state = 259, .external_lex_state = 6},
  [6667] = {.lex_state = 1301, .external_lex_state = 5},
  [6668] = {.lex_state = 1301, .external_lex_state = 6},
  [6669] = {.lex_state = 1301, .external_lex_state = 6},
  [6670] = {.lex_state = 1301, .external_lex_state = 6},
  [6671] = {.lex_state = 1301, .external_lex_state = 5},
  [6672] = {.lex_state = 1301, .external_lex_state = 5},
  [6673] = {.lex_state = 253, .external_lex_state = 6},
  [6674] = {.lex_state = 1301, .external_lex_state = 5},
  [6675] = {.lex_state = 1301, .external_lex_state = 5},
  [6676] = {.lex_state = 1301, .external_lex_state = 6},
  [6677] = {.lex_state = 1301, .external_lex_state = 5},
  [6678] = {.lex_state = 1301, .external_lex_state = 6},
  [6679] = {.lex_state = 1301, .external_lex_state = 5},
  [6680] = {.lex_state = 254, .external_lex_state = 6},
  [6681] = {.lex_state = 1301, .external_lex_state = 6},
  [6682] = {.lex_state = 1301, .external_lex_state = 6},
  [6683] = {.lex_state = 1301, .external_lex_state = 5},
  [6684] = {.lex_state = 1301, .external_lex_state = 6},
  [6685] = {.lex_state = 256, .external_lex_state = 6},
  [6686] = {.lex_state = 259, .external_lex_state = 6},
  [6687] = {.lex_state = 254, .external_lex_state = 6},
  [6688] = {.lex_state = 1301, .external_lex_state = 5},
  [6689] = {.lex_state = 256, .external_lex_state = 6},
  [6690] = {.lex_state = 1301, .external_lex_state = 6},
  [6691] = {.lex_state = 1301, .external_lex_state = 5},
  [6692] = {.lex_state = 1301, .external_lex_state = 5},
  [6693] = {.lex_state = 256, .external_lex_state = 6},
  [6694] = {.lex_state = 1301, .external_lex_state = 6},
  [6695] = {.lex_state = 1301, .external_lex_state = 5},
  [6696] = {.lex_state = 1301, .external_lex_state = 5},
  [6697] = {.lex_state = 1301, .external_lex_state = 5},
  [6698] = {.lex_state = 252, .external_lex_state = 6},
  [6699] = {.lex_state = 1301, .external_lex_state = 6},
  [6700] = {.lex_state = 258, .external_lex_state = 6},
  [6701] = {.lex_state = 1301, .external_lex_state = 5},
  [6702] = {.lex_state = 1301, .external_lex_state = 6},
  [6703] = {.lex_state = 252, .external_lex_state = 6},
  [6704] = {.lex_state = 254, .external_lex_state = 6},
  [6705] = {.lex_state = 1301, .external_lex_state = 5},
  [6706] = {.lex_state = 258, .external_lex_state = 6},
  [6707] = {.lex_state = 1301, .external_lex_state = 5},
  [6708] = {.lex_state = 252, .external_lex_state = 6},
  [6709] = {.lex_state = 1301, .external_lex_state = 5},
  [6710] = {.lex_state = 258, .external_lex_state = 6},
  [6711] = {.lex_state = 1301, .external_lex_state = 10},
  [6712] = {.lex_state = 1301, .external_lex_state = 6},
  [6713] = {.lex_state = 1301, .external_lex_state = 5},
  [6714] = {.lex_state = 1301, .external_lex_state = 5},
  [6715] = {.lex_state = 1301, .external_lex_state = 6},
  [6716] = {.lex_state = 1301, .external_lex_state = 5},
  [6717] = {.lex_state = 117, .external_lex_state = 6},
  [6718] = {.lex_state = 1301, .external_lex_state = 6},
  [6719] = {.lex_state = 1301, .external_lex_state = 5},
  [6720] = {.lex_state = 106, .external_lex_state = 6},
  [6721] = {.lex_state = 253, .external_lex_state = 6},
  [6722] = {.lex_state = 254, .external_lex_state = 6},
  [6723] = {.lex_state = 1301, .external_lex_state = 5},
  [6724] = {.lex_state = 1301, .external_lex_state = 5},
  [6725] = {.lex_state = 1301, .external_lex_state = 5},
  [6726] = {.lex_state = 1301, .external_lex_state = 5},
  [6727] = {.lex_state = 1301, .external_lex_state = 5},
  [6728] = {.lex_state = 1301, .external_lex_state = 5},
  [6729] = {.lex_state = 1301, .external_lex_state = 5},
  [6730] = {.lex_state = 1301, .external_lex_state = 5},
  [6731] = {.lex_state = 253, .external_lex_state = 6},
  [6732] = {.lex_state = 1301, .external_lex_state = 5},
  [6733] = {.lex_state = 1301, .external_lex_state = 5},
  [6734] = {.lex_state = 1301, .external_lex_state = 5},
  [6735] = {.lex_state = 224, .external_lex_state = 6},
  [6736] = {.lex_state = 1301, .external_lex_state = 5},
  [6737] = {.lex_state = 1301, .external_lex_state = 5},
  [6738] = {.lex_state = 257, .external_lex_state = 6},
  [6739] = {.lex_state = 1301, .external_lex_state = 5},
  [6740] = {.lex_state = 1301, .external_lex_state = 5},
  [6741] = {.lex_state = 1301, .external_lex_state = 5},
  [6742] = {.lex_state = 256, .external_lex_state = 6},
  [6743] = {.lex_state = 255, .external_lex_state = 6},
  [6744] = {.lex_state = 1301, .external_lex_state = 6},
  [6745] = {.lex_state = 1301, .external_lex_state = 5},
  [6746] = {.lex_state = 1301, .external_lex_state = 5},
  [6747] = {.lex_state = 1301, .external_lex_state = 5},
  [6748] = {.lex_state = 1301, .external_lex_state = 5},
  [6749] = {.lex_state = 1301, .external_lex_state = 5},
  [6750] = {.lex_state = 217, .external_lex_state = 6},
  [6751] = {.lex_state = 1301, .external_lex_state = 5},
  [6752] = {.lex_state = 256, .external_lex_state = 6},
  [6753] = {.lex_state = 1301, .external_lex_state = 6},
  [6754] = {.lex_state = 276, .external_lex_state = 5},
  [6755] = {.lex_state = 1301, .external_lex_state = 5},
  [6756] = {.lex_state = 256, .external_lex_state = 6},
  [6757] = {.lex_state = 1301, .external_lex_state = 5},
  [6758] = {.lex_state = 1301, .external_lex_state = 5},
  [6759] = {.lex_state = 1301, .external_lex_state = 5},
  [6760] = {.lex_state = 1301, .external_lex_state = 6},
  [6761] = {.lex_state = 252, .external_lex_state = 6},
  [6762] = {.lex_state = 252, .external_lex_state = 6},
  [6763] = {.lex_state = 258, .external_lex_state = 6},
  [6764] = {.lex_state = 217, .external_lex_state = 6},
  [6765] = {.lex_state = 1301, .external_lex_state = 5},
  [6766] = {.lex_state = 252, .external_lex_state = 6},
  [6767] = {.lex_state = 1301, .external_lex_state = 5},
  [6768] = {.lex_state = 258, .external_lex_state = 6},
  [6769] = {.lex_state = 258, .external_lex_state = 6},
  [6770] = {.lex_state = 1301, .external_lex_state = 5},
  [6771] = {.lex_state = 252, .external_lex_state = 6},
  [6772] = {.lex_state = 1301, .external_lex_state = 5},
  [6773] = {.lex_state = 258, .external_lex_state = 6},
  [6774] = {.lex_state = 1301, .external_lex_state = 10},
  [6775] = {.lex_state = 1301, .external_lex_state = 6},
  [6776] = {.lex_state = 1301, .external_lex_state = 5},
  [6777] = {.lex_state = 1301, .external_lex_state = 5},
  [6778] = {.lex_state = 1301, .external_lex_state = 5},
  [6779] = {.lex_state = 117, .external_lex_state = 6},
  [6780] = {.lex_state = 1301, .external_lex_state = 5},
  [6781] = {.lex_state = 253, .external_lex_state = 6},
  [6782] = {.lex_state = 1301, .external_lex_state = 6},
  [6783] = {.lex_state = 1301, .external_lex_state = 5},
  [6784] = {.lex_state = 1301, .external_lex_state = 5},
  [6785] = {.lex_state = 1301, .external_lex_state = 5},
  [6786] = {.lex_state = 1301, .external_lex_state = 5},
  [6787] = {.lex_state = 1301, .external_lex_state = 6},
  [6788] = {.lex_state = 1301, .external_lex_state = 6},
  [6789] = {.lex_state = 1301, .external_lex_state = 5},
  [6790] = {.lex_state = 1301, .external_lex_state = 5},
  [6791] = {.lex_state = 253, .external_lex_state = 6},
  [6792] = {.lex_state = 1301, .external_lex_state = 5},
  [6793] = {.lex_state = 1301, .external_lex_state = 5},
  [6794] = {.lex_state = 1301, .external_lex_state = 10},
  [6795] = {.lex_state = 1301, .external_lex_state = 6},
  [6796] = {.lex_state = 1301, .external_lex_state = 5},
  [6797] = {.lex_state = 1301, .external_lex_state = 5},
  [6798] = {.lex_state = 216, .external_lex_state = 6},
  [6799] = {.lex_state = 224, .external_lex_state = 6},
  [6800] = {.lex_state = 259, .external_lex_state = 6},
  [6801] = {.lex_state = 1301, .external_lex_state = 5},
  [6802] = {.lex_state = 256, .external_lex_state = 6},
  [6803] = {.lex_state = 1301, .external_lex_state = 5},
  [6804] = {.lex_state = 1301, .external_lex_state = 5},
  [6805] = {.lex_state = 1301, .external_lex_state = 4},
  [6806] = {.lex_state = 1301, .external_lex_state = 5},
  [6807] = {.lex_state = 1301, .external_lex_state = 5},
  [6808] = {.lex_state = 1301, .external_lex_state = 6},
  [6809] = {.lex_state = 1301, .external_lex_state = 5},
  [6810] = {.lex_state = 226, .external_lex_state = 6},
  [6811] = {.lex_state = 256, .external_lex_state = 6},
  [6812] = {.lex_state = 117, .external_lex_state = 6},
  [6813] = {.lex_state = 1301, .external_lex_state = 5},
  [6814] = {.lex_state = 256, .external_lex_state = 6},
  [6815] = {.lex_state = 1301, .external_lex_state = 5},
  [6816] = {.lex_state = 1301, .external_lex_state = 6},
  [6817] = {.lex_state = 1301, .external_lex_state = 5},
  [6818] = {.lex_state = 1301, .external_lex_state = 5},
  [6819] = {.lex_state = 252, .external_lex_state = 6},
  [6820] = {.lex_state = 276, .external_lex_state = 6},
  [6821] = {.lex_state = 252, .external_lex_state = 6},
  [6822] = {.lex_state = 258, .external_lex_state = 6},
  [6823] = {.lex_state = 1301, .external_lex_state = 5},
  [6824] = {.lex_state = 252, .external_lex_state = 6},
  [6825] = {.lex_state = 258, .external_lex_state = 6},
  [6826] = {.lex_state = 1301, .external_lex_state = 5},
  [6827] = {.lex_state = 259, .external_lex_state = 6},
  [6828] = {.lex_state = 258, .external_lex_state = 6},
  [6829] = {.lex_state = 1301, .external_lex_state = 5},
  [6830] = {.lex_state = 252, .external_lex_state = 6},
  [6831] = {.lex_state = 1301, .external_lex_state = 5},
  [6832] = {.lex_state = 258, .external_lex_state = 6},
  [6833] = {.lex_state = 1301, .external_lex_state = 5},
  [6834] = {.lex_state = 1301, .external_lex_state = 10},
  [6835] = {.lex_state = 1301, .external_lex_state = 5},
  [6836] = {.lex_state = 1301, .external_lex_state = 5},
  [6837] = {.lex_state = 117, .external_lex_state = 6},
  [6838] = {.lex_state = 224, .external_lex_state = 6},
  [6839] = {.lex_state = 1301, .external_lex_state = 5},
  [6840] = {.lex_state = 253, .external_lex_state = 6},
  [6841] = {.lex_state = 253, .external_lex_state = 6},
  [6842] = {.lex_state = 1301, .external_lex_state = 5},
  [6843] = {.lex_state = 1301, .external_lex_state = 5},
  [6844] = {.lex_state = 1301, .external_lex_state = 5},
  [6845] = {.lex_state = 1301, .external_lex_state = 5},
  [6846] = {.lex_state = 1301, .external_lex_state = 5},
  [6847] = {.lex_state = 1301, .external_lex_state = 6},
  [6848] = {.lex_state = 1301, .external_lex_state = 5},
  [6849] = {.lex_state = 253, .external_lex_state = 6},
  [6850] = {.lex_state = 1301, .external_lex_state = 5},
  [6851] = {.lex_state = 1301, .external_lex_state = 5},
  [6852] = {.lex_state = 253, .external_lex_state = 6},
  [6853] = {.lex_state = 1301, .external_lex_state = 5},
  [6854] = {.lex_state = 1301, .external_lex_state = 5},
  [6855] = {.lex_state = 1301, .external_lex_state = 5},
  [6856] = {.lex_state = 1301, .external_lex_state = 5},
  [6857] = {.lex_state = 1301, .external_lex_state = 5},
  [6858] = {.lex_state = 1301, .external_lex_state = 5},
  [6859] = {.lex_state = 1301, .external_lex_state = 5},
  [6860] = {.lex_state = 1301, .external_lex_state = 5},
  [6861] = {.lex_state = 1301, .external_lex_state = 6},
  [6862] = {.lex_state = 1301, .external_lex_state = 5},
  [6863] = {.lex_state = 256, .external_lex_state = 6},
  [6864] = {.lex_state = 1301, .external_lex_state = 5},
  [6865] = {.lex_state = 1301, .external_lex_state = 5},
  [6866] = {.lex_state = 1301, .external_lex_state = 5},
  [6867] = {.lex_state = 1301, .external_lex_state = 5},
  [6868] = {.lex_state = 252, .external_lex_state = 6},
  [6869] = {.lex_state = 258, .external_lex_state = 6},
  [6870] = {.lex_state = 1301, .external_lex_state = 5},
  [6871] = {.lex_state = 1301, .external_lex_state = 6},
  [6872] = {.lex_state = 1301, .external_lex_state = 5},
  [6873] = {.lex_state = 252, .external_lex_state = 6},
  [6874] = {.lex_state = 1301, .external_lex_state = 5},
  [6875] = {.lex_state = 1301, .external_lex_state = 6},
  [6876] = {.lex_state = 1301, .external_lex_state = 5},
  [6877] = {.lex_state = 1301, .external_lex_state = 5},
  [6878] = {.lex_state = 258, .external_lex_state = 6},
  [6879] = {.lex_state = 1301, .external_lex_state = 5},
  [6880] = {.lex_state = 1301, .external_lex_state = 5},
  [6881] = {.lex_state = 252, .external_lex_state = 6},
  [6882] = {.lex_state = 1301, .external_lex_state = 5},
  [6883] = {.lex_state = 258, .external_lex_state = 6},
  [6884] = {.lex_state = 1301, .external_lex_state = 5},
  [6885] = {.lex_state = 1301, .external_lex_state = 10},
  [6886] = {.lex_state = 1301, .external_lex_state = 5},
  [6887] = {.lex_state = 1301, .external_lex_state = 5},
  [6888] = {.lex_state = 1301, .external_lex_state = 5},
  [6889] = {.lex_state = 117, .external_lex_state = 6},
  [6890] = {.lex_state = 1301, .external_lex_state = 5},
  [6891] = {.lex_state = 1301, .external_lex_state = 5},
  [6892] = {.lex_state = 216, .external_lex_state = 6},
  [6893] = {.lex_state = 253, .external_lex_state = 6},
  [6894] = {.lex_state = 1301, .external_lex_state = 5},
  [6895] = {.lex_state = 1301, .external_lex_state = 5},
  [6896] = {.lex_state = 1301, .external_lex_state = 5},
  [6897] = {.lex_state = 1301, .external_lex_state = 5},
  [6898] = {.lex_state = 1301, .external_lex_state = 6},
  [6899] = {.lex_state = 1301, .external_lex_state = 5},
  [6900] = {.lex_state = 1301, .external_lex_state = 5},
  [6901] = {.lex_state = 1301, .external_lex_state = 5},
  [6902] = {.lex_state = 253, .external_lex_state = 6},
  [6903] = {.lex_state = 1301, .external_lex_state = 5},
  [6904] = {.lex_state = 1301, .external_lex_state = 5},
  [6905] = {.lex_state = 1301, .external_lex_state = 5},
  [6906] = {.lex_state = 1301, .external_lex_state = 5},
  [6907] = {.lex_state = 1301, .external_lex_state = 6},
  [6908] = {.lex_state = 1301, .external_lex_state = 6},
  [6909] = {.lex_state = 1301, .external_lex_state = 5},
  [6910] = {.lex_state = 1301, .external_lex_state = 6},
  [6911] = {.lex_state = 1301, .external_lex_state = 5},
  [6912] = {.lex_state = 1301, .external_lex_state = 5},
  [6913] = {.lex_state = 1301, .external_lex_state = 5},
  [6914] = {.lex_state = 1301, .external_lex_state = 5},
  [6915] = {.lex_state = 252, .external_lex_state = 6},
  [6916] = {.lex_state = 1301, .external_lex_state = 6},
  [6917] = {.lex_state = 1301, .external_lex_state = 5},
  [6918] = {.lex_state = 1301, .external_lex_state = 5},
  [6919] = {.lex_state = 258, .external_lex_state = 6},
  [6920] = {.lex_state = 1301, .external_lex_state = 5},
  [6921] = {.lex_state = 1301, .external_lex_state = 5},
  [6922] = {.lex_state = 1301, .external_lex_state = 5},
  [6923] = {.lex_state = 252, .external_lex_state = 6},
  [6924] = {.lex_state = 252, .external_lex_state = 6},
  [6925] = {.lex_state = 1301, .external_lex_state = 5},
  [6926] = {.lex_state = 258, .external_lex_state = 6},
  [6927] = {.lex_state = 1301, .external_lex_state = 5},
  [6928] = {.lex_state = 252, .external_lex_state = 6},
  [6929] = {.lex_state = 1301, .external_lex_state = 5},
  [6930] = {.lex_state = 258, .external_lex_state = 6},
  [6931] = {.lex_state = 252, .external_lex_state = 6},
  [6932] = {.lex_state = 1301, .external_lex_state = 5},
  [6933] = {.lex_state = 1301, .external_lex_state = 5},
  [6934] = {.lex_state = 1301, .external_lex_state = 5},
  [6935] = {.lex_state = 117, .external_lex_state = 6},
  [6936] = {.lex_state = 1301, .external_lex_state = 6},
  [6937] = {.lex_state = 1301, .external_lex_state = 5},
  [6938] = {.lex_state = 258, .external_lex_state = 6},
  [6939] = {.lex_state = 253, .external_lex_state = 6},
  [6940] = {.lex_state = 1301, .external_lex_state = 5},
  [6941] = {.lex_state = 1301, .external_lex_state = 5},
  [6942] = {.lex_state = 1301, .external_lex_state = 5},
  [6943] = {.lex_state = 1301, .external_lex_state = 5},
  [6944] = {.lex_state = 1301, .external_lex_state = 6},
  [6945] = {.lex_state = 1301, .external_lex_state = 5},
  [6946] = {.lex_state = 1301, .external_lex_state = 5},
  [6947] = {.lex_state = 1301, .external_lex_state = 5},
  [6948] = {.lex_state = 1301, .external_lex_state = 5},
  [6949] = {.lex_state = 253, .external_lex_state = 6},
  [6950] = {.lex_state = 1301, .external_lex_state = 5},
  [6951] = {.lex_state = 1301, .external_lex_state = 5},
  [6952] = {.lex_state = 258, .external_lex_state = 6},
  [6953] = {.lex_state = 253, .external_lex_state = 6},
  [6954] = {.lex_state = 276, .external_lex_state = 6},
  [6955] = {.lex_state = 1301, .external_lex_state = 5},
  [6956] = {.lex_state = 1301, .external_lex_state = 6},
  [6957] = {.lex_state = 1301, .external_lex_state = 5},
  [6958] = {.lex_state = 1301, .external_lex_state = 5},
  [6959] = {.lex_state = 1301, .external_lex_state = 5},
  [6960] = {.lex_state = 1301, .external_lex_state = 5},
  [6961] = {.lex_state = 224, .external_lex_state = 6},
  [6962] = {.lex_state = 1301, .external_lex_state = 5},
  [6963] = {.lex_state = 1301, .external_lex_state = 5},
  [6964] = {.lex_state = 1301, .external_lex_state = 6},
  [6965] = {.lex_state = 252, .external_lex_state = 6},
  [6966] = {.lex_state = 1301, .external_lex_state = 5},
  [6967] = {.lex_state = 258, .external_lex_state = 6},
  [6968] = {.lex_state = 256, .external_lex_state = 6},
  [6969] = {.lex_state = 1301, .external_lex_state = 5},
  [6970] = {.lex_state = 1301, .external_lex_state = 5},
  [6971] = {.lex_state = 252, .external_lex_state = 6},
  [6972] = {.lex_state = 1301, .external_lex_state = 5},
  [6973] = {.lex_state = 258, .external_lex_state = 6},
  [6974] = {.lex_state = 1301, .external_lex_state = 5},
  [6975] = {.lex_state = 252, .external_lex_state = 6},
  [6976] = {.lex_state = 1301, .external_lex_state = 5},
  [6977] = {.lex_state = 258, .external_lex_state = 6},
  [6978] = {.lex_state = 1301, .external_lex_state = 5},
  [6979] = {.lex_state = 1301, .external_lex_state = 5},
  [6980] = {.lex_state = 117, .external_lex_state = 6},
  [6981] = {.lex_state = 253, .external_lex_state = 6},
  [6982] = {.lex_state = 1301, .external_lex_state = 5},
  [6983] = {.lex_state = 1301, .external_lex_state = 5},
  [6984] = {.lex_state = 1301, .external_lex_state = 5},
  [6985] = {.lex_state = 217, .external_lex_state = 6},
  [6986] = {.lex_state = 1301, .external_lex_state = 5},
  [6987] = {.lex_state = 253, .external_lex_state = 6},
  [6988] = {.lex_state = 1301, .external_lex_state = 5},
  [6989] = {.lex_state = 1301, .external_lex_state = 5},
  [6990] = {.lex_state = 1301, .external_lex_state = 5},
  [6991] = {.lex_state = 1301, .external_lex_state = 6},
  [6992] = {.lex_state = 1301, .external_lex_state = 6},
  [6993] = {.lex_state = 1301, .external_lex_state = 5},
  [6994] = {.lex_state = 1301, .external_lex_state = 5},
  [6995] = {.lex_state = 1301, .external_lex_state = 6},
  [6996] = {.lex_state = 1301, .external_lex_state = 5},
  [6997] = {.lex_state = 1301, .external_lex_state = 5},
  [6998] = {.lex_state = 117, .external_lex_state = 6},
  [6999] = {.lex_state = 1301, .external_lex_state = 6},
  [7000] = {.lex_state = 1301, .external_lex_state = 6},
  [7001] = {.lex_state = 1301, .external_lex_state = 5},
  [7002] = {.lex_state = 253, .external_lex_state = 6},
  [7003] = {.lex_state = 1301, .external_lex_state = 5},
  [7004] = {.lex_state = 1301, .external_lex_state = 5},
  [7005] = {.lex_state = 1301, .external_lex_state = 5},
  [7006] = {.lex_state = 1301, .external_lex_state = 5},
  [7007] = {.lex_state = 1301, .external_lex_state = 5},
  [7008] = {.lex_state = 1301, .external_lex_state = 5},
  [7009] = {.lex_state = 253, .external_lex_state = 6},
  [7010] = {.lex_state = 1301, .external_lex_state = 5},
  [7011] = {.lex_state = 1301, .external_lex_state = 5},
  [7012] = {.lex_state = 1301, .external_lex_state = 5},
  [7013] = {.lex_state = 1301, .external_lex_state = 5},
  [7014] = {.lex_state = 1301, .external_lex_state = 5},
  [7015] = {.lex_state = 257, .external_lex_state = 6},
  [7016] = {.lex_state = 252, .external_lex_state = 6},
  [7017] = {.lex_state = 1301, .external_lex_state = 5},
  [7018] = {.lex_state = 224, .external_lex_state = 6},
  [7019] = {.lex_state = 1301, .external_lex_state = 5},
  [7020] = {.lex_state = 258, .external_lex_state = 6},
  [7021] = {.lex_state = 1301, .external_lex_state = 5},
  [7022] = {.lex_state = 1301, .external_lex_state = 5},
  [7023] = {.lex_state = 1301, .external_lex_state = 5},
  [7024] = {.lex_state = 1301, .external_lex_state = 5},
  [7025] = {.lex_state = 117, .external_lex_state = 6},
  [7026] = {.lex_state = 1301, .external_lex_state = 6},
  [7027] = {.lex_state = 1301, .external_lex_state = 6},
  [7028] = {.lex_state = 1301, .external_lex_state = 5},
  [7029] = {.lex_state = 1301, .external_lex_state = 6},
  [7030] = {.lex_state = 1301, .external_lex_state = 6},
  [7031] = {.lex_state = 1301, .external_lex_state = 5},
  [7032] = {.lex_state = 1301, .external_lex_state = 6},
  [7033] = {.lex_state = 1301, .external_lex_state = 5},
  [7034] = {.lex_state = 1301, .external_lex_state = 5},
  [7035] = {.lex_state = 217, .external_lex_state = 6},
  [7036] = {.lex_state = 1301, .external_lex_state = 6},
  [7037] = {.lex_state = 1301, .external_lex_state = 5},
  [7038] = {.lex_state = 1301, .external_lex_state = 5},
  [7039] = {.lex_state = 117, .external_lex_state = 6},
  [7040] = {.lex_state = 1301, .external_lex_state = 5},
  [7041] = {.lex_state = 1301, .external_lex_state = 5},
  [7042] = {.lex_state = 1301, .external_lex_state = 6},
  [7043] = {.lex_state = 314, .external_lex_state = 6},
  [7044] = {.lex_state = 1301, .external_lex_state = 6},
  [7045] = {.lex_state = 1301, .external_lex_state = 5},
  [7046] = {.lex_state = 1301, .external_lex_state = 5},
  [7047] = {.lex_state = 1301, .external_lex_state = 5},
  [7048] = {.lex_state = 1301, .external_lex_state = 6},
  [7049] = {.lex_state = 1301, .external_lex_state = 5},
  [7050] = {.lex_state = 117, .external_lex_state = 6},
  [7051] = {.lex_state = 1301, .external_lex_state = 5},
  [7052] = {.lex_state = 252, .external_lex_state = 6},
  [7053] = {.lex_state = 259, .external_lex_state = 6},
  [7054] = {.lex_state = 1301, .external_lex_state = 5},
  [7055] = {.lex_state = 1301, .external_lex_state = 5},
  [7056] = {.lex_state = 255, .external_lex_state = 6},
  [7057] = {.lex_state = 1301, .external_lex_state = 5},
  [7058] = {.lex_state = 256, .external_lex_state = 6},
  [7059] = {.lex_state = 1301, .external_lex_state = 5},
  [7060] = {.lex_state = 117, .external_lex_state = 6},
  [7061] = {.lex_state = 314, .external_lex_state = 6},
  [7062] = {.lex_state = 1301, .external_lex_state = 5},
  [7063] = {.lex_state = 258, .external_lex_state = 6},
  [7064] = {.lex_state = 1301, .external_lex_state = 6},
  [7065] = {.lex_state = 1301, .external_lex_state = 6},
  [7066] = {.lex_state = 1301, .external_lex_state = 5},
  [7067] = {.lex_state = 1301, .external_lex_state = 5},
  [7068] = {.lex_state = 117, .external_lex_state = 6},
  [7069] = {.lex_state = 1301, .external_lex_state = 5},
  [7070] = {.lex_state = 1301, .external_lex_state = 5},
  [7071] = {.lex_state = 216, .external_lex_state = 6},
  [7072] = {.lex_state = 1301, .external_lex_state = 6},
  [7073] = {.lex_state = 1301, .external_lex_state = 6},
  [7074] = {.lex_state = 1301, .external_lex_state = 5},
  [7075] = {.lex_state = 117, .external_lex_state = 6},
  [7076] = {.lex_state = 1301, .external_lex_state = 5},
  [7077] = {.lex_state = 1301, .external_lex_state = 5},
  [7078] = {.lex_state = 1301, .external_lex_state = 5},
  [7079] = {.lex_state = 256, .external_lex_state = 6},
  [7080] = {.lex_state = 1301, .external_lex_state = 6},
  [7081] = {.lex_state = 117, .external_lex_state = 6},
  [7082] = {.lex_state = 1301, .external_lex_state = 5},
  [7083] = {.lex_state = 117, .external_lex_state = 6},
  [7084] = {.lex_state = 117, .external_lex_state = 6},
  [7085] = {.lex_state = 117, .external_lex_state = 6},
  [7086] = {.lex_state = 1301, .external_lex_state = 5},
  [7087] = {.lex_state = 117, .external_lex_state = 6},
  [7088] = {.lex_state = 117, .external_lex_state = 6},
  [7089] = {.lex_state = 276, .external_lex_state = 5},
  [7090] = {.lex_state = 117, .external_lex_state = 6},
  [7091] = {.lex_state = 1301, .external_lex_state = 5},
  [7092] = {.lex_state = 117, .external_lex_state = 6},
  [7093] = {.lex_state = 117, .external_lex_state = 6},
  [7094] = {.lex_state = 1301, .external_lex_state = 5},
  [7095] = {.lex_state = 117, .external_lex_state = 6},
  [7096] = {.lex_state = 117, .external_lex_state = 6},
  [7097] = {.lex_state = 1301, .external_lex_state = 6},
  [7098] = {.lex_state = 117, .external_lex_state = 6},
  [7099] = {.lex_state = 1301, .external_lex_state = 5},
  [7100] = {.lex_state = 117, .external_lex_state = 6},
  [7101] = {.lex_state = 117, .external_lex_state = 6},
  [7102] = {.lex_state = 117, .external_lex_state = 6},
  [7103] = {.lex_state = 117, .external_lex_state = 6},
  [7104] = {.lex_state = 1301, .external_lex_state = 5},
  [7105] = {.lex_state = 117, .external_lex_state = 6},
  [7106] = {.lex_state = 1301, .external_lex_state = 6},
  [7107] = {.lex_state = 117, .external_lex_state = 6},
  [7108] = {.lex_state = 256, .external_lex_state = 6},
  [7109] = {.lex_state = 117, .external_lex_state = 6},
  [7110] = {.lex_state = 1301, .external_lex_state = 6},
  [7111] = {.lex_state = 117, .external_lex_state = 6},
  [7112] = {.lex_state = 117, .external_lex_state = 6},
  [7113] = {.lex_state = 1301, .external_lex_state = 6},
  [7114] = {.lex_state = 117, .external_lex_state = 6},
  [7115] = {.lex_state = 117, .external_lex_state = 6},
  [7116] = {.lex_state = 117, .external_lex_state = 6},
  [7117] = {.lex_state = 117, .external_lex_state = 6},
  [7118] = {.lex_state = 117, .external_lex_state = 6},
  [7119] = {.lex_state = 117, .external_lex_state = 6},
  [7120] = {.lex_state = 1301, .external_lex_state = 6},
  [7121] = {.lex_state = 117, .external_lex_state = 6},
  [7122] = {.lex_state = 1301, .external_lex_state = 6},
  [7123] = {.lex_state = 1301, .external_lex_state = 5},
  [7124] = {.lex_state = 1301, .external_lex_state = 5},
  [7125] = {.lex_state = 1301, .external_lex_state = 6},
  [7126] = {.lex_state = 224, .external_lex_state = 6},
  [7127] = {.lex_state = 226, .external_lex_state = 6},
  [7128] = {.lex_state = 276, .external_lex_state = 6},
  [7129] = {.lex_state = 1301, .external_lex_state = 6},
  [7130] = {.lex_state = 259, .external_lex_state = 6},
  [7131] = {.lex_state = 1301, .external_lex_state = 5},
  [7132] = {.lex_state = 256, .external_lex_state = 6},
  [7133] = {.lex_state = 1301, .external_lex_state = 6},
  [7134] = {.lex_state = 1301, .external_lex_state = 5},
  [7135] = {.lex_state = 1301, .external_lex_state = 6},
  [7136] = {.lex_state = 1301, .external_lex_state = 5},
  [7137] = {.lex_state = 1301, .external_lex_state = 5},
  [7138] = {.lex_state = 1301, .external_lex_state = 5},
  [7139] = {.lex_state = 1301, .external_lex_state = 5},
  [7140] = {.lex_state = 1301, .external_lex_state = 6},
  [7141] = {.lex_state = 276, .external_lex_state = 6},
  [7142] = {.lex_state = 1301, .external_lex_state = 5},
  [7143] = {.lex_state = 252, .external_lex_state = 6},
  [7144] = {.lex_state = 1301, .external_lex_state = 5},
  [7145] = {.lex_state = 224, .external_lex_state = 6},
  [7146] = {.lex_state = 1301, .external_lex_state = 5},
  [7147] = {.lex_state = 1301, .external_lex_state = 5},
  [7148] = {.lex_state = 1301, .external_lex_state = 5},
  [7149] = {.lex_state = 1301, .external_lex_state = 5},
  [7150] = {.lex_state = 258, .external_lex_state = 6},
  [7151] = {.lex_state = 259, .external_lex_state = 6},
  [7152] = {.lex_state = 1301, .external_lex_state = 5},
  [7153] = {.lex_state = 1301, .external_lex_state = 5},
  [7154] = {.lex_state = 1301, .external_lex_state = 5},
  [7155] = {.lex_state = 1301, .external_lex_state = 5},
  [7156] = {.lex_state = 1301, .external_lex_state = 5},
  [7157] = {.lex_state = 257, .external_lex_state = 6},
  [7158] = {.lex_state = 1301, .external_lex_state = 6},
  [7159] = {.lex_state = 255, .external_lex_state = 6},
  [7160] = {.lex_state = 259, .external_lex_state = 6},
  [7161] = {.lex_state = 1301, .external_lex_state = 5},
  [7162] = {.lex_state = 224, .external_lex_state = 6},
  [7163] = {.lex_state = 1301, .external_lex_state = 5},
  [7164] = {.lex_state = 1301, .external_lex_state = 5},
  [7165] = {.lex_state = 1301, .external_lex_state = 4},
  [7166] = {.lex_state = 257, .external_lex_state = 6},
  [7167] = {.lex_state = 1301, .external_lex_state = 5},
  [7168] = {.lex_state = 255, .external_lex_state = 6},
  [7169] = {.lex_state = 1301, .external_lex_state = 5},
  [7170] = {.lex_state = 224, .external_lex_state = 6},
  [7171] = {.lex_state = 1301, .external_lex_state = 5},
  [7172] = {.lex_state = 1301, .external_lex_state = 5},
  [7173] = {.lex_state = 1301, .external_lex_state = 5},
  [7174] = {.lex_state = 1301, .external_lex_state = 5},
  [7175] = {.lex_state = 1301, .external_lex_state = 5},
  [7176] = {.lex_state = 259, .external_lex_state = 6},
  [7177] = {.lex_state = 1301, .external_lex_state = 5},
  [7178] = {.lex_state = 1301, .external_lex_state = 5},
  [7179] = {.lex_state = 252, .external_lex_state = 6},
  [7180] = {.lex_state = 1301, .external_lex_state = 6},
  [7181] = {.lex_state = 1301, .external_lex_state = 5},
  [7182] = {.lex_state = 258, .external_lex_state = 6},
  [7183] = {.lex_state = 1301, .external_lex_state = 6},
  [7184] = {.lex_state = 1301, .external_lex_state = 5},
  [7185] = {.lex_state = 1301, .external_lex_state = 5},
  [7186] = {.lex_state = 1301, .external_lex_state = 5},
  [7187] = {.lex_state = 1301, .external_lex_state = 6},
  [7188] = {.lex_state = 1301, .external_lex_state = 6},
  [7189] = {.lex_state = 259, .external_lex_state = 6},
  [7190] = {.lex_state = 1301, .external_lex_state = 6},
  [7191] = {.lex_state = 1301, .external_lex_state = 5},
  [7192] = {.lex_state = 1301, .external_lex_state = 5},
  [7193] = {.lex_state = 252, .external_lex_state = 6},
  [7194] = {.lex_state = 1301, .external_lex_state = 5},
  [7195] = {.lex_state = 254, .external_lex_state = 6},
  [7196] = {.lex_state = 1301, .external_lex_state = 5},
  [7197] = {.lex_state = 1301, .external_lex_state = 5},
  [7198] = {.lex_state = 1301, .external_lex_state = 5},
  [7199] = {.lex_state = 1301, .external_lex_state = 10},
  [7200] = {.lex_state = 258, .external_lex_state = 6},
  [7201] = {.lex_state = 254, .external_lex_state = 6},
  [7202] = {.lex_state = 259, .external_lex_state = 6},
  [7203] = {.lex_state = 1301, .external_lex_state = 5},
  [7204] = {.lex_state = 252, .external_lex_state = 6},
  [7205] = {.lex_state = 1301, .external_lex_state = 5},
  [7206] = {.lex_state = 258, .external_lex_state = 6},
  [7207] = {.lex_state = 1301, .external_lex_state = 5},
  [7208] = {.lex_state = 1301, .external_lex_state = 6},
  [7209] = {.lex_state = 1301, .external_lex_state = 5},
  [7210] = {.lex_state = 1301, .external_lex_state = 5},
  [7211] = {.lex_state = 1301, .external_lex_state = 5},
  [7212] = {.lex_state = 1301, .external_lex_state = 5},
  [7213] = {.lex_state = 259, .external_lex_state = 6},
  [7214] = {.lex_state = 1301, .external_lex_state = 10},
  [7215] = {.lex_state = 254, .external_lex_state = 6},
  [7216] = {.lex_state = 1301, .external_lex_state = 6},
  [7217] = {.lex_state = 1301, .external_lex_state = 5},
  [7218] = {.lex_state = 252, .external_lex_state = 6},
  [7219] = {.lex_state = 1301, .external_lex_state = 5},
  [7220] = {.lex_state = 224, .external_lex_state = 6},
  [7221] = {.lex_state = 1301, .external_lex_state = 5},
  [7222] = {.lex_state = 1301, .external_lex_state = 5},
  [7223] = {.lex_state = 1301, .external_lex_state = 5},
  [7224] = {.lex_state = 1301, .external_lex_state = 5},
  [7225] = {.lex_state = 1301, .external_lex_state = 5},
  [7226] = {.lex_state = 259, .external_lex_state = 6},
  [7227] = {.lex_state = 1301, .external_lex_state = 5},
  [7228] = {.lex_state = 1301, .external_lex_state = 5},
  [7229] = {.lex_state = 253, .external_lex_state = 6},
  [7230] = {.lex_state = 117, .external_lex_state = 6},
  [7231] = {.lex_state = 1301, .external_lex_state = 5},
  [7232] = {.lex_state = 1301, .external_lex_state = 5},
  [7233] = {.lex_state = 1301, .external_lex_state = 6},
  [7234] = {.lex_state = 257, .external_lex_state = 6},
  [7235] = {.lex_state = 259, .external_lex_state = 6},
  [7236] = {.lex_state = 1301, .external_lex_state = 5},
  [7237] = {.lex_state = 276, .external_lex_state = 6},
  [7238] = {.lex_state = 259, .external_lex_state = 6},
  [7239] = {.lex_state = 1301, .external_lex_state = 5},
  [7240] = {.lex_state = 1301, .external_lex_state = 5},
  [7241] = {.lex_state = 258, .external_lex_state = 6},
  [7242] = {.lex_state = 259, .external_lex_state = 6},
  [7243] = {.lex_state = 259, .external_lex_state = 6},
  [7244] = {.lex_state = 224, .external_lex_state = 6},
  [7245] = {.lex_state = 1301, .external_lex_state = 5},
  [7246] = {.lex_state = 314, .external_lex_state = 6},
  [7247] = {.lex_state = 1301, .external_lex_state = 5},
  [7248] = {.lex_state = 1301, .external_lex_state = 6},
  [7249] = {.lex_state = 259, .external_lex_state = 6},
  [7250] = {.lex_state = 1301, .external_lex_state = 6},
  [7251] = {.lex_state = 253, .external_lex_state = 6},
  [7252] = {.lex_state = 1301, .external_lex_state = 5},
  [7253] = {.lex_state = 1301, .external_lex_state = 5},
  [7254] = {.lex_state = 1301, .external_lex_state = 5},
  [7255] = {.lex_state = 1301, .external_lex_state = 5},
  [7256] = {.lex_state = 1301, .external_lex_state = 5},
  [7257] = {.lex_state = 1301, .external_lex_state = 5},
  [7258] = {.lex_state = 1301, .external_lex_state = 5},
  [7259] = {.lex_state = 1301, .external_lex_state = 5},
  [7260] = {.lex_state = 259, .external_lex_state = 6},
  [7261] = {.lex_state = 1301, .external_lex_state = 6},
  [7262] = {.lex_state = 1301, .external_lex_state = 6},
  [7263] = {.lex_state = 1301, .external_lex_state = 4},
  [7264] = {.lex_state = 1301, .external_lex_state = 5},
  [7265] = {.lex_state = 1301, .external_lex_state = 5},
  [7266] = {.lex_state = 1301, .external_lex_state = 5},
  [7267] = {.lex_state = 1301, .external_lex_state = 6},
  [7268] = {.lex_state = 1301, .external_lex_state = 6},
  [7269] = {.lex_state = 255, .external_lex_state = 6},
  [7270] = {.lex_state = 1301, .external_lex_state = 6},
  [7271] = {.lex_state = 1301, .external_lex_state = 5},
  [7272] = {.lex_state = 1301, .external_lex_state = 6},
  [7273] = {.lex_state = 117, .external_lex_state = 6},
  [7274] = {.lex_state = 254, .external_lex_state = 6},
  [7275] = {.lex_state = 1301, .external_lex_state = 6},
  [7276] = {.lex_state = 1301, .external_lex_state = 5},
  [7277] = {.lex_state = 1301, .external_lex_state = 5},
  [7278] = {.lex_state = 1301, .external_lex_state = 5},
  [7279] = {.lex_state = 253, .external_lex_state = 6},
  [7280] = {.lex_state = 1301, .external_lex_state = 5},
  [7281] = {.lex_state = 1301, .external_lex_state = 5},
  [7282] = {.lex_state = 1301, .external_lex_state = 5},
  [7283] = {.lex_state = 1301, .external_lex_state = 5},
  [7284] = {.lex_state = 1301, .external_lex_state = 6},
  [7285] = {.lex_state = 1301, .external_lex_state = 6},
  [7286] = {.lex_state = 1301, .external_lex_state = 6},
  [7287] = {.lex_state = 1301, .external_lex_state = 5},
  [7288] = {.lex_state = 1301, .external_lex_state = 5},
  [7289] = {.lex_state = 1301, .external_lex_state = 5},
  [7290] = {.lex_state = 1301, .external_lex_state = 5},
  [7291] = {.lex_state = 1301, .external_lex_state = 6},
  [7292] = {.lex_state = 1301, .external_lex_state = 5},
  [7293] = {.lex_state = 1301, .external_lex_state = 6},
  [7294] = {.lex_state = 1301, .external_lex_state = 6},
  [7295] = {.lex_state = 1301, .external_lex_state = 6},
  [7296] = {.lex_state = 1301, .external_lex_state = 6},
  [7297] = {.lex_state = 1301, .external_lex_state = 5},
  [7298] = {.lex_state = 1301, .external_lex_state = 6},
  [7299] = {.lex_state = 1301, .external_lex_state = 6},
  [7300] = {.lex_state = 1301, .external_lex_state = 5},
  [7301] = {.lex_state = 1301, .external_lex_state = 6},
  [7302] = {.lex_state = 1301, .external_lex_state = 5},
  [7303] = {.lex_state = 1301, .external_lex_state = 6},
  [7304] = {.lex_state = 1301, .external_lex_state = 6},
  [7305] = {.lex_state = 276, .external_lex_state = 5},
  [7306] = {.lex_state = 1301, .external_lex_state = 6},
  [7307] = {.lex_state = 1301, .external_lex_state = 6},
  [7308] = {.lex_state = 1301, .external_lex_state = 5},
  [7309] = {.lex_state = 1301, .external_lex_state = 5},
  [7310] = {.lex_state = 1301, .external_lex_state = 6},
  [7311] = {.lex_state = 1301, .external_lex_state = 5},
  [7312] = {.lex_state = 1301, .external_lex_state = 6},
  [7313] = {.lex_state = 1301, .external_lex_state = 6},
  [7314] = {.lex_state = 224, .external_lex_state = 6},
  [7315] = {.lex_state = 1301, .external_lex_state = 6},
  [7316] = {.lex_state = 1301, .external_lex_state = 5},
  [7317] = {.lex_state = 107, .external_lex_state = 6},
  [7318] = {.lex_state = 107, .external_lex_state = 6},
  [7319] = {.lex_state = 1301, .external_lex_state = 5},
  [7320] = {.lex_state = 1301, .external_lex_state = 5},
  [7321] = {.lex_state = 107, .external_lex_state = 6},
  [7322] = {.lex_state = 107, .external_lex_state = 6},
  [7323] = {.lex_state = 1301, .external_lex_state = 5},
  [7324] = {.lex_state = 107, .external_lex_state = 6},
  [7325] = {.lex_state = 107, .external_lex_state = 6},
  [7326] = {.lex_state = 1301, .external_lex_state = 5},
  [7327] = {.lex_state = 1301, .external_lex_state = 6},
  [7328] = {.lex_state = 107, .external_lex_state = 6},
  [7329] = {.lex_state = 107, .external_lex_state = 6},
  [7330] = {.lex_state = 107, .external_lex_state = 6},
  [7331] = {.lex_state = 1301, .external_lex_state = 5},
  [7332] = {.lex_state = 107, .external_lex_state = 6},
  [7333] = {.lex_state = 107, .external_lex_state = 6},
  [7334] = {.lex_state = 1301, .external_lex_state = 5},
  [7335] = {.lex_state = 276, .external_lex_state = 6},
  [7336] = {.lex_state = 107, .external_lex_state = 6},
  [7337] = {.lex_state = 107, .external_lex_state = 6},
  [7338] = {.lex_state = 1301, .external_lex_state = 6},
  [7339] = {.lex_state = 1301, .external_lex_state = 5},
  [7340] = {.lex_state = 107, .external_lex_state = 6},
  [7341] = {.lex_state = 107, .external_lex_state = 6},
  [7342] = {.lex_state = 1301, .external_lex_state = 5},
  [7343] = {.lex_state = 1301, .external_lex_state = 5},
  [7344] = {.lex_state = 107, .external_lex_state = 6},
  [7345] = {.lex_state = 107, .external_lex_state = 6},
  [7346] = {.lex_state = 276, .external_lex_state = 6},
  [7347] = {.lex_state = 1301, .external_lex_state = 5},
  [7348] = {.lex_state = 107, .external_lex_state = 6},
  [7349] = {.lex_state = 107, .external_lex_state = 6},
  [7350] = {.lex_state = 1301, .external_lex_state = 6},
  [7351] = {.lex_state = 107, .external_lex_state = 6},
  [7352] = {.lex_state = 107, .external_lex_state = 6},
  [7353] = {.lex_state = 1301, .external_lex_state = 5},
  [7354] = {.lex_state = 259, .external_lex_state = 6},
  [7355] = {.lex_state = 107, .external_lex_state = 6},
  [7356] = {.lex_state = 107, .external_lex_state = 6},
  [7357] = {.lex_state = 107, .external_lex_state = 6},
  [7358] = {.lex_state = 1301, .external_lex_state = 5},
  [7359] = {.lex_state = 107, .external_lex_state = 6},
  [7360] = {.lex_state = 107, .external_lex_state = 6},
  [7361] = {.lex_state = 1301, .external_lex_state = 5},
  [7362] = {.lex_state = 107, .external_lex_state = 6},
  [7363] = {.lex_state = 107, .external_lex_state = 6},
  [7364] = {.lex_state = 1301, .external_lex_state = 5},
  [7365] = {.lex_state = 1301, .external_lex_state = 5},
  [7366] = {.lex_state = 107, .external_lex_state = 6},
  [7367] = {.lex_state = 107, .external_lex_state = 6},
  [7368] = {.lex_state = 1301, .external_lex_state = 5},
  [7369] = {.lex_state = 107, .external_lex_state = 6},
  [7370] = {.lex_state = 107, .external_lex_state = 6},
  [7371] = {.lex_state = 1301, .external_lex_state = 5},
  [7372] = {.lex_state = 107, .external_lex_state = 6},
  [7373] = {.lex_state = 107, .external_lex_state = 6},
  [7374] = {.lex_state = 107, .external_lex_state = 6},
  [7375] = {.lex_state = 259, .external_lex_state = 6},
  [7376] = {.lex_state = 1301, .external_lex_state = 6},
  [7377] = {.lex_state = 107, .external_lex_state = 6},
  [7378] = {.lex_state = 107, .external_lex_state = 6},
  [7379] = {.lex_state = 316, .external_lex_state = 6},
  [7380] = {.lex_state = 1301, .external_lex_state = 5},
  [7381] = {.lex_state = 107, .external_lex_state = 6},
  [7382] = {.lex_state = 107, .external_lex_state = 6},
  [7383] = {.lex_state = 1301, .external_lex_state = 5},
  [7384] = {.lex_state = 1301, .external_lex_state = 5},
  [7385] = {.lex_state = 107, .external_lex_state = 6},
  [7386] = {.lex_state = 107, .external_lex_state = 6},
  [7387] = {.lex_state = 1301, .external_lex_state = 6},
  [7388] = {.lex_state = 107, .external_lex_state = 6},
  [7389] = {.lex_state = 107, .external_lex_state = 6},
  [7390] = {.lex_state = 1301, .external_lex_state = 5},
  [7391] = {.lex_state = 1301, .external_lex_state = 5},
  [7392] = {.lex_state = 107, .external_lex_state = 6},
  [7393] = {.lex_state = 107, .external_lex_state = 6},
  [7394] = {.lex_state = 1301, .external_lex_state = 5},
  [7395] = {.lex_state = 107, .external_lex_state = 6},
  [7396] = {.lex_state = 107, .external_lex_state = 6},
  [7397] = {.lex_state = 1301, .external_lex_state = 5},
  [7398] = {.lex_state = 107, .external_lex_state = 6},
  [7399] = {.lex_state = 107, .external_lex_state = 6},
  [7400] = {.lex_state = 1301, .external_lex_state = 5},
  [7401] = {.lex_state = 107, .external_lex_state = 6},
  [7402] = {.lex_state = 107, .external_lex_state = 6},
  [7403] = {.lex_state = 259, .external_lex_state = 6},
  [7404] = {.lex_state = 107, .external_lex_state = 6},
  [7405] = {.lex_state = 107, .external_lex_state = 6},
  [7406] = {.lex_state = 1301, .external_lex_state = 5},
  [7407] = {.lex_state = 107, .external_lex_state = 6},
  [7408] = {.lex_state = 107, .external_lex_state = 6},
  [7409] = {.lex_state = 1301, .external_lex_state = 5},
  [7410] = {.lex_state = 107, .external_lex_state = 6},
  [7411] = {.lex_state = 107, .external_lex_state = 6},
  [7412] = {.lex_state = 107, .external_lex_state = 6},
  [7413] = {.lex_state = 259, .external_lex_state = 6},
  [7414] = {.lex_state = 107, .external_lex_state = 6},
  [7415] = {.lex_state = 1301, .external_lex_state = 6},
  [7416] = {.lex_state = 259, .external_lex_state = 6},
  [7417] = {.lex_state = 1301, .external_lex_state = 5},
  [7418] = {.lex_state = 1301, .external_lex_state = 5},
  [7419] = {.lex_state = 1301, .external_lex_state = 5},
  [7420] = {.lex_state = 259, .external_lex_state = 6},
  [7421] = {.lex_state = 1301, .external_lex_state = 5},
  [7422] = {.lex_state = 1301, .external_lex_state = 5},
  [7423] = {.lex_state = 1301, .external_lex_state = 5},
  [7424] = {.lex_state = 1301, .external_lex_state = 5},
  [7425] = {.lex_state = 1301, .external_lex_state = 5},
  [7426] = {.lex_state = 1301, .external_lex_state = 5},
  [7427] = {.lex_state = 259, .external_lex_state = 6},
  [7428] = {.lex_state = 276, .external_lex_state = 6},
  [7429] = {.lex_state = 1301, .external_lex_state = 5},
  [7430] = {.lex_state = 1301, .external_lex_state = 5},
  [7431] = {.lex_state = 1301, .external_lex_state = 5},
  [7432] = {.lex_state = 1301, .external_lex_state = 5},
  [7433] = {.lex_state = 1301, .external_lex_state = 5},
  [7434] = {.lex_state = 1301, .external_lex_state = 5},
  [7435] = {.lex_state = 1301, .external_lex_state = 5},
  [7436] = {.lex_state = 1301, .external_lex_state = 5},
  [7437] = {.lex_state = 224, .external_lex_state = 6},
  [7438] = {.lex_state = 107, .external_lex_state = 6},
  [7439] = {.lex_state = 1301, .external_lex_state = 5},
  [7440] = {.lex_state = 1301, .external_lex_state = 6},
  [7441] = {.lex_state = 259, .external_lex_state = 6},
  [7442] = {.lex_state = 1301, .external_lex_state = 5},
  [7443] = {.lex_state = 318, .external_lex_state = 6},
  [7444] = {.lex_state = 1301, .external_lex_state = 6},
  [7445] = {.lex_state = 1301, .external_lex_state = 6},
  [7446] = {.lex_state = 1301, .external_lex_state = 5},
  [7447] = {.lex_state = 107, .external_lex_state = 6},
  [7448] = {.lex_state = 1301, .external_lex_state = 6},
  [7449] = {.lex_state = 117, .external_lex_state = 6},
  [7450] = {.lex_state = 259, .external_lex_state = 6},
  [7451] = {.lex_state = 259, .external_lex_state = 6},
  [7452] = {.lex_state = 1301, .external_lex_state = 5},
  [7453] = {.lex_state = 1301, .external_lex_state = 5},
  [7454] = {.lex_state = 1301, .external_lex_state = 5},
  [7455] = {.lex_state = 276, .external_lex_state = 6},
  [7456] = {.lex_state = 1301, .external_lex_state = 5},
  [7457] = {.lex_state = 1301, .external_lex_state = 5},
  [7458] = {.lex_state = 1301, .external_lex_state = 5},
  [7459] = {.lex_state = 1301, .external_lex_state = 5},
  [7460] = {.lex_state = 1301, .external_lex_state = 5},
  [7461] = {.lex_state = 259, .external_lex_state = 6},
  [7462] = {.lex_state = 1301, .external_lex_state = 5},
  [7463] = {.lex_state = 276, .external_lex_state = 6},
  [7464] = {.lex_state = 1301, .external_lex_state = 5},
  [7465] = {.lex_state = 1301, .external_lex_state = 5},
  [7466] = {.lex_state = 259, .external_lex_state = 6},
  [7467] = {.lex_state = 117, .external_lex_state = 6},
  [7468] = {.lex_state = 1301, .external_lex_state = 5},
  [7469] = {.lex_state = 259, .external_lex_state = 6},
  [7470] = {.lex_state = 1301, .external_lex_state = 5},
  [7471] = {.lex_state = 1301, .external_lex_state = 5},
  [7472] = {.lex_state = 1301, .external_lex_state = 5},
  [7473] = {.lex_state = 276, .external_lex_state = 6},
  [7474] = {.lex_state = 1301, .external_lex_state = 5},
  [7475] = {.lex_state = 1301, .external_lex_state = 5},
  [7476] = {.lex_state = 1301, .external_lex_state = 5},
  [7477] = {.lex_state = 259, .external_lex_state = 6},
  [7478] = {.lex_state = 107, .external_lex_state = 6},
  [7479] = {.lex_state = 259, .external_lex_state = 6},
  [7480] = {.lex_state = 1301, .external_lex_state = 5},
  [7481] = {.lex_state = 1301, .external_lex_state = 5},
  [7482] = {.lex_state = 1301, .external_lex_state = 5},
  [7483] = {.lex_state = 1301, .external_lex_state = 5},
  [7484] = {.lex_state = 1301, .external_lex_state = 5},
  [7485] = {.lex_state = 107, .external_lex_state = 6},
  [7486] = {.lex_state = 1301, .external_lex_state = 5},
  [7487] = {.lex_state = 1301, .external_lex_state = 5},
  [7488] = {.lex_state = 259, .external_lex_state = 6},
  [7489] = {.lex_state = 259, .external_lex_state = 6},
  [7490] = {.lex_state = 1301, .external_lex_state = 5},
  [7491] = {.lex_state = 1301, .external_lex_state = 6},
  [7492] = {.lex_state = 1301, .external_lex_state = 5},
  [7493] = {.lex_state = 217, .external_lex_state = 6},
  [7494] = {.lex_state = 217, .external_lex_state = 6},
  [7495] = {.lex_state = 1301, .external_lex_state = 5},
  [7496] = {.lex_state = 1301, .external_lex_state = 5},
  [7497] = {.lex_state = 107, .external_lex_state = 6},
  [7498] = {.lex_state = 276, .external_lex_state = 6},
  [7499] = {.lex_state = 1301, .external_lex_state = 5},
  [7500] = {.lex_state = 107, .external_lex_state = 6},
  [7501] = {.lex_state = 1301, .external_lex_state = 5},
  [7502] = {.lex_state = 1301, .external_lex_state = 5},
  [7503] = {.lex_state = 1301, .external_lex_state = 5},
  [7504] = {.lex_state = 1301, .external_lex_state = 5},
  [7505] = {.lex_state = 1301, .external_lex_state = 5},
  [7506] = {.lex_state = 1301, .external_lex_state = 5},
  [7507] = {.lex_state = 1301, .external_lex_state = 5},
  [7508] = {.lex_state = 259, .external_lex_state = 6},
  [7509] = {.lex_state = 276, .external_lex_state = 6},
  [7510] = {.lex_state = 107, .external_lex_state = 6},
  [7511] = {.lex_state = 259, .external_lex_state = 6},
  [7512] = {.lex_state = 1301, .external_lex_state = 5},
  [7513] = {.lex_state = 1301, .external_lex_state = 5},
  [7514] = {.lex_state = 1301, .external_lex_state = 5},
  [7515] = {.lex_state = 1301, .external_lex_state = 6},
  [7516] = {.lex_state = 276, .external_lex_state = 6},
  [7517] = {.lex_state = 259, .external_lex_state = 6},
  [7518] = {.lex_state = 1301, .external_lex_state = 5},
  [7519] = {.lex_state = 316, .external_lex_state = 6},
  [7520] = {.lex_state = 259, .external_lex_state = 6},
  [7521] = {.lex_state = 276, .external_lex_state = 6},
  [7522] = {.lex_state = 1301, .external_lex_state = 5},
  [7523] = {.lex_state = 1301, .external_lex_state = 6},
  [7524] = {.lex_state = 276, .external_lex_state = 6},
  [7525] = {.lex_state = 1301, .external_lex_state = 5},
  [7526] = {.lex_state = 107, .external_lex_state = 6},
  [7527] = {.lex_state = 1301, .external_lex_state = 5},
  [7528] = {.lex_state = 1301, .external_lex_state = 5},
  [7529] = {.lex_state = 107, .external_lex_state = 6},
  [7530] = {.lex_state = 1301, .external_lex_state = 5},
  [7531] = {.lex_state = 107, .external_lex_state = 6},
  [7532] = {.lex_state = 1301, .external_lex_state = 5},
  [7533] = {.lex_state = 107, .external_lex_state = 6},
  [7534] = {.lex_state = 107, .external_lex_state = 6},
  [7535] = {.lex_state = 318, .external_lex_state = 6},
  [7536] = {.lex_state = 1301, .external_lex_state = 6},
  [7537] = {.lex_state = 1301, .external_lex_state = 6},
  [7538] = {.lex_state = 107, .external_lex_state = 6},
  [7539] = {.lex_state = 276, .external_lex_state = 6},
  [7540] = {.lex_state = 107, .external_lex_state = 6},
  [7541] = {.lex_state = 107, .external_lex_state = 6},
  [7542] = {.lex_state = 1301, .external_lex_state = 5},
  [7543] = {.lex_state = 107, .external_lex_state = 6},
  [7544] = {.lex_state = 276, .external_lex_state = 6},
  [7545] = {.lex_state = 1301, .external_lex_state = 6},
  [7546] = {.lex_state = 259, .external_lex_state = 6},
  [7547] = {.lex_state = 1301, .external_lex_state = 5},
  [7548] = {.lex_state = 1301, .external_lex_state = 5},
  [7549] = {.lex_state = 1301, .external_lex_state = 5},
  [7550] = {.lex_state = 1301, .external_lex_state = 5},
  [7551] = {.lex_state = 1301, .external_lex_state = 5},
  [7552] = {.lex_state = 1301, .external_lex_state = 5},
  [7553] = {.lex_state = 1301, .external_lex_state = 5},
  [7554] = {.lex_state = 1301, .external_lex_state = 5},
  [7555] = {.lex_state = 107, .external_lex_state = 6},
  [7556] = {.lex_state = 1301, .external_lex_state = 5},
  [7557] = {.lex_state = 224, .external_lex_state = 6},
  [7558] = {.lex_state = 1301, .external_lex_state = 5},
  [7559] = {.lex_state = 1301, .external_lex_state = 5},
  [7560] = {.lex_state = 1301, .external_lex_state = 5},
  [7561] = {.lex_state = 1301, .external_lex_state = 5},
  [7562] = {.lex_state = 316, .external_lex_state = 6},
  [7563] = {.lex_state = 1301, .external_lex_state = 5},
  [7564] = {.lex_state = 1301, .external_lex_state = 6},
  [7565] = {.lex_state = 1301, .external_lex_state = 5},
  [7566] = {.lex_state = 1301, .external_lex_state = 5},
  [7567] = {.lex_state = 318, .external_lex_state = 6},
  [7568] = {.lex_state = 107, .external_lex_state = 6},
  [7569] = {.lex_state = 1301, .external_lex_state = 5},
  [7570] = {.lex_state = 259, .external_lex_state = 6},
  [7571] = {.lex_state = 1301, .external_lex_state = 5},
  [7572] = {.lex_state = 1301, .external_lex_state = 5},
  [7573] = {.lex_state = 1301, .external_lex_state = 5},
  [7574] = {.lex_state = 107, .external_lex_state = 6},
  [7575] = {.lex_state = 107, .external_lex_state = 6},
  [7576] = {.lex_state = 276, .external_lex_state = 6},
  [7577] = {.lex_state = 259, .external_lex_state = 6},
  [7578] = {.lex_state = 1301, .external_lex_state = 5},
  [7579] = {.lex_state = 1301, .external_lex_state = 5},
  [7580] = {.lex_state = 1301, .external_lex_state = 5},
  [7581] = {.lex_state = 1301, .external_lex_state = 6},
  [7582] = {.lex_state = 107, .external_lex_state = 6},
  [7583] = {.lex_state = 1301, .external_lex_state = 5},
  [7584] = {.lex_state = 1301, .external_lex_state = 5},
  [7585] = {.lex_state = 259, .external_lex_state = 6},
  [7586] = {.lex_state = 1301, .external_lex_state = 6},
  [7587] = {.lex_state = 259, .external_lex_state = 6},
  [7588] = {.lex_state = 107, .external_lex_state = 6},
  [7589] = {.lex_state = 276, .external_lex_state = 6},
  [7590] = {.lex_state = 1301, .external_lex_state = 5},
  [7591] = {.lex_state = 117, .external_lex_state = 6},
  [7592] = {.lex_state = 107, .external_lex_state = 6},
  [7593] = {.lex_state = 1301, .external_lex_state = 5},
  [7594] = {.lex_state = 1301, .external_lex_state = 5},
  [7595] = {.lex_state = 107, .external_lex_state = 6},
  [7596] = {.lex_state = 1301, .external_lex_state = 5},
  [7597] = {.lex_state = 1301, .external_lex_state = 5},
  [7598] = {.lex_state = 107, .external_lex_state = 6},
  [7599] = {.lex_state = 276, .external_lex_state = 6},
  [7600] = {.lex_state = 1301, .external_lex_state = 5},
  [7601] = {.lex_state = 276, .external_lex_state = 6},
  [7602] = {.lex_state = 1301, .external_lex_state = 5},
  [7603] = {.lex_state = 1301, .external_lex_state = 5},
  [7604] = {.lex_state = 107, .external_lex_state = 6},
  [7605] = {.lex_state = 1301, .external_lex_state = 5},
  [7606] = {.lex_state = 1301, .external_lex_state = 5},
  [7607] = {.lex_state = 276, .external_lex_state = 6},
  [7608] = {.lex_state = 1301, .external_lex_state = 5},
  [7609] = {.lex_state = 259, .external_lex_state = 6},
  [7610] = {.lex_state = 226, .external_lex_state = 6},
  [7611] = {.lex_state = 1301, .external_lex_state = 5},
  [7612] = {.lex_state = 1301, .external_lex_state = 5},
  [7613] = {.lex_state = 1301, .external_lex_state = 6},
  [7614] = {.lex_state = 1301, .external_lex_state = 6},
  [7615] = {.lex_state = 107, .external_lex_state = 6},
  [7616] = {.lex_state = 259, .external_lex_state = 6},
  [7617] = {.lex_state = 107, .external_lex_state = 6},
  [7618] = {.lex_state = 1301, .external_lex_state = 5},
  [7619] = {.lex_state = 1301, .external_lex_state = 5},
  [7620] = {.lex_state = 318, .external_lex_state = 6},
  [7621] = {.lex_state = 276, .external_lex_state = 6},
  [7622] = {.lex_state = 1301, .external_lex_state = 5},
  [7623] = {.lex_state = 1301, .external_lex_state = 5},
  [7624] = {.lex_state = 1301, .external_lex_state = 6},
  [7625] = {.lex_state = 117, .external_lex_state = 6},
  [7626] = {.lex_state = 1301, .external_lex_state = 5},
  [7627] = {.lex_state = 259, .external_lex_state = 6},
  [7628] = {.lex_state = 107, .external_lex_state = 6},
  [7629] = {.lex_state = 1301, .external_lex_state = 6},
  [7630] = {.lex_state = 1301, .external_lex_state = 5},
  [7631] = {.lex_state = 1301, .external_lex_state = 5},
  [7632] = {.lex_state = 1301, .external_lex_state = 5},
  [7633] = {.lex_state = 1301, .external_lex_state = 5},
  [7634] = {.lex_state = 1301, .external_lex_state = 5},
  [7635] = {.lex_state = 1301, .external_lex_state = 5},
  [7636] = {.lex_state = 1301, .external_lex_state = 5},
  [7637] = {.lex_state = 1301, .external_lex_state = 5},
  [7638] = {.lex_state = 276, .external_lex_state = 6},
  [7639] = {.lex_state = 217, .external_lex_state = 6},
  [7640] = {.lex_state = 1301, .external_lex_state = 5},
  [7641] = {.lex_state = 107, .external_lex_state = 6},
  [7642] = {.lex_state = 107, .external_lex_state = 6},
  [7643] = {.lex_state = 1301, .external_lex_state = 5},
  [7644] = {.lex_state = 1301, .external_lex_state = 5},
  [7645] = {.lex_state = 1301, .external_lex_state = 6},
  [7646] = {.lex_state = 1301, .external_lex_state = 6},
  [7647] = {.lex_state = 1301, .external_lex_state = 5},
  [7648] = {.lex_state = 1301, .external_lex_state = 5},
  [7649] = {.lex_state = 1301, .external_lex_state = 5},
  [7650] = {.lex_state = 107, .external_lex_state = 6},
  [7651] = {.lex_state = 1301, .external_lex_state = 6},
  [7652] = {.lex_state = 1301, .external_lex_state = 6},
  [7653] = {.lex_state = 259, .external_lex_state = 6},
  [7654] = {.lex_state = 1301, .external_lex_state = 5},
  [7655] = {.lex_state = 276, .external_lex_state = 6},
  [7656] = {.lex_state = 259, .external_lex_state = 6},
  [7657] = {.lex_state = 1301, .external_lex_state = 5},
  [7658] = {.lex_state = 217, .external_lex_state = 6},
  [7659] = {.lex_state = 1301, .external_lex_state = 6},
  [7660] = {.lex_state = 1301, .external_lex_state = 5},
  [7661] = {.lex_state = 1301, .external_lex_state = 6},
  [7662] = {.lex_state = 1301, .external_lex_state = 6},
  [7663] = {.lex_state = 1301, .external_lex_state = 5},
  [7664] = {.lex_state = 259, .external_lex_state = 6},
  [7665] = {.lex_state = 1301, .external_lex_state = 6},
  [7666] = {.lex_state = 1301, .external_lex_state = 6},
  [7667] = {.lex_state = 1301, .external_lex_state = 5},
  [7668] = {.lex_state = 107, .external_lex_state = 6},
  [7669] = {.lex_state = 318, .external_lex_state = 6},
  [7670] = {.lex_state = 1301, .external_lex_state = 6},
  [7671] = {.lex_state = 1301, .external_lex_state = 5},
  [7672] = {.lex_state = 1301, .external_lex_state = 6},
  [7673] = {.lex_state = 107, .external_lex_state = 6},
  [7674] = {.lex_state = 1301, .external_lex_state = 5},
  [7675] = {.lex_state = 107, .external_lex_state = 6},
  [7676] = {.lex_state = 1301, .external_lex_state = 5},
  [7677] = {.lex_state = 1301, .external_lex_state = 5},
  [7678] = {.lex_state = 1301, .external_lex_state = 5},
  [7679] = {.lex_state = 1301, .external_lex_state = 5},
  [7680] = {.lex_state = 1301, .external_lex_state = 5},
  [7681] = {.lex_state = 107, .external_lex_state = 6},
  [7682] = {.lex_state = 1301, .external_lex_state = 5},
  [7683] = {.lex_state = 217, .external_lex_state = 6},
  [7684] = {.lex_state = 1301, .external_lex_state = 5},
  [7685] = {.lex_state = 1301, .external_lex_state = 6},
  [7686] = {.lex_state = 1301, .external_lex_state = 5},
  [7687] = {.lex_state = 117, .external_lex_state = 6},
  [7688] = {.lex_state = 1301, .external_lex_state = 5},
  [7689] = {.lex_state = 107, .external_lex_state = 6},
  [7690] = {.lex_state = 314, .external_lex_state = 6},
  [7691] = {.lex_state = 1301, .external_lex_state = 5},
  [7692] = {.lex_state = 1301, .external_lex_state = 5},
  [7693] = {.lex_state = 1301, .external_lex_state = 5},
  [7694] = {.lex_state = 1301, .external_lex_state = 5},
  [7695] = {.lex_state = 1301, .external_lex_state = 5},
  [7696] = {.lex_state = 1301, .external_lex_state = 6},
  [7697] = {.lex_state = 1301, .external_lex_state = 5},
  [7698] = {.lex_state = 1301, .external_lex_state = 5},
  [7699] = {.lex_state = 107, .external_lex_state = 6},
  [7700] = {.lex_state = 1301, .external_lex_state = 5},
  [7701] = {.lex_state = 1301, .external_lex_state = 5},
  [7702] = {.lex_state = 1301, .external_lex_state = 5},
  [7703] = {.lex_state = 259, .external_lex_state = 6},
  [7704] = {.lex_state = 259, .external_lex_state = 6},
  [7705] = {.lex_state = 259, .external_lex_state = 6},
  [7706] = {.lex_state = 1301, .external_lex_state = 6},
  [7707] = {.lex_state = 264, .external_lex_state = 6},
  [7708] = {.lex_state = 264, .external_lex_state = 6},
  [7709] = {.lex_state = 264, .external_lex_state = 6},
  [7710] = {.lex_state = 264, .external_lex_state = 6},
  [7711] = {.lex_state = 264, .external_lex_state = 6},
  [7712] = {.lex_state = 264, .external_lex_state = 6},
  [7713] = {.lex_state = 264, .external_lex_state = 6},
  [7714] = {.lex_state = 264, .external_lex_state = 6},
  [7715] = {.lex_state = 264, .external_lex_state = 6},
  [7716] = {.lex_state = 264, .external_lex_state = 6},
  [7717] = {.lex_state = 264, .external_lex_state = 6},
  [7718] = {.lex_state = 1301, .external_lex_state = 6},
  [7719] = {.lex_state = 117, .external_lex_state = 6},
  [7720] = {.lex_state = 264, .external_lex_state = 6},
  [7721] = {.lex_state = 97, .external_lex_state = 6},
  [7722] = {.lex_state = 264, .external_lex_state = 6},
  [7723] = {.lex_state = 259, .external_lex_state = 6},
  [7724] = {.lex_state = 1301, .external_lex_state = 12},
  [7725] = {.lex_state = 117, .external_lex_state = 6},
  [7726] = {.lex_state = 108, .external_lex_state = 6},
  [7727] = {.lex_state = 1301, .external_lex_state = 6},
  [7728] = {.lex_state = 108, .external_lex_state = 6},
  [7729] = {.lex_state = 1301, .external_lex_state = 6},
  [7730] = {.lex_state = 1301, .external_lex_state = 6},
  [7731] = {.lex_state = 264, .external_lex_state = 6},
  [7732] = {.lex_state = 108, .external_lex_state = 6},
  [7733] = {.lex_state = 259, .external_lex_state = 6},
  [7734] = {.lex_state = 264, .external_lex_state = 6},
  [7735] = {.lex_state = 264, .external_lex_state = 6},
  [7736] = {.lex_state = 1301, .external_lex_state = 6},
  [7737] = {.lex_state = 264, .external_lex_state = 6},
  [7738] = {.lex_state = 264, .external_lex_state = 6},
  [7739] = {.lex_state = 264, .external_lex_state = 6},
  [7740] = {.lex_state = 108, .external_lex_state = 6},
  [7741] = {.lex_state = 264, .external_lex_state = 6},
  [7742] = {.lex_state = 264, .external_lex_state = 6},
  [7743] = {.lex_state = 1301, .external_lex_state = 6},
  [7744] = {.lex_state = 97, .external_lex_state = 6},
  [7745] = {.lex_state = 264, .external_lex_state = 6},
  [7746] = {.lex_state = 117, .external_lex_state = 6},
  [7747] = {.lex_state = 264, .external_lex_state = 6},
  [7748] = {.lex_state = 97, .external_lex_state = 6},
  [7749] = {.lex_state = 264, .external_lex_state = 6},
  [7750] = {.lex_state = 264, .external_lex_state = 6},
  [7751] = {.lex_state = 1301, .external_lex_state = 6},
  [7752] = {.lex_state = 264, .external_lex_state = 6},
  [7753] = {.lex_state = 264, .external_lex_state = 6},
  [7754] = {.lex_state = 264, .external_lex_state = 6},
  [7755] = {.lex_state = 264, .external_lex_state = 6},
  [7756] = {.lex_state = 264, .external_lex_state = 6},
  [7757] = {.lex_state = 264, .external_lex_state = 6},
  [7758] = {.lex_state = 264, .external_lex_state = 6},
  [7759] = {.lex_state = 264, .external_lex_state = 6},
  [7760] = {.lex_state = 97, .external_lex_state = 6},
  [7761] = {.lex_state = 264, .external_lex_state = 6},
  [7762] = {.lex_state = 1301, .external_lex_state = 6},
  [7763] = {.lex_state = 264, .external_lex_state = 6},
  [7764] = {.lex_state = 264, .external_lex_state = 6},
  [7765] = {.lex_state = 1301, .external_lex_state = 12},
  [7766] = {.lex_state = 117, .external_lex_state = 6},
  [7767] = {.lex_state = 264, .external_lex_state = 6},
  [7768] = {.lex_state = 264, .external_lex_state = 6},
  [7769] = {.lex_state = 108, .external_lex_state = 6},
  [7770] = {.lex_state = 264, .external_lex_state = 6},
  [7771] = {.lex_state = 108, .external_lex_state = 6},
  [7772] = {.lex_state = 264, .external_lex_state = 6},
  [7773] = {.lex_state = 264, .external_lex_state = 6},
  [7774] = {.lex_state = 264, .external_lex_state = 6},
  [7775] = {.lex_state = 108, .external_lex_state = 6},
  [7776] = {.lex_state = 264, .external_lex_state = 6},
  [7777] = {.lex_state = 264, .external_lex_state = 6},
  [7778] = {.lex_state = 264, .external_lex_state = 6},
  [7779] = {.lex_state = 108, .external_lex_state = 6},
  [7780] = {.lex_state = 264, .external_lex_state = 6},
  [7781] = {.lex_state = 264, .external_lex_state = 6},
  [7782] = {.lex_state = 264, .external_lex_state = 6},
  [7783] = {.lex_state = 264, .external_lex_state = 6},
  [7784] = {.lex_state = 264, .external_lex_state = 6},
  [7785] = {.lex_state = 264, .external_lex_state = 6},
  [7786] = {.lex_state = 1301, .external_lex_state = 6},
  [7787] = {.lex_state = 264, .external_lex_state = 6},
  [7788] = {.lex_state = 1301, .external_lex_state = 6},
  [7789] = {.lex_state = 264, .external_lex_state = 6},
  [7790] = {.lex_state = 264, .external_lex_state = 6},
  [7791] = {.lex_state = 264, .external_lex_state = 6},
  [7792] = {.lex_state = 217, .external_lex_state = 6},
  [7793] = {.lex_state = 1301, .external_lex_state = 12},
  [7794] = {.lex_state = 264, .external_lex_state = 6},
  [7795] = {.lex_state = 117, .external_lex_state = 6},
  [7796] = {.lex_state = 264, .external_lex_state = 6},
  [7797] = {.lex_state = 1301, .external_lex_state = 6},
  [7798] = {.lex_state = 117, .external_lex_state = 6},
  [7799] = {.lex_state = 108, .external_lex_state = 6},
  [7800] = {.lex_state = 1301, .external_lex_state = 6},
  [7801] = {.lex_state = 108, .external_lex_state = 6},
  [7802] = {.lex_state = 264, .external_lex_state = 6},
  [7803] = {.lex_state = 108, .external_lex_state = 6},
  [7804] = {.lex_state = 259, .external_lex_state = 6},
  [7805] = {.lex_state = 264, .external_lex_state = 6},
  [7806] = {.lex_state = 264, .external_lex_state = 6},
  [7807] = {.lex_state = 108, .external_lex_state = 6},
  [7808] = {.lex_state = 264, .external_lex_state = 6},
  [7809] = {.lex_state = 264, .external_lex_state = 6},
  [7810] = {.lex_state = 264, .external_lex_state = 6},
  [7811] = {.lex_state = 264, .external_lex_state = 6},
  [7812] = {.lex_state = 276, .external_lex_state = 6},
  [7813] = {.lex_state = 259, .external_lex_state = 6},
  [7814] = {.lex_state = 264, .external_lex_state = 6},
  [7815] = {.lex_state = 264, .external_lex_state = 6},
  [7816] = {.lex_state = 264, .external_lex_state = 6},
  [7817] = {.lex_state = 264, .external_lex_state = 6},
  [7818] = {.lex_state = 264, .external_lex_state = 6},
  [7819] = {.lex_state = 264, .external_lex_state = 6},
  [7820] = {.lex_state = 264, .external_lex_state = 6},
  [7821] = {.lex_state = 264, .external_lex_state = 6},
  [7822] = {.lex_state = 264, .external_lex_state = 6},
  [7823] = {.lex_state = 97, .external_lex_state = 6},
  [7824] = {.lex_state = 264, .external_lex_state = 6},
  [7825] = {.lex_state = 264, .external_lex_state = 6},
  [7826] = {.lex_state = 264, .external_lex_state = 6},
  [7827] = {.lex_state = 264, .external_lex_state = 6},
  [7828] = {.lex_state = 264, .external_lex_state = 6},
  [7829] = {.lex_state = 264, .external_lex_state = 6},
  [7830] = {.lex_state = 117, .external_lex_state = 6},
  [7831] = {.lex_state = 264, .external_lex_state = 6},
  [7832] = {.lex_state = 264, .external_lex_state = 6},
  [7833] = {.lex_state = 108, .external_lex_state = 6},
  [7834] = {.lex_state = 108, .external_lex_state = 6},
  [7835] = {.lex_state = 108, .external_lex_state = 6},
  [7836] = {.lex_state = 264, .external_lex_state = 6},
  [7837] = {.lex_state = 264, .external_lex_state = 6},
  [7838] = {.lex_state = 1301, .external_lex_state = 6},
  [7839] = {.lex_state = 108, .external_lex_state = 6},
  [7840] = {.lex_state = 264, .external_lex_state = 6},
  [7841] = {.lex_state = 264, .external_lex_state = 6},
  [7842] = {.lex_state = 264, .external_lex_state = 6},
  [7843] = {.lex_state = 1301, .external_lex_state = 6},
  [7844] = {.lex_state = 264, .external_lex_state = 6},
  [7845] = {.lex_state = 264, .external_lex_state = 6},
  [7846] = {.lex_state = 264, .external_lex_state = 6},
  [7847] = {.lex_state = 264, .external_lex_state = 6},
  [7848] = {.lex_state = 264, .external_lex_state = 6},
  [7849] = {.lex_state = 276, .external_lex_state = 6},
  [7850] = {.lex_state = 108, .external_lex_state = 6},
  [7851] = {.lex_state = 264, .external_lex_state = 6},
  [7852] = {.lex_state = 264, .external_lex_state = 6},
  [7853] = {.lex_state = 264, .external_lex_state = 6},
  [7854] = {.lex_state = 264, .external_lex_state = 6},
  [7855] = {.lex_state = 1301, .external_lex_state = 6},
  [7856] = {.lex_state = 264, .external_lex_state = 6},
  [7857] = {.lex_state = 259, .external_lex_state = 6},
  [7858] = {.lex_state = 264, .external_lex_state = 6},
  [7859] = {.lex_state = 259, .external_lex_state = 6},
  [7860] = {.lex_state = 264, .external_lex_state = 6},
  [7861] = {.lex_state = 1301, .external_lex_state = 6},
  [7862] = {.lex_state = 117, .external_lex_state = 6},
  [7863] = {.lex_state = 264, .external_lex_state = 6},
  [7864] = {.lex_state = 264, .external_lex_state = 6},
  [7865] = {.lex_state = 108, .external_lex_state = 6},
  [7866] = {.lex_state = 264, .external_lex_state = 6},
  [7867] = {.lex_state = 108, .external_lex_state = 6},
  [7868] = {.lex_state = 264, .external_lex_state = 6},
  [7869] = {.lex_state = 264, .external_lex_state = 6},
  [7870] = {.lex_state = 1301, .external_lex_state = 6},
  [7871] = {.lex_state = 108, .external_lex_state = 6},
  [7872] = {.lex_state = 264, .external_lex_state = 6},
  [7873] = {.lex_state = 264, .external_lex_state = 6},
  [7874] = {.lex_state = 264, .external_lex_state = 6},
  [7875] = {.lex_state = 264, .external_lex_state = 6},
  [7876] = {.lex_state = 108, .external_lex_state = 6},
  [7877] = {.lex_state = 264, .external_lex_state = 6},
  [7878] = {.lex_state = 264, .external_lex_state = 6},
  [7879] = {.lex_state = 264, .external_lex_state = 6},
  [7880] = {.lex_state = 264, .external_lex_state = 6},
  [7881] = {.lex_state = 264, .external_lex_state = 6},
  [7882] = {.lex_state = 264, .external_lex_state = 6},
  [7883] = {.lex_state = 264, .external_lex_state = 6},
  [7884] = {.lex_state = 1301, .external_lex_state = 6},
  [7885] = {.lex_state = 264, .external_lex_state = 6},
  [7886] = {.lex_state = 264, .external_lex_state = 6},
  [7887] = {.lex_state = 1301, .external_lex_state = 6},
  [7888] = {.lex_state = 264, .external_lex_state = 6},
  [7889] = {.lex_state = 264, .external_lex_state = 6},
  [7890] = {.lex_state = 264, .external_lex_state = 6},
  [7891] = {.lex_state = 259, .external_lex_state = 6},
  [7892] = {.lex_state = 264, .external_lex_state = 6},
  [7893] = {.lex_state = 117, .external_lex_state = 6},
  [7894] = {.lex_state = 1301, .external_lex_state = 6},
  [7895] = {.lex_state = 1301, .external_lex_state = 6},
  [7896] = {.lex_state = 108, .external_lex_state = 6},
  [7897] = {.lex_state = 108, .external_lex_state = 6},
  [7898] = {.lex_state = 264, .external_lex_state = 6},
  [7899] = {.lex_state = 264, .external_lex_state = 6},
  [7900] = {.lex_state = 108, .external_lex_state = 6},
  [7901] = {.lex_state = 264, .external_lex_state = 6},
  [7902] = {.lex_state = 264, .external_lex_state = 6},
  [7903] = {.lex_state = 264, .external_lex_state = 6},
  [7904] = {.lex_state = 264, .external_lex_state = 6},
  [7905] = {.lex_state = 264, .external_lex_state = 6},
  [7906] = {.lex_state = 264, .external_lex_state = 6},
  [7907] = {.lex_state = 264, .external_lex_state = 6},
  [7908] = {.lex_state = 264, .external_lex_state = 6},
  [7909] = {.lex_state = 117, .external_lex_state = 6},
  [7910] = {.lex_state = 276, .external_lex_state = 6},
  [7911] = {.lex_state = 264, .external_lex_state = 6},
  [7912] = {.lex_state = 108, .external_lex_state = 6},
  [7913] = {.lex_state = 108, .external_lex_state = 6},
  [7914] = {.lex_state = 264, .external_lex_state = 6},
  [7915] = {.lex_state = 264, .external_lex_state = 6},
  [7916] = {.lex_state = 108, .external_lex_state = 6},
  [7917] = {.lex_state = 264, .external_lex_state = 6},
  [7918] = {.lex_state = 264, .external_lex_state = 6},
  [7919] = {.lex_state = 264, .external_lex_state = 6},
  [7920] = {.lex_state = 264, .external_lex_state = 6},
  [7921] = {.lex_state = 264, .external_lex_state = 6},
  [7922] = {.lex_state = 264, .external_lex_state = 6},
  [7923] = {.lex_state = 264, .external_lex_state = 6},
  [7924] = {.lex_state = 264, .external_lex_state = 6},
  [7925] = {.lex_state = 117, .external_lex_state = 6},
  [7926] = {.lex_state = 1301, .external_lex_state = 6},
  [7927] = {.lex_state = 264, .external_lex_state = 6},
  [7928] = {.lex_state = 108, .external_lex_state = 6},
  [7929] = {.lex_state = 108, .external_lex_state = 6},
  [7930] = {.lex_state = 264, .external_lex_state = 6},
  [7931] = {.lex_state = 264, .external_lex_state = 6},
  [7932] = {.lex_state = 108, .external_lex_state = 6},
  [7933] = {.lex_state = 264, .external_lex_state = 6},
  [7934] = {.lex_state = 264, .external_lex_state = 6},
  [7935] = {.lex_state = 264, .external_lex_state = 6},
  [7936] = {.lex_state = 264, .external_lex_state = 6},
  [7937] = {.lex_state = 264, .external_lex_state = 6},
  [7938] = {.lex_state = 264, .external_lex_state = 6},
  [7939] = {.lex_state = 264, .external_lex_state = 6},
  [7940] = {.lex_state = 108, .external_lex_state = 6},
  [7941] = {.lex_state = 117, .external_lex_state = 6},
  [7942] = {.lex_state = 264, .external_lex_state = 6},
  [7943] = {.lex_state = 264, .external_lex_state = 6},
  [7944] = {.lex_state = 108, .external_lex_state = 6},
  [7945] = {.lex_state = 108, .external_lex_state = 6},
  [7946] = {.lex_state = 264, .external_lex_state = 6},
  [7947] = {.lex_state = 108, .external_lex_state = 6},
  [7948] = {.lex_state = 264, .external_lex_state = 6},
  [7949] = {.lex_state = 117, .external_lex_state = 6},
  [7950] = {.lex_state = 264, .external_lex_state = 6},
  [7951] = {.lex_state = 264, .external_lex_state = 6},
  [7952] = {.lex_state = 108, .external_lex_state = 6},
  [7953] = {.lex_state = 108, .external_lex_state = 6},
  [7954] = {.lex_state = 264, .external_lex_state = 6},
  [7955] = {.lex_state = 108, .external_lex_state = 6},
  [7956] = {.lex_state = 264, .external_lex_state = 6},
  [7957] = {.lex_state = 117, .external_lex_state = 6},
  [7958] = {.lex_state = 1301, .external_lex_state = 6},
  [7959] = {.lex_state = 264, .external_lex_state = 6},
  [7960] = {.lex_state = 108, .external_lex_state = 6},
  [7961] = {.lex_state = 108, .external_lex_state = 6},
  [7962] = {.lex_state = 264, .external_lex_state = 6},
  [7963] = {.lex_state = 108, .external_lex_state = 6},
  [7964] = {.lex_state = 264, .external_lex_state = 6},
  [7965] = {.lex_state = 117, .external_lex_state = 6},
  [7966] = {.lex_state = 264, .external_lex_state = 6},
  [7967] = {.lex_state = 264, .external_lex_state = 6},
  [7968] = {.lex_state = 108, .external_lex_state = 6},
  [7969] = {.lex_state = 108, .external_lex_state = 6},
  [7970] = {.lex_state = 264, .external_lex_state = 6},
  [7971] = {.lex_state = 108, .external_lex_state = 6},
  [7972] = {.lex_state = 1301, .external_lex_state = 6},
  [7973] = {.lex_state = 117, .external_lex_state = 6},
  [7974] = {.lex_state = 108, .external_lex_state = 6},
  [7975] = {.lex_state = 259, .external_lex_state = 6},
  [7976] = {.lex_state = 108, .external_lex_state = 6},
  [7977] = {.lex_state = 108, .external_lex_state = 6},
  [7978] = {.lex_state = 1301, .external_lex_state = 6},
  [7979] = {.lex_state = 108, .external_lex_state = 6},
  [7980] = {.lex_state = 264, .external_lex_state = 6},
  [7981] = {.lex_state = 117, .external_lex_state = 6},
  [7982] = {.lex_state = 264, .external_lex_state = 6},
  [7983] = {.lex_state = 264, .external_lex_state = 6},
  [7984] = {.lex_state = 108, .external_lex_state = 6},
  [7985] = {.lex_state = 108, .external_lex_state = 6},
  [7986] = {.lex_state = 264, .external_lex_state = 6},
  [7987] = {.lex_state = 108, .external_lex_state = 6},
  [7988] = {.lex_state = 1301, .external_lex_state = 6},
  [7989] = {.lex_state = 117, .external_lex_state = 6},
  [7990] = {.lex_state = 264, .external_lex_state = 6},
  [7991] = {.lex_state = 264, .external_lex_state = 6},
  [7992] = {.lex_state = 108, .external_lex_state = 6},
  [7993] = {.lex_state = 108, .external_lex_state = 6},
  [7994] = {.lex_state = 1301, .external_lex_state = 6},
  [7995] = {.lex_state = 108, .external_lex_state = 6},
  [7996] = {.lex_state = 264, .external_lex_state = 6},
  [7997] = {.lex_state = 117, .external_lex_state = 6},
  [7998] = {.lex_state = 264, .external_lex_state = 6},
  [7999] = {.lex_state = 1301, .external_lex_state = 12},
  [8000] = {.lex_state = 108, .external_lex_state = 6},
  [8001] = {.lex_state = 108, .external_lex_state = 6},
  [8002] = {.lex_state = 117, .external_lex_state = 6},
  [8003] = {.lex_state = 108, .external_lex_state = 6},
  [8004] = {.lex_state = 264, .external_lex_state = 6},
  [8005] = {.lex_state = 117, .external_lex_state = 6},
  [8006] = {.lex_state = 264, .external_lex_state = 6},
  [8007] = {.lex_state = 108, .external_lex_state = 6},
  [8008] = {.lex_state = 108, .external_lex_state = 6},
  [8009] = {.lex_state = 108, .external_lex_state = 6},
  [8010] = {.lex_state = 259, .external_lex_state = 6},
  [8011] = {.lex_state = 108, .external_lex_state = 6},
  [8012] = {.lex_state = 264, .external_lex_state = 6},
  [8013] = {.lex_state = 117, .external_lex_state = 6},
  [8014] = {.lex_state = 264, .external_lex_state = 6},
  [8015] = {.lex_state = 264, .external_lex_state = 6},
  [8016] = {.lex_state = 108, .external_lex_state = 6},
  [8017] = {.lex_state = 108, .external_lex_state = 6},
  [8018] = {.lex_state = 259, .external_lex_state = 6},
  [8019] = {.lex_state = 108, .external_lex_state = 6},
  [8020] = {.lex_state = 264, .external_lex_state = 6},
  [8021] = {.lex_state = 117, .external_lex_state = 6},
  [8022] = {.lex_state = 264, .external_lex_state = 6},
  [8023] = {.lex_state = 264, .external_lex_state = 6},
  [8024] = {.lex_state = 108, .external_lex_state = 6},
  [8025] = {.lex_state = 108, .external_lex_state = 6},
  [8026] = {.lex_state = 264, .external_lex_state = 6},
  [8027] = {.lex_state = 108, .external_lex_state = 6},
  [8028] = {.lex_state = 264, .external_lex_state = 6},
  [8029] = {.lex_state = 117, .external_lex_state = 6},
  [8030] = {.lex_state = 1301, .external_lex_state = 12},
  [8031] = {.lex_state = 264, .external_lex_state = 6},
  [8032] = {.lex_state = 108, .external_lex_state = 6},
  [8033] = {.lex_state = 108, .external_lex_state = 6},
  [8034] = {.lex_state = 259, .external_lex_state = 6},
  [8035] = {.lex_state = 108, .external_lex_state = 6},
  [8036] = {.lex_state = 117, .external_lex_state = 6},
  [8037] = {.lex_state = 117, .external_lex_state = 6},
  [8038] = {.lex_state = 1301, .external_lex_state = 12},
  [8039] = {.lex_state = 117, .external_lex_state = 6},
  [8040] = {.lex_state = 108, .external_lex_state = 6},
  [8041] = {.lex_state = 108, .external_lex_state = 6},
  [8042] = {.lex_state = 1301, .external_lex_state = 6},
  [8043] = {.lex_state = 108, .external_lex_state = 6},
  [8044] = {.lex_state = 264, .external_lex_state = 6},
  [8045] = {.lex_state = 117, .external_lex_state = 6},
  [8046] = {.lex_state = 108, .external_lex_state = 6},
  [8047] = {.lex_state = 264, .external_lex_state = 6},
  [8048] = {.lex_state = 108, .external_lex_state = 6},
  [8049] = {.lex_state = 108, .external_lex_state = 6},
  [8050] = {.lex_state = 264, .external_lex_state = 6},
  [8051] = {.lex_state = 108, .external_lex_state = 6},
  [8052] = {.lex_state = 259, .external_lex_state = 6},
  [8053] = {.lex_state = 117, .external_lex_state = 6},
  [8054] = {.lex_state = 264, .external_lex_state = 6},
  [8055] = {.lex_state = 1301, .external_lex_state = 6},
  [8056] = {.lex_state = 108, .external_lex_state = 6},
  [8057] = {.lex_state = 108, .external_lex_state = 6},
  [8058] = {.lex_state = 264, .external_lex_state = 6},
  [8059] = {.lex_state = 108, .external_lex_state = 6},
  [8060] = {.lex_state = 264, .external_lex_state = 6},
  [8061] = {.lex_state = 117, .external_lex_state = 6},
  [8062] = {.lex_state = 108, .external_lex_state = 6},
  [8063] = {.lex_state = 264, .external_lex_state = 6},
  [8064] = {.lex_state = 108, .external_lex_state = 6},
  [8065] = {.lex_state = 108, .external_lex_state = 6},
  [8066] = {.lex_state = 264, .external_lex_state = 6},
  [8067] = {.lex_state = 108, .external_lex_state = 6},
  [8068] = {.lex_state = 264, .external_lex_state = 6},
  [8069] = {.lex_state = 117, .external_lex_state = 6},
  [8070] = {.lex_state = 264, .external_lex_state = 6},
  [8071] = {.lex_state = 264, .external_lex_state = 6},
  [8072] = {.lex_state = 108, .external_lex_state = 6},
  [8073] = {.lex_state = 108, .external_lex_state = 6},
  [8074] = {.lex_state = 108, .external_lex_state = 6},
  [8075] = {.lex_state = 108, .external_lex_state = 6},
  [8076] = {.lex_state = 264, .external_lex_state = 6},
  [8077] = {.lex_state = 117, .external_lex_state = 6},
  [8078] = {.lex_state = 264, .external_lex_state = 6},
  [8079] = {.lex_state = 259, .external_lex_state = 6},
  [8080] = {.lex_state = 108, .external_lex_state = 6},
  [8081] = {.lex_state = 108, .external_lex_state = 6},
  [8082] = {.lex_state = 97, .external_lex_state = 6},
  [8083] = {.lex_state = 108, .external_lex_state = 6},
  [8084] = {.lex_state = 264, .external_lex_state = 6},
  [8085] = {.lex_state = 117, .external_lex_state = 6},
  [8086] = {.lex_state = 264, .external_lex_state = 6},
  [8087] = {.lex_state = 264, .external_lex_state = 6},
  [8088] = {.lex_state = 108, .external_lex_state = 6},
  [8089] = {.lex_state = 108, .external_lex_state = 6},
  [8090] = {.lex_state = 264, .external_lex_state = 6},
  [8091] = {.lex_state = 108, .external_lex_state = 6},
  [8092] = {.lex_state = 97, .external_lex_state = 6},
  [8093] = {.lex_state = 117, .external_lex_state = 6},
  [8094] = {.lex_state = 264, .external_lex_state = 6},
  [8095] = {.lex_state = 264, .external_lex_state = 6},
  [8096] = {.lex_state = 108, .external_lex_state = 6},
  [8097] = {.lex_state = 108, .external_lex_state = 6},
  [8098] = {.lex_state = 264, .external_lex_state = 6},
  [8099] = {.lex_state = 108, .external_lex_state = 6},
  [8100] = {.lex_state = 1301, .external_lex_state = 6},
  [8101] = {.lex_state = 117, .external_lex_state = 6},
  [8102] = {.lex_state = 97, .external_lex_state = 6},
  [8103] = {.lex_state = 264, .external_lex_state = 6},
  [8104] = {.lex_state = 108, .external_lex_state = 6},
  [8105] = {.lex_state = 108, .external_lex_state = 6},
  [8106] = {.lex_state = 1301, .external_lex_state = 6},
  [8107] = {.lex_state = 108, .external_lex_state = 6},
  [8108] = {.lex_state = 108, .external_lex_state = 6},
  [8109] = {.lex_state = 117, .external_lex_state = 6},
  [8110] = {.lex_state = 264, .external_lex_state = 6},
  [8111] = {.lex_state = 264, .external_lex_state = 6},
  [8112] = {.lex_state = 108, .external_lex_state = 6},
  [8113] = {.lex_state = 108, .external_lex_state = 6},
  [8114] = {.lex_state = 264, .external_lex_state = 6},
  [8115] = {.lex_state = 108, .external_lex_state = 6},
  [8116] = {.lex_state = 264, .external_lex_state = 6},
  [8117] = {.lex_state = 117, .external_lex_state = 6},
  [8118] = {.lex_state = 1301, .external_lex_state = 6},
  [8119] = {.lex_state = 264, .external_lex_state = 6},
  [8120] = {.lex_state = 108, .external_lex_state = 6},
  [8121] = {.lex_state = 108, .external_lex_state = 6},
  [8122] = {.lex_state = 108, .external_lex_state = 6},
  [8123] = {.lex_state = 108, .external_lex_state = 6},
  [8124] = {.lex_state = 97, .external_lex_state = 6},
  [8125] = {.lex_state = 117, .external_lex_state = 6},
  [8126] = {.lex_state = 264, .external_lex_state = 6},
  [8127] = {.lex_state = 264, .external_lex_state = 6},
  [8128] = {.lex_state = 108, .external_lex_state = 6},
  [8129] = {.lex_state = 108, .external_lex_state = 6},
  [8130] = {.lex_state = 264, .external_lex_state = 6},
  [8131] = {.lex_state = 108, .external_lex_state = 6},
  [8132] = {.lex_state = 264, .external_lex_state = 6},
  [8133] = {.lex_state = 117, .external_lex_state = 6},
  [8134] = {.lex_state = 264, .external_lex_state = 6},
  [8135] = {.lex_state = 276, .external_lex_state = 6},
  [8136] = {.lex_state = 108, .external_lex_state = 6},
  [8137] = {.lex_state = 108, .external_lex_state = 6},
  [8138] = {.lex_state = 1301, .external_lex_state = 6},
  [8139] = {.lex_state = 108, .external_lex_state = 6},
  [8140] = {.lex_state = 259, .external_lex_state = 6},
  [8141] = {.lex_state = 264, .external_lex_state = 6},
  [8142] = {.lex_state = 264, .external_lex_state = 6},
  [8143] = {.lex_state = 264, .external_lex_state = 6},
  [8144] = {.lex_state = 1301, .external_lex_state = 6},
  [8145] = {.lex_state = 264, .external_lex_state = 6},
  [8146] = {.lex_state = 276, .external_lex_state = 6},
  [8147] = {.lex_state = 1301, .external_lex_state = 6},
  [8148] = {.lex_state = 264, .external_lex_state = 6},
  [8149] = {.lex_state = 264, .external_lex_state = 6},
  [8150] = {.lex_state = 264, .external_lex_state = 6},
  [8151] = {.lex_state = 264, .external_lex_state = 6},
  [8152] = {.lex_state = 264, .external_lex_state = 6},
  [8153] = {.lex_state = 1301, .external_lex_state = 6},
  [8154] = {.lex_state = 264, .external_lex_state = 6},
  [8155] = {.lex_state = 264, .external_lex_state = 6},
  [8156] = {.lex_state = 1301, .external_lex_state = 6},
  [8157] = {.lex_state = 1301, .external_lex_state = 6},
  [8158] = {.lex_state = 264, .external_lex_state = 6},
  [8159] = {.lex_state = 264, .external_lex_state = 6},
  [8160] = {.lex_state = 264, .external_lex_state = 6},
  [8161] = {.lex_state = 264, .external_lex_state = 6},
  [8162] = {.lex_state = 1301, .external_lex_state = 6},
  [8163] = {.lex_state = 97, .external_lex_state = 6},
  [8164] = {.lex_state = 264, .external_lex_state = 6},
  [8165] = {.lex_state = 259, .external_lex_state = 6},
  [8166] = {.lex_state = 276, .external_lex_state = 6},
  [8167] = {.lex_state = 264, .external_lex_state = 6},
  [8168] = {.lex_state = 264, .external_lex_state = 6},
  [8169] = {.lex_state = 264, .external_lex_state = 6},
  [8170] = {.lex_state = 1301, .external_lex_state = 6},
  [8171] = {.lex_state = 264, .external_lex_state = 6},
  [8172] = {.lex_state = 1301, .external_lex_state = 6},
  [8173] = {.lex_state = 264, .external_lex_state = 6},
  [8174] = {.lex_state = 264, .external_lex_state = 6},
  [8175] = {.lex_state = 264, .external_lex_state = 6},
  [8176] = {.lex_state = 97, .external_lex_state = 6},
  [8177] = {.lex_state = 264, .external_lex_state = 6},
  [8178] = {.lex_state = 264, .external_lex_state = 6},
  [8179] = {.lex_state = 1301, .external_lex_state = 6},
  [8180] = {.lex_state = 322, .external_lex_state = 6},
  [8181] = {.lex_state = 1301, .external_lex_state = 6},
  [8182] = {.lex_state = 1301, .external_lex_state = 6},
  [8183] = {.lex_state = 1301, .external_lex_state = 6},
  [8184] = {.lex_state = 108, .external_lex_state = 6},
  [8185] = {.lex_state = 264, .external_lex_state = 6},
  [8186] = {.lex_state = 117, .external_lex_state = 6},
  [8187] = {.lex_state = 259, .external_lex_state = 6},
  [8188] = {.lex_state = 264, .external_lex_state = 6},
  [8189] = {.lex_state = 1301, .external_lex_state = 6},
  [8190] = {.lex_state = 264, .external_lex_state = 6},
  [8191] = {.lex_state = 264, .external_lex_state = 6},
  [8192] = {.lex_state = 1301, .external_lex_state = 6},
  [8193] = {.lex_state = 264, .external_lex_state = 6},
  [8194] = {.lex_state = 264, .external_lex_state = 6},
  [8195] = {.lex_state = 264, .external_lex_state = 6},
  [8196] = {.lex_state = 276, .external_lex_state = 6},
  [8197] = {.lex_state = 259, .external_lex_state = 6},
  [8198] = {.lex_state = 1301, .external_lex_state = 6},
  [8199] = {.lex_state = 264, .external_lex_state = 6},
  [8200] = {.lex_state = 264, .external_lex_state = 6},
  [8201] = {.lex_state = 264, .external_lex_state = 6},
  [8202] = {.lex_state = 264, .external_lex_state = 6},
  [8203] = {.lex_state = 97, .external_lex_state = 6},
  [8204] = {.lex_state = 259, .external_lex_state = 6},
  [8205] = {.lex_state = 264, .external_lex_state = 6},
  [8206] = {.lex_state = 264, .external_lex_state = 6},
  [8207] = {.lex_state = 264, .external_lex_state = 6},
  [8208] = {.lex_state = 97, .external_lex_state = 6},
  [8209] = {.lex_state = 264, .external_lex_state = 6},
  [8210] = {.lex_state = 1301, .external_lex_state = 6},
  [8211] = {.lex_state = 1301, .external_lex_state = 6},
  [8212] = {.lex_state = 264, .external_lex_state = 6},
  [8213] = {.lex_state = 264, .external_lex_state = 6},
  [8214] = {.lex_state = 264, .external_lex_state = 6},
  [8215] = {.lex_state = 276, .external_lex_state = 6},
  [8216] = {.lex_state = 97, .external_lex_state = 6},
  [8217] = {.lex_state = 264, .external_lex_state = 6},
  [8218] = {.lex_state = 97, .external_lex_state = 6},
  [8219] = {.lex_state = 1301, .external_lex_state = 6},
  [8220] = {.lex_state = 1301, .external_lex_state = 6},
  [8221] = {.lex_state = 1301, .external_lex_state = 6},
  [8222] = {.lex_state = 1301, .external_lex_state = 6},
  [8223] = {.lex_state = 264, .external_lex_state = 6},
  [8224] = {.lex_state = 264, .external_lex_state = 6},
  [8225] = {.lex_state = 97, .external_lex_state = 6},
  [8226] = {.lex_state = 1301, .external_lex_state = 6},
  [8227] = {.lex_state = 1301, .external_lex_state = 6},
  [8228] = {.lex_state = 264, .external_lex_state = 6},
  [8229] = {.lex_state = 264, .external_lex_state = 6},
  [8230] = {.lex_state = 264, .external_lex_state = 6},
  [8231] = {.lex_state = 264, .external_lex_state = 6},
  [8232] = {.lex_state = 1301, .external_lex_state = 6},
  [8233] = {.lex_state = 264, .external_lex_state = 6},
  [8234] = {.lex_state = 1301, .external_lex_state = 6},
  [8235] = {.lex_state = 264, .external_lex_state = 6},
  [8236] = {.lex_state = 264, .external_lex_state = 6},
  [8237] = {.lex_state = 264, .external_lex_state = 6},
  [8238] = {.lex_state = 1301, .external_lex_state = 12},
  [8239] = {.lex_state = 264, .external_lex_state = 6},
  [8240] = {.lex_state = 117, .external_lex_state = 6},
  [8241] = {.lex_state = 1301, .external_lex_state = 6},
  [8242] = {.lex_state = 276, .external_lex_state = 6},
  [8243] = {.lex_state = 108, .external_lex_state = 6},
  [8244] = {.lex_state = 1301, .external_lex_state = 6},
  [8245] = {.lex_state = 259, .external_lex_state = 6},
  [8246] = {.lex_state = 276, .external_lex_state = 6},
  [8247] = {.lex_state = 259, .external_lex_state = 6},
  [8248] = {.lex_state = 264, .external_lex_state = 6},
  [8249] = {.lex_state = 264, .external_lex_state = 6},
  [8250] = {.lex_state = 259, .external_lex_state = 6},
  [8251] = {.lex_state = 264, .external_lex_state = 6},
  [8252] = {.lex_state = 1301, .external_lex_state = 6},
  [8253] = {.lex_state = 264, .external_lex_state = 6},
  [8254] = {.lex_state = 264, .external_lex_state = 6},
  [8255] = {.lex_state = 264, .external_lex_state = 6},
  [8256] = {.lex_state = 259, .external_lex_state = 6},
  [8257] = {.lex_state = 276, .external_lex_state = 6},
  [8258] = {.lex_state = 108, .external_lex_state = 6},
  [8259] = {.lex_state = 264, .external_lex_state = 6},
  [8260] = {.lex_state = 264, .external_lex_state = 6},
  [8261] = {.lex_state = 264, .external_lex_state = 6},
  [8262] = {.lex_state = 264, .external_lex_state = 6},
  [8263] = {.lex_state = 264, .external_lex_state = 6},
  [8264] = {.lex_state = 264, .external_lex_state = 6},
  [8265] = {.lex_state = 276, .external_lex_state = 6},
  [8266] = {.lex_state = 264, .external_lex_state = 6},
  [8267] = {.lex_state = 319, .external_lex_state = 6},
  [8268] = {.lex_state = 108, .external_lex_state = 6},
  [8269] = {.lex_state = 264, .external_lex_state = 6},
  [8270] = {.lex_state = 264, .external_lex_state = 6},
  [8271] = {.lex_state = 97, .external_lex_state = 6},
  [8272] = {.lex_state = 1301, .external_lex_state = 6},
  [8273] = {.lex_state = 264, .external_lex_state = 6},
  [8274] = {.lex_state = 264, .external_lex_state = 6},
  [8275] = {.lex_state = 264, .external_lex_state = 6},
  [8276] = {.lex_state = 264, .external_lex_state = 6},
  [8277] = {.lex_state = 264, .external_lex_state = 6},
  [8278] = {.lex_state = 117, .external_lex_state = 6},
  [8279] = {.lex_state = 1301, .external_lex_state = 6},
  [8280] = {.lex_state = 264, .external_lex_state = 6},
  [8281] = {.lex_state = 1301, .external_lex_state = 6},
  [8282] = {.lex_state = 264, .external_lex_state = 6},
  [8283] = {.lex_state = 264, .external_lex_state = 6},
  [8284] = {.lex_state = 264, .external_lex_state = 6},
  [8285] = {.lex_state = 259, .external_lex_state = 6},
  [8286] = {.lex_state = 1301, .external_lex_state = 6},
  [8287] = {.lex_state = 264, .external_lex_state = 6},
  [8288] = {.lex_state = 1301, .external_lex_state = 6},
  [8289] = {.lex_state = 264, .external_lex_state = 6},
  [8290] = {.lex_state = 97, .external_lex_state = 6},
  [8291] = {.lex_state = 264, .external_lex_state = 6},
  [8292] = {.lex_state = 264, .external_lex_state = 6},
  [8293] = {.lex_state = 97, .external_lex_state = 6},
  [8294] = {.lex_state = 264, .external_lex_state = 6},
  [8295] = {.lex_state = 97, .external_lex_state = 6},
  [8296] = {.lex_state = 1301, .external_lex_state = 6},
  [8297] = {.lex_state = 1301, .external_lex_state = 6},
  [8298] = {.lex_state = 1301, .external_lex_state = 6},
  [8299] = {.lex_state = 1301, .external_lex_state = 6},
  [8300] = {.lex_state = 97, .external_lex_state = 6},
  [8301] = {.lex_state = 1301, .external_lex_state = 6},
  [8302] = {.lex_state = 1301, .external_lex_state = 6},
  [8303] = {.lex_state = 108, .external_lex_state = 6},
  [8304] = {.lex_state = 259, .external_lex_state = 6},
  [8305] = {.lex_state = 264, .external_lex_state = 6},
  [8306] = {.lex_state = 264, .external_lex_state = 6},
  [8307] = {.lex_state = 264, .external_lex_state = 6},
  [8308] = {.lex_state = 1301, .external_lex_state = 6},
  [8309] = {.lex_state = 264, .external_lex_state = 6},
  [8310] = {.lex_state = 1301, .external_lex_state = 6},
  [8311] = {.lex_state = 1301, .external_lex_state = 6},
  [8312] = {.lex_state = 264, .external_lex_state = 6},
  [8313] = {.lex_state = 1301, .external_lex_state = 6},
  [8314] = {.lex_state = 264, .external_lex_state = 6},
  [8315] = {.lex_state = 264, .external_lex_state = 6},
  [8316] = {.lex_state = 264, .external_lex_state = 6},
  [8317] = {.lex_state = 264, .external_lex_state = 6},
  [8318] = {.lex_state = 264, .external_lex_state = 6},
  [8319] = {.lex_state = 264, .external_lex_state = 6},
  [8320] = {.lex_state = 264, .external_lex_state = 6},
  [8321] = {.lex_state = 259, .external_lex_state = 6},
  [8322] = {.lex_state = 264, .external_lex_state = 6},
  [8323] = {.lex_state = 264, .external_lex_state = 6},
  [8324] = {.lex_state = 97, .external_lex_state = 6},
  [8325] = {.lex_state = 97, .external_lex_state = 6},
  [8326] = {.lex_state = 1301, .external_lex_state = 6},
  [8327] = {.lex_state = 264, .external_lex_state = 6},
  [8328] = {.lex_state = 264, .external_lex_state = 6},
  [8329] = {.lex_state = 264, .external_lex_state = 6},
  [8330] = {.lex_state = 1301, .external_lex_state = 6},
  [8331] = {.lex_state = 1301, .external_lex_state = 6},
  [8332] = {.lex_state = 97, .external_lex_state = 6},
  [8333] = {.lex_state = 97, .external_lex_state = 6},
  [8334] = {.lex_state = 97, .external_lex_state = 6},
  [8335] = {.lex_state = 97, .external_lex_state = 6},
  [8336] = {.lex_state = 264, .external_lex_state = 6},
  [8337] = {.lex_state = 259, .external_lex_state = 6},
  [8338] = {.lex_state = 264, .external_lex_state = 6},
  [8339] = {.lex_state = 264, .external_lex_state = 6},
  [8340] = {.lex_state = 276, .external_lex_state = 6},
  [8341] = {.lex_state = 264, .external_lex_state = 6},
  [8342] = {.lex_state = 264, .external_lex_state = 6},
  [8343] = {.lex_state = 264, .external_lex_state = 6},
  [8344] = {.lex_state = 1301, .external_lex_state = 6},
  [8345] = {.lex_state = 264, .external_lex_state = 6},
  [8346] = {.lex_state = 264, .external_lex_state = 6},
  [8347] = {.lex_state = 264, .external_lex_state = 6},
  [8348] = {.lex_state = 264, .external_lex_state = 6},
  [8349] = {.lex_state = 259, .external_lex_state = 6},
  [8350] = {.lex_state = 276, .external_lex_state = 6},
  [8351] = {.lex_state = 1301, .external_lex_state = 6},
  [8352] = {.lex_state = 264, .external_lex_state = 6},
  [8353] = {.lex_state = 276, .external_lex_state = 6},
  [8354] = {.lex_state = 264, .external_lex_state = 6},
  [8355] = {.lex_state = 97, .external_lex_state = 6},
  [8356] = {.lex_state = 264, .external_lex_state = 6},
  [8357] = {.lex_state = 316, .external_lex_state = 6},
  [8358] = {.lex_state = 264, .external_lex_state = 6},
  [8359] = {.lex_state = 264, .external_lex_state = 6},
  [8360] = {.lex_state = 264, .external_lex_state = 6},
  [8361] = {.lex_state = 97, .external_lex_state = 6},
  [8362] = {.lex_state = 264, .external_lex_state = 6},
  [8363] = {.lex_state = 97, .external_lex_state = 6},
  [8364] = {.lex_state = 108, .external_lex_state = 6},
  [8365] = {.lex_state = 259, .external_lex_state = 6},
  [8366] = {.lex_state = 1301, .external_lex_state = 6},
  [8367] = {.lex_state = 1301, .external_lex_state = 6},
  [8368] = {.lex_state = 264, .external_lex_state = 6},
  [8369] = {.lex_state = 264, .external_lex_state = 6},
  [8370] = {.lex_state = 1301, .external_lex_state = 12},
  [8371] = {.lex_state = 117, .external_lex_state = 6},
  [8372] = {.lex_state = 264, .external_lex_state = 6},
  [8373] = {.lex_state = 264, .external_lex_state = 6},
  [8374] = {.lex_state = 259, .external_lex_state = 6},
  [8375] = {.lex_state = 264, .external_lex_state = 6},
  [8376] = {.lex_state = 1301, .external_lex_state = 12},
  [8377] = {.lex_state = 117, .external_lex_state = 6},
  [8378] = {.lex_state = 264, .external_lex_state = 6},
  [8379] = {.lex_state = 108, .external_lex_state = 6},
  [8380] = {.lex_state = 108, .external_lex_state = 6},
  [8381] = {.lex_state = 1301, .external_lex_state = 6},
  [8382] = {.lex_state = 108, .external_lex_state = 6},
  [8383] = {.lex_state = 97, .external_lex_state = 6},
  [8384] = {.lex_state = 97, .external_lex_state = 6},
  [8385] = {.lex_state = 264, .external_lex_state = 6},
  [8386] = {.lex_state = 259, .external_lex_state = 6},
  [8387] = {.lex_state = 264, .external_lex_state = 6},
  [8388] = {.lex_state = 264, .external_lex_state = 6},
  [8389] = {.lex_state = 1301, .external_lex_state = 6},
  [8390] = {.lex_state = 264, .external_lex_state = 6},
  [8391] = {.lex_state = 259, .external_lex_state = 6},
  [8392] = {.lex_state = 1301, .external_lex_state = 6},
  [8393] = {.lex_state = 264, .external_lex_state = 6},
  [8394] = {.lex_state = 276, .external_lex_state = 6},
  [8395] = {.lex_state = 264, .external_lex_state = 6},
  [8396] = {.lex_state = 264, .external_lex_state = 6},
  [8397] = {.lex_state = 264, .external_lex_state = 6},
  [8398] = {.lex_state = 264, .external_lex_state = 6},
  [8399] = {.lex_state = 264, .external_lex_state = 6},
  [8400] = {.lex_state = 1301, .external_lex_state = 12},
  [8401] = {.lex_state = 117, .external_lex_state = 6},
  [8402] = {.lex_state = 1301, .external_lex_state = 6},
  [8403] = {.lex_state = 97, .external_lex_state = 6},
  [8404] = {.lex_state = 97, .external_lex_state = 6},
  [8405] = {.lex_state = 264, .external_lex_state = 6},
  [8406] = {.lex_state = 259, .external_lex_state = 6},
  [8407] = {.lex_state = 264, .external_lex_state = 6},
  [8408] = {.lex_state = 264, .external_lex_state = 6},
  [8409] = {.lex_state = 108, .external_lex_state = 6},
  [8410] = {.lex_state = 259, .external_lex_state = 6},
  [8411] = {.lex_state = 264, .external_lex_state = 6},
  [8412] = {.lex_state = 259, .external_lex_state = 6},
  [8413] = {.lex_state = 97, .external_lex_state = 6},
  [8414] = {.lex_state = 251, .external_lex_state = 6},
  [8415] = {.lex_state = 276, .external_lex_state = 6},
  [8416] = {.lex_state = 264, .external_lex_state = 6},
  [8417] = {.lex_state = 264, .external_lex_state = 6},
  [8418] = {.lex_state = 264, .external_lex_state = 6},
  [8419] = {.lex_state = 276, .external_lex_state = 6},
  [8420] = {.lex_state = 1301, .external_lex_state = 6},
  [8421] = {.lex_state = 1301, .external_lex_state = 12},
  [8422] = {.lex_state = 117, .external_lex_state = 6},
  [8423] = {.lex_state = 97, .external_lex_state = 6},
  [8424] = {.lex_state = 97, .external_lex_state = 6},
  [8425] = {.lex_state = 264, .external_lex_state = 6},
  [8426] = {.lex_state = 259, .external_lex_state = 6},
  [8427] = {.lex_state = 108, .external_lex_state = 6},
  [8428] = {.lex_state = 264, .external_lex_state = 6},
  [8429] = {.lex_state = 108, .external_lex_state = 6},
  [8430] = {.lex_state = 264, .external_lex_state = 6},
  [8431] = {.lex_state = 264, .external_lex_state = 6},
  [8432] = {.lex_state = 108, .external_lex_state = 6},
  [8433] = {.lex_state = 264, .external_lex_state = 6},
  [8434] = {.lex_state = 1301, .external_lex_state = 6},
  [8435] = {.lex_state = 264, .external_lex_state = 6},
  [8436] = {.lex_state = 264, .external_lex_state = 6},
  [8437] = {.lex_state = 264, .external_lex_state = 6},
  [8438] = {.lex_state = 264, .external_lex_state = 6},
  [8439] = {.lex_state = 1301, .external_lex_state = 6},
  [8440] = {.lex_state = 97, .external_lex_state = 6},
  [8441] = {.lex_state = 264, .external_lex_state = 6},
  [8442] = {.lex_state = 259, .external_lex_state = 6},
  [8443] = {.lex_state = 1301, .external_lex_state = 6},
  [8444] = {.lex_state = 108, .external_lex_state = 6},
  [8445] = {.lex_state = 264, .external_lex_state = 6},
  [8446] = {.lex_state = 108, .external_lex_state = 6},
  [8447] = {.lex_state = 264, .external_lex_state = 6},
  [8448] = {.lex_state = 276, .external_lex_state = 6},
  [8449] = {.lex_state = 264, .external_lex_state = 6},
  [8450] = {.lex_state = 1301, .external_lex_state = 6},
  [8451] = {.lex_state = 264, .external_lex_state = 6},
  [8452] = {.lex_state = 1301, .external_lex_state = 6},
  [8453] = {.lex_state = 1301, .external_lex_state = 6},
  [8454] = {.lex_state = 264, .external_lex_state = 6},
  [8455] = {.lex_state = 264, .external_lex_state = 6},
  [8456] = {.lex_state = 97, .external_lex_state = 6},
  [8457] = {.lex_state = 1301, .external_lex_state = 6},
  [8458] = {.lex_state = 259, .external_lex_state = 6},
  [8459] = {.lex_state = 276, .external_lex_state = 6},
  [8460] = {.lex_state = 1301, .external_lex_state = 6},
  [8461] = {.lex_state = 1301, .external_lex_state = 6},
  [8462] = {.lex_state = 1301, .external_lex_state = 6},
  [8463] = {.lex_state = 264, .external_lex_state = 6},
  [8464] = {.lex_state = 259, .external_lex_state = 6},
  [8465] = {.lex_state = 264, .external_lex_state = 6},
  [8466] = {.lex_state = 264, .external_lex_state = 6},
  [8467] = {.lex_state = 1301, .external_lex_state = 6},
  [8468] = {.lex_state = 1301, .external_lex_state = 6},
  [8469] = {.lex_state = 1301, .external_lex_state = 6},
  [8470] = {.lex_state = 1301, .external_lex_state = 6},
  [8471] = {.lex_state = 108, .external_lex_state = 6},
  [8472] = {.lex_state = 97, .external_lex_state = 6},
  [8473] = {.lex_state = 264, .external_lex_state = 6},
  [8474] = {.lex_state = 259, .external_lex_state = 6},
  [8475] = {.lex_state = 264, .external_lex_state = 6},
  [8476] = {.lex_state = 264, .external_lex_state = 6},
  [8477] = {.lex_state = 1301, .external_lex_state = 6},
  [8478] = {.lex_state = 264, .external_lex_state = 6},
  [8479] = {.lex_state = 264, .external_lex_state = 6},
  [8480] = {.lex_state = 264, .external_lex_state = 6},
  [8481] = {.lex_state = 264, .external_lex_state = 6},
  [8482] = {.lex_state = 1301, .external_lex_state = 6},
  [8483] = {.lex_state = 1301, .external_lex_state = 6},
  [8484] = {.lex_state = 108, .external_lex_state = 6},
  [8485] = {.lex_state = 264, .external_lex_state = 6},
  [8486] = {.lex_state = 264, .external_lex_state = 6},
  [8487] = {.lex_state = 97, .external_lex_state = 6},
  [8488] = {.lex_state = 259, .external_lex_state = 6},
  [8489] = {.lex_state = 259, .external_lex_state = 6},
  [8490] = {.lex_state = 276, .external_lex_state = 6},
  [8491] = {.lex_state = 259, .external_lex_state = 6},
  [8492] = {.lex_state = 264, .external_lex_state = 6},
  [8493] = {.lex_state = 97, .external_lex_state = 6},
  [8494] = {.lex_state = 264, .external_lex_state = 6},
  [8495] = {.lex_state = 264, .external_lex_state = 6},
  [8496] = {.lex_state = 108, .external_lex_state = 6},
  [8497] = {.lex_state = 1301, .external_lex_state = 6},
  [8498] = {.lex_state = 1301, .external_lex_state = 6},
  [8499] = {.lex_state = 264, .external_lex_state = 6},
  [8500] = {.lex_state = 264, .external_lex_state = 6},
  [8501] = {.lex_state = 264, .external_lex_state = 6},
  [8502] = {.lex_state = 97, .external_lex_state = 6},
  [8503] = {.lex_state = 1301, .external_lex_state = 6},
  [8504] = {.lex_state = 259, .external_lex_state = 6},
  [8505] = {.lex_state = 264, .external_lex_state = 6},
  [8506] = {.lex_state = 1301, .external_lex_state = 12},
  [8507] = {.lex_state = 117, .external_lex_state = 6},
  [8508] = {.lex_state = 264, .external_lex_state = 6},
  [8509] = {.lex_state = 1301, .external_lex_state = 6},
  [8510] = {.lex_state = 264, .external_lex_state = 6},
  [8511] = {.lex_state = 97, .external_lex_state = 6},
  [8512] = {.lex_state = 259, .external_lex_state = 6},
  [8513] = {.lex_state = 259, .external_lex_state = 6},
  [8514] = {.lex_state = 108, .external_lex_state = 6},
  [8515] = {.lex_state = 264, .external_lex_state = 6},
  [8516] = {.lex_state = 1301, .external_lex_state = 6},
  [8517] = {.lex_state = 259, .external_lex_state = 6},
  [8518] = {.lex_state = 1301, .external_lex_state = 6},
  [8519] = {.lex_state = 1301, .external_lex_state = 6},
  [8520] = {.lex_state = 97, .external_lex_state = 6},
  [8521] = {.lex_state = 276, .external_lex_state = 6},
  [8522] = {.lex_state = 259, .external_lex_state = 6},
  [8523] = {.lex_state = 108, .external_lex_state = 6},
  [8524] = {.lex_state = 276, .external_lex_state = 6},
  [8525] = {.lex_state = 264, .external_lex_state = 6},
  [8526] = {.lex_state = 276, .external_lex_state = 6},
  [8527] = {.lex_state = 97, .external_lex_state = 6},
  [8528] = {.lex_state = 264, .external_lex_state = 6},
  [8529] = {.lex_state = 1301, .external_lex_state = 6},
  [8530] = {.lex_state = 264, .external_lex_state = 6},
  [8531] = {.lex_state = 264, .external_lex_state = 6},
  [8532] = {.lex_state = 276, .external_lex_state = 6},
  [8533] = {.lex_state = 97, .external_lex_state = 6},
  [8534] = {.lex_state = 1301, .external_lex_state = 12},
  [8535] = {.lex_state = 264, .external_lex_state = 6},
  [8536] = {.lex_state = 276, .external_lex_state = 6},
  [8537] = {.lex_state = 264, .external_lex_state = 6},
  [8538] = {.lex_state = 108, .external_lex_state = 6},
  [8539] = {.lex_state = 97, .external_lex_state = 6},
  [8540] = {.lex_state = 264, .external_lex_state = 6},
  [8541] = {.lex_state = 264, .external_lex_state = 6},
  [8542] = {.lex_state = 1301, .external_lex_state = 6},
  [8543] = {.lex_state = 264, .external_lex_state = 6},
  [8544] = {.lex_state = 97, .external_lex_state = 6},
  [8545] = {.lex_state = 259, .external_lex_state = 6},
  [8546] = {.lex_state = 1301, .external_lex_state = 6},
  [8547] = {.lex_state = 322, .external_lex_state = 6},
  [8548] = {.lex_state = 264, .external_lex_state = 6},
  [8549] = {.lex_state = 264, .external_lex_state = 6},
  [8550] = {.lex_state = 1301, .external_lex_state = 6},
  [8551] = {.lex_state = 1301, .external_lex_state = 6},
  [8552] = {.lex_state = 264, .external_lex_state = 6},
  [8553] = {.lex_state = 108, .external_lex_state = 6},
  [8554] = {.lex_state = 264, .external_lex_state = 6},
  [8555] = {.lex_state = 264, .external_lex_state = 6},
  [8556] = {.lex_state = 264, .external_lex_state = 6},
  [8557] = {.lex_state = 1301, .external_lex_state = 6},
  [8558] = {.lex_state = 1301, .external_lex_state = 6},
  [8559] = {.lex_state = 108, .external_lex_state = 6},
  [8560] = {.lex_state = 264, .external_lex_state = 6},
  [8561] = {.lex_state = 264, .external_lex_state = 6},
  [8562] = {.lex_state = 97, .external_lex_state = 6},
  [8563] = {.lex_state = 264, .external_lex_state = 6},
  [8564] = {.lex_state = 1301, .external_lex_state = 6},
  [8565] = {.lex_state = 1301, .external_lex_state = 6},
  [8566] = {.lex_state = 264, .external_lex_state = 6},
  [8567] = {.lex_state = 264, .external_lex_state = 6},
  [8568] = {.lex_state = 264, .external_lex_state = 6},
  [8569] = {.lex_state = 108, .external_lex_state = 6},
  [8570] = {.lex_state = 264, .external_lex_state = 6},
  [8571] = {.lex_state = 264, .external_lex_state = 6},
  [8572] = {.lex_state = 264, .external_lex_state = 6},
  [8573] = {.lex_state = 264, .external_lex_state = 6},
  [8574] = {.lex_state = 264, .external_lex_state = 6},
  [8575] = {.lex_state = 264, .external_lex_state = 6},
  [8576] = {.lex_state = 1301, .external_lex_state = 6},
  [8577] = {.lex_state = 1301, .external_lex_state = 6},
  [8578] = {.lex_state = 276, .external_lex_state = 6},
  [8579] = {.lex_state = 264, .external_lex_state = 6},
  [8580] = {.lex_state = 264, .external_lex_state = 6},
  [8581] = {.lex_state = 1301, .external_lex_state = 6},
  [8582] = {.lex_state = 264, .external_lex_state = 6},
  [8583] = {.lex_state = 264, .external_lex_state = 6},
  [8584] = {.lex_state = 264, .external_lex_state = 6},
  [8585] = {.lex_state = 217, .external_lex_state = 6},
  [8586] = {.lex_state = 264, .external_lex_state = 6},
  [8587] = {.lex_state = 264, .external_lex_state = 6},
  [8588] = {.lex_state = 276, .external_lex_state = 6},
  [8589] = {.lex_state = 264, .external_lex_state = 6},
  [8590] = {.lex_state = 264, .external_lex_state = 6},
  [8591] = {.lex_state = 264, .external_lex_state = 6},
  [8592] = {.lex_state = 1301, .external_lex_state = 6},
  [8593] = {.lex_state = 1301, .external_lex_state = 6},
  [8594] = {.lex_state = 1301, .external_lex_state = 6},
  [8595] = {.lex_state = 1301, .external_lex_state = 6},
  [8596] = {.lex_state = 264, .external_lex_state = 6},
  [8597] = {.lex_state = 1301, .external_lex_state = 6},
  [8598] = {.lex_state = 264, .external_lex_state = 6},
  [8599] = {.lex_state = 1301, .external_lex_state = 6},
  [8600] = {.lex_state = 1301, .external_lex_state = 6},
  [8601] = {.lex_state = 1301, .external_lex_state = 6},
  [8602] = {.lex_state = 276, .external_lex_state = 6},
  [8603] = {.lex_state = 264, .external_lex_state = 6},
  [8604] = {.lex_state = 276, .external_lex_state = 6},
  [8605] = {.lex_state = 276, .external_lex_state = 6},
  [8606] = {.lex_state = 276, .external_lex_state = 6},
  [8607] = {.lex_state = 97, .external_lex_state = 6},
  [8608] = {.lex_state = 276, .external_lex_state = 6},
  [8609] = {.lex_state = 276, .external_lex_state = 6},
  [8610] = {.lex_state = 276, .external_lex_state = 6},
  [8611] = {.lex_state = 1301, .external_lex_state = 6},
  [8612] = {.lex_state = 264, .external_lex_state = 6},
  [8613] = {.lex_state = 1301, .external_lex_state = 6},
  [8614] = {.lex_state = 1301, .external_lex_state = 6},
  [8615] = {.lex_state = 264, .external_lex_state = 6},
  [8616] = {.lex_state = 264, .external_lex_state = 6},
  [8617] = {.lex_state = 259, .external_lex_state = 6},
  [8618] = {.lex_state = 1301, .external_lex_state = 12},
  [8619] = {.lex_state = 264, .external_lex_state = 6},
  [8620] = {.lex_state = 1301, .external_lex_state = 6},
  [8621] = {.lex_state = 117, .external_lex_state = 6},
  [8622] = {.lex_state = 226, .external_lex_state = 6},
  [8623] = {.lex_state = 108, .external_lex_state = 6},
  [8624] = {.lex_state = 264, .external_lex_state = 6},
  [8625] = {.lex_state = 264, .external_lex_state = 6},
  [8626] = {.lex_state = 264, .external_lex_state = 6},
  [8627] = {.lex_state = 1301, .external_lex_state = 12},
  [8628] = {.lex_state = 117, .external_lex_state = 6},
  [8629] = {.lex_state = 1301, .external_lex_state = 12},
  [8630] = {.lex_state = 117, .external_lex_state = 6},
  [8631] = {.lex_state = 276, .external_lex_state = 6},
  [8632] = {.lex_state = 276, .external_lex_state = 6},
  [8633] = {.lex_state = 264, .external_lex_state = 6},
  [8634] = {.lex_state = 1301, .external_lex_state = 6},
  [8635] = {.lex_state = 217, .external_lex_state = 6},
  [8636] = {.lex_state = 108, .external_lex_state = 6},
  [8637] = {.lex_state = 259, .external_lex_state = 6},
  [8638] = {.lex_state = 117, .external_lex_state = 6},
  [8639] = {.lex_state = 264, .external_lex_state = 6},
  [8640] = {.lex_state = 264, .external_lex_state = 6},
  [8641] = {.lex_state = 264, .external_lex_state = 6},
  [8642] = {.lex_state = 264, .external_lex_state = 6},
  [8643] = {.lex_state = 264, .external_lex_state = 6},
  [8644] = {.lex_state = 264, .external_lex_state = 6},
  [8645] = {.lex_state = 259, .external_lex_state = 6},
  [8646] = {.lex_state = 264, .external_lex_state = 6},
  [8647] = {.lex_state = 1301, .external_lex_state = 6},
  [8648] = {.lex_state = 276, .external_lex_state = 6},
  [8649] = {.lex_state = 264, .external_lex_state = 6},
  [8650] = {.lex_state = 108, .external_lex_state = 6},
  [8651] = {.lex_state = 264, .external_lex_state = 6},
  [8652] = {.lex_state = 264, .external_lex_state = 6},
  [8653] = {.lex_state = 1301, .external_lex_state = 6},
  [8654] = {.lex_state = 264, .external_lex_state = 6},
  [8655] = {.lex_state = 264, .external_lex_state = 6},
  [8656] = {.lex_state = 276, .external_lex_state = 6},
  [8657] = {.lex_state = 264, .external_lex_state = 6},
  [8658] = {.lex_state = 264, .external_lex_state = 6},
  [8659] = {.lex_state = 264, .external_lex_state = 6},
  [8660] = {.lex_state = 264, .external_lex_state = 6},
  [8661] = {.lex_state = 217, .external_lex_state = 6},
  [8662] = {.lex_state = 264, .external_lex_state = 6},
  [8663] = {.lex_state = 108, .external_lex_state = 6},
  [8664] = {.lex_state = 264, .external_lex_state = 6},
  [8665] = {.lex_state = 264, .external_lex_state = 6},
  [8666] = {.lex_state = 264, .external_lex_state = 6},
  [8667] = {.lex_state = 264, .external_lex_state = 6},
  [8668] = {.lex_state = 264, .external_lex_state = 6},
  [8669] = {.lex_state = 1301, .external_lex_state = 6},
  [8670] = {.lex_state = 117, .external_lex_state = 6},
  [8671] = {.lex_state = 264, .external_lex_state = 6},
  [8672] = {.lex_state = 276, .external_lex_state = 6},
  [8673] = {.lex_state = 276, .external_lex_state = 6},
  [8674] = {.lex_state = 276, .external_lex_state = 6},
  [8675] = {.lex_state = 276, .external_lex_state = 6},
  [8676] = {.lex_state = 276, .external_lex_state = 6},
  [8677] = {.lex_state = 276, .external_lex_state = 6},
  [8678] = {.lex_state = 276, .external_lex_state = 6},
  [8679] = {.lex_state = 276, .external_lex_state = 6},
  [8680] = {.lex_state = 276, .external_lex_state = 6},
  [8681] = {.lex_state = 259, .external_lex_state = 6},
  [8682] = {.lex_state = 264, .external_lex_state = 6},
  [8683] = {.lex_state = 259, .external_lex_state = 6},
  [8684] = {.lex_state = 117, .external_lex_state = 6},
  [8685] = {.lex_state = 264, .external_lex_state = 6},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [sym_preproc_comment] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [aux_sym_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token1] = ACTIONS(1),
    [aux_sym_end_program_statement_token2] = ACTIONS(1),
    [aux_sym_module_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_statement_token1] = ACTIONS(1),
    [aux_sym_submodule_statement_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(1),
    [aux_sym_interface_statement_token1] = ACTIONS(1),
    [aux_sym_end_interface_statement_token1] = ACTIONS(1),
    [aux_sym_assignment_token1] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_operator_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(1),
    [aux_sym_defined_io_procedure_token4] = ACTIONS(1),
    [aux_sym_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_language_binding_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token1] = ACTIONS(1),
    [aux_sym_procedure_attributes_token2] = ACTIONS(1),
    [aux_sym_procedure_attributes_token3] = ACTIONS(1),
    [aux_sym_procedure_attributes_token4] = ACTIONS(1),
    [aux_sym_procedure_attributes_token5] = ACTIONS(1),
    [aux_sym_end_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_result_token1] = ACTIONS(1),
    [aux_sym_contains_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token1] = ACTIONS(1),
    [aux_sym_use_statement_token2] = ACTIONS(1),
    [aux_sym_use_statement_token3] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_included_items_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_implicit_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_statement_token2] = ACTIONS(1),
    [aux_sym_implicit_statement_token3] = ACTIONS(1),
    [aux_sym_implicit_statement_token4] = ACTIONS(1),
    [aux_sym_save_statement_token1] = ACTIONS(1),
    [aux_sym_private_statement_token1] = ACTIONS(1),
    [aux_sym_public_statement_token1] = ACTIONS(1),
    [aux_sym_namelist_statement_token1] = ACTIONS(1),
    [aux_sym_common_statement_token1] = ACTIONS(1),
    [aux_sym_implicit_range_token1] = ACTIONS(1),
    [aux_sym_import_statement_token1] = ACTIONS(1),
    [aux_sym__import_names_token1] = ACTIONS(1),
    [aux_sym_derived_type_definition_token1] = ACTIONS(1),
    [aux_sym_abstract_specifier_token1] = ACTIONS(1),
    [aux_sym_base_type_specifier_token1] = ACTIONS(1),
    [aux_sym_end_type_statement_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token1] = ACTIONS(1),
    [aux_sym_procedure_kind_token2] = ACTIONS(1),
    [aux_sym_procedure_kind_token3] = ACTIONS(1),
    [aux_sym_procedure_kind_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token1] = ACTIONS(1),
    [aux_sym_procedure_attribute_token2] = ACTIONS(1),
    [aux_sym_procedure_attribute_token3] = ACTIONS(1),
    [aux_sym_procedure_attribute_token4] = ACTIONS(1),
    [aux_sym_procedure_attribute_token5] = ACTIONS(1),
    [aux_sym_procedure_attribute_token6] = ACTIONS(1),
    [aux_sym_variable_attributes_token1] = ACTIONS(1),
    [aux_sym_variable_attributes_token2] = ACTIONS(1),
    [aux_sym_variable_attributes_token3] = ACTIONS(1),
    [aux_sym_variable_attributes_token4] = ACTIONS(1),
    [aux_sym_variable_attributes_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token1] = ACTIONS(1),
    [aux_sym__intrinsic_type_token2] = ACTIONS(1),
    [aux_sym__intrinsic_type_token3] = ACTIONS(1),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1),
    [aux_sym__intrinsic_type_token5] = ACTIONS(1),
    [aux_sym__intrinsic_type_token6] = ACTIONS(1),
    [aux_sym__intrinsic_type_token7] = ACTIONS(1),
    [aux_sym__intrinsic_type_token8] = ACTIONS(1),
    [aux_sym__intrinsic_type_token9] = ACTIONS(1),
    [aux_sym__intrinsic_type_token10] = ACTIONS(1),
    [aux_sym_derived_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token1] = ACTIONS(1),
    [aux_sym_declared_type_token2] = ACTIONS(1),
    [aux_sym_kind_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token7] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token8] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token9] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(1),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(1),
    [aux_sym_type_qualifier_token1] = ACTIONS(1),
    [aux_sym_type_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(1),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(1),
    [aux_sym_equivalence_statement_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_stop_statement_token1] = ACTIONS(1),
    [aux_sym_stop_statement_token2] = ACTIONS(1),
    [aux_sym_stop_statement_token3] = ACTIONS(1),
    [aux_sym_subroutine_call_token1] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [aux_sym_keyword_statement_token1] = ACTIONS(1),
    [aux_sym_keyword_statement_token2] = ACTIONS(1),
    [aux_sym_keyword_statement_token3] = ACTIONS(1),
    [aux_sym_keyword_statement_token4] = ACTIONS(1),
    [aux_sym_keyword_statement_token5] = ACTIONS(1),
    [aux_sym_keyword_statement_token6] = ACTIONS(1),
    [aux_sym_keyword_statement_token7] = ACTIONS(1),
    [aux_sym_include_statement_token1] = ACTIONS(1),
    [aux_sym_data_statement_token1] = ACTIONS(1),
    [aux_sym_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_concurrent_header_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token1] = ACTIONS(1),
    [aux_sym_concurrent_locality_token2] = ACTIONS(1),
    [aux_sym_concurrent_locality_token3] = ACTIONS(1),
    [aux_sym_concurrent_locality_token4] = ACTIONS(1),
    [aux_sym__inline_if_statement_token1] = ACTIONS(1),
    [aux_sym__block_if_statement_token1] = ACTIONS(1),
    [aux_sym_end_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token2] = ACTIONS(1),
    [aux_sym__inline_where_statement_token1] = ACTIONS(1),
    [aux_sym_end_where_statement_token1] = ACTIONS(1),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(1),
    [aux_sym__forall_control_expression_token1] = ACTIONS(1),
    [aux_sym_end_forall_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token1] = ACTIONS(1),
    [aux_sym_select_case_statement_token2] = ACTIONS(1),
    [aux_sym_select_case_statement_token3] = ACTIONS(1),
    [aux_sym_select_type_statement_token1] = ACTIONS(1),
    [aux_sym_select_rank_statement_token1] = ACTIONS(1),
    [aux_sym_end_select_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token1] = ACTIONS(1),
    [aux_sym_type_statement_token2] = ACTIONS(1),
    [aux_sym_type_statement_token3] = ACTIONS(1),
    [aux_sym__class_default_token1] = ACTIONS(1),
    [aux_sym_block_construct_token1] = ACTIONS(1),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1),
    [aux_sym_associate_statement_token1] = ACTIONS(1),
    [aux_sym_end_associate_statement_token1] = ACTIONS(1),
    [aux_sym_format_statement_token1] = ACTIONS(1),
    [aux_sym_print_statement_token1] = ACTIONS(1),
    [aux_sym_open_statement_token1] = ACTIONS(1),
    [aux_sym_close_statement_token1] = ACTIONS(1),
    [aux_sym_inquire_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(1),
    [aux_sym_enumerator_statement_token1] = ACTIONS(1),
    [aux_sym_end_enum_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token1] = ACTIONS(1),
    [aux_sym_file_position_statement_token2] = ACTIONS(1),
    [aux_sym_file_position_statement_token3] = ACTIONS(1),
    [aux_sym_file_position_statement_token4] = ACTIONS(1),
    [aux_sym_allocate_statement_token1] = ACTIONS(1),
    [aux_sym_entry_statement_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_logical_expression_token4] = ACTIONS(1),
    [aux_sym_logical_expression_token5] = ACTIONS(1),
    [aux_sym_relational_expression_token1] = ACTIONS(1),
    [aux_sym_relational_expression_token2] = ACTIONS(1),
    [aux_sym_relational_expression_token3] = ACTIONS(1),
    [aux_sym_relational_expression_token4] = ACTIONS(1),
    [aux_sym_relational_expression_token5] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [aux_sym_relational_expression_token6] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [sym_assumed_rank] = ACTIONS(1),
    [anon_sym_LPAREN_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [aux_sym_boolean_literal_token1] = ACTIONS(1),
    [aux_sym_boolean_literal_token2] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [aux_sym__kind_token2] = ACTIONS(1),
    [aux_sym_null_literal_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_statement_token2] = ACTIONS(1),
    [aux_sym_coarray_statement_token3] = ACTIONS(1),
    [aux_sym_coarray_statement_token4] = ACTIONS(1),
    [aux_sym_coarray_statement_token5] = ACTIONS(1),
    [aux_sym_coarray_statement_token6] = ACTIONS(1),
    [aux_sym_coarray_statement_token7] = ACTIONS(1),
    [aux_sym_coarray_statement_token8] = ACTIONS(1),
    [aux_sym_coarray_statement_token9] = ACTIONS(1),
    [aux_sym_coarray_statement_token10] = ACTIONS(1),
    [aux_sym_coarray_statement_token11] = ACTIONS(1),
    [aux_sym_coarray_statement_token12] = ACTIONS(1),
    [aux_sym_coarray_statement_token13] = ACTIONS(1),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(1),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(1),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [aux_sym_nil_literal_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__integer_literal] = ACTIONS(1),
    [sym__float_literal] = ACTIONS(1),
    [sym__boz_literal] = ACTIONS(1),
    [sym__string_literal] = ACTIONS(1),
    [sym__string_literal_kind] = ACTIONS(1),
    [sym__external_end_of_statement] = ACTIONS(1),
    [sym__preproc_unary_operator] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(8181),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(614),
    [sym_preproc_ifdef_in_statements] = STATE(614),
    [sym_program] = STATE(51),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(1079),
    [sym_module] = STATE(51),
    [sym_module_statement] = STATE(1092),
    [sym_submodule] = STATE(51),
    [sym_submodule_statement] = STATE(1110),
    [sym_interface] = STATE(51),
    [sym_interface_statement] = STATE(3821),
    [sym_subroutine] = STATE(51),
    [sym_subroutine_statement] = STATE(6897),
    [sym_function] = STATE(51),
    [sym_function_statement] = STATE(7054),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7126),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6912),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(51),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(614),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [ts_builtin_sym_end] = ACTIONS(5),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(103),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_else] = STATE(8685),
    [sym_preproc_elif] = STATE(8685),
    [sym_preproc_elifdef] = STATE(8685),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8260),
    [sym_preproc_elif_in_specification_part] = STATE(8260),
    [sym_preproc_elifdef_in_specification_part] = STATE(8260),
    [sym_preproc_if_in_statements] = STATE(234),
    [sym_preproc_ifdef_in_statements] = STATE(234),
    [sym_preproc_else_in_statements] = STATE(8261),
    [sym_preproc_elif_in_statements] = STATE(8261),
    [sym_preproc_elifdef_in_statements] = STATE(8261),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5584),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(234),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(227),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(8058),
    [sym_preproc_elif] = STATE(8058),
    [sym_preproc_elifdef] = STATE(8058),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(228),
    [sym_preproc_ifdef_in_statements] = STATE(228),
    [sym_preproc_else_in_statements] = STATE(8063),
    [sym_preproc_elif_in_statements] = STATE(8063),
    [sym_preproc_elifdef_in_statements] = STATE(8063),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5620),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(228),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(231),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(233),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [4] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(8500),
    [sym_preproc_elif] = STATE(8500),
    [sym_preproc_elifdef] = STATE(8500),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(237),
    [sym_preproc_ifdef_in_statements] = STATE(237),
    [sym_preproc_else_in_statements] = STATE(7844),
    [sym_preproc_elif_in_statements] = STATE(7844),
    [sym_preproc_elifdef_in_statements] = STATE(7844),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5616),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(237),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(237),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(239),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [5] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_preproc_else] = STATE(8058),
    [sym_preproc_elif] = STATE(8058),
    [sym_preproc_elifdef] = STATE(8058),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(232),
    [sym_preproc_ifdef_in_statements] = STATE(232),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_program] = STATE(45),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(45),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(45),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(45),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(45),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(45),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5637),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(45),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(232),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(245),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [6] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(8633),
    [sym_preproc_elif] = STATE(8633),
    [sym_preproc_elifdef] = STATE(8633),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(232),
    [sym_preproc_ifdef_in_statements] = STATE(232),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_program] = STATE(32),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(32),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(32),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(32),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(32),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(32),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5637),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(32),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(232),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(245),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [7] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(8500),
    [sym_preproc_elif] = STATE(8500),
    [sym_preproc_elifdef] = STATE(8500),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(232),
    [sym_preproc_ifdef_in_statements] = STATE(232),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_program] = STATE(35),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(35),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(35),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(35),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(35),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(35),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5637),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(35),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(232),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(245),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [8] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8416),
    [sym_preproc_elif] = STATE(8416),
    [sym_preproc_elifdef] = STATE(8416),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(227),
    [sym_preproc_ifdef_in_statements] = STATE(227),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5638),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(227),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(257),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [9] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8642),
    [sym_preproc_elif] = STATE(8642),
    [sym_preproc_elifdef] = STATE(8642),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5602),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(261),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [10] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8262),
    [sym_preproc_elif] = STATE(8262),
    [sym_preproc_elifdef] = STATE(8262),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8263),
    [sym_preproc_elif_in_specification_part] = STATE(8263),
    [sym_preproc_elifdef_in_specification_part] = STATE(8263),
    [sym_preproc_if_in_statements] = STATE(239),
    [sym_preproc_ifdef_in_statements] = STATE(239),
    [sym_preproc_else_in_statements] = STATE(8264),
    [sym_preproc_elif_in_statements] = STATE(8264),
    [sym_preproc_elifdef_in_statements] = STATE(8264),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5624),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(87),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(239),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(265),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [11] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8282),
    [sym_preproc_elif] = STATE(8282),
    [sym_preproc_elifdef] = STATE(8282),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(225),
    [sym_preproc_ifdef_in_statements] = STATE(225),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5578),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(90),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(225),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(269),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [12] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(8292),
    [sym_preproc_elif] = STATE(8292),
    [sym_preproc_elifdef] = STATE(8292),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8315),
    [sym_preproc_elif_in_specification_part] = STATE(8315),
    [sym_preproc_elifdef_in_specification_part] = STATE(8315),
    [sym_preproc_if_in_statements] = STATE(229),
    [sym_preproc_ifdef_in_statements] = STATE(229),
    [sym_preproc_else_in_statements] = STATE(8510),
    [sym_preproc_elif_in_statements] = STATE(8510),
    [sym_preproc_elifdef_in_statements] = STATE(8510),
    [sym_program] = STATE(40),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(40),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(40),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(40),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(40),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(40),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5586),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(40),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(229),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [13] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8358),
    [sym_preproc_elif] = STATE(8358),
    [sym_preproc_elifdef] = STATE(8358),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(227),
    [sym_preproc_ifdef_in_statements] = STATE(227),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_program] = STATE(27),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(27),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(27),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(27),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(27),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(27),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5638),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(27),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(227),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(257),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [14] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8393),
    [sym_preproc_elif] = STATE(8393),
    [sym_preproc_elifdef] = STATE(8393),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(230),
    [sym_preproc_ifdef_in_statements] = STATE(230),
    [sym_preproc_else_in_statements] = STATE(8397),
    [sym_preproc_elif_in_statements] = STATE(8397),
    [sym_preproc_elifdef_in_statements] = STATE(8397),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5633),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(230),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(279),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [15] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8416),
    [sym_preproc_elif] = STATE(8416),
    [sym_preproc_elifdef] = STATE(8416),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(231),
    [sym_preproc_ifdef_in_statements] = STATE(231),
    [sym_preproc_else_in_statements] = STATE(8431),
    [sym_preproc_elif_in_statements] = STATE(8431),
    [sym_preproc_elifdef_in_statements] = STATE(8431),
    [sym_program] = STATE(30),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(30),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(30),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(30),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(30),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(30),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5634),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(30),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(231),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(281),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(283),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [16] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8657),
    [sym_preproc_elif] = STATE(8657),
    [sym_preproc_elifdef] = STATE(8657),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(235),
    [sym_preproc_ifdef_in_statements] = STATE(235),
    [sym_preproc_else_in_statements] = STATE(8655),
    [sym_preproc_elif_in_statements] = STATE(8655),
    [sym_preproc_elifdef_in_statements] = STATE(8655),
    [sym_program] = STATE(31),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(31),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(31),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(31),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(31),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(31),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5642),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(31),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(235),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(287),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [17] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(8570),
    [sym_preproc_elif] = STATE(8570),
    [sym_preproc_elifdef] = STATE(8570),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(238),
    [sym_preproc_ifdef_in_statements] = STATE(238),
    [sym_preproc_else_in_statements] = STATE(7882),
    [sym_preproc_elif_in_statements] = STATE(7882),
    [sym_preproc_elifdef_in_statements] = STATE(7882),
    [sym_program] = STATE(36),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(36),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(36),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(36),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(36),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(36),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5613),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(36),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(238),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(291),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [18] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8579),
    [sym_preproc_elif] = STATE(8579),
    [sym_preproc_elifdef] = STATE(8579),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(226),
    [sym_preproc_ifdef_in_statements] = STATE(226),
    [sym_preproc_else_in_statements] = STATE(7883),
    [sym_preproc_elif_in_statements] = STATE(7883),
    [sym_preproc_elifdef_in_statements] = STATE(7883),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5579),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(226),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(295),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [19] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8642),
    [sym_preproc_elif] = STATE(8642),
    [sym_preproc_elifdef] = STATE(8642),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(240),
    [sym_preproc_ifdef_in_statements] = STATE(240),
    [sym_preproc_else_in_statements] = STATE(7911),
    [sym_preproc_elif_in_statements] = STATE(7911),
    [sym_preproc_elifdef_in_statements] = STATE(7911),
    [sym_program] = STATE(38),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(38),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(38),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(38),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(38),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(38),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5612),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(38),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(240),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(299),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [20] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8393),
    [sym_preproc_elif] = STATE(8393),
    [sym_preproc_elifdef] = STATE(8393),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(236),
    [sym_preproc_ifdef_in_statements] = STATE(236),
    [sym_preproc_else_in_statements] = STATE(8026),
    [sym_preproc_elif_in_statements] = STATE(8026),
    [sym_preproc_elifdef_in_statements] = STATE(8026),
    [sym_program] = STATE(28),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(28),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(28),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(28),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(28),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(28),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5604),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(28),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(236),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(303),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [21] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_preproc_else] = STATE(7842),
    [sym_preproc_elif] = STATE(7842),
    [sym_preproc_elifdef] = STATE(7842),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_program] = STATE(44),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(44),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(44),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(44),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(44),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(44),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5602),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(261),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [22] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(8657),
    [sym_preproc_elif] = STATE(8657),
    [sym_preproc_elifdef] = STATE(8657),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(233),
    [sym_preproc_ifdef_in_statements] = STATE(233),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_program] = STATE(31),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(31),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(31),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(31),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(31),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(31),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5602),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(31),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(233),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(261),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [23] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(8570),
    [sym_preproc_elif] = STATE(8570),
    [sym_preproc_elifdef] = STATE(8570),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(236),
    [sym_preproc_ifdef_in_statements] = STATE(236),
    [sym_preproc_else_in_statements] = STATE(8026),
    [sym_preproc_elif_in_statements] = STATE(8026),
    [sym_preproc_elifdef_in_statements] = STATE(8026),
    [sym_program] = STATE(36),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(36),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(36),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(36),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(36),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(36),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5604),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(36),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(236),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(303),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [24] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_preproc_else] = STATE(8579),
    [sym_preproc_elif] = STATE(8579),
    [sym_preproc_elifdef] = STATE(8579),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(227),
    [sym_preproc_ifdef_in_statements] = STATE(227),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_program] = STATE(43),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(43),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(43),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(43),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(43),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(43),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5638),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(227),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(257),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [25] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(7970),
    [sym_preproc_elif] = STATE(7970),
    [sym_preproc_elifdef] = STATE(7970),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(236),
    [sym_preproc_ifdef_in_statements] = STATE(236),
    [sym_preproc_else_in_statements] = STATE(8026),
    [sym_preproc_elif_in_statements] = STATE(8026),
    [sym_preproc_elifdef_in_statements] = STATE(8026),
    [sym_program] = STATE(39),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(39),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(39),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(39),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(39),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(39),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(5604),
    [sym_contains_statement] = STATE(6508),
    [sym__specification_part] = STATE(1139),
    [sym_use_statement] = STATE(6509),
    [sym_implicit_statement] = STATE(6509),
    [sym_save_statement] = STATE(6509),
    [sym_private_statement] = STATE(1139),
    [sym_public_statement] = STATE(1139),
    [sym_namelist_statement] = STATE(6509),
    [sym_common_statement] = STATE(6509),
    [sym_import_statement] = STATE(6509),
    [sym_derived_type_definition] = STATE(1139),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4318),
    [sym_variable_declaration] = STATE(6509),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6509),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6509),
    [sym_equivalence_statement] = STATE(6509),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(785),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6509),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_enum] = STATE(1139),
    [sym_enum_statement] = STATE(6073),
    [sym_enumeration_type] = STATE(1139),
    [sym_enumeration_type_statement] = STATE(6154),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_statement_function] = STATE(6509),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(39),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(236),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(203),
    [aux_sym_preproc_if_token2] = ACTIONS(313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(207),
    [aux_sym_preproc_else_token1] = ACTIONS(209),
    [aux_sym_preproc_elif_token1] = ACTIONS(211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(223),
    [aux_sym_public_statement_token1] = ACTIONS(225),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(303),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [26] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_preproc_else] = STATE(8685),
    [sym_preproc_elif] = STATE(8685),
    [sym_preproc_elifdef] = STATE(8685),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(42),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(42),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(42),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(42),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(42),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(42),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(42),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(327),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [27] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8322),
    [sym_preproc_elif] = STATE(8322),
    [sym_preproc_elifdef] = STATE(8322),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [28] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8657),
    [sym_preproc_elif] = STATE(8657),
    [sym_preproc_elifdef] = STATE(8657),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [29] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8352),
    [sym_preproc_elif] = STATE(8352),
    [sym_preproc_elifdef] = STATE(8352),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [30] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(7713),
    [sym_preproc_elif] = STATE(7713),
    [sym_preproc_elifdef] = STATE(7713),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [31] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(7832),
    [sym_preproc_elif] = STATE(7832),
    [sym_preproc_elifdef] = STATE(7832),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [32] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8358),
    [sym_preproc_elif] = STATE(8358),
    [sym_preproc_elifdef] = STATE(8358),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [33] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8014),
    [sym_preproc_elif] = STATE(8014),
    [sym_preproc_elifdef] = STATE(8014),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [34] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8262),
    [sym_preproc_elif] = STATE(8262),
    [sym_preproc_elifdef] = STATE(8262),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(29),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(29),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(29),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(29),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(29),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(29),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(29),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [35] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8579),
    [sym_preproc_elif] = STATE(8579),
    [sym_preproc_elifdef] = STATE(8579),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [36] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8642),
    [sym_preproc_elif] = STATE(8642),
    [sym_preproc_elifdef] = STATE(8642),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [37] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8282),
    [sym_preproc_elif] = STATE(8282),
    [sym_preproc_elifdef] = STATE(8282),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(33),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(33),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(33),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(33),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(33),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(33),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(33),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [38] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(7825),
    [sym_preproc_elif] = STATE(7825),
    [sym_preproc_elifdef] = STATE(7825),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [39] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(7842),
    [sym_preproc_elif] = STATE(7842),
    [sym_preproc_elifdef] = STATE(7842),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [40] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8568),
    [sym_preproc_elif] = STATE(8568),
    [sym_preproc_elifdef] = STATE(8568),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [41] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_preproc_else] = STATE(8292),
    [sym_preproc_elif] = STATE(8292),
    [sym_preproc_elifdef] = STATE(8292),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(40),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(40),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(40),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(40),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(40),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(40),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(40),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [42] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8282),
    [sym_preproc_elif] = STATE(8282),
    [sym_preproc_elifdef] = STATE(8282),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [43] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8664),
    [sym_preproc_elif] = STATE(8664),
    [sym_preproc_elifdef] = STATE(8664),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [44] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8249),
    [sym_preproc_elif] = STATE(8249),
    [sym_preproc_elifdef] = STATE(8249),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [45] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_else] = STATE(8416),
    [sym_preproc_elif] = STATE(8416),
    [sym_preproc_elifdef] = STATE(8416),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(199),
    [aux_sym_preproc_def_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token1] = ACTIONS(315),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(319),
    [aux_sym_preproc_else_token1] = ACTIONS(321),
    [aux_sym_preproc_elif_token1] = ACTIONS(323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(325),
    [sym_preproc_directive] = ACTIONS(215),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(329),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [46] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_preproc_if_in_specification_part] = STATE(190),
    [sym_preproc_ifdef_in_specification_part] = STATE(190),
    [sym_preproc_if_in_statements] = STATE(575),
    [sym_preproc_ifdef_in_statements] = STATE(575),
    [sym_program] = STATE(46),
    [sym_program_statement] = STATE(196),
    [sym_end_program_statement] = STATE(842),
    [sym_module] = STATE(46),
    [sym_module_statement] = STATE(1096),
    [sym_submodule] = STATE(46),
    [sym_submodule_statement] = STATE(1098),
    [sym_interface] = STATE(46),
    [sym_interface_statement] = STATE(3856),
    [sym_subroutine] = STATE(46),
    [sym_subroutine_statement] = STATE(7155),
    [sym_function] = STATE(46),
    [sym_function_statement] = STATE(7156),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6799),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(190),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(190),
    [sym_public_statement] = STATE(190),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(190),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6807),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(190),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(190),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(46),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(575),
    [aux_sym_program_repeat1] = STATE(190),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(367),
    [aux_sym_preproc_def_token1] = ACTIONS(370),
    [aux_sym_preproc_if_token1] = ACTIONS(373),
    [aux_sym_preproc_if_token2] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(378),
    [aux_sym_preproc_else_token1] = ACTIONS(376),
    [aux_sym_preproc_elif_token1] = ACTIONS(376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(376),
    [sym_preproc_directive] = ACTIONS(381),
    [anon_sym_LPAREN2] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(390),
    [aux_sym_end_program_statement_token1] = ACTIONS(393),
    [aux_sym_end_program_statement_token2] = ACTIONS(396),
    [aux_sym_module_statement_token1] = ACTIONS(399),
    [aux_sym_submodule_statement_token1] = ACTIONS(402),
    [aux_sym_interface_statement_token1] = ACTIONS(405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(411),
    [aux_sym_subroutine_statement_token1] = ACTIONS(414),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(417),
    [aux_sym_function_statement_token1] = ACTIONS(420),
    [aux_sym_language_binding_token1] = ACTIONS(423),
    [aux_sym_procedure_attributes_token1] = ACTIONS(426),
    [aux_sym_procedure_attributes_token3] = ACTIONS(429),
    [aux_sym_contains_statement_token1] = ACTIONS(432),
    [aux_sym_use_statement_token1] = ACTIONS(435),
    [aux_sym_use_statement_token2] = ACTIONS(429),
    [aux_sym_implicit_statement_token1] = ACTIONS(438),
    [aux_sym_implicit_statement_token3] = ACTIONS(441),
    [aux_sym_implicit_statement_token4] = ACTIONS(429),
    [aux_sym_save_statement_token1] = ACTIONS(444),
    [aux_sym_private_statement_token1] = ACTIONS(447),
    [aux_sym_public_statement_token1] = ACTIONS(450),
    [aux_sym_namelist_statement_token1] = ACTIONS(453),
    [aux_sym_common_statement_token1] = ACTIONS(456),
    [aux_sym_import_statement_token1] = ACTIONS(459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(462),
    [aux_sym_procedure_attribute_token6] = ACTIONS(429),
    [aux_sym_variable_attributes_token1] = ACTIONS(465),
    [aux_sym_variable_attributes_token2] = ACTIONS(429),
    [aux_sym_variable_attributes_token3] = ACTIONS(429),
    [aux_sym_variable_attributes_token4] = ACTIONS(465),
    [aux_sym_variable_attributes_token5] = ACTIONS(429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(471),
    [aux_sym__intrinsic_type_token3] = ACTIONS(468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(474),
    [aux_sym__intrinsic_type_token6] = ACTIONS(471),
    [aux_sym__intrinsic_type_token7] = ACTIONS(471),
    [aux_sym__intrinsic_type_token8] = ACTIONS(477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(471),
    [aux_sym__intrinsic_type_token10] = ACTIONS(471),
    [aux_sym_derived_type_token1] = ACTIONS(480),
    [aux_sym_declared_type_token1] = ACTIONS(483),
    [aux_sym_declared_type_token2] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(492),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(498),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(465),
    [aux_sym_type_qualifier_token1] = ACTIONS(501),
    [aux_sym_type_qualifier_token2] = ACTIONS(501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(504),
    [aux_sym_equivalence_statement_token1] = ACTIONS(507),
    [anon_sym_SEMI] = ACTIONS(510),
    [aux_sym_stop_statement_token1] = ACTIONS(513),
    [aux_sym_stop_statement_token2] = ACTIONS(516),
    [aux_sym_subroutine_call_token1] = ACTIONS(519),
    [aux_sym_keyword_statement_token1] = ACTIONS(522),
    [aux_sym_keyword_statement_token2] = ACTIONS(525),
    [aux_sym_keyword_statement_token3] = ACTIONS(525),
    [aux_sym_keyword_statement_token4] = ACTIONS(528),
    [aux_sym_keyword_statement_token6] = ACTIONS(531),
    [aux_sym_keyword_statement_token7] = ACTIONS(522),
    [aux_sym_include_statement_token1] = ACTIONS(534),
    [aux_sym_data_statement_token1] = ACTIONS(537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(540),
    [aux_sym__inline_if_statement_token1] = ACTIONS(543),
    [aux_sym_end_if_statement_token1] = ACTIONS(501),
    [aux_sym_elseif_clause_token2] = ACTIONS(501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(546),
    [aux_sym__forall_control_expression_token1] = ACTIONS(549),
    [aux_sym_select_case_statement_token1] = ACTIONS(552),
    [aux_sym_select_case_statement_token3] = ACTIONS(555),
    [aux_sym_select_type_statement_token1] = ACTIONS(558),
    [aux_sym_select_rank_statement_token1] = ACTIONS(561),
    [aux_sym_block_construct_token1] = ACTIONS(564),
    [aux_sym_associate_statement_token1] = ACTIONS(567),
    [aux_sym_format_statement_token1] = ACTIONS(570),
    [aux_sym_print_statement_token1] = ACTIONS(573),
    [aux_sym_open_statement_token1] = ACTIONS(576),
    [aux_sym_close_statement_token1] = ACTIONS(579),
    [aux_sym_inquire_statement_token1] = ACTIONS(582),
    [aux_sym_enum_statement_token1] = ACTIONS(585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(588),
    [aux_sym_file_position_statement_token1] = ACTIONS(591),
    [aux_sym_file_position_statement_token2] = ACTIONS(591),
    [aux_sym_file_position_statement_token3] = ACTIONS(591),
    [aux_sym_file_position_statement_token4] = ACTIONS(594),
    [aux_sym_allocate_statement_token1] = ACTIONS(597),
    [aux_sym_entry_statement_token1] = ACTIONS(600),
    [aux_sym_logical_expression_token5] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(609),
    [anon_sym_LBRACK] = ACTIONS(612),
    [aux_sym_boolean_literal_token1] = ACTIONS(615),
    [aux_sym_boolean_literal_token2] = ACTIONS(615),
    [aux_sym_null_literal_token1] = ACTIONS(618),
    [aux_sym_coarray_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_statement_token2] = ACTIONS(621),
    [aux_sym_coarray_statement_token6] = ACTIONS(624),
    [aux_sym_coarray_statement_token8] = ACTIONS(627),
    [aux_sym_coarray_statement_token11] = ACTIONS(630),
    [aux_sym_coarray_statement_token12] = ACTIONS(630),
    [aux_sym_coarray_statement_token13] = ACTIONS(633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(636),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(639),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(642),
    [sym__float_literal] = ACTIONS(645),
    [sym__boz_literal] = ACTIONS(645),
    [sym__string_literal] = ACTIONS(648),
    [sym__string_literal_kind] = ACTIONS(651),
  },
  [47] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(560),
    [sym_preproc_ifdef_in_statements] = STATE(560),
    [sym_program] = STATE(55),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(55),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(55),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(55),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(55),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(55),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6442),
    [sym_contains_statement] = STATE(6713),
    [sym__specification_part] = STATE(1244),
    [sym_use_statement] = STATE(6777),
    [sym_implicit_statement] = STATE(6777),
    [sym_save_statement] = STATE(6777),
    [sym_private_statement] = STATE(1244),
    [sym_public_statement] = STATE(1244),
    [sym_namelist_statement] = STATE(6777),
    [sym_common_statement] = STATE(6777),
    [sym_import_statement] = STATE(6777),
    [sym_derived_type_definition] = STATE(1244),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4298),
    [sym_variable_declaration] = STATE(6777),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6777),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6777),
    [sym_equivalence_statement] = STATE(6777),
    [sym__statements] = STATE(6716),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(6716),
    [sym_assignment_statement] = STATE(6716),
    [sym_pointer_association_statement] = STATE(6716),
    [sym_subroutine_call] = STATE(6716),
    [sym_keyword_statement] = STATE(6716),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6777),
    [sym_do_loop_statement] = STATE(6716),
    [sym_do_label_statement] = STATE(6716),
    [sym_end_do_label_statement] = STATE(6716),
    [sym_if_statement] = STATE(6716),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6716),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6716),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6716),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6716),
    [sym_select_type_statement] = STATE(6716),
    [sym_select_rank_statement] = STATE(6716),
    [sym_block_construct] = STATE(6716),
    [sym_associate_statement] = STATE(6716),
    [sym_format_statement] = STATE(6716),
    [sym_read_statement] = STATE(6716),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6716),
    [sym_open_statement] = STATE(6716),
    [sym_close_statement] = STATE(6716),
    [sym_write_statement] = STATE(6716),
    [sym_inquire_statement] = STATE(6716),
    [sym_enum] = STATE(1244),
    [sym_enum_statement] = STATE(6044),
    [sym_enumeration_type] = STATE(1244),
    [sym_enumeration_type_statement] = STATE(6200),
    [sym_file_position_statement] = STATE(6716),
    [sym_allocate_statement] = STATE(6716),
    [sym_statement_function] = STATE(6777),
    [sym_entry_statement] = STATE(6716),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6716),
    [sym_coarray_team_statement] = STATE(6716),
    [sym_coarray_critical_statement] = STATE(6716),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(55),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(200),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(560),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(658),
    [aux_sym_preproc_if_token2] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(662),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(666),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(672),
    [aux_sym_public_statement_token1] = ACTIONS(674),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(676),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [48] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(562),
    [sym_preproc_ifdef_in_statements] = STATE(562),
    [sym_program] = STATE(54),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(54),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(54),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(54),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(54),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(54),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(6410),
    [sym_contains_statement] = STATE(6713),
    [sym__specification_part] = STATE(1244),
    [sym_use_statement] = STATE(6777),
    [sym_implicit_statement] = STATE(6777),
    [sym_save_statement] = STATE(6777),
    [sym_private_statement] = STATE(1244),
    [sym_public_statement] = STATE(1244),
    [sym_namelist_statement] = STATE(6777),
    [sym_common_statement] = STATE(6777),
    [sym_import_statement] = STATE(6777),
    [sym_derived_type_definition] = STATE(1244),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4298),
    [sym_variable_declaration] = STATE(6777),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6777),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6777),
    [sym_equivalence_statement] = STATE(6777),
    [sym__statements] = STATE(6716),
    [sym_statement_label] = STATE(789),
    [sym_stop_statement] = STATE(6716),
    [sym_assignment_statement] = STATE(6716),
    [sym_pointer_association_statement] = STATE(6716),
    [sym_subroutine_call] = STATE(6716),
    [sym_keyword_statement] = STATE(6716),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6777),
    [sym_do_loop_statement] = STATE(6716),
    [sym_do_label_statement] = STATE(6716),
    [sym_end_do_label_statement] = STATE(6716),
    [sym_if_statement] = STATE(6716),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6716),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6716),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6716),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6716),
    [sym_select_type_statement] = STATE(6716),
    [sym_select_rank_statement] = STATE(6716),
    [sym_block_construct] = STATE(6716),
    [sym_associate_statement] = STATE(6716),
    [sym_format_statement] = STATE(6716),
    [sym_read_statement] = STATE(6716),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6716),
    [sym_open_statement] = STATE(6716),
    [sym_close_statement] = STATE(6716),
    [sym_write_statement] = STATE(6716),
    [sym_inquire_statement] = STATE(6716),
    [sym_enum] = STATE(1244),
    [sym_enum_statement] = STATE(6044),
    [sym_enumeration_type] = STATE(1244),
    [sym_enumeration_type_statement] = STATE(6200),
    [sym_file_position_statement] = STATE(6716),
    [sym_allocate_statement] = STATE(6716),
    [sym_statement_function] = STATE(6777),
    [sym_entry_statement] = STATE(6716),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6716),
    [sym_coarray_team_statement] = STATE(6716),
    [sym_coarray_critical_statement] = STATE(6716),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(54),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(562),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(658),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(662),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(672),
    [aux_sym_public_statement_token1] = ACTIONS(674),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(680),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [49] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(55),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(55),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(55),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(55),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(55),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(55),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7220),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(55),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(682),
    [aux_sym_preproc_if_token2] = ACTIONS(684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(686),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(688),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(690),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [50] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(614),
    [sym_preproc_ifdef_in_statements] = STATE(614),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(1079),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(1092),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(1110),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(3821),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(6897),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(7054),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7126),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6912),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(614),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [ts_builtin_sym_end] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(694),
    [aux_sym_preproc_def_token1] = ACTIONS(697),
    [aux_sym_preproc_if_token1] = ACTIONS(700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(703),
    [sym_preproc_directive] = ACTIONS(706),
    [anon_sym_LPAREN2] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(390),
    [aux_sym_end_program_statement_token1] = ACTIONS(709),
    [aux_sym_end_program_statement_token2] = ACTIONS(712),
    [aux_sym_module_statement_token1] = ACTIONS(399),
    [aux_sym_submodule_statement_token1] = ACTIONS(402),
    [aux_sym_interface_statement_token1] = ACTIONS(405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(411),
    [aux_sym_subroutine_statement_token1] = ACTIONS(414),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(417),
    [aux_sym_function_statement_token1] = ACTIONS(420),
    [aux_sym_language_binding_token1] = ACTIONS(423),
    [aux_sym_procedure_attributes_token1] = ACTIONS(426),
    [aux_sym_procedure_attributes_token3] = ACTIONS(429),
    [aux_sym_contains_statement_token1] = ACTIONS(432),
    [aux_sym_use_statement_token1] = ACTIONS(435),
    [aux_sym_use_statement_token2] = ACTIONS(429),
    [aux_sym_implicit_statement_token1] = ACTIONS(438),
    [aux_sym_implicit_statement_token3] = ACTIONS(441),
    [aux_sym_implicit_statement_token4] = ACTIONS(429),
    [aux_sym_save_statement_token1] = ACTIONS(444),
    [aux_sym_private_statement_token1] = ACTIONS(447),
    [aux_sym_public_statement_token1] = ACTIONS(450),
    [aux_sym_namelist_statement_token1] = ACTIONS(453),
    [aux_sym_common_statement_token1] = ACTIONS(456),
    [aux_sym_import_statement_token1] = ACTIONS(459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(462),
    [aux_sym_procedure_attribute_token6] = ACTIONS(429),
    [aux_sym_variable_attributes_token1] = ACTIONS(465),
    [aux_sym_variable_attributes_token2] = ACTIONS(429),
    [aux_sym_variable_attributes_token3] = ACTIONS(429),
    [aux_sym_variable_attributes_token4] = ACTIONS(465),
    [aux_sym_variable_attributes_token5] = ACTIONS(429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(471),
    [aux_sym__intrinsic_type_token3] = ACTIONS(468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(474),
    [aux_sym__intrinsic_type_token6] = ACTIONS(471),
    [aux_sym__intrinsic_type_token7] = ACTIONS(471),
    [aux_sym__intrinsic_type_token8] = ACTIONS(477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(471),
    [aux_sym__intrinsic_type_token10] = ACTIONS(471),
    [aux_sym_derived_type_token1] = ACTIONS(480),
    [aux_sym_declared_type_token1] = ACTIONS(483),
    [aux_sym_declared_type_token2] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(492),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(498),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(465),
    [aux_sym_type_qualifier_token1] = ACTIONS(501),
    [aux_sym_type_qualifier_token2] = ACTIONS(501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(504),
    [aux_sym_equivalence_statement_token1] = ACTIONS(507),
    [anon_sym_SEMI] = ACTIONS(715),
    [aux_sym_stop_statement_token1] = ACTIONS(513),
    [aux_sym_stop_statement_token2] = ACTIONS(516),
    [aux_sym_subroutine_call_token1] = ACTIONS(519),
    [aux_sym_keyword_statement_token1] = ACTIONS(522),
    [aux_sym_keyword_statement_token2] = ACTIONS(525),
    [aux_sym_keyword_statement_token3] = ACTIONS(525),
    [aux_sym_keyword_statement_token4] = ACTIONS(528),
    [aux_sym_keyword_statement_token6] = ACTIONS(531),
    [aux_sym_keyword_statement_token7] = ACTIONS(522),
    [aux_sym_include_statement_token1] = ACTIONS(534),
    [aux_sym_data_statement_token1] = ACTIONS(537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(540),
    [aux_sym__inline_if_statement_token1] = ACTIONS(543),
    [aux_sym_end_if_statement_token1] = ACTIONS(501),
    [aux_sym_elseif_clause_token2] = ACTIONS(501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(546),
    [aux_sym__forall_control_expression_token1] = ACTIONS(549),
    [aux_sym_select_case_statement_token1] = ACTIONS(552),
    [aux_sym_select_case_statement_token3] = ACTIONS(555),
    [aux_sym_select_type_statement_token1] = ACTIONS(558),
    [aux_sym_select_rank_statement_token1] = ACTIONS(561),
    [aux_sym_block_construct_token1] = ACTIONS(564),
    [aux_sym_associate_statement_token1] = ACTIONS(567),
    [aux_sym_format_statement_token1] = ACTIONS(570),
    [aux_sym_print_statement_token1] = ACTIONS(573),
    [aux_sym_open_statement_token1] = ACTIONS(576),
    [aux_sym_close_statement_token1] = ACTIONS(579),
    [aux_sym_inquire_statement_token1] = ACTIONS(582),
    [aux_sym_enum_statement_token1] = ACTIONS(585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(588),
    [aux_sym_file_position_statement_token1] = ACTIONS(591),
    [aux_sym_file_position_statement_token2] = ACTIONS(591),
    [aux_sym_file_position_statement_token3] = ACTIONS(591),
    [aux_sym_file_position_statement_token4] = ACTIONS(594),
    [aux_sym_allocate_statement_token1] = ACTIONS(597),
    [aux_sym_entry_statement_token1] = ACTIONS(600),
    [aux_sym_logical_expression_token5] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(609),
    [anon_sym_LBRACK] = ACTIONS(612),
    [aux_sym_boolean_literal_token1] = ACTIONS(615),
    [aux_sym_boolean_literal_token2] = ACTIONS(615),
    [aux_sym_null_literal_token1] = ACTIONS(618),
    [aux_sym_coarray_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_statement_token2] = ACTIONS(621),
    [aux_sym_coarray_statement_token6] = ACTIONS(624),
    [aux_sym_coarray_statement_token8] = ACTIONS(627),
    [aux_sym_coarray_statement_token11] = ACTIONS(630),
    [aux_sym_coarray_statement_token12] = ACTIONS(630),
    [aux_sym_coarray_statement_token13] = ACTIONS(633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(636),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(639),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(642),
    [sym__float_literal] = ACTIONS(645),
    [sym__boz_literal] = ACTIONS(645),
    [sym__string_literal] = ACTIONS(648),
    [sym__string_literal_kind] = ACTIONS(651),
  },
  [51] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_preproc_if_in_specification_part] = STATE(193),
    [sym_preproc_ifdef_in_specification_part] = STATE(193),
    [sym_preproc_if_in_statements] = STATE(614),
    [sym_preproc_ifdef_in_statements] = STATE(614),
    [sym_program] = STATE(50),
    [sym_program_statement] = STATE(191),
    [sym_end_program_statement] = STATE(1079),
    [sym_module] = STATE(50),
    [sym_module_statement] = STATE(1092),
    [sym_submodule] = STATE(50),
    [sym_submodule_statement] = STATE(1110),
    [sym_interface] = STATE(50),
    [sym_interface_statement] = STATE(3821),
    [sym_subroutine] = STATE(50),
    [sym_subroutine_statement] = STATE(6897),
    [sym_function] = STATE(50),
    [sym_function_statement] = STATE(7054),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7126),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(193),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(193),
    [sym_public_statement] = STATE(193),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(193),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6912),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(193),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(193),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(50),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(614),
    [aux_sym_program_repeat1] = STATE(193),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [ts_builtin_sym_end] = ACTIONS(718),
    [aux_sym_preproc_include_token1] = ACTIONS(7),
    [aux_sym_preproc_def_token1] = ACTIONS(9),
    [aux_sym_preproc_if_token1] = ACTIONS(11),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(13),
    [sym_preproc_directive] = ACTIONS(15),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(103),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [52] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(54),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(54),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(54),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(54),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(54),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(54),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7220),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(54),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(682),
    [aux_sym_preproc_if_token2] = ACTIONS(720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(686),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(690),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7220),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(722),
    [aux_sym_preproc_def_token1] = ACTIONS(725),
    [aux_sym_preproc_if_token1] = ACTIONS(728),
    [aux_sym_preproc_if_token2] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(731),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(731),
    [sym_preproc_directive] = ACTIONS(734),
    [anon_sym_LPAREN2] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(390),
    [aux_sym_end_program_statement_token1] = ACTIONS(737),
    [aux_sym_end_program_statement_token2] = ACTIONS(740),
    [aux_sym_module_statement_token1] = ACTIONS(399),
    [aux_sym_submodule_statement_token1] = ACTIONS(402),
    [aux_sym_interface_statement_token1] = ACTIONS(405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(408),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(411),
    [aux_sym_subroutine_statement_token1] = ACTIONS(414),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(417),
    [aux_sym_function_statement_token1] = ACTIONS(420),
    [aux_sym_language_binding_token1] = ACTIONS(423),
    [aux_sym_procedure_attributes_token1] = ACTIONS(426),
    [aux_sym_procedure_attributes_token3] = ACTIONS(429),
    [aux_sym_contains_statement_token1] = ACTIONS(432),
    [aux_sym_use_statement_token1] = ACTIONS(435),
    [aux_sym_use_statement_token2] = ACTIONS(429),
    [aux_sym_implicit_statement_token1] = ACTIONS(438),
    [aux_sym_implicit_statement_token3] = ACTIONS(441),
    [aux_sym_implicit_statement_token4] = ACTIONS(429),
    [aux_sym_save_statement_token1] = ACTIONS(444),
    [aux_sym_private_statement_token1] = ACTIONS(447),
    [aux_sym_public_statement_token1] = ACTIONS(450),
    [aux_sym_namelist_statement_token1] = ACTIONS(453),
    [aux_sym_common_statement_token1] = ACTIONS(456),
    [aux_sym_import_statement_token1] = ACTIONS(459),
    [aux_sym_derived_type_definition_token1] = ACTIONS(429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(462),
    [aux_sym_procedure_attribute_token6] = ACTIONS(429),
    [aux_sym_variable_attributes_token1] = ACTIONS(465),
    [aux_sym_variable_attributes_token2] = ACTIONS(429),
    [aux_sym_variable_attributes_token3] = ACTIONS(429),
    [aux_sym_variable_attributes_token4] = ACTIONS(465),
    [aux_sym_variable_attributes_token5] = ACTIONS(429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(468),
    [aux_sym__intrinsic_type_token2] = ACTIONS(471),
    [aux_sym__intrinsic_type_token3] = ACTIONS(468),
    [aux_sym__intrinsic_type_token4] = ACTIONS(474),
    [aux_sym__intrinsic_type_token6] = ACTIONS(471),
    [aux_sym__intrinsic_type_token7] = ACTIONS(471),
    [aux_sym__intrinsic_type_token8] = ACTIONS(477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(471),
    [aux_sym__intrinsic_type_token10] = ACTIONS(471),
    [aux_sym_derived_type_token1] = ACTIONS(480),
    [aux_sym_declared_type_token1] = ACTIONS(483),
    [aux_sym_declared_type_token2] = ACTIONS(483),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(486),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(492),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(498),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(465),
    [aux_sym_type_qualifier_token1] = ACTIONS(501),
    [aux_sym_type_qualifier_token2] = ACTIONS(501),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(504),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(504),
    [aux_sym_equivalence_statement_token1] = ACTIONS(507),
    [anon_sym_SEMI] = ACTIONS(743),
    [aux_sym_stop_statement_token1] = ACTIONS(513),
    [aux_sym_stop_statement_token2] = ACTIONS(516),
    [aux_sym_subroutine_call_token1] = ACTIONS(519),
    [aux_sym_keyword_statement_token1] = ACTIONS(522),
    [aux_sym_keyword_statement_token2] = ACTIONS(525),
    [aux_sym_keyword_statement_token3] = ACTIONS(525),
    [aux_sym_keyword_statement_token4] = ACTIONS(528),
    [aux_sym_keyword_statement_token6] = ACTIONS(531),
    [aux_sym_keyword_statement_token7] = ACTIONS(522),
    [aux_sym_include_statement_token1] = ACTIONS(534),
    [aux_sym_data_statement_token1] = ACTIONS(537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(540),
    [aux_sym__inline_if_statement_token1] = ACTIONS(543),
    [aux_sym_end_if_statement_token1] = ACTIONS(501),
    [aux_sym_elseif_clause_token2] = ACTIONS(501),
    [aux_sym__inline_where_statement_token1] = ACTIONS(546),
    [aux_sym__forall_control_expression_token1] = ACTIONS(549),
    [aux_sym_select_case_statement_token1] = ACTIONS(552),
    [aux_sym_select_case_statement_token3] = ACTIONS(555),
    [aux_sym_select_type_statement_token1] = ACTIONS(558),
    [aux_sym_select_rank_statement_token1] = ACTIONS(561),
    [aux_sym_block_construct_token1] = ACTIONS(564),
    [aux_sym_associate_statement_token1] = ACTIONS(567),
    [aux_sym_format_statement_token1] = ACTIONS(570),
    [aux_sym_print_statement_token1] = ACTIONS(573),
    [aux_sym_open_statement_token1] = ACTIONS(576),
    [aux_sym_close_statement_token1] = ACTIONS(579),
    [aux_sym_inquire_statement_token1] = ACTIONS(582),
    [aux_sym_enum_statement_token1] = ACTIONS(585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(588),
    [aux_sym_file_position_statement_token1] = ACTIONS(591),
    [aux_sym_file_position_statement_token2] = ACTIONS(591),
    [aux_sym_file_position_statement_token3] = ACTIONS(591),
    [aux_sym_file_position_statement_token4] = ACTIONS(594),
    [aux_sym_allocate_statement_token1] = ACTIONS(597),
    [aux_sym_entry_statement_token1] = ACTIONS(600),
    [aux_sym_logical_expression_token5] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(609),
    [anon_sym_LBRACK] = ACTIONS(612),
    [aux_sym_boolean_literal_token1] = ACTIONS(615),
    [aux_sym_boolean_literal_token2] = ACTIONS(615),
    [aux_sym_null_literal_token1] = ACTIONS(618),
    [aux_sym_coarray_statement_token1] = ACTIONS(621),
    [aux_sym_coarray_statement_token2] = ACTIONS(621),
    [aux_sym_coarray_statement_token6] = ACTIONS(624),
    [aux_sym_coarray_statement_token8] = ACTIONS(627),
    [aux_sym_coarray_statement_token11] = ACTIONS(630),
    [aux_sym_coarray_statement_token12] = ACTIONS(630),
    [aux_sym_coarray_statement_token13] = ACTIONS(633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(636),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(639),
    [aux_sym_identifier_token1] = ACTIONS(501),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(642),
    [sym__float_literal] = ACTIONS(645),
    [sym__boz_literal] = ACTIONS(645),
    [sym__string_literal] = ACTIONS(648),
    [sym__string_literal_kind] = ACTIONS(651),
  },
  [54] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7220),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(682),
    [aux_sym_preproc_if_token2] = ACTIONS(746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(686),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(690),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [55] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_preproc_if_in_specification_part] = STATE(188),
    [sym_preproc_ifdef_in_specification_part] = STATE(188),
    [sym_preproc_if_in_statements] = STATE(620),
    [sym_preproc_ifdef_in_statements] = STATE(620),
    [sym_program] = STATE(53),
    [sym_program_statement] = STATE(195),
    [sym_end_program_statement] = STATE(1053),
    [sym_module] = STATE(53),
    [sym_module_statement] = STATE(987),
    [sym_submodule] = STATE(53),
    [sym_submodule_statement] = STATE(988),
    [sym_interface] = STATE(53),
    [sym_interface_statement] = STATE(3858),
    [sym_subroutine] = STATE(53),
    [sym_subroutine_statement] = STATE(7184),
    [sym_function] = STATE(53),
    [sym_function_statement] = STATE(7185),
    [sym_language_binding] = STATE(3231),
    [aux_sym__callable_interface_qualifers] = STATE(5310),
    [sym_procedure_attributes] = STATE(5310),
    [sym_internal_procedures] = STATE(7220),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(188),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(188),
    [sym_public_statement] = STATE(188),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(188),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3178),
    [sym_intrinsic_type] = STATE(3177),
    [sym_derived_type] = STATE(3177),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_procedure_qualifier] = STATE(5310),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7227),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(188),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(188),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(620),
    [aux_sym_program_repeat1] = STATE(188),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(654),
    [aux_sym_preproc_def_token1] = ACTIONS(656),
    [aux_sym_preproc_if_token1] = ACTIONS(682),
    [aux_sym_preproc_if_token2] = ACTIONS(720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(686),
    [sym_preproc_directive] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(23),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_module_statement_token1] = ACTIONS(29),
    [aux_sym_submodule_statement_token1] = ACTIONS(31),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_subroutine_statement_token1] = ACTIONS(39),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(47),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(57),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(99),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(99),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(690),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [56] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_else_in_specification_part] = STATE(8260),
    [sym_preproc_elif_in_specification_part] = STATE(8260),
    [sym_preproc_elifdef_in_specification_part] = STATE(8260),
    [sym_preproc_if_in_statements] = STATE(219),
    [sym_preproc_ifdef_in_statements] = STATE(219),
    [sym_preproc_else_in_statements] = STATE(8261),
    [sym_preproc_elif_in_statements] = STATE(8261),
    [sym_preproc_elifdef_in_statements] = STATE(8261),
    [sym_preproc_else_in_procedure_statements] = STATE(8168),
    [sym_preproc_elif_in_procedure_statements] = STATE(8168),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8168),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5590),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(93),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(219),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(786),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [57] = {
    [sym_preproc_include] = STATE(110),
    [sym_preproc_def] = STATE(110),
    [sym_preproc_function_def] = STATE(110),
    [sym_preproc_call] = STATE(110),
    [sym_preproc_else_in_specification_part] = STATE(8375),
    [sym_preproc_elif_in_specification_part] = STATE(8375),
    [sym_preproc_elifdef_in_specification_part] = STATE(8375),
    [sym_preproc_if_in_statements] = STATE(213),
    [sym_preproc_ifdef_in_statements] = STATE(213),
    [sym_preproc_else_in_statements] = STATE(7734),
    [sym_preproc_elif_in_statements] = STATE(7734),
    [sym_preproc_elifdef_in_statements] = STATE(7734),
    [sym_preproc_else_in_procedure_statements] = STATE(7831),
    [sym_preproc_elif_in_procedure_statements] = STATE(7831),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7831),
    [sym_interface] = STATE(110),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5630),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(110),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(110),
    [sym_public_statement] = STATE(110),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(110),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(110),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(110),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(110),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(213),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(792),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [58] = {
    [sym_preproc_include] = STATE(88),
    [sym_preproc_def] = STATE(88),
    [sym_preproc_function_def] = STATE(88),
    [sym_preproc_call] = STATE(88),
    [sym_preproc_else_in_specification_part] = STATE(8060),
    [sym_preproc_elif_in_specification_part] = STATE(8060),
    [sym_preproc_elifdef_in_specification_part] = STATE(8060),
    [sym_preproc_if_in_statements] = STATE(215),
    [sym_preproc_ifdef_in_statements] = STATE(215),
    [sym_preproc_else_in_statements] = STATE(8455),
    [sym_preproc_elif_in_statements] = STATE(8455),
    [sym_preproc_elifdef_in_statements] = STATE(8455),
    [sym_preproc_else_in_procedure_statements] = STATE(8174),
    [sym_preproc_elif_in_procedure_statements] = STATE(8174),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8174),
    [sym_interface] = STATE(88),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5588),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(88),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(88),
    [sym_public_statement] = STATE(88),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(88),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(88),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(88),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(88),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(215),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(796),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(798),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [59] = {
    [sym_preproc_include] = STATE(119),
    [sym_preproc_def] = STATE(119),
    [sym_preproc_function_def] = STATE(119),
    [sym_preproc_call] = STATE(119),
    [sym_preproc_else_in_specification_part] = STATE(8501),
    [sym_preproc_elif_in_specification_part] = STATE(8501),
    [sym_preproc_elifdef_in_specification_part] = STATE(8501),
    [sym_preproc_if_in_statements] = STATE(217),
    [sym_preproc_ifdef_in_statements] = STATE(217),
    [sym_preproc_else_in_statements] = STATE(8068),
    [sym_preproc_elif_in_statements] = STATE(8068),
    [sym_preproc_elifdef_in_statements] = STATE(8068),
    [sym_preproc_else_in_procedure_statements] = STATE(7768),
    [sym_preproc_elif_in_procedure_statements] = STATE(7768),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7768),
    [sym_interface] = STATE(119),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5649),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(119),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(119),
    [sym_public_statement] = STATE(119),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(119),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(119),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(119),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(119),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(217),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(802),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(804),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [60] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_else_in_specification_part] = STATE(8654),
    [sym_preproc_elif_in_specification_part] = STATE(8654),
    [sym_preproc_elifdef_in_specification_part] = STATE(8654),
    [sym_preproc_if_in_statements] = STATE(216),
    [sym_preproc_ifdef_in_statements] = STATE(216),
    [sym_preproc_else_in_statements] = STATE(8651),
    [sym_preproc_elif_in_statements] = STATE(8651),
    [sym_preproc_elifdef_in_statements] = STATE(8651),
    [sym_preproc_else_in_procedure_statements] = STATE(8050),
    [sym_preproc_elif_in_procedure_statements] = STATE(8050),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8050),
    [sym_interface] = STATE(94),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5648),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(94),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(94),
    [sym_public_statement] = STATE(94),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(94),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(94),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(94),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(94),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(216),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(808),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [61] = {
    [sym_preproc_include] = STATE(102),
    [sym_preproc_def] = STATE(102),
    [sym_preproc_function_def] = STATE(102),
    [sym_preproc_call] = STATE(102),
    [sym_preproc_else_in_specification_part] = STATE(8572),
    [sym_preproc_elif_in_specification_part] = STATE(8572),
    [sym_preproc_elifdef_in_specification_part] = STATE(8572),
    [sym_preproc_if_in_statements] = STATE(218),
    [sym_preproc_ifdef_in_statements] = STATE(218),
    [sym_preproc_else_in_statements] = STATE(8126),
    [sym_preproc_elif_in_statements] = STATE(8126),
    [sym_preproc_elifdef_in_statements] = STATE(8126),
    [sym_preproc_else_in_procedure_statements] = STATE(7889),
    [sym_preproc_elif_in_procedure_statements] = STATE(7889),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7889),
    [sym_interface] = STATE(102),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5583),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(102),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(102),
    [sym_public_statement] = STATE(102),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(102),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(102),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(102),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(102),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(218),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(810),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(812),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [62] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_else_in_specification_part] = STATE(8580),
    [sym_preproc_elif_in_specification_part] = STATE(8580),
    [sym_preproc_elifdef_in_specification_part] = STATE(8580),
    [sym_preproc_if_in_statements] = STATE(220),
    [sym_preproc_ifdef_in_statements] = STATE(220),
    [sym_preproc_else_in_statements] = STATE(8127),
    [sym_preproc_elif_in_statements] = STATE(8127),
    [sym_preproc_elifdef_in_statements] = STATE(8127),
    [sym_preproc_else_in_procedure_statements] = STATE(7927),
    [sym_preproc_elif_in_procedure_statements] = STATE(7927),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7927),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5625),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(104),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(220),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(816),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [63] = {
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_else_in_specification_part] = STATE(8639),
    [sym_preproc_elif_in_specification_part] = STATE(8639),
    [sym_preproc_elifdef_in_specification_part] = STATE(8639),
    [sym_preproc_if_in_statements] = STATE(221),
    [sym_preproc_ifdef_in_statements] = STATE(221),
    [sym_preproc_else_in_statements] = STATE(8167),
    [sym_preproc_elif_in_statements] = STATE(8167),
    [sym_preproc_elifdef_in_statements] = STATE(8167),
    [sym_preproc_else_in_procedure_statements] = STATE(8155),
    [sym_preproc_elif_in_procedure_statements] = STATE(8155),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8155),
    [sym_interface] = STATE(105),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5623),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(105),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(105),
    [sym_public_statement] = STATE(105),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(105),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(105),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(105),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(105),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(221),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(820),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [64] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_else_in_specification_part] = STATE(8315),
    [sym_preproc_elif_in_specification_part] = STATE(8315),
    [sym_preproc_elifdef_in_specification_part] = STATE(8315),
    [sym_preproc_if_in_statements] = STATE(224),
    [sym_preproc_ifdef_in_statements] = STATE(224),
    [sym_preproc_else_in_statements] = STATE(8510),
    [sym_preproc_elif_in_statements] = STATE(8510),
    [sym_preproc_elifdef_in_statements] = STATE(8510),
    [sym_preproc_else_in_procedure_statements] = STATE(8312),
    [sym_preproc_elif_in_procedure_statements] = STATE(8312),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8312),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5574),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(100),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(224),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(822),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [65] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(223),
    [sym_preproc_ifdef_in_statements] = STATE(223),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_preproc_else_in_procedure_statements] = STATE(8492),
    [sym_preproc_elif_in_procedure_statements] = STATE(8492),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8492),
    [sym_interface] = STATE(90),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5629),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(90),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(90),
    [sym_public_statement] = STATE(90),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(90),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(90),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(90),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(90),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(223),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(824),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [66] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_else_in_specification_part] = STATE(8263),
    [sym_preproc_elif_in_specification_part] = STATE(8263),
    [sym_preproc_elifdef_in_specification_part] = STATE(8263),
    [sym_preproc_if_in_statements] = STATE(222),
    [sym_preproc_ifdef_in_statements] = STATE(222),
    [sym_preproc_else_in_statements] = STATE(8264),
    [sym_preproc_elif_in_statements] = STATE(8264),
    [sym_preproc_elifdef_in_statements] = STATE(8264),
    [sym_preproc_else_in_procedure_statements] = STATE(8441),
    [sym_preproc_elif_in_procedure_statements] = STATE(8441),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8441),
    [sym_interface] = STATE(87),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5628),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(87),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(87),
    [sym_public_statement] = STATE(87),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(87),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(87),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(87),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(87),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(222),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [67] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_else_in_specification_part] = STATE(8395),
    [sym_preproc_elif_in_specification_part] = STATE(8395),
    [sym_preproc_elifdef_in_specification_part] = STATE(8395),
    [sym_preproc_if_in_statements] = STATE(210),
    [sym_preproc_ifdef_in_statements] = STATE(210),
    [sym_preproc_else_in_statements] = STATE(8555),
    [sym_preproc_elif_in_statements] = STATE(8555),
    [sym_preproc_elifdef_in_statements] = STATE(8555),
    [sym_preproc_else_in_procedure_statements] = STATE(8499),
    [sym_preproc_elif_in_procedure_statements] = STATE(8499),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8499),
    [sym_interface] = STATE(89),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5646),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(89),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(89),
    [sym_public_statement] = STATE(89),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(89),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(89),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(89),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(89),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(210),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(830),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [68] = {
    [sym_preproc_include] = STATE(112),
    [sym_preproc_def] = STATE(112),
    [sym_preproc_function_def] = STATE(112),
    [sym_preproc_call] = STATE(112),
    [sym_preproc_else_in_specification_part] = STATE(7722),
    [sym_preproc_elif_in_specification_part] = STATE(7722),
    [sym_preproc_elifdef_in_specification_part] = STATE(7722),
    [sym_preproc_if_in_statements] = STATE(211),
    [sym_preproc_ifdef_in_statements] = STATE(211),
    [sym_preproc_else_in_statements] = STATE(7742),
    [sym_preproc_elif_in_statements] = STATE(7742),
    [sym_preproc_elifdef_in_statements] = STATE(7742),
    [sym_preproc_else_in_procedure_statements] = STATE(8287),
    [sym_preproc_elif_in_procedure_statements] = STATE(8287),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8287),
    [sym_interface] = STATE(112),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5587),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(112),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(112),
    [sym_public_statement] = STATE(112),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(112),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(112),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(112),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(211),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(834),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [69] = {
    [sym_preproc_include] = STATE(113),
    [sym_preproc_def] = STATE(113),
    [sym_preproc_function_def] = STATE(113),
    [sym_preproc_call] = STATE(113),
    [sym_preproc_else_in_specification_part] = STATE(7864),
    [sym_preproc_elif_in_specification_part] = STATE(7864),
    [sym_preproc_elifdef_in_specification_part] = STATE(7864),
    [sym_preproc_if_in_statements] = STATE(212),
    [sym_preproc_ifdef_in_statements] = STATE(212),
    [sym_preproc_else_in_statements] = STATE(7749),
    [sym_preproc_elif_in_statements] = STATE(7749),
    [sym_preproc_elifdef_in_statements] = STATE(7749),
    [sym_preproc_else_in_procedure_statements] = STATE(7860),
    [sym_preproc_elif_in_procedure_statements] = STATE(7860),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7860),
    [sym_interface] = STATE(113),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5615),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(113),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(113),
    [sym_public_statement] = STATE(113),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(113),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(113),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(113),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(212),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(838),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [70] = {
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_else_in_specification_part] = STATE(8418),
    [sym_preproc_elif_in_specification_part] = STATE(8418),
    [sym_preproc_elifdef_in_specification_part] = STATE(8418),
    [sym_preproc_if_in_statements] = STATE(214),
    [sym_preproc_ifdef_in_statements] = STATE(214),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_preproc_else_in_procedure_statements] = STATE(8372),
    [sym_preproc_elif_in_procedure_statements] = STATE(8372),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8372),
    [sym_interface] = STATE(91),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5580),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(91),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(91),
    [sym_public_statement] = STATE(91),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(91),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(91),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(91),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(91),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(214),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(842),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [71] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_else_in_specification_part] = STATE(8624),
    [sym_preproc_elif_in_specification_part] = STATE(8624),
    [sym_preproc_elifdef_in_specification_part] = STATE(8624),
    [sym_preproc_if_in_statements] = STATE(209),
    [sym_preproc_ifdef_in_statements] = STATE(209),
    [sym_preproc_else_in_statements] = STATE(7741),
    [sym_preproc_elif_in_statements] = STATE(7741),
    [sym_preproc_elifdef_in_statements] = STATE(7741),
    [sym_preproc_else_in_procedure_statements] = STATE(8253),
    [sym_preproc_elif_in_procedure_statements] = STATE(8253),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8253),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5585),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(111),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(209),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(846),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [72] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_else_in_specification_part] = STATE(8260),
    [sym_preproc_elif_in_specification_part] = STATE(8260),
    [sym_preproc_elifdef_in_specification_part] = STATE(8260),
    [sym_preproc_if_in_statements] = STATE(277),
    [sym_preproc_ifdef_in_statements] = STATE(277),
    [sym_preproc_else_in_statements] = STATE(8261),
    [sym_preproc_elif_in_statements] = STATE(8261),
    [sym_preproc_elifdef_in_statements] = STATE(8261),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5714),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(93),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(277),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(856),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [73] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(251),
    [sym_preproc_ifdef_in_statements] = STATE(251),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5699),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(85),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(251),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(858),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(860),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(862),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [74] = {
    [sym_preproc_include] = STATE(86),
    [sym_preproc_def] = STATE(86),
    [sym_preproc_function_def] = STATE(86),
    [sym_preproc_call] = STATE(86),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(265),
    [sym_preproc_ifdef_in_statements] = STATE(265),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_interface] = STATE(86),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5716),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(86),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(86),
    [sym_public_statement] = STATE(86),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(86),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(86),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(86),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(265),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(866),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [75] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_else_in_specification_part] = STATE(8315),
    [sym_preproc_elif_in_specification_part] = STATE(8315),
    [sym_preproc_elifdef_in_specification_part] = STATE(8315),
    [sym_preproc_if_in_statements] = STATE(262),
    [sym_preproc_ifdef_in_statements] = STATE(262),
    [sym_preproc_else_in_statements] = STATE(8510),
    [sym_preproc_elif_in_statements] = STATE(8510),
    [sym_preproc_elifdef_in_statements] = STATE(8510),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5721),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(100),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(262),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(868),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [76] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(245),
    [sym_preproc_ifdef_in_statements] = STATE(245),
    [sym_preproc_else_in_statements] = STATE(8026),
    [sym_preproc_elif_in_statements] = STATE(8026),
    [sym_preproc_elifdef_in_statements] = STATE(8026),
    [sym_interface] = STATE(99),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5729),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(99),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(99),
    [sym_public_statement] = STATE(99),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(99),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(99),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(99),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(245),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(872),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [77] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_else_in_specification_part] = STATE(8263),
    [sym_preproc_elif_in_specification_part] = STATE(8263),
    [sym_preproc_elifdef_in_specification_part] = STATE(8263),
    [sym_preproc_if_in_statements] = STATE(276),
    [sym_preproc_ifdef_in_statements] = STATE(276),
    [sym_preproc_else_in_statements] = STATE(8264),
    [sym_preproc_elif_in_statements] = STATE(8264),
    [sym_preproc_elifdef_in_statements] = STATE(8264),
    [sym_interface] = STATE(87),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5735),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(87),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(87),
    [sym_public_statement] = STATE(87),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(87),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(87),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(87),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(87),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(276),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(874),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [78] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(273),
    [sym_preproc_ifdef_in_statements] = STATE(273),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_interface] = STATE(92),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5731),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(92),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(92),
    [sym_public_statement] = STATE(92),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(92),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(92),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(92),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(273),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(878),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [79] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(249),
    [sym_preproc_ifdef_in_statements] = STATE(249),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_interface] = STATE(90),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5684),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(90),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(90),
    [sym_public_statement] = STATE(90),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(90),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(90),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(90),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(90),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(249),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(880),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [80] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_else_in_specification_part] = STATE(8260),
    [sym_preproc_elif_in_specification_part] = STATE(8260),
    [sym_preproc_elifdef_in_specification_part] = STATE(8260),
    [sym_preproc_if_in_statements] = STATE(315),
    [sym_preproc_ifdef_in_statements] = STATE(315),
    [sym_interface] = STATE(93),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5918),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(93),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(93),
    [sym_public_statement] = STATE(93),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(93),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(93),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(93),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(93),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(315),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(888),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(890),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [81] = {
    [sym_preproc_include] = STATE(88),
    [sym_preproc_def] = STATE(88),
    [sym_preproc_function_def] = STATE(88),
    [sym_preproc_call] = STATE(88),
    [sym_preproc_else_in_specification_part] = STATE(8060),
    [sym_preproc_elif_in_specification_part] = STATE(8060),
    [sym_preproc_elifdef_in_specification_part] = STATE(8060),
    [sym_preproc_if_in_statements] = STATE(435),
    [sym_preproc_ifdef_in_statements] = STATE(435),
    [sym_interface] = STATE(88),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5908),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(88),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(88),
    [sym_public_statement] = STATE(88),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(88),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(88),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(88),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(88),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(435),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(892),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(896),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [82] = {
    [sym_preproc_include] = STATE(119),
    [sym_preproc_def] = STATE(119),
    [sym_preproc_function_def] = STATE(119),
    [sym_preproc_call] = STATE(119),
    [sym_preproc_else_in_specification_part] = STATE(8501),
    [sym_preproc_elif_in_specification_part] = STATE(8501),
    [sym_preproc_elifdef_in_specification_part] = STATE(8501),
    [sym_preproc_if_in_statements] = STATE(304),
    [sym_preproc_ifdef_in_statements] = STATE(304),
    [sym_interface] = STATE(119),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5959),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(119),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(119),
    [sym_public_statement] = STATE(119),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(119),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(119),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(119),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(119),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(304),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(900),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(902),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [83] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_else_in_specification_part] = STATE(8659),
    [sym_preproc_elif_in_specification_part] = STATE(8659),
    [sym_preproc_elifdef_in_specification_part] = STATE(8659),
    [sym_preproc_if_in_statements] = STATE(306),
    [sym_preproc_ifdef_in_statements] = STATE(306),
    [sym_interface] = STATE(85),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5825),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(85),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(85),
    [sym_public_statement] = STATE(85),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(85),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(85),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(85),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(85),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(306),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(908),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [84] = {
    [sym_preproc_include] = STATE(110),
    [sym_preproc_def] = STATE(110),
    [sym_preproc_function_def] = STATE(110),
    [sym_preproc_call] = STATE(110),
    [sym_preproc_else_in_specification_part] = STATE(8375),
    [sym_preproc_elif_in_specification_part] = STATE(8375),
    [sym_preproc_elifdef_in_specification_part] = STATE(8375),
    [sym_preproc_if_in_statements] = STATE(308),
    [sym_preproc_ifdef_in_statements] = STATE(308),
    [sym_interface] = STATE(110),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5834),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(110),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(110),
    [sym_public_statement] = STATE(110),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(110),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(110),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(110),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(110),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(308),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(910),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(912),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(914),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [85] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(335),
    [sym_preproc_ifdef_in_statements] = STATE(335),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5817),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(335),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(918),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [86] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(307),
    [sym_preproc_ifdef_in_statements] = STATE(307),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5842),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(307),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(922),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [87] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8398),
    [sym_preproc_elif_in_specification_part] = STATE(8398),
    [sym_preproc_elifdef_in_specification_part] = STATE(8398),
    [sym_preproc_if_in_statements] = STATE(333),
    [sym_preproc_ifdef_in_statements] = STATE(333),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5803),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(333),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(926),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [88] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8418),
    [sym_preproc_elif_in_specification_part] = STATE(8418),
    [sym_preproc_elifdef_in_specification_part] = STATE(8418),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5966),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(316),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(930),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [89] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8654),
    [sym_preproc_elif_in_specification_part] = STATE(8654),
    [sym_preproc_elifdef_in_specification_part] = STATE(8654),
    [sym_preproc_if_in_statements] = STATE(320),
    [sym_preproc_ifdef_in_statements] = STATE(320),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5981),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(320),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(934),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [90] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7747),
    [sym_preproc_elif_in_specification_part] = STATE(7747),
    [sym_preproc_elifdef_in_specification_part] = STATE(7747),
    [sym_preproc_if_in_statements] = STATE(334),
    [sym_preproc_ifdef_in_statements] = STATE(334),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5912),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(334),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(938),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [91] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7710),
    [sym_preproc_elif_in_specification_part] = STATE(7710),
    [sym_preproc_elifdef_in_specification_part] = STATE(7710),
    [sym_preproc_if_in_statements] = STATE(321),
    [sym_preproc_ifdef_in_statements] = STATE(321),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5984),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(321),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(942),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [92] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(332),
    [sym_preproc_ifdef_in_statements] = STATE(332),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5861),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(332),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(946),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [93] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(311),
    [sym_preproc_ifdef_in_statements] = STATE(311),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5885),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(311),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(948),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [94] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7824),
    [sym_preproc_elif_in_specification_part] = STATE(7824),
    [sym_preproc_elifdef_in_specification_part] = STATE(7824),
    [sym_preproc_if_in_statements] = STATE(325),
    [sym_preproc_ifdef_in_statements] = STATE(325),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5874),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(325),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(952),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [95] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_else_in_specification_part] = STATE(8263),
    [sym_preproc_elif_in_specification_part] = STATE(8263),
    [sym_preproc_elifdef_in_specification_part] = STATE(8263),
    [sym_preproc_if_in_statements] = STATE(336),
    [sym_preproc_ifdef_in_statements] = STATE(336),
    [sym_interface] = STATE(87),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5920),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(87),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(87),
    [sym_public_statement] = STATE(87),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(87),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(87),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(87),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(87),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(336),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(954),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [96] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(311),
    [sym_preproc_ifdef_in_statements] = STATE(311),
    [sym_interface] = STATE(90),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5885),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(90),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(90),
    [sym_public_statement] = STATE(90),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(90),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(90),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(90),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(90),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(311),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(948),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [97] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_else_in_specification_part] = STATE(8395),
    [sym_preproc_elif_in_specification_part] = STATE(8395),
    [sym_preproc_elifdef_in_specification_part] = STATE(8395),
    [sym_preproc_if_in_statements] = STATE(464),
    [sym_preproc_ifdef_in_statements] = STATE(464),
    [sym_interface] = STATE(89),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5895),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(89),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(89),
    [sym_public_statement] = STATE(89),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(89),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(89),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(89),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(89),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(464),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(958),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [98] = {
    [sym_preproc_include] = STATE(86),
    [sym_preproc_def] = STATE(86),
    [sym_preproc_function_def] = STATE(86),
    [sym_preproc_call] = STATE(86),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(314),
    [sym_preproc_ifdef_in_statements] = STATE(314),
    [sym_interface] = STATE(86),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(86),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(86),
    [sym_public_statement] = STATE(86),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(86),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(86),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(86),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(86),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(314),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(962),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [99] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(314),
    [sym_preproc_ifdef_in_statements] = STATE(314),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(314),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(962),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [100] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8566),
    [sym_preproc_elif_in_specification_part] = STATE(8566),
    [sym_preproc_elifdef_in_specification_part] = STATE(8566),
    [sym_preproc_if_in_statements] = STATE(350),
    [sym_preproc_ifdef_in_statements] = STATE(350),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5852),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(350),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(966),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [101] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(335),
    [sym_preproc_ifdef_in_statements] = STATE(335),
    [sym_interface] = STATE(92),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5817),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(92),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(92),
    [sym_public_statement] = STATE(92),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(92),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(92),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(92),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(92),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(335),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(918),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [102] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8639),
    [sym_preproc_elif_in_specification_part] = STATE(8639),
    [sym_preproc_elifdef_in_specification_part] = STATE(8639),
    [sym_preproc_if_in_statements] = STATE(341),
    [sym_preproc_ifdef_in_statements] = STATE(341),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5909),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(341),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(970),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [103] = {
    [sym_preproc_include] = STATE(100),
    [sym_preproc_def] = STATE(100),
    [sym_preproc_function_def] = STATE(100),
    [sym_preproc_call] = STATE(100),
    [sym_preproc_else_in_specification_part] = STATE(8315),
    [sym_preproc_elif_in_specification_part] = STATE(8315),
    [sym_preproc_elifdef_in_specification_part] = STATE(8315),
    [sym_preproc_if_in_statements] = STATE(351),
    [sym_preproc_ifdef_in_statements] = STATE(351),
    [sym_interface] = STATE(100),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5862),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(100),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(100),
    [sym_public_statement] = STATE(100),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(100),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(100),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(100),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(100),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(351),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(972),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [104] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8660),
    [sym_preproc_elif_in_specification_part] = STATE(8660),
    [sym_preproc_elifdef_in_specification_part] = STATE(8660),
    [sym_preproc_if_in_statements] = STATE(342),
    [sym_preproc_ifdef_in_statements] = STATE(342),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5916),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(342),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(976),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [105] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7770),
    [sym_preproc_elif_in_specification_part] = STATE(7770),
    [sym_preproc_elifdef_in_specification_part] = STATE(7770),
    [sym_preproc_if_in_statements] = STATE(346),
    [sym_preproc_ifdef_in_statements] = STATE(346),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5952),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(346),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(980),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [106] = {
    [sym_preproc_include] = STATE(102),
    [sym_preproc_def] = STATE(102),
    [sym_preproc_function_def] = STATE(102),
    [sym_preproc_call] = STATE(102),
    [sym_preproc_else_in_specification_part] = STATE(8572),
    [sym_preproc_elif_in_specification_part] = STATE(8572),
    [sym_preproc_elifdef_in_specification_part] = STATE(8572),
    [sym_preproc_if_in_statements] = STATE(305),
    [sym_preproc_ifdef_in_statements] = STATE(305),
    [sym_interface] = STATE(102),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5827),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(102),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(102),
    [sym_public_statement] = STATE(102),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(102),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(102),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(102),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(102),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(305),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(984),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [107] = {
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_else_in_specification_part] = STATE(8418),
    [sym_preproc_elif_in_specification_part] = STATE(8418),
    [sym_preproc_elifdef_in_specification_part] = STATE(8418),
    [sym_preproc_if_in_statements] = STATE(316),
    [sym_preproc_ifdef_in_statements] = STATE(316),
    [sym_interface] = STATE(91),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5966),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(91),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(91),
    [sym_public_statement] = STATE(91),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(91),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(91),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(91),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(91),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(316),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(930),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [108] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_else_in_specification_part] = STATE(8654),
    [sym_preproc_elif_in_specification_part] = STATE(8654),
    [sym_preproc_elifdef_in_specification_part] = STATE(8654),
    [sym_preproc_if_in_statements] = STATE(320),
    [sym_preproc_ifdef_in_statements] = STATE(320),
    [sym_interface] = STATE(94),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5981),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(94),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(94),
    [sym_public_statement] = STATE(94),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(94),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(94),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(94),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(94),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(320),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(934),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [109] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_else_in_specification_part] = STATE(7983),
    [sym_preproc_elif_in_specification_part] = STATE(7983),
    [sym_preproc_elifdef_in_specification_part] = STATE(7983),
    [sym_preproc_if_in_statements] = STATE(331),
    [sym_preproc_ifdef_in_statements] = STATE(331),
    [sym_interface] = STATE(99),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5896),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(99),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(99),
    [sym_public_statement] = STATE(99),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(99),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(99),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(99),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(99),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(331),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(988),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [110] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7722),
    [sym_preproc_elif_in_specification_part] = STATE(7722),
    [sym_preproc_elifdef_in_specification_part] = STATE(7722),
    [sym_preproc_if_in_statements] = STATE(352),
    [sym_preproc_ifdef_in_statements] = STATE(352),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5838),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(352),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(992),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [111] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7864),
    [sym_preproc_elif_in_specification_part] = STATE(7864),
    [sym_preproc_elifdef_in_specification_part] = STATE(7864),
    [sym_preproc_if_in_statements] = STATE(356),
    [sym_preproc_ifdef_in_statements] = STATE(356),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5884),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(356),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [112] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(7898),
    [sym_preproc_elif_in_specification_part] = STATE(7898),
    [sym_preproc_elifdef_in_specification_part] = STATE(7898),
    [sym_preproc_if_in_statements] = STATE(357),
    [sym_preproc_ifdef_in_statements] = STATE(357),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5890),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(357),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1000),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [113] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8154),
    [sym_preproc_elif_in_specification_part] = STATE(8154),
    [sym_preproc_elifdef_in_specification_part] = STATE(8154),
    [sym_preproc_if_in_statements] = STATE(361),
    [sym_preproc_ifdef_in_statements] = STATE(361),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5947),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(361),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1004),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [114] = {
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_else_in_specification_part] = STATE(8624),
    [sym_preproc_elif_in_specification_part] = STATE(8624),
    [sym_preproc_elifdef_in_specification_part] = STATE(8624),
    [sym_preproc_if_in_statements] = STATE(309),
    [sym_preproc_ifdef_in_statements] = STATE(309),
    [sym_interface] = STATE(111),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5879),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(111),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(111),
    [sym_public_statement] = STATE(111),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(111),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(111),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(111),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(309),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1008),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [115] = {
    [sym_preproc_include] = STATE(104),
    [sym_preproc_def] = STATE(104),
    [sym_preproc_function_def] = STATE(104),
    [sym_preproc_call] = STATE(104),
    [sym_preproc_else_in_specification_part] = STATE(8580),
    [sym_preproc_elif_in_specification_part] = STATE(8580),
    [sym_preproc_elifdef_in_specification_part] = STATE(8580),
    [sym_preproc_if_in_statements] = STATE(337),
    [sym_preproc_ifdef_in_statements] = STATE(337),
    [sym_interface] = STATE(104),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5880),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(104),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(104),
    [sym_public_statement] = STATE(104),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(104),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(104),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(104),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(104),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(337),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1012),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [116] = {
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_else_in_specification_part] = STATE(8639),
    [sym_preproc_elif_in_specification_part] = STATE(8639),
    [sym_preproc_elifdef_in_specification_part] = STATE(8639),
    [sym_preproc_if_in_statements] = STATE(341),
    [sym_preproc_ifdef_in_statements] = STATE(341),
    [sym_interface] = STATE(105),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5909),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(105),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(105),
    [sym_public_statement] = STATE(105),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(105),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(105),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(105),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(105),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(341),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(970),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [117] = {
    [sym_preproc_include] = STATE(112),
    [sym_preproc_def] = STATE(112),
    [sym_preproc_function_def] = STATE(112),
    [sym_preproc_call] = STATE(112),
    [sym_preproc_else_in_specification_part] = STATE(7722),
    [sym_preproc_elif_in_specification_part] = STATE(7722),
    [sym_preproc_elifdef_in_specification_part] = STATE(7722),
    [sym_preproc_if_in_statements] = STATE(352),
    [sym_preproc_ifdef_in_statements] = STATE(352),
    [sym_interface] = STATE(112),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5838),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(112),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(112),
    [sym_public_statement] = STATE(112),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(112),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(112),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(112),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(352),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(992),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [118] = {
    [sym_preproc_include] = STATE(113),
    [sym_preproc_def] = STATE(113),
    [sym_preproc_function_def] = STATE(113),
    [sym_preproc_call] = STATE(113),
    [sym_preproc_else_in_specification_part] = STATE(7864),
    [sym_preproc_elif_in_specification_part] = STATE(7864),
    [sym_preproc_elifdef_in_specification_part] = STATE(7864),
    [sym_preproc_if_in_statements] = STATE(356),
    [sym_preproc_ifdef_in_statements] = STATE(356),
    [sym_interface] = STATE(113),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5884),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(113),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(113),
    [sym_public_statement] = STATE(113),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(113),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(113),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(113),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(356),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(996),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [119] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_preproc_else_in_specification_part] = STATE(8580),
    [sym_preproc_elif_in_specification_part] = STATE(8580),
    [sym_preproc_elifdef_in_specification_part] = STATE(8580),
    [sym_preproc_if_in_statements] = STATE(337),
    [sym_preproc_ifdef_in_statements] = STATE(337),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5880),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(790),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6592),
    [sym_data_statement] = STATE(6835),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_statement_function] = STATE(6835),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(337),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(748),
    [aux_sym_preproc_def_token1] = ACTIONS(750),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(762),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(772),
    [aux_sym_public_statement_token1] = ACTIONS(774),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1012),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [120] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(478),
    [sym_preproc_ifdef_in_statements] = STATE(478),
    [sym_preproc_if_in_procedure_statements] = STATE(478),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(478),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(887),
    [sym_internal_procedures] = STATE(6952),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(478),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1024),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1026),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [121] = {
    [sym_preproc_include] = STATE(122),
    [sym_preproc_def] = STATE(122),
    [sym_preproc_function_def] = STATE(122),
    [sym_preproc_call] = STATE(122),
    [sym_preproc_if_in_specification_part] = STATE(122),
    [sym_preproc_ifdef_in_specification_part] = STATE(122),
    [sym_preproc_if_in_statements] = STATE(508),
    [sym_preproc_ifdef_in_statements] = STATE(508),
    [sym_preproc_if_in_procedure_statements] = STATE(508),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(508),
    [sym_interface] = STATE(122),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(1051),
    [sym_internal_procedures] = STATE(7150),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(122),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(122),
    [sym_public_statement] = STATE(122),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(122),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(122),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(122),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(122),
    [aux_sym_subroutine_repeat1] = STATE(508),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1034),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1036),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1038),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [122] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(479),
    [sym_preproc_ifdef_in_statements] = STATE(479),
    [sym_preproc_if_in_procedure_statements] = STATE(479),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(479),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(1045),
    [sym_internal_procedures] = STATE(6636),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(479),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1034),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1036),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [123] = {
    [sym_preproc_include] = STATE(126),
    [sym_preproc_def] = STATE(126),
    [sym_preproc_function_def] = STATE(126),
    [sym_preproc_call] = STATE(126),
    [sym_preproc_if_in_specification_part] = STATE(126),
    [sym_preproc_ifdef_in_specification_part] = STATE(126),
    [sym_preproc_if_in_statements] = STATE(503),
    [sym_preproc_ifdef_in_statements] = STATE(503),
    [sym_preproc_if_in_procedure_statements] = STATE(503),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(503),
    [sym_interface] = STATE(126),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5093),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6968),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(126),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(126),
    [sym_public_statement] = STATE(126),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(126),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(126),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(126),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(126),
    [aux_sym_subroutine_repeat1] = STATE(503),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1052),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1054),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [124] = {
    [sym_preproc_include] = STATE(128),
    [sym_preproc_def] = STATE(128),
    [sym_preproc_function_def] = STATE(128),
    [sym_preproc_call] = STATE(128),
    [sym_preproc_if_in_specification_part] = STATE(128),
    [sym_preproc_ifdef_in_specification_part] = STATE(128),
    [sym_preproc_if_in_statements] = STATE(477),
    [sym_preproc_ifdef_in_statements] = STATE(477),
    [sym_preproc_if_in_procedure_statements] = STATE(477),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(477),
    [sym_interface] = STATE(128),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5103),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6454),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(128),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(128),
    [sym_public_statement] = STATE(128),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(128),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(128),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(128),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(128),
    [aux_sym_subroutine_repeat1] = STATE(477),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1062),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1064),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [125] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(534),
    [sym_preproc_ifdef_in_statements] = STATE(534),
    [sym_preproc_if_in_procedure_statements] = STATE(534),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(534),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(4962),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7108),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(534),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1068),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1070),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [126] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(536),
    [sym_preproc_ifdef_in_statements] = STATE(536),
    [sym_preproc_if_in_procedure_statements] = STATE(536),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(536),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5075),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6863),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(536),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1052),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1054),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [127] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(531),
    [sym_preproc_ifdef_in_statements] = STATE(531),
    [sym_preproc_if_in_procedure_statements] = STATE(531),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(531),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4577),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7052),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(531),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1086),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1088),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [128] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(480),
    [sym_preproc_ifdef_in_statements] = STATE(480),
    [sym_preproc_if_in_procedure_statements] = STATE(480),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(480),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5118),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6466),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(480),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1062),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1064),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [129] = {
    [sym_preproc_include] = STATE(127),
    [sym_preproc_def] = STATE(127),
    [sym_preproc_function_def] = STATE(127),
    [sym_preproc_call] = STATE(127),
    [sym_preproc_if_in_specification_part] = STATE(127),
    [sym_preproc_ifdef_in_specification_part] = STATE(127),
    [sym_preproc_if_in_statements] = STATE(525),
    [sym_preproc_ifdef_in_statements] = STATE(525),
    [sym_preproc_if_in_procedure_statements] = STATE(525),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(525),
    [sym_interface] = STATE(127),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4553),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6762),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(127),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(127),
    [sym_public_statement] = STATE(127),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(127),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(127),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(127),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(127),
    [aux_sym_subroutine_repeat1] = STATE(525),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1086),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1088),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [130] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(532),
    [sym_preproc_ifdef_in_statements] = STATE(532),
    [sym_preproc_if_in_procedure_statements] = STATE(532),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(532),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4579),
    [sym_internal_procedures] = STATE(7063),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(532),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1100),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1102),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [131] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(483),
    [sym_preproc_ifdef_in_statements] = STATE(483),
    [sym_preproc_if_in_procedure_statements] = STATE(483),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(483),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(1001),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6495),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(483),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1106),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [132] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(484),
    [sym_preproc_ifdef_in_statements] = STATE(484),
    [sym_preproc_if_in_procedure_statements] = STATE(484),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(484),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(1003),
    [sym_internal_procedures] = STATE(6500),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(484),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1112),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1114),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [133] = {
    [sym_preproc_include] = STATE(149),
    [sym_preproc_def] = STATE(149),
    [sym_preproc_function_def] = STATE(149),
    [sym_preproc_call] = STATE(149),
    [sym_preproc_if_in_specification_part] = STATE(149),
    [sym_preproc_ifdef_in_specification_part] = STATE(149),
    [sym_preproc_if_in_statements] = STATE(535),
    [sym_preproc_ifdef_in_statements] = STATE(535),
    [sym_preproc_if_in_procedure_statements] = STATE(535),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(535),
    [sym_interface] = STATE(149),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(1049),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7143),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(149),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(149),
    [sym_public_statement] = STATE(149),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(149),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(149),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(149),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(149),
    [aux_sym_subroutine_repeat1] = STATE(535),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1118),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [134] = {
    [sym_preproc_include] = STATE(136),
    [sym_preproc_def] = STATE(136),
    [sym_preproc_function_def] = STATE(136),
    [sym_preproc_call] = STATE(136),
    [sym_preproc_if_in_specification_part] = STATE(136),
    [sym_preproc_ifdef_in_specification_part] = STATE(136),
    [sym_preproc_if_in_statements] = STATE(537),
    [sym_preproc_ifdef_in_statements] = STATE(537),
    [sym_preproc_if_in_procedure_statements] = STATE(537),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(537),
    [sym_interface] = STATE(136),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5067),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7179),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(136),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(136),
    [sym_public_statement] = STATE(136),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(136),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(136),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(136),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(136),
    [aux_sym_subroutine_repeat1] = STATE(537),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1124),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1126),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [135] = {
    [sym_preproc_include] = STATE(137),
    [sym_preproc_def] = STATE(137),
    [sym_preproc_function_def] = STATE(137),
    [sym_preproc_call] = STATE(137),
    [sym_preproc_if_in_specification_part] = STATE(137),
    [sym_preproc_ifdef_in_specification_part] = STATE(137),
    [sym_preproc_if_in_statements] = STATE(538),
    [sym_preproc_ifdef_in_statements] = STATE(538),
    [sym_preproc_if_in_procedure_statements] = STATE(538),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(538),
    [sym_interface] = STATE(137),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5105),
    [sym_internal_procedures] = STATE(7182),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(137),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(137),
    [sym_public_statement] = STATE(137),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(137),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(137),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(137),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(137),
    [aux_sym_subroutine_repeat1] = STATE(538),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1130),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1132),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [136] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(539),
    [sym_preproc_ifdef_in_statements] = STATE(539),
    [sym_preproc_if_in_procedure_statements] = STATE(539),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(539),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5052),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7193),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(539),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1124),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1126),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [137] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(475),
    [sym_preproc_ifdef_in_statements] = STATE(475),
    [sym_preproc_if_in_procedure_statements] = STATE(475),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(475),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4970),
    [sym_internal_procedures] = STATE(7200),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(475),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1130),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1132),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [138] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(476),
    [sym_preproc_ifdef_in_statements] = STATE(476),
    [sym_preproc_if_in_procedure_statements] = STATE(476),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(476),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(885),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6931),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(476),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1140),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1142),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [139] = {
    [sym_preproc_include] = STATE(140),
    [sym_preproc_def] = STATE(140),
    [sym_preproc_function_def] = STATE(140),
    [sym_preproc_call] = STATE(140),
    [sym_preproc_if_in_specification_part] = STATE(140),
    [sym_preproc_ifdef_in_specification_part] = STATE(140),
    [sym_preproc_if_in_statements] = STATE(485),
    [sym_preproc_ifdef_in_statements] = STATE(485),
    [sym_preproc_if_in_procedure_statements] = STATE(485),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(485),
    [sym_interface] = STATE(140),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(4632),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6553),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(140),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(140),
    [sym_public_statement] = STATE(140),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(140),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(140),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(140),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(140),
    [aux_sym_subroutine_repeat1] = STATE(485),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1146),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1148),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [140] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(486),
    [sym_preproc_ifdef_in_statements] = STATE(486),
    [sym_preproc_if_in_procedure_statements] = STATE(486),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(486),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(4569),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6561),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(486),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1146),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1148),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [141] = {
    [sym_preproc_include] = STATE(138),
    [sym_preproc_def] = STATE(138),
    [sym_preproc_function_def] = STATE(138),
    [sym_preproc_call] = STATE(138),
    [sym_preproc_if_in_specification_part] = STATE(138),
    [sym_preproc_ifdef_in_specification_part] = STATE(138),
    [sym_preproc_if_in_statements] = STATE(474),
    [sym_preproc_ifdef_in_statements] = STATE(474),
    [sym_preproc_if_in_procedure_statements] = STATE(474),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(474),
    [sym_interface] = STATE(138),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(882),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6821),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(138),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(138),
    [sym_public_statement] = STATE(138),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(138),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(138),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(138),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(138),
    [aux_sym_subroutine_repeat1] = STATE(474),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1140),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1142),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [142] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(489),
    [sym_preproc_ifdef_in_statements] = STATE(489),
    [sym_preproc_if_in_procedure_statements] = STATE(489),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(489),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4993),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6577),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(489),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1156),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1158),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [143] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(490),
    [sym_preproc_ifdef_in_statements] = STATE(490),
    [sym_preproc_if_in_procedure_statements] = STATE(490),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(490),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4995),
    [sym_internal_procedures] = STATE(6579),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(490),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1162),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1164),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [144] = {
    [sym_preproc_include] = STATE(120),
    [sym_preproc_def] = STATE(120),
    [sym_preproc_function_def] = STATE(120),
    [sym_preproc_call] = STATE(120),
    [sym_preproc_if_in_specification_part] = STATE(120),
    [sym_preproc_ifdef_in_specification_part] = STATE(120),
    [sym_preproc_if_in_statements] = STATE(472),
    [sym_preproc_ifdef_in_statements] = STATE(472),
    [sym_preproc_if_in_procedure_statements] = STATE(472),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(472),
    [sym_interface] = STATE(120),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(883),
    [sym_internal_procedures] = STATE(6825),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(120),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(120),
    [sym_public_statement] = STATE(120),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(120),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(120),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(120),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(120),
    [aux_sym_subroutine_repeat1] = STATE(472),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1024),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1026),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [145] = {
    [sym_preproc_include] = STATE(131),
    [sym_preproc_def] = STATE(131),
    [sym_preproc_function_def] = STATE(131),
    [sym_preproc_call] = STATE(131),
    [sym_preproc_if_in_specification_part] = STATE(131),
    [sym_preproc_ifdef_in_specification_part] = STATE(131),
    [sym_preproc_if_in_statements] = STATE(481),
    [sym_preproc_ifdef_in_statements] = STATE(481),
    [sym_preproc_if_in_procedure_statements] = STATE(481),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(481),
    [sym_interface] = STATE(131),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(972),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6490),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(131),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(131),
    [sym_public_statement] = STATE(131),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(131),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(131),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(131),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(131),
    [aux_sym_subroutine_repeat1] = STATE(481),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1106),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [146] = {
    [sym_preproc_include] = STATE(132),
    [sym_preproc_def] = STATE(132),
    [sym_preproc_function_def] = STATE(132),
    [sym_preproc_call] = STATE(132),
    [sym_preproc_if_in_specification_part] = STATE(132),
    [sym_preproc_ifdef_in_specification_part] = STATE(132),
    [sym_preproc_if_in_statements] = STATE(482),
    [sym_preproc_ifdef_in_statements] = STATE(482),
    [sym_preproc_if_in_procedure_statements] = STATE(482),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(482),
    [sym_interface] = STATE(132),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(973),
    [sym_internal_procedures] = STATE(6492),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(132),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(132),
    [sym_public_statement] = STATE(132),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(132),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(132),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(132),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(132),
    [aux_sym_subroutine_repeat1] = STATE(482),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1112),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1114),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [147] = {
    [sym_preproc_include] = STATE(130),
    [sym_preproc_def] = STATE(130),
    [sym_preproc_function_def] = STATE(130),
    [sym_preproc_call] = STATE(130),
    [sym_preproc_if_in_specification_part] = STATE(130),
    [sym_preproc_ifdef_in_specification_part] = STATE(130),
    [sym_preproc_if_in_statements] = STATE(530),
    [sym_preproc_ifdef_in_statements] = STATE(530),
    [sym_preproc_if_in_procedure_statements] = STATE(530),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(530),
    [sym_interface] = STATE(130),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4555),
    [sym_internal_procedures] = STATE(6768),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(130),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(130),
    [sym_public_statement] = STATE(130),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(130),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(130),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(130),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(130),
    [aux_sym_subroutine_repeat1] = STATE(530),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1100),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1102),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [148] = {
    [sym_preproc_include] = STATE(125),
    [sym_preproc_def] = STATE(125),
    [sym_preproc_function_def] = STATE(125),
    [sym_preproc_call] = STATE(125),
    [sym_preproc_if_in_specification_part] = STATE(125),
    [sym_preproc_ifdef_in_specification_part] = STATE(125),
    [sym_preproc_if_in_statements] = STATE(533),
    [sym_preproc_ifdef_in_statements] = STATE(533),
    [sym_preproc_if_in_procedure_statements] = STATE(533),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(533),
    [sym_interface] = STATE(125),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5206),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7058),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(125),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(125),
    [sym_public_statement] = STATE(125),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(125),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(125),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(125),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(125),
    [aux_sym_subroutine_repeat1] = STATE(533),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1068),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1070),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [149] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(473),
    [sym_preproc_ifdef_in_statements] = STATE(473),
    [sym_preproc_if_in_procedure_statements] = STATE(473),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(473),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(1042),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6611),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(473),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1118),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [150] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(492),
    [sym_preproc_ifdef_in_statements] = STATE(492),
    [sym_preproc_if_in_procedure_statements] = STATE(492),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(492),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5151),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6624),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(492),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1180),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1182),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [151] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(495),
    [sym_preproc_ifdef_in_statements] = STATE(495),
    [sym_preproc_if_in_procedure_statements] = STATE(495),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(495),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5135),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6642),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(495),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1186),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [152] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(496),
    [sym_preproc_ifdef_in_statements] = STATE(496),
    [sym_preproc_if_in_procedure_statements] = STATE(496),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(496),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5137),
    [sym_internal_procedures] = STATE(6645),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(496),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1192),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1194),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [153] = {
    [sym_preproc_include] = STATE(142),
    [sym_preproc_def] = STATE(142),
    [sym_preproc_function_def] = STATE(142),
    [sym_preproc_call] = STATE(142),
    [sym_preproc_if_in_specification_part] = STATE(142),
    [sym_preproc_ifdef_in_specification_part] = STATE(142),
    [sym_preproc_if_in_statements] = STATE(487),
    [sym_preproc_ifdef_in_statements] = STATE(487),
    [sym_preproc_if_in_procedure_statements] = STATE(487),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(487),
    [sym_interface] = STATE(142),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4973),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6571),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(142),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(142),
    [sym_public_statement] = STATE(142),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(142),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(142),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(142),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(142),
    [aux_sym_subroutine_repeat1] = STATE(487),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1156),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1158),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [154] = {
    [sym_preproc_include] = STATE(143),
    [sym_preproc_def] = STATE(143),
    [sym_preproc_function_def] = STATE(143),
    [sym_preproc_call] = STATE(143),
    [sym_preproc_if_in_specification_part] = STATE(143),
    [sym_preproc_ifdef_in_specification_part] = STATE(143),
    [sym_preproc_if_in_statements] = STATE(488),
    [sym_preproc_ifdef_in_statements] = STATE(488),
    [sym_preproc_if_in_procedure_statements] = STATE(488),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(488),
    [sym_interface] = STATE(143),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4974),
    [sym_internal_procedures] = STATE(6574),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(143),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(143),
    [sym_public_statement] = STATE(143),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(143),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(143),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(143),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(143),
    [aux_sym_subroutine_repeat1] = STATE(488),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1162),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1164),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [155] = {
    [sym_preproc_include] = STATE(156),
    [sym_preproc_def] = STATE(156),
    [sym_preproc_function_def] = STATE(156),
    [sym_preproc_call] = STATE(156),
    [sym_preproc_if_in_specification_part] = STATE(156),
    [sym_preproc_ifdef_in_specification_part] = STATE(156),
    [sym_preproc_if_in_statements] = STATE(497),
    [sym_preproc_ifdef_in_statements] = STATE(497),
    [sym_preproc_if_in_procedure_statements] = STATE(497),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(497),
    [sym_interface] = STATE(156),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5026),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6685),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(156),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(156),
    [sym_public_statement] = STATE(156),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(156),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(156),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(156),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(156),
    [aux_sym_subroutine_repeat1] = STATE(497),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1202),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1204),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [156] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(498),
    [sym_preproc_ifdef_in_statements] = STATE(498),
    [sym_preproc_if_in_procedure_statements] = STATE(498),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(498),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5063),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6689),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(498),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1202),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1204),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [157] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(501),
    [sym_preproc_ifdef_in_statements] = STATE(501),
    [sym_preproc_if_in_procedure_statements] = STATE(501),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(501),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4756),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6703),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(501),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1210),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [158] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(502),
    [sym_preproc_ifdef_in_statements] = STATE(502),
    [sym_preproc_if_in_procedure_statements] = STATE(502),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(502),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4758),
    [sym_internal_procedures] = STATE(6706),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(502),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1216),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1218),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [159] = {
    [sym_preproc_include] = STATE(151),
    [sym_preproc_def] = STATE(151),
    [sym_preproc_function_def] = STATE(151),
    [sym_preproc_call] = STATE(151),
    [sym_preproc_if_in_specification_part] = STATE(151),
    [sym_preproc_ifdef_in_specification_part] = STATE(151),
    [sym_preproc_if_in_statements] = STATE(493),
    [sym_preproc_ifdef_in_statements] = STATE(493),
    [sym_preproc_if_in_procedure_statements] = STATE(493),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(493),
    [sym_interface] = STATE(151),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5124),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6635),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(151),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(151),
    [sym_public_statement] = STATE(151),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(151),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(151),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(151),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(151),
    [aux_sym_subroutine_repeat1] = STATE(493),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1186),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1188),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [160] = {
    [sym_preproc_include] = STATE(152),
    [sym_preproc_def] = STATE(152),
    [sym_preproc_function_def] = STATE(152),
    [sym_preproc_call] = STATE(152),
    [sym_preproc_if_in_specification_part] = STATE(152),
    [sym_preproc_ifdef_in_specification_part] = STATE(152),
    [sym_preproc_if_in_statements] = STATE(494),
    [sym_preproc_ifdef_in_statements] = STATE(494),
    [sym_preproc_if_in_procedure_statements] = STATE(494),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(494),
    [sym_interface] = STATE(152),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5125),
    [sym_internal_procedures] = STATE(6637),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(152),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(152),
    [sym_public_statement] = STATE(152),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(152),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(152),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(152),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(152),
    [aux_sym_subroutine_repeat1] = STATE(494),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1192),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1194),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [161] = {
    [sym_preproc_include] = STATE(162),
    [sym_preproc_def] = STATE(162),
    [sym_preproc_function_def] = STATE(162),
    [sym_preproc_call] = STATE(162),
    [sym_preproc_if_in_specification_part] = STATE(162),
    [sym_preproc_ifdef_in_specification_part] = STATE(162),
    [sym_preproc_if_in_statements] = STATE(504),
    [sym_preproc_ifdef_in_statements] = STATE(504),
    [sym_preproc_if_in_procedure_statements] = STATE(504),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(504),
    [sym_interface] = STATE(162),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(4896),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6742),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(162),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(162),
    [sym_public_statement] = STATE(162),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(162),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(162),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(162),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(162),
    [aux_sym_subroutine_repeat1] = STATE(504),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1226),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1228),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [162] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(505),
    [sym_preproc_ifdef_in_statements] = STATE(505),
    [sym_preproc_if_in_procedure_statements] = STATE(505),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(505),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(4904),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6752),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(505),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1226),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1228),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [163] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(540),
    [sym_preproc_ifdef_in_statements] = STATE(540),
    [sym_preproc_if_in_procedure_statements] = STATE(540),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(540),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4548),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6766),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(540),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1234),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [164] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(509),
    [sym_preproc_ifdef_in_statements] = STATE(509),
    [sym_preproc_if_in_procedure_statements] = STATE(509),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(509),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4559),
    [sym_internal_procedures] = STATE(6769),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(509),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1240),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1242),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [165] = {
    [sym_preproc_include] = STATE(157),
    [sym_preproc_def] = STATE(157),
    [sym_preproc_function_def] = STATE(157),
    [sym_preproc_call] = STATE(157),
    [sym_preproc_if_in_specification_part] = STATE(157),
    [sym_preproc_ifdef_in_specification_part] = STATE(157),
    [sym_preproc_if_in_statements] = STATE(499),
    [sym_preproc_ifdef_in_statements] = STATE(499),
    [sym_preproc_if_in_procedure_statements] = STATE(499),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(499),
    [sym_interface] = STATE(157),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4753),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6698),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(157),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(157),
    [sym_public_statement] = STATE(157),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(157),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(157),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(157),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(157),
    [aux_sym_subroutine_repeat1] = STATE(499),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1210),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1212),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [166] = {
    [sym_preproc_include] = STATE(158),
    [sym_preproc_def] = STATE(158),
    [sym_preproc_function_def] = STATE(158),
    [sym_preproc_call] = STATE(158),
    [sym_preproc_if_in_specification_part] = STATE(158),
    [sym_preproc_ifdef_in_specification_part] = STATE(158),
    [sym_preproc_if_in_statements] = STATE(500),
    [sym_preproc_ifdef_in_statements] = STATE(500),
    [sym_preproc_if_in_procedure_statements] = STATE(500),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(500),
    [sym_interface] = STATE(158),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4754),
    [sym_internal_procedures] = STATE(6700),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(158),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(158),
    [sym_public_statement] = STATE(158),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(158),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(158),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(158),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(158),
    [aux_sym_subroutine_repeat1] = STATE(500),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1216),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1218),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [167] = {
    [sym_preproc_include] = STATE(168),
    [sym_preproc_def] = STATE(168),
    [sym_preproc_function_def] = STATE(168),
    [sym_preproc_call] = STATE(168),
    [sym_preproc_if_in_specification_part] = STATE(168),
    [sym_preproc_ifdef_in_specification_part] = STATE(168),
    [sym_preproc_if_in_statements] = STATE(510),
    [sym_preproc_ifdef_in_statements] = STATE(510),
    [sym_preproc_if_in_procedure_statements] = STATE(510),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(510),
    [sym_interface] = STATE(168),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5220),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6802),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(168),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(168),
    [sym_public_statement] = STATE(168),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(168),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(168),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(168),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(168),
    [aux_sym_subroutine_repeat1] = STATE(510),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1250),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1252),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [168] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_preproc_if_in_statements] = STATE(511),
    [sym_preproc_ifdef_in_statements] = STATE(511),
    [sym_preproc_if_in_procedure_statements] = STATE(511),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(511),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5229),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6811),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_subroutine_repeat1] = STATE(511),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1250),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1252),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [169] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(514),
    [sym_preproc_ifdef_in_statements] = STATE(514),
    [sym_preproc_if_in_procedure_statements] = STATE(514),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(514),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5065),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6824),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(514),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1258),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1260),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [170] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(515),
    [sym_preproc_ifdef_in_statements] = STATE(515),
    [sym_preproc_if_in_procedure_statements] = STATE(515),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(515),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5079),
    [sym_internal_procedures] = STATE(6828),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(515),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1264),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1266),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [171] = {
    [sym_preproc_include] = STATE(163),
    [sym_preproc_def] = STATE(163),
    [sym_preproc_function_def] = STATE(163),
    [sym_preproc_call] = STATE(163),
    [sym_preproc_if_in_specification_part] = STATE(163),
    [sym_preproc_ifdef_in_specification_part] = STATE(163),
    [sym_preproc_if_in_statements] = STATE(506),
    [sym_preproc_ifdef_in_statements] = STATE(506),
    [sym_preproc_if_in_procedure_statements] = STATE(506),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(506),
    [sym_interface] = STATE(163),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4587),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6761),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(163),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(163),
    [sym_public_statement] = STATE(163),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(163),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(163),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(163),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(163),
    [aux_sym_subroutine_repeat1] = STATE(506),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1234),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1236),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [172] = {
    [sym_preproc_include] = STATE(164),
    [sym_preproc_def] = STATE(164),
    [sym_preproc_function_def] = STATE(164),
    [sym_preproc_call] = STATE(164),
    [sym_preproc_if_in_specification_part] = STATE(164),
    [sym_preproc_ifdef_in_specification_part] = STATE(164),
    [sym_preproc_if_in_statements] = STATE(507),
    [sym_preproc_ifdef_in_statements] = STATE(507),
    [sym_preproc_if_in_procedure_statements] = STATE(507),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(507),
    [sym_interface] = STATE(164),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4623),
    [sym_internal_procedures] = STATE(6763),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(164),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(164),
    [sym_public_statement] = STATE(164),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(164),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(164),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(164),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(164),
    [aux_sym_subroutine_repeat1] = STATE(507),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1240),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1242),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [173] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(518),
    [sym_preproc_ifdef_in_statements] = STATE(518),
    [sym_preproc_if_in_procedure_statements] = STATE(518),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(518),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5161),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6873),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(518),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1274),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [174] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(519),
    [sym_preproc_ifdef_in_statements] = STATE(519),
    [sym_preproc_if_in_procedure_statements] = STATE(519),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(519),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5169),
    [sym_internal_procedures] = STATE(6878),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(519),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1280),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1282),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [175] = {
    [sym_preproc_include] = STATE(169),
    [sym_preproc_def] = STATE(169),
    [sym_preproc_function_def] = STATE(169),
    [sym_preproc_call] = STATE(169),
    [sym_preproc_if_in_specification_part] = STATE(169),
    [sym_preproc_ifdef_in_specification_part] = STATE(169),
    [sym_preproc_if_in_statements] = STATE(512),
    [sym_preproc_ifdef_in_statements] = STATE(512),
    [sym_preproc_if_in_procedure_statements] = STATE(512),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(512),
    [sym_interface] = STATE(169),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5036),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6819),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(169),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(169),
    [sym_public_statement] = STATE(169),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(169),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(169),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(169),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(169),
    [aux_sym_subroutine_repeat1] = STATE(512),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1258),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1260),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [176] = {
    [sym_preproc_include] = STATE(170),
    [sym_preproc_def] = STATE(170),
    [sym_preproc_function_def] = STATE(170),
    [sym_preproc_call] = STATE(170),
    [sym_preproc_if_in_specification_part] = STATE(170),
    [sym_preproc_ifdef_in_specification_part] = STATE(170),
    [sym_preproc_if_in_statements] = STATE(513),
    [sym_preproc_ifdef_in_statements] = STATE(513),
    [sym_preproc_if_in_procedure_statements] = STATE(513),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(513),
    [sym_interface] = STATE(170),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5038),
    [sym_internal_procedures] = STATE(6822),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(170),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(170),
    [sym_public_statement] = STATE(170),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(170),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(170),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(170),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(170),
    [aux_sym_subroutine_repeat1] = STATE(513),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1264),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1266),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [177] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(522),
    [sym_preproc_ifdef_in_statements] = STATE(522),
    [sym_preproc_if_in_procedure_statements] = STATE(522),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(522),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4791),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6923),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(522),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1290),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [178] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(523),
    [sym_preproc_ifdef_in_statements] = STATE(523),
    [sym_preproc_if_in_procedure_statements] = STATE(523),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(523),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4793),
    [sym_internal_procedures] = STATE(6926),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(523),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1296),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1298),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [179] = {
    [sym_preproc_include] = STATE(173),
    [sym_preproc_def] = STATE(173),
    [sym_preproc_function_def] = STATE(173),
    [sym_preproc_call] = STATE(173),
    [sym_preproc_if_in_specification_part] = STATE(173),
    [sym_preproc_ifdef_in_specification_part] = STATE(173),
    [sym_preproc_if_in_statements] = STATE(516),
    [sym_preproc_ifdef_in_statements] = STATE(516),
    [sym_preproc_if_in_procedure_statements] = STATE(516),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(516),
    [sym_interface] = STATE(173),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4956),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6868),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(173),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(173),
    [sym_public_statement] = STATE(173),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(173),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(173),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(173),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(173),
    [aux_sym_subroutine_repeat1] = STATE(516),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1274),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1276),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [180] = {
    [sym_preproc_include] = STATE(174),
    [sym_preproc_def] = STATE(174),
    [sym_preproc_function_def] = STATE(174),
    [sym_preproc_call] = STATE(174),
    [sym_preproc_if_in_specification_part] = STATE(174),
    [sym_preproc_ifdef_in_specification_part] = STATE(174),
    [sym_preproc_if_in_statements] = STATE(517),
    [sym_preproc_ifdef_in_statements] = STATE(517),
    [sym_preproc_if_in_procedure_statements] = STATE(517),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(517),
    [sym_interface] = STATE(174),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5041),
    [sym_internal_procedures] = STATE(6869),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(174),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(174),
    [sym_public_statement] = STATE(174),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(174),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(174),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(174),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(174),
    [aux_sym_subroutine_repeat1] = STATE(517),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1280),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1282),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [181] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_preproc_if_in_statements] = STATE(528),
    [sym_preproc_ifdef_in_statements] = STATE(528),
    [sym_preproc_if_in_procedure_statements] = STATE(528),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(528),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5071),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6971),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_subroutine_repeat1] = STATE(528),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1306),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [182] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_preproc_if_in_statements] = STATE(529),
    [sym_preproc_ifdef_in_statements] = STATE(529),
    [sym_preproc_if_in_procedure_statements] = STATE(529),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(529),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5084),
    [sym_internal_procedures] = STATE(6973),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_subroutine_repeat1] = STATE(529),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1312),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1314),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [183] = {
    [sym_preproc_include] = STATE(177),
    [sym_preproc_def] = STATE(177),
    [sym_preproc_function_def] = STATE(177),
    [sym_preproc_call] = STATE(177),
    [sym_preproc_if_in_specification_part] = STATE(177),
    [sym_preproc_ifdef_in_specification_part] = STATE(177),
    [sym_preproc_if_in_statements] = STATE(520),
    [sym_preproc_ifdef_in_statements] = STATE(520),
    [sym_preproc_if_in_procedure_statements] = STATE(520),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(520),
    [sym_interface] = STATE(177),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(4788),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6915),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(177),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(177),
    [sym_public_statement] = STATE(177),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(177),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(177),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(177),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(177),
    [aux_sym_subroutine_repeat1] = STATE(520),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1290),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1292),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [184] = {
    [sym_preproc_include] = STATE(178),
    [sym_preproc_def] = STATE(178),
    [sym_preproc_function_def] = STATE(178),
    [sym_preproc_call] = STATE(178),
    [sym_preproc_if_in_specification_part] = STATE(178),
    [sym_preproc_ifdef_in_specification_part] = STATE(178),
    [sym_preproc_if_in_statements] = STATE(521),
    [sym_preproc_ifdef_in_statements] = STATE(521),
    [sym_preproc_if_in_procedure_statements] = STATE(521),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(521),
    [sym_interface] = STATE(178),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(4789),
    [sym_internal_procedures] = STATE(6919),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(178),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(178),
    [sym_public_statement] = STATE(178),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(178),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(178),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(178),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(178),
    [aux_sym_subroutine_repeat1] = STATE(521),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1296),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1298),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [185] = {
    [sym_preproc_include] = STATE(181),
    [sym_preproc_def] = STATE(181),
    [sym_preproc_function_def] = STATE(181),
    [sym_preproc_call] = STATE(181),
    [sym_preproc_if_in_specification_part] = STATE(181),
    [sym_preproc_ifdef_in_specification_part] = STATE(181),
    [sym_preproc_if_in_statements] = STATE(526),
    [sym_preproc_ifdef_in_statements] = STATE(526),
    [sym_preproc_if_in_procedure_statements] = STATE(526),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(526),
    [sym_interface] = STATE(181),
    [sym_interface_statement] = STATE(3919),
    [sym_end_subroutine_statement] = STATE(5012),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6965),
    [sym_contains_statement] = STATE(6585),
    [sym__specification_part] = STATE(181),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(181),
    [sym_public_statement] = STATE(181),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(181),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(784),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7245),
    [sym_data_statement] = STATE(6654),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_enum] = STATE(181),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(181),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_statement_function] = STATE(6654),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(181),
    [aux_sym_subroutine_repeat1] = STATE(526),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1076),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1082),
    [sym_preproc_directive] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1306),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1308),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1090),
    [aux_sym_public_statement_token1] = ACTIONS(1092),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [186] = {
    [sym_preproc_include] = STATE(182),
    [sym_preproc_def] = STATE(182),
    [sym_preproc_function_def] = STATE(182),
    [sym_preproc_call] = STATE(182),
    [sym_preproc_if_in_specification_part] = STATE(182),
    [sym_preproc_ifdef_in_specification_part] = STATE(182),
    [sym_preproc_if_in_statements] = STATE(527),
    [sym_preproc_ifdef_in_statements] = STATE(527),
    [sym_preproc_if_in_procedure_statements] = STATE(527),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(527),
    [sym_interface] = STATE(182),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym_end_function_statement] = STATE(5017),
    [sym_internal_procedures] = STATE(6967),
    [sym_contains_statement] = STATE(6653),
    [sym__specification_part] = STATE(182),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(182),
    [sym_public_statement] = STATE(182),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(182),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(786),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6516),
    [sym_data_statement] = STATE(6714),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_enum] = STATE(182),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(182),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_statement_function] = STATE(6714),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(182),
    [aux_sym_subroutine_repeat1] = STATE(527),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1014),
    [aux_sym_preproc_def_token1] = ACTIONS(1016),
    [aux_sym_preproc_if_token1] = ACTIONS(1018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1020),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1020),
    [sym_preproc_directive] = ACTIONS(1022),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1312),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_end_function_statement_token1] = ACTIONS(1314),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1028),
    [aux_sym_public_statement_token1] = ACTIONS(1030),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [187] = {
    [sym_preproc_include] = STATE(150),
    [sym_preproc_def] = STATE(150),
    [sym_preproc_function_def] = STATE(150),
    [sym_preproc_call] = STATE(150),
    [sym_preproc_if_in_specification_part] = STATE(150),
    [sym_preproc_ifdef_in_specification_part] = STATE(150),
    [sym_preproc_if_in_statements] = STATE(491),
    [sym_preproc_ifdef_in_statements] = STATE(491),
    [sym_preproc_if_in_procedure_statements] = STATE(491),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(491),
    [sym_interface] = STATE(150),
    [sym_interface_statement] = STATE(3818),
    [sym_end_module_procedure_statement] = STATE(5061),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6618),
    [sym_contains_statement] = STATE(6776),
    [sym__specification_part] = STATE(150),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(150),
    [sym_public_statement] = STATE(150),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(150),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(788),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(6719),
    [sym_data_statement] = STATE(6996),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_enum] = STATE(150),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(150),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_statement_function] = STATE(6996),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_program_repeat1] = STATE(150),
    [aux_sym_subroutine_repeat1] = STATE(491),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1042),
    [aux_sym_preproc_def_token1] = ACTIONS(1044),
    [aux_sym_preproc_if_token1] = ACTIONS(1046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1048),
    [sym_preproc_directive] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1180),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1182),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1056),
    [aux_sym_public_statement_token1] = ACTIONS(1058),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [188] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(596),
    [sym_preproc_ifdef_in_statements] = STATE(596),
    [sym_end_program_statement] = STATE(1055),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7244),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(596),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [189] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(609),
    [sym_preproc_ifdef_in_statements] = STATE(609),
    [sym_end_program_statement] = STATE(993),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6961),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(609),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [190] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(577),
    [sym_preproc_ifdef_in_statements] = STATE(577),
    [sym_end_program_statement] = STATE(844),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6838),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(577),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [191] = {
    [sym_preproc_include] = STATE(189),
    [sym_preproc_def] = STATE(189),
    [sym_preproc_function_def] = STATE(189),
    [sym_preproc_call] = STATE(189),
    [sym_preproc_if_in_specification_part] = STATE(189),
    [sym_preproc_ifdef_in_specification_part] = STATE(189),
    [sym_preproc_if_in_statements] = STATE(572),
    [sym_preproc_ifdef_in_statements] = STATE(572),
    [sym_end_program_statement] = STATE(1099),
    [sym_interface] = STATE(189),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7145),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(189),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(189),
    [sym_public_statement] = STATE(189),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(189),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(189),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(189),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(572),
    [aux_sym_program_repeat1] = STATE(189),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [192] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(615),
    [sym_preproc_ifdef_in_statements] = STATE(615),
    [sym_end_program_statement] = STATE(1061),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7162),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(615),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [193] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(572),
    [sym_preproc_ifdef_in_statements] = STATE(572),
    [sym_end_program_statement] = STATE(1099),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7145),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(572),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [194] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_preproc_if_in_statements] = STATE(587),
    [sym_preproc_ifdef_in_statements] = STATE(587),
    [sym_end_program_statement] = STATE(849),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6735),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(587),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [195] = {
    [sym_preproc_include] = STATE(192),
    [sym_preproc_def] = STATE(192),
    [sym_preproc_function_def] = STATE(192),
    [sym_preproc_call] = STATE(192),
    [sym_preproc_if_in_specification_part] = STATE(192),
    [sym_preproc_ifdef_in_specification_part] = STATE(192),
    [sym_preproc_if_in_statements] = STATE(596),
    [sym_preproc_ifdef_in_statements] = STATE(596),
    [sym_end_program_statement] = STATE(1055),
    [sym_interface] = STATE(192),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7244),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(192),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(192),
    [sym_public_statement] = STATE(192),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(192),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(192),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(192),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(596),
    [aux_sym_program_repeat1] = STATE(192),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [196] = {
    [sym_preproc_include] = STATE(194),
    [sym_preproc_def] = STATE(194),
    [sym_preproc_function_def] = STATE(194),
    [sym_preproc_call] = STATE(194),
    [sym_preproc_if_in_specification_part] = STATE(194),
    [sym_preproc_ifdef_in_specification_part] = STATE(194),
    [sym_preproc_if_in_statements] = STATE(577),
    [sym_preproc_ifdef_in_statements] = STATE(577),
    [sym_end_program_statement] = STATE(844),
    [sym_interface] = STATE(194),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6838),
    [sym_contains_statement] = STATE(7211),
    [sym__specification_part] = STATE(194),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(194),
    [sym_public_statement] = STATE(194),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(194),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(779),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(7146),
    [sym_data_statement] = STATE(6493),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_enum] = STATE(194),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(194),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_statement_function] = STATE(6493),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(577),
    [aux_sym_program_repeat1] = STATE(194),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(61),
    [aux_sym_public_statement_token1] = ACTIONS(63),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [197] = {
    [sym_preproc_include] = STATE(200),
    [sym_preproc_def] = STATE(200),
    [sym_preproc_function_def] = STATE(200),
    [sym_preproc_call] = STATE(200),
    [sym_preproc_if_in_statements] = STATE(629),
    [sym_preproc_ifdef_in_statements] = STATE(629),
    [sym_interface] = STATE(200),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8360),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(200),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(200),
    [sym_public_statement] = STATE(200),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(200),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(200),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(200),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(200),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(629),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [198] = {
    [sym_preproc_include] = STATE(200),
    [sym_preproc_def] = STATE(200),
    [sym_preproc_function_def] = STATE(200),
    [sym_preproc_call] = STATE(200),
    [sym_preproc_if_in_statements] = STATE(632),
    [sym_preproc_ifdef_in_statements] = STATE(632),
    [sym_interface] = STATE(200),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8495),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(200),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(200),
    [sym_public_statement] = STATE(200),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(200),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(200),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(200),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(200),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(632),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [199] = {
    [sym_preproc_include] = STATE(200),
    [sym_preproc_def] = STATE(200),
    [sym_preproc_function_def] = STATE(200),
    [sym_preproc_call] = STATE(200),
    [sym_preproc_if_in_statements] = STATE(639),
    [sym_preproc_ifdef_in_statements] = STATE(639),
    [sym_interface] = STATE(200),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8590),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(200),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(200),
    [sym_public_statement] = STATE(200),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(200),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(200),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(200),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(200),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(639),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [200] = {
    [sym_preproc_include] = STATE(762),
    [sym_preproc_def] = STATE(762),
    [sym_preproc_function_def] = STATE(762),
    [sym_preproc_call] = STATE(762),
    [sym_preproc_if_in_statements] = STATE(638),
    [sym_preproc_ifdef_in_statements] = STATE(638),
    [sym_interface] = STATE(762),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8217),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(762),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(762),
    [sym_public_statement] = STATE(762),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(762),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(762),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(762),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(762),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(638),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [201] = {
    [sym_preproc_include] = STATE(762),
    [sym_preproc_def] = STATE(762),
    [sym_preproc_function_def] = STATE(762),
    [sym_preproc_call] = STATE(762),
    [sym_preproc_if_in_statements] = STATE(636),
    [sym_preproc_ifdef_in_statements] = STATE(636),
    [sym_interface] = STATE(762),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8254),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(762),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(762),
    [sym_public_statement] = STATE(762),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(762),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(762),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(762),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(762),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(636),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [202] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(634),
    [sym_preproc_ifdef_in_statements] = STATE(634),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8116),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(634),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [203] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(635),
    [sym_preproc_ifdef_in_statements] = STATE(635),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8407),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(635),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [204] = {
    [sym_preproc_include] = STATE(201),
    [sym_preproc_def] = STATE(201),
    [sym_preproc_function_def] = STATE(201),
    [sym_preproc_call] = STATE(201),
    [sym_preproc_if_in_statements] = STATE(638),
    [sym_preproc_ifdef_in_statements] = STATE(638),
    [sym_interface] = STATE(201),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8217),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(201),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(201),
    [sym_public_statement] = STATE(201),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(201),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(791),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6658),
    [sym_data_statement] = STATE(6933),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_enum] = STATE(201),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(201),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_statement_function] = STATE(6933),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(201),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(638),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1362),
    [aux_sym_public_statement_token1] = ACTIONS(1364),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [205] = {
    [sym_preproc_include] = STATE(206),
    [sym_preproc_def] = STATE(206),
    [sym_preproc_function_def] = STATE(206),
    [sym_preproc_call] = STATE(206),
    [sym_preproc_if_in_statements] = STATE(672),
    [sym_preproc_ifdef_in_statements] = STATE(672),
    [sym_interface] = STATE(206),
    [sym_interface_statement] = STATE(3890),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(206),
    [sym_use_statement] = STATE(6586),
    [sym_implicit_statement] = STATE(6586),
    [sym_save_statement] = STATE(6586),
    [sym_private_statement] = STATE(206),
    [sym_public_statement] = STATE(206),
    [sym_namelist_statement] = STATE(6586),
    [sym_common_statement] = STATE(6586),
    [sym_import_statement] = STATE(6586),
    [sym_derived_type_definition] = STATE(206),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4301),
    [sym_variable_declaration] = STATE(6586),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6586),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6586),
    [sym_equivalence_statement] = STATE(6586),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6839),
    [sym_data_statement] = STATE(6586),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7380),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_enum] = STATE(206),
    [sym_enum_statement] = STATE(6056),
    [sym_enumeration_type] = STATE(206),
    [sym_enumeration_type_statement] = STATE(6171),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_statement_function] = STATE(6586),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(206),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(672),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1398),
    [aux_sym_public_statement_token1] = ACTIONS(1400),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [206] = {
    [sym_preproc_include] = STATE(767),
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_statements] = STATE(673),
    [sym_preproc_ifdef_in_statements] = STATE(673),
    [sym_interface] = STATE(767),
    [sym_interface_statement] = STATE(3890),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(767),
    [sym_use_statement] = STATE(6586),
    [sym_implicit_statement] = STATE(6586),
    [sym_save_statement] = STATE(6586),
    [sym_private_statement] = STATE(767),
    [sym_public_statement] = STATE(767),
    [sym_namelist_statement] = STATE(6586),
    [sym_common_statement] = STATE(6586),
    [sym_import_statement] = STATE(6586),
    [sym_derived_type_definition] = STATE(767),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4301),
    [sym_variable_declaration] = STATE(6586),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6586),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6586),
    [sym_equivalence_statement] = STATE(6586),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6839),
    [sym_data_statement] = STATE(6586),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7331),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_enum] = STATE(767),
    [sym_enum_statement] = STATE(6056),
    [sym_enumeration_type] = STATE(767),
    [sym_enumeration_type_statement] = STATE(6171),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_statement_function] = STATE(6586),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(767),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(673),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1398),
    [aux_sym_public_statement_token1] = ACTIONS(1400),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [207] = {
    [sym_preproc_include] = STATE(767),
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_preproc_if_in_statements] = STATE(694),
    [sym_preproc_ifdef_in_statements] = STATE(694),
    [sym_interface] = STATE(767),
    [sym_interface_statement] = STATE(3890),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(767),
    [sym_use_statement] = STATE(6586),
    [sym_implicit_statement] = STATE(6586),
    [sym_save_statement] = STATE(6586),
    [sym_private_statement] = STATE(767),
    [sym_public_statement] = STATE(767),
    [sym_namelist_statement] = STATE(6586),
    [sym_common_statement] = STATE(6586),
    [sym_import_statement] = STATE(6586),
    [sym_derived_type_definition] = STATE(767),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4301),
    [sym_variable_declaration] = STATE(6586),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6586),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6586),
    [sym_equivalence_statement] = STATE(6586),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6839),
    [sym_data_statement] = STATE(6586),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7371),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_enum] = STATE(767),
    [sym_enum_statement] = STATE(6056),
    [sym_enumeration_type] = STATE(767),
    [sym_enumeration_type_statement] = STATE(6171),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_statement_function] = STATE(6586),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(767),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(694),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1398),
    [aux_sym_public_statement_token1] = ACTIONS(1400),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [208] = {
    [sym_preproc_include] = STATE(207),
    [sym_preproc_def] = STATE(207),
    [sym_preproc_function_def] = STATE(207),
    [sym_preproc_call] = STATE(207),
    [sym_preproc_if_in_statements] = STATE(673),
    [sym_preproc_ifdef_in_statements] = STATE(673),
    [sym_interface] = STATE(207),
    [sym_interface_statement] = STATE(3890),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(207),
    [sym_use_statement] = STATE(6586),
    [sym_implicit_statement] = STATE(6586),
    [sym_save_statement] = STATE(6586),
    [sym_private_statement] = STATE(207),
    [sym_public_statement] = STATE(207),
    [sym_namelist_statement] = STATE(6586),
    [sym_common_statement] = STATE(6586),
    [sym_import_statement] = STATE(6586),
    [sym_derived_type_definition] = STATE(207),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4301),
    [sym_variable_declaration] = STATE(6586),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6586),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6586),
    [sym_equivalence_statement] = STATE(6586),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(787),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6839),
    [sym_data_statement] = STATE(6586),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7331),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_enum] = STATE(207),
    [sym_enum_statement] = STATE(6056),
    [sym_enumeration_type] = STATE(207),
    [sym_enumeration_type_statement] = STATE(6171),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_statement_function] = STATE(6586),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4742),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(207),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(673),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1388),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(1398),
    [aux_sym_public_statement_token1] = ACTIONS(1400),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(121),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(191),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [209] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7864),
    [sym_preproc_elif_in_specification_part] = STATE(7864),
    [sym_preproc_elifdef_in_specification_part] = STATE(7864),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7749),
    [sym_preproc_elif_in_statements] = STATE(7749),
    [sym_preproc_elifdef_in_statements] = STATE(7749),
    [sym_preproc_else_in_procedure_statements] = STATE(7860),
    [sym_preproc_elif_in_procedure_statements] = STATE(7860),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7860),
    [sym_internal_procedures] = STATE(5615),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [210] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8654),
    [sym_preproc_elif_in_specification_part] = STATE(8654),
    [sym_preproc_elifdef_in_specification_part] = STATE(8654),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8651),
    [sym_preproc_elif_in_statements] = STATE(8651),
    [sym_preproc_elifdef_in_statements] = STATE(8651),
    [sym_preproc_else_in_procedure_statements] = STATE(8050),
    [sym_preproc_elif_in_procedure_statements] = STATE(8050),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8050),
    [sym_internal_procedures] = STATE(5648),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [211] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7898),
    [sym_preproc_elif_in_specification_part] = STATE(7898),
    [sym_preproc_elifdef_in_specification_part] = STATE(7898),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7750),
    [sym_preproc_elif_in_statements] = STATE(7750),
    [sym_preproc_elifdef_in_statements] = STATE(7750),
    [sym_preproc_else_in_procedure_statements] = STATE(7951),
    [sym_preproc_elif_in_procedure_statements] = STATE(7951),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7951),
    [sym_internal_procedures] = STATE(5617),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [212] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8154),
    [sym_preproc_elif_in_specification_part] = STATE(8154),
    [sym_preproc_elifdef_in_specification_part] = STATE(8154),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7756),
    [sym_preproc_elif_in_statements] = STATE(7756),
    [sym_preproc_elifdef_in_statements] = STATE(7756),
    [sym_preproc_else_in_procedure_statements] = STATE(8309),
    [sym_preproc_elif_in_procedure_statements] = STATE(8309),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8309),
    [sym_internal_procedures] = STATE(5619),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [213] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7722),
    [sym_preproc_elif_in_specification_part] = STATE(7722),
    [sym_preproc_elifdef_in_specification_part] = STATE(7722),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7742),
    [sym_preproc_elif_in_statements] = STATE(7742),
    [sym_preproc_elifdef_in_statements] = STATE(7742),
    [sym_preproc_else_in_procedure_statements] = STATE(8287),
    [sym_preproc_elif_in_procedure_statements] = STATE(8287),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8287),
    [sym_internal_procedures] = STATE(5587),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [214] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7710),
    [sym_preproc_elif_in_specification_part] = STATE(7710),
    [sym_preproc_elifdef_in_specification_part] = STATE(7710),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8682),
    [sym_preproc_elif_in_statements] = STATE(8682),
    [sym_preproc_elifdef_in_statements] = STATE(8682),
    [sym_preproc_else_in_procedure_statements] = STATE(8342),
    [sym_preproc_elif_in_procedure_statements] = STATE(8342),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8342),
    [sym_internal_procedures] = STATE(5594),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [215] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8418),
    [sym_preproc_elif_in_specification_part] = STATE(8418),
    [sym_preproc_elifdef_in_specification_part] = STATE(8418),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_preproc_else_in_procedure_statements] = STATE(8372),
    [sym_preproc_elif_in_procedure_statements] = STATE(8372),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8372),
    [sym_internal_procedures] = STATE(5580),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [216] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7824),
    [sym_preproc_elif_in_specification_part] = STATE(7824),
    [sym_preproc_elifdef_in_specification_part] = STATE(7824),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7754),
    [sym_preproc_elif_in_statements] = STATE(7754),
    [sym_preproc_elifdef_in_statements] = STATE(7754),
    [sym_preproc_else_in_procedure_statements] = STATE(8275),
    [sym_preproc_elif_in_procedure_statements] = STATE(8275),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8275),
    [sym_internal_procedures] = STATE(5599),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [217] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8580),
    [sym_preproc_elif_in_specification_part] = STATE(8580),
    [sym_preproc_elifdef_in_specification_part] = STATE(8580),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8127),
    [sym_preproc_elif_in_statements] = STATE(8127),
    [sym_preproc_elifdef_in_statements] = STATE(8127),
    [sym_preproc_else_in_procedure_statements] = STATE(7927),
    [sym_preproc_elif_in_procedure_statements] = STATE(7927),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7927),
    [sym_internal_procedures] = STATE(5625),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(814),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [218] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8639),
    [sym_preproc_elif_in_specification_part] = STATE(8639),
    [sym_preproc_elifdef_in_specification_part] = STATE(8639),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8167),
    [sym_preproc_elif_in_statements] = STATE(8167),
    [sym_preproc_elifdef_in_statements] = STATE(8167),
    [sym_preproc_else_in_procedure_statements] = STATE(8155),
    [sym_preproc_elif_in_procedure_statements] = STATE(8155),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8155),
    [sym_internal_procedures] = STATE(5623),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [219] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_preproc_else_in_procedure_statements] = STATE(8492),
    [sym_preproc_elif_in_procedure_statements] = STATE(8492),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8492),
    [sym_internal_procedures] = STATE(5629),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [220] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8660),
    [sym_preproc_elif_in_specification_part] = STATE(8660),
    [sym_preproc_elifdef_in_specification_part] = STATE(8660),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8169),
    [sym_preproc_elif_in_statements] = STATE(8169),
    [sym_preproc_elifdef_in_statements] = STATE(8169),
    [sym_preproc_else_in_procedure_statements] = STATE(8158),
    [sym_preproc_elif_in_procedure_statements] = STATE(8158),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8158),
    [sym_internal_procedures] = STATE(5641),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [221] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7770),
    [sym_preproc_elif_in_specification_part] = STATE(7770),
    [sym_preproc_elifdef_in_specification_part] = STATE(7770),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8199),
    [sym_preproc_elif_in_statements] = STATE(8199),
    [sym_preproc_elifdef_in_statements] = STATE(8199),
    [sym_preproc_else_in_procedure_statements] = STATE(8207),
    [sym_preproc_elif_in_procedure_statements] = STATE(8207),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8207),
    [sym_internal_procedures] = STATE(5640),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [222] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8398),
    [sym_preproc_elif_in_specification_part] = STATE(8398),
    [sym_preproc_elifdef_in_specification_part] = STATE(8398),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7986),
    [sym_preproc_elif_in_statements] = STATE(7986),
    [sym_preproc_elifdef_in_statements] = STATE(7986),
    [sym_preproc_else_in_procedure_statements] = STATE(8320),
    [sym_preproc_elif_in_procedure_statements] = STATE(8320),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8320),
    [sym_internal_procedures] = STATE(5575),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [223] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7747),
    [sym_preproc_elif_in_specification_part] = STATE(7747),
    [sym_preproc_elifdef_in_specification_part] = STATE(7747),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7764),
    [sym_preproc_elif_in_statements] = STATE(7764),
    [sym_preproc_elifdef_in_statements] = STATE(7764),
    [sym_preproc_else_in_procedure_statements] = STATE(8323),
    [sym_preproc_elif_in_procedure_statements] = STATE(8323),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8323),
    [sym_internal_procedures] = STATE(5576),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [224] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8566),
    [sym_preproc_elif_in_specification_part] = STATE(8566),
    [sym_preproc_elifdef_in_specification_part] = STATE(8566),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8567),
    [sym_preproc_elif_in_statements] = STATE(8567),
    [sym_preproc_elifdef_in_statements] = STATE(8567),
    [sym_preproc_else_in_procedure_statements] = STATE(8668),
    [sym_preproc_elif_in_procedure_statements] = STATE(8668),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8668),
    [sym_internal_procedures] = STATE(5635),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(756),
    [aux_sym_preproc_elif_token1] = ACTIONS(758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(760),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [225] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(7747),
    [sym_preproc_elif_in_specification_part] = STATE(7747),
    [sym_preproc_elifdef_in_specification_part] = STATE(7747),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7764),
    [sym_preproc_elif_in_statements] = STATE(7764),
    [sym_preproc_elifdef_in_statements] = STATE(7764),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5627),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [226] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7914),
    [sym_preproc_elif_in_statements] = STATE(7914),
    [sym_preproc_elifdef_in_statements] = STATE(7914),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5621),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [227] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8318),
    [sym_preproc_elif_in_statements] = STATE(8318),
    [sym_preproc_elifdef_in_statements] = STATE(8318),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5631),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [228] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8431),
    [sym_preproc_elif_in_statements] = STATE(8431),
    [sym_preproc_elifdef_in_statements] = STATE(8431),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5636),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [229] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8566),
    [sym_preproc_elif_in_specification_part] = STATE(8566),
    [sym_preproc_elifdef_in_specification_part] = STATE(8566),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8567),
    [sym_preproc_elif_in_statements] = STATE(8567),
    [sym_preproc_elifdef_in_statements] = STATE(8567),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5632),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [230] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8655),
    [sym_preproc_elif_in_statements] = STATE(8655),
    [sym_preproc_elifdef_in_statements] = STATE(8655),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5573),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [231] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7712),
    [sym_preproc_elif_in_statements] = STATE(7712),
    [sym_preproc_elifdef_in_statements] = STATE(7712),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5643),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [232] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5611),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [233] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8231),
    [sym_preproc_elif_in_statements] = STATE(8231),
    [sym_preproc_elifdef_in_statements] = STATE(8231),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5618),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [234] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5582),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [235] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7827),
    [sym_preproc_elif_in_statements] = STATE(7827),
    [sym_preproc_elifdef_in_statements] = STATE(7827),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5607),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [236] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5593),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [237] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7883),
    [sym_preproc_elif_in_statements] = STATE(7883),
    [sym_preproc_elifdef_in_statements] = STATE(7883),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5596),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [238] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7911),
    [sym_preproc_elif_in_statements] = STATE(7911),
    [sym_preproc_elifdef_in_statements] = STATE(7911),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5606),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [239] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8398),
    [sym_preproc_elif_in_specification_part] = STATE(8398),
    [sym_preproc_elifdef_in_specification_part] = STATE(8398),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7986),
    [sym_preproc_elif_in_statements] = STATE(7986),
    [sym_preproc_elifdef_in_statements] = STATE(7986),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5622),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [240] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym_preproc_else_in_statements] = STATE(7943),
    [sym_preproc_elif_in_statements] = STATE(7943),
    [sym_preproc_elifdef_in_statements] = STATE(7943),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(5581),
    [sym_contains_statement] = STATE(6508),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [241] = {
    [sym_preproc_include] = STATE(280),
    [sym_preproc_def] = STATE(280),
    [sym_preproc_function_def] = STATE(280),
    [sym_preproc_call] = STATE(280),
    [sym_preproc_if_in_statements] = STATE(280),
    [sym_preproc_ifdef_in_statements] = STATE(280),
    [sym_preproc_else_in_statements] = STATE(8455),
    [sym_preproc_elif_in_statements] = STATE(8455),
    [sym_preproc_elifdef_in_statements] = STATE(8455),
    [sym_preproc_else_in_procedure_statements] = STATE(8174),
    [sym_preproc_elif_in_procedure_statements] = STATE(8174),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8174),
    [sym_internal_procedures] = STATE(5694),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(280),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [242] = {
    [sym_preproc_include] = STATE(269),
    [sym_preproc_def] = STATE(269),
    [sym_preproc_function_def] = STATE(269),
    [sym_preproc_call] = STATE(269),
    [sym_preproc_if_in_statements] = STATE(269),
    [sym_preproc_ifdef_in_statements] = STATE(269),
    [sym_preproc_else_in_statements] = STATE(8261),
    [sym_preproc_elif_in_statements] = STATE(8261),
    [sym_preproc_elifdef_in_statements] = STATE(8261),
    [sym_preproc_else_in_procedure_statements] = STATE(8168),
    [sym_preproc_elif_in_procedure_statements] = STATE(8168),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8168),
    [sym_internal_procedures] = STATE(5730),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(269),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [243] = {
    [sym_preproc_include] = STATE(256),
    [sym_preproc_def] = STATE(256),
    [sym_preproc_function_def] = STATE(256),
    [sym_preproc_call] = STATE(256),
    [sym_preproc_if_in_statements] = STATE(256),
    [sym_preproc_ifdef_in_statements] = STATE(256),
    [sym_preproc_else_in_statements] = STATE(8068),
    [sym_preproc_elif_in_statements] = STATE(8068),
    [sym_preproc_elifdef_in_statements] = STATE(8068),
    [sym_preproc_else_in_procedure_statements] = STATE(7768),
    [sym_preproc_elif_in_procedure_statements] = STATE(7768),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7768),
    [sym_internal_procedures] = STATE(5705),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(256),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [244] = {
    [sym_preproc_include] = STATE(248),
    [sym_preproc_def] = STATE(248),
    [sym_preproc_function_def] = STATE(248),
    [sym_preproc_call] = STATE(248),
    [sym_preproc_if_in_statements] = STATE(248),
    [sym_preproc_ifdef_in_statements] = STATE(248),
    [sym_preproc_else_in_statements] = STATE(7734),
    [sym_preproc_elif_in_statements] = STATE(7734),
    [sym_preproc_elifdef_in_statements] = STATE(7734),
    [sym_preproc_else_in_procedure_statements] = STATE(7831),
    [sym_preproc_elif_in_procedure_statements] = STATE(7831),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7831),
    [sym_internal_procedures] = STATE(5736),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(248),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [245] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_internal_procedures] = STATE(5716),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [246] = {
    [sym_preproc_include] = STATE(263),
    [sym_preproc_def] = STATE(263),
    [sym_preproc_function_def] = STATE(263),
    [sym_preproc_call] = STATE(263),
    [sym_preproc_if_in_statements] = STATE(263),
    [sym_preproc_ifdef_in_statements] = STATE(263),
    [sym_preproc_else_in_statements] = STATE(7742),
    [sym_preproc_elif_in_statements] = STATE(7742),
    [sym_preproc_elifdef_in_statements] = STATE(7742),
    [sym_preproc_else_in_procedure_statements] = STATE(8287),
    [sym_preproc_elif_in_procedure_statements] = STATE(8287),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8287),
    [sym_internal_procedures] = STATE(5683),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(263),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [247] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8651),
    [sym_preproc_elif_in_statements] = STATE(8651),
    [sym_preproc_elifdef_in_statements] = STATE(8651),
    [sym_preproc_else_in_procedure_statements] = STATE(8050),
    [sym_preproc_elif_in_procedure_statements] = STATE(8050),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8050),
    [sym_internal_procedures] = STATE(5728),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [248] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7742),
    [sym_preproc_elif_in_statements] = STATE(7742),
    [sym_preproc_elifdef_in_statements] = STATE(7742),
    [sym_preproc_else_in_procedure_statements] = STATE(8287),
    [sym_preproc_elif_in_procedure_statements] = STATE(8287),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8287),
    [sym_internal_procedures] = STATE(5683),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [249] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7747),
    [sym_preproc_elif_in_specification_part] = STATE(7747),
    [sym_preproc_elifdef_in_specification_part] = STATE(7747),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7764),
    [sym_preproc_elif_in_statements] = STATE(7764),
    [sym_preproc_elifdef_in_statements] = STATE(7764),
    [sym_internal_procedures] = STATE(5681),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [250] = {
    [sym_preproc_include] = STATE(266),
    [sym_preproc_def] = STATE(266),
    [sym_preproc_function_def] = STATE(266),
    [sym_preproc_call] = STATE(266),
    [sym_preproc_if_in_statements] = STATE(266),
    [sym_preproc_ifdef_in_statements] = STATE(266),
    [sym_preproc_else_in_statements] = STATE(8651),
    [sym_preproc_elif_in_statements] = STATE(8651),
    [sym_preproc_elifdef_in_statements] = STATE(8651),
    [sym_preproc_else_in_procedure_statements] = STATE(8050),
    [sym_preproc_elif_in_procedure_statements] = STATE(8050),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8050),
    [sym_internal_procedures] = STATE(5728),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(266),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [251] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_internal_procedures] = STATE(5731),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [252] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8682),
    [sym_preproc_elif_in_statements] = STATE(8682),
    [sym_preproc_elifdef_in_statements] = STATE(8682),
    [sym_preproc_else_in_procedure_statements] = STATE(8342),
    [sym_preproc_elif_in_procedure_statements] = STATE(8342),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8342),
    [sym_internal_procedures] = STATE(5732),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [253] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7749),
    [sym_preproc_elif_in_statements] = STATE(7749),
    [sym_preproc_elifdef_in_statements] = STATE(7749),
    [sym_preproc_else_in_procedure_statements] = STATE(7860),
    [sym_preproc_elif_in_procedure_statements] = STATE(7860),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7860),
    [sym_internal_procedures] = STATE(5687),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [254] = {
    [sym_preproc_include] = STATE(258),
    [sym_preproc_def] = STATE(258),
    [sym_preproc_function_def] = STATE(258),
    [sym_preproc_call] = STATE(258),
    [sym_preproc_if_in_statements] = STATE(258),
    [sym_preproc_ifdef_in_statements] = STATE(258),
    [sym_preproc_else_in_statements] = STATE(8126),
    [sym_preproc_elif_in_statements] = STATE(8126),
    [sym_preproc_elifdef_in_statements] = STATE(8126),
    [sym_preproc_else_in_procedure_statements] = STATE(7889),
    [sym_preproc_elif_in_procedure_statements] = STATE(7889),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7889),
    [sym_internal_procedures] = STATE(5739),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(258),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [255] = {
    [sym_preproc_include] = STATE(260),
    [sym_preproc_def] = STATE(260),
    [sym_preproc_function_def] = STATE(260),
    [sym_preproc_call] = STATE(260),
    [sym_preproc_if_in_statements] = STATE(260),
    [sym_preproc_ifdef_in_statements] = STATE(260),
    [sym_preproc_else_in_statements] = STATE(8127),
    [sym_preproc_elif_in_statements] = STATE(8127),
    [sym_preproc_elifdef_in_statements] = STATE(8127),
    [sym_preproc_else_in_procedure_statements] = STATE(7927),
    [sym_preproc_elif_in_procedure_statements] = STATE(7927),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7927),
    [sym_internal_procedures] = STATE(5715),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(260),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [256] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8127),
    [sym_preproc_elif_in_statements] = STATE(8127),
    [sym_preproc_elifdef_in_statements] = STATE(8127),
    [sym_preproc_else_in_procedure_statements] = STATE(7927),
    [sym_preproc_elif_in_procedure_statements] = STATE(7927),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7927),
    [sym_internal_procedures] = STATE(5715),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [257] = {
    [sym_preproc_include] = STATE(264),
    [sym_preproc_def] = STATE(264),
    [sym_preproc_function_def] = STATE(264),
    [sym_preproc_call] = STATE(264),
    [sym_preproc_if_in_statements] = STATE(264),
    [sym_preproc_ifdef_in_statements] = STATE(264),
    [sym_preproc_else_in_statements] = STATE(7749),
    [sym_preproc_elif_in_statements] = STATE(7749),
    [sym_preproc_elifdef_in_statements] = STATE(7749),
    [sym_preproc_else_in_procedure_statements] = STATE(7860),
    [sym_preproc_elif_in_procedure_statements] = STATE(7860),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7860),
    [sym_internal_procedures] = STATE(5687),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(264),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [258] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8167),
    [sym_preproc_elif_in_statements] = STATE(8167),
    [sym_preproc_elifdef_in_statements] = STATE(8167),
    [sym_preproc_else_in_procedure_statements] = STATE(8155),
    [sym_preproc_elif_in_procedure_statements] = STATE(8155),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8155),
    [sym_internal_procedures] = STATE(5734),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [259] = {
    [sym_preproc_include] = STATE(261),
    [sym_preproc_def] = STATE(261),
    [sym_preproc_function_def] = STATE(261),
    [sym_preproc_call] = STATE(261),
    [sym_preproc_if_in_statements] = STATE(261),
    [sym_preproc_ifdef_in_statements] = STATE(261),
    [sym_preproc_else_in_statements] = STATE(8167),
    [sym_preproc_elif_in_statements] = STATE(8167),
    [sym_preproc_elifdef_in_statements] = STATE(8167),
    [sym_preproc_else_in_procedure_statements] = STATE(8155),
    [sym_preproc_elif_in_procedure_statements] = STATE(8155),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8155),
    [sym_internal_procedures] = STATE(5734),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(261),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [260] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8169),
    [sym_preproc_elif_in_statements] = STATE(8169),
    [sym_preproc_elifdef_in_statements] = STATE(8169),
    [sym_preproc_else_in_procedure_statements] = STATE(8158),
    [sym_preproc_elif_in_procedure_statements] = STATE(8158),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8158),
    [sym_internal_procedures] = STATE(5737),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [261] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8199),
    [sym_preproc_elif_in_statements] = STATE(8199),
    [sym_preproc_elifdef_in_statements] = STATE(8199),
    [sym_preproc_else_in_procedure_statements] = STATE(8207),
    [sym_preproc_elif_in_procedure_statements] = STATE(8207),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8207),
    [sym_internal_procedures] = STATE(5690),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [262] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8566),
    [sym_preproc_elif_in_specification_part] = STATE(8566),
    [sym_preproc_elifdef_in_specification_part] = STATE(8566),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8567),
    [sym_preproc_elif_in_statements] = STATE(8567),
    [sym_preproc_elifdef_in_statements] = STATE(8567),
    [sym_internal_procedures] = STATE(5733),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [263] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7750),
    [sym_preproc_elif_in_statements] = STATE(7750),
    [sym_preproc_elifdef_in_statements] = STATE(7750),
    [sym_preproc_else_in_procedure_statements] = STATE(7951),
    [sym_preproc_elif_in_procedure_statements] = STATE(7951),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(7951),
    [sym_internal_procedures] = STATE(5698),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [264] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7756),
    [sym_preproc_elif_in_statements] = STATE(7756),
    [sym_preproc_elifdef_in_statements] = STATE(7756),
    [sym_preproc_else_in_procedure_statements] = STATE(8309),
    [sym_preproc_elif_in_procedure_statements] = STATE(8309),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8309),
    [sym_internal_procedures] = STATE(5702),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [265] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8231),
    [sym_preproc_elif_in_statements] = STATE(8231),
    [sym_preproc_elifdef_in_statements] = STATE(8231),
    [sym_internal_procedures] = STATE(5710),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [266] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7754),
    [sym_preproc_elif_in_statements] = STATE(7754),
    [sym_preproc_elifdef_in_statements] = STATE(7754),
    [sym_preproc_else_in_procedure_statements] = STATE(8275),
    [sym_preproc_elif_in_procedure_statements] = STATE(8275),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8275),
    [sym_internal_procedures] = STATE(5712),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [267] = {
    [sym_preproc_include] = STATE(271),
    [sym_preproc_def] = STATE(271),
    [sym_preproc_function_def] = STATE(271),
    [sym_preproc_call] = STATE(271),
    [sym_preproc_if_in_statements] = STATE(271),
    [sym_preproc_ifdef_in_statements] = STATE(271),
    [sym_preproc_else_in_statements] = STATE(8264),
    [sym_preproc_elif_in_statements] = STATE(8264),
    [sym_preproc_elifdef_in_statements] = STATE(8264),
    [sym_preproc_else_in_procedure_statements] = STATE(8441),
    [sym_preproc_elif_in_procedure_statements] = STATE(8441),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8441),
    [sym_internal_procedures] = STATE(5713),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(271),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [268] = {
    [sym_preproc_include] = STATE(272),
    [sym_preproc_def] = STATE(272),
    [sym_preproc_function_def] = STATE(272),
    [sym_preproc_call] = STATE(272),
    [sym_preproc_if_in_statements] = STATE(272),
    [sym_preproc_ifdef_in_statements] = STATE(272),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_preproc_else_in_procedure_statements] = STATE(8492),
    [sym_preproc_elif_in_procedure_statements] = STATE(8492),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8492),
    [sym_internal_procedures] = STATE(5722),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(272),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [269] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_preproc_else_in_procedure_statements] = STATE(8492),
    [sym_preproc_elif_in_procedure_statements] = STATE(8492),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8492),
    [sym_internal_procedures] = STATE(5722),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [270] = {
    [sym_preproc_include] = STATE(274),
    [sym_preproc_def] = STATE(274),
    [sym_preproc_function_def] = STATE(274),
    [sym_preproc_call] = STATE(274),
    [sym_preproc_if_in_statements] = STATE(274),
    [sym_preproc_ifdef_in_statements] = STATE(274),
    [sym_preproc_else_in_statements] = STATE(8510),
    [sym_preproc_elif_in_statements] = STATE(8510),
    [sym_preproc_elifdef_in_statements] = STATE(8510),
    [sym_preproc_else_in_procedure_statements] = STATE(8312),
    [sym_preproc_elif_in_procedure_statements] = STATE(8312),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8312),
    [sym_internal_procedures] = STATE(5703),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(274),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [271] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7986),
    [sym_preproc_elif_in_statements] = STATE(7986),
    [sym_preproc_elifdef_in_statements] = STATE(7986),
    [sym_preproc_else_in_procedure_statements] = STATE(8320),
    [sym_preproc_elif_in_procedure_statements] = STATE(8320),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8320),
    [sym_internal_procedures] = STATE(5680),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [272] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7764),
    [sym_preproc_elif_in_statements] = STATE(7764),
    [sym_preproc_elifdef_in_statements] = STATE(7764),
    [sym_preproc_else_in_procedure_statements] = STATE(8323),
    [sym_preproc_elif_in_procedure_statements] = STATE(8323),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8323),
    [sym_internal_procedures] = STATE(5707),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [273] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8318),
    [sym_preproc_elif_in_statements] = STATE(8318),
    [sym_preproc_elifdef_in_statements] = STATE(8318),
    [sym_internal_procedures] = STATE(5726),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [274] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8567),
    [sym_preproc_elif_in_statements] = STATE(8567),
    [sym_preproc_elifdef_in_statements] = STATE(8567),
    [sym_preproc_else_in_procedure_statements] = STATE(8668),
    [sym_preproc_elif_in_procedure_statements] = STATE(8668),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8668),
    [sym_internal_procedures] = STATE(5718),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1550),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [275] = {
    [sym_preproc_include] = STATE(253),
    [sym_preproc_def] = STATE(253),
    [sym_preproc_function_def] = STATE(253),
    [sym_preproc_call] = STATE(253),
    [sym_preproc_if_in_statements] = STATE(253),
    [sym_preproc_ifdef_in_statements] = STATE(253),
    [sym_preproc_else_in_statements] = STATE(7741),
    [sym_preproc_elif_in_statements] = STATE(7741),
    [sym_preproc_elifdef_in_statements] = STATE(7741),
    [sym_preproc_else_in_procedure_statements] = STATE(8253),
    [sym_preproc_elif_in_procedure_statements] = STATE(8253),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8253),
    [sym_internal_procedures] = STATE(5709),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(253),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [276] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8398),
    [sym_preproc_elif_in_specification_part] = STATE(8398),
    [sym_preproc_elifdef_in_specification_part] = STATE(8398),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7986),
    [sym_preproc_elif_in_statements] = STATE(7986),
    [sym_preproc_elifdef_in_statements] = STATE(7986),
    [sym_internal_procedures] = STATE(5708),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [277] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_internal_procedures] = STATE(5684),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(848),
    [aux_sym_preproc_elif_token1] = ACTIONS(850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(852),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [278] = {
    [sym_preproc_include] = STATE(247),
    [sym_preproc_def] = STATE(247),
    [sym_preproc_function_def] = STATE(247),
    [sym_preproc_call] = STATE(247),
    [sym_preproc_if_in_statements] = STATE(247),
    [sym_preproc_ifdef_in_statements] = STATE(247),
    [sym_preproc_else_in_statements] = STATE(8555),
    [sym_preproc_elif_in_statements] = STATE(8555),
    [sym_preproc_elifdef_in_statements] = STATE(8555),
    [sym_preproc_else_in_procedure_statements] = STATE(8499),
    [sym_preproc_elif_in_procedure_statements] = STATE(8499),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8499),
    [sym_internal_procedures] = STATE(5685),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(247),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [279] = {
    [sym_preproc_include] = STATE(252),
    [sym_preproc_def] = STATE(252),
    [sym_preproc_function_def] = STATE(252),
    [sym_preproc_call] = STATE(252),
    [sym_preproc_if_in_statements] = STATE(252),
    [sym_preproc_ifdef_in_statements] = STATE(252),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_preproc_else_in_procedure_statements] = STATE(8372),
    [sym_preproc_elif_in_procedure_statements] = STATE(8372),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8372),
    [sym_internal_procedures] = STATE(5719),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(252),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [280] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8556),
    [sym_preproc_elif_in_statements] = STATE(8556),
    [sym_preproc_elifdef_in_statements] = STATE(8556),
    [sym_preproc_else_in_procedure_statements] = STATE(8372),
    [sym_preproc_elif_in_procedure_statements] = STATE(8372),
    [sym_preproc_elifdef_in_procedure_statements] = STATE(8372),
    [sym_internal_procedures] = STATE(5719),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [281] = {
    [sym_preproc_include] = STATE(373),
    [sym_preproc_def] = STATE(373),
    [sym_preproc_function_def] = STATE(373),
    [sym_preproc_call] = STATE(373),
    [sym_preproc_if_in_statements] = STATE(373),
    [sym_preproc_ifdef_in_statements] = STATE(373),
    [sym_preproc_else_in_statements] = STATE(8078),
    [sym_preproc_elif_in_statements] = STATE(8078),
    [sym_preproc_elifdef_in_statements] = STATE(8078),
    [sym_internal_procedures] = STATE(5875),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(373),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [282] = {
    [sym_preproc_include] = STATE(340),
    [sym_preproc_def] = STATE(340),
    [sym_preproc_function_def] = STATE(340),
    [sym_preproc_call] = STATE(340),
    [sym_preproc_if_in_statements] = STATE(340),
    [sym_preproc_ifdef_in_statements] = STATE(340),
    [sym_preproc_else_in_statements] = STATE(8396),
    [sym_preproc_elif_in_statements] = STATE(8396),
    [sym_preproc_elifdef_in_statements] = STATE(8396),
    [sym_internal_procedures] = STATE(5893),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(340),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1580),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [283] = {
    [sym_preproc_include] = STATE(394),
    [sym_preproc_def] = STATE(394),
    [sym_preproc_function_def] = STATE(394),
    [sym_preproc_call] = STATE(394),
    [sym_preproc_if_in_statements] = STATE(394),
    [sym_preproc_ifdef_in_statements] = STATE(394),
    [sym_preproc_else_in_statements] = STATE(8430),
    [sym_preproc_elif_in_statements] = STATE(8430),
    [sym_preproc_elifdef_in_statements] = STATE(8430),
    [sym_internal_procedures] = STATE(5946),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(394),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1586),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [284] = {
    [sym_preproc_include] = STATE(330),
    [sym_preproc_def] = STATE(330),
    [sym_preproc_function_def] = STATE(330),
    [sym_preproc_call] = STATE(330),
    [sym_preproc_if_in_statements] = STATE(330),
    [sym_preproc_ifdef_in_statements] = STATE(330),
    [sym_preproc_else_in_statements] = STATE(8261),
    [sym_preproc_elif_in_statements] = STATE(8261),
    [sym_preproc_elifdef_in_statements] = STATE(8261),
    [sym_internal_procedures] = STATE(5820),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(330),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1592),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [285] = {
    [sym_preproc_include] = STATE(409),
    [sym_preproc_def] = STATE(409),
    [sym_preproc_function_def] = STATE(409),
    [sym_preproc_call] = STATE(409),
    [sym_preproc_if_in_statements] = STATE(409),
    [sym_preproc_ifdef_in_statements] = STATE(409),
    [sym_preproc_else_in_statements] = STATE(8541),
    [sym_preproc_elif_in_statements] = STATE(8541),
    [sym_preproc_elifdef_in_statements] = STATE(8541),
    [sym_internal_procedures] = STATE(5845),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(409),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1598),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [286] = {
    [sym_preproc_include] = STATE(355),
    [sym_preproc_def] = STATE(355),
    [sym_preproc_function_def] = STATE(355),
    [sym_preproc_call] = STATE(355),
    [sym_preproc_if_in_statements] = STATE(355),
    [sym_preproc_ifdef_in_statements] = STATE(355),
    [sym_preproc_else_in_statements] = STATE(7796),
    [sym_preproc_elif_in_statements] = STATE(7796),
    [sym_preproc_elifdef_in_statements] = STATE(7796),
    [sym_internal_procedures] = STATE(5881),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(355),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [287] = {
    [sym_preproc_include] = STATE(380),
    [sym_preproc_def] = STATE(380),
    [sym_preproc_function_def] = STATE(380),
    [sym_preproc_call] = STATE(380),
    [sym_preproc_if_in_statements] = STATE(380),
    [sym_preproc_ifdef_in_statements] = STATE(380),
    [sym_preproc_else_in_statements] = STATE(8063),
    [sym_preproc_elif_in_statements] = STATE(8063),
    [sym_preproc_elifdef_in_statements] = STATE(8063),
    [sym_internal_procedures] = STATE(5927),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(380),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1608),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1610),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [288] = {
    [sym_preproc_include] = STATE(313),
    [sym_preproc_def] = STATE(313),
    [sym_preproc_function_def] = STATE(313),
    [sym_preproc_call] = STATE(313),
    [sym_preproc_if_in_statements] = STATE(313),
    [sym_preproc_ifdef_in_statements] = STATE(313),
    [sym_preproc_else_in_statements] = STATE(8667),
    [sym_preproc_elif_in_statements] = STATE(8667),
    [sym_preproc_elifdef_in_statements] = STATE(8667),
    [sym_internal_procedures] = STATE(5975),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(313),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1616),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [289] = {
    [sym_preproc_include] = STATE(387),
    [sym_preproc_def] = STATE(387),
    [sym_preproc_function_def] = STATE(387),
    [sym_preproc_call] = STATE(387),
    [sym_preproc_if_in_statements] = STATE(387),
    [sym_preproc_ifdef_in_statements] = STATE(387),
    [sym_preproc_else_in_statements] = STATE(8274),
    [sym_preproc_elif_in_statements] = STATE(8274),
    [sym_preproc_elifdef_in_statements] = STATE(8274),
    [sym_internal_procedures] = STATE(5971),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(387),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1620),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1622),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [290] = {
    [sym_preproc_include] = STATE(417),
    [sym_preproc_def] = STATE(417),
    [sym_preproc_function_def] = STATE(417),
    [sym_preproc_call] = STATE(417),
    [sym_preproc_if_in_statements] = STATE(417),
    [sym_preproc_ifdef_in_statements] = STATE(417),
    [sym_preproc_else_in_statements] = STATE(8652),
    [sym_preproc_elif_in_statements] = STATE(8652),
    [sym_preproc_elifdef_in_statements] = STATE(8652),
    [sym_internal_procedures] = STATE(5889),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(417),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1628),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [291] = {
    [sym_preproc_include] = STATE(366),
    [sym_preproc_def] = STATE(366),
    [sym_preproc_function_def] = STATE(366),
    [sym_preproc_call] = STATE(366),
    [sym_preproc_if_in_statements] = STATE(366),
    [sym_preproc_ifdef_in_statements] = STATE(366),
    [sym_preproc_else_in_statements] = STATE(8435),
    [sym_preproc_elif_in_statements] = STATE(8435),
    [sym_preproc_elifdef_in_statements] = STATE(8435),
    [sym_internal_procedures] = STATE(5829),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(366),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1632),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1634),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [292] = {
    [sym_preproc_include] = STATE(319),
    [sym_preproc_def] = STATE(319),
    [sym_preproc_function_def] = STATE(319),
    [sym_preproc_call] = STATE(319),
    [sym_preproc_if_in_statements] = STATE(319),
    [sym_preproc_ifdef_in_statements] = STATE(319),
    [sym_preproc_else_in_statements] = STATE(8505),
    [sym_preproc_elif_in_statements] = STATE(8505),
    [sym_preproc_elifdef_in_statements] = STATE(8505),
    [sym_internal_procedures] = STATE(5979),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(319),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [293] = {
    [sym_preproc_include] = STATE(424),
    [sym_preproc_def] = STATE(424),
    [sym_preproc_function_def] = STATE(424),
    [sym_preproc_call] = STATE(424),
    [sym_preproc_if_in_statements] = STATE(424),
    [sym_preproc_ifdef_in_statements] = STATE(424),
    [sym_preproc_else_in_statements] = STATE(7773),
    [sym_preproc_elif_in_statements] = STATE(7773),
    [sym_preproc_elifdef_in_statements] = STATE(7773),
    [sym_internal_procedures] = STATE(5924),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(424),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1644),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1646),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [294] = {
    [sym_preproc_include] = STATE(431),
    [sym_preproc_def] = STATE(431),
    [sym_preproc_function_def] = STATE(431),
    [sym_preproc_call] = STATE(431),
    [sym_preproc_if_in_statements] = STATE(431),
    [sym_preproc_ifdef_in_statements] = STATE(431),
    [sym_preproc_else_in_statements] = STATE(7805),
    [sym_preproc_elif_in_statements] = STATE(7805),
    [sym_preproc_elifdef_in_statements] = STATE(7805),
    [sym_internal_procedures] = STATE(5948),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(431),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [295] = {
    [sym_preproc_include] = STATE(401),
    [sym_preproc_def] = STATE(401),
    [sym_preproc_function_def] = STATE(401),
    [sym_preproc_call] = STATE(401),
    [sym_preproc_if_in_statements] = STATE(401),
    [sym_preproc_ifdef_in_statements] = STATE(401),
    [sym_preproc_else_in_statements] = STATE(7844),
    [sym_preproc_elif_in_statements] = STATE(7844),
    [sym_preproc_elifdef_in_statements] = STATE(7844),
    [sym_internal_procedures] = STATE(5970),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(401),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1656),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1658),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [296] = {
    [sym_preproc_include] = STATE(438),
    [sym_preproc_def] = STATE(438),
    [sym_preproc_function_def] = STATE(438),
    [sym_preproc_call] = STATE(438),
    [sym_preproc_if_in_statements] = STATE(438),
    [sym_preproc_ifdef_in_statements] = STATE(438),
    [sym_preproc_else_in_statements] = STATE(7837),
    [sym_preproc_elif_in_statements] = STATE(7837),
    [sym_preproc_elifdef_in_statements] = STATE(7837),
    [sym_internal_procedures] = STATE(5960),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(438),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [297] = {
    [sym_preproc_include] = STATE(445),
    [sym_preproc_def] = STATE(445),
    [sym_preproc_function_def] = STATE(445),
    [sym_preproc_call] = STATE(445),
    [sym_preproc_if_in_statements] = STATE(445),
    [sym_preproc_ifdef_in_statements] = STATE(445),
    [sym_preproc_else_in_statements] = STATE(7869),
    [sym_preproc_elif_in_statements] = STATE(7869),
    [sym_preproc_elifdef_in_statements] = STATE(7869),
    [sym_internal_procedures] = STATE(5973),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(445),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1670),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [298] = {
    [sym_preproc_include] = STATE(452),
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_statements] = STATE(452),
    [sym_preproc_ifdef_in_statements] = STATE(452),
    [sym_preproc_else_in_statements] = STATE(7899),
    [sym_preproc_elif_in_statements] = STATE(7899),
    [sym_preproc_elifdef_in_statements] = STATE(7899),
    [sym_internal_procedures] = STATE(5786),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(452),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [299] = {
    [sym_preproc_include] = STATE(459),
    [sym_preproc_def] = STATE(459),
    [sym_preproc_function_def] = STATE(459),
    [sym_preproc_call] = STATE(459),
    [sym_preproc_if_in_statements] = STATE(459),
    [sym_preproc_ifdef_in_statements] = STATE(459),
    [sym_preproc_else_in_statements] = STATE(7915),
    [sym_preproc_elif_in_statements] = STATE(7915),
    [sym_preproc_elifdef_in_statements] = STATE(7915),
    [sym_internal_procedures] = STATE(5795),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(459),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1682),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [300] = {
    [sym_preproc_include] = STATE(467),
    [sym_preproc_def] = STATE(467),
    [sym_preproc_function_def] = STATE(467),
    [sym_preproc_call] = STATE(467),
    [sym_preproc_if_in_statements] = STATE(467),
    [sym_preproc_ifdef_in_statements] = STATE(467),
    [sym_preproc_else_in_statements] = STATE(7931),
    [sym_preproc_elif_in_statements] = STATE(7931),
    [sym_preproc_elifdef_in_statements] = STATE(7931),
    [sym_internal_procedures] = STATE(5804),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(467),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [301] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7821),
    [sym_preproc_elif_in_statements] = STATE(7821),
    [sym_preproc_elifdef_in_statements] = STATE(7821),
    [sym_internal_procedures] = STATE(5957),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [302] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7937),
    [sym_preproc_elif_in_statements] = STATE(7937),
    [sym_preproc_elifdef_in_statements] = STATE(7937),
    [sym_internal_procedures] = STATE(5811),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [303] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8318),
    [sym_preproc_elif_in_statements] = STATE(8318),
    [sym_preproc_elifdef_in_statements] = STATE(8318),
    [sym_internal_procedures] = STATE(5891),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [304] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8580),
    [sym_preproc_elif_in_specification_part] = STATE(8580),
    [sym_preproc_elifdef_in_specification_part] = STATE(8580),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5880),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [305] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8639),
    [sym_preproc_elif_in_specification_part] = STATE(8639),
    [sym_preproc_elifdef_in_specification_part] = STATE(8639),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5909),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [306] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8408),
    [sym_preproc_elif_in_specification_part] = STATE(8408),
    [sym_preproc_elifdef_in_specification_part] = STATE(8408),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5817),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [307] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7819),
    [sym_preproc_elif_in_specification_part] = STATE(7819),
    [sym_preproc_elifdef_in_specification_part] = STATE(7819),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5926),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [308] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7722),
    [sym_preproc_elif_in_specification_part] = STATE(7722),
    [sym_preproc_elifdef_in_specification_part] = STATE(7722),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5838),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [309] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7864),
    [sym_preproc_elif_in_specification_part] = STATE(7864),
    [sym_preproc_elifdef_in_specification_part] = STATE(7864),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5884),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [310] = {
    [sym_preproc_include] = STATE(406),
    [sym_preproc_def] = STATE(406),
    [sym_preproc_function_def] = STATE(406),
    [sym_preproc_call] = STATE(406),
    [sym_preproc_if_in_statements] = STATE(406),
    [sym_preproc_ifdef_in_statements] = STATE(406),
    [sym_preproc_else_in_statements] = STATE(8026),
    [sym_preproc_elif_in_statements] = STATE(8026),
    [sym_preproc_elifdef_in_statements] = STATE(8026),
    [sym_internal_procedures] = STATE(5800),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(406),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1700),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [311] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7747),
    [sym_preproc_elif_in_specification_part] = STATE(7747),
    [sym_preproc_elifdef_in_specification_part] = STATE(7747),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5912),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [312] = {
    [sym_preproc_include] = STATE(303),
    [sym_preproc_def] = STATE(303),
    [sym_preproc_function_def] = STATE(303),
    [sym_preproc_call] = STATE(303),
    [sym_preproc_if_in_statements] = STATE(303),
    [sym_preproc_ifdef_in_statements] = STATE(303),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_internal_procedures] = STATE(5814),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(303),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1704),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [313] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8438),
    [sym_preproc_elif_in_statements] = STATE(8438),
    [sym_preproc_elifdef_in_statements] = STATE(8438),
    [sym_internal_procedures] = STATE(5814),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [314] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8228),
    [sym_preproc_elif_in_specification_part] = STATE(8228),
    [sym_preproc_elifdef_in_specification_part] = STATE(8228),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5842),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [315] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8283),
    [sym_preproc_elif_in_specification_part] = STATE(8283),
    [sym_preproc_elifdef_in_specification_part] = STATE(8283),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5885),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [316] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7710),
    [sym_preproc_elif_in_specification_part] = STATE(7710),
    [sym_preproc_elifdef_in_specification_part] = STATE(7710),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5984),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [317] = {
    [sym_preproc_include] = STATE(322),
    [sym_preproc_def] = STATE(322),
    [sym_preproc_function_def] = STATE(322),
    [sym_preproc_call] = STATE(322),
    [sym_preproc_if_in_statements] = STATE(322),
    [sym_preproc_ifdef_in_statements] = STATE(322),
    [sym_preproc_else_in_statements] = STATE(8573),
    [sym_preproc_elif_in_statements] = STATE(8573),
    [sym_preproc_elifdef_in_statements] = STATE(8573),
    [sym_internal_procedures] = STATE(5883),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(322),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1708),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [318] = {
    [sym_preproc_include] = STATE(324),
    [sym_preproc_def] = STATE(324),
    [sym_preproc_function_def] = STATE(324),
    [sym_preproc_call] = STATE(324),
    [sym_preproc_if_in_statements] = STATE(324),
    [sym_preproc_ifdef_in_statements] = STATE(324),
    [sym_preproc_else_in_statements] = STATE(8582),
    [sym_preproc_elif_in_statements] = STATE(8582),
    [sym_preproc_elifdef_in_statements] = STATE(8582),
    [sym_internal_procedures] = STATE(5857),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(324),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1712),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [319] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8582),
    [sym_preproc_elif_in_statements] = STATE(8582),
    [sym_preproc_elifdef_in_statements] = STATE(8582),
    [sym_internal_procedures] = STATE(5857),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [320] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7824),
    [sym_preproc_elif_in_specification_part] = STATE(7824),
    [sym_preproc_elifdef_in_specification_part] = STATE(7824),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5874),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [321] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7848),
    [sym_preproc_elif_in_specification_part] = STATE(7848),
    [sym_preproc_elifdef_in_specification_part] = STATE(7848),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5953),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [322] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8640),
    [sym_preproc_elif_in_statements] = STATE(8640),
    [sym_preproc_elifdef_in_statements] = STATE(8640),
    [sym_internal_procedures] = STATE(5792),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [323] = {
    [sym_preproc_include] = STATE(326),
    [sym_preproc_def] = STATE(326),
    [sym_preproc_function_def] = STATE(326),
    [sym_preproc_call] = STATE(326),
    [sym_preproc_if_in_statements] = STATE(326),
    [sym_preproc_ifdef_in_statements] = STATE(326),
    [sym_preproc_else_in_statements] = STATE(8640),
    [sym_preproc_elif_in_statements] = STATE(8640),
    [sym_preproc_elifdef_in_statements] = STATE(8640),
    [sym_internal_procedures] = STATE(5792),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(326),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1718),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [324] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8662),
    [sym_preproc_elif_in_statements] = STATE(8662),
    [sym_preproc_elifdef_in_statements] = STATE(8662),
    [sym_internal_procedures] = STATE(5824),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [325] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8095),
    [sym_preproc_elif_in_specification_part] = STATE(8095),
    [sym_preproc_elifdef_in_specification_part] = STATE(8095),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5826),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [326] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7820),
    [sym_preproc_elif_in_statements] = STATE(7820),
    [sym_preproc_elifdef_in_statements] = STATE(7820),
    [sym_internal_procedures] = STATE(5929),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [327] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8231),
    [sym_preproc_elif_in_statements] = STATE(8231),
    [sym_preproc_elifdef_in_statements] = STATE(8231),
    [sym_internal_procedures] = STATE(5887),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [328] = {
    [sym_preproc_include] = STATE(349),
    [sym_preproc_def] = STATE(349),
    [sym_preproc_function_def] = STATE(349),
    [sym_preproc_call] = STATE(349),
    [sym_preproc_if_in_statements] = STATE(349),
    [sym_preproc_ifdef_in_statements] = STATE(349),
    [sym_preproc_else_in_statements] = STATE(8264),
    [sym_preproc_elif_in_statements] = STATE(8264),
    [sym_preproc_elifdef_in_statements] = STATE(8264),
    [sym_internal_procedures] = STATE(5856),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(349),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1730),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [329] = {
    [sym_preproc_include] = STATE(471),
    [sym_preproc_def] = STATE(471),
    [sym_preproc_function_def] = STATE(471),
    [sym_preproc_call] = STATE(471),
    [sym_preproc_if_in_statements] = STATE(471),
    [sym_preproc_ifdef_in_statements] = STATE(471),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_internal_procedures] = STATE(5871),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(471),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1734),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [330] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8329),
    [sym_preproc_elif_in_statements] = STATE(8329),
    [sym_preproc_elifdef_in_statements] = STATE(8329),
    [sym_internal_procedures] = STATE(5871),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [331] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7806),
    [sym_preproc_elif_in_specification_part] = STATE(7806),
    [sym_preproc_elifdef_in_specification_part] = STATE(7806),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5919),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [332] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8387),
    [sym_preproc_elif_in_specification_part] = STATE(8387),
    [sym_preproc_elifdef_in_specification_part] = STATE(8387),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5994),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [333] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8596),
    [sym_preproc_elif_in_specification_part] = STATE(8596),
    [sym_preproc_elifdef_in_specification_part] = STATE(8596),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5865),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [334] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8646),
    [sym_preproc_elif_in_specification_part] = STATE(8646),
    [sym_preproc_elifdef_in_specification_part] = STATE(8646),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5950),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [335] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8317),
    [sym_preproc_elif_in_specification_part] = STATE(8317),
    [sym_preproc_elifdef_in_specification_part] = STATE(8317),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5861),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [336] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8398),
    [sym_preproc_elif_in_specification_part] = STATE(8398),
    [sym_preproc_elifdef_in_specification_part] = STATE(8398),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5803),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [337] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8660),
    [sym_preproc_elif_in_specification_part] = STATE(8660),
    [sym_preproc_elifdef_in_specification_part] = STATE(8660),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5916),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [338] = {
    [sym_preproc_include] = STATE(343),
    [sym_preproc_def] = STATE(343),
    [sym_preproc_function_def] = STATE(343),
    [sym_preproc_call] = STATE(343),
    [sym_preproc_if_in_statements] = STATE(343),
    [sym_preproc_ifdef_in_statements] = STATE(343),
    [sym_preproc_else_in_statements] = STATE(8626),
    [sym_preproc_elif_in_statements] = STATE(8626),
    [sym_preproc_elifdef_in_statements] = STATE(8626),
    [sym_internal_procedures] = STATE(5931),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(343),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1744),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [339] = {
    [sym_preproc_include] = STATE(345),
    [sym_preproc_def] = STATE(345),
    [sym_preproc_function_def] = STATE(345),
    [sym_preproc_call] = STATE(345),
    [sym_preproc_if_in_statements] = STATE(345),
    [sym_preproc_ifdef_in_statements] = STATE(345),
    [sym_preproc_else_in_statements] = STATE(7735),
    [sym_preproc_elif_in_statements] = STATE(7735),
    [sym_preproc_elifdef_in_statements] = STATE(7735),
    [sym_internal_procedures] = STATE(5938),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(345),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1748),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [340] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7735),
    [sym_preproc_elif_in_statements] = STATE(7735),
    [sym_preproc_elifdef_in_statements] = STATE(7735),
    [sym_internal_procedures] = STATE(5938),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [341] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7770),
    [sym_preproc_elif_in_specification_part] = STATE(7770),
    [sym_preproc_elifdef_in_specification_part] = STATE(7770),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5952),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [342] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7868),
    [sym_preproc_elif_in_specification_part] = STATE(7868),
    [sym_preproc_elifdef_in_specification_part] = STATE(7868),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5961),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [343] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7866),
    [sym_preproc_elif_in_statements] = STATE(7866),
    [sym_preproc_elifdef_in_statements] = STATE(7866),
    [sym_internal_procedures] = STATE(5877),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [344] = {
    [sym_preproc_include] = STATE(347),
    [sym_preproc_def] = STATE(347),
    [sym_preproc_function_def] = STATE(347),
    [sym_preproc_call] = STATE(347),
    [sym_preproc_if_in_statements] = STATE(347),
    [sym_preproc_ifdef_in_statements] = STATE(347),
    [sym_preproc_else_in_statements] = STATE(7866),
    [sym_preproc_elif_in_statements] = STATE(7866),
    [sym_preproc_elifdef_in_statements] = STATE(7866),
    [sym_internal_procedures] = STATE(5877),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(347),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1752),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1754),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [345] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7924),
    [sym_preproc_elif_in_statements] = STATE(7924),
    [sym_preproc_elifdef_in_statements] = STATE(7924),
    [sym_internal_procedures] = STATE(5878),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1756),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [346] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7772),
    [sym_preproc_elif_in_specification_part] = STATE(7772),
    [sym_preproc_elifdef_in_specification_part] = STATE(7772),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5813),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [347] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8161),
    [sym_preproc_elif_in_statements] = STATE(8161),
    [sym_preproc_elifdef_in_statements] = STATE(8161),
    [sym_internal_procedures] = STATE(5915),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [348] = {
    [sym_preproc_include] = STATE(363),
    [sym_preproc_def] = STATE(363),
    [sym_preproc_function_def] = STATE(363),
    [sym_preproc_call] = STATE(363),
    [sym_preproc_if_in_statements] = STATE(363),
    [sym_preproc_ifdef_in_statements] = STATE(363),
    [sym_preproc_else_in_statements] = STATE(8510),
    [sym_preproc_elif_in_statements] = STATE(8510),
    [sym_preproc_elifdef_in_statements] = STATE(8510),
    [sym_internal_procedures] = STATE(5886),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(363),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1764),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [349] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7986),
    [sym_preproc_elif_in_statements] = STATE(7986),
    [sym_preproc_elifdef_in_statements] = STATE(7986),
    [sym_internal_procedures] = STATE(5913),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [350] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8543),
    [sym_preproc_elif_in_specification_part] = STATE(8543),
    [sym_preproc_elifdef_in_specification_part] = STATE(8543),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5963),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [351] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8566),
    [sym_preproc_elif_in_specification_part] = STATE(8566),
    [sym_preproc_elifdef_in_specification_part] = STATE(8566),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5852),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [352] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(7898),
    [sym_preproc_elif_in_specification_part] = STATE(7898),
    [sym_preproc_elifdef_in_specification_part] = STATE(7898),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5890),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [353] = {
    [sym_preproc_include] = STATE(358),
    [sym_preproc_def] = STATE(358),
    [sym_preproc_function_def] = STATE(358),
    [sym_preproc_call] = STATE(358),
    [sym_preproc_if_in_statements] = STATE(358),
    [sym_preproc_ifdef_in_statements] = STATE(358),
    [sym_preproc_else_in_statements] = STATE(7948),
    [sym_preproc_elif_in_statements] = STATE(7948),
    [sym_preproc_elifdef_in_statements] = STATE(7948),
    [sym_internal_procedures] = STATE(5917),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(358),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1772),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [354] = {
    [sym_preproc_include] = STATE(360),
    [sym_preproc_def] = STATE(360),
    [sym_preproc_function_def] = STATE(360),
    [sym_preproc_call] = STATE(360),
    [sym_preproc_if_in_statements] = STATE(360),
    [sym_preproc_ifdef_in_statements] = STATE(360),
    [sym_preproc_else_in_statements] = STATE(7956),
    [sym_preproc_elif_in_statements] = STATE(7956),
    [sym_preproc_elifdef_in_statements] = STATE(7956),
    [sym_internal_procedures] = STATE(5922),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(360),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [355] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7956),
    [sym_preproc_elif_in_statements] = STATE(7956),
    [sym_preproc_elifdef_in_statements] = STATE(7956),
    [sym_internal_procedures] = STATE(5922),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [356] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8154),
    [sym_preproc_elif_in_specification_part] = STATE(8154),
    [sym_preproc_elifdef_in_specification_part] = STATE(8154),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5947),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [357] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8175),
    [sym_preproc_elif_in_specification_part] = STATE(8175),
    [sym_preproc_elifdef_in_specification_part] = STATE(8175),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5962),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [358] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7990),
    [sym_preproc_elif_in_statements] = STATE(7990),
    [sym_preproc_elifdef_in_statements] = STATE(7990),
    [sym_internal_procedures] = STATE(5974),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [359] = {
    [sym_preproc_include] = STATE(362),
    [sym_preproc_def] = STATE(362),
    [sym_preproc_function_def] = STATE(362),
    [sym_preproc_call] = STATE(362),
    [sym_preproc_if_in_statements] = STATE(362),
    [sym_preproc_ifdef_in_statements] = STATE(362),
    [sym_preproc_else_in_statements] = STATE(7990),
    [sym_preproc_elif_in_statements] = STATE(7990),
    [sym_preproc_elifdef_in_statements] = STATE(7990),
    [sym_internal_procedures] = STATE(5974),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(362),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1782),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [360] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7996),
    [sym_preproc_elif_in_statements] = STATE(7996),
    [sym_preproc_elifdef_in_statements] = STATE(7996),
    [sym_internal_procedures] = STATE(5989),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1784),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [361] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8277),
    [sym_preproc_elif_in_specification_part] = STATE(8277),
    [sym_preproc_elifdef_in_specification_part] = STATE(8277),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5992),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [362] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8086),
    [sym_preproc_elif_in_statements] = STATE(8086),
    [sym_preproc_elifdef_in_statements] = STATE(8086),
    [sym_internal_procedures] = STATE(5785),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [363] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8567),
    [sym_preproc_elif_in_statements] = STATE(8567),
    [sym_preproc_elifdef_in_statements] = STATE(8567),
    [sym_internal_procedures] = STATE(5789),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [364] = {
    [sym_preproc_include] = STATE(367),
    [sym_preproc_def] = STATE(367),
    [sym_preproc_function_def] = STATE(367),
    [sym_preproc_call] = STATE(367),
    [sym_preproc_if_in_statements] = STATE(367),
    [sym_preproc_ifdef_in_statements] = STATE(367),
    [sym_preproc_else_in_statements] = STATE(8485),
    [sym_preproc_elif_in_statements] = STATE(8485),
    [sym_preproc_elifdef_in_statements] = STATE(8485),
    [sym_internal_procedures] = STATE(5833),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(367),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1794),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [365] = {
    [sym_preproc_include] = STATE(369),
    [sym_preproc_def] = STATE(369),
    [sym_preproc_function_def] = STATE(369),
    [sym_preproc_call] = STATE(369),
    [sym_preproc_if_in_statements] = STATE(369),
    [sym_preproc_ifdef_in_statements] = STATE(369),
    [sym_preproc_else_in_statements] = STATE(8486),
    [sym_preproc_elif_in_statements] = STATE(8486),
    [sym_preproc_elifdef_in_statements] = STATE(8486),
    [sym_internal_procedures] = STATE(5836),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(369),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1798),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [366] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8486),
    [sym_preproc_elif_in_statements] = STATE(8486),
    [sym_preproc_elifdef_in_statements] = STATE(8486),
    [sym_internal_procedures] = STATE(5836),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1796),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [367] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8531),
    [sym_preproc_elif_in_statements] = STATE(8531),
    [sym_preproc_elifdef_in_statements] = STATE(8531),
    [sym_internal_procedures] = STATE(5847),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [368] = {
    [sym_preproc_include] = STATE(370),
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym_preproc_if_in_statements] = STATE(370),
    [sym_preproc_ifdef_in_statements] = STATE(370),
    [sym_preproc_else_in_statements] = STATE(8531),
    [sym_preproc_elif_in_statements] = STATE(8531),
    [sym_preproc_elifdef_in_statements] = STATE(8531),
    [sym_internal_procedures] = STATE(5847),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(370),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1800),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1802),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [369] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8535),
    [sym_preproc_elif_in_statements] = STATE(8535),
    [sym_preproc_elifdef_in_statements] = STATE(8535),
    [sym_internal_procedures] = STATE(5848),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1804),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [370] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8586),
    [sym_preproc_elif_in_statements] = STATE(8586),
    [sym_preproc_elifdef_in_statements] = STATE(8586),
    [sym_internal_procedures] = STATE(5850),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [371] = {
    [sym_preproc_include] = STATE(374),
    [sym_preproc_def] = STATE(374),
    [sym_preproc_function_def] = STATE(374),
    [sym_preproc_call] = STATE(374),
    [sym_preproc_if_in_statements] = STATE(374),
    [sym_preproc_ifdef_in_statements] = STATE(374),
    [sym_preproc_else_in_statements] = STATE(8110),
    [sym_preproc_elif_in_statements] = STATE(8110),
    [sym_preproc_elifdef_in_statements] = STATE(8110),
    [sym_internal_procedures] = STATE(5888),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(374),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1810),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [372] = {
    [sym_preproc_include] = STATE(376),
    [sym_preproc_def] = STATE(376),
    [sym_preproc_function_def] = STATE(376),
    [sym_preproc_call] = STATE(376),
    [sym_preproc_if_in_statements] = STATE(376),
    [sym_preproc_ifdef_in_statements] = STATE(376),
    [sym_preproc_else_in_statements] = STATE(8114),
    [sym_preproc_elif_in_statements] = STATE(8114),
    [sym_preproc_elifdef_in_statements] = STATE(8114),
    [sym_internal_procedures] = STATE(5892),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(376),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1814),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [373] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8114),
    [sym_preproc_elif_in_statements] = STATE(8114),
    [sym_preproc_elifdef_in_statements] = STATE(8114),
    [sym_internal_procedures] = STATE(5892),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [374] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8132),
    [sym_preproc_elif_in_statements] = STATE(8132),
    [sym_preproc_elifdef_in_statements] = STATE(8132),
    [sym_internal_procedures] = STATE(5897),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [375] = {
    [sym_preproc_include] = STATE(377),
    [sym_preproc_def] = STATE(377),
    [sym_preproc_function_def] = STATE(377),
    [sym_preproc_call] = STATE(377),
    [sym_preproc_if_in_statements] = STATE(377),
    [sym_preproc_ifdef_in_statements] = STATE(377),
    [sym_preproc_else_in_statements] = STATE(8132),
    [sym_preproc_elif_in_statements] = STATE(8132),
    [sym_preproc_elifdef_in_statements] = STATE(8132),
    [sym_internal_procedures] = STATE(5897),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(377),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1818),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [376] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8134),
    [sym_preproc_elif_in_statements] = STATE(8134),
    [sym_preproc_elifdef_in_statements] = STATE(8134),
    [sym_internal_procedures] = STATE(5898),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [377] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8150),
    [sym_preproc_elif_in_statements] = STATE(8150),
    [sym_preproc_elifdef_in_statements] = STATE(8150),
    [sym_internal_procedures] = STATE(5899),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1822),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [378] = {
    [sym_preproc_include] = STATE(381),
    [sym_preproc_def] = STATE(381),
    [sym_preproc_function_def] = STATE(381),
    [sym_preproc_call] = STATE(381),
    [sym_preproc_if_in_statements] = STATE(381),
    [sym_preproc_ifdef_in_statements] = STATE(381),
    [sym_preproc_else_in_statements] = STATE(8397),
    [sym_preproc_elif_in_statements] = STATE(8397),
    [sym_preproc_elifdef_in_statements] = STATE(8397),
    [sym_internal_procedures] = STATE(5934),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(381),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1826),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [379] = {
    [sym_preproc_include] = STATE(383),
    [sym_preproc_def] = STATE(383),
    [sym_preproc_function_def] = STATE(383),
    [sym_preproc_call] = STATE(383),
    [sym_preproc_if_in_statements] = STATE(383),
    [sym_preproc_ifdef_in_statements] = STATE(383),
    [sym_preproc_else_in_statements] = STATE(8431),
    [sym_preproc_elif_in_statements] = STATE(8431),
    [sym_preproc_elifdef_in_statements] = STATE(8431),
    [sym_internal_procedures] = STATE(5935),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(383),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1830),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [380] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8431),
    [sym_preproc_elif_in_statements] = STATE(8431),
    [sym_preproc_elifdef_in_statements] = STATE(8431),
    [sym_internal_procedures] = STATE(5935),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [381] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8655),
    [sym_preproc_elif_in_statements] = STATE(8655),
    [sym_preproc_elifdef_in_statements] = STATE(8655),
    [sym_internal_procedures] = STATE(5940),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [382] = {
    [sym_preproc_include] = STATE(384),
    [sym_preproc_def] = STATE(384),
    [sym_preproc_function_def] = STATE(384),
    [sym_preproc_call] = STATE(384),
    [sym_preproc_if_in_statements] = STATE(384),
    [sym_preproc_ifdef_in_statements] = STATE(384),
    [sym_preproc_else_in_statements] = STATE(8655),
    [sym_preproc_elif_in_statements] = STATE(8655),
    [sym_preproc_elifdef_in_statements] = STATE(8655),
    [sym_internal_procedures] = STATE(5940),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(384),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1834),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [383] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7712),
    [sym_preproc_elif_in_statements] = STATE(7712),
    [sym_preproc_elifdef_in_statements] = STATE(7712),
    [sym_internal_procedures] = STATE(5941),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [384] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7827),
    [sym_preproc_elif_in_statements] = STATE(7827),
    [sym_preproc_elifdef_in_statements] = STATE(7827),
    [sym_internal_procedures] = STATE(5942),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1838),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [385] = {
    [sym_preproc_include] = STATE(388),
    [sym_preproc_def] = STATE(388),
    [sym_preproc_function_def] = STATE(388),
    [sym_preproc_call] = STATE(388),
    [sym_preproc_if_in_statements] = STATE(388),
    [sym_preproc_ifdef_in_statements] = STATE(388),
    [sym_preproc_else_in_statements] = STATE(8305),
    [sym_preproc_elif_in_statements] = STATE(8305),
    [sym_preproc_elifdef_in_statements] = STATE(8305),
    [sym_internal_procedures] = STATE(5982),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(388),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1842),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [386] = {
    [sym_preproc_include] = STATE(390),
    [sym_preproc_def] = STATE(390),
    [sym_preproc_function_def] = STATE(390),
    [sym_preproc_call] = STATE(390),
    [sym_preproc_if_in_statements] = STATE(390),
    [sym_preproc_ifdef_in_statements] = STATE(390),
    [sym_preproc_else_in_statements] = STATE(8306),
    [sym_preproc_elif_in_statements] = STATE(8306),
    [sym_preproc_elifdef_in_statements] = STATE(8306),
    [sym_internal_procedures] = STATE(5985),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(390),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1846),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [387] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8306),
    [sym_preproc_elif_in_statements] = STATE(8306),
    [sym_preproc_elifdef_in_statements] = STATE(8306),
    [sym_internal_procedures] = STATE(5985),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [388] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8327),
    [sym_preproc_elif_in_statements] = STATE(8327),
    [sym_preproc_elifdef_in_statements] = STATE(8327),
    [sym_internal_procedures] = STATE(5993),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [389] = {
    [sym_preproc_include] = STATE(391),
    [sym_preproc_def] = STATE(391),
    [sym_preproc_function_def] = STATE(391),
    [sym_preproc_call] = STATE(391),
    [sym_preproc_if_in_statements] = STATE(391),
    [sym_preproc_ifdef_in_statements] = STATE(391),
    [sym_preproc_else_in_statements] = STATE(8327),
    [sym_preproc_elif_in_statements] = STATE(8327),
    [sym_preproc_elifdef_in_statements] = STATE(8327),
    [sym_internal_procedures] = STATE(5993),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(391),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1850),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [390] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8328),
    [sym_preproc_elif_in_statements] = STATE(8328),
    [sym_preproc_elifdef_in_statements] = STATE(8328),
    [sym_internal_procedures] = STATE(5839),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [391] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8339),
    [sym_preproc_elif_in_statements] = STATE(8339),
    [sym_preproc_elifdef_in_statements] = STATE(8339),
    [sym_internal_procedures] = STATE(5876),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [392] = {
    [sym_preproc_include] = STATE(395),
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_preproc_if_in_statements] = STATE(395),
    [sym_preproc_ifdef_in_statements] = STATE(395),
    [sym_preproc_else_in_statements] = STATE(8447),
    [sym_preproc_elif_in_statements] = STATE(8447),
    [sym_preproc_elifdef_in_statements] = STATE(8447),
    [sym_internal_procedures] = STATE(5809),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(395),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1858),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [393] = {
    [sym_preproc_include] = STATE(397),
    [sym_preproc_def] = STATE(397),
    [sym_preproc_function_def] = STATE(397),
    [sym_preproc_call] = STATE(397),
    [sym_preproc_if_in_statements] = STATE(397),
    [sym_preproc_ifdef_in_statements] = STATE(397),
    [sym_preproc_else_in_statements] = STATE(8449),
    [sym_preproc_elif_in_statements] = STATE(8449),
    [sym_preproc_elifdef_in_statements] = STATE(8449),
    [sym_internal_procedures] = STATE(5823),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(397),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1862),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [394] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8449),
    [sym_preproc_elif_in_statements] = STATE(8449),
    [sym_preproc_elifdef_in_statements] = STATE(8449),
    [sym_internal_procedures] = STATE(5823),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [395] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8465),
    [sym_preproc_elif_in_statements] = STATE(8465),
    [sym_preproc_elifdef_in_statements] = STATE(8465),
    [sym_internal_procedures] = STATE(5832),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [396] = {
    [sym_preproc_include] = STATE(398),
    [sym_preproc_def] = STATE(398),
    [sym_preproc_function_def] = STATE(398),
    [sym_preproc_call] = STATE(398),
    [sym_preproc_if_in_statements] = STATE(398),
    [sym_preproc_ifdef_in_statements] = STATE(398),
    [sym_preproc_else_in_statements] = STATE(8465),
    [sym_preproc_elif_in_statements] = STATE(8465),
    [sym_preproc_elifdef_in_statements] = STATE(8465),
    [sym_internal_procedures] = STATE(5832),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(398),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1866),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [397] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8466),
    [sym_preproc_elif_in_statements] = STATE(8466),
    [sym_preproc_elifdef_in_statements] = STATE(8466),
    [sym_internal_procedures] = STATE(5840),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [398] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8473),
    [sym_preproc_elif_in_statements] = STATE(8473),
    [sym_preproc_elifdef_in_statements] = STATE(8473),
    [sym_internal_procedures] = STATE(5849),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1870),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [399] = {
    [sym_preproc_include] = STATE(402),
    [sym_preproc_def] = STATE(402),
    [sym_preproc_function_def] = STATE(402),
    [sym_preproc_call] = STATE(402),
    [sym_preproc_if_in_statements] = STATE(402),
    [sym_preproc_ifdef_in_statements] = STATE(402),
    [sym_preproc_else_in_statements] = STATE(7882),
    [sym_preproc_elif_in_statements] = STATE(7882),
    [sym_preproc_elifdef_in_statements] = STATE(7882),
    [sym_internal_procedures] = STATE(5788),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(402),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1874),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [400] = {
    [sym_preproc_include] = STATE(404),
    [sym_preproc_def] = STATE(404),
    [sym_preproc_function_def] = STATE(404),
    [sym_preproc_call] = STATE(404),
    [sym_preproc_if_in_statements] = STATE(404),
    [sym_preproc_ifdef_in_statements] = STATE(404),
    [sym_preproc_else_in_statements] = STATE(7883),
    [sym_preproc_elif_in_statements] = STATE(7883),
    [sym_preproc_elifdef_in_statements] = STATE(7883),
    [sym_internal_procedures] = STATE(5805),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(404),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1878),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [401] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7883),
    [sym_preproc_elif_in_statements] = STATE(7883),
    [sym_preproc_elifdef_in_statements] = STATE(7883),
    [sym_internal_procedures] = STATE(5805),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1876),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [402] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7911),
    [sym_preproc_elif_in_statements] = STATE(7911),
    [sym_preproc_elifdef_in_statements] = STATE(7911),
    [sym_internal_procedures] = STATE(5812),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [403] = {
    [sym_preproc_include] = STATE(405),
    [sym_preproc_def] = STATE(405),
    [sym_preproc_function_def] = STATE(405),
    [sym_preproc_call] = STATE(405),
    [sym_preproc_if_in_statements] = STATE(405),
    [sym_preproc_ifdef_in_statements] = STATE(405),
    [sym_preproc_else_in_statements] = STATE(7911),
    [sym_preproc_elif_in_statements] = STATE(7911),
    [sym_preproc_elifdef_in_statements] = STATE(7911),
    [sym_internal_procedures] = STATE(5812),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(405),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1880),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1882),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [404] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7914),
    [sym_preproc_elif_in_statements] = STATE(7914),
    [sym_preproc_elifdef_in_statements] = STATE(7914),
    [sym_internal_procedures] = STATE(5815),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1884),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [405] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7943),
    [sym_preproc_elif_in_statements] = STATE(7943),
    [sym_preproc_elifdef_in_statements] = STATE(7943),
    [sym_internal_procedures] = STATE(5816),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [406] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_internal_procedures] = STATE(5904),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [407] = {
    [sym_preproc_include] = STATE(410),
    [sym_preproc_def] = STATE(410),
    [sym_preproc_function_def] = STATE(410),
    [sym_preproc_call] = STATE(410),
    [sym_preproc_if_in_statements] = STATE(410),
    [sym_preproc_ifdef_in_statements] = STATE(410),
    [sym_preproc_else_in_statements] = STATE(8560),
    [sym_preproc_elif_in_statements] = STATE(8560),
    [sym_preproc_elifdef_in_statements] = STATE(8560),
    [sym_internal_procedures] = STATE(5846),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1890),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1892),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [408] = {
    [sym_preproc_include] = STATE(412),
    [sym_preproc_def] = STATE(412),
    [sym_preproc_function_def] = STATE(412),
    [sym_preproc_call] = STATE(412),
    [sym_preproc_if_in_statements] = STATE(412),
    [sym_preproc_ifdef_in_statements] = STATE(412),
    [sym_preproc_else_in_statements] = STATE(8561),
    [sym_preproc_elif_in_statements] = STATE(8561),
    [sym_preproc_elifdef_in_statements] = STATE(8561),
    [sym_internal_procedures] = STATE(5851),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(412),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1896),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [409] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8561),
    [sym_preproc_elif_in_statements] = STATE(8561),
    [sym_preproc_elifdef_in_statements] = STATE(8561),
    [sym_internal_procedures] = STATE(5851),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [410] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8583),
    [sym_preproc_elif_in_statements] = STATE(8583),
    [sym_preproc_elifdef_in_statements] = STATE(8583),
    [sym_internal_procedures] = STATE(5855),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [411] = {
    [sym_preproc_include] = STATE(413),
    [sym_preproc_def] = STATE(413),
    [sym_preproc_function_def] = STATE(413),
    [sym_preproc_call] = STATE(413),
    [sym_preproc_if_in_statements] = STATE(413),
    [sym_preproc_ifdef_in_statements] = STATE(413),
    [sym_preproc_else_in_statements] = STATE(8583),
    [sym_preproc_elif_in_statements] = STATE(8583),
    [sym_preproc_elifdef_in_statements] = STATE(8583),
    [sym_internal_procedures] = STATE(5855),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(413),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1900),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [412] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8584),
    [sym_preproc_elif_in_statements] = STATE(8584),
    [sym_preproc_elifdef_in_statements] = STATE(8584),
    [sym_internal_procedures] = STATE(5859),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [413] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8591),
    [sym_preproc_elif_in_statements] = STATE(8591),
    [sym_preproc_elifdef_in_statements] = STATE(8591),
    [sym_internal_procedures] = STATE(5860),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1904),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [414] = {
    [sym_preproc_include] = STATE(327),
    [sym_preproc_def] = STATE(327),
    [sym_preproc_function_def] = STATE(327),
    [sym_preproc_call] = STATE(327),
    [sym_preproc_if_in_statements] = STATE(327),
    [sym_preproc_ifdef_in_statements] = STATE(327),
    [sym_preproc_else_in_statements] = STATE(7816),
    [sym_preproc_elif_in_statements] = STATE(7816),
    [sym_preproc_elifdef_in_statements] = STATE(7816),
    [sym_internal_procedures] = STATE(5904),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(327),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1888),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1906),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [415] = {
    [sym_preproc_include] = STATE(418),
    [sym_preproc_def] = STATE(418),
    [sym_preproc_function_def] = STATE(418),
    [sym_preproc_call] = STATE(418),
    [sym_preproc_if_in_statements] = STATE(418),
    [sym_preproc_ifdef_in_statements] = STATE(418),
    [sym_preproc_else_in_statements] = STATE(8665),
    [sym_preproc_elif_in_statements] = STATE(8665),
    [sym_preproc_elifdef_in_statements] = STATE(8665),
    [sym_internal_procedures] = STATE(5894),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(418),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1908),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1910),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [416] = {
    [sym_preproc_include] = STATE(420),
    [sym_preproc_def] = STATE(420),
    [sym_preproc_function_def] = STATE(420),
    [sym_preproc_call] = STATE(420),
    [sym_preproc_if_in_statements] = STATE(420),
    [sym_preproc_ifdef_in_statements] = STATE(420),
    [sym_preproc_else_in_statements] = STATE(8666),
    [sym_preproc_elif_in_statements] = STATE(8666),
    [sym_preproc_elifdef_in_statements] = STATE(8666),
    [sym_internal_procedures] = STATE(5901),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(420),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1914),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [417] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(8666),
    [sym_preproc_elif_in_statements] = STATE(8666),
    [sym_preproc_elifdef_in_statements] = STATE(8666),
    [sym_internal_procedures] = STATE(5901),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [418] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7708),
    [sym_preproc_elif_in_statements] = STATE(7708),
    [sym_preproc_elifdef_in_statements] = STATE(7708),
    [sym_internal_procedures] = STATE(5903),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [419] = {
    [sym_preproc_include] = STATE(421),
    [sym_preproc_def] = STATE(421),
    [sym_preproc_function_def] = STATE(421),
    [sym_preproc_call] = STATE(421),
    [sym_preproc_if_in_statements] = STATE(421),
    [sym_preproc_ifdef_in_statements] = STATE(421),
    [sym_preproc_else_in_statements] = STATE(7708),
    [sym_preproc_elif_in_statements] = STATE(7708),
    [sym_preproc_elifdef_in_statements] = STATE(7708),
    [sym_internal_procedures] = STATE(5903),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(421),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1918),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [420] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7709),
    [sym_preproc_elif_in_statements] = STATE(7709),
    [sym_preproc_elifdef_in_statements] = STATE(7709),
    [sym_internal_procedures] = STATE(5905),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1920),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [421] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7715),
    [sym_preproc_elif_in_statements] = STATE(7715),
    [sym_preproc_elifdef_in_statements] = STATE(7715),
    [sym_internal_procedures] = STATE(5906),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [422] = {
    [sym_preproc_include] = STATE(425),
    [sym_preproc_def] = STATE(425),
    [sym_preproc_function_def] = STATE(425),
    [sym_preproc_call] = STATE(425),
    [sym_preproc_if_in_statements] = STATE(425),
    [sym_preproc_ifdef_in_statements] = STATE(425),
    [sym_preproc_else_in_statements] = STATE(7776),
    [sym_preproc_elif_in_statements] = STATE(7776),
    [sym_preproc_elifdef_in_statements] = STATE(7776),
    [sym_internal_procedures] = STATE(5928),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(425),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1926),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [423] = {
    [sym_preproc_include] = STATE(427),
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym_preproc_if_in_statements] = STATE(427),
    [sym_preproc_ifdef_in_statements] = STATE(427),
    [sym_preproc_else_in_statements] = STATE(7777),
    [sym_preproc_elif_in_statements] = STATE(7777),
    [sym_preproc_elifdef_in_statements] = STATE(7777),
    [sym_internal_procedures] = STATE(5930),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(427),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1930),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [424] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7777),
    [sym_preproc_elif_in_statements] = STATE(7777),
    [sym_preproc_elifdef_in_statements] = STATE(7777),
    [sym_internal_procedures] = STATE(5930),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [425] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7782),
    [sym_preproc_elif_in_statements] = STATE(7782),
    [sym_preproc_elifdef_in_statements] = STATE(7782),
    [sym_internal_procedures] = STATE(5932),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [426] = {
    [sym_preproc_include] = STATE(428),
    [sym_preproc_def] = STATE(428),
    [sym_preproc_function_def] = STATE(428),
    [sym_preproc_call] = STATE(428),
    [sym_preproc_if_in_statements] = STATE(428),
    [sym_preproc_ifdef_in_statements] = STATE(428),
    [sym_preproc_else_in_statements] = STATE(7782),
    [sym_preproc_elif_in_statements] = STATE(7782),
    [sym_preproc_elifdef_in_statements] = STATE(7782),
    [sym_internal_procedures] = STATE(5932),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(428),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1934),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [427] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7783),
    [sym_preproc_elif_in_statements] = STATE(7783),
    [sym_preproc_elifdef_in_statements] = STATE(7783),
    [sym_internal_procedures] = STATE(5937),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [428] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7789),
    [sym_preproc_elif_in_statements] = STATE(7789),
    [sym_preproc_elifdef_in_statements] = STATE(7789),
    [sym_internal_procedures] = STATE(5945),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [429] = {
    [sym_preproc_include] = STATE(432),
    [sym_preproc_def] = STATE(432),
    [sym_preproc_function_def] = STATE(432),
    [sym_preproc_call] = STATE(432),
    [sym_preproc_if_in_statements] = STATE(432),
    [sym_preproc_ifdef_in_statements] = STATE(432),
    [sym_preproc_else_in_statements] = STATE(7808),
    [sym_preproc_elif_in_statements] = STATE(7808),
    [sym_preproc_elifdef_in_statements] = STATE(7808),
    [sym_internal_procedures] = STATE(5949),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(432),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1940),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1942),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [430] = {
    [sym_preproc_include] = STATE(434),
    [sym_preproc_def] = STATE(434),
    [sym_preproc_function_def] = STATE(434),
    [sym_preproc_call] = STATE(434),
    [sym_preproc_if_in_statements] = STATE(434),
    [sym_preproc_ifdef_in_statements] = STATE(434),
    [sym_preproc_else_in_statements] = STATE(7809),
    [sym_preproc_elif_in_statements] = STATE(7809),
    [sym_preproc_elifdef_in_statements] = STATE(7809),
    [sym_internal_procedures] = STATE(5951),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(434),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1946),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [431] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7809),
    [sym_preproc_elif_in_statements] = STATE(7809),
    [sym_preproc_elifdef_in_statements] = STATE(7809),
    [sym_internal_procedures] = STATE(5951),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [432] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7814),
    [sym_preproc_elif_in_statements] = STATE(7814),
    [sym_preproc_elifdef_in_statements] = STATE(7814),
    [sym_internal_procedures] = STATE(5954),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [433] = {
    [sym_preproc_include] = STATE(301),
    [sym_preproc_def] = STATE(301),
    [sym_preproc_function_def] = STATE(301),
    [sym_preproc_call] = STATE(301),
    [sym_preproc_if_in_statements] = STATE(301),
    [sym_preproc_ifdef_in_statements] = STATE(301),
    [sym_preproc_else_in_statements] = STATE(7814),
    [sym_preproc_elif_in_statements] = STATE(7814),
    [sym_preproc_elifdef_in_statements] = STATE(7814),
    [sym_internal_procedures] = STATE(5954),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(301),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1948),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1950),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [434] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7815),
    [sym_preproc_elif_in_statements] = STATE(7815),
    [sym_preproc_elifdef_in_statements] = STATE(7815),
    [sym_internal_procedures] = STATE(5955),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [435] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8418),
    [sym_preproc_elif_in_specification_part] = STATE(8418),
    [sym_preproc_elifdef_in_specification_part] = STATE(8418),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5966),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [436] = {
    [sym_preproc_include] = STATE(439),
    [sym_preproc_def] = STATE(439),
    [sym_preproc_function_def] = STATE(439),
    [sym_preproc_call] = STATE(439),
    [sym_preproc_if_in_statements] = STATE(439),
    [sym_preproc_ifdef_in_statements] = STATE(439),
    [sym_preproc_else_in_statements] = STATE(7840),
    [sym_preproc_elif_in_statements] = STATE(7840),
    [sym_preproc_elifdef_in_statements] = STATE(7840),
    [sym_internal_procedures] = STATE(5964),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(439),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1956),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [437] = {
    [sym_preproc_include] = STATE(441),
    [sym_preproc_def] = STATE(441),
    [sym_preproc_function_def] = STATE(441),
    [sym_preproc_call] = STATE(441),
    [sym_preproc_if_in_statements] = STATE(441),
    [sym_preproc_ifdef_in_statements] = STATE(441),
    [sym_preproc_else_in_statements] = STATE(7841),
    [sym_preproc_elif_in_statements] = STATE(7841),
    [sym_preproc_elifdef_in_statements] = STATE(7841),
    [sym_internal_procedures] = STATE(5965),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(441),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1960),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [438] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7841),
    [sym_preproc_elif_in_statements] = STATE(7841),
    [sym_preproc_elifdef_in_statements] = STATE(7841),
    [sym_internal_procedures] = STATE(5965),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [439] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7846),
    [sym_preproc_elif_in_statements] = STATE(7846),
    [sym_preproc_elifdef_in_statements] = STATE(7846),
    [sym_internal_procedures] = STATE(5967),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [440] = {
    [sym_preproc_include] = STATE(442),
    [sym_preproc_def] = STATE(442),
    [sym_preproc_function_def] = STATE(442),
    [sym_preproc_call] = STATE(442),
    [sym_preproc_if_in_statements] = STATE(442),
    [sym_preproc_ifdef_in_statements] = STATE(442),
    [sym_preproc_else_in_statements] = STATE(7846),
    [sym_preproc_elif_in_statements] = STATE(7846),
    [sym_preproc_elifdef_in_statements] = STATE(7846),
    [sym_internal_procedures] = STATE(5967),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(442),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1964),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [441] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7847),
    [sym_preproc_elif_in_statements] = STATE(7847),
    [sym_preproc_elifdef_in_statements] = STATE(7847),
    [sym_internal_procedures] = STATE(5968),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [442] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7853),
    [sym_preproc_elif_in_statements] = STATE(7853),
    [sym_preproc_elifdef_in_statements] = STATE(7853),
    [sym_internal_procedures] = STATE(5969),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [443] = {
    [sym_preproc_include] = STATE(446),
    [sym_preproc_def] = STATE(446),
    [sym_preproc_function_def] = STATE(446),
    [sym_preproc_call] = STATE(446),
    [sym_preproc_if_in_statements] = STATE(446),
    [sym_preproc_ifdef_in_statements] = STATE(446),
    [sym_preproc_else_in_statements] = STATE(7872),
    [sym_preproc_elif_in_statements] = STATE(7872),
    [sym_preproc_elifdef_in_statements] = STATE(7872),
    [sym_internal_procedures] = STATE(5977),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(446),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1972),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [444] = {
    [sym_preproc_include] = STATE(448),
    [sym_preproc_def] = STATE(448),
    [sym_preproc_function_def] = STATE(448),
    [sym_preproc_call] = STATE(448),
    [sym_preproc_if_in_statements] = STATE(448),
    [sym_preproc_ifdef_in_statements] = STATE(448),
    [sym_preproc_else_in_statements] = STATE(7873),
    [sym_preproc_elif_in_statements] = STATE(7873),
    [sym_preproc_elifdef_in_statements] = STATE(7873),
    [sym_internal_procedures] = STATE(5978),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(448),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1976),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [445] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7873),
    [sym_preproc_elif_in_statements] = STATE(7873),
    [sym_preproc_elifdef_in_statements] = STATE(7873),
    [sym_internal_procedures] = STATE(5978),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [446] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7878),
    [sym_preproc_elif_in_statements] = STATE(7878),
    [sym_preproc_elifdef_in_statements] = STATE(7878),
    [sym_internal_procedures] = STATE(5983),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [447] = {
    [sym_preproc_include] = STATE(449),
    [sym_preproc_def] = STATE(449),
    [sym_preproc_function_def] = STATE(449),
    [sym_preproc_call] = STATE(449),
    [sym_preproc_if_in_statements] = STATE(449),
    [sym_preproc_ifdef_in_statements] = STATE(449),
    [sym_preproc_else_in_statements] = STATE(7878),
    [sym_preproc_elif_in_statements] = STATE(7878),
    [sym_preproc_elifdef_in_statements] = STATE(7878),
    [sym_internal_procedures] = STATE(5983),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(449),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1980),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [448] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7879),
    [sym_preproc_elif_in_statements] = STATE(7879),
    [sym_preproc_elifdef_in_statements] = STATE(7879),
    [sym_internal_procedures] = STATE(5986),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [449] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7885),
    [sym_preproc_elif_in_statements] = STATE(7885),
    [sym_preproc_elifdef_in_statements] = STATE(7885),
    [sym_internal_procedures] = STATE(5988),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [450] = {
    [sym_preproc_include] = STATE(453),
    [sym_preproc_def] = STATE(453),
    [sym_preproc_function_def] = STATE(453),
    [sym_preproc_call] = STATE(453),
    [sym_preproc_if_in_statements] = STATE(453),
    [sym_preproc_ifdef_in_statements] = STATE(453),
    [sym_preproc_else_in_statements] = STATE(7901),
    [sym_preproc_elif_in_statements] = STATE(7901),
    [sym_preproc_elifdef_in_statements] = STATE(7901),
    [sym_internal_procedures] = STATE(5787),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(453),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1988),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [451] = {
    [sym_preproc_include] = STATE(455),
    [sym_preproc_def] = STATE(455),
    [sym_preproc_function_def] = STATE(455),
    [sym_preproc_call] = STATE(455),
    [sym_preproc_if_in_statements] = STATE(455),
    [sym_preproc_ifdef_in_statements] = STATE(455),
    [sym_preproc_else_in_statements] = STATE(7902),
    [sym_preproc_elif_in_statements] = STATE(7902),
    [sym_preproc_elifdef_in_statements] = STATE(7902),
    [sym_internal_procedures] = STATE(5790),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(455),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1992),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [452] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7902),
    [sym_preproc_elif_in_statements] = STATE(7902),
    [sym_preproc_elifdef_in_statements] = STATE(7902),
    [sym_internal_procedures] = STATE(5790),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [453] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7903),
    [sym_preproc_elif_in_statements] = STATE(7903),
    [sym_preproc_elifdef_in_statements] = STATE(7903),
    [sym_internal_procedures] = STATE(5791),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [454] = {
    [sym_preproc_include] = STATE(456),
    [sym_preproc_def] = STATE(456),
    [sym_preproc_function_def] = STATE(456),
    [sym_preproc_call] = STATE(456),
    [sym_preproc_if_in_statements] = STATE(456),
    [sym_preproc_ifdef_in_statements] = STATE(456),
    [sym_preproc_else_in_statements] = STATE(7903),
    [sym_preproc_elif_in_statements] = STATE(7903),
    [sym_preproc_elifdef_in_statements] = STATE(7903),
    [sym_internal_procedures] = STATE(5791),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(456),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1996),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [455] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7904),
    [sym_preproc_elif_in_statements] = STATE(7904),
    [sym_preproc_elifdef_in_statements] = STATE(7904),
    [sym_internal_procedures] = STATE(5793),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(1998),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [456] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7905),
    [sym_preproc_elif_in_statements] = STATE(7905),
    [sym_preproc_elifdef_in_statements] = STATE(7905),
    [sym_internal_procedures] = STATE(5794),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [457] = {
    [sym_preproc_include] = STATE(460),
    [sym_preproc_def] = STATE(460),
    [sym_preproc_function_def] = STATE(460),
    [sym_preproc_call] = STATE(460),
    [sym_preproc_if_in_statements] = STATE(460),
    [sym_preproc_ifdef_in_statements] = STATE(460),
    [sym_preproc_else_in_statements] = STATE(7917),
    [sym_preproc_elif_in_statements] = STATE(7917),
    [sym_preproc_elifdef_in_statements] = STATE(7917),
    [sym_internal_procedures] = STATE(5796),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(460),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2004),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [458] = {
    [sym_preproc_include] = STATE(462),
    [sym_preproc_def] = STATE(462),
    [sym_preproc_function_def] = STATE(462),
    [sym_preproc_call] = STATE(462),
    [sym_preproc_if_in_statements] = STATE(462),
    [sym_preproc_ifdef_in_statements] = STATE(462),
    [sym_preproc_else_in_statements] = STATE(7918),
    [sym_preproc_elif_in_statements] = STATE(7918),
    [sym_preproc_elifdef_in_statements] = STATE(7918),
    [sym_internal_procedures] = STATE(5797),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(462),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2008),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [459] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7918),
    [sym_preproc_elif_in_statements] = STATE(7918),
    [sym_preproc_elifdef_in_statements] = STATE(7918),
    [sym_internal_procedures] = STATE(5797),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [460] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7919),
    [sym_preproc_elif_in_statements] = STATE(7919),
    [sym_preproc_elifdef_in_statements] = STATE(7919),
    [sym_internal_procedures] = STATE(5799),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [461] = {
    [sym_preproc_include] = STATE(463),
    [sym_preproc_def] = STATE(463),
    [sym_preproc_function_def] = STATE(463),
    [sym_preproc_call] = STATE(463),
    [sym_preproc_if_in_statements] = STATE(463),
    [sym_preproc_ifdef_in_statements] = STATE(463),
    [sym_preproc_else_in_statements] = STATE(7919),
    [sym_preproc_elif_in_statements] = STATE(7919),
    [sym_preproc_elifdef_in_statements] = STATE(7919),
    [sym_internal_procedures] = STATE(5799),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(463),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2010),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2012),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [462] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7920),
    [sym_preproc_elif_in_statements] = STATE(7920),
    [sym_preproc_elifdef_in_statements] = STATE(7920),
    [sym_internal_procedures] = STATE(5801),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2014),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [463] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7921),
    [sym_preproc_elif_in_statements] = STATE(7921),
    [sym_preproc_elifdef_in_statements] = STATE(7921),
    [sym_internal_procedures] = STATE(5802),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2016),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [464] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_else_in_specification_part] = STATE(8654),
    [sym_preproc_elif_in_specification_part] = STATE(8654),
    [sym_preproc_elifdef_in_specification_part] = STATE(8654),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_internal_procedures] = STATE(5981),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(882),
    [aux_sym_preproc_elif_token1] = ACTIONS(884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(886),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [465] = {
    [sym_preproc_include] = STATE(468),
    [sym_preproc_def] = STATE(468),
    [sym_preproc_function_def] = STATE(468),
    [sym_preproc_call] = STATE(468),
    [sym_preproc_if_in_statements] = STATE(468),
    [sym_preproc_ifdef_in_statements] = STATE(468),
    [sym_preproc_else_in_statements] = STATE(7933),
    [sym_preproc_elif_in_statements] = STATE(7933),
    [sym_preproc_elifdef_in_statements] = STATE(7933),
    [sym_internal_procedures] = STATE(5806),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(468),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2018),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2020),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [466] = {
    [sym_preproc_include] = STATE(470),
    [sym_preproc_def] = STATE(470),
    [sym_preproc_function_def] = STATE(470),
    [sym_preproc_call] = STATE(470),
    [sym_preproc_if_in_statements] = STATE(470),
    [sym_preproc_ifdef_in_statements] = STATE(470),
    [sym_preproc_else_in_statements] = STATE(7934),
    [sym_preproc_elif_in_statements] = STATE(7934),
    [sym_preproc_elifdef_in_statements] = STATE(7934),
    [sym_internal_procedures] = STATE(5807),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(470),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2024),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [467] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7934),
    [sym_preproc_elif_in_statements] = STATE(7934),
    [sym_preproc_elifdef_in_statements] = STATE(7934),
    [sym_internal_procedures] = STATE(5807),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2022),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [468] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7935),
    [sym_preproc_elif_in_statements] = STATE(7935),
    [sym_preproc_elifdef_in_statements] = STATE(7935),
    [sym_internal_procedures] = STATE(5808),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [469] = {
    [sym_preproc_include] = STATE(302),
    [sym_preproc_def] = STATE(302),
    [sym_preproc_function_def] = STATE(302),
    [sym_preproc_call] = STATE(302),
    [sym_preproc_if_in_statements] = STATE(302),
    [sym_preproc_ifdef_in_statements] = STATE(302),
    [sym_preproc_else_in_statements] = STATE(7935),
    [sym_preproc_elif_in_statements] = STATE(7935),
    [sym_preproc_elifdef_in_statements] = STATE(7935),
    [sym_internal_procedures] = STATE(5808),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(302),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2028),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [470] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7936),
    [sym_preproc_elif_in_statements] = STATE(7936),
    [sym_preproc_elifdef_in_statements] = STATE(7936),
    [sym_internal_procedures] = STATE(5810),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2030),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [471] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym_preproc_else_in_statements] = STATE(7764),
    [sym_preproc_elif_in_statements] = STATE(7764),
    [sym_preproc_elifdef_in_statements] = STATE(7764),
    [sym_internal_procedures] = STATE(5914),
    [sym_contains_statement] = STATE(7152),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1412),
    [aux_sym_preproc_if_token1] = ACTIONS(752),
    [aux_sym_preproc_if_token2] = ACTIONS(2032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(754),
    [aux_sym_preproc_else_token1] = ACTIONS(1566),
    [aux_sym_preproc_elif_token1] = ACTIONS(1568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1570),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [472] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(887),
    [sym_internal_procedures] = STATE(6952),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1026),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [473] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(976),
    [sym_internal_procedures] = STATE(6924),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [474] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(885),
    [sym_internal_procedures] = STATE(6931),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [475] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5138),
    [sym_internal_procedures] = STATE(7206),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1132),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [476] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(890),
    [sym_internal_procedures] = STATE(7016),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1140),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [477] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5118),
    [sym_internal_procedures] = STATE(6466),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [478] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(892),
    [sym_internal_procedures] = STATE(7020),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1026),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [479] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(981),
    [sym_internal_procedures] = STATE(6938),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1034),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1036),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [480] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5159),
    [sym_internal_procedures] = STATE(6476),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [481] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(1001),
    [sym_internal_procedures] = STATE(6495),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1106),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [482] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(1003),
    [sym_internal_procedures] = STATE(6500),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1114),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [483] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(1013),
    [sym_internal_procedures] = STATE(6503),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1106),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [484] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(1016),
    [sym_internal_procedures] = STATE(6505),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1114),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [485] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4569),
    [sym_internal_procedures] = STATE(6561),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [486] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4503),
    [sym_internal_procedures] = STATE(6567),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1146),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [487] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4993),
    [sym_internal_procedures] = STATE(6577),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1156),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1158),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [488] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4995),
    [sym_internal_procedures] = STATE(6579),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1162),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1164),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [489] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5016),
    [sym_internal_procedures] = STATE(6581),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1156),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1158),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [490] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5021),
    [sym_internal_procedures] = STATE(6583),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1162),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1164),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [491] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5151),
    [sym_internal_procedures] = STATE(6624),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1182),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [492] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5199),
    [sym_internal_procedures] = STATE(6629),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1182),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [493] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5135),
    [sym_internal_procedures] = STATE(6642),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1186),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [494] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5137),
    [sym_internal_procedures] = STATE(6645),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1194),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [495] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5141),
    [sym_internal_procedures] = STATE(6648),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1186),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1188),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [496] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5144),
    [sym_internal_procedures] = STATE(6650),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1192),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1194),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [497] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5063),
    [sym_internal_procedures] = STATE(6689),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1202),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [498] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5076),
    [sym_internal_procedures] = STATE(6693),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1202),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1204),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [499] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4756),
    [sym_internal_procedures] = STATE(6703),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1210),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [500] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4758),
    [sym_internal_procedures] = STATE(6706),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1218),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [501] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4762),
    [sym_internal_procedures] = STATE(6708),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1210),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1212),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [502] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4765),
    [sym_internal_procedures] = STATE(6710),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1216),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1218),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [503] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5075),
    [sym_internal_procedures] = STATE(6863),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1052),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [504] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4904),
    [sym_internal_procedures] = STATE(6752),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1226),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [505] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4911),
    [sym_internal_procedures] = STATE(6756),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1226),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1228),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [506] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4548),
    [sym_internal_procedures] = STATE(6766),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1234),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [507] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4559),
    [sym_internal_procedures] = STATE(6769),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1242),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [508] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(1045),
    [sym_internal_procedures] = STATE(6636),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1034),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1036),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [509] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4500),
    [sym_internal_procedures] = STATE(6773),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1240),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1242),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [510] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5229),
    [sym_internal_procedures] = STATE(6811),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1250),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [511] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5046),
    [sym_internal_procedures] = STATE(6814),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1250),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1252),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [512] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5065),
    [sym_internal_procedures] = STATE(6824),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1258),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [513] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5079),
    [sym_internal_procedures] = STATE(6828),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1266),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [514] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5166),
    [sym_internal_procedures] = STATE(6830),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1258),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [515] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5191),
    [sym_internal_procedures] = STATE(6832),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1264),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1266),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [516] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5161),
    [sym_internal_procedures] = STATE(6873),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1274),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [517] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5169),
    [sym_internal_procedures] = STATE(6878),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1282),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [518] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5174),
    [sym_internal_procedures] = STATE(6881),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1274),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [519] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5182),
    [sym_internal_procedures] = STATE(6883),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1282),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [520] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4791),
    [sym_internal_procedures] = STATE(6923),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1290),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [521] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4793),
    [sym_internal_procedures] = STATE(6926),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1298),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [522] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4797),
    [sym_internal_procedures] = STATE(6928),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1290),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [523] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4800),
    [sym_internal_procedures] = STATE(6930),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1298),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [524] = {
    [sym_preproc_include] = STATE(524),
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_if_in_statements] = STATE(524),
    [sym_preproc_ifdef_in_statements] = STATE(524),
    [sym__statements] = STATE(6806),
    [sym_statement_label] = STATE(796),
    [sym_stop_statement] = STATE(6806),
    [sym_assignment_statement] = STATE(6806),
    [sym_pointer_association_statement] = STATE(6806),
    [sym_subroutine_call] = STATE(6806),
    [sym_keyword_statement] = STATE(6806),
    [sym_include_statement] = STATE(6806),
    [sym_do_loop_statement] = STATE(6806),
    [sym_do_label_statement] = STATE(6806),
    [sym_end_do_label_statement] = STATE(6806),
    [sym_if_statement] = STATE(6806),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6806),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6806),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6806),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6806),
    [sym_select_type_statement] = STATE(6806),
    [sym_select_rank_statement] = STATE(6806),
    [sym_block_construct] = STATE(6806),
    [sym_associate_statement] = STATE(6806),
    [sym_format_statement] = STATE(6806),
    [sym_read_statement] = STATE(6806),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6806),
    [sym_open_statement] = STATE(6806),
    [sym_close_statement] = STATE(6806),
    [sym_write_statement] = STATE(6806),
    [sym_inquire_statement] = STATE(6806),
    [sym_file_position_statement] = STATE(6806),
    [sym_allocate_statement] = STATE(6806),
    [sym_entry_statement] = STATE(6806),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6806),
    [sym_coarray_team_statement] = STATE(6806),
    [sym_coarray_critical_statement] = STATE(6806),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(524),
    [aux_sym_preproc_include_token1] = ACTIONS(2070),
    [aux_sym_preproc_def_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token1] = ACTIONS(2076),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2081),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2084),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2111),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [525] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4577),
    [sym_internal_procedures] = STATE(7052),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [526] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5071),
    [sym_internal_procedures] = STATE(6971),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1306),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [527] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5084),
    [sym_internal_procedures] = STATE(6973),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1314),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [528] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5192),
    [sym_internal_procedures] = STATE(6975),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1306),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [529] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(5196),
    [sym_internal_procedures] = STATE(6977),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1314),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [530] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4579),
    [sym_internal_procedures] = STATE(7063),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1102),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [531] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4583),
    [sym_internal_procedures] = STATE(7218),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [532] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4586),
    [sym_internal_procedures] = STATE(7241),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1102),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [533] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4962),
    [sym_internal_procedures] = STATE(7108),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1070),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [534] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(4986),
    [sym_internal_procedures] = STATE(7132),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1070),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [535] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(1042),
    [sym_internal_procedures] = STATE(6611),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [536] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym_end_module_procedure_statement] = STATE(5107),
    [sym_internal_procedures] = STATE(7079),
    [sym_contains_statement] = STATE(6776),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2058),
    [aux_sym_preproc_def_token1] = ACTIONS(2060),
    [aux_sym_preproc_if_token1] = ACTIONS(2062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2064),
    [sym_preproc_directive] = ACTIONS(2066),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1052),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(1054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2068),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [537] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5052),
    [sym_internal_procedures] = STATE(7193),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1126),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [538] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym_end_function_statement] = STATE(4970),
    [sym_internal_procedures] = STATE(7200),
    [sym_contains_statement] = STATE(6653),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(2034),
    [aux_sym_preproc_def_token1] = ACTIONS(2036),
    [aux_sym_preproc_if_token1] = ACTIONS(2038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2040),
    [sym_preproc_directive] = ACTIONS(2042),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_end_function_statement_token1] = ACTIONS(1132),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2044),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [539] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(5126),
    [sym_internal_procedures] = STATE(7204),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1126),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [540] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym_end_subroutine_statement] = STATE(4588),
    [sym_internal_procedures] = STATE(6771),
    [sym_contains_statement] = STATE(6585),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(2046),
    [aux_sym_preproc_def_token1] = ACTIONS(2048),
    [aux_sym_preproc_if_token1] = ACTIONS(2050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2052),
    [sym_preproc_directive] = ACTIONS(2054),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1234),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(1236),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2056),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [541] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2246),
    [aux_sym_preproc_def_token1] = ACTIONS(2249),
    [aux_sym_preproc_if_token1] = ACTIONS(2252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2255),
    [sym_preproc_directive] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2261),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2264),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2264),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2264),
    [aux_sym_type_statement_token2] = ACTIONS(2264),
    [aux_sym_type_statement_token3] = ACTIONS(2264),
    [aux_sym__class_default_token1] = ACTIONS(2264),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2268),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [542] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2271),
    [aux_sym_preproc_def_token1] = ACTIONS(2274),
    [aux_sym_preproc_if_token1] = ACTIONS(2277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2280),
    [sym_preproc_directive] = ACTIONS(2283),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2286),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2289),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2289),
    [aux_sym_type_statement_token2] = ACTIONS(2289),
    [aux_sym_type_statement_token3] = ACTIONS(2289),
    [aux_sym__class_default_token1] = ACTIONS(2289),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2291),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [543] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2294),
    [aux_sym_preproc_def_token1] = ACTIONS(2297),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2303),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2309),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2312),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2312),
    [aux_sym_type_statement_token2] = ACTIONS(2312),
    [aux_sym_type_statement_token3] = ACTIONS(2312),
    [aux_sym__class_default_token1] = ACTIONS(2312),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2314),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [544] = {
    [sym_preproc_include] = STATE(559),
    [sym_preproc_def] = STATE(559),
    [sym_preproc_function_def] = STATE(559),
    [sym_preproc_call] = STATE(559),
    [sym_preproc_if_in_statements] = STATE(559),
    [sym_preproc_ifdef_in_statements] = STATE(559),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(559),
    [aux_sym_preproc_include_token1] = ACTIONS(2317),
    [aux_sym_preproc_def_token1] = ACTIONS(2320),
    [aux_sym_preproc_if_token1] = ACTIONS(2323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2326),
    [sym_preproc_directive] = ACTIONS(2329),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2335),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2335),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2337),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2335),
    [aux_sym_type_statement_token2] = ACTIONS(2335),
    [aux_sym_type_statement_token3] = ACTIONS(2335),
    [aux_sym__class_default_token1] = ACTIONS(2335),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2339),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [545] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2342),
    [aux_sym_preproc_def_token1] = ACTIONS(2345),
    [aux_sym_preproc_if_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2351),
    [sym_preproc_directive] = ACTIONS(2354),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2357),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2360),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2360),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2360),
    [aux_sym_type_statement_token2] = ACTIONS(2360),
    [aux_sym_type_statement_token3] = ACTIONS(2360),
    [aux_sym__class_default_token1] = ACTIONS(2360),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2362),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [546] = {
    [sym_preproc_include] = STATE(550),
    [sym_preproc_def] = STATE(550),
    [sym_preproc_function_def] = STATE(550),
    [sym_preproc_call] = STATE(550),
    [sym_preproc_if_in_statements] = STATE(550),
    [sym_preproc_ifdef_in_statements] = STATE(550),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(550),
    [aux_sym_preproc_include_token1] = ACTIONS(2365),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2374),
    [sym_preproc_directive] = ACTIONS(2377),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2380),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2383),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2383),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2385),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2383),
    [aux_sym_type_statement_token2] = ACTIONS(2383),
    [aux_sym_type_statement_token3] = ACTIONS(2383),
    [aux_sym__class_default_token1] = ACTIONS(2383),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2387),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [547] = {
    [sym_preproc_include] = STATE(541),
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_statements] = STATE(541),
    [sym_preproc_ifdef_in_statements] = STATE(541),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(541),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2399),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2408),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2410),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2408),
    [aux_sym_type_statement_token2] = ACTIONS(2408),
    [aux_sym_type_statement_token3] = ACTIONS(2408),
    [aux_sym__class_default_token1] = ACTIONS(2408),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2412),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [548] = {
    [sym_preproc_include] = STATE(567),
    [sym_preproc_def] = STATE(567),
    [sym_preproc_function_def] = STATE(567),
    [sym_preproc_call] = STATE(567),
    [sym_preproc_if_in_statements] = STATE(567),
    [sym_preproc_ifdef_in_statements] = STATE(567),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_end_where_statement] = STATE(7383),
    [sym_elsewhere_clause] = STATE(6035),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(567),
    [aux_sym__block_where_statement_repeat1] = STATE(6035),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2427),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(2431),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [549] = {
    [sym_preproc_include] = STATE(564),
    [sym_preproc_def] = STATE(564),
    [sym_preproc_function_def] = STATE(564),
    [sym_preproc_call] = STATE(564),
    [sym_preproc_if_in_statements] = STATE(564),
    [sym_preproc_ifdef_in_statements] = STATE(564),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(564),
    [aux_sym_preproc_include_token1] = ACTIONS(2435),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2447),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2450),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2455),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2453),
    [aux_sym_type_statement_token2] = ACTIONS(2453),
    [aux_sym_type_statement_token3] = ACTIONS(2453),
    [aux_sym__class_default_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2457),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [550] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2390),
    [aux_sym_preproc_def_token1] = ACTIONS(2393),
    [aux_sym_preproc_if_token1] = ACTIONS(2396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2399),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2408),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2408),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2408),
    [aux_sym_type_statement_token2] = ACTIONS(2408),
    [aux_sym_type_statement_token3] = ACTIONS(2408),
    [aux_sym__class_default_token1] = ACTIONS(2408),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2412),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [551] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2435),
    [aux_sym_preproc_def_token1] = ACTIONS(2438),
    [aux_sym_preproc_if_token1] = ACTIONS(2441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2447),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2450),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2453),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2453),
    [aux_sym_type_statement_token2] = ACTIONS(2453),
    [aux_sym_type_statement_token3] = ACTIONS(2453),
    [aux_sym__class_default_token1] = ACTIONS(2453),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2457),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [552] = {
    [sym_preproc_include] = STATE(555),
    [sym_preproc_def] = STATE(555),
    [sym_preproc_function_def] = STATE(555),
    [sym_preproc_call] = STATE(555),
    [sym_preproc_if_in_statements] = STATE(555),
    [sym_preproc_ifdef_in_statements] = STATE(555),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(555),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2463),
    [aux_sym_preproc_if_token1] = ACTIONS(2466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2469),
    [sym_preproc_directive] = ACTIONS(2472),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2475),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2478),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2478),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2480),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2478),
    [aux_sym_type_statement_token2] = ACTIONS(2478),
    [aux_sym_type_statement_token3] = ACTIONS(2478),
    [aux_sym__class_default_token1] = ACTIONS(2478),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2482),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [553] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_end_where_statement] = STATE(7383),
    [sym_elsewhere_clause] = STATE(6035),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym__block_where_statement_repeat1] = STATE(6035),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(2431),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [554] = {
    [sym_preproc_include] = STATE(542),
    [sym_preproc_def] = STATE(542),
    [sym_preproc_function_def] = STATE(542),
    [sym_preproc_call] = STATE(542),
    [sym_preproc_if_in_statements] = STATE(542),
    [sym_preproc_ifdef_in_statements] = STATE(542),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(542),
    [aux_sym_preproc_include_token1] = ACTIONS(2487),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2502),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2505),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2507),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2505),
    [aux_sym_type_statement_token2] = ACTIONS(2505),
    [aux_sym_type_statement_token3] = ACTIONS(2505),
    [aux_sym__class_default_token1] = ACTIONS(2505),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2509),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [555] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2487),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2496),
    [sym_preproc_directive] = ACTIONS(2499),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2502),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2505),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2505),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2505),
    [aux_sym_type_statement_token2] = ACTIONS(2505),
    [aux_sym_type_statement_token3] = ACTIONS(2505),
    [aux_sym__class_default_token1] = ACTIONS(2505),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2509),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [556] = {
    [sym_preproc_include] = STATE(553),
    [sym_preproc_def] = STATE(553),
    [sym_preproc_function_def] = STATE(553),
    [sym_preproc_call] = STATE(553),
    [sym_preproc_if_in_statements] = STATE(553),
    [sym_preproc_ifdef_in_statements] = STATE(553),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_end_where_statement] = STATE(7502),
    [sym_elsewhere_clause] = STATE(6024),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(553),
    [aux_sym__block_where_statement_repeat1] = STATE(6024),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2512),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(2431),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [557] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2517),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2523),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2532),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2532),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2532),
    [aux_sym_type_statement_token2] = ACTIONS(2532),
    [aux_sym_type_statement_token3] = ACTIONS(2532),
    [aux_sym__class_default_token1] = ACTIONS(2532),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2534),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [558] = {
    [sym_preproc_include] = STATE(545),
    [sym_preproc_def] = STATE(545),
    [sym_preproc_function_def] = STATE(545),
    [sym_preproc_call] = STATE(545),
    [sym_preproc_if_in_statements] = STATE(545),
    [sym_preproc_ifdef_in_statements] = STATE(545),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(545),
    [aux_sym_preproc_include_token1] = ACTIONS(2537),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2552),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2555),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2555),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2557),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2555),
    [aux_sym_type_statement_token2] = ACTIONS(2555),
    [aux_sym_type_statement_token3] = ACTIONS(2555),
    [aux_sym__class_default_token1] = ACTIONS(2555),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2559),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [559] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2537),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2546),
    [sym_preproc_directive] = ACTIONS(2549),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2552),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2555),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2555),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2555),
    [aux_sym_type_statement_token2] = ACTIONS(2555),
    [aux_sym_type_statement_token3] = ACTIONS(2555),
    [aux_sym__class_default_token1] = ACTIONS(2555),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2559),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [560] = {
    [sym_preproc_include] = STATE(643),
    [sym_preproc_def] = STATE(643),
    [sym_preproc_function_def] = STATE(643),
    [sym_preproc_call] = STATE(643),
    [sym_preproc_if_in_statements] = STATE(643),
    [sym_preproc_ifdef_in_statements] = STATE(643),
    [sym_end_program_statement] = STATE(1055),
    [sym_internal_procedures] = STATE(6443),
    [sym_contains_statement] = STATE(6713),
    [sym__statements] = STATE(6716),
    [sym_statement_label] = STATE(804),
    [sym_stop_statement] = STATE(6716),
    [sym_assignment_statement] = STATE(6716),
    [sym_pointer_association_statement] = STATE(6716),
    [sym_subroutine_call] = STATE(6716),
    [sym_keyword_statement] = STATE(6716),
    [sym_include_statement] = STATE(6716),
    [sym_do_loop_statement] = STATE(6716),
    [sym_do_label_statement] = STATE(6716),
    [sym_end_do_label_statement] = STATE(6716),
    [sym_if_statement] = STATE(6716),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6716),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6716),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6716),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6716),
    [sym_select_type_statement] = STATE(6716),
    [sym_select_rank_statement] = STATE(6716),
    [sym_block_construct] = STATE(6716),
    [sym_associate_statement] = STATE(6716),
    [sym_format_statement] = STATE(6716),
    [sym_read_statement] = STATE(6716),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6716),
    [sym_open_statement] = STATE(6716),
    [sym_close_statement] = STATE(6716),
    [sym_write_statement] = STATE(6716),
    [sym_inquire_statement] = STATE(6716),
    [sym_file_position_statement] = STATE(6716),
    [sym_allocate_statement] = STATE(6716),
    [sym_entry_statement] = STATE(6716),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6716),
    [sym_coarray_team_statement] = STATE(6716),
    [sym_coarray_critical_statement] = STATE(6716),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(643),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2572),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [561] = {
    [sym_preproc_include] = STATE(561),
    [sym_preproc_def] = STATE(561),
    [sym_preproc_function_def] = STATE(561),
    [sym_preproc_call] = STATE(561),
    [sym_preproc_if_in_statements] = STATE(561),
    [sym_preproc_ifdef_in_statements] = STATE(561),
    [sym__statements] = STATE(6778),
    [sym_statement_label] = STATE(802),
    [sym_stop_statement] = STATE(6778),
    [sym_assignment_statement] = STATE(6778),
    [sym_pointer_association_statement] = STATE(6778),
    [sym_subroutine_call] = STATE(6778),
    [sym_keyword_statement] = STATE(6778),
    [sym_include_statement] = STATE(6778),
    [sym_do_loop_statement] = STATE(6778),
    [sym_do_label_statement] = STATE(6778),
    [sym_end_do_label_statement] = STATE(6778),
    [sym_if_statement] = STATE(6778),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6778),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6778),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6778),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6778),
    [sym_select_type_statement] = STATE(6778),
    [sym_select_rank_statement] = STATE(6778),
    [sym_block_construct] = STATE(6778),
    [sym_associate_statement] = STATE(6778),
    [sym_format_statement] = STATE(6778),
    [sym_read_statement] = STATE(6778),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6778),
    [sym_open_statement] = STATE(6778),
    [sym_close_statement] = STATE(6778),
    [sym_write_statement] = STATE(6778),
    [sym_inquire_statement] = STATE(6778),
    [sym_file_position_statement] = STATE(6778),
    [sym_allocate_statement] = STATE(6778),
    [sym_entry_statement] = STATE(6778),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6778),
    [sym_coarray_team_statement] = STATE(6778),
    [sym_coarray_critical_statement] = STATE(6778),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(561),
    [aux_sym_preproc_include_token1] = ACTIONS(2574),
    [aux_sym_preproc_def_token1] = ACTIONS(2577),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2583),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2586),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2589),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [562] = {
    [sym_preproc_include] = STATE(643),
    [sym_preproc_def] = STATE(643),
    [sym_preproc_function_def] = STATE(643),
    [sym_preproc_call] = STATE(643),
    [sym_preproc_if_in_statements] = STATE(643),
    [sym_preproc_ifdef_in_statements] = STATE(643),
    [sym_end_program_statement] = STATE(1055),
    [sym_internal_procedures] = STATE(6415),
    [sym_contains_statement] = STATE(6713),
    [sym__statements] = STATE(6716),
    [sym_statement_label] = STATE(804),
    [sym_stop_statement] = STATE(6716),
    [sym_assignment_statement] = STATE(6716),
    [sym_pointer_association_statement] = STATE(6716),
    [sym_subroutine_call] = STATE(6716),
    [sym_keyword_statement] = STATE(6716),
    [sym_include_statement] = STATE(6716),
    [sym_do_loop_statement] = STATE(6716),
    [sym_do_label_statement] = STATE(6716),
    [sym_end_do_label_statement] = STATE(6716),
    [sym_if_statement] = STATE(6716),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6716),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6716),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6716),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6716),
    [sym_select_type_statement] = STATE(6716),
    [sym_select_rank_statement] = STATE(6716),
    [sym_block_construct] = STATE(6716),
    [sym_associate_statement] = STATE(6716),
    [sym_format_statement] = STATE(6716),
    [sym_read_statement] = STATE(6716),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6716),
    [sym_open_statement] = STATE(6716),
    [sym_close_statement] = STATE(6716),
    [sym_write_statement] = STATE(6716),
    [sym_inquire_statement] = STATE(6716),
    [sym_file_position_statement] = STATE(6716),
    [sym_allocate_statement] = STATE(6716),
    [sym_entry_statement] = STATE(6716),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6716),
    [sym_coarray_team_statement] = STATE(6716),
    [sym_coarray_critical_statement] = STATE(6716),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(643),
    [aux_sym_preproc_include_token1] = ACTIONS(2562),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2566),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2570),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2572),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [563] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2595),
    [aux_sym_preproc_if_token1] = ACTIONS(2598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2601),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token3] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym_derived_type_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2607),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_type_statement_token2] = ACTIONS(2079),
    [aux_sym_type_statement_token3] = ACTIONS(2079),
    [aux_sym__class_default_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [564] = {
    [sym_preproc_include] = STATE(563),
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_statements] = STATE(563),
    [sym_preproc_ifdef_in_statements] = STATE(563),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(563),
    [aux_sym_preproc_include_token1] = ACTIONS(2610),
    [aux_sym_preproc_def_token1] = ACTIONS(2613),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2619),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2628),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2628),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2266),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2628),
    [aux_sym_type_statement_token2] = ACTIONS(2628),
    [aux_sym_type_statement_token3] = ACTIONS(2628),
    [aux_sym__class_default_token1] = ACTIONS(2628),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2630),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [565] = {
    [sym_preproc_include] = STATE(543),
    [sym_preproc_def] = STATE(543),
    [sym_preproc_function_def] = STATE(543),
    [sym_preproc_call] = STATE(543),
    [sym_preproc_if_in_statements] = STATE(543),
    [sym_preproc_ifdef_in_statements] = STATE(543),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(543),
    [aux_sym_preproc_include_token1] = ACTIONS(2633),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2645),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2648),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2651),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2651),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2653),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2651),
    [aux_sym_type_statement_token2] = ACTIONS(2651),
    [aux_sym_type_statement_token3] = ACTIONS(2651),
    [aux_sym__class_default_token1] = ACTIONS(2651),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2655),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [566] = {
    [sym_preproc_include] = STATE(557),
    [sym_preproc_def] = STATE(557),
    [sym_preproc_function_def] = STATE(557),
    [sym_preproc_call] = STATE(557),
    [sym_preproc_if_in_statements] = STATE(557),
    [sym_preproc_ifdef_in_statements] = STATE(557),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(557),
    [aux_sym_preproc_include_token1] = ACTIONS(2294),
    [aux_sym_preproc_def_token1] = ACTIONS(2297),
    [aux_sym_preproc_if_token1] = ACTIONS(2300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2303),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2309),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2312),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2658),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2312),
    [aux_sym_type_statement_token2] = ACTIONS(2312),
    [aux_sym_type_statement_token3] = ACTIONS(2312),
    [aux_sym__class_default_token1] = ACTIONS(2312),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2314),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [567] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_end_where_statement] = STATE(7470),
    [sym_elsewhere_clause] = STATE(6029),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym__block_where_statement_repeat1] = STATE(6029),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(2429),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(2431),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [568] = {
    [sym_preproc_include] = STATE(551),
    [sym_preproc_def] = STATE(551),
    [sym_preproc_function_def] = STATE(551),
    [sym_preproc_call] = STATE(551),
    [sym_preproc_if_in_statements] = STATE(551),
    [sym_preproc_ifdef_in_statements] = STATE(551),
    [sym__statements] = STATE(6997),
    [sym_statement_label] = STATE(810),
    [sym_stop_statement] = STATE(6997),
    [sym_assignment_statement] = STATE(6997),
    [sym_pointer_association_statement] = STATE(6997),
    [sym_subroutine_call] = STATE(6997),
    [sym_keyword_statement] = STATE(6997),
    [sym_include_statement] = STATE(6997),
    [sym_do_loop_statement] = STATE(6997),
    [sym_do_label_statement] = STATE(6997),
    [sym_end_do_label_statement] = STATE(6997),
    [sym_if_statement] = STATE(6997),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6997),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6997),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6997),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6997),
    [sym_select_type_statement] = STATE(6997),
    [sym_select_rank_statement] = STATE(6997),
    [sym_block_construct] = STATE(6997),
    [sym_associate_statement] = STATE(6997),
    [sym_format_statement] = STATE(6997),
    [sym_read_statement] = STATE(6997),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6997),
    [sym_open_statement] = STATE(6997),
    [sym_close_statement] = STATE(6997),
    [sym_write_statement] = STATE(6997),
    [sym_inquire_statement] = STATE(6997),
    [sym_file_position_statement] = STATE(6997),
    [sym_allocate_statement] = STATE(6997),
    [sym_entry_statement] = STATE(6997),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6997),
    [sym_coarray_team_statement] = STATE(6997),
    [sym_coarray_critical_statement] = STATE(6997),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(551),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2663),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2669),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2669),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2675),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(2678),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym_derived_type_token1] = ACTIONS(2678),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2680),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2678),
    [aux_sym_type_statement_token2] = ACTIONS(2678),
    [aux_sym_type_statement_token3] = ACTIONS(2678),
    [aux_sym__class_default_token1] = ACTIONS(2678),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2682),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [569] = {
    [sym_preproc_include] = STATE(580),
    [sym_preproc_def] = STATE(580),
    [sym_preproc_function_def] = STATE(580),
    [sym_preproc_call] = STATE(580),
    [sym_preproc_if_in_statements] = STATE(580),
    [sym_preproc_ifdef_in_statements] = STATE(580),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(580),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2695),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [570] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2697),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2703),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2709),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2712),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [571] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(782),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7701),
    [sym_elseif_clause] = STATE(5743),
    [sym_else_clause] = STATE(6301),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym__block_if_statement_repeat1] = STATE(5743),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [572] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(993),
    [sym_internal_procedures] = STATE(6961),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [573] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [574] = {
    [sym_preproc_include] = STATE(588),
    [sym_preproc_def] = STATE(588),
    [sym_preproc_function_def] = STATE(588),
    [sym_preproc_call] = STATE(588),
    [sym_preproc_if_in_statements] = STATE(588),
    [sym_preproc_ifdef_in_statements] = STATE(588),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(588),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2751),
    [aux_sym_preproc_elif_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2751),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2751),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2753),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [575] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(844),
    [sym_internal_procedures] = STATE(6838),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [576] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [577] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(849),
    [sym_internal_procedures] = STATE(6735),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [578] = {
    [sym_preproc_include] = STATE(597),
    [sym_preproc_def] = STATE(597),
    [sym_preproc_function_def] = STATE(597),
    [sym_preproc_call] = STATE(597),
    [sym_preproc_if_in_statements] = STATE(597),
    [sym_preproc_ifdef_in_statements] = STATE(597),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(597),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2678),
    [aux_sym_preproc_elif_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2757),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [579] = {
    [sym_preproc_include] = STATE(623),
    [sym_preproc_def] = STATE(623),
    [sym_preproc_function_def] = STATE(623),
    [sym_preproc_call] = STATE(623),
    [sym_preproc_if_in_statements] = STATE(623),
    [sym_preproc_ifdef_in_statements] = STATE(623),
    [sym_internal_procedures] = STATE(7881),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(623),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2769),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [580] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2289),
    [aux_sym_preproc_elif_token1] = ACTIONS(2289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2289),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [581] = {
    [sym_preproc_include] = STATE(595),
    [sym_preproc_def] = STATE(595),
    [sym_preproc_function_def] = STATE(595),
    [sym_preproc_call] = STATE(595),
    [sym_preproc_if_in_statements] = STATE(595),
    [sym_preproc_ifdef_in_statements] = STATE(595),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(595),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2651),
    [aux_sym_preproc_elif_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2651),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2771),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [582] = {
    [sym_preproc_include] = STATE(603),
    [sym_preproc_def] = STATE(603),
    [sym_preproc_function_def] = STATE(603),
    [sym_preproc_call] = STATE(603),
    [sym_preproc_if_in_statements] = STATE(603),
    [sym_preproc_ifdef_in_statements] = STATE(603),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(603),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2773),
    [aux_sym_preproc_elif_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2773),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2773),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2775),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [583] = {
    [sym_preproc_include] = STATE(571),
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_statements] = STATE(571),
    [sym_preproc_ifdef_in_statements] = STATE(571),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(776),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7551),
    [sym_elseif_clause] = STATE(5758),
    [sym_else_clause] = STATE(6157),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(571),
    [aux_sym__block_if_statement_repeat1] = STATE(5758),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2777),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [584] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(780),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7605),
    [sym_elseif_clause] = STATE(5753),
    [sym_else_clause] = STATE(6119),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym__block_if_statement_repeat1] = STATE(5753),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [585] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2779),
    [aux_sym_preproc_elif_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [586] = {
    [sym_preproc_include] = STATE(604),
    [sym_preproc_def] = STATE(604),
    [sym_preproc_function_def] = STATE(604),
    [sym_preproc_call] = STATE(604),
    [sym_preproc_if_in_statements] = STATE(604),
    [sym_preproc_ifdef_in_statements] = STATE(604),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(604),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2783),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [587] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(857),
    [sym_internal_procedures] = STATE(7018),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(219),
    [aux_sym_end_program_statement_token2] = ACTIONS(221),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [588] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2781),
    [aux_sym_preproc_elif_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2781),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2781),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [589] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2785),
    [aux_sym_preproc_elif_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [590] = {
    [sym_preproc_include] = STATE(608),
    [sym_preproc_def] = STATE(608),
    [sym_preproc_function_def] = STATE(608),
    [sym_preproc_call] = STATE(608),
    [sym_preproc_if_in_statements] = STATE(608),
    [sym_preproc_ifdef_in_statements] = STATE(608),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(608),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2335),
    [aux_sym_preproc_elif_token1] = ACTIONS(2335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2335),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2787),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [591] = {
    [sym_preproc_include] = STATE(607),
    [sym_preproc_def] = STATE(607),
    [sym_preproc_function_def] = STATE(607),
    [sym_preproc_call] = STATE(607),
    [sym_preproc_if_in_statements] = STATE(607),
    [sym_preproc_ifdef_in_statements] = STATE(607),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(607),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2383),
    [aux_sym_preproc_elif_token1] = ACTIONS(2383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2383),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2789),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [592] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(773),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7632),
    [sym_elseif_clause] = STATE(5754),
    [sym_else_clause] = STATE(6226),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym__block_if_statement_repeat1] = STATE(5754),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [593] = {
    [sym_preproc_include] = STATE(617),
    [sym_preproc_def] = STATE(617),
    [sym_preproc_function_def] = STATE(617),
    [sym_preproc_call] = STATE(617),
    [sym_preproc_if_in_statements] = STATE(617),
    [sym_preproc_ifdef_in_statements] = STATE(617),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(617),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2791),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [594] = {
    [sym_preproc_include] = STATE(621),
    [sym_preproc_def] = STATE(621),
    [sym_preproc_function_def] = STATE(621),
    [sym_preproc_call] = STATE(621),
    [sym_preproc_if_in_statements] = STATE(621),
    [sym_preproc_ifdef_in_statements] = STATE(621),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(621),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2312),
    [aux_sym_preproc_elif_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2793),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [595] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2312),
    [aux_sym_preproc_elif_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2312),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [596] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(1061),
    [sym_internal_procedures] = STATE(7162),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [597] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [598] = {
    [sym_preproc_include] = STATE(573),
    [sym_preproc_def] = STATE(573),
    [sym_preproc_function_def] = STATE(573),
    [sym_preproc_call] = STATE(573),
    [sym_preproc_if_in_statements] = STATE(573),
    [sym_preproc_ifdef_in_statements] = STATE(573),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(573),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2795),
    [aux_sym_preproc_elif_token1] = ACTIONS(2795),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2795),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2795),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2797),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [599] = {
    [sym_preproc_include] = STATE(576),
    [sym_preproc_def] = STATE(576),
    [sym_preproc_function_def] = STATE(576),
    [sym_preproc_call] = STATE(576),
    [sym_preproc_if_in_statements] = STATE(576),
    [sym_preproc_ifdef_in_statements] = STATE(576),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(576),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2747),
    [aux_sym_preproc_elif_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2747),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2747),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2799),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [600] = {
    [sym_preproc_include] = STATE(589),
    [sym_preproc_def] = STATE(589),
    [sym_preproc_function_def] = STATE(589),
    [sym_preproc_call] = STATE(589),
    [sym_preproc_if_in_statements] = STATE(589),
    [sym_preproc_ifdef_in_statements] = STATE(589),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(589),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2803),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [601] = {
    [sym_preproc_include] = STATE(618),
    [sym_preproc_def] = STATE(618),
    [sym_preproc_function_def] = STATE(618),
    [sym_preproc_call] = STATE(618),
    [sym_preproc_if_in_statements] = STATE(618),
    [sym_preproc_ifdef_in_statements] = STATE(618),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(618),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2555),
    [aux_sym_preproc_elif_token1] = ACTIONS(2555),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2555),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2805),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [602] = {
    [sym_preproc_include] = STATE(585),
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_statements] = STATE(585),
    [sym_preproc_ifdef_in_statements] = STATE(585),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(585),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2807),
    [aux_sym_preproc_elif_token1] = ACTIONS(2807),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2807),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2807),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2809),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [603] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [604] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2811),
    [aux_sym_preproc_elif_token1] = ACTIONS(2811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2811),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2811),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [605] = {
    [sym_preproc_include] = STATE(611),
    [sym_preproc_def] = STATE(611),
    [sym_preproc_function_def] = STATE(611),
    [sym_preproc_call] = STATE(611),
    [sym_preproc_if_in_statements] = STATE(611),
    [sym_preproc_ifdef_in_statements] = STATE(611),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(611),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2813),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [606] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2807),
    [aux_sym_preproc_elif_token1] = ACTIONS(2807),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2807),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2807),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [607] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [608] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2555),
    [aux_sym_preproc_elif_token1] = ACTIONS(2555),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2555),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [609] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(995),
    [sym_internal_procedures] = STATE(7314),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [610] = {
    [sym_preproc_include] = STATE(624),
    [sym_preproc_def] = STATE(624),
    [sym_preproc_function_def] = STATE(624),
    [sym_preproc_call] = STATE(624),
    [sym_preproc_if_in_statements] = STATE(624),
    [sym_preproc_ifdef_in_statements] = STATE(624),
    [sym_internal_procedures] = STATE(8451),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(624),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [sym_preproc_comment] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2819),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [611] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2264),
    [aux_sym_preproc_elif_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2264),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [612] = {
    [sym_preproc_include] = STATE(606),
    [sym_preproc_def] = STATE(606),
    [sym_preproc_function_def] = STATE(606),
    [sym_preproc_call] = STATE(606),
    [sym_preproc_if_in_statements] = STATE(606),
    [sym_preproc_ifdef_in_statements] = STATE(606),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(606),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2823),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [613] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2628),
    [aux_sym_preproc_elif_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [614] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(1099),
    [sym_internal_procedures] = STATE(7145),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(25),
    [aux_sym_end_program_statement_token2] = ACTIONS(27),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [615] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(1071),
    [sym_internal_procedures] = STATE(7170),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [616] = {
    [sym_preproc_include] = STATE(584),
    [sym_preproc_def] = STATE(584),
    [sym_preproc_function_def] = STATE(584),
    [sym_preproc_call] = STATE(584),
    [sym_preproc_if_in_statements] = STATE(584),
    [sym_preproc_ifdef_in_statements] = STATE(584),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(773),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7632),
    [sym_elseif_clause] = STATE(5754),
    [sym_else_clause] = STATE(6226),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(584),
    [aux_sym__block_if_statement_repeat1] = STATE(5754),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2825),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [617] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2505),
    [aux_sym_preproc_elif_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2505),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [618] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [619] = {
    [sym_preproc_include] = STATE(592),
    [sym_preproc_def] = STATE(592),
    [sym_preproc_function_def] = STATE(592),
    [sym_preproc_call] = STATE(592),
    [sym_preproc_if_in_statements] = STATE(592),
    [sym_preproc_ifdef_in_statements] = STATE(592),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(782),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7701),
    [sym_elseif_clause] = STATE(5743),
    [sym_else_clause] = STATE(6301),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(592),
    [aux_sym__block_if_statement_repeat1] = STATE(5743),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2725),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2827),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token1] = ACTIONS(2731),
    [aux_sym_elseif_clause_token2] = ACTIONS(2733),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [620] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym_end_program_statement] = STATE(1055),
    [sym_internal_procedures] = STATE(7244),
    [sym_contains_statement] = STATE(7211),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(2735),
    [aux_sym_preproc_def_token1] = ACTIONS(2737),
    [aux_sym_preproc_if_token1] = ACTIONS(2739),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2741),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2741),
    [sym_preproc_directive] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(668),
    [aux_sym_end_program_statement_token2] = ACTIONS(670),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2745),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [621] = {
    [sym_preproc_include] = STATE(570),
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_statements] = STATE(570),
    [sym_preproc_ifdef_in_statements] = STATE(570),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(570),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2749),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [622] = {
    [sym_preproc_include] = STATE(613),
    [sym_preproc_def] = STATE(613),
    [sym_preproc_function_def] = STATE(613),
    [sym_preproc_call] = STATE(613),
    [sym_preproc_if_in_statements] = STATE(613),
    [sym_preproc_ifdef_in_statements] = STATE(613),
    [sym__statements] = STATE(7067),
    [sym_statement_label] = STATE(792),
    [sym_stop_statement] = STATE(7067),
    [sym_assignment_statement] = STATE(7067),
    [sym_pointer_association_statement] = STATE(7067),
    [sym_subroutine_call] = STATE(7067),
    [sym_keyword_statement] = STATE(7067),
    [sym_include_statement] = STATE(7067),
    [sym_do_loop_statement] = STATE(7067),
    [sym_do_label_statement] = STATE(7067),
    [sym_end_do_label_statement] = STATE(7067),
    [sym_if_statement] = STATE(7067),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7067),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7067),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7067),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7067),
    [sym_select_type_statement] = STATE(7067),
    [sym_select_rank_statement] = STATE(7067),
    [sym_block_construct] = STATE(7067),
    [sym_associate_statement] = STATE(7067),
    [sym_format_statement] = STATE(7067),
    [sym_read_statement] = STATE(7067),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7067),
    [sym_open_statement] = STATE(7067),
    [sym_close_statement] = STATE(7067),
    [sym_write_statement] = STATE(7067),
    [sym_inquire_statement] = STATE(7067),
    [sym_file_position_statement] = STATE(7067),
    [sym_allocate_statement] = STATE(7067),
    [sym_entry_statement] = STATE(7067),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7067),
    [sym_coarray_team_statement] = STATE(7067),
    [sym_coarray_critical_statement] = STATE(7067),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(613),
    [aux_sym_preproc_include_token1] = ACTIONS(2685),
    [aux_sym_preproc_def_token1] = ACTIONS(2687),
    [aux_sym_preproc_if_token1] = ACTIONS(2689),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2691),
    [aux_sym_preproc_else_token1] = ACTIONS(2453),
    [aux_sym_preproc_elif_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2453),
    [sym_preproc_directive] = ACTIONS(2693),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2829),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [623] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(7752),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [624] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(7784),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [625] = {
    [sym_preproc_include] = STATE(628),
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_statements] = STATE(628),
    [sym_preproc_ifdef_in_statements] = STATE(628),
    [sym_internal_procedures] = STATE(7784),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(628),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2835),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2837),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [626] = {
    [sym_preproc_include] = STATE(626),
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_statements] = STATE(626),
    [sym_preproc_ifdef_in_statements] = STATE(626),
    [sym_preproc_if_in_procedure_statements] = STATE(626),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(626),
    [sym__statements] = STATE(7277),
    [sym_statement_label] = STATE(798),
    [sym_stop_statement] = STATE(7277),
    [sym_assignment_statement] = STATE(7277),
    [sym_pointer_association_statement] = STATE(7277),
    [sym_subroutine_call] = STATE(7277),
    [sym_keyword_statement] = STATE(7277),
    [sym_include_statement] = STATE(7277),
    [sym_do_loop_statement] = STATE(7277),
    [sym_do_label_statement] = STATE(7277),
    [sym_end_do_label_statement] = STATE(7277),
    [sym_if_statement] = STATE(7277),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7277),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7277),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7277),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7277),
    [sym_select_type_statement] = STATE(7277),
    [sym_select_rank_statement] = STATE(7277),
    [sym_block_construct] = STATE(7277),
    [sym_associate_statement] = STATE(7277),
    [sym_format_statement] = STATE(7277),
    [sym_read_statement] = STATE(7277),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7277),
    [sym_open_statement] = STATE(7277),
    [sym_close_statement] = STATE(7277),
    [sym_write_statement] = STATE(7277),
    [sym_inquire_statement] = STATE(7277),
    [sym_file_position_statement] = STATE(7277),
    [sym_allocate_statement] = STATE(7277),
    [sym_entry_statement] = STATE(7277),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7277),
    [sym_coarray_team_statement] = STATE(7277),
    [sym_coarray_critical_statement] = STATE(7277),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(626),
    [aux_sym_preproc_include_token1] = ACTIONS(2839),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2845),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2851),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2866),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2871),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2871),
    [aux_sym_implicit_statement_token4] = ACTIONS(2871),
    [aux_sym_save_statement_token1] = ACTIONS(2871),
    [aux_sym_private_statement_token1] = ACTIONS(2871),
    [aux_sym_public_statement_token1] = ACTIONS(2871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2871),
    [aux_sym_variable_attributes_token2] = ACTIONS(2871),
    [aux_sym_variable_attributes_token3] = ACTIONS(2871),
    [aux_sym_variable_attributes_token5] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2874),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2871),
    [aux_sym_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym_type_qualifier_token2] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2880),
    [aux_sym_stop_statement_token1] = ACTIONS(2883),
    [aux_sym_stop_statement_token2] = ACTIONS(2886),
    [aux_sym_subroutine_call_token1] = ACTIONS(2889),
    [aux_sym_keyword_statement_token1] = ACTIONS(2892),
    [aux_sym_keyword_statement_token2] = ACTIONS(2895),
    [aux_sym_keyword_statement_token3] = ACTIONS(2895),
    [aux_sym_keyword_statement_token4] = ACTIONS(2898),
    [aux_sym_keyword_statement_token6] = ACTIONS(2901),
    [aux_sym_keyword_statement_token7] = ACTIONS(2892),
    [aux_sym_include_statement_token1] = ACTIONS(2904),
    [aux_sym_data_statement_token1] = ACTIONS(2871),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2910),
    [aux_sym_end_if_statement_token1] = ACTIONS(2871),
    [aux_sym_elseif_clause_token2] = ACTIONS(2871),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2916),
    [aux_sym_select_case_statement_token1] = ACTIONS(2919),
    [aux_sym_select_case_statement_token3] = ACTIONS(2922),
    [aux_sym_select_type_statement_token1] = ACTIONS(2925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2928),
    [aux_sym_block_construct_token1] = ACTIONS(2931),
    [aux_sym_associate_statement_token1] = ACTIONS(2934),
    [aux_sym_format_statement_token1] = ACTIONS(2937),
    [aux_sym_print_statement_token1] = ACTIONS(2940),
    [aux_sym_open_statement_token1] = ACTIONS(2943),
    [aux_sym_close_statement_token1] = ACTIONS(2946),
    [aux_sym_inquire_statement_token1] = ACTIONS(2949),
    [aux_sym_file_position_statement_token1] = ACTIONS(2952),
    [aux_sym_file_position_statement_token2] = ACTIONS(2952),
    [aux_sym_file_position_statement_token3] = ACTIONS(2952),
    [aux_sym_file_position_statement_token4] = ACTIONS(2955),
    [aux_sym_allocate_statement_token1] = ACTIONS(2958),
    [aux_sym_entry_statement_token1] = ACTIONS(2961),
    [aux_sym_logical_expression_token5] = ACTIONS(2964),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [aux_sym_boolean_literal_token1] = ACTIONS(2976),
    [aux_sym_boolean_literal_token2] = ACTIONS(2976),
    [aux_sym_null_literal_token1] = ACTIONS(2979),
    [aux_sym_coarray_statement_token1] = ACTIONS(2982),
    [aux_sym_coarray_statement_token2] = ACTIONS(2982),
    [aux_sym_coarray_statement_token6] = ACTIONS(2985),
    [aux_sym_coarray_statement_token8] = ACTIONS(2988),
    [aux_sym_coarray_statement_token11] = ACTIONS(2991),
    [aux_sym_coarray_statement_token12] = ACTIONS(2991),
    [aux_sym_coarray_statement_token13] = ACTIONS(2994),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3000),
    [aux_sym_identifier_token1] = ACTIONS(2871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3006),
    [sym__boz_literal] = ACTIONS(3006),
    [sym__string_literal] = ACTIONS(3009),
    [sym__string_literal_kind] = ACTIONS(3012),
  },
  [627] = {
    [sym_preproc_include] = STATE(637),
    [sym_preproc_def] = STATE(637),
    [sym_preproc_function_def] = STATE(637),
    [sym_preproc_call] = STATE(637),
    [sym_preproc_if_in_statements] = STATE(637),
    [sym_preproc_ifdef_in_statements] = STATE(637),
    [sym_internal_procedures] = STATE(7752),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(637),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(2831),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3015),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [628] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8345),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [629] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8407),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [630] = {
    [sym_preproc_include] = STATE(630),
    [sym_preproc_def] = STATE(630),
    [sym_preproc_function_def] = STATE(630),
    [sym_preproc_call] = STATE(630),
    [sym_interface] = STATE(630),
    [sym_interface_statement] = STATE(3820),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(630),
    [sym_use_statement] = STATE(6835),
    [sym_implicit_statement] = STATE(6835),
    [sym_save_statement] = STATE(6835),
    [sym_private_statement] = STATE(630),
    [sym_public_statement] = STATE(630),
    [sym_namelist_statement] = STATE(6835),
    [sym_common_statement] = STATE(6835),
    [sym_import_statement] = STATE(6835),
    [sym_derived_type_definition] = STATE(630),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4309),
    [sym_variable_declaration] = STATE(6835),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6835),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6835),
    [sym_equivalence_statement] = STATE(6835),
    [sym_statement_label] = STATE(7189),
    [sym_include_statement] = STATE(6835),
    [sym_data_statement] = STATE(6835),
    [sym_enum] = STATE(630),
    [sym_enum_statement] = STATE(6047),
    [sym_enumeration_type] = STATE(630),
    [sym_enumeration_type_statement] = STATE(6210),
    [sym_statement_function] = STATE(6835),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(630),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3019),
    [aux_sym_preproc_def_token1] = ACTIONS(3022),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3027),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3032),
    [aux_sym_interface_statement_token1] = ACTIONS(3035),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3041),
    [aux_sym_language_binding_token1] = ACTIONS(3044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3050),
    [aux_sym_contains_statement_token1] = ACTIONS(3025),
    [aux_sym_use_statement_token1] = ACTIONS(3053),
    [aux_sym_use_statement_token2] = ACTIONS(3050),
    [aux_sym_implicit_statement_token1] = ACTIONS(3056),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3050),
    [aux_sym_save_statement_token1] = ACTIONS(3062),
    [aux_sym_private_statement_token1] = ACTIONS(3065),
    [aux_sym_public_statement_token1] = ACTIONS(3068),
    [aux_sym_namelist_statement_token1] = ACTIONS(3071),
    [aux_sym_common_statement_token1] = ACTIONS(3074),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3050),
    [aux_sym_variable_attributes_token1] = ACTIONS(3083),
    [aux_sym_variable_attributes_token2] = ACTIONS(3050),
    [aux_sym_variable_attributes_token3] = ACTIONS(3050),
    [aux_sym_variable_attributes_token4] = ACTIONS(3083),
    [aux_sym_variable_attributes_token5] = ACTIONS(3050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3095),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3098),
    [aux_sym_declared_type_token1] = ACTIONS(3101),
    [aux_sym_declared_type_token2] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3107),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3110),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3083),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3083),
    [aux_sym_type_qualifier_token1] = ACTIONS(3038),
    [aux_sym_type_qualifier_token2] = ACTIONS(3038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3030),
    [aux_sym_stop_statement_token1] = ACTIONS(3038),
    [aux_sym_stop_statement_token2] = ACTIONS(3038),
    [aux_sym_subroutine_call_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token3] = ACTIONS(3038),
    [aux_sym_keyword_statement_token4] = ACTIONS(3025),
    [aux_sym_keyword_statement_token6] = ACTIONS(3025),
    [aux_sym_keyword_statement_token7] = ACTIONS(3025),
    [aux_sym_include_statement_token1] = ACTIONS(3122),
    [aux_sym_data_statement_token1] = ACTIONS(3125),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3025),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3038),
    [aux_sym_end_if_statement_token1] = ACTIONS(3038),
    [aux_sym_elseif_clause_token2] = ACTIONS(3038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3025),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3025),
    [aux_sym_select_case_statement_token1] = ACTIONS(3128),
    [aux_sym_select_case_statement_token3] = ACTIONS(3025),
    [aux_sym_select_type_statement_token1] = ACTIONS(3025),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3025),
    [aux_sym_block_construct_token1] = ACTIONS(3038),
    [aux_sym_associate_statement_token1] = ACTIONS(3025),
    [aux_sym_format_statement_token1] = ACTIONS(3038),
    [aux_sym_print_statement_token1] = ACTIONS(3025),
    [aux_sym_open_statement_token1] = ACTIONS(3025),
    [aux_sym_close_statement_token1] = ACTIONS(3025),
    [aux_sym_inquire_statement_token1] = ACTIONS(3038),
    [aux_sym_enum_statement_token1] = ACTIONS(3131),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3134),
    [aux_sym_file_position_statement_token1] = ACTIONS(3025),
    [aux_sym_file_position_statement_token2] = ACTIONS(3025),
    [aux_sym_file_position_statement_token3] = ACTIONS(3025),
    [aux_sym_file_position_statement_token4] = ACTIONS(3025),
    [aux_sym_allocate_statement_token1] = ACTIONS(3025),
    [aux_sym_entry_statement_token1] = ACTIONS(3038),
    [aux_sym_logical_expression_token5] = ACTIONS(3030),
    [anon_sym_DOT] = ACTIONS(3025),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [aux_sym_boolean_literal_token1] = ACTIONS(3030),
    [aux_sym_boolean_literal_token2] = ACTIONS(3030),
    [aux_sym_null_literal_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token2] = ACTIONS(3038),
    [aux_sym_coarray_statement_token6] = ACTIONS(3038),
    [aux_sym_coarray_statement_token8] = ACTIONS(3038),
    [aux_sym_coarray_statement_token11] = ACTIONS(3038),
    [aux_sym_coarray_statement_token12] = ACTIONS(3038),
    [aux_sym_coarray_statement_token13] = ACTIONS(3025),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3038),
    [aux_sym_identifier_token1] = ACTIONS(3038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3137),
    [sym__float_literal] = ACTIONS(3030),
    [sym__boz_literal] = ACTIONS(3030),
    [sym__string_literal] = ACTIONS(3030),
    [sym__string_literal_kind] = ACTIONS(3030),
  },
  [631] = {
    [sym_preproc_include] = STATE(631),
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_statements] = STATE(631),
    [sym_preproc_ifdef_in_statements] = STATE(631),
    [sym_preproc_if_in_procedure_statements] = STATE(631),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(631),
    [sym__statements] = STATE(6945),
    [sym_statement_label] = STATE(795),
    [sym_stop_statement] = STATE(6945),
    [sym_assignment_statement] = STATE(6945),
    [sym_pointer_association_statement] = STATE(6945),
    [sym_subroutine_call] = STATE(6945),
    [sym_keyword_statement] = STATE(6945),
    [sym_include_statement] = STATE(6945),
    [sym_do_loop_statement] = STATE(6945),
    [sym_do_label_statement] = STATE(6945),
    [sym_end_do_label_statement] = STATE(6945),
    [sym_if_statement] = STATE(6945),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6945),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6945),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6945),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6945),
    [sym_select_type_statement] = STATE(6945),
    [sym_select_rank_statement] = STATE(6945),
    [sym_block_construct] = STATE(6945),
    [sym_associate_statement] = STATE(6945),
    [sym_format_statement] = STATE(6945),
    [sym_read_statement] = STATE(6945),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6945),
    [sym_open_statement] = STATE(6945),
    [sym_close_statement] = STATE(6945),
    [sym_write_statement] = STATE(6945),
    [sym_inquire_statement] = STATE(6945),
    [sym_file_position_statement] = STATE(6945),
    [sym_allocate_statement] = STATE(6945),
    [sym_entry_statement] = STATE(6945),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6945),
    [sym_coarray_team_statement] = STATE(6945),
    [sym_coarray_critical_statement] = STATE(6945),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(631),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3149),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3149),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2866),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2871),
    [aux_sym_end_function_statement_token1] = ACTIONS(2869),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2871),
    [aux_sym_implicit_statement_token4] = ACTIONS(2871),
    [aux_sym_save_statement_token1] = ACTIONS(2871),
    [aux_sym_private_statement_token1] = ACTIONS(2871),
    [aux_sym_public_statement_token1] = ACTIONS(2871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2871),
    [aux_sym_variable_attributes_token2] = ACTIONS(2871),
    [aux_sym_variable_attributes_token3] = ACTIONS(2871),
    [aux_sym_variable_attributes_token5] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2874),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2871),
    [aux_sym_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym_type_qualifier_token2] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(3155),
    [aux_sym_stop_statement_token1] = ACTIONS(2883),
    [aux_sym_stop_statement_token2] = ACTIONS(2886),
    [aux_sym_subroutine_call_token1] = ACTIONS(2889),
    [aux_sym_keyword_statement_token1] = ACTIONS(2892),
    [aux_sym_keyword_statement_token2] = ACTIONS(2895),
    [aux_sym_keyword_statement_token3] = ACTIONS(2895),
    [aux_sym_keyword_statement_token4] = ACTIONS(2898),
    [aux_sym_keyword_statement_token6] = ACTIONS(2901),
    [aux_sym_keyword_statement_token7] = ACTIONS(2892),
    [aux_sym_include_statement_token1] = ACTIONS(2904),
    [aux_sym_data_statement_token1] = ACTIONS(2871),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2910),
    [aux_sym_end_if_statement_token1] = ACTIONS(2871),
    [aux_sym_elseif_clause_token2] = ACTIONS(2871),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2916),
    [aux_sym_select_case_statement_token1] = ACTIONS(2919),
    [aux_sym_select_case_statement_token3] = ACTIONS(2922),
    [aux_sym_select_type_statement_token1] = ACTIONS(2925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2928),
    [aux_sym_block_construct_token1] = ACTIONS(2931),
    [aux_sym_associate_statement_token1] = ACTIONS(2934),
    [aux_sym_format_statement_token1] = ACTIONS(2937),
    [aux_sym_print_statement_token1] = ACTIONS(2940),
    [aux_sym_open_statement_token1] = ACTIONS(2943),
    [aux_sym_close_statement_token1] = ACTIONS(2946),
    [aux_sym_inquire_statement_token1] = ACTIONS(2949),
    [aux_sym_file_position_statement_token1] = ACTIONS(2952),
    [aux_sym_file_position_statement_token2] = ACTIONS(2952),
    [aux_sym_file_position_statement_token3] = ACTIONS(2952),
    [aux_sym_file_position_statement_token4] = ACTIONS(2955),
    [aux_sym_allocate_statement_token1] = ACTIONS(2958),
    [aux_sym_entry_statement_token1] = ACTIONS(2961),
    [aux_sym_logical_expression_token5] = ACTIONS(2964),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [aux_sym_boolean_literal_token1] = ACTIONS(2976),
    [aux_sym_boolean_literal_token2] = ACTIONS(2976),
    [aux_sym_null_literal_token1] = ACTIONS(2979),
    [aux_sym_coarray_statement_token1] = ACTIONS(2982),
    [aux_sym_coarray_statement_token2] = ACTIONS(2982),
    [aux_sym_coarray_statement_token6] = ACTIONS(2985),
    [aux_sym_coarray_statement_token8] = ACTIONS(2988),
    [aux_sym_coarray_statement_token11] = ACTIONS(2991),
    [aux_sym_coarray_statement_token12] = ACTIONS(2991),
    [aux_sym_coarray_statement_token13] = ACTIONS(2994),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3000),
    [aux_sym_identifier_token1] = ACTIONS(2871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3006),
    [sym__boz_literal] = ACTIONS(3006),
    [sym__string_literal] = ACTIONS(3009),
    [sym__string_literal_kind] = ACTIONS(3012),
  },
  [632] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8217),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [633] = {
    [sym_preproc_include] = STATE(633),
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_statements] = STATE(633),
    [sym_preproc_ifdef_in_statements] = STATE(633),
    [sym_preproc_if_in_procedure_statements] = STATE(633),
    [sym_preproc_ifdef_in_procedure_statements] = STATE(633),
    [sym__statements] = STATE(7144),
    [sym_statement_label] = STATE(801),
    [sym_stop_statement] = STATE(7144),
    [sym_assignment_statement] = STATE(7144),
    [sym_pointer_association_statement] = STATE(7144),
    [sym_subroutine_call] = STATE(7144),
    [sym_keyword_statement] = STATE(7144),
    [sym_include_statement] = STATE(7144),
    [sym_do_loop_statement] = STATE(7144),
    [sym_do_label_statement] = STATE(7144),
    [sym_end_do_label_statement] = STATE(7144),
    [sym_if_statement] = STATE(7144),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7144),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7144),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7144),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7144),
    [sym_select_type_statement] = STATE(7144),
    [sym_select_rank_statement] = STATE(7144),
    [sym_block_construct] = STATE(7144),
    [sym_associate_statement] = STATE(7144),
    [sym_format_statement] = STATE(7144),
    [sym_read_statement] = STATE(7144),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7144),
    [sym_open_statement] = STATE(7144),
    [sym_close_statement] = STATE(7144),
    [sym_write_statement] = STATE(7144),
    [sym_inquire_statement] = STATE(7144),
    [sym_file_position_statement] = STATE(7144),
    [sym_allocate_statement] = STATE(7144),
    [sym_entry_statement] = STATE(7144),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7144),
    [sym_coarray_team_statement] = STATE(7144),
    [sym_coarray_critical_statement] = STATE(7144),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_subroutine_repeat1] = STATE(633),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3161),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3167),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2860),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2863),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2866),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2871),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2871),
    [aux_sym_implicit_statement_token4] = ACTIONS(2871),
    [aux_sym_save_statement_token1] = ACTIONS(2871),
    [aux_sym_private_statement_token1] = ACTIONS(2871),
    [aux_sym_public_statement_token1] = ACTIONS(2871),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2871),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2871),
    [aux_sym_variable_attributes_token2] = ACTIONS(2871),
    [aux_sym_variable_attributes_token3] = ACTIONS(2871),
    [aux_sym_variable_attributes_token5] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2871),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2874),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2877),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2871),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2871),
    [aux_sym_type_qualifier_token1] = ACTIONS(2871),
    [aux_sym_type_qualifier_token2] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(3173),
    [aux_sym_stop_statement_token1] = ACTIONS(2883),
    [aux_sym_stop_statement_token2] = ACTIONS(2886),
    [aux_sym_subroutine_call_token1] = ACTIONS(2889),
    [aux_sym_keyword_statement_token1] = ACTIONS(2892),
    [aux_sym_keyword_statement_token2] = ACTIONS(2895),
    [aux_sym_keyword_statement_token3] = ACTIONS(2895),
    [aux_sym_keyword_statement_token4] = ACTIONS(2898),
    [aux_sym_keyword_statement_token6] = ACTIONS(2901),
    [aux_sym_keyword_statement_token7] = ACTIONS(2892),
    [aux_sym_include_statement_token1] = ACTIONS(2904),
    [aux_sym_data_statement_token1] = ACTIONS(2871),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2907),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2910),
    [aux_sym_end_if_statement_token1] = ACTIONS(2871),
    [aux_sym_elseif_clause_token2] = ACTIONS(2871),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2913),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2916),
    [aux_sym_select_case_statement_token1] = ACTIONS(2919),
    [aux_sym_select_case_statement_token3] = ACTIONS(2922),
    [aux_sym_select_type_statement_token1] = ACTIONS(2925),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2928),
    [aux_sym_block_construct_token1] = ACTIONS(2931),
    [aux_sym_associate_statement_token1] = ACTIONS(2934),
    [aux_sym_format_statement_token1] = ACTIONS(2937),
    [aux_sym_print_statement_token1] = ACTIONS(2940),
    [aux_sym_open_statement_token1] = ACTIONS(2943),
    [aux_sym_close_statement_token1] = ACTIONS(2946),
    [aux_sym_inquire_statement_token1] = ACTIONS(2949),
    [aux_sym_file_position_statement_token1] = ACTIONS(2952),
    [aux_sym_file_position_statement_token2] = ACTIONS(2952),
    [aux_sym_file_position_statement_token3] = ACTIONS(2952),
    [aux_sym_file_position_statement_token4] = ACTIONS(2955),
    [aux_sym_allocate_statement_token1] = ACTIONS(2958),
    [aux_sym_entry_statement_token1] = ACTIONS(2961),
    [aux_sym_logical_expression_token5] = ACTIONS(2964),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [aux_sym_boolean_literal_token1] = ACTIONS(2976),
    [aux_sym_boolean_literal_token2] = ACTIONS(2976),
    [aux_sym_null_literal_token1] = ACTIONS(2979),
    [aux_sym_coarray_statement_token1] = ACTIONS(2982),
    [aux_sym_coarray_statement_token2] = ACTIONS(2982),
    [aux_sym_coarray_statement_token6] = ACTIONS(2985),
    [aux_sym_coarray_statement_token8] = ACTIONS(2988),
    [aux_sym_coarray_statement_token11] = ACTIONS(2991),
    [aux_sym_coarray_statement_token12] = ACTIONS(2991),
    [aux_sym_coarray_statement_token13] = ACTIONS(2994),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2997),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3000),
    [aux_sym_identifier_token1] = ACTIONS(2871),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3003),
    [sym__float_literal] = ACTIONS(3006),
    [sym__boz_literal] = ACTIONS(3006),
    [sym__string_literal] = ACTIONS(3009),
    [sym__string_literal_kind] = ACTIONS(3012),
  },
  [634] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8291),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [635] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8276),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [636] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8289),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [637] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8463),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(3178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [638] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8254),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [639] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym_internal_procedures] = STATE(8116),
    [sym_contains_statement] = STATE(7153),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2761),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(2765),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2833),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [640] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3183),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3183),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3183),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [641] = {
    [sym_preproc_include] = STATE(652),
    [sym_preproc_def] = STATE(652),
    [sym_preproc_function_def] = STATE(652),
    [sym_preproc_call] = STATE(652),
    [sym_preproc_if_in_statements] = STATE(652),
    [sym_preproc_ifdef_in_statements] = STATE(652),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(652),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3180),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3185),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3183),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3183),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3183),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [642] = {
    [sym_preproc_include] = STATE(648),
    [sym_preproc_def] = STATE(648),
    [sym_preproc_function_def] = STATE(648),
    [sym_preproc_call] = STATE(648),
    [sym_preproc_if_in_statements] = STATE(648),
    [sym_preproc_ifdef_in_statements] = STATE(648),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(648),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3187),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3190),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3192),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3192),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3192),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [643] = {
    [sym_preproc_include] = STATE(643),
    [sym_preproc_def] = STATE(643),
    [sym_preproc_function_def] = STATE(643),
    [sym_preproc_call] = STATE(643),
    [sym_preproc_if_in_statements] = STATE(643),
    [sym_preproc_ifdef_in_statements] = STATE(643),
    [sym__statements] = STATE(6716),
    [sym_statement_label] = STATE(804),
    [sym_stop_statement] = STATE(6716),
    [sym_assignment_statement] = STATE(6716),
    [sym_pointer_association_statement] = STATE(6716),
    [sym_subroutine_call] = STATE(6716),
    [sym_keyword_statement] = STATE(6716),
    [sym_include_statement] = STATE(6716),
    [sym_do_loop_statement] = STATE(6716),
    [sym_do_label_statement] = STATE(6716),
    [sym_end_do_label_statement] = STATE(6716),
    [sym_if_statement] = STATE(6716),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6716),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6716),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6716),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6716),
    [sym_select_type_statement] = STATE(6716),
    [sym_select_rank_statement] = STATE(6716),
    [sym_block_construct] = STATE(6716),
    [sym_associate_statement] = STATE(6716),
    [sym_format_statement] = STATE(6716),
    [sym_read_statement] = STATE(6716),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6716),
    [sym_open_statement] = STATE(6716),
    [sym_close_statement] = STATE(6716),
    [sym_write_statement] = STATE(6716),
    [sym_inquire_statement] = STATE(6716),
    [sym_file_position_statement] = STATE(6716),
    [sym_allocate_statement] = STATE(6716),
    [sym_entry_statement] = STATE(6716),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6716),
    [sym_coarray_team_statement] = STATE(6716),
    [sym_coarray_critical_statement] = STATE(6716),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(643),
    [aux_sym_preproc_include_token1] = ACTIONS(3194),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3206),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3209),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [644] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3227),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym_end_where_statement_token1] = ACTIONS(2079),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [645] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3233),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3233),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3233),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [646] = {
    [sym_preproc_include] = STATE(653),
    [sym_preproc_def] = STATE(653),
    [sym_preproc_function_def] = STATE(653),
    [sym_preproc_call] = STATE(653),
    [sym_preproc_if_in_statements] = STATE(653),
    [sym_preproc_ifdef_in_statements] = STATE(653),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(653),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3235),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3238),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3240),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3240),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3240),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [647] = {
    [sym_preproc_include] = STATE(640),
    [sym_preproc_def] = STATE(640),
    [sym_preproc_function_def] = STATE(640),
    [sym_preproc_call] = STATE(640),
    [sym_preproc_if_in_statements] = STATE(640),
    [sym_preproc_ifdef_in_statements] = STATE(640),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(640),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3242),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3245),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3247),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3247),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3247),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [648] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3242),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3247),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3247),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3247),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [649] = {
    [sym_preproc_include] = STATE(651),
    [sym_preproc_def] = STATE(651),
    [sym_preproc_function_def] = STATE(651),
    [sym_preproc_call] = STATE(651),
    [sym_preproc_if_in_statements] = STATE(651),
    [sym_preproc_ifdef_in_statements] = STATE(651),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(651),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3249),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3252),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3254),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3254),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [650] = {
    [sym_preproc_include] = STATE(645),
    [sym_preproc_def] = STATE(645),
    [sym_preproc_function_def] = STATE(645),
    [sym_preproc_call] = STATE(645),
    [sym_preproc_if_in_statements] = STATE(645),
    [sym_preproc_ifdef_in_statements] = STATE(645),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(645),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3259),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3261),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3261),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3261),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [651] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3261),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3261),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3261),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [652] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3263),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3266),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3266),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3266),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [653] = {
    [sym_preproc_include] = STATE(644),
    [sym_preproc_def] = STATE(644),
    [sym_preproc_function_def] = STATE(644),
    [sym_preproc_call] = STATE(644),
    [sym_preproc_if_in_statements] = STATE(644),
    [sym_preproc_ifdef_in_statements] = STATE(644),
    [sym__statements] = STATE(6836),
    [sym_statement_label] = STATE(797),
    [sym_stop_statement] = STATE(6836),
    [sym_assignment_statement] = STATE(6836),
    [sym_pointer_association_statement] = STATE(6836),
    [sym_subroutine_call] = STATE(6836),
    [sym_keyword_statement] = STATE(6836),
    [sym_include_statement] = STATE(6836),
    [sym_do_loop_statement] = STATE(6836),
    [sym_do_label_statement] = STATE(6836),
    [sym_end_do_label_statement] = STATE(6836),
    [sym_if_statement] = STATE(6836),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6836),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6836),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6836),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6836),
    [sym_select_type_statement] = STATE(6836),
    [sym_select_rank_statement] = STATE(6836),
    [sym_block_construct] = STATE(6836),
    [sym_associate_statement] = STATE(6836),
    [sym_format_statement] = STATE(6836),
    [sym_read_statement] = STATE(6836),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6836),
    [sym_open_statement] = STATE(6836),
    [sym_close_statement] = STATE(6836),
    [sym_write_statement] = STATE(6836),
    [sym_inquire_statement] = STATE(6836),
    [sym_file_position_statement] = STATE(6836),
    [sym_allocate_statement] = STATE(6836),
    [sym_entry_statement] = STATE(6836),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6836),
    [sym_coarray_team_statement] = STATE(6836),
    [sym_coarray_critical_statement] = STATE(6836),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(644),
    [aux_sym_preproc_include_token1] = ACTIONS(2415),
    [aux_sym_preproc_def_token1] = ACTIONS(2417),
    [aux_sym_preproc_if_token1] = ACTIONS(2419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2421),
    [sym_preproc_directive] = ACTIONS(2423),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3249),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2485),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token1] = ACTIONS(3254),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym_end_where_statement_token1] = ACTIONS(3254),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(3254),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [654] = {
    [sym_preproc_include] = STATE(698),
    [sym_preproc_def] = STATE(698),
    [sym_preproc_function_def] = STATE(698),
    [sym_preproc_call] = STATE(698),
    [sym_preproc_if_in_statements] = STATE(698),
    [sym_preproc_ifdef_in_statements] = STATE(698),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(698),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3277),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3283),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3286),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2781),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2781),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3288),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [655] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3306),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token2] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [656] = {
    [sym_preproc_include] = STATE(664),
    [sym_preproc_def] = STATE(664),
    [sym_preproc_function_def] = STATE(664),
    [sym_preproc_call] = STATE(664),
    [sym_preproc_if_in_statements] = STATE(664),
    [sym_preproc_ifdef_in_statements] = STATE(664),
    [sym__statements] = STATE(6655),
    [sym_statement_label] = STATE(772),
    [sym_stop_statement] = STATE(6655),
    [sym_assignment_statement] = STATE(6655),
    [sym_pointer_association_statement] = STATE(6655),
    [sym_subroutine_call] = STATE(6655),
    [sym_keyword_statement] = STATE(6655),
    [sym_include_statement] = STATE(6655),
    [sym_do_loop_statement] = STATE(6655),
    [sym_do_label_statement] = STATE(6655),
    [sym_end_do_label_statement] = STATE(6655),
    [sym_if_statement] = STATE(6655),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6655),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6655),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6655),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7319),
    [sym_select_case_statement] = STATE(6655),
    [sym_select_type_statement] = STATE(6655),
    [sym_select_rank_statement] = STATE(6655),
    [sym_block_construct] = STATE(6655),
    [sym_associate_statement] = STATE(6655),
    [sym_format_statement] = STATE(6655),
    [sym_read_statement] = STATE(6655),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6655),
    [sym_open_statement] = STATE(6655),
    [sym_close_statement] = STATE(6655),
    [sym_write_statement] = STATE(6655),
    [sym_inquire_statement] = STATE(6655),
    [sym_file_position_statement] = STATE(6655),
    [sym_allocate_statement] = STATE(6655),
    [sym_entry_statement] = STATE(6655),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6655),
    [sym_coarray_team_statement] = STATE(6655),
    [sym_coarray_critical_statement] = STATE(6655),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(664),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3319),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3321),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3325),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [657] = {
    [sym_preproc_include] = STATE(657),
    [sym_preproc_def] = STATE(657),
    [sym_preproc_function_def] = STATE(657),
    [sym_preproc_call] = STATE(657),
    [sym_preproc_if_in_statements] = STATE(657),
    [sym_preproc_ifdef_in_statements] = STATE(657),
    [sym__statements] = STATE(6870),
    [sym_statement_label] = STATE(803),
    [sym_stop_statement] = STATE(6870),
    [sym_assignment_statement] = STATE(6870),
    [sym_pointer_association_statement] = STATE(6870),
    [sym_subroutine_call] = STATE(6870),
    [sym_keyword_statement] = STATE(6870),
    [sym_include_statement] = STATE(6870),
    [sym_do_loop_statement] = STATE(6870),
    [sym_do_label_statement] = STATE(6870),
    [sym_end_do_label_statement] = STATE(6870),
    [sym_if_statement] = STATE(6870),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6870),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6870),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6870),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6870),
    [sym_select_type_statement] = STATE(6870),
    [sym_select_rank_statement] = STATE(6870),
    [sym_block_construct] = STATE(6870),
    [sym_associate_statement] = STATE(6870),
    [sym_format_statement] = STATE(6870),
    [sym_read_statement] = STATE(6870),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6870),
    [sym_open_statement] = STATE(6870),
    [sym_close_statement] = STATE(6870),
    [sym_write_statement] = STATE(6870),
    [sym_inquire_statement] = STATE(6870),
    [sym_file_position_statement] = STATE(6870),
    [sym_allocate_statement] = STATE(6870),
    [sym_entry_statement] = STATE(6870),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6870),
    [sym_coarray_team_statement] = STATE(6870),
    [sym_coarray_critical_statement] = STATE(6870),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(657),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3330),
    [aux_sym_preproc_if_token1] = ACTIONS(3333),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3342),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [658] = {
    [sym_preproc_include] = STATE(704),
    [sym_preproc_def] = STATE(704),
    [sym_preproc_function_def] = STATE(704),
    [sym_preproc_call] = STATE(704),
    [sym_preproc_if_in_statements] = STATE(704),
    [sym_preproc_ifdef_in_statements] = STATE(704),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7596),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(704),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3357),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [659] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7550),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3373),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [660] = {
    [sym_preproc_include] = STATE(660),
    [sym_preproc_def] = STATE(660),
    [sym_preproc_function_def] = STATE(660),
    [sym_preproc_call] = STATE(660),
    [sym_preproc_if_in_specification_part] = STATE(660),
    [sym_preproc_ifdef_in_specification_part] = STATE(660),
    [sym_interface] = STATE(660),
    [sym_interface_statement] = STATE(3919),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(660),
    [sym_use_statement] = STATE(6654),
    [sym_implicit_statement] = STATE(6654),
    [sym_save_statement] = STATE(6654),
    [sym_private_statement] = STATE(660),
    [sym_public_statement] = STATE(660),
    [sym_namelist_statement] = STATE(6654),
    [sym_common_statement] = STATE(6654),
    [sym_import_statement] = STATE(6654),
    [sym_derived_type_definition] = STATE(660),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4312),
    [sym_variable_declaration] = STATE(6654),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6654),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6654),
    [sym_equivalence_statement] = STATE(6654),
    [sym_statement_label] = STATE(7226),
    [sym_include_statement] = STATE(6654),
    [sym_data_statement] = STATE(6654),
    [sym_enum] = STATE(660),
    [sym_enum_statement] = STATE(6039),
    [sym_enumeration_type] = STATE(660),
    [sym_enumeration_type_statement] = STATE(6183),
    [sym_statement_function] = STATE(6654),
    [sym_identifier] = STATE(7589),
    [aux_sym_program_repeat1] = STATE(660),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3380),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3386),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3402),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3402),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(3392),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3405),
    [aux_sym_language_binding_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3411),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3414),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3417),
    [aux_sym_use_statement_token2] = ACTIONS(3414),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3423),
    [aux_sym_implicit_statement_token4] = ACTIONS(3414),
    [aux_sym_save_statement_token1] = ACTIONS(3426),
    [aux_sym_private_statement_token1] = ACTIONS(3429),
    [aux_sym_public_statement_token1] = ACTIONS(3432),
    [aux_sym_namelist_statement_token1] = ACTIONS(3435),
    [aux_sym_common_statement_token1] = ACTIONS(3438),
    [aux_sym_import_statement_token1] = ACTIONS(3441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3414),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3444),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3414),
    [aux_sym_variable_attributes_token1] = ACTIONS(3447),
    [aux_sym_variable_attributes_token2] = ACTIONS(3414),
    [aux_sym_variable_attributes_token3] = ACTIONS(3414),
    [aux_sym_variable_attributes_token4] = ACTIONS(3447),
    [aux_sym_variable_attributes_token5] = ACTIONS(3414),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3459),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3453),
    [aux_sym_derived_type_token1] = ACTIONS(3462),
    [aux_sym_declared_type_token1] = ACTIONS(3465),
    [aux_sym_declared_type_token2] = ACTIONS(3465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3471),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3474),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3447),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3480),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3447),
    [aux_sym_type_qualifier_token1] = ACTIONS(3402),
    [aux_sym_type_qualifier_token2] = ACTIONS(3402),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3394),
    [aux_sym_stop_statement_token1] = ACTIONS(3402),
    [aux_sym_stop_statement_token2] = ACTIONS(3402),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3402),
    [aux_sym_keyword_statement_token3] = ACTIONS(3402),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3486),
    [aux_sym_data_statement_token1] = ACTIONS(3489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3402),
    [aux_sym_end_if_statement_token1] = ACTIONS(3402),
    [aux_sym_elseif_clause_token2] = ACTIONS(3402),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3492),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3402),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3402),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3402),
    [aux_sym_enum_statement_token1] = ACTIONS(3495),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3498),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_allocate_statement_token1] = ACTIONS(3392),
    [aux_sym_entry_statement_token1] = ACTIONS(3402),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token2] = ACTIONS(3402),
    [aux_sym_coarray_statement_token6] = ACTIONS(3402),
    [aux_sym_coarray_statement_token8] = ACTIONS(3402),
    [aux_sym_coarray_statement_token11] = ACTIONS(3402),
    [aux_sym_coarray_statement_token12] = ACTIONS(3402),
    [aux_sym_coarray_statement_token13] = ACTIONS(3392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3402),
    [aux_sym_identifier_token1] = ACTIONS(3402),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3501),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [661] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3504),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3513),
    [sym_preproc_directive] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3519),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3522),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2747),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2747),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3524),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [662] = {
    [sym_preproc_include] = STATE(678),
    [sym_preproc_def] = STATE(678),
    [sym_preproc_function_def] = STATE(678),
    [sym_preproc_call] = STATE(678),
    [sym_preproc_if_in_statements] = STATE(678),
    [sym_preproc_ifdef_in_statements] = STATE(678),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(781),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7391),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(678),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3539),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [663] = {
    [sym_preproc_include] = STATE(659),
    [sym_preproc_def] = STATE(659),
    [sym_preproc_function_def] = STATE(659),
    [sym_preproc_call] = STATE(659),
    [sym_preproc_if_in_statements] = STATE(659),
    [sym_preproc_ifdef_in_statements] = STATE(659),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7663),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(659),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3543),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [664] = {
    [sym_preproc_include] = STATE(748),
    [sym_preproc_def] = STATE(748),
    [sym_preproc_function_def] = STATE(748),
    [sym_preproc_call] = STATE(748),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym__statements] = STATE(6655),
    [sym_statement_label] = STATE(771),
    [sym_stop_statement] = STATE(6655),
    [sym_assignment_statement] = STATE(6655),
    [sym_pointer_association_statement] = STATE(6655),
    [sym_subroutine_call] = STATE(6655),
    [sym_keyword_statement] = STATE(6655),
    [sym_include_statement] = STATE(6655),
    [sym_do_loop_statement] = STATE(6655),
    [sym_do_label_statement] = STATE(6655),
    [sym_end_do_label_statement] = STATE(6655),
    [sym_if_statement] = STATE(6655),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6655),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6655),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6655),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7608),
    [sym_select_case_statement] = STATE(6655),
    [sym_select_type_statement] = STATE(6655),
    [sym_select_rank_statement] = STATE(6655),
    [sym_block_construct] = STATE(6655),
    [sym_associate_statement] = STATE(6655),
    [sym_format_statement] = STATE(6655),
    [sym_read_statement] = STATE(6655),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6655),
    [sym_open_statement] = STATE(6655),
    [sym_close_statement] = STATE(6655),
    [sym_write_statement] = STATE(6655),
    [sym_inquire_statement] = STATE(6655),
    [sym_file_position_statement] = STATE(6655),
    [sym_allocate_statement] = STATE(6655),
    [sym_entry_statement] = STATE(6655),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6655),
    [sym_coarray_team_statement] = STATE(6655),
    [sym_coarray_critical_statement] = STATE(6655),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3319),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3545),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3325),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [665] = {
    [sym_preproc_include] = STATE(721),
    [sym_preproc_def] = STATE(721),
    [sym_preproc_function_def] = STATE(721),
    [sym_preproc_call] = STATE(721),
    [sym_preproc_if_in_statements] = STATE(721),
    [sym_preproc_ifdef_in_statements] = STATE(721),
    [sym__statements] = STATE(6979),
    [sym_statement_label] = STATE(807),
    [sym_stop_statement] = STATE(6979),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(6979),
    [sym_subroutine_call] = STATE(6979),
    [sym_keyword_statement] = STATE(6979),
    [sym_include_statement] = STATE(6979),
    [sym_do_loop_statement] = STATE(6979),
    [sym_do_label_statement] = STATE(6979),
    [sym_end_do_label_statement] = STATE(6979),
    [sym_if_statement] = STATE(6979),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6979),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6979),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6979),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6979),
    [sym_select_type_statement] = STATE(6979),
    [sym_select_rank_statement] = STATE(6979),
    [sym_block_construct] = STATE(6979),
    [sym_associate_statement] = STATE(6979),
    [sym_format_statement] = STATE(6979),
    [sym_read_statement] = STATE(6979),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6979),
    [sym_open_statement] = STATE(6979),
    [sym_close_statement] = STATE(6979),
    [sym_write_statement] = STATE(6979),
    [sym_inquire_statement] = STATE(6979),
    [sym_file_position_statement] = STATE(6979),
    [sym_allocate_statement] = STATE(6979),
    [sym_entry_statement] = STATE(6979),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6979),
    [sym_coarray_team_statement] = STATE(6979),
    [sym_end_coarray_team_statement] = STATE(7468),
    [sym_coarray_critical_statement] = STATE(6979),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(721),
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3555),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3559),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [666] = {
    [sym_preproc_include] = STATE(658),
    [sym_preproc_def] = STATE(658),
    [sym_preproc_function_def] = STATE(658),
    [sym_preproc_call] = STATE(658),
    [sym_preproc_if_in_statements] = STATE(658),
    [sym_preproc_ifdef_in_statements] = STATE(658),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7640),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(658),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3563),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [667] = {
    [sym_preproc_include] = STATE(665),
    [sym_preproc_def] = STATE(665),
    [sym_preproc_function_def] = STATE(665),
    [sym_preproc_call] = STATE(665),
    [sym_preproc_if_in_statements] = STATE(665),
    [sym_preproc_ifdef_in_statements] = STATE(665),
    [sym__statements] = STATE(6979),
    [sym_statement_label] = STATE(807),
    [sym_stop_statement] = STATE(6979),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(6979),
    [sym_subroutine_call] = STATE(6979),
    [sym_keyword_statement] = STATE(6979),
    [sym_include_statement] = STATE(6979),
    [sym_do_loop_statement] = STATE(6979),
    [sym_do_label_statement] = STATE(6979),
    [sym_end_do_label_statement] = STATE(6979),
    [sym_if_statement] = STATE(6979),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6979),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6979),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6979),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6979),
    [sym_select_type_statement] = STATE(6979),
    [sym_select_rank_statement] = STATE(6979),
    [sym_block_construct] = STATE(6979),
    [sym_associate_statement] = STATE(6979),
    [sym_format_statement] = STATE(6979),
    [sym_read_statement] = STATE(6979),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6979),
    [sym_open_statement] = STATE(6979),
    [sym_close_statement] = STATE(6979),
    [sym_write_statement] = STATE(6979),
    [sym_inquire_statement] = STATE(6979),
    [sym_file_position_statement] = STATE(6979),
    [sym_allocate_statement] = STATE(6979),
    [sym_entry_statement] = STATE(6979),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6979),
    [sym_coarray_team_statement] = STATE(6979),
    [sym_end_coarray_team_statement] = STATE(7643),
    [sym_coarray_critical_statement] = STATE(6979),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(665),
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3555),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3565),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [668] = {
    [sym_preproc_include] = STATE(687),
    [sym_preproc_def] = STATE(687),
    [sym_preproc_function_def] = STATE(687),
    [sym_preproc_call] = STATE(687),
    [sym_preproc_if_in_statements] = STATE(687),
    [sym_preproc_ifdef_in_statements] = STATE(687),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7347),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(687),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3567),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [669] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3277),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3283),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3522),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2781),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2781),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3288),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [670] = {
    [sym_preproc_include] = STATE(738),
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_statements] = STATE(738),
    [sym_preproc_ifdef_in_statements] = STATE(738),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(781),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7391),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(738),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3569),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [671] = {
    [sym_preproc_include] = STATE(671),
    [sym_preproc_def] = STATE(671),
    [sym_preproc_function_def] = STATE(671),
    [sym_preproc_call] = STATE(671),
    [sym_preproc_if_in_specification_part] = STATE(671),
    [sym_preproc_ifdef_in_specification_part] = STATE(671),
    [sym_interface] = STATE(671),
    [sym_interface_statement] = STATE(3837),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(671),
    [sym_use_statement] = STATE(6493),
    [sym_implicit_statement] = STATE(6493),
    [sym_save_statement] = STATE(6493),
    [sym_private_statement] = STATE(671),
    [sym_public_statement] = STATE(671),
    [sym_namelist_statement] = STATE(6493),
    [sym_common_statement] = STATE(6493),
    [sym_import_statement] = STATE(6493),
    [sym_derived_type_definition] = STATE(671),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4295),
    [sym_variable_declaration] = STATE(6493),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6493),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6493),
    [sym_equivalence_statement] = STATE(6493),
    [sym_statement_label] = STATE(7160),
    [sym_include_statement] = STATE(6493),
    [sym_data_statement] = STATE(6493),
    [sym_enum] = STATE(671),
    [sym_enum_statement] = STATE(6077),
    [sym_enumeration_type] = STATE(671),
    [sym_enumeration_type_statement] = STATE(6083),
    [sym_statement_function] = STATE(6493),
    [sym_identifier] = STATE(7589),
    [aux_sym_program_repeat1] = STATE(671),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3571),
    [aux_sym_preproc_def_token1] = ACTIONS(3574),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3580),
    [sym_preproc_directive] = ACTIONS(3583),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_end_program_statement_token2] = ACTIONS(3392),
    [aux_sym_interface_statement_token1] = ACTIONS(3399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3402),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3405),
    [aux_sym_language_binding_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3411),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3414),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3417),
    [aux_sym_use_statement_token2] = ACTIONS(3414),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3423),
    [aux_sym_implicit_statement_token4] = ACTIONS(3414),
    [aux_sym_save_statement_token1] = ACTIONS(3426),
    [aux_sym_private_statement_token1] = ACTIONS(3586),
    [aux_sym_public_statement_token1] = ACTIONS(3589),
    [aux_sym_namelist_statement_token1] = ACTIONS(3435),
    [aux_sym_common_statement_token1] = ACTIONS(3438),
    [aux_sym_import_statement_token1] = ACTIONS(3441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3414),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3444),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3414),
    [aux_sym_variable_attributes_token1] = ACTIONS(3447),
    [aux_sym_variable_attributes_token2] = ACTIONS(3414),
    [aux_sym_variable_attributes_token3] = ACTIONS(3414),
    [aux_sym_variable_attributes_token4] = ACTIONS(3447),
    [aux_sym_variable_attributes_token5] = ACTIONS(3414),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3459),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3453),
    [aux_sym_derived_type_token1] = ACTIONS(3462),
    [aux_sym_declared_type_token1] = ACTIONS(3465),
    [aux_sym_declared_type_token2] = ACTIONS(3465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3471),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3474),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3447),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3480),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3447),
    [aux_sym_type_qualifier_token1] = ACTIONS(3402),
    [aux_sym_type_qualifier_token2] = ACTIONS(3402),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3394),
    [aux_sym_stop_statement_token1] = ACTIONS(3402),
    [aux_sym_stop_statement_token2] = ACTIONS(3402),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3402),
    [aux_sym_keyword_statement_token3] = ACTIONS(3402),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3486),
    [aux_sym_data_statement_token1] = ACTIONS(3489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3402),
    [aux_sym_end_if_statement_token1] = ACTIONS(3402),
    [aux_sym_elseif_clause_token2] = ACTIONS(3402),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3492),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3402),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3402),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3402),
    [aux_sym_enum_statement_token1] = ACTIONS(3495),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3498),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_allocate_statement_token1] = ACTIONS(3392),
    [aux_sym_entry_statement_token1] = ACTIONS(3402),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token2] = ACTIONS(3402),
    [aux_sym_coarray_statement_token6] = ACTIONS(3402),
    [aux_sym_coarray_statement_token8] = ACTIONS(3402),
    [aux_sym_coarray_statement_token11] = ACTIONS(3402),
    [aux_sym_coarray_statement_token12] = ACTIONS(3402),
    [aux_sym_coarray_statement_token13] = ACTIONS(3392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3402),
    [aux_sym_identifier_token1] = ACTIONS(3402),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3501),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [672] = {
    [sym_preproc_include] = STATE(745),
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_statements] = STATE(745),
    [sym_preproc_ifdef_in_statements] = STATE(745),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(800),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6511),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7331),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(745),
    [aux_sym_preproc_include_token1] = ACTIONS(3592),
    [aux_sym_preproc_def_token1] = ACTIONS(3594),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3598),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [673] = {
    [sym_preproc_include] = STATE(745),
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_statements] = STATE(745),
    [sym_preproc_ifdef_in_statements] = STATE(745),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(800),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6511),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7371),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(745),
    [aux_sym_preproc_include_token1] = ACTIONS(3592),
    [aux_sym_preproc_def_token1] = ACTIONS(3594),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3598),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [674] = {
    [sym_preproc_include] = STATE(685),
    [sym_preproc_def] = STATE(685),
    [sym_preproc_function_def] = STATE(685),
    [sym_preproc_call] = STATE(685),
    [sym_preproc_if_in_statements] = STATE(685),
    [sym_preproc_ifdef_in_statements] = STATE(685),
    [sym__statements] = STATE(6655),
    [sym_statement_label] = STATE(769),
    [sym_stop_statement] = STATE(6655),
    [sym_assignment_statement] = STATE(6655),
    [sym_pointer_association_statement] = STATE(6655),
    [sym_subroutine_call] = STATE(6655),
    [sym_keyword_statement] = STATE(6655),
    [sym_include_statement] = STATE(6655),
    [sym_do_loop_statement] = STATE(6655),
    [sym_do_label_statement] = STATE(6655),
    [sym_end_do_label_statement] = STATE(6655),
    [sym_if_statement] = STATE(6655),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6655),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6655),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6655),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7697),
    [sym_select_case_statement] = STATE(6655),
    [sym_select_type_statement] = STATE(6655),
    [sym_select_rank_statement] = STATE(6655),
    [sym_block_construct] = STATE(6655),
    [sym_associate_statement] = STATE(6655),
    [sym_format_statement] = STATE(6655),
    [sym_read_statement] = STATE(6655),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6655),
    [sym_open_statement] = STATE(6655),
    [sym_close_statement] = STATE(6655),
    [sym_write_statement] = STATE(6655),
    [sym_inquire_statement] = STATE(6655),
    [sym_file_position_statement] = STATE(6655),
    [sym_allocate_statement] = STATE(6655),
    [sym_entry_statement] = STATE(6655),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6655),
    [sym_coarray_team_statement] = STATE(6655),
    [sym_coarray_critical_statement] = STATE(6655),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(685),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3319),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3600),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3325),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [675] = {
    [sym_preproc_include] = STATE(675),
    [sym_preproc_def] = STATE(675),
    [sym_preproc_function_def] = STATE(675),
    [sym_preproc_call] = STATE(675),
    [sym_preproc_if_in_statements] = STATE(675),
    [sym_preproc_ifdef_in_statements] = STATE(675),
    [sym__statements] = STATE(6888),
    [sym_statement_label] = STATE(809),
    [sym_stop_statement] = STATE(6888),
    [sym_assignment_statement] = STATE(6888),
    [sym_pointer_association_statement] = STATE(6888),
    [sym_subroutine_call] = STATE(6888),
    [sym_keyword_statement] = STATE(6888),
    [sym_include_statement] = STATE(6888),
    [sym_do_loop_statement] = STATE(6888),
    [sym_do_label_statement] = STATE(6888),
    [sym_end_do_label_statement] = STATE(6888),
    [sym_if_statement] = STATE(6888),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6888),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6888),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6888),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6888),
    [sym_select_type_statement] = STATE(6888),
    [sym_select_rank_statement] = STATE(6888),
    [sym_block_construct] = STATE(6888),
    [sym_associate_statement] = STATE(6888),
    [sym_format_statement] = STATE(6888),
    [sym_read_statement] = STATE(6888),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6888),
    [sym_open_statement] = STATE(6888),
    [sym_close_statement] = STATE(6888),
    [sym_write_statement] = STATE(6888),
    [sym_inquire_statement] = STATE(6888),
    [sym_file_position_statement] = STATE(6888),
    [sym_allocate_statement] = STATE(6888),
    [sym_entry_statement] = STATE(6888),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6888),
    [sym_coarray_team_statement] = STATE(6888),
    [sym_coarray_critical_statement] = STATE(6888),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(675),
    [aux_sym_preproc_include_token1] = ACTIONS(3602),
    [aux_sym_preproc_def_token1] = ACTIONS(3605),
    [aux_sym_preproc_if_token1] = ACTIONS(3608),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3611),
    [sym_preproc_directive] = ACTIONS(3614),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3617),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [676] = {
    [sym_preproc_include] = STATE(738),
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_statements] = STATE(738),
    [sym_preproc_ifdef_in_statements] = STATE(738),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7694),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(738),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3569),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [677] = {
    [sym_preproc_include] = STATE(677),
    [sym_preproc_def] = STATE(677),
    [sym_preproc_function_def] = STATE(677),
    [sym_preproc_call] = STATE(677),
    [sym_preproc_if_in_specification_part] = STATE(677),
    [sym_preproc_ifdef_in_specification_part] = STATE(677),
    [sym_interface] = STATE(677),
    [sym_interface_statement] = STATE(3830),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(677),
    [sym_use_statement] = STATE(6714),
    [sym_implicit_statement] = STATE(6714),
    [sym_save_statement] = STATE(6714),
    [sym_private_statement] = STATE(677),
    [sym_public_statement] = STATE(677),
    [sym_namelist_statement] = STATE(6714),
    [sym_common_statement] = STATE(6714),
    [sym_import_statement] = STATE(6714),
    [sym_derived_type_definition] = STATE(677),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4317),
    [sym_variable_declaration] = STATE(6714),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6714),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6714),
    [sym_equivalence_statement] = STATE(6714),
    [sym_statement_label] = STATE(7235),
    [sym_include_statement] = STATE(6714),
    [sym_data_statement] = STATE(6714),
    [sym_enum] = STATE(677),
    [sym_enum_statement] = STATE(6041),
    [sym_enumeration_type] = STATE(677),
    [sym_enumeration_type_statement] = STATE(6190),
    [sym_statement_function] = STATE(6714),
    [sym_identifier] = STATE(7589),
    [aux_sym_program_repeat1] = STATE(677),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3620),
    [aux_sym_preproc_def_token1] = ACTIONS(3623),
    [aux_sym_preproc_if_token1] = ACTIONS(3626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3629),
    [sym_preproc_directive] = ACTIONS(3632),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3402),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3405),
    [aux_sym_language_binding_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3411),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3414),
    [aux_sym_end_function_statement_token1] = ACTIONS(3392),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3417),
    [aux_sym_use_statement_token2] = ACTIONS(3414),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3423),
    [aux_sym_implicit_statement_token4] = ACTIONS(3414),
    [aux_sym_save_statement_token1] = ACTIONS(3426),
    [aux_sym_private_statement_token1] = ACTIONS(3635),
    [aux_sym_public_statement_token1] = ACTIONS(3638),
    [aux_sym_namelist_statement_token1] = ACTIONS(3435),
    [aux_sym_common_statement_token1] = ACTIONS(3438),
    [aux_sym_import_statement_token1] = ACTIONS(3441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3414),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3444),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3414),
    [aux_sym_variable_attributes_token1] = ACTIONS(3447),
    [aux_sym_variable_attributes_token2] = ACTIONS(3414),
    [aux_sym_variable_attributes_token3] = ACTIONS(3414),
    [aux_sym_variable_attributes_token4] = ACTIONS(3447),
    [aux_sym_variable_attributes_token5] = ACTIONS(3414),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3459),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3453),
    [aux_sym_derived_type_token1] = ACTIONS(3462),
    [aux_sym_declared_type_token1] = ACTIONS(3465),
    [aux_sym_declared_type_token2] = ACTIONS(3465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3471),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3474),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3447),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3480),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3447),
    [aux_sym_type_qualifier_token1] = ACTIONS(3402),
    [aux_sym_type_qualifier_token2] = ACTIONS(3402),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3394),
    [aux_sym_stop_statement_token1] = ACTIONS(3402),
    [aux_sym_stop_statement_token2] = ACTIONS(3402),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3402),
    [aux_sym_keyword_statement_token3] = ACTIONS(3402),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3486),
    [aux_sym_data_statement_token1] = ACTIONS(3489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3402),
    [aux_sym_end_if_statement_token1] = ACTIONS(3402),
    [aux_sym_elseif_clause_token2] = ACTIONS(3402),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3492),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3402),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3402),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3402),
    [aux_sym_enum_statement_token1] = ACTIONS(3495),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3498),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_allocate_statement_token1] = ACTIONS(3392),
    [aux_sym_entry_statement_token1] = ACTIONS(3402),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token2] = ACTIONS(3402),
    [aux_sym_coarray_statement_token6] = ACTIONS(3402),
    [aux_sym_coarray_statement_token8] = ACTIONS(3402),
    [aux_sym_coarray_statement_token11] = ACTIONS(3402),
    [aux_sym_coarray_statement_token12] = ACTIONS(3402),
    [aux_sym_coarray_statement_token13] = ACTIONS(3392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3402),
    [aux_sym_identifier_token1] = ACTIONS(3402),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3501),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [678] = {
    [sym_preproc_include] = STATE(738),
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_statements] = STATE(738),
    [sym_preproc_ifdef_in_statements] = STATE(738),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(775),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7425),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(738),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3569),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [679] = {
    [sym_preproc_include] = STATE(661),
    [sym_preproc_def] = STATE(661),
    [sym_preproc_function_def] = STATE(661),
    [sym_preproc_call] = STATE(661),
    [sym_preproc_if_in_statements] = STATE(661),
    [sym_preproc_ifdef_in_statements] = STATE(661),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(661),
    [aux_sym_preproc_include_token1] = ACTIONS(3641),
    [aux_sym_preproc_def_token1] = ACTIONS(3644),
    [aux_sym_preproc_if_token1] = ACTIONS(3647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3650),
    [sym_preproc_directive] = ACTIONS(3653),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3656),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3659),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2795),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2795),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3661),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [680] = {
    [sym_preproc_include] = STATE(681),
    [sym_preproc_def] = STATE(681),
    [sym_preproc_function_def] = STATE(681),
    [sym_preproc_call] = STATE(681),
    [sym_preproc_if_in_statements] = STATE(681),
    [sym_preproc_ifdef_in_statements] = STATE(681),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7465),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(681),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3664),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [681] = {
    [sym_preproc_include] = STATE(704),
    [sym_preproc_def] = STATE(704),
    [sym_preproc_function_def] = STATE(704),
    [sym_preproc_call] = STATE(704),
    [sym_preproc_if_in_statements] = STATE(704),
    [sym_preproc_ifdef_in_statements] = STATE(704),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7527),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(704),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3357),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [682] = {
    [sym_preproc_include] = STATE(699),
    [sym_preproc_def] = STATE(699),
    [sym_preproc_function_def] = STATE(699),
    [sym_preproc_call] = STATE(699),
    [sym_preproc_if_in_statements] = STATE(699),
    [sym_preproc_ifdef_in_statements] = STATE(699),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7527),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(699),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3666),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [683] = {
    [sym_preproc_include] = STATE(684),
    [sym_preproc_def] = STATE(684),
    [sym_preproc_function_def] = STATE(684),
    [sym_preproc_call] = STATE(684),
    [sym_preproc_if_in_statements] = STATE(684),
    [sym_preproc_ifdef_in_statements] = STATE(684),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7619),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(684),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3668),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [684] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7663),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3373),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [685] = {
    [sym_preproc_include] = STATE(748),
    [sym_preproc_def] = STATE(748),
    [sym_preproc_function_def] = STATE(748),
    [sym_preproc_call] = STATE(748),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym__statements] = STATE(6655),
    [sym_statement_label] = STATE(772),
    [sym_stop_statement] = STATE(6655),
    [sym_assignment_statement] = STATE(6655),
    [sym_pointer_association_statement] = STATE(6655),
    [sym_subroutine_call] = STATE(6655),
    [sym_keyword_statement] = STATE(6655),
    [sym_include_statement] = STATE(6655),
    [sym_do_loop_statement] = STATE(6655),
    [sym_do_label_statement] = STATE(6655),
    [sym_end_do_label_statement] = STATE(6655),
    [sym_if_statement] = STATE(6655),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6655),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6655),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6655),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7319),
    [sym_select_case_statement] = STATE(6655),
    [sym_select_type_statement] = STATE(6655),
    [sym_select_rank_statement] = STATE(6655),
    [sym_block_construct] = STATE(6655),
    [sym_associate_statement] = STATE(6655),
    [sym_format_statement] = STATE(6655),
    [sym_read_statement] = STATE(6655),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6655),
    [sym_open_statement] = STATE(6655),
    [sym_close_statement] = STATE(6655),
    [sym_write_statement] = STATE(6655),
    [sym_inquire_statement] = STATE(6655),
    [sym_file_position_statement] = STATE(6655),
    [sym_allocate_statement] = STATE(6655),
    [sym_entry_statement] = STATE(6655),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6655),
    [sym_coarray_team_statement] = STATE(6655),
    [sym_coarray_critical_statement] = STATE(6655),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3315),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3319),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3545),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3325),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [686] = {
    [sym_preproc_include] = STATE(692),
    [sym_preproc_def] = STATE(692),
    [sym_preproc_function_def] = STATE(692),
    [sym_preproc_call] = STATE(692),
    [sym_preproc_if_in_statements] = STATE(692),
    [sym_preproc_ifdef_in_statements] = STATE(692),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(692),
    [aux_sym_preproc_include_token1] = ACTIONS(3504),
    [aux_sym_preproc_def_token1] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3513),
    [sym_preproc_directive] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3519),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3670),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2747),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2747),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3524),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [687] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_end_coarray_critical_statement] = STATE(7619),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3361),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3369),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3371),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3373),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(3375),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [688] = {
    [sym_preproc_include] = STATE(670),
    [sym_preproc_def] = STATE(670),
    [sym_preproc_function_def] = STATE(670),
    [sym_preproc_call] = STATE(670),
    [sym_preproc_if_in_statements] = STATE(670),
    [sym_preproc_ifdef_in_statements] = STATE(670),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(778),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7512),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(670),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3672),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [689] = {
    [sym_preproc_include] = STATE(669),
    [sym_preproc_def] = STATE(669),
    [sym_preproc_function_def] = STATE(669),
    [sym_preproc_call] = STATE(669),
    [sym_preproc_if_in_statements] = STATE(669),
    [sym_preproc_ifdef_in_statements] = STATE(669),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(669),
    [aux_sym_preproc_include_token1] = ACTIONS(3674),
    [aux_sym_preproc_def_token1] = ACTIONS(3677),
    [aux_sym_preproc_if_token1] = ACTIONS(3680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3683),
    [sym_preproc_directive] = ACTIONS(3686),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3689),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3692),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2751),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2751),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3694),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [690] = {
    [sym_preproc_include] = STATE(693),
    [sym_preproc_def] = STATE(693),
    [sym_preproc_function_def] = STATE(693),
    [sym_preproc_call] = STATE(693),
    [sym_preproc_if_in_statements] = STATE(693),
    [sym_preproc_ifdef_in_statements] = STATE(693),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(783),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7694),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(693),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3697),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [691] = {
    [sym_preproc_include] = STATE(695),
    [sym_preproc_def] = STATE(695),
    [sym_preproc_function_def] = STATE(695),
    [sym_preproc_call] = STATE(695),
    [sym_preproc_if_in_statements] = STATE(695),
    [sym_preproc_ifdef_in_statements] = STATE(695),
    [sym__statements] = STATE(6979),
    [sym_statement_label] = STATE(807),
    [sym_stop_statement] = STATE(6979),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(6979),
    [sym_subroutine_call] = STATE(6979),
    [sym_keyword_statement] = STATE(6979),
    [sym_include_statement] = STATE(6979),
    [sym_do_loop_statement] = STATE(6979),
    [sym_do_label_statement] = STATE(6979),
    [sym_end_do_label_statement] = STATE(6979),
    [sym_if_statement] = STATE(6979),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6979),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6979),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6979),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6979),
    [sym_select_type_statement] = STATE(6979),
    [sym_select_rank_statement] = STATE(6979),
    [sym_block_construct] = STATE(6979),
    [sym_associate_statement] = STATE(6979),
    [sym_format_statement] = STATE(6979),
    [sym_read_statement] = STATE(6979),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6979),
    [sym_open_statement] = STATE(6979),
    [sym_close_statement] = STATE(6979),
    [sym_write_statement] = STATE(6979),
    [sym_inquire_statement] = STATE(6979),
    [sym_file_position_statement] = STATE(6979),
    [sym_allocate_statement] = STATE(6979),
    [sym_entry_statement] = STATE(6979),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6979),
    [sym_coarray_team_statement] = STATE(6979),
    [sym_end_coarray_team_statement] = STATE(7468),
    [sym_coarray_critical_statement] = STATE(6979),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(695),
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3555),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3699),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [692] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3701),
    [aux_sym_preproc_def_token1] = ACTIONS(3704),
    [aux_sym_preproc_if_token1] = ACTIONS(3707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3710),
    [sym_preproc_directive] = ACTIONS(3713),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3522),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2755),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2755),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3719),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [693] = {
    [sym_preproc_include] = STATE(738),
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_statements] = STATE(738),
    [sym_preproc_ifdef_in_statements] = STATE(738),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(777),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7678),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(738),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3569),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [694] = {
    [sym_preproc_include] = STATE(745),
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_statements] = STATE(745),
    [sym_preproc_ifdef_in_statements] = STATE(745),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(800),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6511),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_end_block_construct_statement] = STATE(7505),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(745),
    [aux_sym_preproc_include_token1] = ACTIONS(3592),
    [aux_sym_preproc_def_token1] = ACTIONS(3594),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1392),
    [sym_preproc_directive] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(1396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3598),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(1404),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [695] = {
    [sym_preproc_include] = STATE(721),
    [sym_preproc_def] = STATE(721),
    [sym_preproc_function_def] = STATE(721),
    [sym_preproc_call] = STATE(721),
    [sym_preproc_if_in_statements] = STATE(721),
    [sym_preproc_ifdef_in_statements] = STATE(721),
    [sym__statements] = STATE(6979),
    [sym_statement_label] = STATE(807),
    [sym_stop_statement] = STATE(6979),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(6979),
    [sym_subroutine_call] = STATE(6979),
    [sym_keyword_statement] = STATE(6979),
    [sym_include_statement] = STATE(6979),
    [sym_do_loop_statement] = STATE(6979),
    [sym_do_label_statement] = STATE(6979),
    [sym_end_do_label_statement] = STATE(6979),
    [sym_if_statement] = STATE(6979),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6979),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6979),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6979),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6979),
    [sym_select_type_statement] = STATE(6979),
    [sym_select_rank_statement] = STATE(6979),
    [sym_block_construct] = STATE(6979),
    [sym_associate_statement] = STATE(6979),
    [sym_format_statement] = STATE(6979),
    [sym_read_statement] = STATE(6979),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6979),
    [sym_open_statement] = STATE(6979),
    [sym_close_statement] = STATE(6979),
    [sym_write_statement] = STATE(6979),
    [sym_inquire_statement] = STATE(6979),
    [sym_file_position_statement] = STATE(6979),
    [sym_allocate_statement] = STATE(6979),
    [sym_entry_statement] = STATE(6979),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6979),
    [sym_coarray_team_statement] = STATE(6979),
    [sym_end_coarray_team_statement] = STATE(7578),
    [sym_coarray_critical_statement] = STATE(6979),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(721),
    [aux_sym_preproc_include_token1] = ACTIONS(3547),
    [aux_sym_preproc_def_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3553),
    [sym_preproc_directive] = ACTIONS(3555),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3559),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(3561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [696] = {
    [sym_preproc_include] = STATE(696),
    [sym_preproc_def] = STATE(696),
    [sym_preproc_function_def] = STATE(696),
    [sym_preproc_call] = STATE(696),
    [sym_preproc_if_in_specification_part] = STATE(696),
    [sym_preproc_ifdef_in_specification_part] = STATE(696),
    [sym_interface] = STATE(696),
    [sym_interface_statement] = STATE(3818),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(696),
    [sym_use_statement] = STATE(6996),
    [sym_implicit_statement] = STATE(6996),
    [sym_save_statement] = STATE(6996),
    [sym_private_statement] = STATE(696),
    [sym_public_statement] = STATE(696),
    [sym_namelist_statement] = STATE(6996),
    [sym_common_statement] = STATE(6996),
    [sym_import_statement] = STATE(6996),
    [sym_derived_type_definition] = STATE(696),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4315),
    [sym_variable_declaration] = STATE(6996),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6996),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6996),
    [sym_equivalence_statement] = STATE(6996),
    [sym_statement_label] = STATE(7249),
    [sym_include_statement] = STATE(6996),
    [sym_data_statement] = STATE(6996),
    [sym_enum] = STATE(696),
    [sym_enum_statement] = STATE(6058),
    [sym_enumeration_type] = STATE(696),
    [sym_enumeration_type_statement] = STATE(6236),
    [sym_statement_function] = STATE(6996),
    [sym_identifier] = STATE(7589),
    [aux_sym_program_repeat1] = STATE(696),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3722),
    [aux_sym_preproc_def_token1] = ACTIONS(3725),
    [aux_sym_preproc_if_token1] = ACTIONS(3728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3731),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3731),
    [sym_preproc_directive] = ACTIONS(3734),
    [anon_sym_LPAREN2] = ACTIONS(3392),
    [anon_sym_PLUS] = ACTIONS(3394),
    [anon_sym_DASH] = ACTIONS(3394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3396),
    [aux_sym_interface_statement_token1] = ACTIONS(3399),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3402),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3402),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3405),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(3392),
    [aux_sym_language_binding_token1] = ACTIONS(3408),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3411),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3414),
    [aux_sym_contains_statement_token1] = ACTIONS(3392),
    [aux_sym_use_statement_token1] = ACTIONS(3417),
    [aux_sym_use_statement_token2] = ACTIONS(3414),
    [aux_sym_implicit_statement_token1] = ACTIONS(3420),
    [aux_sym_implicit_statement_token3] = ACTIONS(3423),
    [aux_sym_implicit_statement_token4] = ACTIONS(3414),
    [aux_sym_save_statement_token1] = ACTIONS(3426),
    [aux_sym_private_statement_token1] = ACTIONS(3737),
    [aux_sym_public_statement_token1] = ACTIONS(3740),
    [aux_sym_namelist_statement_token1] = ACTIONS(3435),
    [aux_sym_common_statement_token1] = ACTIONS(3438),
    [aux_sym_import_statement_token1] = ACTIONS(3441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3414),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3444),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3414),
    [aux_sym_variable_attributes_token1] = ACTIONS(3447),
    [aux_sym_variable_attributes_token2] = ACTIONS(3414),
    [aux_sym_variable_attributes_token3] = ACTIONS(3414),
    [aux_sym_variable_attributes_token4] = ACTIONS(3447),
    [aux_sym_variable_attributes_token5] = ACTIONS(3414),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3450),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3456),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3459),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3453),
    [aux_sym_derived_type_token1] = ACTIONS(3462),
    [aux_sym_declared_type_token1] = ACTIONS(3465),
    [aux_sym_declared_type_token2] = ACTIONS(3465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3468),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3471),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3474),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3447),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3480),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3414),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3447),
    [aux_sym_type_qualifier_token1] = ACTIONS(3402),
    [aux_sym_type_qualifier_token2] = ACTIONS(3402),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3394),
    [aux_sym_stop_statement_token1] = ACTIONS(3402),
    [aux_sym_stop_statement_token2] = ACTIONS(3402),
    [aux_sym_subroutine_call_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token1] = ACTIONS(3392),
    [aux_sym_keyword_statement_token2] = ACTIONS(3402),
    [aux_sym_keyword_statement_token3] = ACTIONS(3402),
    [aux_sym_keyword_statement_token4] = ACTIONS(3392),
    [aux_sym_keyword_statement_token6] = ACTIONS(3392),
    [aux_sym_keyword_statement_token7] = ACTIONS(3392),
    [aux_sym_include_statement_token1] = ACTIONS(3486),
    [aux_sym_data_statement_token1] = ACTIONS(3489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3402),
    [aux_sym_end_if_statement_token1] = ACTIONS(3402),
    [aux_sym_elseif_clause_token2] = ACTIONS(3402),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3392),
    [aux_sym_select_case_statement_token1] = ACTIONS(3492),
    [aux_sym_select_case_statement_token3] = ACTIONS(3392),
    [aux_sym_select_type_statement_token1] = ACTIONS(3392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3392),
    [aux_sym_block_construct_token1] = ACTIONS(3402),
    [aux_sym_associate_statement_token1] = ACTIONS(3392),
    [aux_sym_format_statement_token1] = ACTIONS(3402),
    [aux_sym_print_statement_token1] = ACTIONS(3392),
    [aux_sym_open_statement_token1] = ACTIONS(3392),
    [aux_sym_close_statement_token1] = ACTIONS(3392),
    [aux_sym_inquire_statement_token1] = ACTIONS(3402),
    [aux_sym_enum_statement_token1] = ACTIONS(3495),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3498),
    [aux_sym_file_position_statement_token1] = ACTIONS(3392),
    [aux_sym_file_position_statement_token2] = ACTIONS(3392),
    [aux_sym_file_position_statement_token3] = ACTIONS(3392),
    [aux_sym_file_position_statement_token4] = ACTIONS(3392),
    [aux_sym_allocate_statement_token1] = ACTIONS(3392),
    [aux_sym_entry_statement_token1] = ACTIONS(3402),
    [aux_sym_logical_expression_token5] = ACTIONS(3394),
    [anon_sym_DOT] = ACTIONS(3392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3394),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [aux_sym_boolean_literal_token1] = ACTIONS(3394),
    [aux_sym_boolean_literal_token2] = ACTIONS(3394),
    [aux_sym_null_literal_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_statement_token2] = ACTIONS(3402),
    [aux_sym_coarray_statement_token6] = ACTIONS(3402),
    [aux_sym_coarray_statement_token8] = ACTIONS(3402),
    [aux_sym_coarray_statement_token11] = ACTIONS(3402),
    [aux_sym_coarray_statement_token12] = ACTIONS(3402),
    [aux_sym_coarray_statement_token13] = ACTIONS(3392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3402),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3402),
    [aux_sym_identifier_token1] = ACTIONS(3402),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3501),
    [sym__float_literal] = ACTIONS(3394),
    [sym__boz_literal] = ACTIONS(3394),
    [sym__string_literal] = ACTIONS(3394),
    [sym__string_literal_kind] = ACTIONS(3394),
  },
  [697] = {
    [sym_preproc_include] = STATE(676),
    [sym_preproc_def] = STATE(676),
    [sym_preproc_function_def] = STATE(676),
    [sym_preproc_call] = STATE(676),
    [sym_preproc_if_in_statements] = STATE(676),
    [sym_preproc_ifdef_in_statements] = STATE(676),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(775),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_end_do_loop_statement] = STATE(7425),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(676),
    [aux_sym_preproc_include_token1] = ACTIONS(3527),
    [aux_sym_preproc_def_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3533),
    [sym_preproc_directive] = ACTIONS(3535),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3743),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(3541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [698] = {
    [sym_preproc_include] = STATE(655),
    [sym_preproc_def] = STATE(655),
    [sym_preproc_function_def] = STATE(655),
    [sym_preproc_call] = STATE(655),
    [sym_preproc_if_in_statements] = STATE(655),
    [sym_preproc_ifdef_in_statements] = STATE(655),
    [sym__statements] = STATE(7049),
    [sym_statement_label] = STATE(799),
    [sym_stop_statement] = STATE(7049),
    [sym_assignment_statement] = STATE(7049),
    [sym_pointer_association_statement] = STATE(7049),
    [sym_subroutine_call] = STATE(7049),
    [sym_keyword_statement] = STATE(7049),
    [sym_include_statement] = STATE(7049),
    [sym_do_loop_statement] = STATE(7049),
    [sym_do_label_statement] = STATE(7049),
    [sym_end_do_label_statement] = STATE(7049),
    [sym_if_statement] = STATE(7049),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7049),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7049),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7049),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7049),
    [sym_select_type_statement] = STATE(7049),
    [sym_select_rank_statement] = STATE(7049),
    [sym_block_construct] = STATE(7049),
    [sym_associate_statement] = STATE(7049),
    [sym_format_statement] = STATE(7049),
    [sym_read_statement] = STATE(7049),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7049),
    [sym_open_statement] = STATE(7049),
    [sym_close_statement] = STATE(7049),
    [sym_write_statement] = STATE(7049),
    [sym_inquire_statement] = STATE(7049),
    [sym_file_position_statement] = STATE(7049),
    [sym_allocate_statement] = STATE(7049),
    [sym_entry_statement] = STATE(7049),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7049),
    [sym_coarray_team_statement] = STATE(7049),
    [sym_coarray_critical_statement] = STATE(7049),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(655),
    [aux_sym_preproc_include_token1] = ACTIONS(3745),
    [aux_sym_preproc_def_token1] = ACTIONS(3748),
    [aux_sym_preproc_if_token1] = ACTIONS(3751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3754),
    [sym_preproc_directive] = ACTIONS(3757),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3522),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token2] = ACTIONS(2811),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2811),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3763),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [699] = {
    [sym_preproc_include] = STATE(704),
    [sym_preproc_def] = STATE(704),
    [sym_preproc_function_def] = STATE(704),
    [sym_preproc_call] = STATE(704),
    [sym_preproc_if_in_statements] = STATE(704),
    [sym_preproc_ifdef_in_statements] = STATE(704),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_end_associate_statement] = STATE(7640),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(704),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3357),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_end_associate_statement_token1] = ACTIONS(3359),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [700] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [701] = {
    [sym_preproc_include] = STATE(751),
    [sym_preproc_def] = STATE(751),
    [sym_preproc_function_def] = STATE(751),
    [sym_preproc_call] = STATE(751),
    [sym_preproc_if_in_statements] = STATE(751),
    [sym_preproc_ifdef_in_statements] = STATE(751),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(751),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3778),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [702] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3780),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(3783),
    [aux_sym_elseif_clause_token1] = ACTIONS(3786),
    [aux_sym_elseif_clause_token2] = ACTIONS(3783),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3788),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [703] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [704] = {
    [sym_preproc_include] = STATE(704),
    [sym_preproc_def] = STATE(704),
    [sym_preproc_function_def] = STATE(704),
    [sym_preproc_call] = STATE(704),
    [sym_preproc_if_in_statements] = STATE(704),
    [sym_preproc_ifdef_in_statements] = STATE(704),
    [sym__statements] = STATE(7024),
    [sym_statement_label] = STATE(811),
    [sym_stop_statement] = STATE(7024),
    [sym_assignment_statement] = STATE(7024),
    [sym_pointer_association_statement] = STATE(7024),
    [sym_subroutine_call] = STATE(7024),
    [sym_keyword_statement] = STATE(7024),
    [sym_include_statement] = STATE(7024),
    [sym_do_loop_statement] = STATE(7024),
    [sym_do_label_statement] = STATE(7024),
    [sym_end_do_label_statement] = STATE(7024),
    [sym_if_statement] = STATE(7024),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7024),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7024),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7024),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7024),
    [sym_select_type_statement] = STATE(7024),
    [sym_select_rank_statement] = STATE(7024),
    [sym_block_construct] = STATE(7024),
    [sym_associate_statement] = STATE(7024),
    [sym_format_statement] = STATE(7024),
    [sym_read_statement] = STATE(7024),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7024),
    [sym_open_statement] = STATE(7024),
    [sym_close_statement] = STATE(7024),
    [sym_write_statement] = STATE(7024),
    [sym_inquire_statement] = STATE(7024),
    [sym_file_position_statement] = STATE(7024),
    [sym_allocate_statement] = STATE(7024),
    [sym_entry_statement] = STATE(7024),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7024),
    [sym_coarray_team_statement] = STATE(7024),
    [sym_coarray_critical_statement] = STATE(7024),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(704),
    [aux_sym_preproc_include_token1] = ACTIONS(3791),
    [aux_sym_preproc_def_token1] = ACTIONS(3794),
    [aux_sym_preproc_if_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3800),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3800),
    [sym_preproc_directive] = ACTIONS(3803),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3806),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [705] = {
    [sym_preproc_include] = STATE(716),
    [sym_preproc_def] = STATE(716),
    [sym_preproc_function_def] = STATE(716),
    [sym_preproc_call] = STATE(716),
    [sym_preproc_if_in_statements] = STATE(716),
    [sym_preproc_ifdef_in_statements] = STATE(716),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(716),
    [aux_sym_preproc_include_token1] = ACTIONS(3809),
    [aux_sym_preproc_def_token1] = ACTIONS(3812),
    [aux_sym_preproc_if_token1] = ACTIONS(3815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3818),
    [sym_preproc_directive] = ACTIONS(3821),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3827),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3830),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2807),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3832),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [706] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [707] = {
    [sym_preproc_include] = STATE(740),
    [sym_preproc_def] = STATE(740),
    [sym_preproc_function_def] = STATE(740),
    [sym_preproc_call] = STATE(740),
    [sym_preproc_if_in_statements] = STATE(740),
    [sym_preproc_ifdef_in_statements] = STATE(740),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(740),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3835),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [708] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [709] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [710] = {
    [sym_preproc_include] = STATE(712),
    [sym_preproc_def] = STATE(712),
    [sym_preproc_function_def] = STATE(712),
    [sym_preproc_call] = STATE(712),
    [sym_preproc_if_in_statements] = STATE(712),
    [sym_preproc_ifdef_in_statements] = STATE(712),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(712),
    [aux_sym_preproc_include_token1] = ACTIONS(2807),
    [aux_sym_preproc_def_token1] = ACTIONS(2807),
    [aux_sym_preproc_if_token1] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2807),
    [sym_preproc_directive] = ACTIONS(2807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2807),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2807),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3837),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2807),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3839),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [711] = {
    [sym_preproc_include] = STATE(747),
    [sym_preproc_def] = STATE(747),
    [sym_preproc_function_def] = STATE(747),
    [sym_preproc_call] = STATE(747),
    [sym_preproc_if_in_statements] = STATE(747),
    [sym_preproc_ifdef_in_statements] = STATE(747),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(747),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3841),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [712] = {
    [sym_preproc_include] = STATE(712),
    [sym_preproc_def] = STATE(712),
    [sym_preproc_function_def] = STATE(712),
    [sym_preproc_call] = STATE(712),
    [sym_preproc_if_in_statements] = STATE(712),
    [sym_preproc_ifdef_in_statements] = STATE(712),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(712),
    [aux_sym_preproc_include_token1] = ACTIONS(3843),
    [aux_sym_preproc_def_token1] = ACTIONS(3846),
    [aux_sym_preproc_if_token1] = ACTIONS(3849),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3852),
    [sym_preproc_directive] = ACTIONS(3855),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3858),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [713] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2811),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [714] = {
    [sym_preproc_include] = STATE(741),
    [sym_preproc_def] = STATE(741),
    [sym_preproc_function_def] = STATE(741),
    [sym_preproc_call] = STATE(741),
    [sym_preproc_if_in_statements] = STATE(741),
    [sym_preproc_ifdef_in_statements] = STATE(741),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(741),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3861),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [715] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [716] = {
    [sym_preproc_include] = STATE(712),
    [sym_preproc_def] = STATE(712),
    [sym_preproc_function_def] = STATE(712),
    [sym_preproc_call] = STATE(712),
    [sym_preproc_if_in_statements] = STATE(712),
    [sym_preproc_ifdef_in_statements] = STATE(712),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(712),
    [aux_sym_preproc_include_token1] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2779),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2779),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3837),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2779),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3863),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [717] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3865),
    [aux_sym_preproc_def_token1] = ACTIONS(3868),
    [aux_sym_preproc_if_token1] = ACTIONS(3871),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3874),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3874),
    [sym_preproc_directive] = ACTIONS(3877),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3880),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [718] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym_preproc_include_token1] = ACTIONS(3883),
    [aux_sym_preproc_def_token1] = ACTIONS(3886),
    [aux_sym_preproc_if_token1] = ACTIONS(3889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3892),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3892),
    [sym_preproc_directive] = ACTIONS(3895),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3898),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [719] = {
    [sym_preproc_include] = STATE(742),
    [sym_preproc_def] = STATE(742),
    [sym_preproc_function_def] = STATE(742),
    [sym_preproc_call] = STATE(742),
    [sym_preproc_if_in_statements] = STATE(742),
    [sym_preproc_ifdef_in_statements] = STATE(742),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(742),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3901),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [720] = {
    [sym_preproc_include] = STATE(750),
    [sym_preproc_def] = STATE(750),
    [sym_preproc_function_def] = STATE(750),
    [sym_preproc_call] = STATE(750),
    [sym_preproc_if_in_statements] = STATE(750),
    [sym_preproc_ifdef_in_statements] = STATE(750),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(750),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3903),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [721] = {
    [sym_preproc_include] = STATE(721),
    [sym_preproc_def] = STATE(721),
    [sym_preproc_function_def] = STATE(721),
    [sym_preproc_call] = STATE(721),
    [sym_preproc_if_in_statements] = STATE(721),
    [sym_preproc_ifdef_in_statements] = STATE(721),
    [sym__statements] = STATE(6979),
    [sym_statement_label] = STATE(807),
    [sym_stop_statement] = STATE(6979),
    [sym_assignment_statement] = STATE(6979),
    [sym_pointer_association_statement] = STATE(6979),
    [sym_subroutine_call] = STATE(6979),
    [sym_keyword_statement] = STATE(6979),
    [sym_include_statement] = STATE(6979),
    [sym_do_loop_statement] = STATE(6979),
    [sym_do_label_statement] = STATE(6979),
    [sym_end_do_label_statement] = STATE(6979),
    [sym_if_statement] = STATE(6979),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6979),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6979),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6979),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6979),
    [sym_select_type_statement] = STATE(6979),
    [sym_select_rank_statement] = STATE(6979),
    [sym_block_construct] = STATE(6979),
    [sym_associate_statement] = STATE(6979),
    [sym_format_statement] = STATE(6979),
    [sym_read_statement] = STATE(6979),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6979),
    [sym_open_statement] = STATE(6979),
    [sym_close_statement] = STATE(6979),
    [sym_write_statement] = STATE(6979),
    [sym_inquire_statement] = STATE(6979),
    [sym_file_position_statement] = STATE(6979),
    [sym_allocate_statement] = STATE(6979),
    [sym_entry_statement] = STATE(6979),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6979),
    [sym_coarray_team_statement] = STATE(6979),
    [sym_coarray_critical_statement] = STATE(6979),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(721),
    [aux_sym_preproc_include_token1] = ACTIONS(3905),
    [aux_sym_preproc_def_token1] = ACTIONS(3908),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3914),
    [sym_preproc_directive] = ACTIONS(3917),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3920),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [722] = {
    [sym_preproc_include] = STATE(700),
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_statements] = STATE(700),
    [sym_preproc_ifdef_in_statements] = STATE(700),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(700),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3923),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [723] = {
    [sym_preproc_include] = STATE(706),
    [sym_preproc_def] = STATE(706),
    [sym_preproc_function_def] = STATE(706),
    [sym_preproc_call] = STATE(706),
    [sym_preproc_if_in_statements] = STATE(706),
    [sym_preproc_ifdef_in_statements] = STATE(706),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(706),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3925),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [724] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [725] = {
    [sym_preproc_include] = STATE(713),
    [sym_preproc_def] = STATE(713),
    [sym_preproc_function_def] = STATE(713),
    [sym_preproc_call] = STATE(713),
    [sym_preproc_if_in_statements] = STATE(713),
    [sym_preproc_ifdef_in_statements] = STATE(713),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(713),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3927),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [726] = {
    [sym_preproc_include] = STATE(709),
    [sym_preproc_def] = STATE(709),
    [sym_preproc_function_def] = STATE(709),
    [sym_preproc_call] = STATE(709),
    [sym_preproc_if_in_statements] = STATE(709),
    [sym_preproc_ifdef_in_statements] = STATE(709),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(709),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3929),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [727] = {
    [sym_preproc_include] = STATE(757),
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_statements] = STATE(757),
    [sym_preproc_ifdef_in_statements] = STATE(757),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(757),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3931),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3934),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(3936),
    [aux_sym_elseif_clause_token1] = ACTIONS(3939),
    [aux_sym_elseif_clause_token2] = ACTIONS(3936),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3941),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [728] = {
    [sym_preproc_include] = STATE(710),
    [sym_preproc_def] = STATE(710),
    [sym_preproc_function_def] = STATE(710),
    [sym_preproc_call] = STATE(710),
    [sym_preproc_if_in_statements] = STATE(710),
    [sym_preproc_ifdef_in_statements] = STATE(710),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(710),
    [aux_sym_preproc_include_token1] = ACTIONS(3944),
    [aux_sym_preproc_def_token1] = ACTIONS(3947),
    [aux_sym_preproc_if_token1] = ACTIONS(3950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3953),
    [sym_preproc_directive] = ACTIONS(3956),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3959),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3965),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2821),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3967),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [729] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2781),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [730] = {
    [sym_preproc_include] = STATE(715),
    [sym_preproc_def] = STATE(715),
    [sym_preproc_function_def] = STATE(715),
    [sym_preproc_call] = STATE(715),
    [sym_preproc_if_in_statements] = STATE(715),
    [sym_preproc_ifdef_in_statements] = STATE(715),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(715),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3970),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [731] = {
    [sym_preproc_include] = STATE(731),
    [sym_preproc_def] = STATE(731),
    [sym_preproc_function_def] = STATE(731),
    [sym_preproc_call] = STATE(731),
    [sym_preproc_if_in_statements] = STATE(731),
    [sym_preproc_ifdef_in_statements] = STATE(731),
    [sym__statements] = STATE(6588),
    [sym_statement_label] = STATE(793),
    [sym_stop_statement] = STATE(6588),
    [sym_assignment_statement] = STATE(6588),
    [sym_pointer_association_statement] = STATE(6588),
    [sym_subroutine_call] = STATE(6588),
    [sym_keyword_statement] = STATE(6588),
    [sym_include_statement] = STATE(6588),
    [sym_do_loop_statement] = STATE(6588),
    [sym_do_label_statement] = STATE(6588),
    [sym_end_do_label_statement] = STATE(6588),
    [sym_if_statement] = STATE(6588),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6588),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6588),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6588),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6588),
    [sym_select_type_statement] = STATE(6588),
    [sym_select_rank_statement] = STATE(6588),
    [sym_block_construct] = STATE(6588),
    [sym_associate_statement] = STATE(6588),
    [sym_format_statement] = STATE(6588),
    [sym_read_statement] = STATE(6588),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6588),
    [sym_open_statement] = STATE(6588),
    [sym_close_statement] = STATE(6588),
    [sym_write_statement] = STATE(6588),
    [sym_inquire_statement] = STATE(6588),
    [sym_file_position_statement] = STATE(6588),
    [sym_allocate_statement] = STATE(6588),
    [sym_entry_statement] = STATE(6588),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6588),
    [sym_coarray_team_statement] = STATE(6588),
    [sym_coarray_critical_statement] = STATE(6588),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(731),
    [aux_sym_preproc_include_token1] = ACTIONS(3972),
    [aux_sym_preproc_def_token1] = ACTIONS(3975),
    [aux_sym_preproc_if_token1] = ACTIONS(3978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3981),
    [sym_preproc_directive] = ACTIONS(3984),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(3987),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [732] = {
    [sym_preproc_include] = STATE(755),
    [sym_preproc_def] = STATE(755),
    [sym_preproc_function_def] = STATE(755),
    [sym_preproc_call] = STATE(755),
    [sym_preproc_if_in_statements] = STATE(755),
    [sym_preproc_ifdef_in_statements] = STATE(755),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(755),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3990),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3993),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(3995),
    [aux_sym_elseif_clause_token1] = ACTIONS(3998),
    [aux_sym_elseif_clause_token2] = ACTIONS(3995),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4000),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [733] = {
    [sym_preproc_include] = STATE(734),
    [sym_preproc_def] = STATE(734),
    [sym_preproc_function_def] = STATE(734),
    [sym_preproc_call] = STATE(734),
    [sym_preproc_if_in_statements] = STATE(734),
    [sym_preproc_ifdef_in_statements] = STATE(734),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(734),
    [aux_sym_preproc_include_token1] = ACTIONS(4003),
    [aux_sym_preproc_def_token1] = ACTIONS(4006),
    [aux_sym_preproc_if_token1] = ACTIONS(4009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4012),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4012),
    [sym_preproc_directive] = ACTIONS(4015),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4018),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4021),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4024),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2773),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4026),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [734] = {
    [sym_preproc_include] = STATE(712),
    [sym_preproc_def] = STATE(712),
    [sym_preproc_function_def] = STATE(712),
    [sym_preproc_call] = STATE(712),
    [sym_preproc_if_in_statements] = STATE(712),
    [sym_preproc_ifdef_in_statements] = STATE(712),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(712),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2801),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2801),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3837),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2801),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4029),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [735] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [736] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [737] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [738] = {
    [sym_preproc_include] = STATE(738),
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_statements] = STATE(738),
    [sym_preproc_ifdef_in_statements] = STATE(738),
    [sym__statements] = STATE(7225),
    [sym_statement_label] = STATE(806),
    [sym_stop_statement] = STATE(7225),
    [sym_assignment_statement] = STATE(7225),
    [sym_pointer_association_statement] = STATE(7225),
    [sym_subroutine_call] = STATE(7225),
    [sym_keyword_statement] = STATE(7225),
    [sym_include_statement] = STATE(7225),
    [sym_do_loop_statement] = STATE(7225),
    [sym_do_label_statement] = STATE(7225),
    [sym_end_do_label_statement] = STATE(7225),
    [sym_if_statement] = STATE(7225),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7225),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7225),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7225),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7225),
    [sym_select_type_statement] = STATE(7225),
    [sym_select_rank_statement] = STATE(7225),
    [sym_block_construct] = STATE(7225),
    [sym_associate_statement] = STATE(7225),
    [sym_format_statement] = STATE(7225),
    [sym_read_statement] = STATE(7225),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7225),
    [sym_open_statement] = STATE(7225),
    [sym_close_statement] = STATE(7225),
    [sym_write_statement] = STATE(7225),
    [sym_inquire_statement] = STATE(7225),
    [sym_file_position_statement] = STATE(7225),
    [sym_allocate_statement] = STATE(7225),
    [sym_entry_statement] = STATE(7225),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7225),
    [sym_coarray_team_statement] = STATE(7225),
    [sym_coarray_critical_statement] = STATE(7225),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(738),
    [aux_sym_preproc_include_token1] = ACTIONS(4031),
    [aux_sym_preproc_def_token1] = ACTIONS(4034),
    [aux_sym_preproc_if_token1] = ACTIONS(4037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4040),
    [sym_preproc_directive] = ACTIONS(4043),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(4046),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [739] = {
    [sym_preproc_include] = STATE(712),
    [sym_preproc_def] = STATE(712),
    [sym_preproc_function_def] = STATE(712),
    [sym_preproc_call] = STATE(712),
    [sym_preproc_if_in_statements] = STATE(712),
    [sym_preproc_ifdef_in_statements] = STATE(712),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(712),
    [aux_sym_preproc_include_token1] = ACTIONS(2785),
    [aux_sym_preproc_def_token1] = ACTIONS(2785),
    [aux_sym_preproc_if_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2785),
    [sym_preproc_directive] = ACTIONS(2785),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2785),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2785),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3837),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2785),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4049),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [740] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [741] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [742] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [743] = {
    [sym_preproc_include] = STATE(735),
    [sym_preproc_def] = STATE(735),
    [sym_preproc_function_def] = STATE(735),
    [sym_preproc_call] = STATE(735),
    [sym_preproc_if_in_statements] = STATE(735),
    [sym_preproc_ifdef_in_statements] = STATE(735),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(735),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4051),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [744] = {
    [sym_preproc_include] = STATE(708),
    [sym_preproc_def] = STATE(708),
    [sym_preproc_function_def] = STATE(708),
    [sym_preproc_call] = STATE(708),
    [sym_preproc_if_in_statements] = STATE(708),
    [sym_preproc_ifdef_in_statements] = STATE(708),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(708),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2773),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4053),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [745] = {
    [sym_preproc_include] = STATE(745),
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_statements] = STATE(745),
    [sym_preproc_ifdef_in_statements] = STATE(745),
    [sym__statements] = STATE(6511),
    [sym_statement_label] = STATE(800),
    [sym_stop_statement] = STATE(6511),
    [sym_assignment_statement] = STATE(6511),
    [sym_pointer_association_statement] = STATE(6511),
    [sym_subroutine_call] = STATE(6511),
    [sym_keyword_statement] = STATE(6511),
    [sym_include_statement] = STATE(6511),
    [sym_do_loop_statement] = STATE(6511),
    [sym_do_label_statement] = STATE(6511),
    [sym_end_do_label_statement] = STATE(6511),
    [sym_if_statement] = STATE(6511),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6511),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6511),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6511),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6511),
    [sym_select_type_statement] = STATE(6511),
    [sym_select_rank_statement] = STATE(6511),
    [sym_block_construct] = STATE(6511),
    [sym_associate_statement] = STATE(6511),
    [sym_format_statement] = STATE(6511),
    [sym_read_statement] = STATE(6511),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6511),
    [sym_open_statement] = STATE(6511),
    [sym_close_statement] = STATE(6511),
    [sym_write_statement] = STATE(6511),
    [sym_inquire_statement] = STATE(6511),
    [sym_file_position_statement] = STATE(6511),
    [sym_allocate_statement] = STATE(6511),
    [sym_entry_statement] = STATE(6511),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6511),
    [sym_coarray_team_statement] = STATE(6511),
    [sym_coarray_critical_statement] = STATE(6511),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(745),
    [aux_sym_preproc_include_token1] = ACTIONS(4055),
    [aux_sym_preproc_def_token1] = ACTIONS(4058),
    [aux_sym_preproc_if_token1] = ACTIONS(4061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4064),
    [sym_preproc_directive] = ACTIONS(4067),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(4070),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [746] = {
    [sym_preproc_include] = STATE(736),
    [sym_preproc_def] = STATE(736),
    [sym_preproc_function_def] = STATE(736),
    [sym_preproc_call] = STATE(736),
    [sym_preproc_if_in_statements] = STATE(736),
    [sym_preproc_ifdef_in_statements] = STATE(736),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(736),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4073),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [747] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [748] = {
    [sym_preproc_include] = STATE(748),
    [sym_preproc_def] = STATE(748),
    [sym_preproc_function_def] = STATE(748),
    [sym_preproc_call] = STATE(748),
    [sym_preproc_if_in_statements] = STATE(748),
    [sym_preproc_ifdef_in_statements] = STATE(748),
    [sym__statements] = STATE(6655),
    [sym_statement_label] = STATE(808),
    [sym_stop_statement] = STATE(6655),
    [sym_assignment_statement] = STATE(6655),
    [sym_pointer_association_statement] = STATE(6655),
    [sym_subroutine_call] = STATE(6655),
    [sym_keyword_statement] = STATE(6655),
    [sym_include_statement] = STATE(6655),
    [sym_do_loop_statement] = STATE(6655),
    [sym_do_label_statement] = STATE(6655),
    [sym_end_do_label_statement] = STATE(6655),
    [sym_if_statement] = STATE(6655),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6655),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6655),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6655),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6655),
    [sym_select_type_statement] = STATE(6655),
    [sym_select_rank_statement] = STATE(6655),
    [sym_block_construct] = STATE(6655),
    [sym_associate_statement] = STATE(6655),
    [sym_format_statement] = STATE(6655),
    [sym_read_statement] = STATE(6655),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6655),
    [sym_open_statement] = STATE(6655),
    [sym_close_statement] = STATE(6655),
    [sym_write_statement] = STATE(6655),
    [sym_inquire_statement] = STATE(6655),
    [sym_file_position_statement] = STATE(6655),
    [sym_allocate_statement] = STATE(6655),
    [sym_entry_statement] = STATE(6655),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6655),
    [sym_coarray_team_statement] = STATE(6655),
    [sym_coarray_critical_statement] = STATE(6655),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(748),
    [aux_sym_preproc_include_token1] = ACTIONS(4075),
    [aux_sym_preproc_def_token1] = ACTIONS(4078),
    [aux_sym_preproc_if_token1] = ACTIONS(4081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4084),
    [sym_preproc_directive] = ACTIONS(4087),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(4090),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [749] = {
    [sym_preproc_include] = STATE(703),
    [sym_preproc_def] = STATE(703),
    [sym_preproc_function_def] = STATE(703),
    [sym_preproc_call] = STATE(703),
    [sym_preproc_if_in_statements] = STATE(703),
    [sym_preproc_ifdef_in_statements] = STATE(703),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(703),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4093),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [750] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2747),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [751] = {
    [sym_preproc_include] = STATE(717),
    [sym_preproc_def] = STATE(717),
    [sym_preproc_function_def] = STATE(717),
    [sym_preproc_call] = STATE(717),
    [sym_preproc_if_in_statements] = STATE(717),
    [sym_preproc_ifdef_in_statements] = STATE(717),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(717),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(3776),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [752] = {
    [sym_preproc_include] = STATE(737),
    [sym_preproc_def] = STATE(737),
    [sym_preproc_function_def] = STATE(737),
    [sym_preproc_call] = STATE(737),
    [sym_preproc_if_in_statements] = STATE(737),
    [sym_preproc_ifdef_in_statements] = STATE(737),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(737),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4095),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [753] = {
    [sym_preproc_include] = STATE(756),
    [sym_preproc_def] = STATE(756),
    [sym_preproc_function_def] = STATE(756),
    [sym_preproc_call] = STATE(756),
    [sym_preproc_if_in_statements] = STATE(756),
    [sym_preproc_ifdef_in_statements] = STATE(756),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(756),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4097),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4100),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4102),
    [aux_sym_elseif_clause_token1] = ACTIONS(4105),
    [aux_sym_elseif_clause_token2] = ACTIONS(4102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4107),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [754] = {
    [sym_preproc_include] = STATE(702),
    [sym_preproc_def] = STATE(702),
    [sym_preproc_function_def] = STATE(702),
    [sym_preproc_call] = STATE(702),
    [sym_preproc_if_in_statements] = STATE(702),
    [sym_preproc_ifdef_in_statements] = STATE(702),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(702),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4110),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4113),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4115),
    [aux_sym_elseif_clause_token1] = ACTIONS(4118),
    [aux_sym_elseif_clause_token2] = ACTIONS(4115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4120),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [755] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4110),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4115),
    [aux_sym_elseif_clause_token1] = ACTIONS(4118),
    [aux_sym_elseif_clause_token2] = ACTIONS(4115),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4120),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [756] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4123),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4126),
    [aux_sym_elseif_clause_token1] = ACTIONS(4129),
    [aux_sym_elseif_clause_token2] = ACTIONS(4126),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4131),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [757] = {
    [sym_preproc_include] = STATE(718),
    [sym_preproc_def] = STATE(718),
    [sym_preproc_function_def] = STATE(718),
    [sym_preproc_call] = STATE(718),
    [sym_preproc_if_in_statements] = STATE(718),
    [sym_preproc_ifdef_in_statements] = STATE(718),
    [sym__statements] = STATE(6934),
    [sym_statement_label] = STATE(813),
    [sym_stop_statement] = STATE(6934),
    [sym_assignment_statement] = STATE(6934),
    [sym_pointer_association_statement] = STATE(6934),
    [sym_subroutine_call] = STATE(6934),
    [sym_keyword_statement] = STATE(6934),
    [sym_include_statement] = STATE(6934),
    [sym_do_loop_statement] = STATE(6934),
    [sym_do_label_statement] = STATE(6934),
    [sym_end_do_label_statement] = STATE(6934),
    [sym_if_statement] = STATE(6934),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6934),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6934),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6934),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6934),
    [sym_select_type_statement] = STATE(6934),
    [sym_select_rank_statement] = STATE(6934),
    [sym_block_construct] = STATE(6934),
    [sym_associate_statement] = STATE(6934),
    [sym_format_statement] = STATE(6934),
    [sym_read_statement] = STATE(6934),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6934),
    [sym_open_statement] = STATE(6934),
    [sym_close_statement] = STATE(6934),
    [sym_write_statement] = STATE(6934),
    [sym_inquire_statement] = STATE(6934),
    [sym_file_position_statement] = STATE(6934),
    [sym_allocate_statement] = STATE(6934),
    [sym_entry_statement] = STATE(6934),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6934),
    [sym_coarray_team_statement] = STATE(6934),
    [sym_coarray_critical_statement] = STATE(6934),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(718),
    [aux_sym_preproc_include_token1] = ACTIONS(2715),
    [aux_sym_preproc_def_token1] = ACTIONS(2717),
    [aux_sym_preproc_if_token1] = ACTIONS(2719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2721),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2721),
    [sym_preproc_directive] = ACTIONS(2723),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4097),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(2727),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4102),
    [aux_sym_elseif_clause_token1] = ACTIONS(4105),
    [aux_sym_elseif_clause_token2] = ACTIONS(4102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4107),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [758] = {
    [sym_preproc_include] = STATE(724),
    [sym_preproc_def] = STATE(724),
    [sym_preproc_function_def] = STATE(724),
    [sym_preproc_call] = STATE(724),
    [sym_preproc_if_in_statements] = STATE(724),
    [sym_preproc_ifdef_in_statements] = STATE(724),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(724),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2807),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4134),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [759] = {
    [sym_preproc_include] = STATE(729),
    [sym_preproc_def] = STATE(729),
    [sym_preproc_function_def] = STATE(729),
    [sym_preproc_call] = STATE(729),
    [sym_preproc_if_in_statements] = STATE(729),
    [sym_preproc_ifdef_in_statements] = STATE(729),
    [sym__statements] = STATE(7074),
    [sym_statement_label] = STATE(794),
    [sym_stop_statement] = STATE(7074),
    [sym_assignment_statement] = STATE(7074),
    [sym_pointer_association_statement] = STATE(7074),
    [sym_subroutine_call] = STATE(7074),
    [sym_keyword_statement] = STATE(7074),
    [sym_include_statement] = STATE(7074),
    [sym_do_loop_statement] = STATE(7074),
    [sym_do_label_statement] = STATE(7074),
    [sym_end_do_label_statement] = STATE(7074),
    [sym_if_statement] = STATE(7074),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7074),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7074),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7074),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7074),
    [sym_select_type_statement] = STATE(7074),
    [sym_select_rank_statement] = STATE(7074),
    [sym_block_construct] = STATE(7074),
    [sym_associate_statement] = STATE(7074),
    [sym_format_statement] = STATE(7074),
    [sym_read_statement] = STATE(7074),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7074),
    [sym_open_statement] = STATE(7074),
    [sym_close_statement] = STATE(7074),
    [sym_write_statement] = STATE(7074),
    [sym_inquire_statement] = STATE(7074),
    [sym_file_position_statement] = STATE(7074),
    [sym_allocate_statement] = STATE(7074),
    [sym_entry_statement] = STATE(7074),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7074),
    [sym_coarray_team_statement] = STATE(7074),
    [sym_coarray_critical_statement] = STATE(7074),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(729),
    [aux_sym_preproc_include_token1] = ACTIONS(3766),
    [aux_sym_preproc_def_token1] = ACTIONS(3768),
    [aux_sym_preproc_if_token1] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(2751),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3772),
    [sym_preproc_directive] = ACTIONS(3774),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4136),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(1422),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [760] = {
    [sym_preproc_include] = STATE(739),
    [sym_preproc_def] = STATE(739),
    [sym_preproc_function_def] = STATE(739),
    [sym_preproc_call] = STATE(739),
    [sym_preproc_if_in_statements] = STATE(739),
    [sym_preproc_ifdef_in_statements] = STATE(739),
    [sym__statements] = STATE(7059),
    [sym_statement_label] = STATE(805),
    [sym_stop_statement] = STATE(7059),
    [sym_assignment_statement] = STATE(7059),
    [sym_pointer_association_statement] = STATE(7059),
    [sym_subroutine_call] = STATE(7059),
    [sym_keyword_statement] = STATE(7059),
    [sym_include_statement] = STATE(7059),
    [sym_do_loop_statement] = STATE(7059),
    [sym_do_label_statement] = STATE(7059),
    [sym_end_do_label_statement] = STATE(7059),
    [sym_if_statement] = STATE(7059),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7059),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7059),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7059),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7059),
    [sym_select_type_statement] = STATE(7059),
    [sym_select_rank_statement] = STATE(7059),
    [sym_block_construct] = STATE(7059),
    [sym_associate_statement] = STATE(7059),
    [sym_format_statement] = STATE(7059),
    [sym_read_statement] = STATE(7059),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7059),
    [sym_open_statement] = STATE(7059),
    [sym_close_statement] = STATE(7059),
    [sym_write_statement] = STATE(7059),
    [sym_inquire_statement] = STATE(7059),
    [sym_file_position_statement] = STATE(7059),
    [sym_allocate_statement] = STATE(7059),
    [sym_entry_statement] = STATE(7059),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7059),
    [sym_coarray_team_statement] = STATE(7059),
    [sym_coarray_critical_statement] = STATE(7059),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(739),
    [aux_sym_preproc_include_token1] = ACTIONS(4138),
    [aux_sym_preproc_def_token1] = ACTIONS(4141),
    [aux_sym_preproc_if_token1] = ACTIONS(4144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4147),
    [sym_preproc_directive] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4153),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4156),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4159),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_end_select_statement_token1] = ACTIONS(2801),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4161),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [761] = {
    [sym_preproc_include] = STATE(763),
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_statements] = STATE(763),
    [sym_preproc_ifdef_in_statements] = STATE(763),
    [sym__statements] = STATE(7038),
    [sym_statement_label] = STATE(812),
    [sym_stop_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(7038),
    [sym_pointer_association_statement] = STATE(7038),
    [sym_subroutine_call] = STATE(7038),
    [sym_keyword_statement] = STATE(7038),
    [sym_include_statement] = STATE(7038),
    [sym_do_loop_statement] = STATE(7038),
    [sym_do_label_statement] = STATE(7038),
    [sym_end_do_label_statement] = STATE(7038),
    [sym_if_statement] = STATE(7038),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7038),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7038),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7038),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7038),
    [sym_select_type_statement] = STATE(7038),
    [sym_select_rank_statement] = STATE(7038),
    [sym_block_construct] = STATE(7038),
    [sym_associate_statement] = STATE(7038),
    [sym_format_statement] = STATE(7038),
    [sym_read_statement] = STATE(7038),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7038),
    [sym_open_statement] = STATE(7038),
    [sym_close_statement] = STATE(7038),
    [sym_write_statement] = STATE(7038),
    [sym_inquire_statement] = STATE(7038),
    [sym_file_position_statement] = STATE(7038),
    [sym_allocate_statement] = STATE(7038),
    [sym_entry_statement] = STATE(7038),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7038),
    [sym_coarray_team_statement] = STATE(7038),
    [sym_coarray_critical_statement] = STATE(7038),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(763),
    [aux_sym_preproc_include_token1] = ACTIONS(4164),
    [aux_sym_preproc_def_token1] = ACTIONS(4166),
    [aux_sym_preproc_if_token1] = ACTIONS(4168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [sym_preproc_directive] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4177),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4179),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4182),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [762] = {
    [sym_preproc_include] = STATE(762),
    [sym_preproc_def] = STATE(762),
    [sym_preproc_function_def] = STATE(762),
    [sym_preproc_call] = STATE(762),
    [sym_interface] = STATE(762),
    [sym_interface_statement] = STATE(3907),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(762),
    [sym_use_statement] = STATE(6933),
    [sym_implicit_statement] = STATE(6933),
    [sym_save_statement] = STATE(6933),
    [sym_private_statement] = STATE(762),
    [sym_public_statement] = STATE(762),
    [sym_namelist_statement] = STATE(6933),
    [sym_common_statement] = STATE(6933),
    [sym_import_statement] = STATE(6933),
    [sym_derived_type_definition] = STATE(762),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4300),
    [sym_variable_declaration] = STATE(6933),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6933),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6933),
    [sym_equivalence_statement] = STATE(6933),
    [sym_statement_label] = STATE(7243),
    [sym_include_statement] = STATE(6933),
    [sym_data_statement] = STATE(6933),
    [sym_enum] = STATE(762),
    [sym_enum_statement] = STATE(6053),
    [sym_enumeration_type] = STATE(762),
    [sym_enumeration_type_statement] = STATE(6223),
    [sym_statement_function] = STATE(6933),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(762),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4185),
    [aux_sym_preproc_def_token1] = ACTIONS(4188),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(4191),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3032),
    [aux_sym_interface_statement_token1] = ACTIONS(3035),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3041),
    [aux_sym_language_binding_token1] = ACTIONS(3044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3050),
    [aux_sym_contains_statement_token1] = ACTIONS(3025),
    [aux_sym_use_statement_token1] = ACTIONS(3053),
    [aux_sym_use_statement_token2] = ACTIONS(3050),
    [aux_sym_implicit_statement_token1] = ACTIONS(3056),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3050),
    [aux_sym_save_statement_token1] = ACTIONS(3062),
    [aux_sym_private_statement_token1] = ACTIONS(4194),
    [aux_sym_public_statement_token1] = ACTIONS(4197),
    [aux_sym_namelist_statement_token1] = ACTIONS(3071),
    [aux_sym_common_statement_token1] = ACTIONS(3074),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3050),
    [aux_sym_variable_attributes_token1] = ACTIONS(3083),
    [aux_sym_variable_attributes_token2] = ACTIONS(3050),
    [aux_sym_variable_attributes_token3] = ACTIONS(3050),
    [aux_sym_variable_attributes_token4] = ACTIONS(3083),
    [aux_sym_variable_attributes_token5] = ACTIONS(3050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3095),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3098),
    [aux_sym_declared_type_token1] = ACTIONS(3101),
    [aux_sym_declared_type_token2] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3107),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3110),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3083),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3083),
    [aux_sym_type_qualifier_token1] = ACTIONS(3038),
    [aux_sym_type_qualifier_token2] = ACTIONS(3038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3030),
    [aux_sym_stop_statement_token1] = ACTIONS(3038),
    [aux_sym_stop_statement_token2] = ACTIONS(3038),
    [aux_sym_subroutine_call_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token3] = ACTIONS(3038),
    [aux_sym_keyword_statement_token4] = ACTIONS(3025),
    [aux_sym_keyword_statement_token6] = ACTIONS(3025),
    [aux_sym_keyword_statement_token7] = ACTIONS(3025),
    [aux_sym_include_statement_token1] = ACTIONS(3122),
    [aux_sym_data_statement_token1] = ACTIONS(3125),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3025),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3038),
    [aux_sym_end_if_statement_token1] = ACTIONS(3038),
    [aux_sym_elseif_clause_token2] = ACTIONS(3038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3025),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3025),
    [aux_sym_select_case_statement_token1] = ACTIONS(3128),
    [aux_sym_select_case_statement_token3] = ACTIONS(3025),
    [aux_sym_select_type_statement_token1] = ACTIONS(3025),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3025),
    [aux_sym_block_construct_token1] = ACTIONS(3038),
    [aux_sym_associate_statement_token1] = ACTIONS(3025),
    [aux_sym_format_statement_token1] = ACTIONS(3038),
    [aux_sym_print_statement_token1] = ACTIONS(3025),
    [aux_sym_open_statement_token1] = ACTIONS(3025),
    [aux_sym_close_statement_token1] = ACTIONS(3025),
    [aux_sym_inquire_statement_token1] = ACTIONS(3038),
    [aux_sym_enum_statement_token1] = ACTIONS(3131),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3134),
    [aux_sym_file_position_statement_token1] = ACTIONS(3025),
    [aux_sym_file_position_statement_token2] = ACTIONS(3025),
    [aux_sym_file_position_statement_token3] = ACTIONS(3025),
    [aux_sym_file_position_statement_token4] = ACTIONS(3025),
    [aux_sym_allocate_statement_token1] = ACTIONS(3025),
    [aux_sym_entry_statement_token1] = ACTIONS(3038),
    [aux_sym_logical_expression_token5] = ACTIONS(3030),
    [anon_sym_DOT] = ACTIONS(3025),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [aux_sym_boolean_literal_token1] = ACTIONS(3030),
    [aux_sym_boolean_literal_token2] = ACTIONS(3030),
    [aux_sym_null_literal_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token2] = ACTIONS(3038),
    [aux_sym_coarray_statement_token6] = ACTIONS(3038),
    [aux_sym_coarray_statement_token8] = ACTIONS(3038),
    [aux_sym_coarray_statement_token11] = ACTIONS(3038),
    [aux_sym_coarray_statement_token12] = ACTIONS(3038),
    [aux_sym_coarray_statement_token13] = ACTIONS(3025),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3038),
    [aux_sym_identifier_token1] = ACTIONS(3038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3137),
    [sym__float_literal] = ACTIONS(3030),
    [sym__boz_literal] = ACTIONS(3030),
    [sym__string_literal] = ACTIONS(3030),
    [sym__string_literal_kind] = ACTIONS(3030),
  },
  [763] = {
    [sym_preproc_include] = STATE(763),
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_statements] = STATE(763),
    [sym_preproc_ifdef_in_statements] = STATE(763),
    [sym__statements] = STATE(7038),
    [sym_statement_label] = STATE(812),
    [sym_stop_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(7038),
    [sym_pointer_association_statement] = STATE(7038),
    [sym_subroutine_call] = STATE(7038),
    [sym_keyword_statement] = STATE(7038),
    [sym_include_statement] = STATE(7038),
    [sym_do_loop_statement] = STATE(7038),
    [sym_do_label_statement] = STATE(7038),
    [sym_end_do_label_statement] = STATE(7038),
    [sym_if_statement] = STATE(7038),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7038),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7038),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7038),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7038),
    [sym_select_type_statement] = STATE(7038),
    [sym_select_rank_statement] = STATE(7038),
    [sym_block_construct] = STATE(7038),
    [sym_associate_statement] = STATE(7038),
    [sym_format_statement] = STATE(7038),
    [sym_read_statement] = STATE(7038),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7038),
    [sym_open_statement] = STATE(7038),
    [sym_close_statement] = STATE(7038),
    [sym_write_statement] = STATE(7038),
    [sym_inquire_statement] = STATE(7038),
    [sym_file_position_statement] = STATE(7038),
    [sym_allocate_statement] = STATE(7038),
    [sym_entry_statement] = STATE(7038),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7038),
    [sym_coarray_team_statement] = STATE(7038),
    [sym_coarray_critical_statement] = STATE(7038),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(763),
    [aux_sym_preproc_include_token1] = ACTIONS(4200),
    [aux_sym_preproc_def_token1] = ACTIONS(4203),
    [aux_sym_preproc_if_token1] = ACTIONS(4206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4209),
    [sym_preproc_directive] = ACTIONS(4212),
    [anon_sym_LPAREN2] = ACTIONS(2087),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2093),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2099),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2102),
    [aux_sym_use_statement_token2] = ACTIONS(2102),
    [aux_sym_implicit_statement_token4] = ACTIONS(2102),
    [aux_sym_save_statement_token1] = ACTIONS(2102),
    [aux_sym_private_statement_token1] = ACTIONS(2102),
    [aux_sym_public_statement_token1] = ACTIONS(2102),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2102),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2102),
    [aux_sym_variable_attributes_token2] = ACTIONS(2102),
    [aux_sym_variable_attributes_token3] = ACTIONS(2102),
    [aux_sym_variable_attributes_token5] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2102),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2105),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2102),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2102),
    [aux_sym_type_qualifier_token1] = ACTIONS(2102),
    [aux_sym_type_qualifier_token2] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(4215),
    [aux_sym_stop_statement_token1] = ACTIONS(2114),
    [aux_sym_stop_statement_token2] = ACTIONS(2117),
    [aux_sym_subroutine_call_token1] = ACTIONS(2120),
    [aux_sym_keyword_statement_token1] = ACTIONS(2123),
    [aux_sym_keyword_statement_token2] = ACTIONS(2126),
    [aux_sym_keyword_statement_token3] = ACTIONS(2126),
    [aux_sym_keyword_statement_token4] = ACTIONS(2129),
    [aux_sym_keyword_statement_token6] = ACTIONS(2132),
    [aux_sym_keyword_statement_token7] = ACTIONS(2123),
    [aux_sym_include_statement_token1] = ACTIONS(2135),
    [aux_sym_data_statement_token1] = ACTIONS(2102),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2141),
    [aux_sym_end_if_statement_token1] = ACTIONS(2102),
    [aux_sym_elseif_clause_token2] = ACTIONS(2102),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2144),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2147),
    [aux_sym_select_case_statement_token1] = ACTIONS(2150),
    [aux_sym_select_case_statement_token3] = ACTIONS(2153),
    [aux_sym_select_type_statement_token1] = ACTIONS(2156),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2159),
    [aux_sym_block_construct_token1] = ACTIONS(2162),
    [aux_sym_associate_statement_token1] = ACTIONS(2165),
    [aux_sym_format_statement_token1] = ACTIONS(2168),
    [aux_sym_print_statement_token1] = ACTIONS(2171),
    [aux_sym_open_statement_token1] = ACTIONS(2174),
    [aux_sym_close_statement_token1] = ACTIONS(2177),
    [aux_sym_inquire_statement_token1] = ACTIONS(2180),
    [aux_sym_file_position_statement_token1] = ACTIONS(2183),
    [aux_sym_file_position_statement_token2] = ACTIONS(2183),
    [aux_sym_file_position_statement_token3] = ACTIONS(2183),
    [aux_sym_file_position_statement_token4] = ACTIONS(2186),
    [aux_sym_allocate_statement_token1] = ACTIONS(2189),
    [aux_sym_entry_statement_token1] = ACTIONS(2192),
    [aux_sym_logical_expression_token5] = ACTIONS(2195),
    [anon_sym_DOT] = ACTIONS(2198),
    [anon_sym_LPAREN_SLASH] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [aux_sym_boolean_literal_token1] = ACTIONS(2207),
    [aux_sym_boolean_literal_token2] = ACTIONS(2207),
    [aux_sym_null_literal_token1] = ACTIONS(2210),
    [aux_sym_coarray_statement_token1] = ACTIONS(2213),
    [aux_sym_coarray_statement_token2] = ACTIONS(2213),
    [aux_sym_coarray_statement_token6] = ACTIONS(2216),
    [aux_sym_coarray_statement_token8] = ACTIONS(2219),
    [aux_sym_coarray_statement_token11] = ACTIONS(2222),
    [aux_sym_coarray_statement_token12] = ACTIONS(2222),
    [aux_sym_coarray_statement_token13] = ACTIONS(2225),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2228),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2231),
    [aux_sym_identifier_token1] = ACTIONS(2102),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(2234),
    [sym__float_literal] = ACTIONS(2237),
    [sym__boz_literal] = ACTIONS(2237),
    [sym__string_literal] = ACTIONS(2240),
    [sym__string_literal_kind] = ACTIONS(2243),
  },
  [764] = {
    [sym_preproc_include] = STATE(763),
    [sym_preproc_def] = STATE(763),
    [sym_preproc_function_def] = STATE(763),
    [sym_preproc_call] = STATE(763),
    [sym_preproc_if_in_statements] = STATE(763),
    [sym_preproc_ifdef_in_statements] = STATE(763),
    [sym__statements] = STATE(7038),
    [sym_statement_label] = STATE(812),
    [sym_stop_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(7038),
    [sym_pointer_association_statement] = STATE(7038),
    [sym_subroutine_call] = STATE(7038),
    [sym_keyword_statement] = STATE(7038),
    [sym_include_statement] = STATE(7038),
    [sym_do_loop_statement] = STATE(7038),
    [sym_do_label_statement] = STATE(7038),
    [sym_end_do_label_statement] = STATE(7038),
    [sym_if_statement] = STATE(7038),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7038),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7038),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7038),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7038),
    [sym_select_type_statement] = STATE(7038),
    [sym_select_rank_statement] = STATE(7038),
    [sym_block_construct] = STATE(7038),
    [sym_associate_statement] = STATE(7038),
    [sym_format_statement] = STATE(7038),
    [sym_read_statement] = STATE(7038),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7038),
    [sym_open_statement] = STATE(7038),
    [sym_close_statement] = STATE(7038),
    [sym_write_statement] = STATE(7038),
    [sym_inquire_statement] = STATE(7038),
    [sym_file_position_statement] = STATE(7038),
    [sym_allocate_statement] = STATE(7038),
    [sym_entry_statement] = STATE(7038),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7038),
    [sym_coarray_team_statement] = STATE(7038),
    [sym_coarray_critical_statement] = STATE(7038),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(763),
    [aux_sym_preproc_include_token1] = ACTIONS(4164),
    [aux_sym_preproc_def_token1] = ACTIONS(4166),
    [aux_sym_preproc_if_token1] = ACTIONS(4168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [sym_preproc_directive] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4218),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4177),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4221),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4224),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [765] = {
    [sym_preproc_include] = STATE(761),
    [sym_preproc_def] = STATE(761),
    [sym_preproc_function_def] = STATE(761),
    [sym_preproc_call] = STATE(761),
    [sym_preproc_if_in_statements] = STATE(761),
    [sym_preproc_ifdef_in_statements] = STATE(761),
    [sym__statements] = STATE(7038),
    [sym_statement_label] = STATE(812),
    [sym_stop_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(7038),
    [sym_pointer_association_statement] = STATE(7038),
    [sym_subroutine_call] = STATE(7038),
    [sym_keyword_statement] = STATE(7038),
    [sym_include_statement] = STATE(7038),
    [sym_do_loop_statement] = STATE(7038),
    [sym_do_label_statement] = STATE(7038),
    [sym_end_do_label_statement] = STATE(7038),
    [sym_if_statement] = STATE(7038),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7038),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7038),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7038),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7038),
    [sym_select_type_statement] = STATE(7038),
    [sym_select_rank_statement] = STATE(7038),
    [sym_block_construct] = STATE(7038),
    [sym_associate_statement] = STATE(7038),
    [sym_format_statement] = STATE(7038),
    [sym_read_statement] = STATE(7038),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7038),
    [sym_open_statement] = STATE(7038),
    [sym_close_statement] = STATE(7038),
    [sym_write_statement] = STATE(7038),
    [sym_inquire_statement] = STATE(7038),
    [sym_file_position_statement] = STATE(7038),
    [sym_allocate_statement] = STATE(7038),
    [sym_entry_statement] = STATE(7038),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7038),
    [sym_coarray_team_statement] = STATE(7038),
    [sym_coarray_critical_statement] = STATE(7038),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(761),
    [aux_sym_preproc_include_token1] = ACTIONS(4164),
    [aux_sym_preproc_def_token1] = ACTIONS(4166),
    [aux_sym_preproc_if_token1] = ACTIONS(4168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [sym_preproc_directive] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4218),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4227),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4221),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4224),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [766] = {
    [sym_preproc_include] = STATE(764),
    [sym_preproc_def] = STATE(764),
    [sym_preproc_function_def] = STATE(764),
    [sym_preproc_call] = STATE(764),
    [sym_preproc_if_in_statements] = STATE(764),
    [sym_preproc_ifdef_in_statements] = STATE(764),
    [sym__statements] = STATE(7038),
    [sym_statement_label] = STATE(812),
    [sym_stop_statement] = STATE(7038),
    [sym_assignment_statement] = STATE(7038),
    [sym_pointer_association_statement] = STATE(7038),
    [sym_subroutine_call] = STATE(7038),
    [sym_keyword_statement] = STATE(7038),
    [sym_include_statement] = STATE(7038),
    [sym_do_loop_statement] = STATE(7038),
    [sym_do_label_statement] = STATE(7038),
    [sym_end_do_label_statement] = STATE(7038),
    [sym_if_statement] = STATE(7038),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7038),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7038),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7038),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7038),
    [sym_select_type_statement] = STATE(7038),
    [sym_select_rank_statement] = STATE(7038),
    [sym_block_construct] = STATE(7038),
    [sym_associate_statement] = STATE(7038),
    [sym_format_statement] = STATE(7038),
    [sym_read_statement] = STATE(7038),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7038),
    [sym_open_statement] = STATE(7038),
    [sym_close_statement] = STATE(7038),
    [sym_write_statement] = STATE(7038),
    [sym_inquire_statement] = STATE(7038),
    [sym_file_position_statement] = STATE(7038),
    [sym_allocate_statement] = STATE(7038),
    [sym_entry_statement] = STATE(7038),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7038),
    [sym_coarray_team_statement] = STATE(7038),
    [sym_coarray_critical_statement] = STATE(7038),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [aux_sym_preproc_if_in_specification_part_repeat1] = STATE(764),
    [aux_sym_preproc_include_token1] = ACTIONS(4164),
    [aux_sym_preproc_def_token1] = ACTIONS(4166),
    [aux_sym_preproc_if_token1] = ACTIONS(4168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [sym_preproc_directive] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4229),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4232),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(4234),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4237),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [767] = {
    [sym_preproc_include] = STATE(767),
    [sym_preproc_def] = STATE(767),
    [sym_preproc_function_def] = STATE(767),
    [sym_preproc_call] = STATE(767),
    [sym_interface] = STATE(767),
    [sym_interface_statement] = STATE(3890),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(767),
    [sym_use_statement] = STATE(6586),
    [sym_implicit_statement] = STATE(6586),
    [sym_save_statement] = STATE(6586),
    [sym_private_statement] = STATE(767),
    [sym_public_statement] = STATE(767),
    [sym_namelist_statement] = STATE(6586),
    [sym_common_statement] = STATE(6586),
    [sym_import_statement] = STATE(6586),
    [sym_derived_type_definition] = STATE(767),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4301),
    [sym_variable_declaration] = STATE(6586),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6586),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6586),
    [sym_equivalence_statement] = STATE(6586),
    [sym_statement_label] = STATE(7202),
    [sym_include_statement] = STATE(6586),
    [sym_data_statement] = STATE(6586),
    [sym_enum] = STATE(767),
    [sym_enum_statement] = STATE(6056),
    [sym_enumeration_type] = STATE(767),
    [sym_enumeration_type_statement] = STATE(6171),
    [sym_statement_function] = STATE(6586),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(767),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4240),
    [aux_sym_preproc_def_token1] = ACTIONS(4243),
    [aux_sym_preproc_if_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(3025),
    [anon_sym_PLUS] = ACTIONS(3030),
    [anon_sym_DASH] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3032),
    [aux_sym_interface_statement_token1] = ACTIONS(3035),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3041),
    [aux_sym_language_binding_token1] = ACTIONS(3044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3050),
    [aux_sym_use_statement_token1] = ACTIONS(3053),
    [aux_sym_use_statement_token2] = ACTIONS(3050),
    [aux_sym_implicit_statement_token1] = ACTIONS(3056),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3050),
    [aux_sym_save_statement_token1] = ACTIONS(3062),
    [aux_sym_private_statement_token1] = ACTIONS(4249),
    [aux_sym_public_statement_token1] = ACTIONS(4252),
    [aux_sym_namelist_statement_token1] = ACTIONS(3071),
    [aux_sym_common_statement_token1] = ACTIONS(3074),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3050),
    [aux_sym_variable_attributes_token1] = ACTIONS(3083),
    [aux_sym_variable_attributes_token2] = ACTIONS(3050),
    [aux_sym_variable_attributes_token3] = ACTIONS(3050),
    [aux_sym_variable_attributes_token4] = ACTIONS(3083),
    [aux_sym_variable_attributes_token5] = ACTIONS(3050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3095),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3098),
    [aux_sym_declared_type_token1] = ACTIONS(3101),
    [aux_sym_declared_type_token2] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3107),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3110),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3083),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3083),
    [aux_sym_type_qualifier_token1] = ACTIONS(3038),
    [aux_sym_type_qualifier_token2] = ACTIONS(3038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3119),
    [anon_sym_SEMI] = ACTIONS(3030),
    [aux_sym_stop_statement_token1] = ACTIONS(3038),
    [aux_sym_stop_statement_token2] = ACTIONS(3038),
    [aux_sym_subroutine_call_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token1] = ACTIONS(3025),
    [aux_sym_keyword_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token3] = ACTIONS(3038),
    [aux_sym_keyword_statement_token4] = ACTIONS(3025),
    [aux_sym_keyword_statement_token6] = ACTIONS(3025),
    [aux_sym_keyword_statement_token7] = ACTIONS(3025),
    [aux_sym_include_statement_token1] = ACTIONS(3122),
    [aux_sym_data_statement_token1] = ACTIONS(3125),
    [aux_sym_do_loop_statement_token1] = ACTIONS(3025),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3038),
    [aux_sym_end_if_statement_token1] = ACTIONS(3038),
    [aux_sym_elseif_clause_token2] = ACTIONS(3038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(3025),
    [aux_sym__forall_control_expression_token1] = ACTIONS(3025),
    [aux_sym_select_case_statement_token1] = ACTIONS(3128),
    [aux_sym_select_case_statement_token3] = ACTIONS(3025),
    [aux_sym_select_type_statement_token1] = ACTIONS(3025),
    [aux_sym_select_rank_statement_token1] = ACTIONS(3025),
    [aux_sym_block_construct_token1] = ACTIONS(3038),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(3025),
    [aux_sym_associate_statement_token1] = ACTIONS(3025),
    [aux_sym_format_statement_token1] = ACTIONS(3038),
    [aux_sym_print_statement_token1] = ACTIONS(3025),
    [aux_sym_open_statement_token1] = ACTIONS(3025),
    [aux_sym_close_statement_token1] = ACTIONS(3025),
    [aux_sym_inquire_statement_token1] = ACTIONS(3038),
    [aux_sym_enum_statement_token1] = ACTIONS(3131),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3134),
    [aux_sym_file_position_statement_token1] = ACTIONS(3025),
    [aux_sym_file_position_statement_token2] = ACTIONS(3025),
    [aux_sym_file_position_statement_token3] = ACTIONS(3025),
    [aux_sym_file_position_statement_token4] = ACTIONS(3025),
    [aux_sym_allocate_statement_token1] = ACTIONS(3025),
    [aux_sym_entry_statement_token1] = ACTIONS(3038),
    [aux_sym_logical_expression_token5] = ACTIONS(3030),
    [anon_sym_DOT] = ACTIONS(3025),
    [anon_sym_LPAREN_SLASH] = ACTIONS(3030),
    [anon_sym_LBRACK] = ACTIONS(3030),
    [aux_sym_boolean_literal_token1] = ACTIONS(3030),
    [aux_sym_boolean_literal_token2] = ACTIONS(3030),
    [aux_sym_null_literal_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token2] = ACTIONS(3038),
    [aux_sym_coarray_statement_token6] = ACTIONS(3038),
    [aux_sym_coarray_statement_token8] = ACTIONS(3038),
    [aux_sym_coarray_statement_token11] = ACTIONS(3038),
    [aux_sym_coarray_statement_token12] = ACTIONS(3038),
    [aux_sym_coarray_statement_token13] = ACTIONS(3025),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3038),
    [aux_sym_identifier_token1] = ACTIONS(3038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3137),
    [sym__float_literal] = ACTIONS(3030),
    [sym__boz_literal] = ACTIONS(3030),
    [sym__string_literal] = ACTIONS(3030),
    [sym__string_literal_kind] = ACTIONS(3030),
  },
  [768] = {
    [sym__statements] = STATE(7686),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7686),
    [sym_assignment_statement] = STATE(7686),
    [sym_pointer_association_statement] = STATE(7686),
    [sym_subroutine_call] = STATE(7686),
    [sym_keyword_statement] = STATE(7686),
    [sym_include_statement] = STATE(7686),
    [sym_do_loop_statement] = STATE(7686),
    [sym_do_label_statement] = STATE(7686),
    [sym_end_do_label_statement] = STATE(7686),
    [sym_if_statement] = STATE(7686),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7686),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7686),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7686),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7686),
    [sym_select_type_statement] = STATE(7686),
    [sym_select_rank_statement] = STATE(7686),
    [sym_block_construct] = STATE(7686),
    [sym_associate_statement] = STATE(7686),
    [sym_format_statement] = STATE(7686),
    [sym_read_statement] = STATE(7686),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7686),
    [sym_open_statement] = STATE(7686),
    [sym_close_statement] = STATE(7686),
    [sym_write_statement] = STATE(7686),
    [sym_inquire_statement] = STATE(7686),
    [sym_file_position_statement] = STATE(7686),
    [sym_allocate_statement] = STATE(7686),
    [sym_entry_statement] = STATE(7686),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7686),
    [sym_coarray_team_statement] = STATE(7686),
    [sym_coarray_critical_statement] = STATE(7686),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [sym__end_of_statement] = STATE(556),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4255),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
    [sym__external_end_of_statement] = ACTIONS(4255),
  },
  [769] = {
    [sym__statements] = STATE(6662),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6662),
    [sym_assignment_statement] = STATE(6662),
    [sym_pointer_association_statement] = STATE(6662),
    [sym_subroutine_call] = STATE(6662),
    [sym_keyword_statement] = STATE(6662),
    [sym_include_statement] = STATE(6662),
    [sym_do_loop_statement] = STATE(6662),
    [sym_do_label_statement] = STATE(6662),
    [sym_end_do_label_statement] = STATE(6662),
    [sym_if_statement] = STATE(6662),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6662),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6662),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6662),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7319),
    [sym_select_case_statement] = STATE(6662),
    [sym_select_type_statement] = STATE(6662),
    [sym_select_rank_statement] = STATE(6662),
    [sym_block_construct] = STATE(6662),
    [sym_associate_statement] = STATE(6662),
    [sym_format_statement] = STATE(6662),
    [sym_read_statement] = STATE(6662),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6662),
    [sym_open_statement] = STATE(6662),
    [sym_close_statement] = STATE(6662),
    [sym_write_statement] = STATE(6662),
    [sym_inquire_statement] = STATE(6662),
    [sym_file_position_statement] = STATE(6662),
    [sym_allocate_statement] = STATE(6662),
    [sym_entry_statement] = STATE(6662),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6662),
    [sym_coarray_team_statement] = STATE(6662),
    [sym_coarray_critical_statement] = STATE(6662),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4259),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [770] = {
    [sym__statements] = STATE(7597),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7597),
    [sym_assignment_statement] = STATE(7597),
    [sym_pointer_association_statement] = STATE(7597),
    [sym_subroutine_call] = STATE(7597),
    [sym_keyword_statement] = STATE(7597),
    [sym_include_statement] = STATE(7597),
    [sym_do_loop_statement] = STATE(7597),
    [sym_do_label_statement] = STATE(7597),
    [sym_end_do_label_statement] = STATE(7597),
    [sym_if_statement] = STATE(7597),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7597),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7597),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7597),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7597),
    [sym_select_type_statement] = STATE(7597),
    [sym_select_rank_statement] = STATE(7597),
    [sym_block_construct] = STATE(7597),
    [sym_associate_statement] = STATE(7597),
    [sym_format_statement] = STATE(7597),
    [sym_read_statement] = STATE(7597),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7597),
    [sym_open_statement] = STATE(7597),
    [sym_close_statement] = STATE(7597),
    [sym_write_statement] = STATE(7597),
    [sym_inquire_statement] = STATE(7597),
    [sym_file_position_statement] = STATE(7597),
    [sym_allocate_statement] = STATE(7597),
    [sym_entry_statement] = STATE(7597),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7597),
    [sym_coarray_team_statement] = STATE(7597),
    [sym_coarray_critical_statement] = STATE(7597),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [sym__end_of_statement] = STATE(674),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(4263),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
    [sym__external_end_of_statement] = ACTIONS(4263),
  },
  [771] = {
    [sym__statements] = STATE(6662),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6662),
    [sym_assignment_statement] = STATE(6662),
    [sym_pointer_association_statement] = STATE(6662),
    [sym_subroutine_call] = STATE(6662),
    [sym_keyword_statement] = STATE(6662),
    [sym_include_statement] = STATE(6662),
    [sym_do_loop_statement] = STATE(6662),
    [sym_do_label_statement] = STATE(6662),
    [sym_end_do_label_statement] = STATE(6662),
    [sym_if_statement] = STATE(6662),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6662),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6662),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6662),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7554),
    [sym_select_case_statement] = STATE(6662),
    [sym_select_type_statement] = STATE(6662),
    [sym_select_rank_statement] = STATE(6662),
    [sym_block_construct] = STATE(6662),
    [sym_associate_statement] = STATE(6662),
    [sym_format_statement] = STATE(6662),
    [sym_read_statement] = STATE(6662),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6662),
    [sym_open_statement] = STATE(6662),
    [sym_close_statement] = STATE(6662),
    [sym_write_statement] = STATE(6662),
    [sym_inquire_statement] = STATE(6662),
    [sym_file_position_statement] = STATE(6662),
    [sym_allocate_statement] = STATE(6662),
    [sym_entry_statement] = STATE(6662),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6662),
    [sym_coarray_team_statement] = STATE(6662),
    [sym_coarray_critical_statement] = STATE(6662),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4259),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [772] = {
    [sym__statements] = STATE(6662),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6662),
    [sym_assignment_statement] = STATE(6662),
    [sym_pointer_association_statement] = STATE(6662),
    [sym_subroutine_call] = STATE(6662),
    [sym_keyword_statement] = STATE(6662),
    [sym_include_statement] = STATE(6662),
    [sym_do_loop_statement] = STATE(6662),
    [sym_do_label_statement] = STATE(6662),
    [sym_end_do_label_statement] = STATE(6662),
    [sym_if_statement] = STATE(6662),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6662),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6662),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6662),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_end_forall_statement] = STATE(7608),
    [sym_select_case_statement] = STATE(6662),
    [sym_select_type_statement] = STATE(6662),
    [sym_select_rank_statement] = STATE(6662),
    [sym_block_construct] = STATE(6662),
    [sym_associate_statement] = STATE(6662),
    [sym_format_statement] = STATE(6662),
    [sym_read_statement] = STATE(6662),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6662),
    [sym_open_statement] = STATE(6662),
    [sym_close_statement] = STATE(6662),
    [sym_write_statement] = STATE(6662),
    [sym_inquire_statement] = STATE(6662),
    [sym_file_position_statement] = STATE(6662),
    [sym_allocate_statement] = STATE(6662),
    [sym_entry_statement] = STATE(6662),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6662),
    [sym_coarray_team_statement] = STATE(6662),
    [sym_coarray_critical_statement] = STATE(6662),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4259),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_end_forall_statement_token1] = ACTIONS(3323),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [773] = {
    [sym__statements] = STATE(6941),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6941),
    [sym_assignment_statement] = STATE(6941),
    [sym_pointer_association_statement] = STATE(6941),
    [sym_subroutine_call] = STATE(6941),
    [sym_keyword_statement] = STATE(6941),
    [sym_include_statement] = STATE(6941),
    [sym_do_loop_statement] = STATE(6941),
    [sym_do_label_statement] = STATE(6941),
    [sym_end_do_label_statement] = STATE(6941),
    [sym_if_statement] = STATE(6941),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6941),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7605),
    [sym_where_statement] = STATE(6941),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6941),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6941),
    [sym_select_type_statement] = STATE(6941),
    [sym_select_rank_statement] = STATE(6941),
    [sym_block_construct] = STATE(6941),
    [sym_associate_statement] = STATE(6941),
    [sym_format_statement] = STATE(6941),
    [sym_read_statement] = STATE(6941),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6941),
    [sym_open_statement] = STATE(6941),
    [sym_close_statement] = STATE(6941),
    [sym_write_statement] = STATE(6941),
    [sym_inquire_statement] = STATE(6941),
    [sym_file_position_statement] = STATE(6941),
    [sym_allocate_statement] = STATE(6941),
    [sym_entry_statement] = STATE(6941),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6941),
    [sym_coarray_team_statement] = STATE(6941),
    [sym_coarray_critical_statement] = STATE(6941),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [774] = {
    [sym__statements] = STATE(7549),
    [sym_statement_label] = STATE(6610),
    [sym_statement_label_reference] = STATE(7978),
    [sym_stop_statement] = STATE(7549),
    [sym_assignment_statement] = STATE(7549),
    [sym_pointer_association_statement] = STATE(7549),
    [sym_subroutine_call] = STATE(7549),
    [sym_keyword_statement] = STATE(7549),
    [sym_include_statement] = STATE(7549),
    [sym_do_loop_statement] = STATE(7549),
    [sym_do_label_statement] = STATE(7549),
    [sym_end_do_label_statement] = STATE(7549),
    [sym_if_statement] = STATE(7549),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7549),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7549),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7549),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7549),
    [sym_select_type_statement] = STATE(7549),
    [sym_select_rank_statement] = STATE(7549),
    [sym_block_construct] = STATE(7549),
    [sym_associate_statement] = STATE(7549),
    [sym_format_statement] = STATE(7549),
    [sym_read_statement] = STATE(7549),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7549),
    [sym_open_statement] = STATE(7549),
    [sym_close_statement] = STATE(7549),
    [sym_write_statement] = STATE(7549),
    [sym_inquire_statement] = STATE(7549),
    [sym_file_position_statement] = STATE(7549),
    [sym_allocate_statement] = STATE(7549),
    [sym_entry_statement] = STATE(7549),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7549),
    [sym_coarray_team_statement] = STATE(7549),
    [sym_coarray_critical_statement] = STATE(7549),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym__block_if_statement_token1] = ACTIONS(4267),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [775] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_end_do_loop_statement] = STATE(7694),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4269),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [776] = {
    [sym__statements] = STATE(6941),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6941),
    [sym_assignment_statement] = STATE(6941),
    [sym_pointer_association_statement] = STATE(6941),
    [sym_subroutine_call] = STATE(6941),
    [sym_keyword_statement] = STATE(6941),
    [sym_include_statement] = STATE(6941),
    [sym_do_loop_statement] = STATE(6941),
    [sym_do_label_statement] = STATE(6941),
    [sym_end_do_label_statement] = STATE(6941),
    [sym_if_statement] = STATE(6941),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6941),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7701),
    [sym_where_statement] = STATE(6941),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6941),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6941),
    [sym_select_type_statement] = STATE(6941),
    [sym_select_rank_statement] = STATE(6941),
    [sym_block_construct] = STATE(6941),
    [sym_associate_statement] = STATE(6941),
    [sym_format_statement] = STATE(6941),
    [sym_read_statement] = STATE(6941),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6941),
    [sym_open_statement] = STATE(6941),
    [sym_close_statement] = STATE(6941),
    [sym_write_statement] = STATE(6941),
    [sym_inquire_statement] = STATE(6941),
    [sym_file_position_statement] = STATE(6941),
    [sym_allocate_statement] = STATE(6941),
    [sym_entry_statement] = STATE(6941),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6941),
    [sym_coarray_team_statement] = STATE(6941),
    [sym_coarray_critical_statement] = STATE(6941),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [777] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_end_do_loop_statement] = STATE(7474),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4269),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [778] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_end_do_loop_statement] = STATE(7391),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4269),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [779] = {
    [sym__statements] = STATE(6465),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6465),
    [sym_assignment_statement] = STATE(6465),
    [sym_pointer_association_statement] = STATE(6465),
    [sym_subroutine_call] = STATE(6465),
    [sym_keyword_statement] = STATE(6465),
    [sym_include_statement] = STATE(6465),
    [sym_do_loop_statement] = STATE(6465),
    [sym_do_label_statement] = STATE(6465),
    [sym_end_do_label_statement] = STATE(6465),
    [sym_if_statement] = STATE(6465),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6465),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6465),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6465),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6465),
    [sym_select_type_statement] = STATE(6465),
    [sym_select_rank_statement] = STATE(6465),
    [sym_block_construct] = STATE(6465),
    [sym_associate_statement] = STATE(6465),
    [sym_format_statement] = STATE(6513),
    [sym_read_statement] = STATE(6465),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6465),
    [sym_open_statement] = STATE(6465),
    [sym_close_statement] = STATE(6465),
    [sym_write_statement] = STATE(6465),
    [sym_inquire_statement] = STATE(6465),
    [sym_file_position_statement] = STATE(6465),
    [sym_allocate_statement] = STATE(6465),
    [sym_entry_statement] = STATE(6465),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6465),
    [sym_coarray_team_statement] = STATE(6465),
    [sym_coarray_critical_statement] = STATE(6465),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [780] = {
    [sym__statements] = STATE(6941),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6941),
    [sym_assignment_statement] = STATE(6941),
    [sym_pointer_association_statement] = STATE(6941),
    [sym_subroutine_call] = STATE(6941),
    [sym_keyword_statement] = STATE(6941),
    [sym_include_statement] = STATE(6941),
    [sym_do_loop_statement] = STATE(6941),
    [sym_do_label_statement] = STATE(6941),
    [sym_end_do_label_statement] = STATE(6941),
    [sym_if_statement] = STATE(6941),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6941),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7590),
    [sym_where_statement] = STATE(6941),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6941),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6941),
    [sym_select_type_statement] = STATE(6941),
    [sym_select_rank_statement] = STATE(6941),
    [sym_block_construct] = STATE(6941),
    [sym_associate_statement] = STATE(6941),
    [sym_format_statement] = STATE(6941),
    [sym_read_statement] = STATE(6941),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6941),
    [sym_open_statement] = STATE(6941),
    [sym_close_statement] = STATE(6941),
    [sym_write_statement] = STATE(6941),
    [sym_inquire_statement] = STATE(6941),
    [sym_file_position_statement] = STATE(6941),
    [sym_allocate_statement] = STATE(6941),
    [sym_entry_statement] = STATE(6941),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6941),
    [sym_coarray_team_statement] = STATE(6941),
    [sym_coarray_critical_statement] = STATE(6941),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [781] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_end_do_loop_statement] = STATE(7425),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4269),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [782] = {
    [sym__statements] = STATE(6941),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6941),
    [sym_assignment_statement] = STATE(6941),
    [sym_pointer_association_statement] = STATE(6941),
    [sym_subroutine_call] = STATE(6941),
    [sym_keyword_statement] = STATE(6941),
    [sym_include_statement] = STATE(6941),
    [sym_do_loop_statement] = STATE(6941),
    [sym_do_label_statement] = STATE(6941),
    [sym_end_do_label_statement] = STATE(6941),
    [sym_if_statement] = STATE(6941),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6941),
    [sym__block_if_statement] = STATE(7692),
    [sym_end_if_statement] = STATE(7632),
    [sym_where_statement] = STATE(6941),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6941),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6941),
    [sym_select_type_statement] = STATE(6941),
    [sym_select_rank_statement] = STATE(6941),
    [sym_block_construct] = STATE(6941),
    [sym_associate_statement] = STATE(6941),
    [sym_format_statement] = STATE(6941),
    [sym_read_statement] = STATE(6941),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6941),
    [sym_open_statement] = STATE(6941),
    [sym_close_statement] = STATE(6941),
    [sym_write_statement] = STATE(6941),
    [sym_inquire_statement] = STATE(6941),
    [sym_file_position_statement] = STATE(6941),
    [sym_allocate_statement] = STATE(6941),
    [sym_entry_statement] = STATE(6941),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6941),
    [sym_coarray_team_statement] = STATE(6941),
    [sym_coarray_critical_statement] = STATE(6941),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4265),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(2729),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [783] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_end_do_loop_statement] = STATE(7678),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4269),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [784] = {
    [sym__statements] = STATE(6609),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6609),
    [sym_assignment_statement] = STATE(6609),
    [sym_pointer_association_statement] = STATE(6609),
    [sym_subroutine_call] = STATE(6609),
    [sym_keyword_statement] = STATE(6609),
    [sym_include_statement] = STATE(6609),
    [sym_do_loop_statement] = STATE(6609),
    [sym_do_label_statement] = STATE(6609),
    [sym_end_do_label_statement] = STATE(6609),
    [sym_if_statement] = STATE(6609),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6609),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6609),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6609),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6609),
    [sym_select_type_statement] = STATE(6609),
    [sym_select_rank_statement] = STATE(6609),
    [sym_block_construct] = STATE(6609),
    [sym_associate_statement] = STATE(6609),
    [sym_format_statement] = STATE(6521),
    [sym_read_statement] = STATE(6609),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6609),
    [sym_open_statement] = STATE(6609),
    [sym_close_statement] = STATE(6609),
    [sym_write_statement] = STATE(6609),
    [sym_inquire_statement] = STATE(6609),
    [sym_file_position_statement] = STATE(6609),
    [sym_allocate_statement] = STATE(6609),
    [sym_entry_statement] = STATE(6609),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6609),
    [sym_coarray_team_statement] = STATE(6609),
    [sym_coarray_critical_statement] = STATE(6609),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [785] = {
    [sym__statements] = STATE(6855),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6855),
    [sym_assignment_statement] = STATE(6855),
    [sym_pointer_association_statement] = STATE(6855),
    [sym_subroutine_call] = STATE(6855),
    [sym_keyword_statement] = STATE(6855),
    [sym_include_statement] = STATE(6855),
    [sym_do_loop_statement] = STATE(6855),
    [sym_do_label_statement] = STATE(6855),
    [sym_end_do_label_statement] = STATE(6855),
    [sym_if_statement] = STATE(6855),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6855),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6855),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6855),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6855),
    [sym_select_type_statement] = STATE(6855),
    [sym_select_rank_statement] = STATE(6855),
    [sym_block_construct] = STATE(6855),
    [sym_associate_statement] = STATE(6855),
    [sym_format_statement] = STATE(6856),
    [sym_read_statement] = STATE(6855),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6855),
    [sym_open_statement] = STATE(6855),
    [sym_close_statement] = STATE(6855),
    [sym_write_statement] = STATE(6855),
    [sym_inquire_statement] = STATE(6855),
    [sym_file_position_statement] = STATE(6855),
    [sym_allocate_statement] = STATE(6855),
    [sym_entry_statement] = STATE(6855),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6855),
    [sym_coarray_team_statement] = STATE(6855),
    [sym_coarray_critical_statement] = STATE(6855),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [786] = {
    [sym__statements] = STATE(7012),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7012),
    [sym_assignment_statement] = STATE(7012),
    [sym_pointer_association_statement] = STATE(7012),
    [sym_subroutine_call] = STATE(7012),
    [sym_keyword_statement] = STATE(7012),
    [sym_include_statement] = STATE(7012),
    [sym_do_loop_statement] = STATE(7012),
    [sym_do_label_statement] = STATE(7012),
    [sym_end_do_label_statement] = STATE(7012),
    [sym_if_statement] = STATE(7012),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7012),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7012),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7012),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7012),
    [sym_select_type_statement] = STATE(7012),
    [sym_select_rank_statement] = STATE(7012),
    [sym_block_construct] = STATE(7012),
    [sym_associate_statement] = STATE(7012),
    [sym_format_statement] = STATE(6595),
    [sym_read_statement] = STATE(7012),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7012),
    [sym_open_statement] = STATE(7012),
    [sym_close_statement] = STATE(7012),
    [sym_write_statement] = STATE(7012),
    [sym_inquire_statement] = STATE(7012),
    [sym_file_position_statement] = STATE(7012),
    [sym_allocate_statement] = STATE(7012),
    [sym_entry_statement] = STATE(7012),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7012),
    [sym_coarray_team_statement] = STATE(7012),
    [sym_coarray_critical_statement] = STATE(7012),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [787] = {
    [sym__statements] = STATE(6520),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6520),
    [sym_assignment_statement] = STATE(6520),
    [sym_pointer_association_statement] = STATE(6520),
    [sym_subroutine_call] = STATE(6520),
    [sym_keyword_statement] = STATE(6520),
    [sym_include_statement] = STATE(6520),
    [sym_do_loop_statement] = STATE(6520),
    [sym_do_label_statement] = STATE(6520),
    [sym_end_do_label_statement] = STATE(6520),
    [sym_if_statement] = STATE(6520),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6520),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6520),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6520),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6520),
    [sym_select_type_statement] = STATE(6520),
    [sym_select_rank_statement] = STATE(6520),
    [sym_block_construct] = STATE(6520),
    [sym_associate_statement] = STATE(6520),
    [sym_format_statement] = STATE(7254),
    [sym_read_statement] = STATE(6520),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6520),
    [sym_open_statement] = STATE(6520),
    [sym_close_statement] = STATE(6520),
    [sym_write_statement] = STATE(6520),
    [sym_inquire_statement] = STATE(6520),
    [sym_file_position_statement] = STATE(6520),
    [sym_allocate_statement] = STATE(6520),
    [sym_entry_statement] = STATE(6520),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6520),
    [sym_coarray_team_statement] = STATE(6520),
    [sym_coarray_critical_statement] = STATE(6520),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [788] = {
    [sym__statements] = STATE(7297),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7297),
    [sym_assignment_statement] = STATE(7297),
    [sym_pointer_association_statement] = STATE(7297),
    [sym_subroutine_call] = STATE(7297),
    [sym_keyword_statement] = STATE(7297),
    [sym_include_statement] = STATE(7297),
    [sym_do_loop_statement] = STATE(7297),
    [sym_do_label_statement] = STATE(7297),
    [sym_end_do_label_statement] = STATE(7297),
    [sym_if_statement] = STATE(7297),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7297),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7297),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7297),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7297),
    [sym_select_type_statement] = STATE(7297),
    [sym_select_rank_statement] = STATE(7297),
    [sym_block_construct] = STATE(7297),
    [sym_associate_statement] = STATE(7297),
    [sym_format_statement] = STATE(6843),
    [sym_read_statement] = STATE(7297),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7297),
    [sym_open_statement] = STATE(7297),
    [sym_close_statement] = STATE(7297),
    [sym_write_statement] = STATE(7297),
    [sym_inquire_statement] = STATE(7297),
    [sym_file_position_statement] = STATE(7297),
    [sym_allocate_statement] = STATE(7297),
    [sym_entry_statement] = STATE(7297),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7297),
    [sym_coarray_team_statement] = STATE(7297),
    [sym_coarray_critical_statement] = STATE(7297),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [789] = {
    [sym__statements] = STATE(6723),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6723),
    [sym_assignment_statement] = STATE(6723),
    [sym_pointer_association_statement] = STATE(6723),
    [sym_subroutine_call] = STATE(6723),
    [sym_keyword_statement] = STATE(6723),
    [sym_include_statement] = STATE(6723),
    [sym_do_loop_statement] = STATE(6723),
    [sym_do_label_statement] = STATE(6723),
    [sym_end_do_label_statement] = STATE(6723),
    [sym_if_statement] = STATE(6723),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6723),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6723),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6723),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6723),
    [sym_select_type_statement] = STATE(6723),
    [sym_select_rank_statement] = STATE(6723),
    [sym_block_construct] = STATE(6723),
    [sym_associate_statement] = STATE(6723),
    [sym_format_statement] = STATE(6663),
    [sym_read_statement] = STATE(6723),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6723),
    [sym_open_statement] = STATE(6723),
    [sym_close_statement] = STATE(6723),
    [sym_write_statement] = STATE(6723),
    [sym_inquire_statement] = STATE(6723),
    [sym_file_position_statement] = STATE(6723),
    [sym_allocate_statement] = STATE(6723),
    [sym_entry_statement] = STATE(6723),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6723),
    [sym_coarray_team_statement] = STATE(6723),
    [sym_coarray_critical_statement] = STATE(6723),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [790] = {
    [sym__statements] = STATE(6783),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6783),
    [sym_assignment_statement] = STATE(6783),
    [sym_pointer_association_statement] = STATE(6783),
    [sym_subroutine_call] = STATE(6783),
    [sym_keyword_statement] = STATE(6783),
    [sym_include_statement] = STATE(6783),
    [sym_do_loop_statement] = STATE(6783),
    [sym_do_label_statement] = STATE(6783),
    [sym_end_do_label_statement] = STATE(6783),
    [sym_if_statement] = STATE(6783),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6783),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6783),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6783),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6783),
    [sym_select_type_statement] = STATE(6783),
    [sym_select_rank_statement] = STATE(6783),
    [sym_block_construct] = STATE(6783),
    [sym_associate_statement] = STATE(6783),
    [sym_format_statement] = STATE(6724),
    [sym_read_statement] = STATE(6783),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6783),
    [sym_open_statement] = STATE(6783),
    [sym_close_statement] = STATE(6783),
    [sym_write_statement] = STATE(6783),
    [sym_inquire_statement] = STATE(6783),
    [sym_file_position_statement] = STATE(6783),
    [sym_allocate_statement] = STATE(6783),
    [sym_entry_statement] = STATE(6783),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6783),
    [sym_coarray_team_statement] = STATE(6783),
    [sym_coarray_critical_statement] = STATE(6783),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [791] = {
    [sym__statements] = STATE(6894),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6894),
    [sym_assignment_statement] = STATE(6894),
    [sym_pointer_association_statement] = STATE(6894),
    [sym_subroutine_call] = STATE(6894),
    [sym_keyword_statement] = STATE(6894),
    [sym_include_statement] = STATE(6894),
    [sym_do_loop_statement] = STATE(6894),
    [sym_do_label_statement] = STATE(6894),
    [sym_end_do_label_statement] = STATE(6894),
    [sym_if_statement] = STATE(6894),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6894),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6894),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6894),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6894),
    [sym_select_type_statement] = STATE(6894),
    [sym_select_rank_statement] = STATE(6894),
    [sym_block_construct] = STATE(6894),
    [sym_associate_statement] = STATE(6894),
    [sym_format_statement] = STATE(6784),
    [sym_read_statement] = STATE(6894),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6894),
    [sym_open_statement] = STATE(6894),
    [sym_close_statement] = STATE(6894),
    [sym_write_statement] = STATE(6894),
    [sym_inquire_statement] = STATE(6894),
    [sym_file_position_statement] = STATE(6894),
    [sym_allocate_statement] = STATE(6894),
    [sym_entry_statement] = STATE(6894),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6894),
    [sym_coarray_team_statement] = STATE(6894),
    [sym_coarray_critical_statement] = STATE(6894),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(4275),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [792] = {
    [sym__statements] = STATE(7069),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7069),
    [sym_assignment_statement] = STATE(7069),
    [sym_pointer_association_statement] = STATE(7069),
    [sym_subroutine_call] = STATE(7069),
    [sym_keyword_statement] = STATE(7069),
    [sym_include_statement] = STATE(7069),
    [sym_do_loop_statement] = STATE(7069),
    [sym_do_label_statement] = STATE(7069),
    [sym_end_do_label_statement] = STATE(7069),
    [sym_if_statement] = STATE(7069),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7069),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7069),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7069),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7069),
    [sym_select_type_statement] = STATE(7069),
    [sym_select_rank_statement] = STATE(7069),
    [sym_block_construct] = STATE(7069),
    [sym_associate_statement] = STATE(7069),
    [sym_format_statement] = STATE(7069),
    [sym_read_statement] = STATE(7069),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7069),
    [sym_open_statement] = STATE(7069),
    [sym_close_statement] = STATE(7069),
    [sym_write_statement] = STATE(7069),
    [sym_inquire_statement] = STATE(7069),
    [sym_file_position_statement] = STATE(7069),
    [sym_allocate_statement] = STATE(7069),
    [sym_entry_statement] = STATE(7069),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7069),
    [sym_coarray_team_statement] = STATE(7069),
    [sym_coarray_critical_statement] = STATE(7069),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [793] = {
    [sym__statements] = STATE(6594),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6594),
    [sym_assignment_statement] = STATE(6594),
    [sym_pointer_association_statement] = STATE(6594),
    [sym_subroutine_call] = STATE(6594),
    [sym_keyword_statement] = STATE(6594),
    [sym_include_statement] = STATE(6594),
    [sym_do_loop_statement] = STATE(6594),
    [sym_do_label_statement] = STATE(6594),
    [sym_end_do_label_statement] = STATE(6594),
    [sym_if_statement] = STATE(6594),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6594),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6594),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6594),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6594),
    [sym_select_type_statement] = STATE(6594),
    [sym_select_rank_statement] = STATE(6594),
    [sym_block_construct] = STATE(6594),
    [sym_associate_statement] = STATE(6594),
    [sym_format_statement] = STATE(6594),
    [sym_read_statement] = STATE(6594),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6594),
    [sym_open_statement] = STATE(6594),
    [sym_close_statement] = STATE(6594),
    [sym_write_statement] = STATE(6594),
    [sym_inquire_statement] = STATE(6594),
    [sym_file_position_statement] = STATE(6594),
    [sym_allocate_statement] = STATE(6594),
    [sym_entry_statement] = STATE(6594),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6594),
    [sym_coarray_team_statement] = STATE(6594),
    [sym_coarray_critical_statement] = STATE(6594),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [794] = {
    [sym__statements] = STATE(7077),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7077),
    [sym_assignment_statement] = STATE(7077),
    [sym_pointer_association_statement] = STATE(7077),
    [sym_subroutine_call] = STATE(7077),
    [sym_keyword_statement] = STATE(7077),
    [sym_include_statement] = STATE(7077),
    [sym_do_loop_statement] = STATE(7077),
    [sym_do_label_statement] = STATE(7077),
    [sym_end_do_label_statement] = STATE(7077),
    [sym_if_statement] = STATE(7077),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7077),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7077),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7077),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7077),
    [sym_select_type_statement] = STATE(7077),
    [sym_select_rank_statement] = STATE(7077),
    [sym_block_construct] = STATE(7077),
    [sym_associate_statement] = STATE(7077),
    [sym_format_statement] = STATE(7077),
    [sym_read_statement] = STATE(7077),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7077),
    [sym_open_statement] = STATE(7077),
    [sym_close_statement] = STATE(7077),
    [sym_write_statement] = STATE(7077),
    [sym_inquire_statement] = STATE(7077),
    [sym_file_position_statement] = STATE(7077),
    [sym_allocate_statement] = STATE(7077),
    [sym_entry_statement] = STATE(7077),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7077),
    [sym_coarray_team_statement] = STATE(7077),
    [sym_coarray_critical_statement] = STATE(7077),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [795] = {
    [sym__statements] = STATE(7012),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7012),
    [sym_assignment_statement] = STATE(7012),
    [sym_pointer_association_statement] = STATE(7012),
    [sym_subroutine_call] = STATE(7012),
    [sym_keyword_statement] = STATE(7012),
    [sym_include_statement] = STATE(7012),
    [sym_do_loop_statement] = STATE(7012),
    [sym_do_label_statement] = STATE(7012),
    [sym_end_do_label_statement] = STATE(7012),
    [sym_if_statement] = STATE(7012),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7012),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7012),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7012),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7012),
    [sym_select_type_statement] = STATE(7012),
    [sym_select_rank_statement] = STATE(7012),
    [sym_block_construct] = STATE(7012),
    [sym_associate_statement] = STATE(7012),
    [sym_format_statement] = STATE(7012),
    [sym_read_statement] = STATE(7012),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7012),
    [sym_open_statement] = STATE(7012),
    [sym_close_statement] = STATE(7012),
    [sym_write_statement] = STATE(7012),
    [sym_inquire_statement] = STATE(7012),
    [sym_file_position_statement] = STATE(7012),
    [sym_allocate_statement] = STATE(7012),
    [sym_entry_statement] = STATE(7012),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7012),
    [sym_coarray_team_statement] = STATE(7012),
    [sym_coarray_critical_statement] = STATE(7012),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [796] = {
    [sym__statements] = STATE(6855),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6855),
    [sym_assignment_statement] = STATE(6855),
    [sym_pointer_association_statement] = STATE(6855),
    [sym_subroutine_call] = STATE(6855),
    [sym_keyword_statement] = STATE(6855),
    [sym_include_statement] = STATE(6855),
    [sym_do_loop_statement] = STATE(6855),
    [sym_do_label_statement] = STATE(6855),
    [sym_end_do_label_statement] = STATE(6855),
    [sym_if_statement] = STATE(6855),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6855),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6855),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6855),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6855),
    [sym_select_type_statement] = STATE(6855),
    [sym_select_rank_statement] = STATE(6855),
    [sym_block_construct] = STATE(6855),
    [sym_associate_statement] = STATE(6855),
    [sym_format_statement] = STATE(6855),
    [sym_read_statement] = STATE(6855),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6855),
    [sym_open_statement] = STATE(6855),
    [sym_close_statement] = STATE(6855),
    [sym_write_statement] = STATE(6855),
    [sym_inquire_statement] = STATE(6855),
    [sym_file_position_statement] = STATE(6855),
    [sym_allocate_statement] = STATE(6855),
    [sym_entry_statement] = STATE(6855),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6855),
    [sym_coarray_team_statement] = STATE(6855),
    [sym_coarray_critical_statement] = STATE(6855),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [797] = {
    [sym__statements] = STATE(6842),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6842),
    [sym_assignment_statement] = STATE(6842),
    [sym_pointer_association_statement] = STATE(6842),
    [sym_subroutine_call] = STATE(6842),
    [sym_keyword_statement] = STATE(6842),
    [sym_include_statement] = STATE(6842),
    [sym_do_loop_statement] = STATE(6842),
    [sym_do_label_statement] = STATE(6842),
    [sym_end_do_label_statement] = STATE(6842),
    [sym_if_statement] = STATE(6842),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6842),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6842),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6842),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6842),
    [sym_select_type_statement] = STATE(6842),
    [sym_select_rank_statement] = STATE(6842),
    [sym_block_construct] = STATE(6842),
    [sym_associate_statement] = STATE(6842),
    [sym_format_statement] = STATE(6842),
    [sym_read_statement] = STATE(6842),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6842),
    [sym_open_statement] = STATE(6842),
    [sym_close_statement] = STATE(6842),
    [sym_write_statement] = STATE(6842),
    [sym_inquire_statement] = STATE(6842),
    [sym_file_position_statement] = STATE(6842),
    [sym_allocate_statement] = STATE(6842),
    [sym_entry_statement] = STATE(6842),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6842),
    [sym_coarray_team_statement] = STATE(6842),
    [sym_coarray_critical_statement] = STATE(6842),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [798] = {
    [sym__statements] = STATE(7297),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7297),
    [sym_assignment_statement] = STATE(7297),
    [sym_pointer_association_statement] = STATE(7297),
    [sym_subroutine_call] = STATE(7297),
    [sym_keyword_statement] = STATE(7297),
    [sym_include_statement] = STATE(7297),
    [sym_do_loop_statement] = STATE(7297),
    [sym_do_label_statement] = STATE(7297),
    [sym_end_do_label_statement] = STATE(7297),
    [sym_if_statement] = STATE(7297),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7297),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7297),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7297),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7297),
    [sym_select_type_statement] = STATE(7297),
    [sym_select_rank_statement] = STATE(7297),
    [sym_block_construct] = STATE(7297),
    [sym_associate_statement] = STATE(7297),
    [sym_format_statement] = STATE(7297),
    [sym_read_statement] = STATE(7297),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7297),
    [sym_open_statement] = STATE(7297),
    [sym_close_statement] = STATE(7297),
    [sym_write_statement] = STATE(7297),
    [sym_inquire_statement] = STATE(7297),
    [sym_file_position_statement] = STATE(7297),
    [sym_allocate_statement] = STATE(7297),
    [sym_entry_statement] = STATE(7297),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7297),
    [sym_coarray_team_statement] = STATE(7297),
    [sym_coarray_critical_statement] = STATE(7297),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [799] = {
    [sym__statements] = STATE(7051),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7051),
    [sym_assignment_statement] = STATE(7051),
    [sym_pointer_association_statement] = STATE(7051),
    [sym_subroutine_call] = STATE(7051),
    [sym_keyword_statement] = STATE(7051),
    [sym_include_statement] = STATE(7051),
    [sym_do_loop_statement] = STATE(7051),
    [sym_do_label_statement] = STATE(7051),
    [sym_end_do_label_statement] = STATE(7051),
    [sym_if_statement] = STATE(7051),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7051),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7051),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7051),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7051),
    [sym_select_type_statement] = STATE(7051),
    [sym_select_rank_statement] = STATE(7051),
    [sym_block_construct] = STATE(7051),
    [sym_associate_statement] = STATE(7051),
    [sym_format_statement] = STATE(7051),
    [sym_read_statement] = STATE(7051),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7051),
    [sym_open_statement] = STATE(7051),
    [sym_close_statement] = STATE(7051),
    [sym_write_statement] = STATE(7051),
    [sym_inquire_statement] = STATE(7051),
    [sym_file_position_statement] = STATE(7051),
    [sym_allocate_statement] = STATE(7051),
    [sym_entry_statement] = STATE(7051),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7051),
    [sym_coarray_team_statement] = STATE(7051),
    [sym_coarray_critical_statement] = STATE(7051),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [800] = {
    [sym__statements] = STATE(6520),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6520),
    [sym_assignment_statement] = STATE(6520),
    [sym_pointer_association_statement] = STATE(6520),
    [sym_subroutine_call] = STATE(6520),
    [sym_keyword_statement] = STATE(6520),
    [sym_include_statement] = STATE(6520),
    [sym_do_loop_statement] = STATE(6520),
    [sym_do_label_statement] = STATE(6520),
    [sym_end_do_label_statement] = STATE(6520),
    [sym_if_statement] = STATE(6520),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6520),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6520),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6520),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6520),
    [sym_select_type_statement] = STATE(6520),
    [sym_select_rank_statement] = STATE(6520),
    [sym_block_construct] = STATE(6520),
    [sym_associate_statement] = STATE(6520),
    [sym_format_statement] = STATE(6520),
    [sym_read_statement] = STATE(6520),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6520),
    [sym_open_statement] = STATE(6520),
    [sym_close_statement] = STATE(6520),
    [sym_write_statement] = STATE(6520),
    [sym_inquire_statement] = STATE(6520),
    [sym_file_position_statement] = STATE(6520),
    [sym_allocate_statement] = STATE(6520),
    [sym_entry_statement] = STATE(6520),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6520),
    [sym_coarray_team_statement] = STATE(6520),
    [sym_coarray_critical_statement] = STATE(6520),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [801] = {
    [sym__statements] = STATE(6609),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6609),
    [sym_assignment_statement] = STATE(6609),
    [sym_pointer_association_statement] = STATE(6609),
    [sym_subroutine_call] = STATE(6609),
    [sym_keyword_statement] = STATE(6609),
    [sym_include_statement] = STATE(6609),
    [sym_do_loop_statement] = STATE(6609),
    [sym_do_label_statement] = STATE(6609),
    [sym_end_do_label_statement] = STATE(6609),
    [sym_if_statement] = STATE(6609),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6609),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6609),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6609),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6609),
    [sym_select_type_statement] = STATE(6609),
    [sym_select_rank_statement] = STATE(6609),
    [sym_block_construct] = STATE(6609),
    [sym_associate_statement] = STATE(6609),
    [sym_format_statement] = STATE(6609),
    [sym_read_statement] = STATE(6609),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6609),
    [sym_open_statement] = STATE(6609),
    [sym_close_statement] = STATE(6609),
    [sym_write_statement] = STATE(6609),
    [sym_inquire_statement] = STATE(6609),
    [sym_file_position_statement] = STATE(6609),
    [sym_allocate_statement] = STATE(6609),
    [sym_entry_statement] = STATE(6609),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6609),
    [sym_coarray_team_statement] = STATE(6609),
    [sym_coarray_critical_statement] = STATE(6609),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [802] = {
    [sym__statements] = STATE(6783),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6783),
    [sym_assignment_statement] = STATE(6783),
    [sym_pointer_association_statement] = STATE(6783),
    [sym_subroutine_call] = STATE(6783),
    [sym_keyword_statement] = STATE(6783),
    [sym_include_statement] = STATE(6783),
    [sym_do_loop_statement] = STATE(6783),
    [sym_do_label_statement] = STATE(6783),
    [sym_end_do_label_statement] = STATE(6783),
    [sym_if_statement] = STATE(6783),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6783),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6783),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6783),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6783),
    [sym_select_type_statement] = STATE(6783),
    [sym_select_rank_statement] = STATE(6783),
    [sym_block_construct] = STATE(6783),
    [sym_associate_statement] = STATE(6783),
    [sym_format_statement] = STATE(6783),
    [sym_read_statement] = STATE(6783),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6783),
    [sym_open_statement] = STATE(6783),
    [sym_close_statement] = STATE(6783),
    [sym_write_statement] = STATE(6783),
    [sym_inquire_statement] = STATE(6783),
    [sym_file_position_statement] = STATE(6783),
    [sym_allocate_statement] = STATE(6783),
    [sym_entry_statement] = STATE(6783),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6783),
    [sym_coarray_team_statement] = STATE(6783),
    [sym_coarray_critical_statement] = STATE(6783),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [803] = {
    [sym__statements] = STATE(6465),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6465),
    [sym_assignment_statement] = STATE(6465),
    [sym_pointer_association_statement] = STATE(6465),
    [sym_subroutine_call] = STATE(6465),
    [sym_keyword_statement] = STATE(6465),
    [sym_include_statement] = STATE(6465),
    [sym_do_loop_statement] = STATE(6465),
    [sym_do_label_statement] = STATE(6465),
    [sym_end_do_label_statement] = STATE(6465),
    [sym_if_statement] = STATE(6465),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6465),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6465),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6465),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6465),
    [sym_select_type_statement] = STATE(6465),
    [sym_select_rank_statement] = STATE(6465),
    [sym_block_construct] = STATE(6465),
    [sym_associate_statement] = STATE(6465),
    [sym_format_statement] = STATE(6465),
    [sym_read_statement] = STATE(6465),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6465),
    [sym_open_statement] = STATE(6465),
    [sym_close_statement] = STATE(6465),
    [sym_write_statement] = STATE(6465),
    [sym_inquire_statement] = STATE(6465),
    [sym_file_position_statement] = STATE(6465),
    [sym_allocate_statement] = STATE(6465),
    [sym_entry_statement] = STATE(6465),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6465),
    [sym_coarray_team_statement] = STATE(6465),
    [sym_coarray_critical_statement] = STATE(6465),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [804] = {
    [sym__statements] = STATE(6723),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6723),
    [sym_assignment_statement] = STATE(6723),
    [sym_pointer_association_statement] = STATE(6723),
    [sym_subroutine_call] = STATE(6723),
    [sym_keyword_statement] = STATE(6723),
    [sym_include_statement] = STATE(6723),
    [sym_do_loop_statement] = STATE(6723),
    [sym_do_label_statement] = STATE(6723),
    [sym_end_do_label_statement] = STATE(6723),
    [sym_if_statement] = STATE(6723),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6723),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6723),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6723),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6723),
    [sym_select_type_statement] = STATE(6723),
    [sym_select_rank_statement] = STATE(6723),
    [sym_block_construct] = STATE(6723),
    [sym_associate_statement] = STATE(6723),
    [sym_format_statement] = STATE(6723),
    [sym_read_statement] = STATE(6723),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6723),
    [sym_open_statement] = STATE(6723),
    [sym_close_statement] = STATE(6723),
    [sym_write_statement] = STATE(6723),
    [sym_inquire_statement] = STATE(6723),
    [sym_file_position_statement] = STATE(6723),
    [sym_allocate_statement] = STATE(6723),
    [sym_entry_statement] = STATE(6723),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6723),
    [sym_coarray_team_statement] = STATE(6723),
    [sym_coarray_critical_statement] = STATE(6723),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [805] = {
    [sym__statements] = STATE(7062),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7062),
    [sym_assignment_statement] = STATE(7062),
    [sym_pointer_association_statement] = STATE(7062),
    [sym_subroutine_call] = STATE(7062),
    [sym_keyword_statement] = STATE(7062),
    [sym_include_statement] = STATE(7062),
    [sym_do_loop_statement] = STATE(7062),
    [sym_do_label_statement] = STATE(7062),
    [sym_end_do_label_statement] = STATE(7062),
    [sym_if_statement] = STATE(7062),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7062),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7062),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7062),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7062),
    [sym_select_type_statement] = STATE(7062),
    [sym_select_rank_statement] = STATE(7062),
    [sym_block_construct] = STATE(7062),
    [sym_associate_statement] = STATE(7062),
    [sym_format_statement] = STATE(7062),
    [sym_read_statement] = STATE(7062),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7062),
    [sym_open_statement] = STATE(7062),
    [sym_close_statement] = STATE(7062),
    [sym_write_statement] = STATE(7062),
    [sym_inquire_statement] = STATE(7062),
    [sym_file_position_statement] = STATE(7062),
    [sym_allocate_statement] = STATE(7062),
    [sym_entry_statement] = STATE(7062),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7062),
    [sym_coarray_team_statement] = STATE(7062),
    [sym_coarray_critical_statement] = STATE(7062),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [806] = {
    [sym__statements] = STATE(7253),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7253),
    [sym_assignment_statement] = STATE(7253),
    [sym_pointer_association_statement] = STATE(7253),
    [sym_subroutine_call] = STATE(7253),
    [sym_keyword_statement] = STATE(7253),
    [sym_include_statement] = STATE(7253),
    [sym_do_loop_statement] = STATE(7253),
    [sym_do_label_statement] = STATE(7253),
    [sym_end_do_label_statement] = STATE(7253),
    [sym_if_statement] = STATE(7253),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7253),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7253),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7253),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7253),
    [sym_select_type_statement] = STATE(7253),
    [sym_select_rank_statement] = STATE(7253),
    [sym_block_construct] = STATE(7253),
    [sym_associate_statement] = STATE(7253),
    [sym_format_statement] = STATE(7253),
    [sym_read_statement] = STATE(7253),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7253),
    [sym_open_statement] = STATE(7253),
    [sym_close_statement] = STATE(7253),
    [sym_write_statement] = STATE(7253),
    [sym_inquire_statement] = STATE(7253),
    [sym_file_position_statement] = STATE(7253),
    [sym_allocate_statement] = STATE(7253),
    [sym_entry_statement] = STATE(7253),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7253),
    [sym_coarray_team_statement] = STATE(7253),
    [sym_coarray_critical_statement] = STATE(7253),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [807] = {
    [sym__statements] = STATE(6982),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6982),
    [sym_assignment_statement] = STATE(6982),
    [sym_pointer_association_statement] = STATE(6982),
    [sym_subroutine_call] = STATE(6982),
    [sym_keyword_statement] = STATE(6982),
    [sym_include_statement] = STATE(6982),
    [sym_do_loop_statement] = STATE(6982),
    [sym_do_label_statement] = STATE(6982),
    [sym_end_do_label_statement] = STATE(6982),
    [sym_if_statement] = STATE(6982),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6982),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6982),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6982),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6982),
    [sym_select_type_statement] = STATE(6982),
    [sym_select_rank_statement] = STATE(6982),
    [sym_block_construct] = STATE(6982),
    [sym_associate_statement] = STATE(6982),
    [sym_format_statement] = STATE(6982),
    [sym_read_statement] = STATE(6982),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6982),
    [sym_open_statement] = STATE(6982),
    [sym_close_statement] = STATE(6982),
    [sym_write_statement] = STATE(6982),
    [sym_inquire_statement] = STATE(6982),
    [sym_file_position_statement] = STATE(6982),
    [sym_allocate_statement] = STATE(6982),
    [sym_entry_statement] = STATE(6982),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6982),
    [sym_coarray_team_statement] = STATE(6982),
    [sym_coarray_critical_statement] = STATE(6982),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [808] = {
    [sym__statements] = STATE(6662),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6662),
    [sym_assignment_statement] = STATE(6662),
    [sym_pointer_association_statement] = STATE(6662),
    [sym_subroutine_call] = STATE(6662),
    [sym_keyword_statement] = STATE(6662),
    [sym_include_statement] = STATE(6662),
    [sym_do_loop_statement] = STATE(6662),
    [sym_do_label_statement] = STATE(6662),
    [sym_end_do_label_statement] = STATE(6662),
    [sym_if_statement] = STATE(6662),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6662),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6662),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6662),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6662),
    [sym_select_type_statement] = STATE(6662),
    [sym_select_rank_statement] = STATE(6662),
    [sym_block_construct] = STATE(6662),
    [sym_associate_statement] = STATE(6662),
    [sym_format_statement] = STATE(6662),
    [sym_read_statement] = STATE(6662),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6662),
    [sym_open_statement] = STATE(6662),
    [sym_close_statement] = STATE(6662),
    [sym_write_statement] = STATE(6662),
    [sym_inquire_statement] = STATE(6662),
    [sym_file_position_statement] = STATE(6662),
    [sym_allocate_statement] = STATE(6662),
    [sym_entry_statement] = STATE(6662),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6662),
    [sym_coarray_team_statement] = STATE(6662),
    [sym_coarray_critical_statement] = STATE(6662),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [809] = {
    [sym__statements] = STATE(6894),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6894),
    [sym_assignment_statement] = STATE(6894),
    [sym_pointer_association_statement] = STATE(6894),
    [sym_subroutine_call] = STATE(6894),
    [sym_keyword_statement] = STATE(6894),
    [sym_include_statement] = STATE(6894),
    [sym_do_loop_statement] = STATE(6894),
    [sym_do_label_statement] = STATE(6894),
    [sym_end_do_label_statement] = STATE(6894),
    [sym_if_statement] = STATE(6894),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6894),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6894),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6894),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6894),
    [sym_select_type_statement] = STATE(6894),
    [sym_select_rank_statement] = STATE(6894),
    [sym_block_construct] = STATE(6894),
    [sym_associate_statement] = STATE(6894),
    [sym_format_statement] = STATE(6894),
    [sym_read_statement] = STATE(6894),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6894),
    [sym_open_statement] = STATE(6894),
    [sym_close_statement] = STATE(6894),
    [sym_write_statement] = STATE(6894),
    [sym_inquire_statement] = STATE(6894),
    [sym_file_position_statement] = STATE(6894),
    [sym_allocate_statement] = STATE(6894),
    [sym_entry_statement] = STATE(6894),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6894),
    [sym_coarray_team_statement] = STATE(6894),
    [sym_coarray_critical_statement] = STATE(6894),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [810] = {
    [sym__statements] = STATE(7003),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7003),
    [sym_assignment_statement] = STATE(7003),
    [sym_pointer_association_statement] = STATE(7003),
    [sym_subroutine_call] = STATE(7003),
    [sym_keyword_statement] = STATE(7003),
    [sym_include_statement] = STATE(7003),
    [sym_do_loop_statement] = STATE(7003),
    [sym_do_label_statement] = STATE(7003),
    [sym_end_do_label_statement] = STATE(7003),
    [sym_if_statement] = STATE(7003),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7003),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7003),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7003),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7003),
    [sym_select_type_statement] = STATE(7003),
    [sym_select_rank_statement] = STATE(7003),
    [sym_block_construct] = STATE(7003),
    [sym_associate_statement] = STATE(7003),
    [sym_format_statement] = STATE(7003),
    [sym_read_statement] = STATE(7003),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7003),
    [sym_open_statement] = STATE(7003),
    [sym_close_statement] = STATE(7003),
    [sym_write_statement] = STATE(7003),
    [sym_inquire_statement] = STATE(7003),
    [sym_file_position_statement] = STATE(7003),
    [sym_allocate_statement] = STATE(7003),
    [sym_entry_statement] = STATE(7003),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7003),
    [sym_coarray_team_statement] = STATE(7003),
    [sym_coarray_critical_statement] = STATE(7003),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [811] = {
    [sym__statements] = STATE(7028),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7028),
    [sym_assignment_statement] = STATE(7028),
    [sym_pointer_association_statement] = STATE(7028),
    [sym_subroutine_call] = STATE(7028),
    [sym_keyword_statement] = STATE(7028),
    [sym_include_statement] = STATE(7028),
    [sym_do_loop_statement] = STATE(7028),
    [sym_do_label_statement] = STATE(7028),
    [sym_end_do_label_statement] = STATE(7028),
    [sym_if_statement] = STATE(7028),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7028),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7028),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7028),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7028),
    [sym_select_type_statement] = STATE(7028),
    [sym_select_rank_statement] = STATE(7028),
    [sym_block_construct] = STATE(7028),
    [sym_associate_statement] = STATE(7028),
    [sym_format_statement] = STATE(7028),
    [sym_read_statement] = STATE(7028),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7028),
    [sym_open_statement] = STATE(7028),
    [sym_close_statement] = STATE(7028),
    [sym_write_statement] = STATE(7028),
    [sym_inquire_statement] = STATE(7028),
    [sym_file_position_statement] = STATE(7028),
    [sym_allocate_statement] = STATE(7028),
    [sym_entry_statement] = STATE(7028),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7028),
    [sym_coarray_team_statement] = STATE(7028),
    [sym_coarray_critical_statement] = STATE(7028),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [812] = {
    [sym__statements] = STATE(7040),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(7040),
    [sym_assignment_statement] = STATE(7040),
    [sym_pointer_association_statement] = STATE(7040),
    [sym_subroutine_call] = STATE(7040),
    [sym_keyword_statement] = STATE(7040),
    [sym_include_statement] = STATE(7040),
    [sym_do_loop_statement] = STATE(7040),
    [sym_do_label_statement] = STATE(7040),
    [sym_end_do_label_statement] = STATE(7040),
    [sym_if_statement] = STATE(7040),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(7040),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(7040),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(7040),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(7040),
    [sym_select_type_statement] = STATE(7040),
    [sym_select_rank_statement] = STATE(7040),
    [sym_block_construct] = STATE(7040),
    [sym_associate_statement] = STATE(7040),
    [sym_format_statement] = STATE(7040),
    [sym_read_statement] = STATE(7040),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(7040),
    [sym_open_statement] = STATE(7040),
    [sym_close_statement] = STATE(7040),
    [sym_write_statement] = STATE(7040),
    [sym_inquire_statement] = STATE(7040),
    [sym_file_position_statement] = STATE(7040),
    [sym_allocate_statement] = STATE(7040),
    [sym_entry_statement] = STATE(7040),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(7040),
    [sym_coarray_team_statement] = STATE(7040),
    [sym_coarray_critical_statement] = STATE(7040),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [813] = {
    [sym__statements] = STATE(6941),
    [sym_statement_label] = STATE(7610),
    [sym_stop_statement] = STATE(6941),
    [sym_assignment_statement] = STATE(6941),
    [sym_pointer_association_statement] = STATE(6941),
    [sym_subroutine_call] = STATE(6941),
    [sym_keyword_statement] = STATE(6941),
    [sym_include_statement] = STATE(6941),
    [sym_do_loop_statement] = STATE(6941),
    [sym_do_label_statement] = STATE(6941),
    [sym_end_do_label_statement] = STATE(6941),
    [sym_if_statement] = STATE(6941),
    [sym__inline_if_statement] = STATE(7692),
    [sym_arithmetic_if_statement] = STATE(6941),
    [sym__block_if_statement] = STATE(7692),
    [sym_where_statement] = STATE(6941),
    [sym__inline_where_statement] = STATE(7334),
    [sym__block_where_statement] = STATE(7334),
    [sym_forall_statement] = STATE(6941),
    [sym__forall_control_expression] = STATE(770),
    [sym__inline_forall_statement] = STATE(7390),
    [sym__block_forall_statement] = STATE(7390),
    [sym_select_case_statement] = STATE(6941),
    [sym_select_type_statement] = STATE(6941),
    [sym_select_rank_statement] = STATE(6941),
    [sym_block_construct] = STATE(6941),
    [sym_associate_statement] = STATE(6941),
    [sym_format_statement] = STATE(6941),
    [sym_read_statement] = STATE(6941),
    [sym__simple_read_statement] = STATE(7464),
    [sym__parameterized_read_statement] = STATE(7464),
    [sym_print_statement] = STATE(6941),
    [sym_open_statement] = STATE(6941),
    [sym_close_statement] = STATE(6941),
    [sym_write_statement] = STATE(6941),
    [sym_inquire_statement] = STATE(6941),
    [sym_file_position_statement] = STATE(6941),
    [sym_allocate_statement] = STATE(6941),
    [sym_entry_statement] = STATE(6941),
    [sym__expression] = STATE(4626),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4737),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_block_label_start_expression] = STATE(5656),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_coarray_statement] = STATE(6941),
    [sym_coarray_team_statement] = STATE(6941),
    [sym_coarray_critical_statement] = STATE(6941),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4894),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4273),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(35),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(37),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(105),
    [aux_sym_stop_statement_token2] = ACTIONS(107),
    [aux_sym_subroutine_call_token1] = ACTIONS(109),
    [aux_sym_keyword_statement_token1] = ACTIONS(111),
    [aux_sym_keyword_statement_token2] = ACTIONS(113),
    [aux_sym_keyword_statement_token3] = ACTIONS(113),
    [aux_sym_keyword_statement_token4] = ACTIONS(115),
    [aux_sym_keyword_statement_token6] = ACTIONS(117),
    [aux_sym_keyword_statement_token7] = ACTIONS(111),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_do_loop_statement_token1] = ACTIONS(123),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4261),
    [aux_sym__inline_if_statement_token1] = ACTIONS(125),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym__inline_where_statement_token1] = ACTIONS(127),
    [aux_sym__forall_control_expression_token1] = ACTIONS(129),
    [aux_sym_select_case_statement_token1] = ACTIONS(131),
    [aux_sym_select_case_statement_token3] = ACTIONS(133),
    [aux_sym_select_type_statement_token1] = ACTIONS(135),
    [aux_sym_select_rank_statement_token1] = ACTIONS(137),
    [aux_sym_block_construct_token1] = ACTIONS(139),
    [aux_sym_associate_statement_token1] = ACTIONS(141),
    [aux_sym_format_statement_token1] = ACTIONS(143),
    [aux_sym_print_statement_token1] = ACTIONS(145),
    [aux_sym_open_statement_token1] = ACTIONS(147),
    [aux_sym_close_statement_token1] = ACTIONS(149),
    [aux_sym_inquire_statement_token1] = ACTIONS(151),
    [aux_sym_file_position_statement_token1] = ACTIONS(157),
    [aux_sym_file_position_statement_token2] = ACTIONS(157),
    [aux_sym_file_position_statement_token3] = ACTIONS(157),
    [aux_sym_file_position_statement_token4] = ACTIONS(159),
    [aux_sym_allocate_statement_token1] = ACTIONS(161),
    [aux_sym_entry_statement_token1] = ACTIONS(163),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(177),
    [aux_sym_coarray_statement_token2] = ACTIONS(177),
    [aux_sym_coarray_statement_token6] = ACTIONS(179),
    [aux_sym_coarray_statement_token8] = ACTIONS(181),
    [aux_sym_coarray_statement_token11] = ACTIONS(183),
    [aux_sym_coarray_statement_token12] = ACTIONS(183),
    [aux_sym_coarray_statement_token13] = ACTIONS(185),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(187),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(189),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [aux_sym_preproc_else_token1] = ACTIONS(4279),
    [aux_sym_preproc_elif_token1] = ACTIONS(4279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4279),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(4281),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4279),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_module_statement_token1] = ACTIONS(4279),
    [aux_sym_submodule_statement_token1] = ACTIONS(4279),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_function_statement_token1] = ACTIONS(4279),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token2] = ACTIONS(4285),
    [aux_sym_module_statement_token1] = ACTIONS(4285),
    [aux_sym_submodule_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_function_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token2] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [aux_sym_preproc_else_token1] = ACTIONS(4289),
    [aux_sym_preproc_elif_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [sym_preproc_comment] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_end_program_statement_token2] = ACTIONS(4289),
    [aux_sym_module_statement_token1] = ACTIONS(4289),
    [aux_sym_submodule_statement_token1] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_function_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4289),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4289),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4289),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [anon_sym_SEMI] = ACTIONS(4291),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_subroutine_call_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_keyword_statement_token4] = ACTIONS(4289),
    [aux_sym_keyword_statement_token6] = ACTIONS(4289),
    [aux_sym_keyword_statement_token7] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4289),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token3] = ACTIONS(4289),
    [aux_sym_select_type_statement_token1] = ACTIONS(4289),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_associate_statement_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_print_statement_token1] = ACTIONS(4289),
    [aux_sym_open_statement_token1] = ACTIONS(4289),
    [aux_sym_close_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token2] = ACTIONS(4289),
    [aux_sym_file_position_statement_token3] = ACTIONS(4289),
    [aux_sym_file_position_statement_token4] = ACTIONS(4289),
    [aux_sym_allocate_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_logical_expression_token5] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4291),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_boolean_literal_token1] = ACTIONS(4291),
    [aux_sym_boolean_literal_token2] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_statement_token13] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
    [sym__float_literal] = ACTIONS(4291),
    [sym__boz_literal] = ACTIONS(4291),
    [sym__string_literal] = ACTIONS(4291),
    [sym__string_literal_kind] = ACTIONS(4291),
  },
  [817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token2] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [aux_sym_preproc_else_token1] = ACTIONS(4293),
    [aux_sym_preproc_elif_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_LPAREN2] = ACTIONS(4293),
    [sym_preproc_comment] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4295),
    [anon_sym_DASH] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4293),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_end_program_statement_token2] = ACTIONS(4293),
    [aux_sym_module_statement_token1] = ACTIONS(4293),
    [aux_sym_submodule_statement_token1] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_function_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4293),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4293),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4293),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [anon_sym_SEMI] = ACTIONS(4295),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_subroutine_call_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_keyword_statement_token4] = ACTIONS(4293),
    [aux_sym_keyword_statement_token6] = ACTIONS(4293),
    [aux_sym_keyword_statement_token7] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4293),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token3] = ACTIONS(4293),
    [aux_sym_select_type_statement_token1] = ACTIONS(4293),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_associate_statement_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_print_statement_token1] = ACTIONS(4293),
    [aux_sym_open_statement_token1] = ACTIONS(4293),
    [aux_sym_close_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token2] = ACTIONS(4293),
    [aux_sym_file_position_statement_token3] = ACTIONS(4293),
    [aux_sym_file_position_statement_token4] = ACTIONS(4293),
    [aux_sym_allocate_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_logical_expression_token5] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4293),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4295),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [aux_sym_boolean_literal_token1] = ACTIONS(4295),
    [aux_sym_boolean_literal_token2] = ACTIONS(4295),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_statement_token13] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
    [sym__float_literal] = ACTIONS(4295),
    [sym__boz_literal] = ACTIONS(4295),
    [sym__string_literal] = ACTIONS(4295),
    [sym__string_literal_kind] = ACTIONS(4295),
  },
  [818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token2] = ACTIONS(4285),
    [aux_sym_module_statement_token1] = ACTIONS(4285),
    [aux_sym_submodule_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_function_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4285),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token2] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [aux_sym_preproc_else_token1] = ACTIONS(4297),
    [aux_sym_preproc_elif_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(4297),
    [sym_preproc_comment] = ACTIONS(4299),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4297),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_end_program_statement_token2] = ACTIONS(4297),
    [aux_sym_module_statement_token1] = ACTIONS(4297),
    [aux_sym_submodule_statement_token1] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_function_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4297),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4297),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4297),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [anon_sym_SEMI] = ACTIONS(4299),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_subroutine_call_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_keyword_statement_token4] = ACTIONS(4297),
    [aux_sym_keyword_statement_token6] = ACTIONS(4297),
    [aux_sym_keyword_statement_token7] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token3] = ACTIONS(4297),
    [aux_sym_select_type_statement_token1] = ACTIONS(4297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_associate_statement_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_print_statement_token1] = ACTIONS(4297),
    [aux_sym_open_statement_token1] = ACTIONS(4297),
    [aux_sym_close_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token2] = ACTIONS(4297),
    [aux_sym_file_position_statement_token3] = ACTIONS(4297),
    [aux_sym_file_position_statement_token4] = ACTIONS(4297),
    [aux_sym_allocate_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_logical_expression_token5] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4299),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [aux_sym_boolean_literal_token1] = ACTIONS(4299),
    [aux_sym_boolean_literal_token2] = ACTIONS(4299),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_statement_token13] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
    [sym__float_literal] = ACTIONS(4299),
    [sym__boz_literal] = ACTIONS(4299),
    [sym__string_literal] = ACTIONS(4299),
    [sym__string_literal_kind] = ACTIONS(4299),
  },
  [820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [aux_sym_preproc_else_token1] = ACTIONS(4301),
    [aux_sym_preproc_elif_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(4303),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4279),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_module_statement_token1] = ACTIONS(4279),
    [aux_sym_submodule_statement_token1] = ACTIONS(4279),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_function_statement_token1] = ACTIONS(4279),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [aux_sym_preproc_else_token1] = ACTIONS(4307),
    [aux_sym_preproc_elif_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(4309),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4313),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_module_statement_token1] = ACTIONS(4313),
    [aux_sym_submodule_statement_token1] = ACTIONS(4313),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4313),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_function_statement_token1] = ACTIONS(4313),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4313),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(4319),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4325),
    [aux_sym_preproc_def_token1] = ACTIONS(4325),
    [aux_sym_preproc_if_token1] = ACTIONS(4325),
    [aux_sym_preproc_if_token2] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4325),
    [aux_sym_preproc_else_token1] = ACTIONS(4325),
    [aux_sym_preproc_elif_token1] = ACTIONS(4325),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4325),
    [sym_preproc_directive] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(4325),
    [sym_preproc_comment] = ACTIONS(4327),
    [anon_sym_PLUS] = ACTIONS(4329),
    [anon_sym_DASH] = ACTIONS(4329),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token2] = ACTIONS(4325),
    [aux_sym_module_statement_token1] = ACTIONS(4325),
    [aux_sym_submodule_statement_token1] = ACTIONS(4325),
    [aux_sym_interface_statement_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4325),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4325),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4325),
    [aux_sym_function_statement_token1] = ACTIONS(4325),
    [aux_sym_language_binding_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4325),
    [aux_sym_contains_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token2] = ACTIONS(4325),
    [aux_sym_implicit_statement_token1] = ACTIONS(4325),
    [aux_sym_implicit_statement_token3] = ACTIONS(4325),
    [aux_sym_implicit_statement_token4] = ACTIONS(4325),
    [aux_sym_save_statement_token1] = ACTIONS(4325),
    [aux_sym_private_statement_token1] = ACTIONS(4325),
    [aux_sym_public_statement_token1] = ACTIONS(4325),
    [aux_sym_namelist_statement_token1] = ACTIONS(4325),
    [aux_sym_common_statement_token1] = ACTIONS(4325),
    [aux_sym_import_statement_token1] = ACTIONS(4325),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4325),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4325),
    [aux_sym_variable_attributes_token1] = ACTIONS(4325),
    [aux_sym_variable_attributes_token2] = ACTIONS(4325),
    [aux_sym_variable_attributes_token3] = ACTIONS(4325),
    [aux_sym_variable_attributes_token4] = ACTIONS(4325),
    [aux_sym_variable_attributes_token5] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4325),
    [aux_sym_derived_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4325),
    [aux_sym_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4325),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4325),
    [anon_sym_SEMI] = ACTIONS(4329),
    [aux_sym_stop_statement_token1] = ACTIONS(4325),
    [aux_sym_stop_statement_token2] = ACTIONS(4325),
    [aux_sym_subroutine_call_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token2] = ACTIONS(4325),
    [aux_sym_keyword_statement_token3] = ACTIONS(4325),
    [aux_sym_keyword_statement_token4] = ACTIONS(4325),
    [aux_sym_keyword_statement_token6] = ACTIONS(4325),
    [aux_sym_keyword_statement_token7] = ACTIONS(4325),
    [aux_sym_include_statement_token1] = ACTIONS(4325),
    [aux_sym_data_statement_token1] = ACTIONS(4325),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4325),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4325),
    [aux_sym_end_if_statement_token1] = ACTIONS(4325),
    [aux_sym_elseif_clause_token2] = ACTIONS(4325),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4325),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token3] = ACTIONS(4325),
    [aux_sym_select_type_statement_token1] = ACTIONS(4325),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4325),
    [aux_sym_block_construct_token1] = ACTIONS(4325),
    [aux_sym_associate_statement_token1] = ACTIONS(4325),
    [aux_sym_format_statement_token1] = ACTIONS(4325),
    [aux_sym_print_statement_token1] = ACTIONS(4325),
    [aux_sym_open_statement_token1] = ACTIONS(4325),
    [aux_sym_close_statement_token1] = ACTIONS(4325),
    [aux_sym_inquire_statement_token1] = ACTIONS(4325),
    [aux_sym_enum_statement_token1] = ACTIONS(4325),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token2] = ACTIONS(4325),
    [aux_sym_file_position_statement_token3] = ACTIONS(4325),
    [aux_sym_file_position_statement_token4] = ACTIONS(4325),
    [aux_sym_allocate_statement_token1] = ACTIONS(4325),
    [aux_sym_entry_statement_token1] = ACTIONS(4325),
    [aux_sym_logical_expression_token5] = ACTIONS(4329),
    [anon_sym_DOT] = ACTIONS(4325),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4329),
    [anon_sym_LBRACK] = ACTIONS(4329),
    [aux_sym_boolean_literal_token1] = ACTIONS(4329),
    [aux_sym_boolean_literal_token2] = ACTIONS(4329),
    [aux_sym_null_literal_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token2] = ACTIONS(4325),
    [aux_sym_coarray_statement_token6] = ACTIONS(4325),
    [aux_sym_coarray_statement_token8] = ACTIONS(4325),
    [aux_sym_coarray_statement_token11] = ACTIONS(4325),
    [aux_sym_coarray_statement_token12] = ACTIONS(4325),
    [aux_sym_coarray_statement_token13] = ACTIONS(4325),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4325),
    [aux_sym_identifier_token1] = ACTIONS(4325),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4329),
    [sym__float_literal] = ACTIONS(4329),
    [sym__boz_literal] = ACTIONS(4329),
    [sym__string_literal] = ACTIONS(4329),
    [sym__string_literal_kind] = ACTIONS(4329),
  },
  [824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4323),
    [aux_sym_preproc_def_token1] = ACTIONS(4323),
    [aux_sym_preproc_if_token1] = ACTIONS(4323),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4323),
    [aux_sym_preproc_else_token1] = ACTIONS(4323),
    [aux_sym_preproc_elif_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4323),
    [sym_preproc_directive] = ACTIONS(4323),
    [anon_sym_LPAREN2] = ACTIONS(4323),
    [sym_preproc_comment] = ACTIONS(4331),
    [anon_sym_PLUS] = ACTIONS(4333),
    [anon_sym_DASH] = ACTIONS(4333),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token2] = ACTIONS(4323),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4323),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4323),
    [aux_sym_contains_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token2] = ACTIONS(4323),
    [aux_sym_implicit_statement_token1] = ACTIONS(4323),
    [aux_sym_implicit_statement_token3] = ACTIONS(4323),
    [aux_sym_implicit_statement_token4] = ACTIONS(4323),
    [aux_sym_save_statement_token1] = ACTIONS(4323),
    [aux_sym_private_statement_token1] = ACTIONS(4323),
    [aux_sym_public_statement_token1] = ACTIONS(4323),
    [aux_sym_namelist_statement_token1] = ACTIONS(4323),
    [aux_sym_common_statement_token1] = ACTIONS(4323),
    [aux_sym_import_statement_token1] = ACTIONS(4323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4323),
    [aux_sym_variable_attributes_token1] = ACTIONS(4323),
    [aux_sym_variable_attributes_token2] = ACTIONS(4323),
    [aux_sym_variable_attributes_token3] = ACTIONS(4323),
    [aux_sym_variable_attributes_token4] = ACTIONS(4323),
    [aux_sym_variable_attributes_token5] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4323),
    [aux_sym_derived_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4323),
    [aux_sym_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4333),
    [aux_sym_stop_statement_token1] = ACTIONS(4323),
    [aux_sym_stop_statement_token2] = ACTIONS(4323),
    [aux_sym_subroutine_call_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token2] = ACTIONS(4323),
    [aux_sym_keyword_statement_token3] = ACTIONS(4323),
    [aux_sym_keyword_statement_token4] = ACTIONS(4323),
    [aux_sym_keyword_statement_token6] = ACTIONS(4323),
    [aux_sym_keyword_statement_token7] = ACTIONS(4323),
    [aux_sym_include_statement_token1] = ACTIONS(4323),
    [aux_sym_data_statement_token1] = ACTIONS(4323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4323),
    [aux_sym_end_if_statement_token1] = ACTIONS(4323),
    [aux_sym_elseif_clause_token2] = ACTIONS(4323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token3] = ACTIONS(4323),
    [aux_sym_select_type_statement_token1] = ACTIONS(4323),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4323),
    [aux_sym_block_construct_token1] = ACTIONS(4323),
    [aux_sym_associate_statement_token1] = ACTIONS(4323),
    [aux_sym_format_statement_token1] = ACTIONS(4323),
    [aux_sym_print_statement_token1] = ACTIONS(4323),
    [aux_sym_open_statement_token1] = ACTIONS(4323),
    [aux_sym_close_statement_token1] = ACTIONS(4323),
    [aux_sym_inquire_statement_token1] = ACTIONS(4323),
    [aux_sym_enum_statement_token1] = ACTIONS(4323),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token2] = ACTIONS(4323),
    [aux_sym_file_position_statement_token3] = ACTIONS(4323),
    [aux_sym_file_position_statement_token4] = ACTIONS(4323),
    [aux_sym_allocate_statement_token1] = ACTIONS(4323),
    [aux_sym_entry_statement_token1] = ACTIONS(4323),
    [aux_sym_logical_expression_token5] = ACTIONS(4333),
    [anon_sym_DOT] = ACTIONS(4323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(4333),
    [aux_sym_boolean_literal_token1] = ACTIONS(4333),
    [aux_sym_boolean_literal_token2] = ACTIONS(4333),
    [aux_sym_null_literal_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token2] = ACTIONS(4323),
    [aux_sym_coarray_statement_token6] = ACTIONS(4323),
    [aux_sym_coarray_statement_token8] = ACTIONS(4323),
    [aux_sym_coarray_statement_token11] = ACTIONS(4323),
    [aux_sym_coarray_statement_token12] = ACTIONS(4323),
    [aux_sym_coarray_statement_token13] = ACTIONS(4323),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4323),
    [aux_sym_identifier_token1] = ACTIONS(4323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4333),
    [sym__float_literal] = ACTIONS(4333),
    [sym__boz_literal] = ACTIONS(4333),
    [sym__string_literal] = ACTIONS(4333),
    [sym__string_literal_kind] = ACTIONS(4333),
  },
  [825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4335),
    [aux_sym_preproc_def_token1] = ACTIONS(4335),
    [aux_sym_preproc_if_token1] = ACTIONS(4335),
    [aux_sym_preproc_if_token2] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4335),
    [aux_sym_preproc_else_token1] = ACTIONS(4335),
    [aux_sym_preproc_elif_token1] = ACTIONS(4335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4335),
    [sym_preproc_directive] = ACTIONS(4335),
    [anon_sym_LPAREN2] = ACTIONS(4335),
    [sym_preproc_comment] = ACTIONS(4337),
    [anon_sym_PLUS] = ACTIONS(4339),
    [anon_sym_DASH] = ACTIONS(4339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token2] = ACTIONS(4335),
    [aux_sym_module_statement_token1] = ACTIONS(4335),
    [aux_sym_submodule_statement_token1] = ACTIONS(4335),
    [aux_sym_interface_statement_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4335),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4335),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4335),
    [aux_sym_function_statement_token1] = ACTIONS(4335),
    [aux_sym_language_binding_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4335),
    [aux_sym_contains_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token2] = ACTIONS(4335),
    [aux_sym_implicit_statement_token1] = ACTIONS(4335),
    [aux_sym_implicit_statement_token3] = ACTIONS(4335),
    [aux_sym_implicit_statement_token4] = ACTIONS(4335),
    [aux_sym_save_statement_token1] = ACTIONS(4335),
    [aux_sym_private_statement_token1] = ACTIONS(4335),
    [aux_sym_public_statement_token1] = ACTIONS(4335),
    [aux_sym_namelist_statement_token1] = ACTIONS(4335),
    [aux_sym_common_statement_token1] = ACTIONS(4335),
    [aux_sym_import_statement_token1] = ACTIONS(4335),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4335),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4335),
    [aux_sym_variable_attributes_token1] = ACTIONS(4335),
    [aux_sym_variable_attributes_token2] = ACTIONS(4335),
    [aux_sym_variable_attributes_token3] = ACTIONS(4335),
    [aux_sym_variable_attributes_token4] = ACTIONS(4335),
    [aux_sym_variable_attributes_token5] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4335),
    [aux_sym_derived_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4335),
    [aux_sym_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4335),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4335),
    [anon_sym_SEMI] = ACTIONS(4339),
    [aux_sym_stop_statement_token1] = ACTIONS(4335),
    [aux_sym_stop_statement_token2] = ACTIONS(4335),
    [aux_sym_subroutine_call_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token2] = ACTIONS(4335),
    [aux_sym_keyword_statement_token3] = ACTIONS(4335),
    [aux_sym_keyword_statement_token4] = ACTIONS(4335),
    [aux_sym_keyword_statement_token6] = ACTIONS(4335),
    [aux_sym_keyword_statement_token7] = ACTIONS(4335),
    [aux_sym_include_statement_token1] = ACTIONS(4335),
    [aux_sym_data_statement_token1] = ACTIONS(4335),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4335),
    [aux_sym_end_if_statement_token1] = ACTIONS(4335),
    [aux_sym_elseif_clause_token2] = ACTIONS(4335),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4335),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token3] = ACTIONS(4335),
    [aux_sym_select_type_statement_token1] = ACTIONS(4335),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4335),
    [aux_sym_block_construct_token1] = ACTIONS(4335),
    [aux_sym_associate_statement_token1] = ACTIONS(4335),
    [aux_sym_format_statement_token1] = ACTIONS(4335),
    [aux_sym_print_statement_token1] = ACTIONS(4335),
    [aux_sym_open_statement_token1] = ACTIONS(4335),
    [aux_sym_close_statement_token1] = ACTIONS(4335),
    [aux_sym_inquire_statement_token1] = ACTIONS(4335),
    [aux_sym_enum_statement_token1] = ACTIONS(4335),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token2] = ACTIONS(4335),
    [aux_sym_file_position_statement_token3] = ACTIONS(4335),
    [aux_sym_file_position_statement_token4] = ACTIONS(4335),
    [aux_sym_allocate_statement_token1] = ACTIONS(4335),
    [aux_sym_entry_statement_token1] = ACTIONS(4335),
    [aux_sym_logical_expression_token5] = ACTIONS(4339),
    [anon_sym_DOT] = ACTIONS(4335),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(4339),
    [aux_sym_boolean_literal_token1] = ACTIONS(4339),
    [aux_sym_boolean_literal_token2] = ACTIONS(4339),
    [aux_sym_null_literal_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token2] = ACTIONS(4335),
    [aux_sym_coarray_statement_token6] = ACTIONS(4335),
    [aux_sym_coarray_statement_token8] = ACTIONS(4335),
    [aux_sym_coarray_statement_token11] = ACTIONS(4335),
    [aux_sym_coarray_statement_token12] = ACTIONS(4335),
    [aux_sym_coarray_statement_token13] = ACTIONS(4335),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4335),
    [aux_sym_identifier_token1] = ACTIONS(4335),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4339),
    [sym__float_literal] = ACTIONS(4339),
    [sym__boz_literal] = ACTIONS(4339),
    [sym__string_literal] = ACTIONS(4339),
    [sym__string_literal_kind] = ACTIONS(4339),
  },
  [826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4341),
    [aux_sym_preproc_def_token1] = ACTIONS(4341),
    [aux_sym_preproc_if_token1] = ACTIONS(4341),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4341),
    [aux_sym_preproc_else_token1] = ACTIONS(4341),
    [aux_sym_preproc_elif_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4341),
    [sym_preproc_directive] = ACTIONS(4341),
    [anon_sym_LPAREN2] = ACTIONS(4341),
    [sym_preproc_comment] = ACTIONS(4343),
    [anon_sym_PLUS] = ACTIONS(4345),
    [anon_sym_DASH] = ACTIONS(4345),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token2] = ACTIONS(4341),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4341),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4341),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4341),
    [aux_sym_contains_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token2] = ACTIONS(4341),
    [aux_sym_implicit_statement_token1] = ACTIONS(4341),
    [aux_sym_implicit_statement_token3] = ACTIONS(4341),
    [aux_sym_implicit_statement_token4] = ACTIONS(4341),
    [aux_sym_save_statement_token1] = ACTIONS(4341),
    [aux_sym_private_statement_token1] = ACTIONS(4341),
    [aux_sym_public_statement_token1] = ACTIONS(4341),
    [aux_sym_namelist_statement_token1] = ACTIONS(4341),
    [aux_sym_common_statement_token1] = ACTIONS(4341),
    [aux_sym_import_statement_token1] = ACTIONS(4341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4341),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4341),
    [aux_sym_variable_attributes_token1] = ACTIONS(4341),
    [aux_sym_variable_attributes_token2] = ACTIONS(4341),
    [aux_sym_variable_attributes_token3] = ACTIONS(4341),
    [aux_sym_variable_attributes_token4] = ACTIONS(4341),
    [aux_sym_variable_attributes_token5] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4341),
    [aux_sym_derived_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4341),
    [aux_sym_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4341),
    [anon_sym_SEMI] = ACTIONS(4345),
    [aux_sym_stop_statement_token1] = ACTIONS(4341),
    [aux_sym_stop_statement_token2] = ACTIONS(4341),
    [aux_sym_subroutine_call_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token2] = ACTIONS(4341),
    [aux_sym_keyword_statement_token3] = ACTIONS(4341),
    [aux_sym_keyword_statement_token4] = ACTIONS(4341),
    [aux_sym_keyword_statement_token6] = ACTIONS(4341),
    [aux_sym_keyword_statement_token7] = ACTIONS(4341),
    [aux_sym_include_statement_token1] = ACTIONS(4341),
    [aux_sym_data_statement_token1] = ACTIONS(4341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4341),
    [aux_sym_end_if_statement_token1] = ACTIONS(4341),
    [aux_sym_elseif_clause_token2] = ACTIONS(4341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token3] = ACTIONS(4341),
    [aux_sym_select_type_statement_token1] = ACTIONS(4341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4341),
    [aux_sym_block_construct_token1] = ACTIONS(4341),
    [aux_sym_associate_statement_token1] = ACTIONS(4341),
    [aux_sym_format_statement_token1] = ACTIONS(4341),
    [aux_sym_print_statement_token1] = ACTIONS(4341),
    [aux_sym_open_statement_token1] = ACTIONS(4341),
    [aux_sym_close_statement_token1] = ACTIONS(4341),
    [aux_sym_inquire_statement_token1] = ACTIONS(4341),
    [aux_sym_enum_statement_token1] = ACTIONS(4341),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token2] = ACTIONS(4341),
    [aux_sym_file_position_statement_token3] = ACTIONS(4341),
    [aux_sym_file_position_statement_token4] = ACTIONS(4341),
    [aux_sym_allocate_statement_token1] = ACTIONS(4341),
    [aux_sym_entry_statement_token1] = ACTIONS(4341),
    [aux_sym_logical_expression_token5] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [aux_sym_boolean_literal_token1] = ACTIONS(4345),
    [aux_sym_boolean_literal_token2] = ACTIONS(4345),
    [aux_sym_null_literal_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token2] = ACTIONS(4341),
    [aux_sym_coarray_statement_token6] = ACTIONS(4341),
    [aux_sym_coarray_statement_token8] = ACTIONS(4341),
    [aux_sym_coarray_statement_token11] = ACTIONS(4341),
    [aux_sym_coarray_statement_token12] = ACTIONS(4341),
    [aux_sym_coarray_statement_token13] = ACTIONS(4341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4341),
    [aux_sym_identifier_token1] = ACTIONS(4341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4345),
    [sym__float_literal] = ACTIONS(4345),
    [sym__boz_literal] = ACTIONS(4345),
    [sym__string_literal] = ACTIONS(4345),
    [sym__string_literal_kind] = ACTIONS(4345),
  },
  [827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4351),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4355),
    [aux_sym_preproc_def_token1] = ACTIONS(4355),
    [aux_sym_preproc_if_token1] = ACTIONS(4355),
    [aux_sym_preproc_if_token2] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4355),
    [aux_sym_preproc_else_token1] = ACTIONS(4355),
    [aux_sym_preproc_elif_token1] = ACTIONS(4355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4355),
    [sym_preproc_directive] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [sym_preproc_comment] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4359),
    [anon_sym_DASH] = ACTIONS(4359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token2] = ACTIONS(4355),
    [aux_sym_module_statement_token1] = ACTIONS(4355),
    [aux_sym_submodule_statement_token1] = ACTIONS(4355),
    [aux_sym_interface_statement_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4355),
    [aux_sym_function_statement_token1] = ACTIONS(4355),
    [aux_sym_language_binding_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4355),
    [aux_sym_contains_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token2] = ACTIONS(4355),
    [aux_sym_implicit_statement_token1] = ACTIONS(4355),
    [aux_sym_implicit_statement_token3] = ACTIONS(4355),
    [aux_sym_implicit_statement_token4] = ACTIONS(4355),
    [aux_sym_save_statement_token1] = ACTIONS(4355),
    [aux_sym_private_statement_token1] = ACTIONS(4355),
    [aux_sym_public_statement_token1] = ACTIONS(4355),
    [aux_sym_namelist_statement_token1] = ACTIONS(4355),
    [aux_sym_common_statement_token1] = ACTIONS(4355),
    [aux_sym_import_statement_token1] = ACTIONS(4355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4355),
    [aux_sym_variable_attributes_token1] = ACTIONS(4355),
    [aux_sym_variable_attributes_token2] = ACTIONS(4355),
    [aux_sym_variable_attributes_token3] = ACTIONS(4355),
    [aux_sym_variable_attributes_token4] = ACTIONS(4355),
    [aux_sym_variable_attributes_token5] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4355),
    [aux_sym_derived_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4355),
    [aux_sym_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4359),
    [aux_sym_stop_statement_token1] = ACTIONS(4355),
    [aux_sym_stop_statement_token2] = ACTIONS(4355),
    [aux_sym_subroutine_call_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token2] = ACTIONS(4355),
    [aux_sym_keyword_statement_token3] = ACTIONS(4355),
    [aux_sym_keyword_statement_token4] = ACTIONS(4355),
    [aux_sym_keyword_statement_token6] = ACTIONS(4355),
    [aux_sym_keyword_statement_token7] = ACTIONS(4355),
    [aux_sym_include_statement_token1] = ACTIONS(4355),
    [aux_sym_data_statement_token1] = ACTIONS(4355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4355),
    [aux_sym_end_if_statement_token1] = ACTIONS(4355),
    [aux_sym_elseif_clause_token2] = ACTIONS(4355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token3] = ACTIONS(4355),
    [aux_sym_select_type_statement_token1] = ACTIONS(4355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4355),
    [aux_sym_block_construct_token1] = ACTIONS(4355),
    [aux_sym_associate_statement_token1] = ACTIONS(4355),
    [aux_sym_format_statement_token1] = ACTIONS(4355),
    [aux_sym_print_statement_token1] = ACTIONS(4355),
    [aux_sym_open_statement_token1] = ACTIONS(4355),
    [aux_sym_close_statement_token1] = ACTIONS(4355),
    [aux_sym_inquire_statement_token1] = ACTIONS(4355),
    [aux_sym_enum_statement_token1] = ACTIONS(4355),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token2] = ACTIONS(4355),
    [aux_sym_file_position_statement_token3] = ACTIONS(4355),
    [aux_sym_file_position_statement_token4] = ACTIONS(4355),
    [aux_sym_allocate_statement_token1] = ACTIONS(4355),
    [aux_sym_entry_statement_token1] = ACTIONS(4355),
    [aux_sym_logical_expression_token5] = ACTIONS(4359),
    [anon_sym_DOT] = ACTIONS(4355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [aux_sym_boolean_literal_token1] = ACTIONS(4359),
    [aux_sym_boolean_literal_token2] = ACTIONS(4359),
    [aux_sym_null_literal_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token2] = ACTIONS(4355),
    [aux_sym_coarray_statement_token6] = ACTIONS(4355),
    [aux_sym_coarray_statement_token8] = ACTIONS(4355),
    [aux_sym_coarray_statement_token11] = ACTIONS(4355),
    [aux_sym_coarray_statement_token12] = ACTIONS(4355),
    [aux_sym_coarray_statement_token13] = ACTIONS(4355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4355),
    [aux_sym_identifier_token1] = ACTIONS(4355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4359),
    [sym__float_literal] = ACTIONS(4359),
    [sym__boz_literal] = ACTIONS(4359),
    [sym__string_literal] = ACTIONS(4359),
    [sym__string_literal_kind] = ACTIONS(4359),
  },
  [829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [aux_sym_preproc_else_token1] = ACTIONS(4361),
    [aux_sym_preproc_elif_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [sym_preproc_comment] = ACTIONS(4363),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4367),
    [aux_sym_preproc_def_token1] = ACTIONS(4367),
    [aux_sym_preproc_if_token1] = ACTIONS(4367),
    [aux_sym_preproc_if_token2] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4367),
    [aux_sym_preproc_else_token1] = ACTIONS(4367),
    [aux_sym_preproc_elif_token1] = ACTIONS(4367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4367),
    [sym_preproc_directive] = ACTIONS(4367),
    [anon_sym_LPAREN2] = ACTIONS(4367),
    [sym_preproc_comment] = ACTIONS(4369),
    [anon_sym_PLUS] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token2] = ACTIONS(4367),
    [aux_sym_module_statement_token1] = ACTIONS(4367),
    [aux_sym_submodule_statement_token1] = ACTIONS(4367),
    [aux_sym_interface_statement_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4367),
    [aux_sym_function_statement_token1] = ACTIONS(4367),
    [aux_sym_language_binding_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4367),
    [aux_sym_contains_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token2] = ACTIONS(4367),
    [aux_sym_implicit_statement_token1] = ACTIONS(4367),
    [aux_sym_implicit_statement_token3] = ACTIONS(4367),
    [aux_sym_implicit_statement_token4] = ACTIONS(4367),
    [aux_sym_save_statement_token1] = ACTIONS(4367),
    [aux_sym_private_statement_token1] = ACTIONS(4367),
    [aux_sym_public_statement_token1] = ACTIONS(4367),
    [aux_sym_namelist_statement_token1] = ACTIONS(4367),
    [aux_sym_common_statement_token1] = ACTIONS(4367),
    [aux_sym_import_statement_token1] = ACTIONS(4367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4367),
    [aux_sym_variable_attributes_token1] = ACTIONS(4367),
    [aux_sym_variable_attributes_token2] = ACTIONS(4367),
    [aux_sym_variable_attributes_token3] = ACTIONS(4367),
    [aux_sym_variable_attributes_token4] = ACTIONS(4367),
    [aux_sym_variable_attributes_token5] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4367),
    [aux_sym_derived_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4367),
    [aux_sym_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4371),
    [aux_sym_stop_statement_token1] = ACTIONS(4367),
    [aux_sym_stop_statement_token2] = ACTIONS(4367),
    [aux_sym_subroutine_call_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token2] = ACTIONS(4367),
    [aux_sym_keyword_statement_token3] = ACTIONS(4367),
    [aux_sym_keyword_statement_token4] = ACTIONS(4367),
    [aux_sym_keyword_statement_token6] = ACTIONS(4367),
    [aux_sym_keyword_statement_token7] = ACTIONS(4367),
    [aux_sym_include_statement_token1] = ACTIONS(4367),
    [aux_sym_data_statement_token1] = ACTIONS(4367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4367),
    [aux_sym_end_if_statement_token1] = ACTIONS(4367),
    [aux_sym_elseif_clause_token2] = ACTIONS(4367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token3] = ACTIONS(4367),
    [aux_sym_select_type_statement_token1] = ACTIONS(4367),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4367),
    [aux_sym_block_construct_token1] = ACTIONS(4367),
    [aux_sym_associate_statement_token1] = ACTIONS(4367),
    [aux_sym_format_statement_token1] = ACTIONS(4367),
    [aux_sym_print_statement_token1] = ACTIONS(4367),
    [aux_sym_open_statement_token1] = ACTIONS(4367),
    [aux_sym_close_statement_token1] = ACTIONS(4367),
    [aux_sym_inquire_statement_token1] = ACTIONS(4367),
    [aux_sym_enum_statement_token1] = ACTIONS(4367),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token2] = ACTIONS(4367),
    [aux_sym_file_position_statement_token3] = ACTIONS(4367),
    [aux_sym_file_position_statement_token4] = ACTIONS(4367),
    [aux_sym_allocate_statement_token1] = ACTIONS(4367),
    [aux_sym_entry_statement_token1] = ACTIONS(4367),
    [aux_sym_logical_expression_token5] = ACTIONS(4371),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [aux_sym_boolean_literal_token1] = ACTIONS(4371),
    [aux_sym_boolean_literal_token2] = ACTIONS(4371),
    [aux_sym_null_literal_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token2] = ACTIONS(4367),
    [aux_sym_coarray_statement_token6] = ACTIONS(4367),
    [aux_sym_coarray_statement_token8] = ACTIONS(4367),
    [aux_sym_coarray_statement_token11] = ACTIONS(4367),
    [aux_sym_coarray_statement_token12] = ACTIONS(4367),
    [aux_sym_coarray_statement_token13] = ACTIONS(4367),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4367),
    [aux_sym_identifier_token1] = ACTIONS(4367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4371),
    [sym__float_literal] = ACTIONS(4371),
    [sym__boz_literal] = ACTIONS(4371),
    [sym__string_literal] = ACTIONS(4371),
    [sym__string_literal_kind] = ACTIONS(4371),
  },
  [831] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [aux_sym_preproc_else_token1] = ACTIONS(4373),
    [aux_sym_preproc_elif_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [sym_preproc_comment] = ACTIONS(4375),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4379),
    [aux_sym_preproc_def_token1] = ACTIONS(4379),
    [aux_sym_preproc_if_token1] = ACTIONS(4379),
    [aux_sym_preproc_if_token2] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4379),
    [aux_sym_preproc_else_token1] = ACTIONS(4379),
    [aux_sym_preproc_elif_token1] = ACTIONS(4379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4379),
    [sym_preproc_directive] = ACTIONS(4379),
    [anon_sym_LPAREN2] = ACTIONS(4379),
    [sym_preproc_comment] = ACTIONS(4381),
    [anon_sym_PLUS] = ACTIONS(4383),
    [anon_sym_DASH] = ACTIONS(4383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token2] = ACTIONS(4379),
    [aux_sym_module_statement_token1] = ACTIONS(4379),
    [aux_sym_submodule_statement_token1] = ACTIONS(4379),
    [aux_sym_interface_statement_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4379),
    [aux_sym_function_statement_token1] = ACTIONS(4379),
    [aux_sym_language_binding_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4379),
    [aux_sym_contains_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token2] = ACTIONS(4379),
    [aux_sym_implicit_statement_token1] = ACTIONS(4379),
    [aux_sym_implicit_statement_token3] = ACTIONS(4379),
    [aux_sym_implicit_statement_token4] = ACTIONS(4379),
    [aux_sym_save_statement_token1] = ACTIONS(4379),
    [aux_sym_private_statement_token1] = ACTIONS(4379),
    [aux_sym_public_statement_token1] = ACTIONS(4379),
    [aux_sym_namelist_statement_token1] = ACTIONS(4379),
    [aux_sym_common_statement_token1] = ACTIONS(4379),
    [aux_sym_import_statement_token1] = ACTIONS(4379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4379),
    [aux_sym_variable_attributes_token1] = ACTIONS(4379),
    [aux_sym_variable_attributes_token2] = ACTIONS(4379),
    [aux_sym_variable_attributes_token3] = ACTIONS(4379),
    [aux_sym_variable_attributes_token4] = ACTIONS(4379),
    [aux_sym_variable_attributes_token5] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4379),
    [aux_sym_derived_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4379),
    [aux_sym_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4379),
    [anon_sym_SEMI] = ACTIONS(4383),
    [aux_sym_stop_statement_token1] = ACTIONS(4379),
    [aux_sym_stop_statement_token2] = ACTIONS(4379),
    [aux_sym_subroutine_call_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token2] = ACTIONS(4379),
    [aux_sym_keyword_statement_token3] = ACTIONS(4379),
    [aux_sym_keyword_statement_token4] = ACTIONS(4379),
    [aux_sym_keyword_statement_token6] = ACTIONS(4379),
    [aux_sym_keyword_statement_token7] = ACTIONS(4379),
    [aux_sym_include_statement_token1] = ACTIONS(4379),
    [aux_sym_data_statement_token1] = ACTIONS(4379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4379),
    [aux_sym_end_if_statement_token1] = ACTIONS(4379),
    [aux_sym_elseif_clause_token2] = ACTIONS(4379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token3] = ACTIONS(4379),
    [aux_sym_select_type_statement_token1] = ACTIONS(4379),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4379),
    [aux_sym_block_construct_token1] = ACTIONS(4379),
    [aux_sym_associate_statement_token1] = ACTIONS(4379),
    [aux_sym_format_statement_token1] = ACTIONS(4379),
    [aux_sym_print_statement_token1] = ACTIONS(4379),
    [aux_sym_open_statement_token1] = ACTIONS(4379),
    [aux_sym_close_statement_token1] = ACTIONS(4379),
    [aux_sym_inquire_statement_token1] = ACTIONS(4379),
    [aux_sym_enum_statement_token1] = ACTIONS(4379),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token2] = ACTIONS(4379),
    [aux_sym_file_position_statement_token3] = ACTIONS(4379),
    [aux_sym_file_position_statement_token4] = ACTIONS(4379),
    [aux_sym_allocate_statement_token1] = ACTIONS(4379),
    [aux_sym_entry_statement_token1] = ACTIONS(4379),
    [aux_sym_logical_expression_token5] = ACTIONS(4383),
    [anon_sym_DOT] = ACTIONS(4379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(4383),
    [aux_sym_boolean_literal_token1] = ACTIONS(4383),
    [aux_sym_boolean_literal_token2] = ACTIONS(4383),
    [aux_sym_null_literal_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token2] = ACTIONS(4379),
    [aux_sym_coarray_statement_token6] = ACTIONS(4379),
    [aux_sym_coarray_statement_token8] = ACTIONS(4379),
    [aux_sym_coarray_statement_token11] = ACTIONS(4379),
    [aux_sym_coarray_statement_token12] = ACTIONS(4379),
    [aux_sym_coarray_statement_token13] = ACTIONS(4379),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4379),
    [aux_sym_identifier_token1] = ACTIONS(4379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4383),
    [sym__float_literal] = ACTIONS(4383),
    [sym__boz_literal] = ACTIONS(4383),
    [sym__string_literal] = ACTIONS(4383),
    [sym__string_literal_kind] = ACTIONS(4383),
  },
  [833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4385),
    [aux_sym_preproc_def_token1] = ACTIONS(4385),
    [aux_sym_preproc_if_token1] = ACTIONS(4385),
    [aux_sym_preproc_if_token2] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4385),
    [aux_sym_preproc_else_token1] = ACTIONS(4385),
    [aux_sym_preproc_elif_token1] = ACTIONS(4385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4385),
    [sym_preproc_directive] = ACTIONS(4385),
    [anon_sym_LPAREN2] = ACTIONS(4385),
    [sym_preproc_comment] = ACTIONS(4387),
    [anon_sym_PLUS] = ACTIONS(4389),
    [anon_sym_DASH] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token2] = ACTIONS(4385),
    [aux_sym_module_statement_token1] = ACTIONS(4385),
    [aux_sym_submodule_statement_token1] = ACTIONS(4385),
    [aux_sym_interface_statement_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4385),
    [aux_sym_function_statement_token1] = ACTIONS(4385),
    [aux_sym_language_binding_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4385),
    [aux_sym_contains_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token2] = ACTIONS(4385),
    [aux_sym_implicit_statement_token1] = ACTIONS(4385),
    [aux_sym_implicit_statement_token3] = ACTIONS(4385),
    [aux_sym_implicit_statement_token4] = ACTIONS(4385),
    [aux_sym_save_statement_token1] = ACTIONS(4385),
    [aux_sym_private_statement_token1] = ACTIONS(4385),
    [aux_sym_public_statement_token1] = ACTIONS(4385),
    [aux_sym_namelist_statement_token1] = ACTIONS(4385),
    [aux_sym_common_statement_token1] = ACTIONS(4385),
    [aux_sym_import_statement_token1] = ACTIONS(4385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4385),
    [aux_sym_variable_attributes_token1] = ACTIONS(4385),
    [aux_sym_variable_attributes_token2] = ACTIONS(4385),
    [aux_sym_variable_attributes_token3] = ACTIONS(4385),
    [aux_sym_variable_attributes_token4] = ACTIONS(4385),
    [aux_sym_variable_attributes_token5] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4385),
    [aux_sym_derived_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4385),
    [aux_sym_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4385),
    [anon_sym_SEMI] = ACTIONS(4389),
    [aux_sym_stop_statement_token1] = ACTIONS(4385),
    [aux_sym_stop_statement_token2] = ACTIONS(4385),
    [aux_sym_subroutine_call_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token2] = ACTIONS(4385),
    [aux_sym_keyword_statement_token3] = ACTIONS(4385),
    [aux_sym_keyword_statement_token4] = ACTIONS(4385),
    [aux_sym_keyword_statement_token6] = ACTIONS(4385),
    [aux_sym_keyword_statement_token7] = ACTIONS(4385),
    [aux_sym_include_statement_token1] = ACTIONS(4385),
    [aux_sym_data_statement_token1] = ACTIONS(4385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4385),
    [aux_sym_end_if_statement_token1] = ACTIONS(4385),
    [aux_sym_elseif_clause_token2] = ACTIONS(4385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token3] = ACTIONS(4385),
    [aux_sym_select_type_statement_token1] = ACTIONS(4385),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4385),
    [aux_sym_block_construct_token1] = ACTIONS(4385),
    [aux_sym_associate_statement_token1] = ACTIONS(4385),
    [aux_sym_format_statement_token1] = ACTIONS(4385),
    [aux_sym_print_statement_token1] = ACTIONS(4385),
    [aux_sym_open_statement_token1] = ACTIONS(4385),
    [aux_sym_close_statement_token1] = ACTIONS(4385),
    [aux_sym_inquire_statement_token1] = ACTIONS(4385),
    [aux_sym_enum_statement_token1] = ACTIONS(4385),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token2] = ACTIONS(4385),
    [aux_sym_file_position_statement_token3] = ACTIONS(4385),
    [aux_sym_file_position_statement_token4] = ACTIONS(4385),
    [aux_sym_allocate_statement_token1] = ACTIONS(4385),
    [aux_sym_entry_statement_token1] = ACTIONS(4385),
    [aux_sym_logical_expression_token5] = ACTIONS(4389),
    [anon_sym_DOT] = ACTIONS(4385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4389),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [aux_sym_boolean_literal_token1] = ACTIONS(4389),
    [aux_sym_boolean_literal_token2] = ACTIONS(4389),
    [aux_sym_null_literal_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token2] = ACTIONS(4385),
    [aux_sym_coarray_statement_token6] = ACTIONS(4385),
    [aux_sym_coarray_statement_token8] = ACTIONS(4385),
    [aux_sym_coarray_statement_token11] = ACTIONS(4385),
    [aux_sym_coarray_statement_token12] = ACTIONS(4385),
    [aux_sym_coarray_statement_token13] = ACTIONS(4385),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4385),
    [aux_sym_identifier_token1] = ACTIONS(4385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4389),
    [sym__float_literal] = ACTIONS(4389),
    [sym__boz_literal] = ACTIONS(4389),
    [sym__string_literal] = ACTIONS(4389),
    [sym__string_literal_kind] = ACTIONS(4389),
  },
  [834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token2] = ACTIONS(4313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [aux_sym_preproc_else_token1] = ACTIONS(4313),
    [aux_sym_preproc_elif_token1] = ACTIONS(4313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4313),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(4391),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4313),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_module_statement_token1] = ACTIONS(4313),
    [aux_sym_submodule_statement_token1] = ACTIONS(4313),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4313),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_function_statement_token1] = ACTIONS(4313),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4313),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [aux_sym_preproc_else_token1] = ACTIONS(4323),
    [aux_sym_preproc_elif_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4323),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [aux_sym_preproc_else_token1] = ACTIONS(4341),
    [aux_sym_preproc_elif_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4341),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4395),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4397),
    [aux_sym_preproc_def_token1] = ACTIONS(4397),
    [aux_sym_preproc_if_token1] = ACTIONS(4397),
    [aux_sym_preproc_if_token2] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4397),
    [aux_sym_preproc_else_token1] = ACTIONS(4397),
    [aux_sym_preproc_elif_token1] = ACTIONS(4397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4397),
    [sym_preproc_directive] = ACTIONS(4397),
    [anon_sym_LPAREN2] = ACTIONS(4397),
    [anon_sym_PLUS] = ACTIONS(4399),
    [anon_sym_DASH] = ACTIONS(4399),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token2] = ACTIONS(4397),
    [aux_sym_module_statement_token1] = ACTIONS(4397),
    [aux_sym_submodule_statement_token1] = ACTIONS(4397),
    [aux_sym_interface_statement_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4397),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4397),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4397),
    [aux_sym_function_statement_token1] = ACTIONS(4397),
    [aux_sym_language_binding_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4397),
    [aux_sym_contains_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token2] = ACTIONS(4397),
    [aux_sym_implicit_statement_token1] = ACTIONS(4397),
    [aux_sym_implicit_statement_token3] = ACTIONS(4397),
    [aux_sym_implicit_statement_token4] = ACTIONS(4397),
    [aux_sym_save_statement_token1] = ACTIONS(4397),
    [aux_sym_private_statement_token1] = ACTIONS(4397),
    [aux_sym_public_statement_token1] = ACTIONS(4397),
    [aux_sym_namelist_statement_token1] = ACTIONS(4397),
    [aux_sym_common_statement_token1] = ACTIONS(4397),
    [aux_sym_import_statement_token1] = ACTIONS(4397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4397),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4397),
    [aux_sym_variable_attributes_token1] = ACTIONS(4397),
    [aux_sym_variable_attributes_token2] = ACTIONS(4397),
    [aux_sym_variable_attributes_token3] = ACTIONS(4397),
    [aux_sym_variable_attributes_token4] = ACTIONS(4397),
    [aux_sym_variable_attributes_token5] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4397),
    [aux_sym_derived_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4397),
    [aux_sym_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4397),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4397),
    [anon_sym_SEMI] = ACTIONS(4399),
    [aux_sym_stop_statement_token1] = ACTIONS(4397),
    [aux_sym_stop_statement_token2] = ACTIONS(4397),
    [aux_sym_subroutine_call_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token2] = ACTIONS(4397),
    [aux_sym_keyword_statement_token3] = ACTIONS(4397),
    [aux_sym_keyword_statement_token4] = ACTIONS(4397),
    [aux_sym_keyword_statement_token6] = ACTIONS(4397),
    [aux_sym_keyword_statement_token7] = ACTIONS(4397),
    [aux_sym_include_statement_token1] = ACTIONS(4397),
    [aux_sym_data_statement_token1] = ACTIONS(4397),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4397),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4397),
    [aux_sym_end_if_statement_token1] = ACTIONS(4397),
    [aux_sym_elseif_clause_token2] = ACTIONS(4397),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4397),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token3] = ACTIONS(4397),
    [aux_sym_select_type_statement_token1] = ACTIONS(4397),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4397),
    [aux_sym_block_construct_token1] = ACTIONS(4397),
    [aux_sym_associate_statement_token1] = ACTIONS(4397),
    [aux_sym_format_statement_token1] = ACTIONS(4397),
    [aux_sym_print_statement_token1] = ACTIONS(4397),
    [aux_sym_open_statement_token1] = ACTIONS(4397),
    [aux_sym_close_statement_token1] = ACTIONS(4397),
    [aux_sym_inquire_statement_token1] = ACTIONS(4397),
    [aux_sym_enum_statement_token1] = ACTIONS(4397),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token2] = ACTIONS(4397),
    [aux_sym_file_position_statement_token3] = ACTIONS(4397),
    [aux_sym_file_position_statement_token4] = ACTIONS(4397),
    [aux_sym_allocate_statement_token1] = ACTIONS(4397),
    [aux_sym_entry_statement_token1] = ACTIONS(4397),
    [aux_sym_logical_expression_token5] = ACTIONS(4399),
    [anon_sym_DOT] = ACTIONS(4397),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4399),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [aux_sym_boolean_literal_token1] = ACTIONS(4399),
    [aux_sym_boolean_literal_token2] = ACTIONS(4399),
    [aux_sym_null_literal_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token2] = ACTIONS(4397),
    [aux_sym_coarray_statement_token6] = ACTIONS(4397),
    [aux_sym_coarray_statement_token8] = ACTIONS(4397),
    [aux_sym_coarray_statement_token11] = ACTIONS(4397),
    [aux_sym_coarray_statement_token12] = ACTIONS(4397),
    [aux_sym_coarray_statement_token13] = ACTIONS(4397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4397),
    [aux_sym_identifier_token1] = ACTIONS(4397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4399),
    [sym__float_literal] = ACTIONS(4399),
    [sym__boz_literal] = ACTIONS(4399),
    [sym__string_literal] = ACTIONS(4399),
    [sym__string_literal_kind] = ACTIONS(4399),
  },
  [838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_module_statement_token1] = ACTIONS(4401),
    [aux_sym_submodule_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_function_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_module_statement_token1] = ACTIONS(4405),
    [aux_sym_submodule_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_function_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_module_statement_token1] = ACTIONS(4409),
    [aux_sym_submodule_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_function_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_module_statement_token1] = ACTIONS(4413),
    [aux_sym_submodule_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_function_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4417),
    [aux_sym_preproc_def_token1] = ACTIONS(4417),
    [aux_sym_preproc_if_token1] = ACTIONS(4417),
    [aux_sym_preproc_if_token2] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4417),
    [aux_sym_preproc_else_token1] = ACTIONS(4417),
    [aux_sym_preproc_elif_token1] = ACTIONS(4417),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4417),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4417),
    [sym_preproc_directive] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(4417),
    [anon_sym_PLUS] = ACTIONS(4419),
    [anon_sym_DASH] = ACTIONS(4419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token2] = ACTIONS(4417),
    [aux_sym_module_statement_token1] = ACTIONS(4417),
    [aux_sym_submodule_statement_token1] = ACTIONS(4417),
    [aux_sym_interface_statement_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4417),
    [aux_sym_function_statement_token1] = ACTIONS(4417),
    [aux_sym_language_binding_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4417),
    [aux_sym_contains_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token2] = ACTIONS(4417),
    [aux_sym_implicit_statement_token1] = ACTIONS(4417),
    [aux_sym_implicit_statement_token3] = ACTIONS(4417),
    [aux_sym_implicit_statement_token4] = ACTIONS(4417),
    [aux_sym_save_statement_token1] = ACTIONS(4417),
    [aux_sym_private_statement_token1] = ACTIONS(4417),
    [aux_sym_public_statement_token1] = ACTIONS(4417),
    [aux_sym_namelist_statement_token1] = ACTIONS(4417),
    [aux_sym_common_statement_token1] = ACTIONS(4417),
    [aux_sym_import_statement_token1] = ACTIONS(4417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4417),
    [aux_sym_variable_attributes_token1] = ACTIONS(4417),
    [aux_sym_variable_attributes_token2] = ACTIONS(4417),
    [aux_sym_variable_attributes_token3] = ACTIONS(4417),
    [aux_sym_variable_attributes_token4] = ACTIONS(4417),
    [aux_sym_variable_attributes_token5] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4417),
    [aux_sym_derived_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4417),
    [aux_sym_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4417),
    [anon_sym_SEMI] = ACTIONS(4419),
    [aux_sym_stop_statement_token1] = ACTIONS(4417),
    [aux_sym_stop_statement_token2] = ACTIONS(4417),
    [aux_sym_subroutine_call_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token2] = ACTIONS(4417),
    [aux_sym_keyword_statement_token3] = ACTIONS(4417),
    [aux_sym_keyword_statement_token4] = ACTIONS(4417),
    [aux_sym_keyword_statement_token6] = ACTIONS(4417),
    [aux_sym_keyword_statement_token7] = ACTIONS(4417),
    [aux_sym_include_statement_token1] = ACTIONS(4417),
    [aux_sym_data_statement_token1] = ACTIONS(4417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4417),
    [aux_sym_end_if_statement_token1] = ACTIONS(4417),
    [aux_sym_elseif_clause_token2] = ACTIONS(4417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token3] = ACTIONS(4417),
    [aux_sym_select_type_statement_token1] = ACTIONS(4417),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4417),
    [aux_sym_block_construct_token1] = ACTIONS(4417),
    [aux_sym_associate_statement_token1] = ACTIONS(4417),
    [aux_sym_format_statement_token1] = ACTIONS(4417),
    [aux_sym_print_statement_token1] = ACTIONS(4417),
    [aux_sym_open_statement_token1] = ACTIONS(4417),
    [aux_sym_close_statement_token1] = ACTIONS(4417),
    [aux_sym_inquire_statement_token1] = ACTIONS(4417),
    [aux_sym_enum_statement_token1] = ACTIONS(4417),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token2] = ACTIONS(4417),
    [aux_sym_file_position_statement_token3] = ACTIONS(4417),
    [aux_sym_file_position_statement_token4] = ACTIONS(4417),
    [aux_sym_allocate_statement_token1] = ACTIONS(4417),
    [aux_sym_entry_statement_token1] = ACTIONS(4417),
    [aux_sym_logical_expression_token5] = ACTIONS(4419),
    [anon_sym_DOT] = ACTIONS(4417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(4419),
    [aux_sym_boolean_literal_token1] = ACTIONS(4419),
    [aux_sym_boolean_literal_token2] = ACTIONS(4419),
    [aux_sym_null_literal_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token2] = ACTIONS(4417),
    [aux_sym_coarray_statement_token6] = ACTIONS(4417),
    [aux_sym_coarray_statement_token8] = ACTIONS(4417),
    [aux_sym_coarray_statement_token11] = ACTIONS(4417),
    [aux_sym_coarray_statement_token12] = ACTIONS(4417),
    [aux_sym_coarray_statement_token13] = ACTIONS(4417),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4417),
    [aux_sym_identifier_token1] = ACTIONS(4417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4419),
    [sym__float_literal] = ACTIONS(4419),
    [sym__boz_literal] = ACTIONS(4419),
    [sym__string_literal] = ACTIONS(4419),
    [sym__string_literal_kind] = ACTIONS(4419),
  },
  [843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4421),
    [aux_sym_preproc_def_token1] = ACTIONS(4421),
    [aux_sym_preproc_if_token1] = ACTIONS(4421),
    [aux_sym_preproc_if_token2] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4421),
    [aux_sym_preproc_else_token1] = ACTIONS(4421),
    [aux_sym_preproc_elif_token1] = ACTIONS(4421),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4421),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4421),
    [sym_preproc_directive] = ACTIONS(4421),
    [anon_sym_LPAREN2] = ACTIONS(4421),
    [anon_sym_PLUS] = ACTIONS(4423),
    [anon_sym_DASH] = ACTIONS(4423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token2] = ACTIONS(4421),
    [aux_sym_module_statement_token1] = ACTIONS(4421),
    [aux_sym_submodule_statement_token1] = ACTIONS(4421),
    [aux_sym_interface_statement_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4421),
    [aux_sym_function_statement_token1] = ACTIONS(4421),
    [aux_sym_language_binding_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4421),
    [aux_sym_contains_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token2] = ACTIONS(4421),
    [aux_sym_implicit_statement_token1] = ACTIONS(4421),
    [aux_sym_implicit_statement_token3] = ACTIONS(4421),
    [aux_sym_implicit_statement_token4] = ACTIONS(4421),
    [aux_sym_save_statement_token1] = ACTIONS(4421),
    [aux_sym_private_statement_token1] = ACTIONS(4421),
    [aux_sym_public_statement_token1] = ACTIONS(4421),
    [aux_sym_namelist_statement_token1] = ACTIONS(4421),
    [aux_sym_common_statement_token1] = ACTIONS(4421),
    [aux_sym_import_statement_token1] = ACTIONS(4421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4421),
    [aux_sym_variable_attributes_token1] = ACTIONS(4421),
    [aux_sym_variable_attributes_token2] = ACTIONS(4421),
    [aux_sym_variable_attributes_token3] = ACTIONS(4421),
    [aux_sym_variable_attributes_token4] = ACTIONS(4421),
    [aux_sym_variable_attributes_token5] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4421),
    [aux_sym_derived_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4421),
    [aux_sym_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4423),
    [aux_sym_stop_statement_token1] = ACTIONS(4421),
    [aux_sym_stop_statement_token2] = ACTIONS(4421),
    [aux_sym_subroutine_call_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token2] = ACTIONS(4421),
    [aux_sym_keyword_statement_token3] = ACTIONS(4421),
    [aux_sym_keyword_statement_token4] = ACTIONS(4421),
    [aux_sym_keyword_statement_token6] = ACTIONS(4421),
    [aux_sym_keyword_statement_token7] = ACTIONS(4421),
    [aux_sym_include_statement_token1] = ACTIONS(4421),
    [aux_sym_data_statement_token1] = ACTIONS(4421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4421),
    [aux_sym_end_if_statement_token1] = ACTIONS(4421),
    [aux_sym_elseif_clause_token2] = ACTIONS(4421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token3] = ACTIONS(4421),
    [aux_sym_select_type_statement_token1] = ACTIONS(4421),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4421),
    [aux_sym_block_construct_token1] = ACTIONS(4421),
    [aux_sym_associate_statement_token1] = ACTIONS(4421),
    [aux_sym_format_statement_token1] = ACTIONS(4421),
    [aux_sym_print_statement_token1] = ACTIONS(4421),
    [aux_sym_open_statement_token1] = ACTIONS(4421),
    [aux_sym_close_statement_token1] = ACTIONS(4421),
    [aux_sym_inquire_statement_token1] = ACTIONS(4421),
    [aux_sym_enum_statement_token1] = ACTIONS(4421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token2] = ACTIONS(4421),
    [aux_sym_file_position_statement_token3] = ACTIONS(4421),
    [aux_sym_file_position_statement_token4] = ACTIONS(4421),
    [aux_sym_allocate_statement_token1] = ACTIONS(4421),
    [aux_sym_entry_statement_token1] = ACTIONS(4421),
    [aux_sym_logical_expression_token5] = ACTIONS(4423),
    [anon_sym_DOT] = ACTIONS(4421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [aux_sym_boolean_literal_token1] = ACTIONS(4423),
    [aux_sym_boolean_literal_token2] = ACTIONS(4423),
    [aux_sym_null_literal_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token2] = ACTIONS(4421),
    [aux_sym_coarray_statement_token6] = ACTIONS(4421),
    [aux_sym_coarray_statement_token8] = ACTIONS(4421),
    [aux_sym_coarray_statement_token11] = ACTIONS(4421),
    [aux_sym_coarray_statement_token12] = ACTIONS(4421),
    [aux_sym_coarray_statement_token13] = ACTIONS(4421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4421),
    [aux_sym_identifier_token1] = ACTIONS(4421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4423),
    [sym__float_literal] = ACTIONS(4423),
    [sym__boz_literal] = ACTIONS(4423),
    [sym__string_literal] = ACTIONS(4423),
    [sym__string_literal_kind] = ACTIONS(4423),
  },
  [844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4425),
    [aux_sym_preproc_if_token1] = ACTIONS(4425),
    [aux_sym_preproc_if_token2] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4425),
    [aux_sym_preproc_else_token1] = ACTIONS(4425),
    [aux_sym_preproc_elif_token1] = ACTIONS(4425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4425),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4425),
    [sym_preproc_directive] = ACTIONS(4425),
    [anon_sym_LPAREN2] = ACTIONS(4425),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token2] = ACTIONS(4425),
    [aux_sym_module_statement_token1] = ACTIONS(4425),
    [aux_sym_submodule_statement_token1] = ACTIONS(4425),
    [aux_sym_interface_statement_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4425),
    [aux_sym_function_statement_token1] = ACTIONS(4425),
    [aux_sym_language_binding_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4425),
    [aux_sym_contains_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token2] = ACTIONS(4425),
    [aux_sym_implicit_statement_token1] = ACTIONS(4425),
    [aux_sym_implicit_statement_token3] = ACTIONS(4425),
    [aux_sym_implicit_statement_token4] = ACTIONS(4425),
    [aux_sym_save_statement_token1] = ACTIONS(4425),
    [aux_sym_private_statement_token1] = ACTIONS(4425),
    [aux_sym_public_statement_token1] = ACTIONS(4425),
    [aux_sym_namelist_statement_token1] = ACTIONS(4425),
    [aux_sym_common_statement_token1] = ACTIONS(4425),
    [aux_sym_import_statement_token1] = ACTIONS(4425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4425),
    [aux_sym_variable_attributes_token1] = ACTIONS(4425),
    [aux_sym_variable_attributes_token2] = ACTIONS(4425),
    [aux_sym_variable_attributes_token3] = ACTIONS(4425),
    [aux_sym_variable_attributes_token4] = ACTIONS(4425),
    [aux_sym_variable_attributes_token5] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4425),
    [aux_sym_derived_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4425),
    [aux_sym_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4425),
    [anon_sym_SEMI] = ACTIONS(4427),
    [aux_sym_stop_statement_token1] = ACTIONS(4425),
    [aux_sym_stop_statement_token2] = ACTIONS(4425),
    [aux_sym_subroutine_call_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token2] = ACTIONS(4425),
    [aux_sym_keyword_statement_token3] = ACTIONS(4425),
    [aux_sym_keyword_statement_token4] = ACTIONS(4425),
    [aux_sym_keyword_statement_token6] = ACTIONS(4425),
    [aux_sym_keyword_statement_token7] = ACTIONS(4425),
    [aux_sym_include_statement_token1] = ACTIONS(4425),
    [aux_sym_data_statement_token1] = ACTIONS(4425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4425),
    [aux_sym_end_if_statement_token1] = ACTIONS(4425),
    [aux_sym_elseif_clause_token2] = ACTIONS(4425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token3] = ACTIONS(4425),
    [aux_sym_select_type_statement_token1] = ACTIONS(4425),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4425),
    [aux_sym_block_construct_token1] = ACTIONS(4425),
    [aux_sym_associate_statement_token1] = ACTIONS(4425),
    [aux_sym_format_statement_token1] = ACTIONS(4425),
    [aux_sym_print_statement_token1] = ACTIONS(4425),
    [aux_sym_open_statement_token1] = ACTIONS(4425),
    [aux_sym_close_statement_token1] = ACTIONS(4425),
    [aux_sym_inquire_statement_token1] = ACTIONS(4425),
    [aux_sym_enum_statement_token1] = ACTIONS(4425),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token2] = ACTIONS(4425),
    [aux_sym_file_position_statement_token3] = ACTIONS(4425),
    [aux_sym_file_position_statement_token4] = ACTIONS(4425),
    [aux_sym_allocate_statement_token1] = ACTIONS(4425),
    [aux_sym_entry_statement_token1] = ACTIONS(4425),
    [aux_sym_logical_expression_token5] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [aux_sym_boolean_literal_token1] = ACTIONS(4427),
    [aux_sym_boolean_literal_token2] = ACTIONS(4427),
    [aux_sym_null_literal_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token2] = ACTIONS(4425),
    [aux_sym_coarray_statement_token6] = ACTIONS(4425),
    [aux_sym_coarray_statement_token8] = ACTIONS(4425),
    [aux_sym_coarray_statement_token11] = ACTIONS(4425),
    [aux_sym_coarray_statement_token12] = ACTIONS(4425),
    [aux_sym_coarray_statement_token13] = ACTIONS(4425),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4425),
    [aux_sym_identifier_token1] = ACTIONS(4425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4427),
    [sym__float_literal] = ACTIONS(4427),
    [sym__boz_literal] = ACTIONS(4427),
    [sym__string_literal] = ACTIONS(4427),
    [sym__string_literal_kind] = ACTIONS(4427),
  },
  [845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4429),
    [aux_sym_preproc_def_token1] = ACTIONS(4429),
    [aux_sym_preproc_if_token1] = ACTIONS(4429),
    [aux_sym_preproc_if_token2] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4429),
    [sym_preproc_directive] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token2] = ACTIONS(4429),
    [aux_sym_module_statement_token1] = ACTIONS(4429),
    [aux_sym_submodule_statement_token1] = ACTIONS(4429),
    [aux_sym_interface_statement_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4429),
    [aux_sym_function_statement_token1] = ACTIONS(4429),
    [aux_sym_language_binding_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4429),
    [aux_sym_contains_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token2] = ACTIONS(4429),
    [aux_sym_implicit_statement_token1] = ACTIONS(4429),
    [aux_sym_implicit_statement_token3] = ACTIONS(4429),
    [aux_sym_implicit_statement_token4] = ACTIONS(4429),
    [aux_sym_save_statement_token1] = ACTIONS(4429),
    [aux_sym_private_statement_token1] = ACTIONS(4429),
    [aux_sym_public_statement_token1] = ACTIONS(4429),
    [aux_sym_namelist_statement_token1] = ACTIONS(4429),
    [aux_sym_common_statement_token1] = ACTIONS(4429),
    [aux_sym_import_statement_token1] = ACTIONS(4429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4429),
    [aux_sym_variable_attributes_token1] = ACTIONS(4429),
    [aux_sym_variable_attributes_token2] = ACTIONS(4429),
    [aux_sym_variable_attributes_token3] = ACTIONS(4429),
    [aux_sym_variable_attributes_token4] = ACTIONS(4429),
    [aux_sym_variable_attributes_token5] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4429),
    [aux_sym_derived_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4429),
    [aux_sym_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4429),
    [anon_sym_SEMI] = ACTIONS(4431),
    [aux_sym_stop_statement_token1] = ACTIONS(4429),
    [aux_sym_stop_statement_token2] = ACTIONS(4429),
    [aux_sym_subroutine_call_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token2] = ACTIONS(4429),
    [aux_sym_keyword_statement_token3] = ACTIONS(4429),
    [aux_sym_keyword_statement_token4] = ACTIONS(4429),
    [aux_sym_keyword_statement_token6] = ACTIONS(4429),
    [aux_sym_keyword_statement_token7] = ACTIONS(4429),
    [aux_sym_include_statement_token1] = ACTIONS(4429),
    [aux_sym_data_statement_token1] = ACTIONS(4429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4429),
    [aux_sym_end_if_statement_token1] = ACTIONS(4429),
    [aux_sym_elseif_clause_token2] = ACTIONS(4429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token3] = ACTIONS(4429),
    [aux_sym_select_type_statement_token1] = ACTIONS(4429),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4429),
    [aux_sym_block_construct_token1] = ACTIONS(4429),
    [aux_sym_associate_statement_token1] = ACTIONS(4429),
    [aux_sym_format_statement_token1] = ACTIONS(4429),
    [aux_sym_print_statement_token1] = ACTIONS(4429),
    [aux_sym_open_statement_token1] = ACTIONS(4429),
    [aux_sym_close_statement_token1] = ACTIONS(4429),
    [aux_sym_inquire_statement_token1] = ACTIONS(4429),
    [aux_sym_enum_statement_token1] = ACTIONS(4429),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token2] = ACTIONS(4429),
    [aux_sym_file_position_statement_token3] = ACTIONS(4429),
    [aux_sym_file_position_statement_token4] = ACTIONS(4429),
    [aux_sym_allocate_statement_token1] = ACTIONS(4429),
    [aux_sym_entry_statement_token1] = ACTIONS(4429),
    [aux_sym_logical_expression_token5] = ACTIONS(4431),
    [anon_sym_DOT] = ACTIONS(4429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4431),
    [aux_sym_boolean_literal_token1] = ACTIONS(4431),
    [aux_sym_boolean_literal_token2] = ACTIONS(4431),
    [aux_sym_null_literal_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token2] = ACTIONS(4429),
    [aux_sym_coarray_statement_token6] = ACTIONS(4429),
    [aux_sym_coarray_statement_token8] = ACTIONS(4429),
    [aux_sym_coarray_statement_token11] = ACTIONS(4429),
    [aux_sym_coarray_statement_token12] = ACTIONS(4429),
    [aux_sym_coarray_statement_token13] = ACTIONS(4429),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4429),
    [aux_sym_identifier_token1] = ACTIONS(4429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4431),
    [sym__float_literal] = ACTIONS(4431),
    [sym__boz_literal] = ACTIONS(4431),
    [sym__string_literal] = ACTIONS(4431),
    [sym__string_literal_kind] = ACTIONS(4431),
  },
  [846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4433),
    [aux_sym_preproc_def_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token2] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4433),
    [aux_sym_preproc_else_token1] = ACTIONS(4433),
    [aux_sym_preproc_elif_token1] = ACTIONS(4433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4433),
    [sym_preproc_directive] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token2] = ACTIONS(4433),
    [aux_sym_module_statement_token1] = ACTIONS(4433),
    [aux_sym_submodule_statement_token1] = ACTIONS(4433),
    [aux_sym_interface_statement_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4433),
    [aux_sym_function_statement_token1] = ACTIONS(4433),
    [aux_sym_language_binding_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4433),
    [aux_sym_contains_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token2] = ACTIONS(4433),
    [aux_sym_implicit_statement_token1] = ACTIONS(4433),
    [aux_sym_implicit_statement_token3] = ACTIONS(4433),
    [aux_sym_implicit_statement_token4] = ACTIONS(4433),
    [aux_sym_save_statement_token1] = ACTIONS(4433),
    [aux_sym_private_statement_token1] = ACTIONS(4433),
    [aux_sym_public_statement_token1] = ACTIONS(4433),
    [aux_sym_namelist_statement_token1] = ACTIONS(4433),
    [aux_sym_common_statement_token1] = ACTIONS(4433),
    [aux_sym_import_statement_token1] = ACTIONS(4433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4433),
    [aux_sym_variable_attributes_token1] = ACTIONS(4433),
    [aux_sym_variable_attributes_token2] = ACTIONS(4433),
    [aux_sym_variable_attributes_token3] = ACTIONS(4433),
    [aux_sym_variable_attributes_token4] = ACTIONS(4433),
    [aux_sym_variable_attributes_token5] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4433),
    [aux_sym_derived_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4433),
    [aux_sym_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4433),
    [anon_sym_SEMI] = ACTIONS(4435),
    [aux_sym_stop_statement_token1] = ACTIONS(4433),
    [aux_sym_stop_statement_token2] = ACTIONS(4433),
    [aux_sym_subroutine_call_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token2] = ACTIONS(4433),
    [aux_sym_keyword_statement_token3] = ACTIONS(4433),
    [aux_sym_keyword_statement_token4] = ACTIONS(4433),
    [aux_sym_keyword_statement_token6] = ACTIONS(4433),
    [aux_sym_keyword_statement_token7] = ACTIONS(4433),
    [aux_sym_include_statement_token1] = ACTIONS(4433),
    [aux_sym_data_statement_token1] = ACTIONS(4433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4433),
    [aux_sym_end_if_statement_token1] = ACTIONS(4433),
    [aux_sym_elseif_clause_token2] = ACTIONS(4433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token3] = ACTIONS(4433),
    [aux_sym_select_type_statement_token1] = ACTIONS(4433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4433),
    [aux_sym_block_construct_token1] = ACTIONS(4433),
    [aux_sym_associate_statement_token1] = ACTIONS(4433),
    [aux_sym_format_statement_token1] = ACTIONS(4433),
    [aux_sym_print_statement_token1] = ACTIONS(4433),
    [aux_sym_open_statement_token1] = ACTIONS(4433),
    [aux_sym_close_statement_token1] = ACTIONS(4433),
    [aux_sym_inquire_statement_token1] = ACTIONS(4433),
    [aux_sym_enum_statement_token1] = ACTIONS(4433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token2] = ACTIONS(4433),
    [aux_sym_file_position_statement_token3] = ACTIONS(4433),
    [aux_sym_file_position_statement_token4] = ACTIONS(4433),
    [aux_sym_allocate_statement_token1] = ACTIONS(4433),
    [aux_sym_entry_statement_token1] = ACTIONS(4433),
    [aux_sym_logical_expression_token5] = ACTIONS(4435),
    [anon_sym_DOT] = ACTIONS(4433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4435),
    [aux_sym_boolean_literal_token1] = ACTIONS(4435),
    [aux_sym_boolean_literal_token2] = ACTIONS(4435),
    [aux_sym_null_literal_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token2] = ACTIONS(4433),
    [aux_sym_coarray_statement_token6] = ACTIONS(4433),
    [aux_sym_coarray_statement_token8] = ACTIONS(4433),
    [aux_sym_coarray_statement_token11] = ACTIONS(4433),
    [aux_sym_coarray_statement_token12] = ACTIONS(4433),
    [aux_sym_coarray_statement_token13] = ACTIONS(4433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4433),
    [aux_sym_identifier_token1] = ACTIONS(4433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4435),
    [sym__float_literal] = ACTIONS(4435),
    [sym__boz_literal] = ACTIONS(4435),
    [sym__string_literal] = ACTIONS(4435),
    [sym__string_literal_kind] = ACTIONS(4435),
  },
  [847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(376),
    [aux_sym_preproc_if_token1] = ACTIONS(376),
    [aux_sym_preproc_if_token2] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(376),
    [aux_sym_preproc_else_token1] = ACTIONS(376),
    [aux_sym_preproc_elif_token1] = ACTIONS(376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(376),
    [sym_preproc_directive] = ACTIONS(376),
    [anon_sym_LPAREN2] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token2] = ACTIONS(376),
    [aux_sym_module_statement_token1] = ACTIONS(376),
    [aux_sym_submodule_statement_token1] = ACTIONS(376),
    [aux_sym_interface_statement_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(376),
    [aux_sym_function_statement_token1] = ACTIONS(376),
    [aux_sym_language_binding_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(376),
    [aux_sym_contains_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token2] = ACTIONS(376),
    [aux_sym_implicit_statement_token1] = ACTIONS(376),
    [aux_sym_implicit_statement_token3] = ACTIONS(376),
    [aux_sym_implicit_statement_token4] = ACTIONS(376),
    [aux_sym_save_statement_token1] = ACTIONS(376),
    [aux_sym_private_statement_token1] = ACTIONS(376),
    [aux_sym_public_statement_token1] = ACTIONS(376),
    [aux_sym_namelist_statement_token1] = ACTIONS(376),
    [aux_sym_common_statement_token1] = ACTIONS(376),
    [aux_sym_import_statement_token1] = ACTIONS(376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(376),
    [aux_sym_variable_attributes_token1] = ACTIONS(376),
    [aux_sym_variable_attributes_token2] = ACTIONS(376),
    [aux_sym_variable_attributes_token3] = ACTIONS(376),
    [aux_sym_variable_attributes_token4] = ACTIONS(376),
    [aux_sym_variable_attributes_token5] = ACTIONS(376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(376),
    [aux_sym_derived_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(376),
    [aux_sym_type_qualifier_token1] = ACTIONS(376),
    [aux_sym_type_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(376),
    [anon_sym_SEMI] = ACTIONS(692),
    [aux_sym_stop_statement_token1] = ACTIONS(376),
    [aux_sym_stop_statement_token2] = ACTIONS(376),
    [aux_sym_subroutine_call_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token2] = ACTIONS(376),
    [aux_sym_keyword_statement_token3] = ACTIONS(376),
    [aux_sym_keyword_statement_token4] = ACTIONS(376),
    [aux_sym_keyword_statement_token6] = ACTIONS(376),
    [aux_sym_keyword_statement_token7] = ACTIONS(376),
    [aux_sym_include_statement_token1] = ACTIONS(376),
    [aux_sym_data_statement_token1] = ACTIONS(376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(376),
    [aux_sym_end_if_statement_token1] = ACTIONS(376),
    [aux_sym_elseif_clause_token2] = ACTIONS(376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token3] = ACTIONS(376),
    [aux_sym_select_type_statement_token1] = ACTIONS(376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(376),
    [aux_sym_block_construct_token1] = ACTIONS(376),
    [aux_sym_associate_statement_token1] = ACTIONS(376),
    [aux_sym_format_statement_token1] = ACTIONS(376),
    [aux_sym_print_statement_token1] = ACTIONS(376),
    [aux_sym_open_statement_token1] = ACTIONS(376),
    [aux_sym_close_statement_token1] = ACTIONS(376),
    [aux_sym_inquire_statement_token1] = ACTIONS(376),
    [aux_sym_enum_statement_token1] = ACTIONS(376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token2] = ACTIONS(376),
    [aux_sym_file_position_statement_token3] = ACTIONS(376),
    [aux_sym_file_position_statement_token4] = ACTIONS(376),
    [aux_sym_allocate_statement_token1] = ACTIONS(376),
    [aux_sym_entry_statement_token1] = ACTIONS(376),
    [aux_sym_logical_expression_token5] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(692),
    [aux_sym_boolean_literal_token1] = ACTIONS(692),
    [aux_sym_boolean_literal_token2] = ACTIONS(692),
    [aux_sym_null_literal_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token2] = ACTIONS(376),
    [aux_sym_coarray_statement_token6] = ACTIONS(376),
    [aux_sym_coarray_statement_token8] = ACTIONS(376),
    [aux_sym_coarray_statement_token11] = ACTIONS(376),
    [aux_sym_coarray_statement_token12] = ACTIONS(376),
    [aux_sym_coarray_statement_token13] = ACTIONS(376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(376),
    [aux_sym_identifier_token1] = ACTIONS(376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(692),
    [sym__float_literal] = ACTIONS(692),
    [sym__boz_literal] = ACTIONS(692),
    [sym__string_literal] = ACTIONS(692),
    [sym__string_literal_kind] = ACTIONS(692),
  },
  [848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4437),
    [aux_sym_preproc_def_token1] = ACTIONS(4437),
    [aux_sym_preproc_if_token1] = ACTIONS(4437),
    [aux_sym_preproc_if_token2] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4437),
    [aux_sym_preproc_else_token1] = ACTIONS(4437),
    [aux_sym_preproc_elif_token1] = ACTIONS(4437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4437),
    [sym_preproc_directive] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(4437),
    [anon_sym_PLUS] = ACTIONS(4439),
    [anon_sym_DASH] = ACTIONS(4439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token2] = ACTIONS(4437),
    [aux_sym_module_statement_token1] = ACTIONS(4437),
    [aux_sym_submodule_statement_token1] = ACTIONS(4437),
    [aux_sym_interface_statement_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4437),
    [aux_sym_function_statement_token1] = ACTIONS(4437),
    [aux_sym_language_binding_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4437),
    [aux_sym_contains_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token2] = ACTIONS(4437),
    [aux_sym_implicit_statement_token1] = ACTIONS(4437),
    [aux_sym_implicit_statement_token3] = ACTIONS(4437),
    [aux_sym_implicit_statement_token4] = ACTIONS(4437),
    [aux_sym_save_statement_token1] = ACTIONS(4437),
    [aux_sym_private_statement_token1] = ACTIONS(4437),
    [aux_sym_public_statement_token1] = ACTIONS(4437),
    [aux_sym_namelist_statement_token1] = ACTIONS(4437),
    [aux_sym_common_statement_token1] = ACTIONS(4437),
    [aux_sym_import_statement_token1] = ACTIONS(4437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4437),
    [aux_sym_variable_attributes_token1] = ACTIONS(4437),
    [aux_sym_variable_attributes_token2] = ACTIONS(4437),
    [aux_sym_variable_attributes_token3] = ACTIONS(4437),
    [aux_sym_variable_attributes_token4] = ACTIONS(4437),
    [aux_sym_variable_attributes_token5] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4437),
    [aux_sym_derived_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4437),
    [aux_sym_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4437),
    [anon_sym_SEMI] = ACTIONS(4439),
    [aux_sym_stop_statement_token1] = ACTIONS(4437),
    [aux_sym_stop_statement_token2] = ACTIONS(4437),
    [aux_sym_subroutine_call_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token2] = ACTIONS(4437),
    [aux_sym_keyword_statement_token3] = ACTIONS(4437),
    [aux_sym_keyword_statement_token4] = ACTIONS(4437),
    [aux_sym_keyword_statement_token6] = ACTIONS(4437),
    [aux_sym_keyword_statement_token7] = ACTIONS(4437),
    [aux_sym_include_statement_token1] = ACTIONS(4437),
    [aux_sym_data_statement_token1] = ACTIONS(4437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4437),
    [aux_sym_end_if_statement_token1] = ACTIONS(4437),
    [aux_sym_elseif_clause_token2] = ACTIONS(4437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token3] = ACTIONS(4437),
    [aux_sym_select_type_statement_token1] = ACTIONS(4437),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4437),
    [aux_sym_block_construct_token1] = ACTIONS(4437),
    [aux_sym_associate_statement_token1] = ACTIONS(4437),
    [aux_sym_format_statement_token1] = ACTIONS(4437),
    [aux_sym_print_statement_token1] = ACTIONS(4437),
    [aux_sym_open_statement_token1] = ACTIONS(4437),
    [aux_sym_close_statement_token1] = ACTIONS(4437),
    [aux_sym_inquire_statement_token1] = ACTIONS(4437),
    [aux_sym_enum_statement_token1] = ACTIONS(4437),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token2] = ACTIONS(4437),
    [aux_sym_file_position_statement_token3] = ACTIONS(4437),
    [aux_sym_file_position_statement_token4] = ACTIONS(4437),
    [aux_sym_allocate_statement_token1] = ACTIONS(4437),
    [aux_sym_entry_statement_token1] = ACTIONS(4437),
    [aux_sym_logical_expression_token5] = ACTIONS(4439),
    [anon_sym_DOT] = ACTIONS(4437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4439),
    [anon_sym_LBRACK] = ACTIONS(4439),
    [aux_sym_boolean_literal_token1] = ACTIONS(4439),
    [aux_sym_boolean_literal_token2] = ACTIONS(4439),
    [aux_sym_null_literal_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token2] = ACTIONS(4437),
    [aux_sym_coarray_statement_token6] = ACTIONS(4437),
    [aux_sym_coarray_statement_token8] = ACTIONS(4437),
    [aux_sym_coarray_statement_token11] = ACTIONS(4437),
    [aux_sym_coarray_statement_token12] = ACTIONS(4437),
    [aux_sym_coarray_statement_token13] = ACTIONS(4437),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4437),
    [aux_sym_identifier_token1] = ACTIONS(4437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4439),
    [sym__float_literal] = ACTIONS(4439),
    [sym__boz_literal] = ACTIONS(4439),
    [sym__string_literal] = ACTIONS(4439),
    [sym__string_literal_kind] = ACTIONS(4439),
  },
  [849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4441),
    [aux_sym_preproc_def_token1] = ACTIONS(4441),
    [aux_sym_preproc_if_token1] = ACTIONS(4441),
    [aux_sym_preproc_if_token2] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4441),
    [aux_sym_preproc_else_token1] = ACTIONS(4441),
    [aux_sym_preproc_elif_token1] = ACTIONS(4441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4441),
    [sym_preproc_directive] = ACTIONS(4441),
    [anon_sym_LPAREN2] = ACTIONS(4441),
    [anon_sym_PLUS] = ACTIONS(4443),
    [anon_sym_DASH] = ACTIONS(4443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token2] = ACTIONS(4441),
    [aux_sym_module_statement_token1] = ACTIONS(4441),
    [aux_sym_submodule_statement_token1] = ACTIONS(4441),
    [aux_sym_interface_statement_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4441),
    [aux_sym_function_statement_token1] = ACTIONS(4441),
    [aux_sym_language_binding_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4441),
    [aux_sym_contains_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token2] = ACTIONS(4441),
    [aux_sym_implicit_statement_token1] = ACTIONS(4441),
    [aux_sym_implicit_statement_token3] = ACTIONS(4441),
    [aux_sym_implicit_statement_token4] = ACTIONS(4441),
    [aux_sym_save_statement_token1] = ACTIONS(4441),
    [aux_sym_private_statement_token1] = ACTIONS(4441),
    [aux_sym_public_statement_token1] = ACTIONS(4441),
    [aux_sym_namelist_statement_token1] = ACTIONS(4441),
    [aux_sym_common_statement_token1] = ACTIONS(4441),
    [aux_sym_import_statement_token1] = ACTIONS(4441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4441),
    [aux_sym_variable_attributes_token1] = ACTIONS(4441),
    [aux_sym_variable_attributes_token2] = ACTIONS(4441),
    [aux_sym_variable_attributes_token3] = ACTIONS(4441),
    [aux_sym_variable_attributes_token4] = ACTIONS(4441),
    [aux_sym_variable_attributes_token5] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4441),
    [aux_sym_derived_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4441),
    [aux_sym_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4441),
    [anon_sym_SEMI] = ACTIONS(4443),
    [aux_sym_stop_statement_token1] = ACTIONS(4441),
    [aux_sym_stop_statement_token2] = ACTIONS(4441),
    [aux_sym_subroutine_call_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token2] = ACTIONS(4441),
    [aux_sym_keyword_statement_token3] = ACTIONS(4441),
    [aux_sym_keyword_statement_token4] = ACTIONS(4441),
    [aux_sym_keyword_statement_token6] = ACTIONS(4441),
    [aux_sym_keyword_statement_token7] = ACTIONS(4441),
    [aux_sym_include_statement_token1] = ACTIONS(4441),
    [aux_sym_data_statement_token1] = ACTIONS(4441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4441),
    [aux_sym_end_if_statement_token1] = ACTIONS(4441),
    [aux_sym_elseif_clause_token2] = ACTIONS(4441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token3] = ACTIONS(4441),
    [aux_sym_select_type_statement_token1] = ACTIONS(4441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4441),
    [aux_sym_block_construct_token1] = ACTIONS(4441),
    [aux_sym_associate_statement_token1] = ACTIONS(4441),
    [aux_sym_format_statement_token1] = ACTIONS(4441),
    [aux_sym_print_statement_token1] = ACTIONS(4441),
    [aux_sym_open_statement_token1] = ACTIONS(4441),
    [aux_sym_close_statement_token1] = ACTIONS(4441),
    [aux_sym_inquire_statement_token1] = ACTIONS(4441),
    [aux_sym_enum_statement_token1] = ACTIONS(4441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token2] = ACTIONS(4441),
    [aux_sym_file_position_statement_token3] = ACTIONS(4441),
    [aux_sym_file_position_statement_token4] = ACTIONS(4441),
    [aux_sym_allocate_statement_token1] = ACTIONS(4441),
    [aux_sym_entry_statement_token1] = ACTIONS(4441),
    [aux_sym_logical_expression_token5] = ACTIONS(4443),
    [anon_sym_DOT] = ACTIONS(4441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4443),
    [anon_sym_LBRACK] = ACTIONS(4443),
    [aux_sym_boolean_literal_token1] = ACTIONS(4443),
    [aux_sym_boolean_literal_token2] = ACTIONS(4443),
    [aux_sym_null_literal_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token2] = ACTIONS(4441),
    [aux_sym_coarray_statement_token6] = ACTIONS(4441),
    [aux_sym_coarray_statement_token8] = ACTIONS(4441),
    [aux_sym_coarray_statement_token11] = ACTIONS(4441),
    [aux_sym_coarray_statement_token12] = ACTIONS(4441),
    [aux_sym_coarray_statement_token13] = ACTIONS(4441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4441),
    [aux_sym_identifier_token1] = ACTIONS(4441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4443),
    [sym__float_literal] = ACTIONS(4443),
    [sym__boz_literal] = ACTIONS(4443),
    [sym__string_literal] = ACTIONS(4443),
    [sym__string_literal_kind] = ACTIONS(4443),
  },
  [850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4445),
    [aux_sym_preproc_def_token1] = ACTIONS(4445),
    [aux_sym_preproc_if_token1] = ACTIONS(4445),
    [aux_sym_preproc_if_token2] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4445),
    [aux_sym_preproc_else_token1] = ACTIONS(4445),
    [aux_sym_preproc_elif_token1] = ACTIONS(4445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4445),
    [sym_preproc_directive] = ACTIONS(4445),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token2] = ACTIONS(4445),
    [aux_sym_module_statement_token1] = ACTIONS(4445),
    [aux_sym_submodule_statement_token1] = ACTIONS(4445),
    [aux_sym_interface_statement_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4445),
    [aux_sym_function_statement_token1] = ACTIONS(4445),
    [aux_sym_language_binding_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4445),
    [aux_sym_contains_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token2] = ACTIONS(4445),
    [aux_sym_implicit_statement_token1] = ACTIONS(4445),
    [aux_sym_implicit_statement_token3] = ACTIONS(4445),
    [aux_sym_implicit_statement_token4] = ACTIONS(4445),
    [aux_sym_save_statement_token1] = ACTIONS(4445),
    [aux_sym_private_statement_token1] = ACTIONS(4445),
    [aux_sym_public_statement_token1] = ACTIONS(4445),
    [aux_sym_namelist_statement_token1] = ACTIONS(4445),
    [aux_sym_common_statement_token1] = ACTIONS(4445),
    [aux_sym_import_statement_token1] = ACTIONS(4445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4445),
    [aux_sym_variable_attributes_token1] = ACTIONS(4445),
    [aux_sym_variable_attributes_token2] = ACTIONS(4445),
    [aux_sym_variable_attributes_token3] = ACTIONS(4445),
    [aux_sym_variable_attributes_token4] = ACTIONS(4445),
    [aux_sym_variable_attributes_token5] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4445),
    [aux_sym_derived_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4445),
    [aux_sym_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4445),
    [anon_sym_SEMI] = ACTIONS(4447),
    [aux_sym_stop_statement_token1] = ACTIONS(4445),
    [aux_sym_stop_statement_token2] = ACTIONS(4445),
    [aux_sym_subroutine_call_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token2] = ACTIONS(4445),
    [aux_sym_keyword_statement_token3] = ACTIONS(4445),
    [aux_sym_keyword_statement_token4] = ACTIONS(4445),
    [aux_sym_keyword_statement_token6] = ACTIONS(4445),
    [aux_sym_keyword_statement_token7] = ACTIONS(4445),
    [aux_sym_include_statement_token1] = ACTIONS(4445),
    [aux_sym_data_statement_token1] = ACTIONS(4445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4445),
    [aux_sym_end_if_statement_token1] = ACTIONS(4445),
    [aux_sym_elseif_clause_token2] = ACTIONS(4445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token3] = ACTIONS(4445),
    [aux_sym_select_type_statement_token1] = ACTIONS(4445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4445),
    [aux_sym_block_construct_token1] = ACTIONS(4445),
    [aux_sym_associate_statement_token1] = ACTIONS(4445),
    [aux_sym_format_statement_token1] = ACTIONS(4445),
    [aux_sym_print_statement_token1] = ACTIONS(4445),
    [aux_sym_open_statement_token1] = ACTIONS(4445),
    [aux_sym_close_statement_token1] = ACTIONS(4445),
    [aux_sym_inquire_statement_token1] = ACTIONS(4445),
    [aux_sym_enum_statement_token1] = ACTIONS(4445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token2] = ACTIONS(4445),
    [aux_sym_file_position_statement_token3] = ACTIONS(4445),
    [aux_sym_file_position_statement_token4] = ACTIONS(4445),
    [aux_sym_allocate_statement_token1] = ACTIONS(4445),
    [aux_sym_entry_statement_token1] = ACTIONS(4445),
    [aux_sym_logical_expression_token5] = ACTIONS(4447),
    [anon_sym_DOT] = ACTIONS(4445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_boolean_literal_token1] = ACTIONS(4447),
    [aux_sym_boolean_literal_token2] = ACTIONS(4447),
    [aux_sym_null_literal_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token2] = ACTIONS(4445),
    [aux_sym_coarray_statement_token6] = ACTIONS(4445),
    [aux_sym_coarray_statement_token8] = ACTIONS(4445),
    [aux_sym_coarray_statement_token11] = ACTIONS(4445),
    [aux_sym_coarray_statement_token12] = ACTIONS(4445),
    [aux_sym_coarray_statement_token13] = ACTIONS(4445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4445),
    [aux_sym_identifier_token1] = ACTIONS(4445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4447),
    [sym__float_literal] = ACTIONS(4447),
    [sym__boz_literal] = ACTIONS(4447),
    [sym__string_literal] = ACTIONS(4447),
    [sym__string_literal_kind] = ACTIONS(4447),
  },
  [851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4449),
    [aux_sym_preproc_def_token1] = ACTIONS(4449),
    [aux_sym_preproc_if_token1] = ACTIONS(4449),
    [aux_sym_preproc_if_token2] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4449),
    [aux_sym_preproc_else_token1] = ACTIONS(4449),
    [aux_sym_preproc_elif_token1] = ACTIONS(4449),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4449),
    [sym_preproc_directive] = ACTIONS(4449),
    [anon_sym_LPAREN2] = ACTIONS(4449),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token2] = ACTIONS(4449),
    [aux_sym_module_statement_token1] = ACTIONS(4449),
    [aux_sym_submodule_statement_token1] = ACTIONS(4449),
    [aux_sym_interface_statement_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4449),
    [aux_sym_function_statement_token1] = ACTIONS(4449),
    [aux_sym_language_binding_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4449),
    [aux_sym_contains_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token2] = ACTIONS(4449),
    [aux_sym_implicit_statement_token1] = ACTIONS(4449),
    [aux_sym_implicit_statement_token3] = ACTIONS(4449),
    [aux_sym_implicit_statement_token4] = ACTIONS(4449),
    [aux_sym_save_statement_token1] = ACTIONS(4449),
    [aux_sym_private_statement_token1] = ACTIONS(4449),
    [aux_sym_public_statement_token1] = ACTIONS(4449),
    [aux_sym_namelist_statement_token1] = ACTIONS(4449),
    [aux_sym_common_statement_token1] = ACTIONS(4449),
    [aux_sym_import_statement_token1] = ACTIONS(4449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4449),
    [aux_sym_variable_attributes_token1] = ACTIONS(4449),
    [aux_sym_variable_attributes_token2] = ACTIONS(4449),
    [aux_sym_variable_attributes_token3] = ACTIONS(4449),
    [aux_sym_variable_attributes_token4] = ACTIONS(4449),
    [aux_sym_variable_attributes_token5] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4449),
    [aux_sym_derived_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4449),
    [aux_sym_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4449),
    [anon_sym_SEMI] = ACTIONS(4451),
    [aux_sym_stop_statement_token1] = ACTIONS(4449),
    [aux_sym_stop_statement_token2] = ACTIONS(4449),
    [aux_sym_subroutine_call_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token2] = ACTIONS(4449),
    [aux_sym_keyword_statement_token3] = ACTIONS(4449),
    [aux_sym_keyword_statement_token4] = ACTIONS(4449),
    [aux_sym_keyword_statement_token6] = ACTIONS(4449),
    [aux_sym_keyword_statement_token7] = ACTIONS(4449),
    [aux_sym_include_statement_token1] = ACTIONS(4449),
    [aux_sym_data_statement_token1] = ACTIONS(4449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4449),
    [aux_sym_end_if_statement_token1] = ACTIONS(4449),
    [aux_sym_elseif_clause_token2] = ACTIONS(4449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token3] = ACTIONS(4449),
    [aux_sym_select_type_statement_token1] = ACTIONS(4449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4449),
    [aux_sym_block_construct_token1] = ACTIONS(4449),
    [aux_sym_associate_statement_token1] = ACTIONS(4449),
    [aux_sym_format_statement_token1] = ACTIONS(4449),
    [aux_sym_print_statement_token1] = ACTIONS(4449),
    [aux_sym_open_statement_token1] = ACTIONS(4449),
    [aux_sym_close_statement_token1] = ACTIONS(4449),
    [aux_sym_inquire_statement_token1] = ACTIONS(4449),
    [aux_sym_enum_statement_token1] = ACTIONS(4449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token2] = ACTIONS(4449),
    [aux_sym_file_position_statement_token3] = ACTIONS(4449),
    [aux_sym_file_position_statement_token4] = ACTIONS(4449),
    [aux_sym_allocate_statement_token1] = ACTIONS(4449),
    [aux_sym_entry_statement_token1] = ACTIONS(4449),
    [aux_sym_logical_expression_token5] = ACTIONS(4451),
    [anon_sym_DOT] = ACTIONS(4449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [aux_sym_boolean_literal_token1] = ACTIONS(4451),
    [aux_sym_boolean_literal_token2] = ACTIONS(4451),
    [aux_sym_null_literal_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token2] = ACTIONS(4449),
    [aux_sym_coarray_statement_token6] = ACTIONS(4449),
    [aux_sym_coarray_statement_token8] = ACTIONS(4449),
    [aux_sym_coarray_statement_token11] = ACTIONS(4449),
    [aux_sym_coarray_statement_token12] = ACTIONS(4449),
    [aux_sym_coarray_statement_token13] = ACTIONS(4449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4449),
    [aux_sym_identifier_token1] = ACTIONS(4449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4451),
    [sym__float_literal] = ACTIONS(4451),
    [sym__boz_literal] = ACTIONS(4451),
    [sym__string_literal] = ACTIONS(4451),
    [sym__string_literal_kind] = ACTIONS(4451),
  },
  [852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4453),
    [aux_sym_preproc_def_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token2] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4453),
    [sym_preproc_directive] = ACTIONS(4453),
    [anon_sym_LPAREN2] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token2] = ACTIONS(4453),
    [aux_sym_module_statement_token1] = ACTIONS(4453),
    [aux_sym_submodule_statement_token1] = ACTIONS(4453),
    [aux_sym_interface_statement_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4453),
    [aux_sym_function_statement_token1] = ACTIONS(4453),
    [aux_sym_language_binding_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4453),
    [aux_sym_contains_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token2] = ACTIONS(4453),
    [aux_sym_implicit_statement_token1] = ACTIONS(4453),
    [aux_sym_implicit_statement_token3] = ACTIONS(4453),
    [aux_sym_implicit_statement_token4] = ACTIONS(4453),
    [aux_sym_save_statement_token1] = ACTIONS(4453),
    [aux_sym_private_statement_token1] = ACTIONS(4453),
    [aux_sym_public_statement_token1] = ACTIONS(4453),
    [aux_sym_namelist_statement_token1] = ACTIONS(4453),
    [aux_sym_common_statement_token1] = ACTIONS(4453),
    [aux_sym_import_statement_token1] = ACTIONS(4453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4453),
    [aux_sym_variable_attributes_token1] = ACTIONS(4453),
    [aux_sym_variable_attributes_token2] = ACTIONS(4453),
    [aux_sym_variable_attributes_token3] = ACTIONS(4453),
    [aux_sym_variable_attributes_token4] = ACTIONS(4453),
    [aux_sym_variable_attributes_token5] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4453),
    [aux_sym_derived_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4453),
    [aux_sym_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4453),
    [anon_sym_SEMI] = ACTIONS(4455),
    [aux_sym_stop_statement_token1] = ACTIONS(4453),
    [aux_sym_stop_statement_token2] = ACTIONS(4453),
    [aux_sym_subroutine_call_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token2] = ACTIONS(4453),
    [aux_sym_keyword_statement_token3] = ACTIONS(4453),
    [aux_sym_keyword_statement_token4] = ACTIONS(4453),
    [aux_sym_keyword_statement_token6] = ACTIONS(4453),
    [aux_sym_keyword_statement_token7] = ACTIONS(4453),
    [aux_sym_include_statement_token1] = ACTIONS(4453),
    [aux_sym_data_statement_token1] = ACTIONS(4453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4453),
    [aux_sym_end_if_statement_token1] = ACTIONS(4453),
    [aux_sym_elseif_clause_token2] = ACTIONS(4453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token3] = ACTIONS(4453),
    [aux_sym_select_type_statement_token1] = ACTIONS(4453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4453),
    [aux_sym_block_construct_token1] = ACTIONS(4453),
    [aux_sym_associate_statement_token1] = ACTIONS(4453),
    [aux_sym_format_statement_token1] = ACTIONS(4453),
    [aux_sym_print_statement_token1] = ACTIONS(4453),
    [aux_sym_open_statement_token1] = ACTIONS(4453),
    [aux_sym_close_statement_token1] = ACTIONS(4453),
    [aux_sym_inquire_statement_token1] = ACTIONS(4453),
    [aux_sym_enum_statement_token1] = ACTIONS(4453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token2] = ACTIONS(4453),
    [aux_sym_file_position_statement_token3] = ACTIONS(4453),
    [aux_sym_file_position_statement_token4] = ACTIONS(4453),
    [aux_sym_allocate_statement_token1] = ACTIONS(4453),
    [aux_sym_entry_statement_token1] = ACTIONS(4453),
    [aux_sym_logical_expression_token5] = ACTIONS(4455),
    [anon_sym_DOT] = ACTIONS(4453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [aux_sym_boolean_literal_token1] = ACTIONS(4455),
    [aux_sym_boolean_literal_token2] = ACTIONS(4455),
    [aux_sym_null_literal_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token2] = ACTIONS(4453),
    [aux_sym_coarray_statement_token6] = ACTIONS(4453),
    [aux_sym_coarray_statement_token8] = ACTIONS(4453),
    [aux_sym_coarray_statement_token11] = ACTIONS(4453),
    [aux_sym_coarray_statement_token12] = ACTIONS(4453),
    [aux_sym_coarray_statement_token13] = ACTIONS(4453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4453),
    [aux_sym_identifier_token1] = ACTIONS(4453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4455),
    [sym__float_literal] = ACTIONS(4455),
    [sym__boz_literal] = ACTIONS(4455),
    [sym__string_literal] = ACTIONS(4455),
    [sym__string_literal_kind] = ACTIONS(4455),
  },
  [853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4457),
    [aux_sym_preproc_def_token1] = ACTIONS(4457),
    [aux_sym_preproc_if_token1] = ACTIONS(4457),
    [aux_sym_preproc_if_token2] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4457),
    [sym_preproc_directive] = ACTIONS(4457),
    [anon_sym_LPAREN2] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token2] = ACTIONS(4457),
    [aux_sym_module_statement_token1] = ACTIONS(4457),
    [aux_sym_submodule_statement_token1] = ACTIONS(4457),
    [aux_sym_interface_statement_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4457),
    [aux_sym_function_statement_token1] = ACTIONS(4457),
    [aux_sym_language_binding_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4457),
    [aux_sym_contains_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token2] = ACTIONS(4457),
    [aux_sym_implicit_statement_token1] = ACTIONS(4457),
    [aux_sym_implicit_statement_token3] = ACTIONS(4457),
    [aux_sym_implicit_statement_token4] = ACTIONS(4457),
    [aux_sym_save_statement_token1] = ACTIONS(4457),
    [aux_sym_private_statement_token1] = ACTIONS(4457),
    [aux_sym_public_statement_token1] = ACTIONS(4457),
    [aux_sym_namelist_statement_token1] = ACTIONS(4457),
    [aux_sym_common_statement_token1] = ACTIONS(4457),
    [aux_sym_import_statement_token1] = ACTIONS(4457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4457),
    [aux_sym_variable_attributes_token1] = ACTIONS(4457),
    [aux_sym_variable_attributes_token2] = ACTIONS(4457),
    [aux_sym_variable_attributes_token3] = ACTIONS(4457),
    [aux_sym_variable_attributes_token4] = ACTIONS(4457),
    [aux_sym_variable_attributes_token5] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4457),
    [aux_sym_derived_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4457),
    [aux_sym_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4457),
    [anon_sym_SEMI] = ACTIONS(4459),
    [aux_sym_stop_statement_token1] = ACTIONS(4457),
    [aux_sym_stop_statement_token2] = ACTIONS(4457),
    [aux_sym_subroutine_call_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token2] = ACTIONS(4457),
    [aux_sym_keyword_statement_token3] = ACTIONS(4457),
    [aux_sym_keyword_statement_token4] = ACTIONS(4457),
    [aux_sym_keyword_statement_token6] = ACTIONS(4457),
    [aux_sym_keyword_statement_token7] = ACTIONS(4457),
    [aux_sym_include_statement_token1] = ACTIONS(4457),
    [aux_sym_data_statement_token1] = ACTIONS(4457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4457),
    [aux_sym_end_if_statement_token1] = ACTIONS(4457),
    [aux_sym_elseif_clause_token2] = ACTIONS(4457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token3] = ACTIONS(4457),
    [aux_sym_select_type_statement_token1] = ACTIONS(4457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4457),
    [aux_sym_block_construct_token1] = ACTIONS(4457),
    [aux_sym_associate_statement_token1] = ACTIONS(4457),
    [aux_sym_format_statement_token1] = ACTIONS(4457),
    [aux_sym_print_statement_token1] = ACTIONS(4457),
    [aux_sym_open_statement_token1] = ACTIONS(4457),
    [aux_sym_close_statement_token1] = ACTIONS(4457),
    [aux_sym_inquire_statement_token1] = ACTIONS(4457),
    [aux_sym_enum_statement_token1] = ACTIONS(4457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token2] = ACTIONS(4457),
    [aux_sym_file_position_statement_token3] = ACTIONS(4457),
    [aux_sym_file_position_statement_token4] = ACTIONS(4457),
    [aux_sym_allocate_statement_token1] = ACTIONS(4457),
    [aux_sym_entry_statement_token1] = ACTIONS(4457),
    [aux_sym_logical_expression_token5] = ACTIONS(4459),
    [anon_sym_DOT] = ACTIONS(4457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4459),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [aux_sym_boolean_literal_token1] = ACTIONS(4459),
    [aux_sym_boolean_literal_token2] = ACTIONS(4459),
    [aux_sym_null_literal_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token2] = ACTIONS(4457),
    [aux_sym_coarray_statement_token6] = ACTIONS(4457),
    [aux_sym_coarray_statement_token8] = ACTIONS(4457),
    [aux_sym_coarray_statement_token11] = ACTIONS(4457),
    [aux_sym_coarray_statement_token12] = ACTIONS(4457),
    [aux_sym_coarray_statement_token13] = ACTIONS(4457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4457),
    [aux_sym_identifier_token1] = ACTIONS(4457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4459),
    [sym__float_literal] = ACTIONS(4459),
    [sym__boz_literal] = ACTIONS(4459),
    [sym__string_literal] = ACTIONS(4459),
    [sym__string_literal_kind] = ACTIONS(4459),
  },
  [854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4461),
    [aux_sym_preproc_def_token1] = ACTIONS(4461),
    [aux_sym_preproc_if_token1] = ACTIONS(4461),
    [aux_sym_preproc_if_token2] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4461),
    [sym_preproc_directive] = ACTIONS(4461),
    [anon_sym_LPAREN2] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token2] = ACTIONS(4461),
    [aux_sym_module_statement_token1] = ACTIONS(4461),
    [aux_sym_submodule_statement_token1] = ACTIONS(4461),
    [aux_sym_interface_statement_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4461),
    [aux_sym_function_statement_token1] = ACTIONS(4461),
    [aux_sym_language_binding_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4461),
    [aux_sym_contains_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token2] = ACTIONS(4461),
    [aux_sym_implicit_statement_token1] = ACTIONS(4461),
    [aux_sym_implicit_statement_token3] = ACTIONS(4461),
    [aux_sym_implicit_statement_token4] = ACTIONS(4461),
    [aux_sym_save_statement_token1] = ACTIONS(4461),
    [aux_sym_private_statement_token1] = ACTIONS(4461),
    [aux_sym_public_statement_token1] = ACTIONS(4461),
    [aux_sym_namelist_statement_token1] = ACTIONS(4461),
    [aux_sym_common_statement_token1] = ACTIONS(4461),
    [aux_sym_import_statement_token1] = ACTIONS(4461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4461),
    [aux_sym_variable_attributes_token1] = ACTIONS(4461),
    [aux_sym_variable_attributes_token2] = ACTIONS(4461),
    [aux_sym_variable_attributes_token3] = ACTIONS(4461),
    [aux_sym_variable_attributes_token4] = ACTIONS(4461),
    [aux_sym_variable_attributes_token5] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4461),
    [aux_sym_derived_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4461),
    [aux_sym_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4461),
    [anon_sym_SEMI] = ACTIONS(4463),
    [aux_sym_stop_statement_token1] = ACTIONS(4461),
    [aux_sym_stop_statement_token2] = ACTIONS(4461),
    [aux_sym_subroutine_call_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token2] = ACTIONS(4461),
    [aux_sym_keyword_statement_token3] = ACTIONS(4461),
    [aux_sym_keyword_statement_token4] = ACTIONS(4461),
    [aux_sym_keyword_statement_token6] = ACTIONS(4461),
    [aux_sym_keyword_statement_token7] = ACTIONS(4461),
    [aux_sym_include_statement_token1] = ACTIONS(4461),
    [aux_sym_data_statement_token1] = ACTIONS(4461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4461),
    [aux_sym_end_if_statement_token1] = ACTIONS(4461),
    [aux_sym_elseif_clause_token2] = ACTIONS(4461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token3] = ACTIONS(4461),
    [aux_sym_select_type_statement_token1] = ACTIONS(4461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4461),
    [aux_sym_block_construct_token1] = ACTIONS(4461),
    [aux_sym_associate_statement_token1] = ACTIONS(4461),
    [aux_sym_format_statement_token1] = ACTIONS(4461),
    [aux_sym_print_statement_token1] = ACTIONS(4461),
    [aux_sym_open_statement_token1] = ACTIONS(4461),
    [aux_sym_close_statement_token1] = ACTIONS(4461),
    [aux_sym_inquire_statement_token1] = ACTIONS(4461),
    [aux_sym_enum_statement_token1] = ACTIONS(4461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token2] = ACTIONS(4461),
    [aux_sym_file_position_statement_token3] = ACTIONS(4461),
    [aux_sym_file_position_statement_token4] = ACTIONS(4461),
    [aux_sym_allocate_statement_token1] = ACTIONS(4461),
    [aux_sym_entry_statement_token1] = ACTIONS(4461),
    [aux_sym_logical_expression_token5] = ACTIONS(4463),
    [anon_sym_DOT] = ACTIONS(4461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4463),
    [aux_sym_boolean_literal_token1] = ACTIONS(4463),
    [aux_sym_boolean_literal_token2] = ACTIONS(4463),
    [aux_sym_null_literal_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token2] = ACTIONS(4461),
    [aux_sym_coarray_statement_token6] = ACTIONS(4461),
    [aux_sym_coarray_statement_token8] = ACTIONS(4461),
    [aux_sym_coarray_statement_token11] = ACTIONS(4461),
    [aux_sym_coarray_statement_token12] = ACTIONS(4461),
    [aux_sym_coarray_statement_token13] = ACTIONS(4461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4461),
    [aux_sym_identifier_token1] = ACTIONS(4461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4463),
    [sym__float_literal] = ACTIONS(4463),
    [sym__boz_literal] = ACTIONS(4463),
    [sym__string_literal] = ACTIONS(4463),
    [sym__string_literal_kind] = ACTIONS(4463),
  },
  [856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4465),
    [aux_sym_preproc_def_token1] = ACTIONS(4465),
    [aux_sym_preproc_if_token1] = ACTIONS(4465),
    [aux_sym_preproc_if_token2] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4465),
    [sym_preproc_directive] = ACTIONS(4465),
    [anon_sym_LPAREN2] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token2] = ACTIONS(4465),
    [aux_sym_module_statement_token1] = ACTIONS(4465),
    [aux_sym_submodule_statement_token1] = ACTIONS(4465),
    [aux_sym_interface_statement_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4465),
    [aux_sym_function_statement_token1] = ACTIONS(4465),
    [aux_sym_language_binding_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4465),
    [aux_sym_contains_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token2] = ACTIONS(4465),
    [aux_sym_implicit_statement_token1] = ACTIONS(4465),
    [aux_sym_implicit_statement_token3] = ACTIONS(4465),
    [aux_sym_implicit_statement_token4] = ACTIONS(4465),
    [aux_sym_save_statement_token1] = ACTIONS(4465),
    [aux_sym_private_statement_token1] = ACTIONS(4465),
    [aux_sym_public_statement_token1] = ACTIONS(4465),
    [aux_sym_namelist_statement_token1] = ACTIONS(4465),
    [aux_sym_common_statement_token1] = ACTIONS(4465),
    [aux_sym_import_statement_token1] = ACTIONS(4465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4465),
    [aux_sym_variable_attributes_token1] = ACTIONS(4465),
    [aux_sym_variable_attributes_token2] = ACTIONS(4465),
    [aux_sym_variable_attributes_token3] = ACTIONS(4465),
    [aux_sym_variable_attributes_token4] = ACTIONS(4465),
    [aux_sym_variable_attributes_token5] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4465),
    [aux_sym_derived_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4465),
    [aux_sym_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4465),
    [anon_sym_SEMI] = ACTIONS(4467),
    [aux_sym_stop_statement_token1] = ACTIONS(4465),
    [aux_sym_stop_statement_token2] = ACTIONS(4465),
    [aux_sym_subroutine_call_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token2] = ACTIONS(4465),
    [aux_sym_keyword_statement_token3] = ACTIONS(4465),
    [aux_sym_keyword_statement_token4] = ACTIONS(4465),
    [aux_sym_keyword_statement_token6] = ACTIONS(4465),
    [aux_sym_keyword_statement_token7] = ACTIONS(4465),
    [aux_sym_include_statement_token1] = ACTIONS(4465),
    [aux_sym_data_statement_token1] = ACTIONS(4465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4465),
    [aux_sym_end_if_statement_token1] = ACTIONS(4465),
    [aux_sym_elseif_clause_token2] = ACTIONS(4465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token3] = ACTIONS(4465),
    [aux_sym_select_type_statement_token1] = ACTIONS(4465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4465),
    [aux_sym_block_construct_token1] = ACTIONS(4465),
    [aux_sym_associate_statement_token1] = ACTIONS(4465),
    [aux_sym_format_statement_token1] = ACTIONS(4465),
    [aux_sym_print_statement_token1] = ACTIONS(4465),
    [aux_sym_open_statement_token1] = ACTIONS(4465),
    [aux_sym_close_statement_token1] = ACTIONS(4465),
    [aux_sym_inquire_statement_token1] = ACTIONS(4465),
    [aux_sym_enum_statement_token1] = ACTIONS(4465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token2] = ACTIONS(4465),
    [aux_sym_file_position_statement_token3] = ACTIONS(4465),
    [aux_sym_file_position_statement_token4] = ACTIONS(4465),
    [aux_sym_allocate_statement_token1] = ACTIONS(4465),
    [aux_sym_entry_statement_token1] = ACTIONS(4465),
    [aux_sym_logical_expression_token5] = ACTIONS(4467),
    [anon_sym_DOT] = ACTIONS(4465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [aux_sym_boolean_literal_token1] = ACTIONS(4467),
    [aux_sym_boolean_literal_token2] = ACTIONS(4467),
    [aux_sym_null_literal_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token2] = ACTIONS(4465),
    [aux_sym_coarray_statement_token6] = ACTIONS(4465),
    [aux_sym_coarray_statement_token8] = ACTIONS(4465),
    [aux_sym_coarray_statement_token11] = ACTIONS(4465),
    [aux_sym_coarray_statement_token12] = ACTIONS(4465),
    [aux_sym_coarray_statement_token13] = ACTIONS(4465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4465),
    [aux_sym_identifier_token1] = ACTIONS(4465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4467),
    [sym__float_literal] = ACTIONS(4467),
    [sym__boz_literal] = ACTIONS(4467),
    [sym__string_literal] = ACTIONS(4467),
    [sym__string_literal_kind] = ACTIONS(4467),
  },
  [857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4469),
    [aux_sym_preproc_def_token1] = ACTIONS(4469),
    [aux_sym_preproc_if_token1] = ACTIONS(4469),
    [aux_sym_preproc_if_token2] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4469),
    [sym_preproc_directive] = ACTIONS(4469),
    [anon_sym_LPAREN2] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4471),
    [anon_sym_DASH] = ACTIONS(4471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token2] = ACTIONS(4469),
    [aux_sym_module_statement_token1] = ACTIONS(4469),
    [aux_sym_submodule_statement_token1] = ACTIONS(4469),
    [aux_sym_interface_statement_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4469),
    [aux_sym_function_statement_token1] = ACTIONS(4469),
    [aux_sym_language_binding_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4469),
    [aux_sym_contains_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token2] = ACTIONS(4469),
    [aux_sym_implicit_statement_token1] = ACTIONS(4469),
    [aux_sym_implicit_statement_token3] = ACTIONS(4469),
    [aux_sym_implicit_statement_token4] = ACTIONS(4469),
    [aux_sym_save_statement_token1] = ACTIONS(4469),
    [aux_sym_private_statement_token1] = ACTIONS(4469),
    [aux_sym_public_statement_token1] = ACTIONS(4469),
    [aux_sym_namelist_statement_token1] = ACTIONS(4469),
    [aux_sym_common_statement_token1] = ACTIONS(4469),
    [aux_sym_import_statement_token1] = ACTIONS(4469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4469),
    [aux_sym_variable_attributes_token1] = ACTIONS(4469),
    [aux_sym_variable_attributes_token2] = ACTIONS(4469),
    [aux_sym_variable_attributes_token3] = ACTIONS(4469),
    [aux_sym_variable_attributes_token4] = ACTIONS(4469),
    [aux_sym_variable_attributes_token5] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4469),
    [aux_sym_derived_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4469),
    [aux_sym_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4471),
    [aux_sym_stop_statement_token1] = ACTIONS(4469),
    [aux_sym_stop_statement_token2] = ACTIONS(4469),
    [aux_sym_subroutine_call_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token2] = ACTIONS(4469),
    [aux_sym_keyword_statement_token3] = ACTIONS(4469),
    [aux_sym_keyword_statement_token4] = ACTIONS(4469),
    [aux_sym_keyword_statement_token6] = ACTIONS(4469),
    [aux_sym_keyword_statement_token7] = ACTIONS(4469),
    [aux_sym_include_statement_token1] = ACTIONS(4469),
    [aux_sym_data_statement_token1] = ACTIONS(4469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4469),
    [aux_sym_end_if_statement_token1] = ACTIONS(4469),
    [aux_sym_elseif_clause_token2] = ACTIONS(4469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token3] = ACTIONS(4469),
    [aux_sym_select_type_statement_token1] = ACTIONS(4469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4469),
    [aux_sym_block_construct_token1] = ACTIONS(4469),
    [aux_sym_associate_statement_token1] = ACTIONS(4469),
    [aux_sym_format_statement_token1] = ACTIONS(4469),
    [aux_sym_print_statement_token1] = ACTIONS(4469),
    [aux_sym_open_statement_token1] = ACTIONS(4469),
    [aux_sym_close_statement_token1] = ACTIONS(4469),
    [aux_sym_inquire_statement_token1] = ACTIONS(4469),
    [aux_sym_enum_statement_token1] = ACTIONS(4469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token2] = ACTIONS(4469),
    [aux_sym_file_position_statement_token3] = ACTIONS(4469),
    [aux_sym_file_position_statement_token4] = ACTIONS(4469),
    [aux_sym_allocate_statement_token1] = ACTIONS(4469),
    [aux_sym_entry_statement_token1] = ACTIONS(4469),
    [aux_sym_logical_expression_token5] = ACTIONS(4471),
    [anon_sym_DOT] = ACTIONS(4469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4471),
    [anon_sym_LBRACK] = ACTIONS(4471),
    [aux_sym_boolean_literal_token1] = ACTIONS(4471),
    [aux_sym_boolean_literal_token2] = ACTIONS(4471),
    [aux_sym_null_literal_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token2] = ACTIONS(4469),
    [aux_sym_coarray_statement_token6] = ACTIONS(4469),
    [aux_sym_coarray_statement_token8] = ACTIONS(4469),
    [aux_sym_coarray_statement_token11] = ACTIONS(4469),
    [aux_sym_coarray_statement_token12] = ACTIONS(4469),
    [aux_sym_coarray_statement_token13] = ACTIONS(4469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4469),
    [aux_sym_identifier_token1] = ACTIONS(4469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4471),
    [sym__float_literal] = ACTIONS(4471),
    [sym__boz_literal] = ACTIONS(4471),
    [sym__string_literal] = ACTIONS(4471),
    [sym__string_literal_kind] = ACTIONS(4471),
  },
  [858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4473),
    [aux_sym_preproc_def_token1] = ACTIONS(4473),
    [aux_sym_preproc_if_token1] = ACTIONS(4473),
    [aux_sym_preproc_if_token2] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4473),
    [aux_sym_preproc_else_token1] = ACTIONS(4473),
    [aux_sym_preproc_elif_token1] = ACTIONS(4473),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4473),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4473),
    [sym_preproc_directive] = ACTIONS(4473),
    [anon_sym_LPAREN2] = ACTIONS(4473),
    [anon_sym_PLUS] = ACTIONS(4475),
    [anon_sym_DASH] = ACTIONS(4475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token2] = ACTIONS(4473),
    [aux_sym_module_statement_token1] = ACTIONS(4473),
    [aux_sym_submodule_statement_token1] = ACTIONS(4473),
    [aux_sym_interface_statement_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4473),
    [aux_sym_function_statement_token1] = ACTIONS(4473),
    [aux_sym_language_binding_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4473),
    [aux_sym_contains_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token2] = ACTIONS(4473),
    [aux_sym_implicit_statement_token1] = ACTIONS(4473),
    [aux_sym_implicit_statement_token3] = ACTIONS(4473),
    [aux_sym_implicit_statement_token4] = ACTIONS(4473),
    [aux_sym_save_statement_token1] = ACTIONS(4473),
    [aux_sym_private_statement_token1] = ACTIONS(4473),
    [aux_sym_public_statement_token1] = ACTIONS(4473),
    [aux_sym_namelist_statement_token1] = ACTIONS(4473),
    [aux_sym_common_statement_token1] = ACTIONS(4473),
    [aux_sym_import_statement_token1] = ACTIONS(4473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4473),
    [aux_sym_variable_attributes_token1] = ACTIONS(4473),
    [aux_sym_variable_attributes_token2] = ACTIONS(4473),
    [aux_sym_variable_attributes_token3] = ACTIONS(4473),
    [aux_sym_variable_attributes_token4] = ACTIONS(4473),
    [aux_sym_variable_attributes_token5] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4473),
    [aux_sym_derived_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4473),
    [aux_sym_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [aux_sym_stop_statement_token1] = ACTIONS(4473),
    [aux_sym_stop_statement_token2] = ACTIONS(4473),
    [aux_sym_subroutine_call_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token2] = ACTIONS(4473),
    [aux_sym_keyword_statement_token3] = ACTIONS(4473),
    [aux_sym_keyword_statement_token4] = ACTIONS(4473),
    [aux_sym_keyword_statement_token6] = ACTIONS(4473),
    [aux_sym_keyword_statement_token7] = ACTIONS(4473),
    [aux_sym_include_statement_token1] = ACTIONS(4473),
    [aux_sym_data_statement_token1] = ACTIONS(4473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4473),
    [aux_sym_end_if_statement_token1] = ACTIONS(4473),
    [aux_sym_elseif_clause_token2] = ACTIONS(4473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token3] = ACTIONS(4473),
    [aux_sym_select_type_statement_token1] = ACTIONS(4473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4473),
    [aux_sym_block_construct_token1] = ACTIONS(4473),
    [aux_sym_associate_statement_token1] = ACTIONS(4473),
    [aux_sym_format_statement_token1] = ACTIONS(4473),
    [aux_sym_print_statement_token1] = ACTIONS(4473),
    [aux_sym_open_statement_token1] = ACTIONS(4473),
    [aux_sym_close_statement_token1] = ACTIONS(4473),
    [aux_sym_inquire_statement_token1] = ACTIONS(4473),
    [aux_sym_enum_statement_token1] = ACTIONS(4473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token2] = ACTIONS(4473),
    [aux_sym_file_position_statement_token3] = ACTIONS(4473),
    [aux_sym_file_position_statement_token4] = ACTIONS(4473),
    [aux_sym_allocate_statement_token1] = ACTIONS(4473),
    [aux_sym_entry_statement_token1] = ACTIONS(4473),
    [aux_sym_logical_expression_token5] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [aux_sym_boolean_literal_token1] = ACTIONS(4475),
    [aux_sym_boolean_literal_token2] = ACTIONS(4475),
    [aux_sym_null_literal_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token2] = ACTIONS(4473),
    [aux_sym_coarray_statement_token6] = ACTIONS(4473),
    [aux_sym_coarray_statement_token8] = ACTIONS(4473),
    [aux_sym_coarray_statement_token11] = ACTIONS(4473),
    [aux_sym_coarray_statement_token12] = ACTIONS(4473),
    [aux_sym_coarray_statement_token13] = ACTIONS(4473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4473),
    [aux_sym_identifier_token1] = ACTIONS(4473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4475),
    [sym__float_literal] = ACTIONS(4475),
    [sym__boz_literal] = ACTIONS(4475),
    [sym__string_literal] = ACTIONS(4475),
    [sym__string_literal_kind] = ACTIONS(4475),
  },
  [859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4477),
    [aux_sym_preproc_def_token1] = ACTIONS(4477),
    [aux_sym_preproc_if_token1] = ACTIONS(4477),
    [aux_sym_preproc_if_token2] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4477),
    [aux_sym_preproc_else_token1] = ACTIONS(4477),
    [aux_sym_preproc_elif_token1] = ACTIONS(4477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4477),
    [sym_preproc_directive] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token2] = ACTIONS(4477),
    [aux_sym_module_statement_token1] = ACTIONS(4477),
    [aux_sym_submodule_statement_token1] = ACTIONS(4477),
    [aux_sym_interface_statement_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4477),
    [aux_sym_function_statement_token1] = ACTIONS(4477),
    [aux_sym_language_binding_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4477),
    [aux_sym_contains_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token2] = ACTIONS(4477),
    [aux_sym_implicit_statement_token1] = ACTIONS(4477),
    [aux_sym_implicit_statement_token3] = ACTIONS(4477),
    [aux_sym_implicit_statement_token4] = ACTIONS(4477),
    [aux_sym_save_statement_token1] = ACTIONS(4477),
    [aux_sym_private_statement_token1] = ACTIONS(4477),
    [aux_sym_public_statement_token1] = ACTIONS(4477),
    [aux_sym_namelist_statement_token1] = ACTIONS(4477),
    [aux_sym_common_statement_token1] = ACTIONS(4477),
    [aux_sym_import_statement_token1] = ACTIONS(4477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4477),
    [aux_sym_variable_attributes_token1] = ACTIONS(4477),
    [aux_sym_variable_attributes_token2] = ACTIONS(4477),
    [aux_sym_variable_attributes_token3] = ACTIONS(4477),
    [aux_sym_variable_attributes_token4] = ACTIONS(4477),
    [aux_sym_variable_attributes_token5] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4477),
    [aux_sym_derived_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4477),
    [aux_sym_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [aux_sym_stop_statement_token1] = ACTIONS(4477),
    [aux_sym_stop_statement_token2] = ACTIONS(4477),
    [aux_sym_subroutine_call_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token2] = ACTIONS(4477),
    [aux_sym_keyword_statement_token3] = ACTIONS(4477),
    [aux_sym_keyword_statement_token4] = ACTIONS(4477),
    [aux_sym_keyword_statement_token6] = ACTIONS(4477),
    [aux_sym_keyword_statement_token7] = ACTIONS(4477),
    [aux_sym_include_statement_token1] = ACTIONS(4477),
    [aux_sym_data_statement_token1] = ACTIONS(4477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4477),
    [aux_sym_end_if_statement_token1] = ACTIONS(4477),
    [aux_sym_elseif_clause_token2] = ACTIONS(4477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token3] = ACTIONS(4477),
    [aux_sym_select_type_statement_token1] = ACTIONS(4477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4477),
    [aux_sym_block_construct_token1] = ACTIONS(4477),
    [aux_sym_associate_statement_token1] = ACTIONS(4477),
    [aux_sym_format_statement_token1] = ACTIONS(4477),
    [aux_sym_print_statement_token1] = ACTIONS(4477),
    [aux_sym_open_statement_token1] = ACTIONS(4477),
    [aux_sym_close_statement_token1] = ACTIONS(4477),
    [aux_sym_inquire_statement_token1] = ACTIONS(4477),
    [aux_sym_enum_statement_token1] = ACTIONS(4477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token2] = ACTIONS(4477),
    [aux_sym_file_position_statement_token3] = ACTIONS(4477),
    [aux_sym_file_position_statement_token4] = ACTIONS(4477),
    [aux_sym_allocate_statement_token1] = ACTIONS(4477),
    [aux_sym_entry_statement_token1] = ACTIONS(4477),
    [aux_sym_logical_expression_token5] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [aux_sym_boolean_literal_token1] = ACTIONS(4479),
    [aux_sym_boolean_literal_token2] = ACTIONS(4479),
    [aux_sym_null_literal_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token2] = ACTIONS(4477),
    [aux_sym_coarray_statement_token6] = ACTIONS(4477),
    [aux_sym_coarray_statement_token8] = ACTIONS(4477),
    [aux_sym_coarray_statement_token11] = ACTIONS(4477),
    [aux_sym_coarray_statement_token12] = ACTIONS(4477),
    [aux_sym_coarray_statement_token13] = ACTIONS(4477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4477),
    [aux_sym_identifier_token1] = ACTIONS(4477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4479),
    [sym__float_literal] = ACTIONS(4479),
    [sym__boz_literal] = ACTIONS(4479),
    [sym__string_literal] = ACTIONS(4479),
    [sym__string_literal_kind] = ACTIONS(4479),
  },
  [860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4481),
    [aux_sym_preproc_def_token1] = ACTIONS(4481),
    [aux_sym_preproc_if_token1] = ACTIONS(4481),
    [aux_sym_preproc_if_token2] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4481),
    [aux_sym_preproc_else_token1] = ACTIONS(4481),
    [aux_sym_preproc_elif_token1] = ACTIONS(4481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4481),
    [sym_preproc_directive] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(4481),
    [anon_sym_PLUS] = ACTIONS(4483),
    [anon_sym_DASH] = ACTIONS(4483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token2] = ACTIONS(4481),
    [aux_sym_module_statement_token1] = ACTIONS(4481),
    [aux_sym_submodule_statement_token1] = ACTIONS(4481),
    [aux_sym_interface_statement_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4481),
    [aux_sym_function_statement_token1] = ACTIONS(4481),
    [aux_sym_language_binding_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4481),
    [aux_sym_contains_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token2] = ACTIONS(4481),
    [aux_sym_implicit_statement_token1] = ACTIONS(4481),
    [aux_sym_implicit_statement_token3] = ACTIONS(4481),
    [aux_sym_implicit_statement_token4] = ACTIONS(4481),
    [aux_sym_save_statement_token1] = ACTIONS(4481),
    [aux_sym_private_statement_token1] = ACTIONS(4481),
    [aux_sym_public_statement_token1] = ACTIONS(4481),
    [aux_sym_namelist_statement_token1] = ACTIONS(4481),
    [aux_sym_common_statement_token1] = ACTIONS(4481),
    [aux_sym_import_statement_token1] = ACTIONS(4481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4481),
    [aux_sym_variable_attributes_token1] = ACTIONS(4481),
    [aux_sym_variable_attributes_token2] = ACTIONS(4481),
    [aux_sym_variable_attributes_token3] = ACTIONS(4481),
    [aux_sym_variable_attributes_token4] = ACTIONS(4481),
    [aux_sym_variable_attributes_token5] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4481),
    [aux_sym_derived_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4481),
    [aux_sym_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4481),
    [anon_sym_SEMI] = ACTIONS(4483),
    [aux_sym_stop_statement_token1] = ACTIONS(4481),
    [aux_sym_stop_statement_token2] = ACTIONS(4481),
    [aux_sym_subroutine_call_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token2] = ACTIONS(4481),
    [aux_sym_keyword_statement_token3] = ACTIONS(4481),
    [aux_sym_keyword_statement_token4] = ACTIONS(4481),
    [aux_sym_keyword_statement_token6] = ACTIONS(4481),
    [aux_sym_keyword_statement_token7] = ACTIONS(4481),
    [aux_sym_include_statement_token1] = ACTIONS(4481),
    [aux_sym_data_statement_token1] = ACTIONS(4481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4481),
    [aux_sym_end_if_statement_token1] = ACTIONS(4481),
    [aux_sym_elseif_clause_token2] = ACTIONS(4481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token3] = ACTIONS(4481),
    [aux_sym_select_type_statement_token1] = ACTIONS(4481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4481),
    [aux_sym_block_construct_token1] = ACTIONS(4481),
    [aux_sym_associate_statement_token1] = ACTIONS(4481),
    [aux_sym_format_statement_token1] = ACTIONS(4481),
    [aux_sym_print_statement_token1] = ACTIONS(4481),
    [aux_sym_open_statement_token1] = ACTIONS(4481),
    [aux_sym_close_statement_token1] = ACTIONS(4481),
    [aux_sym_inquire_statement_token1] = ACTIONS(4481),
    [aux_sym_enum_statement_token1] = ACTIONS(4481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token2] = ACTIONS(4481),
    [aux_sym_file_position_statement_token3] = ACTIONS(4481),
    [aux_sym_file_position_statement_token4] = ACTIONS(4481),
    [aux_sym_allocate_statement_token1] = ACTIONS(4481),
    [aux_sym_entry_statement_token1] = ACTIONS(4481),
    [aux_sym_logical_expression_token5] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [aux_sym_boolean_literal_token1] = ACTIONS(4483),
    [aux_sym_boolean_literal_token2] = ACTIONS(4483),
    [aux_sym_null_literal_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token2] = ACTIONS(4481),
    [aux_sym_coarray_statement_token6] = ACTIONS(4481),
    [aux_sym_coarray_statement_token8] = ACTIONS(4481),
    [aux_sym_coarray_statement_token11] = ACTIONS(4481),
    [aux_sym_coarray_statement_token12] = ACTIONS(4481),
    [aux_sym_coarray_statement_token13] = ACTIONS(4481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4481),
    [aux_sym_identifier_token1] = ACTIONS(4481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4483),
    [sym__float_literal] = ACTIONS(4483),
    [sym__boz_literal] = ACTIONS(4483),
    [sym__string_literal] = ACTIONS(4483),
    [sym__string_literal_kind] = ACTIONS(4483),
  },
  [861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4485),
    [aux_sym_preproc_def_token1] = ACTIONS(4485),
    [aux_sym_preproc_if_token1] = ACTIONS(4485),
    [aux_sym_preproc_if_token2] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4485),
    [aux_sym_preproc_else_token1] = ACTIONS(4485),
    [aux_sym_preproc_elif_token1] = ACTIONS(4485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4485),
    [sym_preproc_directive] = ACTIONS(4485),
    [anon_sym_LPAREN2] = ACTIONS(4485),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token2] = ACTIONS(4485),
    [aux_sym_module_statement_token1] = ACTIONS(4485),
    [aux_sym_submodule_statement_token1] = ACTIONS(4485),
    [aux_sym_interface_statement_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4485),
    [aux_sym_function_statement_token1] = ACTIONS(4485),
    [aux_sym_language_binding_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4485),
    [aux_sym_contains_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token2] = ACTIONS(4485),
    [aux_sym_implicit_statement_token1] = ACTIONS(4485),
    [aux_sym_implicit_statement_token3] = ACTIONS(4485),
    [aux_sym_implicit_statement_token4] = ACTIONS(4485),
    [aux_sym_save_statement_token1] = ACTIONS(4485),
    [aux_sym_private_statement_token1] = ACTIONS(4485),
    [aux_sym_public_statement_token1] = ACTIONS(4485),
    [aux_sym_namelist_statement_token1] = ACTIONS(4485),
    [aux_sym_common_statement_token1] = ACTIONS(4485),
    [aux_sym_import_statement_token1] = ACTIONS(4485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4485),
    [aux_sym_variable_attributes_token1] = ACTIONS(4485),
    [aux_sym_variable_attributes_token2] = ACTIONS(4485),
    [aux_sym_variable_attributes_token3] = ACTIONS(4485),
    [aux_sym_variable_attributes_token4] = ACTIONS(4485),
    [aux_sym_variable_attributes_token5] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4485),
    [aux_sym_derived_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4485),
    [aux_sym_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4485),
    [anon_sym_SEMI] = ACTIONS(4487),
    [aux_sym_stop_statement_token1] = ACTIONS(4485),
    [aux_sym_stop_statement_token2] = ACTIONS(4485),
    [aux_sym_subroutine_call_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token2] = ACTIONS(4485),
    [aux_sym_keyword_statement_token3] = ACTIONS(4485),
    [aux_sym_keyword_statement_token4] = ACTIONS(4485),
    [aux_sym_keyword_statement_token6] = ACTIONS(4485),
    [aux_sym_keyword_statement_token7] = ACTIONS(4485),
    [aux_sym_include_statement_token1] = ACTIONS(4485),
    [aux_sym_data_statement_token1] = ACTIONS(4485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4485),
    [aux_sym_end_if_statement_token1] = ACTIONS(4485),
    [aux_sym_elseif_clause_token2] = ACTIONS(4485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token3] = ACTIONS(4485),
    [aux_sym_select_type_statement_token1] = ACTIONS(4485),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4485),
    [aux_sym_block_construct_token1] = ACTIONS(4485),
    [aux_sym_associate_statement_token1] = ACTIONS(4485),
    [aux_sym_format_statement_token1] = ACTIONS(4485),
    [aux_sym_print_statement_token1] = ACTIONS(4485),
    [aux_sym_open_statement_token1] = ACTIONS(4485),
    [aux_sym_close_statement_token1] = ACTIONS(4485),
    [aux_sym_inquire_statement_token1] = ACTIONS(4485),
    [aux_sym_enum_statement_token1] = ACTIONS(4485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token2] = ACTIONS(4485),
    [aux_sym_file_position_statement_token3] = ACTIONS(4485),
    [aux_sym_file_position_statement_token4] = ACTIONS(4485),
    [aux_sym_allocate_statement_token1] = ACTIONS(4485),
    [aux_sym_entry_statement_token1] = ACTIONS(4485),
    [aux_sym_logical_expression_token5] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [aux_sym_boolean_literal_token1] = ACTIONS(4487),
    [aux_sym_boolean_literal_token2] = ACTIONS(4487),
    [aux_sym_null_literal_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token2] = ACTIONS(4485),
    [aux_sym_coarray_statement_token6] = ACTIONS(4485),
    [aux_sym_coarray_statement_token8] = ACTIONS(4485),
    [aux_sym_coarray_statement_token11] = ACTIONS(4485),
    [aux_sym_coarray_statement_token12] = ACTIONS(4485),
    [aux_sym_coarray_statement_token13] = ACTIONS(4485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4485),
    [aux_sym_identifier_token1] = ACTIONS(4485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4487),
    [sym__float_literal] = ACTIONS(4487),
    [sym__boz_literal] = ACTIONS(4487),
    [sym__string_literal] = ACTIONS(4487),
    [sym__string_literal_kind] = ACTIONS(4487),
  },
  [862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4489),
    [aux_sym_preproc_def_token1] = ACTIONS(4489),
    [aux_sym_preproc_if_token1] = ACTIONS(4489),
    [aux_sym_preproc_if_token2] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4489),
    [aux_sym_preproc_else_token1] = ACTIONS(4489),
    [aux_sym_preproc_elif_token1] = ACTIONS(4489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4489),
    [sym_preproc_directive] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token2] = ACTIONS(4489),
    [aux_sym_module_statement_token1] = ACTIONS(4489),
    [aux_sym_submodule_statement_token1] = ACTIONS(4489),
    [aux_sym_interface_statement_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4489),
    [aux_sym_function_statement_token1] = ACTIONS(4489),
    [aux_sym_language_binding_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4489),
    [aux_sym_contains_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token2] = ACTIONS(4489),
    [aux_sym_implicit_statement_token1] = ACTIONS(4489),
    [aux_sym_implicit_statement_token3] = ACTIONS(4489),
    [aux_sym_implicit_statement_token4] = ACTIONS(4489),
    [aux_sym_save_statement_token1] = ACTIONS(4489),
    [aux_sym_private_statement_token1] = ACTIONS(4489),
    [aux_sym_public_statement_token1] = ACTIONS(4489),
    [aux_sym_namelist_statement_token1] = ACTIONS(4489),
    [aux_sym_common_statement_token1] = ACTIONS(4489),
    [aux_sym_import_statement_token1] = ACTIONS(4489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4489),
    [aux_sym_variable_attributes_token1] = ACTIONS(4489),
    [aux_sym_variable_attributes_token2] = ACTIONS(4489),
    [aux_sym_variable_attributes_token3] = ACTIONS(4489),
    [aux_sym_variable_attributes_token4] = ACTIONS(4489),
    [aux_sym_variable_attributes_token5] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4489),
    [aux_sym_derived_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4489),
    [aux_sym_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4489),
    [anon_sym_SEMI] = ACTIONS(4491),
    [aux_sym_stop_statement_token1] = ACTIONS(4489),
    [aux_sym_stop_statement_token2] = ACTIONS(4489),
    [aux_sym_subroutine_call_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token2] = ACTIONS(4489),
    [aux_sym_keyword_statement_token3] = ACTIONS(4489),
    [aux_sym_keyword_statement_token4] = ACTIONS(4489),
    [aux_sym_keyword_statement_token6] = ACTIONS(4489),
    [aux_sym_keyword_statement_token7] = ACTIONS(4489),
    [aux_sym_include_statement_token1] = ACTIONS(4489),
    [aux_sym_data_statement_token1] = ACTIONS(4489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4489),
    [aux_sym_end_if_statement_token1] = ACTIONS(4489),
    [aux_sym_elseif_clause_token2] = ACTIONS(4489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token3] = ACTIONS(4489),
    [aux_sym_select_type_statement_token1] = ACTIONS(4489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4489),
    [aux_sym_block_construct_token1] = ACTIONS(4489),
    [aux_sym_associate_statement_token1] = ACTIONS(4489),
    [aux_sym_format_statement_token1] = ACTIONS(4489),
    [aux_sym_print_statement_token1] = ACTIONS(4489),
    [aux_sym_open_statement_token1] = ACTIONS(4489),
    [aux_sym_close_statement_token1] = ACTIONS(4489),
    [aux_sym_inquire_statement_token1] = ACTIONS(4489),
    [aux_sym_enum_statement_token1] = ACTIONS(4489),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token2] = ACTIONS(4489),
    [aux_sym_file_position_statement_token3] = ACTIONS(4489),
    [aux_sym_file_position_statement_token4] = ACTIONS(4489),
    [aux_sym_allocate_statement_token1] = ACTIONS(4489),
    [aux_sym_entry_statement_token1] = ACTIONS(4489),
    [aux_sym_logical_expression_token5] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [aux_sym_boolean_literal_token1] = ACTIONS(4491),
    [aux_sym_boolean_literal_token2] = ACTIONS(4491),
    [aux_sym_null_literal_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token2] = ACTIONS(4489),
    [aux_sym_coarray_statement_token6] = ACTIONS(4489),
    [aux_sym_coarray_statement_token8] = ACTIONS(4489),
    [aux_sym_coarray_statement_token11] = ACTIONS(4489),
    [aux_sym_coarray_statement_token12] = ACTIONS(4489),
    [aux_sym_coarray_statement_token13] = ACTIONS(4489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4489),
    [aux_sym_identifier_token1] = ACTIONS(4489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4491),
    [sym__float_literal] = ACTIONS(4491),
    [sym__boz_literal] = ACTIONS(4491),
    [sym__string_literal] = ACTIONS(4491),
    [sym__string_literal_kind] = ACTIONS(4491),
  },
  [863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4493),
    [aux_sym_preproc_def_token1] = ACTIONS(4493),
    [aux_sym_preproc_if_token1] = ACTIONS(4493),
    [aux_sym_preproc_if_token2] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4493),
    [aux_sym_preproc_else_token1] = ACTIONS(4493),
    [aux_sym_preproc_elif_token1] = ACTIONS(4493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4493),
    [sym_preproc_directive] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token2] = ACTIONS(4493),
    [aux_sym_module_statement_token1] = ACTIONS(4493),
    [aux_sym_submodule_statement_token1] = ACTIONS(4493),
    [aux_sym_interface_statement_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4493),
    [aux_sym_function_statement_token1] = ACTIONS(4493),
    [aux_sym_language_binding_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4493),
    [aux_sym_contains_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token2] = ACTIONS(4493),
    [aux_sym_implicit_statement_token1] = ACTIONS(4493),
    [aux_sym_implicit_statement_token3] = ACTIONS(4493),
    [aux_sym_implicit_statement_token4] = ACTIONS(4493),
    [aux_sym_save_statement_token1] = ACTIONS(4493),
    [aux_sym_private_statement_token1] = ACTIONS(4493),
    [aux_sym_public_statement_token1] = ACTIONS(4493),
    [aux_sym_namelist_statement_token1] = ACTIONS(4493),
    [aux_sym_common_statement_token1] = ACTIONS(4493),
    [aux_sym_import_statement_token1] = ACTIONS(4493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4493),
    [aux_sym_variable_attributes_token1] = ACTIONS(4493),
    [aux_sym_variable_attributes_token2] = ACTIONS(4493),
    [aux_sym_variable_attributes_token3] = ACTIONS(4493),
    [aux_sym_variable_attributes_token4] = ACTIONS(4493),
    [aux_sym_variable_attributes_token5] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4493),
    [aux_sym_derived_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4493),
    [aux_sym_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4495),
    [aux_sym_stop_statement_token1] = ACTIONS(4493),
    [aux_sym_stop_statement_token2] = ACTIONS(4493),
    [aux_sym_subroutine_call_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token2] = ACTIONS(4493),
    [aux_sym_keyword_statement_token3] = ACTIONS(4493),
    [aux_sym_keyword_statement_token4] = ACTIONS(4493),
    [aux_sym_keyword_statement_token6] = ACTIONS(4493),
    [aux_sym_keyword_statement_token7] = ACTIONS(4493),
    [aux_sym_include_statement_token1] = ACTIONS(4493),
    [aux_sym_data_statement_token1] = ACTIONS(4493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4493),
    [aux_sym_end_if_statement_token1] = ACTIONS(4493),
    [aux_sym_elseif_clause_token2] = ACTIONS(4493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token3] = ACTIONS(4493),
    [aux_sym_select_type_statement_token1] = ACTIONS(4493),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4493),
    [aux_sym_block_construct_token1] = ACTIONS(4493),
    [aux_sym_associate_statement_token1] = ACTIONS(4493),
    [aux_sym_format_statement_token1] = ACTIONS(4493),
    [aux_sym_print_statement_token1] = ACTIONS(4493),
    [aux_sym_open_statement_token1] = ACTIONS(4493),
    [aux_sym_close_statement_token1] = ACTIONS(4493),
    [aux_sym_inquire_statement_token1] = ACTIONS(4493),
    [aux_sym_enum_statement_token1] = ACTIONS(4493),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token2] = ACTIONS(4493),
    [aux_sym_file_position_statement_token3] = ACTIONS(4493),
    [aux_sym_file_position_statement_token4] = ACTIONS(4493),
    [aux_sym_allocate_statement_token1] = ACTIONS(4493),
    [aux_sym_entry_statement_token1] = ACTIONS(4493),
    [aux_sym_logical_expression_token5] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [aux_sym_boolean_literal_token1] = ACTIONS(4495),
    [aux_sym_boolean_literal_token2] = ACTIONS(4495),
    [aux_sym_null_literal_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token2] = ACTIONS(4493),
    [aux_sym_coarray_statement_token6] = ACTIONS(4493),
    [aux_sym_coarray_statement_token8] = ACTIONS(4493),
    [aux_sym_coarray_statement_token11] = ACTIONS(4493),
    [aux_sym_coarray_statement_token12] = ACTIONS(4493),
    [aux_sym_coarray_statement_token13] = ACTIONS(4493),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4493),
    [aux_sym_identifier_token1] = ACTIONS(4493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4495),
    [sym__float_literal] = ACTIONS(4495),
    [sym__boz_literal] = ACTIONS(4495),
    [sym__string_literal] = ACTIONS(4495),
    [sym__string_literal_kind] = ACTIONS(4495),
  },
  [864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4503),
    [aux_sym_preproc_def_token1] = ACTIONS(4503),
    [aux_sym_preproc_if_token1] = ACTIONS(4503),
    [aux_sym_preproc_if_token2] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4503),
    [aux_sym_preproc_else_token1] = ACTIONS(4503),
    [aux_sym_preproc_elif_token1] = ACTIONS(4503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4503),
    [sym_preproc_directive] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4505),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token2] = ACTIONS(4503),
    [aux_sym_module_statement_token1] = ACTIONS(4503),
    [aux_sym_submodule_statement_token1] = ACTIONS(4503),
    [aux_sym_interface_statement_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4503),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4503),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4503),
    [aux_sym_function_statement_token1] = ACTIONS(4503),
    [aux_sym_language_binding_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4503),
    [aux_sym_contains_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token2] = ACTIONS(4503),
    [aux_sym_implicit_statement_token1] = ACTIONS(4503),
    [aux_sym_implicit_statement_token3] = ACTIONS(4503),
    [aux_sym_implicit_statement_token4] = ACTIONS(4503),
    [aux_sym_save_statement_token1] = ACTIONS(4503),
    [aux_sym_private_statement_token1] = ACTIONS(4503),
    [aux_sym_public_statement_token1] = ACTIONS(4503),
    [aux_sym_namelist_statement_token1] = ACTIONS(4503),
    [aux_sym_common_statement_token1] = ACTIONS(4503),
    [aux_sym_import_statement_token1] = ACTIONS(4503),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4503),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4503),
    [aux_sym_variable_attributes_token1] = ACTIONS(4503),
    [aux_sym_variable_attributes_token2] = ACTIONS(4503),
    [aux_sym_variable_attributes_token3] = ACTIONS(4503),
    [aux_sym_variable_attributes_token4] = ACTIONS(4503),
    [aux_sym_variable_attributes_token5] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4503),
    [aux_sym_derived_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4503),
    [aux_sym_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4503),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4505),
    [aux_sym_stop_statement_token1] = ACTIONS(4503),
    [aux_sym_stop_statement_token2] = ACTIONS(4503),
    [aux_sym_subroutine_call_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token2] = ACTIONS(4503),
    [aux_sym_keyword_statement_token3] = ACTIONS(4503),
    [aux_sym_keyword_statement_token4] = ACTIONS(4503),
    [aux_sym_keyword_statement_token6] = ACTIONS(4503),
    [aux_sym_keyword_statement_token7] = ACTIONS(4503),
    [aux_sym_include_statement_token1] = ACTIONS(4503),
    [aux_sym_data_statement_token1] = ACTIONS(4503),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4503),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4503),
    [aux_sym_end_if_statement_token1] = ACTIONS(4503),
    [aux_sym_elseif_clause_token2] = ACTIONS(4503),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4503),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token3] = ACTIONS(4503),
    [aux_sym_select_type_statement_token1] = ACTIONS(4503),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4503),
    [aux_sym_block_construct_token1] = ACTIONS(4503),
    [aux_sym_associate_statement_token1] = ACTIONS(4503),
    [aux_sym_format_statement_token1] = ACTIONS(4503),
    [aux_sym_print_statement_token1] = ACTIONS(4503),
    [aux_sym_open_statement_token1] = ACTIONS(4503),
    [aux_sym_close_statement_token1] = ACTIONS(4503),
    [aux_sym_inquire_statement_token1] = ACTIONS(4503),
    [aux_sym_enum_statement_token1] = ACTIONS(4503),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token2] = ACTIONS(4503),
    [aux_sym_file_position_statement_token3] = ACTIONS(4503),
    [aux_sym_file_position_statement_token4] = ACTIONS(4503),
    [aux_sym_allocate_statement_token1] = ACTIONS(4503),
    [aux_sym_entry_statement_token1] = ACTIONS(4503),
    [aux_sym_logical_expression_token5] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [aux_sym_boolean_literal_token1] = ACTIONS(4505),
    [aux_sym_boolean_literal_token2] = ACTIONS(4505),
    [aux_sym_null_literal_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token2] = ACTIONS(4503),
    [aux_sym_coarray_statement_token6] = ACTIONS(4503),
    [aux_sym_coarray_statement_token8] = ACTIONS(4503),
    [aux_sym_coarray_statement_token11] = ACTIONS(4503),
    [aux_sym_coarray_statement_token12] = ACTIONS(4503),
    [aux_sym_coarray_statement_token13] = ACTIONS(4503),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4503),
    [aux_sym_identifier_token1] = ACTIONS(4503),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4505),
    [sym__float_literal] = ACTIONS(4505),
    [sym__boz_literal] = ACTIONS(4505),
    [sym__string_literal] = ACTIONS(4505),
    [sym__string_literal_kind] = ACTIONS(4505),
  },
  [867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [aux_sym_preproc_else_token1] = ACTIONS(4361),
    [aux_sym_preproc_elif_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4507),
    [aux_sym_preproc_def_token1] = ACTIONS(4507),
    [aux_sym_preproc_if_token1] = ACTIONS(4507),
    [aux_sym_preproc_if_token2] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4507),
    [aux_sym_preproc_else_token1] = ACTIONS(4507),
    [aux_sym_preproc_elif_token1] = ACTIONS(4507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4507),
    [sym_preproc_directive] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_PLUS] = ACTIONS(4509),
    [anon_sym_DASH] = ACTIONS(4509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token2] = ACTIONS(4507),
    [aux_sym_module_statement_token1] = ACTIONS(4507),
    [aux_sym_submodule_statement_token1] = ACTIONS(4507),
    [aux_sym_interface_statement_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4507),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4507),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4507),
    [aux_sym_function_statement_token1] = ACTIONS(4507),
    [aux_sym_language_binding_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4507),
    [aux_sym_contains_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token2] = ACTIONS(4507),
    [aux_sym_implicit_statement_token1] = ACTIONS(4507),
    [aux_sym_implicit_statement_token3] = ACTIONS(4507),
    [aux_sym_implicit_statement_token4] = ACTIONS(4507),
    [aux_sym_save_statement_token1] = ACTIONS(4507),
    [aux_sym_private_statement_token1] = ACTIONS(4507),
    [aux_sym_public_statement_token1] = ACTIONS(4507),
    [aux_sym_namelist_statement_token1] = ACTIONS(4507),
    [aux_sym_common_statement_token1] = ACTIONS(4507),
    [aux_sym_import_statement_token1] = ACTIONS(4507),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4507),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4507),
    [aux_sym_variable_attributes_token1] = ACTIONS(4507),
    [aux_sym_variable_attributes_token2] = ACTIONS(4507),
    [aux_sym_variable_attributes_token3] = ACTIONS(4507),
    [aux_sym_variable_attributes_token4] = ACTIONS(4507),
    [aux_sym_variable_attributes_token5] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4507),
    [aux_sym_derived_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4507),
    [aux_sym_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4507),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4507),
    [anon_sym_SEMI] = ACTIONS(4509),
    [aux_sym_stop_statement_token1] = ACTIONS(4507),
    [aux_sym_stop_statement_token2] = ACTIONS(4507),
    [aux_sym_subroutine_call_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token2] = ACTIONS(4507),
    [aux_sym_keyword_statement_token3] = ACTIONS(4507),
    [aux_sym_keyword_statement_token4] = ACTIONS(4507),
    [aux_sym_keyword_statement_token6] = ACTIONS(4507),
    [aux_sym_keyword_statement_token7] = ACTIONS(4507),
    [aux_sym_include_statement_token1] = ACTIONS(4507),
    [aux_sym_data_statement_token1] = ACTIONS(4507),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4507),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4507),
    [aux_sym_end_if_statement_token1] = ACTIONS(4507),
    [aux_sym_elseif_clause_token2] = ACTIONS(4507),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4507),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token3] = ACTIONS(4507),
    [aux_sym_select_type_statement_token1] = ACTIONS(4507),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4507),
    [aux_sym_block_construct_token1] = ACTIONS(4507),
    [aux_sym_associate_statement_token1] = ACTIONS(4507),
    [aux_sym_format_statement_token1] = ACTIONS(4507),
    [aux_sym_print_statement_token1] = ACTIONS(4507),
    [aux_sym_open_statement_token1] = ACTIONS(4507),
    [aux_sym_close_statement_token1] = ACTIONS(4507),
    [aux_sym_inquire_statement_token1] = ACTIONS(4507),
    [aux_sym_enum_statement_token1] = ACTIONS(4507),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token2] = ACTIONS(4507),
    [aux_sym_file_position_statement_token3] = ACTIONS(4507),
    [aux_sym_file_position_statement_token4] = ACTIONS(4507),
    [aux_sym_allocate_statement_token1] = ACTIONS(4507),
    [aux_sym_entry_statement_token1] = ACTIONS(4507),
    [aux_sym_logical_expression_token5] = ACTIONS(4509),
    [anon_sym_DOT] = ACTIONS(4507),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4509),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [aux_sym_boolean_literal_token1] = ACTIONS(4509),
    [aux_sym_boolean_literal_token2] = ACTIONS(4509),
    [aux_sym_null_literal_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token2] = ACTIONS(4507),
    [aux_sym_coarray_statement_token6] = ACTIONS(4507),
    [aux_sym_coarray_statement_token8] = ACTIONS(4507),
    [aux_sym_coarray_statement_token11] = ACTIONS(4507),
    [aux_sym_coarray_statement_token12] = ACTIONS(4507),
    [aux_sym_coarray_statement_token13] = ACTIONS(4507),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4507),
    [aux_sym_identifier_token1] = ACTIONS(4507),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4509),
    [sym__float_literal] = ACTIONS(4509),
    [sym__boz_literal] = ACTIONS(4509),
    [sym__string_literal] = ACTIONS(4509),
    [sym__string_literal_kind] = ACTIONS(4509),
  },
  [869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4511),
    [aux_sym_preproc_def_token1] = ACTIONS(4511),
    [aux_sym_preproc_if_token1] = ACTIONS(4511),
    [aux_sym_preproc_if_token2] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4511),
    [aux_sym_preproc_else_token1] = ACTIONS(4511),
    [aux_sym_preproc_elif_token1] = ACTIONS(4511),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4511),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4511),
    [sym_preproc_directive] = ACTIONS(4511),
    [anon_sym_LPAREN2] = ACTIONS(4511),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_DASH] = ACTIONS(4513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token2] = ACTIONS(4511),
    [aux_sym_module_statement_token1] = ACTIONS(4511),
    [aux_sym_submodule_statement_token1] = ACTIONS(4511),
    [aux_sym_interface_statement_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4511),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4511),
    [aux_sym_function_statement_token1] = ACTIONS(4511),
    [aux_sym_language_binding_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4511),
    [aux_sym_contains_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token2] = ACTIONS(4511),
    [aux_sym_implicit_statement_token1] = ACTIONS(4511),
    [aux_sym_implicit_statement_token3] = ACTIONS(4511),
    [aux_sym_implicit_statement_token4] = ACTIONS(4511),
    [aux_sym_save_statement_token1] = ACTIONS(4511),
    [aux_sym_private_statement_token1] = ACTIONS(4511),
    [aux_sym_public_statement_token1] = ACTIONS(4511),
    [aux_sym_namelist_statement_token1] = ACTIONS(4511),
    [aux_sym_common_statement_token1] = ACTIONS(4511),
    [aux_sym_import_statement_token1] = ACTIONS(4511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4511),
    [aux_sym_variable_attributes_token1] = ACTIONS(4511),
    [aux_sym_variable_attributes_token2] = ACTIONS(4511),
    [aux_sym_variable_attributes_token3] = ACTIONS(4511),
    [aux_sym_variable_attributes_token4] = ACTIONS(4511),
    [aux_sym_variable_attributes_token5] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4511),
    [aux_sym_derived_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4511),
    [aux_sym_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4511),
    [anon_sym_SEMI] = ACTIONS(4513),
    [aux_sym_stop_statement_token1] = ACTIONS(4511),
    [aux_sym_stop_statement_token2] = ACTIONS(4511),
    [aux_sym_subroutine_call_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token2] = ACTIONS(4511),
    [aux_sym_keyword_statement_token3] = ACTIONS(4511),
    [aux_sym_keyword_statement_token4] = ACTIONS(4511),
    [aux_sym_keyword_statement_token6] = ACTIONS(4511),
    [aux_sym_keyword_statement_token7] = ACTIONS(4511),
    [aux_sym_include_statement_token1] = ACTIONS(4511),
    [aux_sym_data_statement_token1] = ACTIONS(4511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4511),
    [aux_sym_end_if_statement_token1] = ACTIONS(4511),
    [aux_sym_elseif_clause_token2] = ACTIONS(4511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token3] = ACTIONS(4511),
    [aux_sym_select_type_statement_token1] = ACTIONS(4511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4511),
    [aux_sym_block_construct_token1] = ACTIONS(4511),
    [aux_sym_associate_statement_token1] = ACTIONS(4511),
    [aux_sym_format_statement_token1] = ACTIONS(4511),
    [aux_sym_print_statement_token1] = ACTIONS(4511),
    [aux_sym_open_statement_token1] = ACTIONS(4511),
    [aux_sym_close_statement_token1] = ACTIONS(4511),
    [aux_sym_inquire_statement_token1] = ACTIONS(4511),
    [aux_sym_enum_statement_token1] = ACTIONS(4511),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token2] = ACTIONS(4511),
    [aux_sym_file_position_statement_token3] = ACTIONS(4511),
    [aux_sym_file_position_statement_token4] = ACTIONS(4511),
    [aux_sym_allocate_statement_token1] = ACTIONS(4511),
    [aux_sym_entry_statement_token1] = ACTIONS(4511),
    [aux_sym_logical_expression_token5] = ACTIONS(4513),
    [anon_sym_DOT] = ACTIONS(4511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4513),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [aux_sym_boolean_literal_token1] = ACTIONS(4513),
    [aux_sym_boolean_literal_token2] = ACTIONS(4513),
    [aux_sym_null_literal_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token2] = ACTIONS(4511),
    [aux_sym_coarray_statement_token6] = ACTIONS(4511),
    [aux_sym_coarray_statement_token8] = ACTIONS(4511),
    [aux_sym_coarray_statement_token11] = ACTIONS(4511),
    [aux_sym_coarray_statement_token12] = ACTIONS(4511),
    [aux_sym_coarray_statement_token13] = ACTIONS(4511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4511),
    [aux_sym_identifier_token1] = ACTIONS(4511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4513),
    [sym__float_literal] = ACTIONS(4513),
    [sym__boz_literal] = ACTIONS(4513),
    [sym__string_literal] = ACTIONS(4513),
    [sym__string_literal_kind] = ACTIONS(4513),
  },
  [870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4515),
    [aux_sym_preproc_def_token1] = ACTIONS(4515),
    [aux_sym_preproc_if_token1] = ACTIONS(4515),
    [aux_sym_preproc_if_token2] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4515),
    [aux_sym_preproc_else_token1] = ACTIONS(4515),
    [aux_sym_preproc_elif_token1] = ACTIONS(4515),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4515),
    [sym_preproc_directive] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4515),
    [anon_sym_PLUS] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token2] = ACTIONS(4515),
    [aux_sym_module_statement_token1] = ACTIONS(4515),
    [aux_sym_submodule_statement_token1] = ACTIONS(4515),
    [aux_sym_interface_statement_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4515),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4515),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4515),
    [aux_sym_function_statement_token1] = ACTIONS(4515),
    [aux_sym_language_binding_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4515),
    [aux_sym_contains_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token2] = ACTIONS(4515),
    [aux_sym_implicit_statement_token1] = ACTIONS(4515),
    [aux_sym_implicit_statement_token3] = ACTIONS(4515),
    [aux_sym_implicit_statement_token4] = ACTIONS(4515),
    [aux_sym_save_statement_token1] = ACTIONS(4515),
    [aux_sym_private_statement_token1] = ACTIONS(4515),
    [aux_sym_public_statement_token1] = ACTIONS(4515),
    [aux_sym_namelist_statement_token1] = ACTIONS(4515),
    [aux_sym_common_statement_token1] = ACTIONS(4515),
    [aux_sym_import_statement_token1] = ACTIONS(4515),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4515),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4515),
    [aux_sym_variable_attributes_token1] = ACTIONS(4515),
    [aux_sym_variable_attributes_token2] = ACTIONS(4515),
    [aux_sym_variable_attributes_token3] = ACTIONS(4515),
    [aux_sym_variable_attributes_token4] = ACTIONS(4515),
    [aux_sym_variable_attributes_token5] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4515),
    [aux_sym_derived_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4515),
    [aux_sym_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4515),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4515),
    [anon_sym_SEMI] = ACTIONS(4517),
    [aux_sym_stop_statement_token1] = ACTIONS(4515),
    [aux_sym_stop_statement_token2] = ACTIONS(4515),
    [aux_sym_subroutine_call_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token2] = ACTIONS(4515),
    [aux_sym_keyword_statement_token3] = ACTIONS(4515),
    [aux_sym_keyword_statement_token4] = ACTIONS(4515),
    [aux_sym_keyword_statement_token6] = ACTIONS(4515),
    [aux_sym_keyword_statement_token7] = ACTIONS(4515),
    [aux_sym_include_statement_token1] = ACTIONS(4515),
    [aux_sym_data_statement_token1] = ACTIONS(4515),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4515),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4515),
    [aux_sym_end_if_statement_token1] = ACTIONS(4515),
    [aux_sym_elseif_clause_token2] = ACTIONS(4515),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4515),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token3] = ACTIONS(4515),
    [aux_sym_select_type_statement_token1] = ACTIONS(4515),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4515),
    [aux_sym_block_construct_token1] = ACTIONS(4515),
    [aux_sym_associate_statement_token1] = ACTIONS(4515),
    [aux_sym_format_statement_token1] = ACTIONS(4515),
    [aux_sym_print_statement_token1] = ACTIONS(4515),
    [aux_sym_open_statement_token1] = ACTIONS(4515),
    [aux_sym_close_statement_token1] = ACTIONS(4515),
    [aux_sym_inquire_statement_token1] = ACTIONS(4515),
    [aux_sym_enum_statement_token1] = ACTIONS(4515),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token2] = ACTIONS(4515),
    [aux_sym_file_position_statement_token3] = ACTIONS(4515),
    [aux_sym_file_position_statement_token4] = ACTIONS(4515),
    [aux_sym_allocate_statement_token1] = ACTIONS(4515),
    [aux_sym_entry_statement_token1] = ACTIONS(4515),
    [aux_sym_logical_expression_token5] = ACTIONS(4517),
    [anon_sym_DOT] = ACTIONS(4515),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4517),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [aux_sym_boolean_literal_token1] = ACTIONS(4517),
    [aux_sym_boolean_literal_token2] = ACTIONS(4517),
    [aux_sym_null_literal_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token2] = ACTIONS(4515),
    [aux_sym_coarray_statement_token6] = ACTIONS(4515),
    [aux_sym_coarray_statement_token8] = ACTIONS(4515),
    [aux_sym_coarray_statement_token11] = ACTIONS(4515),
    [aux_sym_coarray_statement_token12] = ACTIONS(4515),
    [aux_sym_coarray_statement_token13] = ACTIONS(4515),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4515),
    [aux_sym_identifier_token1] = ACTIONS(4515),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4517),
    [sym__float_literal] = ACTIONS(4517),
    [sym__boz_literal] = ACTIONS(4517),
    [sym__string_literal] = ACTIONS(4517),
    [sym__string_literal_kind] = ACTIONS(4517),
  },
  [871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4519),
    [aux_sym_preproc_def_token1] = ACTIONS(4519),
    [aux_sym_preproc_if_token1] = ACTIONS(4519),
    [aux_sym_preproc_if_token2] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4519),
    [aux_sym_preproc_else_token1] = ACTIONS(4519),
    [aux_sym_preproc_elif_token1] = ACTIONS(4519),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4519),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4519),
    [sym_preproc_directive] = ACTIONS(4519),
    [anon_sym_LPAREN2] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token2] = ACTIONS(4519),
    [aux_sym_module_statement_token1] = ACTIONS(4519),
    [aux_sym_submodule_statement_token1] = ACTIONS(4519),
    [aux_sym_interface_statement_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4519),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4519),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4519),
    [aux_sym_function_statement_token1] = ACTIONS(4519),
    [aux_sym_language_binding_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4519),
    [aux_sym_contains_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token2] = ACTIONS(4519),
    [aux_sym_implicit_statement_token1] = ACTIONS(4519),
    [aux_sym_implicit_statement_token3] = ACTIONS(4519),
    [aux_sym_implicit_statement_token4] = ACTIONS(4519),
    [aux_sym_save_statement_token1] = ACTIONS(4519),
    [aux_sym_private_statement_token1] = ACTIONS(4519),
    [aux_sym_public_statement_token1] = ACTIONS(4519),
    [aux_sym_namelist_statement_token1] = ACTIONS(4519),
    [aux_sym_common_statement_token1] = ACTIONS(4519),
    [aux_sym_import_statement_token1] = ACTIONS(4519),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4519),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4519),
    [aux_sym_variable_attributes_token1] = ACTIONS(4519),
    [aux_sym_variable_attributes_token2] = ACTIONS(4519),
    [aux_sym_variable_attributes_token3] = ACTIONS(4519),
    [aux_sym_variable_attributes_token4] = ACTIONS(4519),
    [aux_sym_variable_attributes_token5] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4519),
    [aux_sym_derived_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4519),
    [aux_sym_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4519),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4521),
    [aux_sym_stop_statement_token1] = ACTIONS(4519),
    [aux_sym_stop_statement_token2] = ACTIONS(4519),
    [aux_sym_subroutine_call_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token2] = ACTIONS(4519),
    [aux_sym_keyword_statement_token3] = ACTIONS(4519),
    [aux_sym_keyword_statement_token4] = ACTIONS(4519),
    [aux_sym_keyword_statement_token6] = ACTIONS(4519),
    [aux_sym_keyword_statement_token7] = ACTIONS(4519),
    [aux_sym_include_statement_token1] = ACTIONS(4519),
    [aux_sym_data_statement_token1] = ACTIONS(4519),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4519),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4519),
    [aux_sym_end_if_statement_token1] = ACTIONS(4519),
    [aux_sym_elseif_clause_token2] = ACTIONS(4519),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4519),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token3] = ACTIONS(4519),
    [aux_sym_select_type_statement_token1] = ACTIONS(4519),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4519),
    [aux_sym_block_construct_token1] = ACTIONS(4519),
    [aux_sym_associate_statement_token1] = ACTIONS(4519),
    [aux_sym_format_statement_token1] = ACTIONS(4519),
    [aux_sym_print_statement_token1] = ACTIONS(4519),
    [aux_sym_open_statement_token1] = ACTIONS(4519),
    [aux_sym_close_statement_token1] = ACTIONS(4519),
    [aux_sym_inquire_statement_token1] = ACTIONS(4519),
    [aux_sym_enum_statement_token1] = ACTIONS(4519),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token2] = ACTIONS(4519),
    [aux_sym_file_position_statement_token3] = ACTIONS(4519),
    [aux_sym_file_position_statement_token4] = ACTIONS(4519),
    [aux_sym_allocate_statement_token1] = ACTIONS(4519),
    [aux_sym_entry_statement_token1] = ACTIONS(4519),
    [aux_sym_logical_expression_token5] = ACTIONS(4521),
    [anon_sym_DOT] = ACTIONS(4519),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4521),
    [aux_sym_boolean_literal_token1] = ACTIONS(4521),
    [aux_sym_boolean_literal_token2] = ACTIONS(4521),
    [aux_sym_null_literal_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token2] = ACTIONS(4519),
    [aux_sym_coarray_statement_token6] = ACTIONS(4519),
    [aux_sym_coarray_statement_token8] = ACTIONS(4519),
    [aux_sym_coarray_statement_token11] = ACTIONS(4519),
    [aux_sym_coarray_statement_token12] = ACTIONS(4519),
    [aux_sym_coarray_statement_token13] = ACTIONS(4519),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4519),
    [aux_sym_identifier_token1] = ACTIONS(4519),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4521),
    [sym__float_literal] = ACTIONS(4521),
    [sym__boz_literal] = ACTIONS(4521),
    [sym__string_literal] = ACTIONS(4521),
    [sym__string_literal_kind] = ACTIONS(4521),
  },
  [872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [aux_sym_preproc_else_token1] = ACTIONS(4373),
    [aux_sym_preproc_elif_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_module_statement_token1] = ACTIONS(4529),
    [aux_sym_submodule_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_function_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4533),
    [aux_sym_preproc_def_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4533),
    [aux_sym_preproc_else_token1] = ACTIONS(4533),
    [aux_sym_preproc_elif_token1] = ACTIONS(4533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4533),
    [sym_preproc_directive] = ACTIONS(4533),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token2] = ACTIONS(4533),
    [aux_sym_module_statement_token1] = ACTIONS(4533),
    [aux_sym_submodule_statement_token1] = ACTIONS(4533),
    [aux_sym_interface_statement_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4533),
    [aux_sym_function_statement_token1] = ACTIONS(4533),
    [aux_sym_language_binding_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4533),
    [aux_sym_contains_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token2] = ACTIONS(4533),
    [aux_sym_implicit_statement_token1] = ACTIONS(4533),
    [aux_sym_implicit_statement_token3] = ACTIONS(4533),
    [aux_sym_implicit_statement_token4] = ACTIONS(4533),
    [aux_sym_save_statement_token1] = ACTIONS(4533),
    [aux_sym_private_statement_token1] = ACTIONS(4533),
    [aux_sym_public_statement_token1] = ACTIONS(4533),
    [aux_sym_namelist_statement_token1] = ACTIONS(4533),
    [aux_sym_common_statement_token1] = ACTIONS(4533),
    [aux_sym_import_statement_token1] = ACTIONS(4533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4533),
    [aux_sym_variable_attributes_token1] = ACTIONS(4533),
    [aux_sym_variable_attributes_token2] = ACTIONS(4533),
    [aux_sym_variable_attributes_token3] = ACTIONS(4533),
    [aux_sym_variable_attributes_token4] = ACTIONS(4533),
    [aux_sym_variable_attributes_token5] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4533),
    [aux_sym_derived_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4533),
    [aux_sym_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4535),
    [aux_sym_stop_statement_token1] = ACTIONS(4533),
    [aux_sym_stop_statement_token2] = ACTIONS(4533),
    [aux_sym_subroutine_call_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token2] = ACTIONS(4533),
    [aux_sym_keyword_statement_token3] = ACTIONS(4533),
    [aux_sym_keyword_statement_token4] = ACTIONS(4533),
    [aux_sym_keyword_statement_token6] = ACTIONS(4533),
    [aux_sym_keyword_statement_token7] = ACTIONS(4533),
    [aux_sym_include_statement_token1] = ACTIONS(4533),
    [aux_sym_data_statement_token1] = ACTIONS(4533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4533),
    [aux_sym_end_if_statement_token1] = ACTIONS(4533),
    [aux_sym_elseif_clause_token2] = ACTIONS(4533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token3] = ACTIONS(4533),
    [aux_sym_select_type_statement_token1] = ACTIONS(4533),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4533),
    [aux_sym_block_construct_token1] = ACTIONS(4533),
    [aux_sym_associate_statement_token1] = ACTIONS(4533),
    [aux_sym_format_statement_token1] = ACTIONS(4533),
    [aux_sym_print_statement_token1] = ACTIONS(4533),
    [aux_sym_open_statement_token1] = ACTIONS(4533),
    [aux_sym_close_statement_token1] = ACTIONS(4533),
    [aux_sym_inquire_statement_token1] = ACTIONS(4533),
    [aux_sym_enum_statement_token1] = ACTIONS(4533),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token2] = ACTIONS(4533),
    [aux_sym_file_position_statement_token3] = ACTIONS(4533),
    [aux_sym_file_position_statement_token4] = ACTIONS(4533),
    [aux_sym_allocate_statement_token1] = ACTIONS(4533),
    [aux_sym_entry_statement_token1] = ACTIONS(4533),
    [aux_sym_logical_expression_token5] = ACTIONS(4535),
    [anon_sym_DOT] = ACTIONS(4533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4535),
    [aux_sym_boolean_literal_token1] = ACTIONS(4535),
    [aux_sym_boolean_literal_token2] = ACTIONS(4535),
    [aux_sym_null_literal_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token2] = ACTIONS(4533),
    [aux_sym_coarray_statement_token6] = ACTIONS(4533),
    [aux_sym_coarray_statement_token8] = ACTIONS(4533),
    [aux_sym_coarray_statement_token11] = ACTIONS(4533),
    [aux_sym_coarray_statement_token12] = ACTIONS(4533),
    [aux_sym_coarray_statement_token13] = ACTIONS(4533),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4533),
    [aux_sym_identifier_token1] = ACTIONS(4533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4535),
    [sym__float_literal] = ACTIONS(4535),
    [sym__boz_literal] = ACTIONS(4535),
    [sym__string_literal] = ACTIONS(4535),
    [sym__string_literal_kind] = ACTIONS(4535),
  },
  [876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4537),
    [aux_sym_preproc_def_token1] = ACTIONS(4537),
    [aux_sym_preproc_if_token1] = ACTIONS(4537),
    [aux_sym_preproc_if_token2] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4537),
    [aux_sym_preproc_else_token1] = ACTIONS(4537),
    [aux_sym_preproc_elif_token1] = ACTIONS(4537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4537),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_PLUS] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token2] = ACTIONS(4537),
    [aux_sym_module_statement_token1] = ACTIONS(4537),
    [aux_sym_submodule_statement_token1] = ACTIONS(4537),
    [aux_sym_interface_statement_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4537),
    [aux_sym_function_statement_token1] = ACTIONS(4537),
    [aux_sym_language_binding_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4537),
    [aux_sym_contains_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token2] = ACTIONS(4537),
    [aux_sym_implicit_statement_token1] = ACTIONS(4537),
    [aux_sym_implicit_statement_token3] = ACTIONS(4537),
    [aux_sym_implicit_statement_token4] = ACTIONS(4537),
    [aux_sym_save_statement_token1] = ACTIONS(4537),
    [aux_sym_private_statement_token1] = ACTIONS(4537),
    [aux_sym_public_statement_token1] = ACTIONS(4537),
    [aux_sym_namelist_statement_token1] = ACTIONS(4537),
    [aux_sym_common_statement_token1] = ACTIONS(4537),
    [aux_sym_import_statement_token1] = ACTIONS(4537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4537),
    [aux_sym_variable_attributes_token1] = ACTIONS(4537),
    [aux_sym_variable_attributes_token2] = ACTIONS(4537),
    [aux_sym_variable_attributes_token3] = ACTIONS(4537),
    [aux_sym_variable_attributes_token4] = ACTIONS(4537),
    [aux_sym_variable_attributes_token5] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4537),
    [aux_sym_derived_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4537),
    [aux_sym_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4537),
    [anon_sym_SEMI] = ACTIONS(4539),
    [aux_sym_stop_statement_token1] = ACTIONS(4537),
    [aux_sym_stop_statement_token2] = ACTIONS(4537),
    [aux_sym_subroutine_call_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token2] = ACTIONS(4537),
    [aux_sym_keyword_statement_token3] = ACTIONS(4537),
    [aux_sym_keyword_statement_token4] = ACTIONS(4537),
    [aux_sym_keyword_statement_token6] = ACTIONS(4537),
    [aux_sym_keyword_statement_token7] = ACTIONS(4537),
    [aux_sym_include_statement_token1] = ACTIONS(4537),
    [aux_sym_data_statement_token1] = ACTIONS(4537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4537),
    [aux_sym_end_if_statement_token1] = ACTIONS(4537),
    [aux_sym_elseif_clause_token2] = ACTIONS(4537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token3] = ACTIONS(4537),
    [aux_sym_select_type_statement_token1] = ACTIONS(4537),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4537),
    [aux_sym_block_construct_token1] = ACTIONS(4537),
    [aux_sym_associate_statement_token1] = ACTIONS(4537),
    [aux_sym_format_statement_token1] = ACTIONS(4537),
    [aux_sym_print_statement_token1] = ACTIONS(4537),
    [aux_sym_open_statement_token1] = ACTIONS(4537),
    [aux_sym_close_statement_token1] = ACTIONS(4537),
    [aux_sym_inquire_statement_token1] = ACTIONS(4537),
    [aux_sym_enum_statement_token1] = ACTIONS(4537),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token2] = ACTIONS(4537),
    [aux_sym_file_position_statement_token3] = ACTIONS(4537),
    [aux_sym_file_position_statement_token4] = ACTIONS(4537),
    [aux_sym_allocate_statement_token1] = ACTIONS(4537),
    [aux_sym_entry_statement_token1] = ACTIONS(4537),
    [aux_sym_logical_expression_token5] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4539),
    [aux_sym_boolean_literal_token1] = ACTIONS(4539),
    [aux_sym_boolean_literal_token2] = ACTIONS(4539),
    [aux_sym_null_literal_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token2] = ACTIONS(4537),
    [aux_sym_coarray_statement_token6] = ACTIONS(4537),
    [aux_sym_coarray_statement_token8] = ACTIONS(4537),
    [aux_sym_coarray_statement_token11] = ACTIONS(4537),
    [aux_sym_coarray_statement_token12] = ACTIONS(4537),
    [aux_sym_coarray_statement_token13] = ACTIONS(4537),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4537),
    [aux_sym_identifier_token1] = ACTIONS(4537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4539),
    [sym__float_literal] = ACTIONS(4539),
    [sym__boz_literal] = ACTIONS(4539),
    [sym__string_literal] = ACTIONS(4539),
    [sym__string_literal_kind] = ACTIONS(4539),
  },
  [877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4541),
    [aux_sym_preproc_def_token1] = ACTIONS(4541),
    [aux_sym_preproc_if_token1] = ACTIONS(4541),
    [aux_sym_preproc_if_token2] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4541),
    [aux_sym_preproc_else_token1] = ACTIONS(4541),
    [aux_sym_preproc_elif_token1] = ACTIONS(4541),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4541),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4541),
    [sym_preproc_directive] = ACTIONS(4541),
    [anon_sym_LPAREN2] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4543),
    [anon_sym_DASH] = ACTIONS(4543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token2] = ACTIONS(4541),
    [aux_sym_module_statement_token1] = ACTIONS(4541),
    [aux_sym_submodule_statement_token1] = ACTIONS(4541),
    [aux_sym_interface_statement_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4541),
    [aux_sym_function_statement_token1] = ACTIONS(4541),
    [aux_sym_language_binding_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4541),
    [aux_sym_contains_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token2] = ACTIONS(4541),
    [aux_sym_implicit_statement_token1] = ACTIONS(4541),
    [aux_sym_implicit_statement_token3] = ACTIONS(4541),
    [aux_sym_implicit_statement_token4] = ACTIONS(4541),
    [aux_sym_save_statement_token1] = ACTIONS(4541),
    [aux_sym_private_statement_token1] = ACTIONS(4541),
    [aux_sym_public_statement_token1] = ACTIONS(4541),
    [aux_sym_namelist_statement_token1] = ACTIONS(4541),
    [aux_sym_common_statement_token1] = ACTIONS(4541),
    [aux_sym_import_statement_token1] = ACTIONS(4541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4541),
    [aux_sym_variable_attributes_token1] = ACTIONS(4541),
    [aux_sym_variable_attributes_token2] = ACTIONS(4541),
    [aux_sym_variable_attributes_token3] = ACTIONS(4541),
    [aux_sym_variable_attributes_token4] = ACTIONS(4541),
    [aux_sym_variable_attributes_token5] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4541),
    [aux_sym_derived_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4541),
    [aux_sym_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_stop_statement_token1] = ACTIONS(4541),
    [aux_sym_stop_statement_token2] = ACTIONS(4541),
    [aux_sym_subroutine_call_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token2] = ACTIONS(4541),
    [aux_sym_keyword_statement_token3] = ACTIONS(4541),
    [aux_sym_keyword_statement_token4] = ACTIONS(4541),
    [aux_sym_keyword_statement_token6] = ACTIONS(4541),
    [aux_sym_keyword_statement_token7] = ACTIONS(4541),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_data_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4541),
    [aux_sym_end_if_statement_token1] = ACTIONS(4541),
    [aux_sym_elseif_clause_token2] = ACTIONS(4541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token3] = ACTIONS(4541),
    [aux_sym_select_type_statement_token1] = ACTIONS(4541),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4541),
    [aux_sym_block_construct_token1] = ACTIONS(4541),
    [aux_sym_associate_statement_token1] = ACTIONS(4541),
    [aux_sym_format_statement_token1] = ACTIONS(4541),
    [aux_sym_print_statement_token1] = ACTIONS(4541),
    [aux_sym_open_statement_token1] = ACTIONS(4541),
    [aux_sym_close_statement_token1] = ACTIONS(4541),
    [aux_sym_inquire_statement_token1] = ACTIONS(4541),
    [aux_sym_enum_statement_token1] = ACTIONS(4541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token2] = ACTIONS(4541),
    [aux_sym_file_position_statement_token3] = ACTIONS(4541),
    [aux_sym_file_position_statement_token4] = ACTIONS(4541),
    [aux_sym_allocate_statement_token1] = ACTIONS(4541),
    [aux_sym_entry_statement_token1] = ACTIONS(4541),
    [aux_sym_logical_expression_token5] = ACTIONS(4543),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [aux_sym_boolean_literal_token1] = ACTIONS(4543),
    [aux_sym_boolean_literal_token2] = ACTIONS(4543),
    [aux_sym_null_literal_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token2] = ACTIONS(4541),
    [aux_sym_coarray_statement_token6] = ACTIONS(4541),
    [aux_sym_coarray_statement_token8] = ACTIONS(4541),
    [aux_sym_coarray_statement_token11] = ACTIONS(4541),
    [aux_sym_coarray_statement_token12] = ACTIONS(4541),
    [aux_sym_coarray_statement_token13] = ACTIONS(4541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4541),
    [aux_sym_identifier_token1] = ACTIONS(4541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4543),
    [sym__float_literal] = ACTIONS(4543),
    [sym__boz_literal] = ACTIONS(4543),
    [sym__string_literal] = ACTIONS(4543),
    [sym__string_literal_kind] = ACTIONS(4543),
  },
  [878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4545),
    [aux_sym_preproc_def_token1] = ACTIONS(4545),
    [aux_sym_preproc_if_token1] = ACTIONS(4545),
    [aux_sym_preproc_if_token2] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4545),
    [aux_sym_preproc_else_token1] = ACTIONS(4545),
    [aux_sym_preproc_elif_token1] = ACTIONS(4545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4545),
    [sym_preproc_directive] = ACTIONS(4545),
    [anon_sym_LPAREN2] = ACTIONS(4545),
    [anon_sym_PLUS] = ACTIONS(4547),
    [anon_sym_DASH] = ACTIONS(4547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token2] = ACTIONS(4545),
    [aux_sym_module_statement_token1] = ACTIONS(4545),
    [aux_sym_submodule_statement_token1] = ACTIONS(4545),
    [aux_sym_interface_statement_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4545),
    [aux_sym_function_statement_token1] = ACTIONS(4545),
    [aux_sym_language_binding_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4545),
    [aux_sym_contains_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token2] = ACTIONS(4545),
    [aux_sym_implicit_statement_token1] = ACTIONS(4545),
    [aux_sym_implicit_statement_token3] = ACTIONS(4545),
    [aux_sym_implicit_statement_token4] = ACTIONS(4545),
    [aux_sym_save_statement_token1] = ACTIONS(4545),
    [aux_sym_private_statement_token1] = ACTIONS(4545),
    [aux_sym_public_statement_token1] = ACTIONS(4545),
    [aux_sym_namelist_statement_token1] = ACTIONS(4545),
    [aux_sym_common_statement_token1] = ACTIONS(4545),
    [aux_sym_import_statement_token1] = ACTIONS(4545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4545),
    [aux_sym_variable_attributes_token1] = ACTIONS(4545),
    [aux_sym_variable_attributes_token2] = ACTIONS(4545),
    [aux_sym_variable_attributes_token3] = ACTIONS(4545),
    [aux_sym_variable_attributes_token4] = ACTIONS(4545),
    [aux_sym_variable_attributes_token5] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4545),
    [aux_sym_derived_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4545),
    [aux_sym_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4545),
    [anon_sym_SEMI] = ACTIONS(4547),
    [aux_sym_stop_statement_token1] = ACTIONS(4545),
    [aux_sym_stop_statement_token2] = ACTIONS(4545),
    [aux_sym_subroutine_call_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token2] = ACTIONS(4545),
    [aux_sym_keyword_statement_token3] = ACTIONS(4545),
    [aux_sym_keyword_statement_token4] = ACTIONS(4545),
    [aux_sym_keyword_statement_token6] = ACTIONS(4545),
    [aux_sym_keyword_statement_token7] = ACTIONS(4545),
    [aux_sym_include_statement_token1] = ACTIONS(4545),
    [aux_sym_data_statement_token1] = ACTIONS(4545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4545),
    [aux_sym_end_if_statement_token1] = ACTIONS(4545),
    [aux_sym_elseif_clause_token2] = ACTIONS(4545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token3] = ACTIONS(4545),
    [aux_sym_select_type_statement_token1] = ACTIONS(4545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4545),
    [aux_sym_block_construct_token1] = ACTIONS(4545),
    [aux_sym_associate_statement_token1] = ACTIONS(4545),
    [aux_sym_format_statement_token1] = ACTIONS(4545),
    [aux_sym_print_statement_token1] = ACTIONS(4545),
    [aux_sym_open_statement_token1] = ACTIONS(4545),
    [aux_sym_close_statement_token1] = ACTIONS(4545),
    [aux_sym_inquire_statement_token1] = ACTIONS(4545),
    [aux_sym_enum_statement_token1] = ACTIONS(4545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token2] = ACTIONS(4545),
    [aux_sym_file_position_statement_token3] = ACTIONS(4545),
    [aux_sym_file_position_statement_token4] = ACTIONS(4545),
    [aux_sym_allocate_statement_token1] = ACTIONS(4545),
    [aux_sym_entry_statement_token1] = ACTIONS(4545),
    [aux_sym_logical_expression_token5] = ACTIONS(4547),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4547),
    [anon_sym_LBRACK] = ACTIONS(4547),
    [aux_sym_boolean_literal_token1] = ACTIONS(4547),
    [aux_sym_boolean_literal_token2] = ACTIONS(4547),
    [aux_sym_null_literal_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token2] = ACTIONS(4545),
    [aux_sym_coarray_statement_token6] = ACTIONS(4545),
    [aux_sym_coarray_statement_token8] = ACTIONS(4545),
    [aux_sym_coarray_statement_token11] = ACTIONS(4545),
    [aux_sym_coarray_statement_token12] = ACTIONS(4545),
    [aux_sym_coarray_statement_token13] = ACTIONS(4545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4545),
    [aux_sym_identifier_token1] = ACTIONS(4545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4547),
    [sym__float_literal] = ACTIONS(4547),
    [sym__boz_literal] = ACTIONS(4547),
    [sym__string_literal] = ACTIONS(4547),
    [sym__string_literal_kind] = ACTIONS(4547),
  },
  [879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4549),
    [aux_sym_preproc_def_token1] = ACTIONS(4549),
    [aux_sym_preproc_if_token1] = ACTIONS(4549),
    [aux_sym_preproc_if_token2] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4549),
    [aux_sym_preproc_else_token1] = ACTIONS(4549),
    [aux_sym_preproc_elif_token1] = ACTIONS(4549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4549),
    [sym_preproc_directive] = ACTIONS(4549),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token2] = ACTIONS(4549),
    [aux_sym_module_statement_token1] = ACTIONS(4549),
    [aux_sym_submodule_statement_token1] = ACTIONS(4549),
    [aux_sym_interface_statement_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4549),
    [aux_sym_function_statement_token1] = ACTIONS(4549),
    [aux_sym_language_binding_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4549),
    [aux_sym_contains_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token2] = ACTIONS(4549),
    [aux_sym_implicit_statement_token1] = ACTIONS(4549),
    [aux_sym_implicit_statement_token3] = ACTIONS(4549),
    [aux_sym_implicit_statement_token4] = ACTIONS(4549),
    [aux_sym_save_statement_token1] = ACTIONS(4549),
    [aux_sym_private_statement_token1] = ACTIONS(4549),
    [aux_sym_public_statement_token1] = ACTIONS(4549),
    [aux_sym_namelist_statement_token1] = ACTIONS(4549),
    [aux_sym_common_statement_token1] = ACTIONS(4549),
    [aux_sym_import_statement_token1] = ACTIONS(4549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4549),
    [aux_sym_variable_attributes_token1] = ACTIONS(4549),
    [aux_sym_variable_attributes_token2] = ACTIONS(4549),
    [aux_sym_variable_attributes_token3] = ACTIONS(4549),
    [aux_sym_variable_attributes_token4] = ACTIONS(4549),
    [aux_sym_variable_attributes_token5] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4549),
    [aux_sym_derived_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4549),
    [aux_sym_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4549),
    [anon_sym_SEMI] = ACTIONS(4551),
    [aux_sym_stop_statement_token1] = ACTIONS(4549),
    [aux_sym_stop_statement_token2] = ACTIONS(4549),
    [aux_sym_subroutine_call_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token2] = ACTIONS(4549),
    [aux_sym_keyword_statement_token3] = ACTIONS(4549),
    [aux_sym_keyword_statement_token4] = ACTIONS(4549),
    [aux_sym_keyword_statement_token6] = ACTIONS(4549),
    [aux_sym_keyword_statement_token7] = ACTIONS(4549),
    [aux_sym_include_statement_token1] = ACTIONS(4549),
    [aux_sym_data_statement_token1] = ACTIONS(4549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4549),
    [aux_sym_end_if_statement_token1] = ACTIONS(4549),
    [aux_sym_elseif_clause_token2] = ACTIONS(4549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token3] = ACTIONS(4549),
    [aux_sym_select_type_statement_token1] = ACTIONS(4549),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4549),
    [aux_sym_block_construct_token1] = ACTIONS(4549),
    [aux_sym_associate_statement_token1] = ACTIONS(4549),
    [aux_sym_format_statement_token1] = ACTIONS(4549),
    [aux_sym_print_statement_token1] = ACTIONS(4549),
    [aux_sym_open_statement_token1] = ACTIONS(4549),
    [aux_sym_close_statement_token1] = ACTIONS(4549),
    [aux_sym_inquire_statement_token1] = ACTIONS(4549),
    [aux_sym_enum_statement_token1] = ACTIONS(4549),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token2] = ACTIONS(4549),
    [aux_sym_file_position_statement_token3] = ACTIONS(4549),
    [aux_sym_file_position_statement_token4] = ACTIONS(4549),
    [aux_sym_allocate_statement_token1] = ACTIONS(4549),
    [aux_sym_entry_statement_token1] = ACTIONS(4549),
    [aux_sym_logical_expression_token5] = ACTIONS(4551),
    [anon_sym_DOT] = ACTIONS(4549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4551),
    [anon_sym_LBRACK] = ACTIONS(4551),
    [aux_sym_boolean_literal_token1] = ACTIONS(4551),
    [aux_sym_boolean_literal_token2] = ACTIONS(4551),
    [aux_sym_null_literal_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token2] = ACTIONS(4549),
    [aux_sym_coarray_statement_token6] = ACTIONS(4549),
    [aux_sym_coarray_statement_token8] = ACTIONS(4549),
    [aux_sym_coarray_statement_token11] = ACTIONS(4549),
    [aux_sym_coarray_statement_token12] = ACTIONS(4549),
    [aux_sym_coarray_statement_token13] = ACTIONS(4549),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4549),
    [aux_sym_identifier_token1] = ACTIONS(4549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4551),
    [sym__float_literal] = ACTIONS(4551),
    [sym__boz_literal] = ACTIONS(4551),
    [sym__string_literal] = ACTIONS(4551),
    [sym__string_literal_kind] = ACTIONS(4551),
  },
  [880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [aux_sym_preproc_else_token1] = ACTIONS(4323),
    [aux_sym_preproc_elif_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4323),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [aux_sym_preproc_else_token1] = ACTIONS(4341),
    [aux_sym_preproc_elif_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4341),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4553),
    [aux_sym_preproc_def_token1] = ACTIONS(4553),
    [aux_sym_preproc_if_token1] = ACTIONS(4553),
    [aux_sym_preproc_if_token2] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4553),
    [aux_sym_preproc_else_token1] = ACTIONS(4553),
    [aux_sym_preproc_elif_token1] = ACTIONS(4553),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4553),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4553),
    [sym_preproc_directive] = ACTIONS(4553),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_PLUS] = ACTIONS(4555),
    [anon_sym_DASH] = ACTIONS(4555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token2] = ACTIONS(4553),
    [aux_sym_module_statement_token1] = ACTIONS(4553),
    [aux_sym_submodule_statement_token1] = ACTIONS(4553),
    [aux_sym_interface_statement_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4553),
    [aux_sym_function_statement_token1] = ACTIONS(4553),
    [aux_sym_language_binding_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4553),
    [aux_sym_contains_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token2] = ACTIONS(4553),
    [aux_sym_implicit_statement_token1] = ACTIONS(4553),
    [aux_sym_implicit_statement_token3] = ACTIONS(4553),
    [aux_sym_implicit_statement_token4] = ACTIONS(4553),
    [aux_sym_save_statement_token1] = ACTIONS(4553),
    [aux_sym_private_statement_token1] = ACTIONS(4553),
    [aux_sym_public_statement_token1] = ACTIONS(4553),
    [aux_sym_namelist_statement_token1] = ACTIONS(4553),
    [aux_sym_common_statement_token1] = ACTIONS(4553),
    [aux_sym_import_statement_token1] = ACTIONS(4553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4553),
    [aux_sym_variable_attributes_token1] = ACTIONS(4553),
    [aux_sym_variable_attributes_token2] = ACTIONS(4553),
    [aux_sym_variable_attributes_token3] = ACTIONS(4553),
    [aux_sym_variable_attributes_token4] = ACTIONS(4553),
    [aux_sym_variable_attributes_token5] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4553),
    [aux_sym_derived_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4553),
    [aux_sym_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4553),
    [anon_sym_SEMI] = ACTIONS(4555),
    [aux_sym_stop_statement_token1] = ACTIONS(4553),
    [aux_sym_stop_statement_token2] = ACTIONS(4553),
    [aux_sym_subroutine_call_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token2] = ACTIONS(4553),
    [aux_sym_keyword_statement_token3] = ACTIONS(4553),
    [aux_sym_keyword_statement_token4] = ACTIONS(4553),
    [aux_sym_keyword_statement_token6] = ACTIONS(4553),
    [aux_sym_keyword_statement_token7] = ACTIONS(4553),
    [aux_sym_include_statement_token1] = ACTIONS(4553),
    [aux_sym_data_statement_token1] = ACTIONS(4553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4553),
    [aux_sym_end_if_statement_token1] = ACTIONS(4553),
    [aux_sym_elseif_clause_token2] = ACTIONS(4553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token3] = ACTIONS(4553),
    [aux_sym_select_type_statement_token1] = ACTIONS(4553),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4553),
    [aux_sym_block_construct_token1] = ACTIONS(4553),
    [aux_sym_associate_statement_token1] = ACTIONS(4553),
    [aux_sym_format_statement_token1] = ACTIONS(4553),
    [aux_sym_print_statement_token1] = ACTIONS(4553),
    [aux_sym_open_statement_token1] = ACTIONS(4553),
    [aux_sym_close_statement_token1] = ACTIONS(4553),
    [aux_sym_inquire_statement_token1] = ACTIONS(4553),
    [aux_sym_enum_statement_token1] = ACTIONS(4553),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token2] = ACTIONS(4553),
    [aux_sym_file_position_statement_token3] = ACTIONS(4553),
    [aux_sym_file_position_statement_token4] = ACTIONS(4553),
    [aux_sym_allocate_statement_token1] = ACTIONS(4553),
    [aux_sym_entry_statement_token1] = ACTIONS(4553),
    [aux_sym_logical_expression_token5] = ACTIONS(4555),
    [anon_sym_DOT] = ACTIONS(4553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4555),
    [anon_sym_LBRACK] = ACTIONS(4555),
    [aux_sym_boolean_literal_token1] = ACTIONS(4555),
    [aux_sym_boolean_literal_token2] = ACTIONS(4555),
    [aux_sym_null_literal_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token2] = ACTIONS(4553),
    [aux_sym_coarray_statement_token6] = ACTIONS(4553),
    [aux_sym_coarray_statement_token8] = ACTIONS(4553),
    [aux_sym_coarray_statement_token11] = ACTIONS(4553),
    [aux_sym_coarray_statement_token12] = ACTIONS(4553),
    [aux_sym_coarray_statement_token13] = ACTIONS(4553),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4553),
    [aux_sym_identifier_token1] = ACTIONS(4553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4555),
    [sym__float_literal] = ACTIONS(4555),
    [sym__boz_literal] = ACTIONS(4555),
    [sym__string_literal] = ACTIONS(4555),
    [sym__string_literal_kind] = ACTIONS(4555),
  },
  [883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4557),
    [aux_sym_preproc_def_token1] = ACTIONS(4557),
    [aux_sym_preproc_if_token1] = ACTIONS(4557),
    [aux_sym_preproc_if_token2] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4557),
    [aux_sym_preproc_else_token1] = ACTIONS(4557),
    [aux_sym_preproc_elif_token1] = ACTIONS(4557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4557),
    [sym_preproc_directive] = ACTIONS(4557),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token2] = ACTIONS(4557),
    [aux_sym_module_statement_token1] = ACTIONS(4557),
    [aux_sym_submodule_statement_token1] = ACTIONS(4557),
    [aux_sym_interface_statement_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4557),
    [aux_sym_function_statement_token1] = ACTIONS(4557),
    [aux_sym_language_binding_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4557),
    [aux_sym_contains_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token2] = ACTIONS(4557),
    [aux_sym_implicit_statement_token1] = ACTIONS(4557),
    [aux_sym_implicit_statement_token3] = ACTIONS(4557),
    [aux_sym_implicit_statement_token4] = ACTIONS(4557),
    [aux_sym_save_statement_token1] = ACTIONS(4557),
    [aux_sym_private_statement_token1] = ACTIONS(4557),
    [aux_sym_public_statement_token1] = ACTIONS(4557),
    [aux_sym_namelist_statement_token1] = ACTIONS(4557),
    [aux_sym_common_statement_token1] = ACTIONS(4557),
    [aux_sym_import_statement_token1] = ACTIONS(4557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4557),
    [aux_sym_variable_attributes_token1] = ACTIONS(4557),
    [aux_sym_variable_attributes_token2] = ACTIONS(4557),
    [aux_sym_variable_attributes_token3] = ACTIONS(4557),
    [aux_sym_variable_attributes_token4] = ACTIONS(4557),
    [aux_sym_variable_attributes_token5] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4557),
    [aux_sym_derived_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4557),
    [aux_sym_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4557),
    [anon_sym_SEMI] = ACTIONS(4559),
    [aux_sym_stop_statement_token1] = ACTIONS(4557),
    [aux_sym_stop_statement_token2] = ACTIONS(4557),
    [aux_sym_subroutine_call_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token2] = ACTIONS(4557),
    [aux_sym_keyword_statement_token3] = ACTIONS(4557),
    [aux_sym_keyword_statement_token4] = ACTIONS(4557),
    [aux_sym_keyword_statement_token6] = ACTIONS(4557),
    [aux_sym_keyword_statement_token7] = ACTIONS(4557),
    [aux_sym_include_statement_token1] = ACTIONS(4557),
    [aux_sym_data_statement_token1] = ACTIONS(4557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4557),
    [aux_sym_end_if_statement_token1] = ACTIONS(4557),
    [aux_sym_elseif_clause_token2] = ACTIONS(4557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token3] = ACTIONS(4557),
    [aux_sym_select_type_statement_token1] = ACTIONS(4557),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4557),
    [aux_sym_block_construct_token1] = ACTIONS(4557),
    [aux_sym_associate_statement_token1] = ACTIONS(4557),
    [aux_sym_format_statement_token1] = ACTIONS(4557),
    [aux_sym_print_statement_token1] = ACTIONS(4557),
    [aux_sym_open_statement_token1] = ACTIONS(4557),
    [aux_sym_close_statement_token1] = ACTIONS(4557),
    [aux_sym_inquire_statement_token1] = ACTIONS(4557),
    [aux_sym_enum_statement_token1] = ACTIONS(4557),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token2] = ACTIONS(4557),
    [aux_sym_file_position_statement_token3] = ACTIONS(4557),
    [aux_sym_file_position_statement_token4] = ACTIONS(4557),
    [aux_sym_allocate_statement_token1] = ACTIONS(4557),
    [aux_sym_entry_statement_token1] = ACTIONS(4557),
    [aux_sym_logical_expression_token5] = ACTIONS(4559),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4559),
    [anon_sym_LBRACK] = ACTIONS(4559),
    [aux_sym_boolean_literal_token1] = ACTIONS(4559),
    [aux_sym_boolean_literal_token2] = ACTIONS(4559),
    [aux_sym_null_literal_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token2] = ACTIONS(4557),
    [aux_sym_coarray_statement_token6] = ACTIONS(4557),
    [aux_sym_coarray_statement_token8] = ACTIONS(4557),
    [aux_sym_coarray_statement_token11] = ACTIONS(4557),
    [aux_sym_coarray_statement_token12] = ACTIONS(4557),
    [aux_sym_coarray_statement_token13] = ACTIONS(4557),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4557),
    [aux_sym_identifier_token1] = ACTIONS(4557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4559),
    [sym__float_literal] = ACTIONS(4559),
    [sym__boz_literal] = ACTIONS(4559),
    [sym__string_literal] = ACTIONS(4559),
    [sym__string_literal_kind] = ACTIONS(4559),
  },
  [884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4561),
    [aux_sym_preproc_def_token1] = ACTIONS(4561),
    [aux_sym_preproc_if_token1] = ACTIONS(4561),
    [aux_sym_preproc_if_token2] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4561),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4561),
    [sym_preproc_directive] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token2] = ACTIONS(4561),
    [aux_sym_module_statement_token1] = ACTIONS(4561),
    [aux_sym_submodule_statement_token1] = ACTIONS(4561),
    [aux_sym_interface_statement_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4561),
    [aux_sym_function_statement_token1] = ACTIONS(4561),
    [aux_sym_language_binding_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4561),
    [aux_sym_contains_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token2] = ACTIONS(4561),
    [aux_sym_implicit_statement_token1] = ACTIONS(4561),
    [aux_sym_implicit_statement_token3] = ACTIONS(4561),
    [aux_sym_implicit_statement_token4] = ACTIONS(4561),
    [aux_sym_save_statement_token1] = ACTIONS(4561),
    [aux_sym_private_statement_token1] = ACTIONS(4561),
    [aux_sym_public_statement_token1] = ACTIONS(4561),
    [aux_sym_namelist_statement_token1] = ACTIONS(4561),
    [aux_sym_common_statement_token1] = ACTIONS(4561),
    [aux_sym_import_statement_token1] = ACTIONS(4561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4561),
    [aux_sym_variable_attributes_token1] = ACTIONS(4561),
    [aux_sym_variable_attributes_token2] = ACTIONS(4561),
    [aux_sym_variable_attributes_token3] = ACTIONS(4561),
    [aux_sym_variable_attributes_token4] = ACTIONS(4561),
    [aux_sym_variable_attributes_token5] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4561),
    [aux_sym_derived_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4561),
    [aux_sym_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4561),
    [anon_sym_SEMI] = ACTIONS(4563),
    [aux_sym_stop_statement_token1] = ACTIONS(4561),
    [aux_sym_stop_statement_token2] = ACTIONS(4561),
    [aux_sym_subroutine_call_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token2] = ACTIONS(4561),
    [aux_sym_keyword_statement_token3] = ACTIONS(4561),
    [aux_sym_keyword_statement_token4] = ACTIONS(4561),
    [aux_sym_keyword_statement_token6] = ACTIONS(4561),
    [aux_sym_keyword_statement_token7] = ACTIONS(4561),
    [aux_sym_include_statement_token1] = ACTIONS(4561),
    [aux_sym_data_statement_token1] = ACTIONS(4561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4561),
    [aux_sym_end_if_statement_token1] = ACTIONS(4561),
    [aux_sym_elseif_clause_token2] = ACTIONS(4561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token3] = ACTIONS(4561),
    [aux_sym_select_type_statement_token1] = ACTIONS(4561),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4561),
    [aux_sym_block_construct_token1] = ACTIONS(4561),
    [aux_sym_associate_statement_token1] = ACTIONS(4561),
    [aux_sym_format_statement_token1] = ACTIONS(4561),
    [aux_sym_print_statement_token1] = ACTIONS(4561),
    [aux_sym_open_statement_token1] = ACTIONS(4561),
    [aux_sym_close_statement_token1] = ACTIONS(4561),
    [aux_sym_inquire_statement_token1] = ACTIONS(4561),
    [aux_sym_enum_statement_token1] = ACTIONS(4561),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token2] = ACTIONS(4561),
    [aux_sym_file_position_statement_token3] = ACTIONS(4561),
    [aux_sym_file_position_statement_token4] = ACTIONS(4561),
    [aux_sym_allocate_statement_token1] = ACTIONS(4561),
    [aux_sym_entry_statement_token1] = ACTIONS(4561),
    [aux_sym_logical_expression_token5] = ACTIONS(4563),
    [anon_sym_DOT] = ACTIONS(4561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4563),
    [anon_sym_LBRACK] = ACTIONS(4563),
    [aux_sym_boolean_literal_token1] = ACTIONS(4563),
    [aux_sym_boolean_literal_token2] = ACTIONS(4563),
    [aux_sym_null_literal_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token2] = ACTIONS(4561),
    [aux_sym_coarray_statement_token6] = ACTIONS(4561),
    [aux_sym_coarray_statement_token8] = ACTIONS(4561),
    [aux_sym_coarray_statement_token11] = ACTIONS(4561),
    [aux_sym_coarray_statement_token12] = ACTIONS(4561),
    [aux_sym_coarray_statement_token13] = ACTIONS(4561),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4561),
    [aux_sym_identifier_token1] = ACTIONS(4561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4563),
    [sym__float_literal] = ACTIONS(4563),
    [sym__boz_literal] = ACTIONS(4563),
    [sym__string_literal] = ACTIONS(4563),
    [sym__string_literal_kind] = ACTIONS(4563),
  },
  [885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4565),
    [aux_sym_preproc_def_token1] = ACTIONS(4565),
    [aux_sym_preproc_if_token1] = ACTIONS(4565),
    [aux_sym_preproc_if_token2] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4565),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4565),
    [sym_preproc_directive] = ACTIONS(4565),
    [anon_sym_LPAREN2] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4567),
    [anon_sym_DASH] = ACTIONS(4567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token2] = ACTIONS(4565),
    [aux_sym_module_statement_token1] = ACTIONS(4565),
    [aux_sym_submodule_statement_token1] = ACTIONS(4565),
    [aux_sym_interface_statement_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4565),
    [aux_sym_function_statement_token1] = ACTIONS(4565),
    [aux_sym_language_binding_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4565),
    [aux_sym_contains_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token2] = ACTIONS(4565),
    [aux_sym_implicit_statement_token1] = ACTIONS(4565),
    [aux_sym_implicit_statement_token3] = ACTIONS(4565),
    [aux_sym_implicit_statement_token4] = ACTIONS(4565),
    [aux_sym_save_statement_token1] = ACTIONS(4565),
    [aux_sym_private_statement_token1] = ACTIONS(4565),
    [aux_sym_public_statement_token1] = ACTIONS(4565),
    [aux_sym_namelist_statement_token1] = ACTIONS(4565),
    [aux_sym_common_statement_token1] = ACTIONS(4565),
    [aux_sym_import_statement_token1] = ACTIONS(4565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4565),
    [aux_sym_variable_attributes_token1] = ACTIONS(4565),
    [aux_sym_variable_attributes_token2] = ACTIONS(4565),
    [aux_sym_variable_attributes_token3] = ACTIONS(4565),
    [aux_sym_variable_attributes_token4] = ACTIONS(4565),
    [aux_sym_variable_attributes_token5] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4565),
    [aux_sym_derived_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4565),
    [aux_sym_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4565),
    [anon_sym_SEMI] = ACTIONS(4567),
    [aux_sym_stop_statement_token1] = ACTIONS(4565),
    [aux_sym_stop_statement_token2] = ACTIONS(4565),
    [aux_sym_subroutine_call_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token2] = ACTIONS(4565),
    [aux_sym_keyword_statement_token3] = ACTIONS(4565),
    [aux_sym_keyword_statement_token4] = ACTIONS(4565),
    [aux_sym_keyword_statement_token6] = ACTIONS(4565),
    [aux_sym_keyword_statement_token7] = ACTIONS(4565),
    [aux_sym_include_statement_token1] = ACTIONS(4565),
    [aux_sym_data_statement_token1] = ACTIONS(4565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4565),
    [aux_sym_end_if_statement_token1] = ACTIONS(4565),
    [aux_sym_elseif_clause_token2] = ACTIONS(4565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token3] = ACTIONS(4565),
    [aux_sym_select_type_statement_token1] = ACTIONS(4565),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4565),
    [aux_sym_block_construct_token1] = ACTIONS(4565),
    [aux_sym_associate_statement_token1] = ACTIONS(4565),
    [aux_sym_format_statement_token1] = ACTIONS(4565),
    [aux_sym_print_statement_token1] = ACTIONS(4565),
    [aux_sym_open_statement_token1] = ACTIONS(4565),
    [aux_sym_close_statement_token1] = ACTIONS(4565),
    [aux_sym_inquire_statement_token1] = ACTIONS(4565),
    [aux_sym_enum_statement_token1] = ACTIONS(4565),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token2] = ACTIONS(4565),
    [aux_sym_file_position_statement_token3] = ACTIONS(4565),
    [aux_sym_file_position_statement_token4] = ACTIONS(4565),
    [aux_sym_allocate_statement_token1] = ACTIONS(4565),
    [aux_sym_entry_statement_token1] = ACTIONS(4565),
    [aux_sym_logical_expression_token5] = ACTIONS(4567),
    [anon_sym_DOT] = ACTIONS(4565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4567),
    [anon_sym_LBRACK] = ACTIONS(4567),
    [aux_sym_boolean_literal_token1] = ACTIONS(4567),
    [aux_sym_boolean_literal_token2] = ACTIONS(4567),
    [aux_sym_null_literal_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token2] = ACTIONS(4565),
    [aux_sym_coarray_statement_token6] = ACTIONS(4565),
    [aux_sym_coarray_statement_token8] = ACTIONS(4565),
    [aux_sym_coarray_statement_token11] = ACTIONS(4565),
    [aux_sym_coarray_statement_token12] = ACTIONS(4565),
    [aux_sym_coarray_statement_token13] = ACTIONS(4565),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4565),
    [aux_sym_identifier_token1] = ACTIONS(4565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4567),
    [sym__float_literal] = ACTIONS(4567),
    [sym__boz_literal] = ACTIONS(4567),
    [sym__string_literal] = ACTIONS(4567),
    [sym__string_literal_kind] = ACTIONS(4567),
  },
  [886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4569),
    [aux_sym_preproc_def_token1] = ACTIONS(4569),
    [aux_sym_preproc_if_token1] = ACTIONS(4569),
    [aux_sym_preproc_if_token2] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4569),
    [aux_sym_preproc_else_token1] = ACTIONS(4569),
    [aux_sym_preproc_elif_token1] = ACTIONS(4569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4569),
    [sym_preproc_directive] = ACTIONS(4569),
    [anon_sym_LPAREN2] = ACTIONS(4569),
    [anon_sym_PLUS] = ACTIONS(4571),
    [anon_sym_DASH] = ACTIONS(4571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token2] = ACTIONS(4569),
    [aux_sym_module_statement_token1] = ACTIONS(4569),
    [aux_sym_submodule_statement_token1] = ACTIONS(4569),
    [aux_sym_interface_statement_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4569),
    [aux_sym_function_statement_token1] = ACTIONS(4569),
    [aux_sym_language_binding_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4569),
    [aux_sym_contains_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token2] = ACTIONS(4569),
    [aux_sym_implicit_statement_token1] = ACTIONS(4569),
    [aux_sym_implicit_statement_token3] = ACTIONS(4569),
    [aux_sym_implicit_statement_token4] = ACTIONS(4569),
    [aux_sym_save_statement_token1] = ACTIONS(4569),
    [aux_sym_private_statement_token1] = ACTIONS(4569),
    [aux_sym_public_statement_token1] = ACTIONS(4569),
    [aux_sym_namelist_statement_token1] = ACTIONS(4569),
    [aux_sym_common_statement_token1] = ACTIONS(4569),
    [aux_sym_import_statement_token1] = ACTIONS(4569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4569),
    [aux_sym_variable_attributes_token1] = ACTIONS(4569),
    [aux_sym_variable_attributes_token2] = ACTIONS(4569),
    [aux_sym_variable_attributes_token3] = ACTIONS(4569),
    [aux_sym_variable_attributes_token4] = ACTIONS(4569),
    [aux_sym_variable_attributes_token5] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4569),
    [aux_sym_derived_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4569),
    [aux_sym_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4569),
    [anon_sym_SEMI] = ACTIONS(4571),
    [aux_sym_stop_statement_token1] = ACTIONS(4569),
    [aux_sym_stop_statement_token2] = ACTIONS(4569),
    [aux_sym_subroutine_call_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token2] = ACTIONS(4569),
    [aux_sym_keyword_statement_token3] = ACTIONS(4569),
    [aux_sym_keyword_statement_token4] = ACTIONS(4569),
    [aux_sym_keyword_statement_token6] = ACTIONS(4569),
    [aux_sym_keyword_statement_token7] = ACTIONS(4569),
    [aux_sym_include_statement_token1] = ACTIONS(4569),
    [aux_sym_data_statement_token1] = ACTIONS(4569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4569),
    [aux_sym_end_if_statement_token1] = ACTIONS(4569),
    [aux_sym_elseif_clause_token2] = ACTIONS(4569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token3] = ACTIONS(4569),
    [aux_sym_select_type_statement_token1] = ACTIONS(4569),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4569),
    [aux_sym_block_construct_token1] = ACTIONS(4569),
    [aux_sym_associate_statement_token1] = ACTIONS(4569),
    [aux_sym_format_statement_token1] = ACTIONS(4569),
    [aux_sym_print_statement_token1] = ACTIONS(4569),
    [aux_sym_open_statement_token1] = ACTIONS(4569),
    [aux_sym_close_statement_token1] = ACTIONS(4569),
    [aux_sym_inquire_statement_token1] = ACTIONS(4569),
    [aux_sym_enum_statement_token1] = ACTIONS(4569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token2] = ACTIONS(4569),
    [aux_sym_file_position_statement_token3] = ACTIONS(4569),
    [aux_sym_file_position_statement_token4] = ACTIONS(4569),
    [aux_sym_allocate_statement_token1] = ACTIONS(4569),
    [aux_sym_entry_statement_token1] = ACTIONS(4569),
    [aux_sym_logical_expression_token5] = ACTIONS(4571),
    [anon_sym_DOT] = ACTIONS(4569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4571),
    [anon_sym_LBRACK] = ACTIONS(4571),
    [aux_sym_boolean_literal_token1] = ACTIONS(4571),
    [aux_sym_boolean_literal_token2] = ACTIONS(4571),
    [aux_sym_null_literal_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token2] = ACTIONS(4569),
    [aux_sym_coarray_statement_token6] = ACTIONS(4569),
    [aux_sym_coarray_statement_token8] = ACTIONS(4569),
    [aux_sym_coarray_statement_token11] = ACTIONS(4569),
    [aux_sym_coarray_statement_token12] = ACTIONS(4569),
    [aux_sym_coarray_statement_token13] = ACTIONS(4569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4569),
    [aux_sym_identifier_token1] = ACTIONS(4569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4571),
    [sym__float_literal] = ACTIONS(4571),
    [sym__boz_literal] = ACTIONS(4571),
    [sym__string_literal] = ACTIONS(4571),
    [sym__string_literal_kind] = ACTIONS(4571),
  },
  [887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4573),
    [aux_sym_preproc_def_token1] = ACTIONS(4573),
    [aux_sym_preproc_if_token1] = ACTIONS(4573),
    [aux_sym_preproc_if_token2] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4573),
    [aux_sym_preproc_else_token1] = ACTIONS(4573),
    [aux_sym_preproc_elif_token1] = ACTIONS(4573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4573),
    [sym_preproc_directive] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_PLUS] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token2] = ACTIONS(4573),
    [aux_sym_module_statement_token1] = ACTIONS(4573),
    [aux_sym_submodule_statement_token1] = ACTIONS(4573),
    [aux_sym_interface_statement_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4573),
    [aux_sym_function_statement_token1] = ACTIONS(4573),
    [aux_sym_language_binding_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4573),
    [aux_sym_contains_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token2] = ACTIONS(4573),
    [aux_sym_implicit_statement_token1] = ACTIONS(4573),
    [aux_sym_implicit_statement_token3] = ACTIONS(4573),
    [aux_sym_implicit_statement_token4] = ACTIONS(4573),
    [aux_sym_save_statement_token1] = ACTIONS(4573),
    [aux_sym_private_statement_token1] = ACTIONS(4573),
    [aux_sym_public_statement_token1] = ACTIONS(4573),
    [aux_sym_namelist_statement_token1] = ACTIONS(4573),
    [aux_sym_common_statement_token1] = ACTIONS(4573),
    [aux_sym_import_statement_token1] = ACTIONS(4573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4573),
    [aux_sym_variable_attributes_token1] = ACTIONS(4573),
    [aux_sym_variable_attributes_token2] = ACTIONS(4573),
    [aux_sym_variable_attributes_token3] = ACTIONS(4573),
    [aux_sym_variable_attributes_token4] = ACTIONS(4573),
    [aux_sym_variable_attributes_token5] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4573),
    [aux_sym_derived_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4573),
    [aux_sym_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4575),
    [aux_sym_stop_statement_token1] = ACTIONS(4573),
    [aux_sym_stop_statement_token2] = ACTIONS(4573),
    [aux_sym_subroutine_call_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token2] = ACTIONS(4573),
    [aux_sym_keyword_statement_token3] = ACTIONS(4573),
    [aux_sym_keyword_statement_token4] = ACTIONS(4573),
    [aux_sym_keyword_statement_token6] = ACTIONS(4573),
    [aux_sym_keyword_statement_token7] = ACTIONS(4573),
    [aux_sym_include_statement_token1] = ACTIONS(4573),
    [aux_sym_data_statement_token1] = ACTIONS(4573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4573),
    [aux_sym_end_if_statement_token1] = ACTIONS(4573),
    [aux_sym_elseif_clause_token2] = ACTIONS(4573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token3] = ACTIONS(4573),
    [aux_sym_select_type_statement_token1] = ACTIONS(4573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4573),
    [aux_sym_block_construct_token1] = ACTIONS(4573),
    [aux_sym_associate_statement_token1] = ACTIONS(4573),
    [aux_sym_format_statement_token1] = ACTIONS(4573),
    [aux_sym_print_statement_token1] = ACTIONS(4573),
    [aux_sym_open_statement_token1] = ACTIONS(4573),
    [aux_sym_close_statement_token1] = ACTIONS(4573),
    [aux_sym_inquire_statement_token1] = ACTIONS(4573),
    [aux_sym_enum_statement_token1] = ACTIONS(4573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token2] = ACTIONS(4573),
    [aux_sym_file_position_statement_token3] = ACTIONS(4573),
    [aux_sym_file_position_statement_token4] = ACTIONS(4573),
    [aux_sym_allocate_statement_token1] = ACTIONS(4573),
    [aux_sym_entry_statement_token1] = ACTIONS(4573),
    [aux_sym_logical_expression_token5] = ACTIONS(4575),
    [anon_sym_DOT] = ACTIONS(4573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4575),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [aux_sym_boolean_literal_token1] = ACTIONS(4575),
    [aux_sym_boolean_literal_token2] = ACTIONS(4575),
    [aux_sym_null_literal_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token2] = ACTIONS(4573),
    [aux_sym_coarray_statement_token6] = ACTIONS(4573),
    [aux_sym_coarray_statement_token8] = ACTIONS(4573),
    [aux_sym_coarray_statement_token11] = ACTIONS(4573),
    [aux_sym_coarray_statement_token12] = ACTIONS(4573),
    [aux_sym_coarray_statement_token13] = ACTIONS(4573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4573),
    [aux_sym_identifier_token1] = ACTIONS(4573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4575),
    [sym__float_literal] = ACTIONS(4575),
    [sym__boz_literal] = ACTIONS(4575),
    [sym__string_literal] = ACTIONS(4575),
    [sym__string_literal_kind] = ACTIONS(4575),
  },
  [888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4577),
    [aux_sym_preproc_def_token1] = ACTIONS(4577),
    [aux_sym_preproc_if_token1] = ACTIONS(4577),
    [aux_sym_preproc_if_token2] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4577),
    [aux_sym_preproc_else_token1] = ACTIONS(4577),
    [aux_sym_preproc_elif_token1] = ACTIONS(4577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4577),
    [sym_preproc_directive] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_PLUS] = ACTIONS(4579),
    [anon_sym_DASH] = ACTIONS(4579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token2] = ACTIONS(4577),
    [aux_sym_module_statement_token1] = ACTIONS(4577),
    [aux_sym_submodule_statement_token1] = ACTIONS(4577),
    [aux_sym_interface_statement_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4577),
    [aux_sym_function_statement_token1] = ACTIONS(4577),
    [aux_sym_language_binding_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4577),
    [aux_sym_contains_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token2] = ACTIONS(4577),
    [aux_sym_implicit_statement_token1] = ACTIONS(4577),
    [aux_sym_implicit_statement_token3] = ACTIONS(4577),
    [aux_sym_implicit_statement_token4] = ACTIONS(4577),
    [aux_sym_save_statement_token1] = ACTIONS(4577),
    [aux_sym_private_statement_token1] = ACTIONS(4577),
    [aux_sym_public_statement_token1] = ACTIONS(4577),
    [aux_sym_namelist_statement_token1] = ACTIONS(4577),
    [aux_sym_common_statement_token1] = ACTIONS(4577),
    [aux_sym_import_statement_token1] = ACTIONS(4577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4577),
    [aux_sym_variable_attributes_token1] = ACTIONS(4577),
    [aux_sym_variable_attributes_token2] = ACTIONS(4577),
    [aux_sym_variable_attributes_token3] = ACTIONS(4577),
    [aux_sym_variable_attributes_token4] = ACTIONS(4577),
    [aux_sym_variable_attributes_token5] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4577),
    [aux_sym_derived_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4577),
    [aux_sym_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4577),
    [anon_sym_SEMI] = ACTIONS(4579),
    [aux_sym_stop_statement_token1] = ACTIONS(4577),
    [aux_sym_stop_statement_token2] = ACTIONS(4577),
    [aux_sym_subroutine_call_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token2] = ACTIONS(4577),
    [aux_sym_keyword_statement_token3] = ACTIONS(4577),
    [aux_sym_keyword_statement_token4] = ACTIONS(4577),
    [aux_sym_keyword_statement_token6] = ACTIONS(4577),
    [aux_sym_keyword_statement_token7] = ACTIONS(4577),
    [aux_sym_include_statement_token1] = ACTIONS(4577),
    [aux_sym_data_statement_token1] = ACTIONS(4577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4577),
    [aux_sym_end_if_statement_token1] = ACTIONS(4577),
    [aux_sym_elseif_clause_token2] = ACTIONS(4577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token3] = ACTIONS(4577),
    [aux_sym_select_type_statement_token1] = ACTIONS(4577),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4577),
    [aux_sym_block_construct_token1] = ACTIONS(4577),
    [aux_sym_associate_statement_token1] = ACTIONS(4577),
    [aux_sym_format_statement_token1] = ACTIONS(4577),
    [aux_sym_print_statement_token1] = ACTIONS(4577),
    [aux_sym_open_statement_token1] = ACTIONS(4577),
    [aux_sym_close_statement_token1] = ACTIONS(4577),
    [aux_sym_inquire_statement_token1] = ACTIONS(4577),
    [aux_sym_enum_statement_token1] = ACTIONS(4577),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token2] = ACTIONS(4577),
    [aux_sym_file_position_statement_token3] = ACTIONS(4577),
    [aux_sym_file_position_statement_token4] = ACTIONS(4577),
    [aux_sym_allocate_statement_token1] = ACTIONS(4577),
    [aux_sym_entry_statement_token1] = ACTIONS(4577),
    [aux_sym_logical_expression_token5] = ACTIONS(4579),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4579),
    [anon_sym_LBRACK] = ACTIONS(4579),
    [aux_sym_boolean_literal_token1] = ACTIONS(4579),
    [aux_sym_boolean_literal_token2] = ACTIONS(4579),
    [aux_sym_null_literal_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token2] = ACTIONS(4577),
    [aux_sym_coarray_statement_token6] = ACTIONS(4577),
    [aux_sym_coarray_statement_token8] = ACTIONS(4577),
    [aux_sym_coarray_statement_token11] = ACTIONS(4577),
    [aux_sym_coarray_statement_token12] = ACTIONS(4577),
    [aux_sym_coarray_statement_token13] = ACTIONS(4577),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4577),
    [aux_sym_identifier_token1] = ACTIONS(4577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4579),
    [sym__float_literal] = ACTIONS(4579),
    [sym__boz_literal] = ACTIONS(4579),
    [sym__string_literal] = ACTIONS(4579),
    [sym__string_literal_kind] = ACTIONS(4579),
  },
  [889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4581),
    [aux_sym_preproc_def_token1] = ACTIONS(4581),
    [aux_sym_preproc_if_token1] = ACTIONS(4581),
    [aux_sym_preproc_if_token2] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4581),
    [aux_sym_preproc_else_token1] = ACTIONS(4581),
    [aux_sym_preproc_elif_token1] = ACTIONS(4581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4581),
    [sym_preproc_directive] = ACTIONS(4581),
    [anon_sym_LPAREN2] = ACTIONS(4581),
    [anon_sym_PLUS] = ACTIONS(4583),
    [anon_sym_DASH] = ACTIONS(4583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token2] = ACTIONS(4581),
    [aux_sym_module_statement_token1] = ACTIONS(4581),
    [aux_sym_submodule_statement_token1] = ACTIONS(4581),
    [aux_sym_interface_statement_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4581),
    [aux_sym_function_statement_token1] = ACTIONS(4581),
    [aux_sym_language_binding_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4581),
    [aux_sym_contains_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token2] = ACTIONS(4581),
    [aux_sym_implicit_statement_token1] = ACTIONS(4581),
    [aux_sym_implicit_statement_token3] = ACTIONS(4581),
    [aux_sym_implicit_statement_token4] = ACTIONS(4581),
    [aux_sym_save_statement_token1] = ACTIONS(4581),
    [aux_sym_private_statement_token1] = ACTIONS(4581),
    [aux_sym_public_statement_token1] = ACTIONS(4581),
    [aux_sym_namelist_statement_token1] = ACTIONS(4581),
    [aux_sym_common_statement_token1] = ACTIONS(4581),
    [aux_sym_import_statement_token1] = ACTIONS(4581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4581),
    [aux_sym_variable_attributes_token1] = ACTIONS(4581),
    [aux_sym_variable_attributes_token2] = ACTIONS(4581),
    [aux_sym_variable_attributes_token3] = ACTIONS(4581),
    [aux_sym_variable_attributes_token4] = ACTIONS(4581),
    [aux_sym_variable_attributes_token5] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4581),
    [aux_sym_derived_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4581),
    [aux_sym_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4581),
    [anon_sym_SEMI] = ACTIONS(4583),
    [aux_sym_stop_statement_token1] = ACTIONS(4581),
    [aux_sym_stop_statement_token2] = ACTIONS(4581),
    [aux_sym_subroutine_call_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token2] = ACTIONS(4581),
    [aux_sym_keyword_statement_token3] = ACTIONS(4581),
    [aux_sym_keyword_statement_token4] = ACTIONS(4581),
    [aux_sym_keyword_statement_token6] = ACTIONS(4581),
    [aux_sym_keyword_statement_token7] = ACTIONS(4581),
    [aux_sym_include_statement_token1] = ACTIONS(4581),
    [aux_sym_data_statement_token1] = ACTIONS(4581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4581),
    [aux_sym_end_if_statement_token1] = ACTIONS(4581),
    [aux_sym_elseif_clause_token2] = ACTIONS(4581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token3] = ACTIONS(4581),
    [aux_sym_select_type_statement_token1] = ACTIONS(4581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4581),
    [aux_sym_block_construct_token1] = ACTIONS(4581),
    [aux_sym_associate_statement_token1] = ACTIONS(4581),
    [aux_sym_format_statement_token1] = ACTIONS(4581),
    [aux_sym_print_statement_token1] = ACTIONS(4581),
    [aux_sym_open_statement_token1] = ACTIONS(4581),
    [aux_sym_close_statement_token1] = ACTIONS(4581),
    [aux_sym_inquire_statement_token1] = ACTIONS(4581),
    [aux_sym_enum_statement_token1] = ACTIONS(4581),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token2] = ACTIONS(4581),
    [aux_sym_file_position_statement_token3] = ACTIONS(4581),
    [aux_sym_file_position_statement_token4] = ACTIONS(4581),
    [aux_sym_allocate_statement_token1] = ACTIONS(4581),
    [aux_sym_entry_statement_token1] = ACTIONS(4581),
    [aux_sym_logical_expression_token5] = ACTIONS(4583),
    [anon_sym_DOT] = ACTIONS(4581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4583),
    [anon_sym_LBRACK] = ACTIONS(4583),
    [aux_sym_boolean_literal_token1] = ACTIONS(4583),
    [aux_sym_boolean_literal_token2] = ACTIONS(4583),
    [aux_sym_null_literal_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token2] = ACTIONS(4581),
    [aux_sym_coarray_statement_token6] = ACTIONS(4581),
    [aux_sym_coarray_statement_token8] = ACTIONS(4581),
    [aux_sym_coarray_statement_token11] = ACTIONS(4581),
    [aux_sym_coarray_statement_token12] = ACTIONS(4581),
    [aux_sym_coarray_statement_token13] = ACTIONS(4581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4581),
    [aux_sym_identifier_token1] = ACTIONS(4581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4583),
    [sym__float_literal] = ACTIONS(4583),
    [sym__boz_literal] = ACTIONS(4583),
    [sym__string_literal] = ACTIONS(4583),
    [sym__string_literal_kind] = ACTIONS(4583),
  },
  [890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4585),
    [aux_sym_preproc_def_token1] = ACTIONS(4585),
    [aux_sym_preproc_if_token1] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4585),
    [aux_sym_preproc_else_token1] = ACTIONS(4585),
    [aux_sym_preproc_elif_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4585),
    [sym_preproc_directive] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token2] = ACTIONS(4585),
    [aux_sym_module_statement_token1] = ACTIONS(4585),
    [aux_sym_submodule_statement_token1] = ACTIONS(4585),
    [aux_sym_interface_statement_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4585),
    [aux_sym_function_statement_token1] = ACTIONS(4585),
    [aux_sym_language_binding_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4585),
    [aux_sym_contains_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token2] = ACTIONS(4585),
    [aux_sym_implicit_statement_token1] = ACTIONS(4585),
    [aux_sym_implicit_statement_token3] = ACTIONS(4585),
    [aux_sym_implicit_statement_token4] = ACTIONS(4585),
    [aux_sym_save_statement_token1] = ACTIONS(4585),
    [aux_sym_private_statement_token1] = ACTIONS(4585),
    [aux_sym_public_statement_token1] = ACTIONS(4585),
    [aux_sym_namelist_statement_token1] = ACTIONS(4585),
    [aux_sym_common_statement_token1] = ACTIONS(4585),
    [aux_sym_import_statement_token1] = ACTIONS(4585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4585),
    [aux_sym_variable_attributes_token1] = ACTIONS(4585),
    [aux_sym_variable_attributes_token2] = ACTIONS(4585),
    [aux_sym_variable_attributes_token3] = ACTIONS(4585),
    [aux_sym_variable_attributes_token4] = ACTIONS(4585),
    [aux_sym_variable_attributes_token5] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4585),
    [aux_sym_derived_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4585),
    [aux_sym_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4585),
    [anon_sym_SEMI] = ACTIONS(4587),
    [aux_sym_stop_statement_token1] = ACTIONS(4585),
    [aux_sym_stop_statement_token2] = ACTIONS(4585),
    [aux_sym_subroutine_call_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token2] = ACTIONS(4585),
    [aux_sym_keyword_statement_token3] = ACTIONS(4585),
    [aux_sym_keyword_statement_token4] = ACTIONS(4585),
    [aux_sym_keyword_statement_token6] = ACTIONS(4585),
    [aux_sym_keyword_statement_token7] = ACTIONS(4585),
    [aux_sym_include_statement_token1] = ACTIONS(4585),
    [aux_sym_data_statement_token1] = ACTIONS(4585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4585),
    [aux_sym_end_if_statement_token1] = ACTIONS(4585),
    [aux_sym_elseif_clause_token2] = ACTIONS(4585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token3] = ACTIONS(4585),
    [aux_sym_select_type_statement_token1] = ACTIONS(4585),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4585),
    [aux_sym_block_construct_token1] = ACTIONS(4585),
    [aux_sym_associate_statement_token1] = ACTIONS(4585),
    [aux_sym_format_statement_token1] = ACTIONS(4585),
    [aux_sym_print_statement_token1] = ACTIONS(4585),
    [aux_sym_open_statement_token1] = ACTIONS(4585),
    [aux_sym_close_statement_token1] = ACTIONS(4585),
    [aux_sym_inquire_statement_token1] = ACTIONS(4585),
    [aux_sym_enum_statement_token1] = ACTIONS(4585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token2] = ACTIONS(4585),
    [aux_sym_file_position_statement_token3] = ACTIONS(4585),
    [aux_sym_file_position_statement_token4] = ACTIONS(4585),
    [aux_sym_allocate_statement_token1] = ACTIONS(4585),
    [aux_sym_entry_statement_token1] = ACTIONS(4585),
    [aux_sym_logical_expression_token5] = ACTIONS(4587),
    [anon_sym_DOT] = ACTIONS(4585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4587),
    [anon_sym_LBRACK] = ACTIONS(4587),
    [aux_sym_boolean_literal_token1] = ACTIONS(4587),
    [aux_sym_boolean_literal_token2] = ACTIONS(4587),
    [aux_sym_null_literal_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token2] = ACTIONS(4585),
    [aux_sym_coarray_statement_token6] = ACTIONS(4585),
    [aux_sym_coarray_statement_token8] = ACTIONS(4585),
    [aux_sym_coarray_statement_token11] = ACTIONS(4585),
    [aux_sym_coarray_statement_token12] = ACTIONS(4585),
    [aux_sym_coarray_statement_token13] = ACTIONS(4585),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4585),
    [aux_sym_identifier_token1] = ACTIONS(4585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4587),
    [sym__float_literal] = ACTIONS(4587),
    [sym__boz_literal] = ACTIONS(4587),
    [sym__string_literal] = ACTIONS(4587),
    [sym__string_literal_kind] = ACTIONS(4587),
  },
  [891] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4589),
    [aux_sym_preproc_def_token1] = ACTIONS(4589),
    [aux_sym_preproc_if_token1] = ACTIONS(4589),
    [aux_sym_preproc_if_token2] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4589),
    [aux_sym_preproc_else_token1] = ACTIONS(4589),
    [aux_sym_preproc_elif_token1] = ACTIONS(4589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4589),
    [sym_preproc_directive] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4589),
    [anon_sym_PLUS] = ACTIONS(4591),
    [anon_sym_DASH] = ACTIONS(4591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token2] = ACTIONS(4589),
    [aux_sym_module_statement_token1] = ACTIONS(4589),
    [aux_sym_submodule_statement_token1] = ACTIONS(4589),
    [aux_sym_interface_statement_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4589),
    [aux_sym_function_statement_token1] = ACTIONS(4589),
    [aux_sym_language_binding_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4589),
    [aux_sym_contains_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token2] = ACTIONS(4589),
    [aux_sym_implicit_statement_token1] = ACTIONS(4589),
    [aux_sym_implicit_statement_token3] = ACTIONS(4589),
    [aux_sym_implicit_statement_token4] = ACTIONS(4589),
    [aux_sym_save_statement_token1] = ACTIONS(4589),
    [aux_sym_private_statement_token1] = ACTIONS(4589),
    [aux_sym_public_statement_token1] = ACTIONS(4589),
    [aux_sym_namelist_statement_token1] = ACTIONS(4589),
    [aux_sym_common_statement_token1] = ACTIONS(4589),
    [aux_sym_import_statement_token1] = ACTIONS(4589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4589),
    [aux_sym_variable_attributes_token1] = ACTIONS(4589),
    [aux_sym_variable_attributes_token2] = ACTIONS(4589),
    [aux_sym_variable_attributes_token3] = ACTIONS(4589),
    [aux_sym_variable_attributes_token4] = ACTIONS(4589),
    [aux_sym_variable_attributes_token5] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4589),
    [aux_sym_derived_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4589),
    [aux_sym_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4589),
    [anon_sym_SEMI] = ACTIONS(4591),
    [aux_sym_stop_statement_token1] = ACTIONS(4589),
    [aux_sym_stop_statement_token2] = ACTIONS(4589),
    [aux_sym_subroutine_call_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token2] = ACTIONS(4589),
    [aux_sym_keyword_statement_token3] = ACTIONS(4589),
    [aux_sym_keyword_statement_token4] = ACTIONS(4589),
    [aux_sym_keyword_statement_token6] = ACTIONS(4589),
    [aux_sym_keyword_statement_token7] = ACTIONS(4589),
    [aux_sym_include_statement_token1] = ACTIONS(4589),
    [aux_sym_data_statement_token1] = ACTIONS(4589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4589),
    [aux_sym_end_if_statement_token1] = ACTIONS(4589),
    [aux_sym_elseif_clause_token2] = ACTIONS(4589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token3] = ACTIONS(4589),
    [aux_sym_select_type_statement_token1] = ACTIONS(4589),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4589),
    [aux_sym_block_construct_token1] = ACTIONS(4589),
    [aux_sym_associate_statement_token1] = ACTIONS(4589),
    [aux_sym_format_statement_token1] = ACTIONS(4589),
    [aux_sym_print_statement_token1] = ACTIONS(4589),
    [aux_sym_open_statement_token1] = ACTIONS(4589),
    [aux_sym_close_statement_token1] = ACTIONS(4589),
    [aux_sym_inquire_statement_token1] = ACTIONS(4589),
    [aux_sym_enum_statement_token1] = ACTIONS(4589),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token2] = ACTIONS(4589),
    [aux_sym_file_position_statement_token3] = ACTIONS(4589),
    [aux_sym_file_position_statement_token4] = ACTIONS(4589),
    [aux_sym_allocate_statement_token1] = ACTIONS(4589),
    [aux_sym_entry_statement_token1] = ACTIONS(4589),
    [aux_sym_logical_expression_token5] = ACTIONS(4591),
    [anon_sym_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4591),
    [anon_sym_LBRACK] = ACTIONS(4591),
    [aux_sym_boolean_literal_token1] = ACTIONS(4591),
    [aux_sym_boolean_literal_token2] = ACTIONS(4591),
    [aux_sym_null_literal_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token2] = ACTIONS(4589),
    [aux_sym_coarray_statement_token6] = ACTIONS(4589),
    [aux_sym_coarray_statement_token8] = ACTIONS(4589),
    [aux_sym_coarray_statement_token11] = ACTIONS(4589),
    [aux_sym_coarray_statement_token12] = ACTIONS(4589),
    [aux_sym_coarray_statement_token13] = ACTIONS(4589),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4589),
    [aux_sym_identifier_token1] = ACTIONS(4589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4591),
    [sym__float_literal] = ACTIONS(4591),
    [sym__boz_literal] = ACTIONS(4591),
    [sym__string_literal] = ACTIONS(4591),
    [sym__string_literal_kind] = ACTIONS(4591),
  },
  [892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4593),
    [aux_sym_preproc_def_token1] = ACTIONS(4593),
    [aux_sym_preproc_if_token1] = ACTIONS(4593),
    [aux_sym_preproc_if_token2] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4593),
    [aux_sym_preproc_else_token1] = ACTIONS(4593),
    [aux_sym_preproc_elif_token1] = ACTIONS(4593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4593),
    [sym_preproc_directive] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(4593),
    [anon_sym_PLUS] = ACTIONS(4595),
    [anon_sym_DASH] = ACTIONS(4595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token2] = ACTIONS(4593),
    [aux_sym_module_statement_token1] = ACTIONS(4593),
    [aux_sym_submodule_statement_token1] = ACTIONS(4593),
    [aux_sym_interface_statement_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4593),
    [aux_sym_function_statement_token1] = ACTIONS(4593),
    [aux_sym_language_binding_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4593),
    [aux_sym_contains_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token2] = ACTIONS(4593),
    [aux_sym_implicit_statement_token1] = ACTIONS(4593),
    [aux_sym_implicit_statement_token3] = ACTIONS(4593),
    [aux_sym_implicit_statement_token4] = ACTIONS(4593),
    [aux_sym_save_statement_token1] = ACTIONS(4593),
    [aux_sym_private_statement_token1] = ACTIONS(4593),
    [aux_sym_public_statement_token1] = ACTIONS(4593),
    [aux_sym_namelist_statement_token1] = ACTIONS(4593),
    [aux_sym_common_statement_token1] = ACTIONS(4593),
    [aux_sym_import_statement_token1] = ACTIONS(4593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4593),
    [aux_sym_variable_attributes_token1] = ACTIONS(4593),
    [aux_sym_variable_attributes_token2] = ACTIONS(4593),
    [aux_sym_variable_attributes_token3] = ACTIONS(4593),
    [aux_sym_variable_attributes_token4] = ACTIONS(4593),
    [aux_sym_variable_attributes_token5] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4593),
    [aux_sym_derived_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4593),
    [aux_sym_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4593),
    [anon_sym_SEMI] = ACTIONS(4595),
    [aux_sym_stop_statement_token1] = ACTIONS(4593),
    [aux_sym_stop_statement_token2] = ACTIONS(4593),
    [aux_sym_subroutine_call_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token2] = ACTIONS(4593),
    [aux_sym_keyword_statement_token3] = ACTIONS(4593),
    [aux_sym_keyword_statement_token4] = ACTIONS(4593),
    [aux_sym_keyword_statement_token6] = ACTIONS(4593),
    [aux_sym_keyword_statement_token7] = ACTIONS(4593),
    [aux_sym_include_statement_token1] = ACTIONS(4593),
    [aux_sym_data_statement_token1] = ACTIONS(4593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4593),
    [aux_sym_end_if_statement_token1] = ACTIONS(4593),
    [aux_sym_elseif_clause_token2] = ACTIONS(4593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token3] = ACTIONS(4593),
    [aux_sym_select_type_statement_token1] = ACTIONS(4593),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4593),
    [aux_sym_block_construct_token1] = ACTIONS(4593),
    [aux_sym_associate_statement_token1] = ACTIONS(4593),
    [aux_sym_format_statement_token1] = ACTIONS(4593),
    [aux_sym_print_statement_token1] = ACTIONS(4593),
    [aux_sym_open_statement_token1] = ACTIONS(4593),
    [aux_sym_close_statement_token1] = ACTIONS(4593),
    [aux_sym_inquire_statement_token1] = ACTIONS(4593),
    [aux_sym_enum_statement_token1] = ACTIONS(4593),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token2] = ACTIONS(4593),
    [aux_sym_file_position_statement_token3] = ACTIONS(4593),
    [aux_sym_file_position_statement_token4] = ACTIONS(4593),
    [aux_sym_allocate_statement_token1] = ACTIONS(4593),
    [aux_sym_entry_statement_token1] = ACTIONS(4593),
    [aux_sym_logical_expression_token5] = ACTIONS(4595),
    [anon_sym_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4595),
    [anon_sym_LBRACK] = ACTIONS(4595),
    [aux_sym_boolean_literal_token1] = ACTIONS(4595),
    [aux_sym_boolean_literal_token2] = ACTIONS(4595),
    [aux_sym_null_literal_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token2] = ACTIONS(4593),
    [aux_sym_coarray_statement_token6] = ACTIONS(4593),
    [aux_sym_coarray_statement_token8] = ACTIONS(4593),
    [aux_sym_coarray_statement_token11] = ACTIONS(4593),
    [aux_sym_coarray_statement_token12] = ACTIONS(4593),
    [aux_sym_coarray_statement_token13] = ACTIONS(4593),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4593),
    [aux_sym_identifier_token1] = ACTIONS(4593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4595),
    [sym__float_literal] = ACTIONS(4595),
    [sym__boz_literal] = ACTIONS(4595),
    [sym__string_literal] = ACTIONS(4595),
    [sym__string_literal_kind] = ACTIONS(4595),
  },
  [893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [aux_sym_preproc_else_token1] = ACTIONS(4361),
    [aux_sym_preproc_elif_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [894] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [aux_sym_preproc_else_token1] = ACTIONS(4373),
    [aux_sym_preproc_elif_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4597),
    [aux_sym_preproc_def_token1] = ACTIONS(4597),
    [aux_sym_preproc_if_token1] = ACTIONS(4597),
    [aux_sym_preproc_if_token2] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4597),
    [aux_sym_preproc_else_token1] = ACTIONS(4597),
    [aux_sym_preproc_elif_token1] = ACTIONS(4597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4597),
    [sym_preproc_directive] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_PLUS] = ACTIONS(4599),
    [anon_sym_DASH] = ACTIONS(4599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token2] = ACTIONS(4597),
    [aux_sym_module_statement_token1] = ACTIONS(4597),
    [aux_sym_submodule_statement_token1] = ACTIONS(4597),
    [aux_sym_interface_statement_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4597),
    [aux_sym_function_statement_token1] = ACTIONS(4597),
    [aux_sym_language_binding_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4597),
    [aux_sym_contains_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token2] = ACTIONS(4597),
    [aux_sym_implicit_statement_token1] = ACTIONS(4597),
    [aux_sym_implicit_statement_token3] = ACTIONS(4597),
    [aux_sym_implicit_statement_token4] = ACTIONS(4597),
    [aux_sym_save_statement_token1] = ACTIONS(4597),
    [aux_sym_private_statement_token1] = ACTIONS(4597),
    [aux_sym_public_statement_token1] = ACTIONS(4597),
    [aux_sym_namelist_statement_token1] = ACTIONS(4597),
    [aux_sym_common_statement_token1] = ACTIONS(4597),
    [aux_sym_import_statement_token1] = ACTIONS(4597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4597),
    [aux_sym_variable_attributes_token1] = ACTIONS(4597),
    [aux_sym_variable_attributes_token2] = ACTIONS(4597),
    [aux_sym_variable_attributes_token3] = ACTIONS(4597),
    [aux_sym_variable_attributes_token4] = ACTIONS(4597),
    [aux_sym_variable_attributes_token5] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4597),
    [aux_sym_derived_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4597),
    [aux_sym_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4597),
    [anon_sym_SEMI] = ACTIONS(4599),
    [aux_sym_stop_statement_token1] = ACTIONS(4597),
    [aux_sym_stop_statement_token2] = ACTIONS(4597),
    [aux_sym_subroutine_call_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token2] = ACTIONS(4597),
    [aux_sym_keyword_statement_token3] = ACTIONS(4597),
    [aux_sym_keyword_statement_token4] = ACTIONS(4597),
    [aux_sym_keyword_statement_token6] = ACTIONS(4597),
    [aux_sym_keyword_statement_token7] = ACTIONS(4597),
    [aux_sym_include_statement_token1] = ACTIONS(4597),
    [aux_sym_data_statement_token1] = ACTIONS(4597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4597),
    [aux_sym_end_if_statement_token1] = ACTIONS(4597),
    [aux_sym_elseif_clause_token2] = ACTIONS(4597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token3] = ACTIONS(4597),
    [aux_sym_select_type_statement_token1] = ACTIONS(4597),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4597),
    [aux_sym_block_construct_token1] = ACTIONS(4597),
    [aux_sym_associate_statement_token1] = ACTIONS(4597),
    [aux_sym_format_statement_token1] = ACTIONS(4597),
    [aux_sym_print_statement_token1] = ACTIONS(4597),
    [aux_sym_open_statement_token1] = ACTIONS(4597),
    [aux_sym_close_statement_token1] = ACTIONS(4597),
    [aux_sym_inquire_statement_token1] = ACTIONS(4597),
    [aux_sym_enum_statement_token1] = ACTIONS(4597),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token2] = ACTIONS(4597),
    [aux_sym_file_position_statement_token3] = ACTIONS(4597),
    [aux_sym_file_position_statement_token4] = ACTIONS(4597),
    [aux_sym_allocate_statement_token1] = ACTIONS(4597),
    [aux_sym_entry_statement_token1] = ACTIONS(4597),
    [aux_sym_logical_expression_token5] = ACTIONS(4599),
    [anon_sym_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4599),
    [anon_sym_LBRACK] = ACTIONS(4599),
    [aux_sym_boolean_literal_token1] = ACTIONS(4599),
    [aux_sym_boolean_literal_token2] = ACTIONS(4599),
    [aux_sym_null_literal_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token2] = ACTIONS(4597),
    [aux_sym_coarray_statement_token6] = ACTIONS(4597),
    [aux_sym_coarray_statement_token8] = ACTIONS(4597),
    [aux_sym_coarray_statement_token11] = ACTIONS(4597),
    [aux_sym_coarray_statement_token12] = ACTIONS(4597),
    [aux_sym_coarray_statement_token13] = ACTIONS(4597),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4597),
    [aux_sym_identifier_token1] = ACTIONS(4597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4599),
    [sym__float_literal] = ACTIONS(4599),
    [sym__boz_literal] = ACTIONS(4599),
    [sym__string_literal] = ACTIONS(4599),
    [sym__string_literal_kind] = ACTIONS(4599),
  },
  [896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [aux_sym_preproc_else_token1] = ACTIONS(4601),
    [aux_sym_preproc_elif_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token2] = ACTIONS(4601),
    [aux_sym_module_statement_token1] = ACTIONS(4601),
    [aux_sym_submodule_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_function_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [aux_sym_preproc_else_token1] = ACTIONS(4605),
    [aux_sym_preproc_elif_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token2] = ACTIONS(4605),
    [aux_sym_module_statement_token1] = ACTIONS(4605),
    [aux_sym_submodule_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_function_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [aux_sym_preproc_else_token1] = ACTIONS(4609),
    [aux_sym_preproc_elif_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token2] = ACTIONS(4609),
    [aux_sym_module_statement_token1] = ACTIONS(4609),
    [aux_sym_submodule_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_function_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [aux_sym_preproc_else_token1] = ACTIONS(4613),
    [aux_sym_preproc_elif_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token2] = ACTIONS(4613),
    [aux_sym_module_statement_token1] = ACTIONS(4613),
    [aux_sym_submodule_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_function_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [aux_sym_preproc_else_token1] = ACTIONS(4617),
    [aux_sym_preproc_elif_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token2] = ACTIONS(4617),
    [aux_sym_module_statement_token1] = ACTIONS(4617),
    [aux_sym_submodule_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_function_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [aux_sym_preproc_else_token1] = ACTIONS(4621),
    [aux_sym_preproc_elif_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token2] = ACTIONS(4621),
    [aux_sym_module_statement_token1] = ACTIONS(4621),
    [aux_sym_submodule_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_function_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4625),
    [aux_sym_preproc_def_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token2] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4625),
    [aux_sym_preproc_else_token1] = ACTIONS(4625),
    [aux_sym_preproc_elif_token1] = ACTIONS(4625),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4625),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4625),
    [sym_preproc_directive] = ACTIONS(4625),
    [anon_sym_LPAREN2] = ACTIONS(4625),
    [anon_sym_PLUS] = ACTIONS(4627),
    [anon_sym_DASH] = ACTIONS(4627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token2] = ACTIONS(4625),
    [aux_sym_module_statement_token1] = ACTIONS(4625),
    [aux_sym_submodule_statement_token1] = ACTIONS(4625),
    [aux_sym_interface_statement_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4625),
    [aux_sym_function_statement_token1] = ACTIONS(4625),
    [aux_sym_language_binding_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4625),
    [aux_sym_contains_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token2] = ACTIONS(4625),
    [aux_sym_implicit_statement_token1] = ACTIONS(4625),
    [aux_sym_implicit_statement_token3] = ACTIONS(4625),
    [aux_sym_implicit_statement_token4] = ACTIONS(4625),
    [aux_sym_save_statement_token1] = ACTIONS(4625),
    [aux_sym_private_statement_token1] = ACTIONS(4625),
    [aux_sym_public_statement_token1] = ACTIONS(4625),
    [aux_sym_namelist_statement_token1] = ACTIONS(4625),
    [aux_sym_common_statement_token1] = ACTIONS(4625),
    [aux_sym_import_statement_token1] = ACTIONS(4625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4625),
    [aux_sym_variable_attributes_token1] = ACTIONS(4625),
    [aux_sym_variable_attributes_token2] = ACTIONS(4625),
    [aux_sym_variable_attributes_token3] = ACTIONS(4625),
    [aux_sym_variable_attributes_token4] = ACTIONS(4625),
    [aux_sym_variable_attributes_token5] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4625),
    [aux_sym_derived_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4625),
    [aux_sym_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4625),
    [anon_sym_SEMI] = ACTIONS(4627),
    [aux_sym_stop_statement_token1] = ACTIONS(4625),
    [aux_sym_stop_statement_token2] = ACTIONS(4625),
    [aux_sym_subroutine_call_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token2] = ACTIONS(4625),
    [aux_sym_keyword_statement_token3] = ACTIONS(4625),
    [aux_sym_keyword_statement_token4] = ACTIONS(4625),
    [aux_sym_keyword_statement_token6] = ACTIONS(4625),
    [aux_sym_keyword_statement_token7] = ACTIONS(4625),
    [aux_sym_include_statement_token1] = ACTIONS(4625),
    [aux_sym_data_statement_token1] = ACTIONS(4625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4625),
    [aux_sym_end_if_statement_token1] = ACTIONS(4625),
    [aux_sym_elseif_clause_token2] = ACTIONS(4625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token3] = ACTIONS(4625),
    [aux_sym_select_type_statement_token1] = ACTIONS(4625),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4625),
    [aux_sym_block_construct_token1] = ACTIONS(4625),
    [aux_sym_associate_statement_token1] = ACTIONS(4625),
    [aux_sym_format_statement_token1] = ACTIONS(4625),
    [aux_sym_print_statement_token1] = ACTIONS(4625),
    [aux_sym_open_statement_token1] = ACTIONS(4625),
    [aux_sym_close_statement_token1] = ACTIONS(4625),
    [aux_sym_inquire_statement_token1] = ACTIONS(4625),
    [aux_sym_enum_statement_token1] = ACTIONS(4625),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token2] = ACTIONS(4625),
    [aux_sym_file_position_statement_token3] = ACTIONS(4625),
    [aux_sym_file_position_statement_token4] = ACTIONS(4625),
    [aux_sym_allocate_statement_token1] = ACTIONS(4625),
    [aux_sym_entry_statement_token1] = ACTIONS(4625),
    [aux_sym_logical_expression_token5] = ACTIONS(4627),
    [anon_sym_DOT] = ACTIONS(4625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4627),
    [anon_sym_LBRACK] = ACTIONS(4627),
    [aux_sym_boolean_literal_token1] = ACTIONS(4627),
    [aux_sym_boolean_literal_token2] = ACTIONS(4627),
    [aux_sym_null_literal_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token2] = ACTIONS(4625),
    [aux_sym_coarray_statement_token6] = ACTIONS(4625),
    [aux_sym_coarray_statement_token8] = ACTIONS(4625),
    [aux_sym_coarray_statement_token11] = ACTIONS(4625),
    [aux_sym_coarray_statement_token12] = ACTIONS(4625),
    [aux_sym_coarray_statement_token13] = ACTIONS(4625),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4625),
    [aux_sym_identifier_token1] = ACTIONS(4625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4627),
    [sym__float_literal] = ACTIONS(4627),
    [sym__boz_literal] = ACTIONS(4627),
    [sym__string_literal] = ACTIONS(4627),
    [sym__string_literal_kind] = ACTIONS(4627),
  },
  [903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_module_statement_token1] = ACTIONS(4629),
    [aux_sym_submodule_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_function_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4633),
    [aux_sym_preproc_def_token1] = ACTIONS(4633),
    [aux_sym_preproc_if_token1] = ACTIONS(4633),
    [aux_sym_preproc_if_token2] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4633),
    [aux_sym_preproc_else_token1] = ACTIONS(4633),
    [aux_sym_preproc_elif_token1] = ACTIONS(4633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4633),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4633),
    [sym_preproc_directive] = ACTIONS(4633),
    [anon_sym_LPAREN2] = ACTIONS(4633),
    [anon_sym_PLUS] = ACTIONS(4635),
    [anon_sym_DASH] = ACTIONS(4635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token2] = ACTIONS(4633),
    [aux_sym_module_statement_token1] = ACTIONS(4633),
    [aux_sym_submodule_statement_token1] = ACTIONS(4633),
    [aux_sym_interface_statement_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4633),
    [aux_sym_function_statement_token1] = ACTIONS(4633),
    [aux_sym_language_binding_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4633),
    [aux_sym_contains_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token2] = ACTIONS(4633),
    [aux_sym_implicit_statement_token1] = ACTIONS(4633),
    [aux_sym_implicit_statement_token3] = ACTIONS(4633),
    [aux_sym_implicit_statement_token4] = ACTIONS(4633),
    [aux_sym_save_statement_token1] = ACTIONS(4633),
    [aux_sym_private_statement_token1] = ACTIONS(4633),
    [aux_sym_public_statement_token1] = ACTIONS(4633),
    [aux_sym_namelist_statement_token1] = ACTIONS(4633),
    [aux_sym_common_statement_token1] = ACTIONS(4633),
    [aux_sym_import_statement_token1] = ACTIONS(4633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4633),
    [aux_sym_variable_attributes_token1] = ACTIONS(4633),
    [aux_sym_variable_attributes_token2] = ACTIONS(4633),
    [aux_sym_variable_attributes_token3] = ACTIONS(4633),
    [aux_sym_variable_attributes_token4] = ACTIONS(4633),
    [aux_sym_variable_attributes_token5] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4633),
    [aux_sym_derived_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4633),
    [aux_sym_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4633),
    [anon_sym_SEMI] = ACTIONS(4635),
    [aux_sym_stop_statement_token1] = ACTIONS(4633),
    [aux_sym_stop_statement_token2] = ACTIONS(4633),
    [aux_sym_subroutine_call_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token2] = ACTIONS(4633),
    [aux_sym_keyword_statement_token3] = ACTIONS(4633),
    [aux_sym_keyword_statement_token4] = ACTIONS(4633),
    [aux_sym_keyword_statement_token6] = ACTIONS(4633),
    [aux_sym_keyword_statement_token7] = ACTIONS(4633),
    [aux_sym_include_statement_token1] = ACTIONS(4633),
    [aux_sym_data_statement_token1] = ACTIONS(4633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4633),
    [aux_sym_end_if_statement_token1] = ACTIONS(4633),
    [aux_sym_elseif_clause_token2] = ACTIONS(4633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token3] = ACTIONS(4633),
    [aux_sym_select_type_statement_token1] = ACTIONS(4633),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4633),
    [aux_sym_block_construct_token1] = ACTIONS(4633),
    [aux_sym_associate_statement_token1] = ACTIONS(4633),
    [aux_sym_format_statement_token1] = ACTIONS(4633),
    [aux_sym_print_statement_token1] = ACTIONS(4633),
    [aux_sym_open_statement_token1] = ACTIONS(4633),
    [aux_sym_close_statement_token1] = ACTIONS(4633),
    [aux_sym_inquire_statement_token1] = ACTIONS(4633),
    [aux_sym_enum_statement_token1] = ACTIONS(4633),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token2] = ACTIONS(4633),
    [aux_sym_file_position_statement_token3] = ACTIONS(4633),
    [aux_sym_file_position_statement_token4] = ACTIONS(4633),
    [aux_sym_allocate_statement_token1] = ACTIONS(4633),
    [aux_sym_entry_statement_token1] = ACTIONS(4633),
    [aux_sym_logical_expression_token5] = ACTIONS(4635),
    [anon_sym_DOT] = ACTIONS(4633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4635),
    [anon_sym_LBRACK] = ACTIONS(4635),
    [aux_sym_boolean_literal_token1] = ACTIONS(4635),
    [aux_sym_boolean_literal_token2] = ACTIONS(4635),
    [aux_sym_null_literal_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token2] = ACTIONS(4633),
    [aux_sym_coarray_statement_token6] = ACTIONS(4633),
    [aux_sym_coarray_statement_token8] = ACTIONS(4633),
    [aux_sym_coarray_statement_token11] = ACTIONS(4633),
    [aux_sym_coarray_statement_token12] = ACTIONS(4633),
    [aux_sym_coarray_statement_token13] = ACTIONS(4633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4633),
    [aux_sym_identifier_token1] = ACTIONS(4633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4635),
    [sym__float_literal] = ACTIONS(4635),
    [sym__boz_literal] = ACTIONS(4635),
    [sym__string_literal] = ACTIONS(4635),
    [sym__string_literal_kind] = ACTIONS(4635),
  },
  [905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_module_statement_token1] = ACTIONS(4637),
    [aux_sym_submodule_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_function_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4641),
    [aux_sym_preproc_def_token1] = ACTIONS(4641),
    [aux_sym_preproc_if_token1] = ACTIONS(4641),
    [aux_sym_preproc_if_token2] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4641),
    [aux_sym_preproc_else_token1] = ACTIONS(4641),
    [aux_sym_preproc_elif_token1] = ACTIONS(4641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4641),
    [sym_preproc_directive] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(4641),
    [anon_sym_PLUS] = ACTIONS(4643),
    [anon_sym_DASH] = ACTIONS(4643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token2] = ACTIONS(4641),
    [aux_sym_module_statement_token1] = ACTIONS(4641),
    [aux_sym_submodule_statement_token1] = ACTIONS(4641),
    [aux_sym_interface_statement_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4641),
    [aux_sym_function_statement_token1] = ACTIONS(4641),
    [aux_sym_language_binding_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4641),
    [aux_sym_contains_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token2] = ACTIONS(4641),
    [aux_sym_implicit_statement_token1] = ACTIONS(4641),
    [aux_sym_implicit_statement_token3] = ACTIONS(4641),
    [aux_sym_implicit_statement_token4] = ACTIONS(4641),
    [aux_sym_save_statement_token1] = ACTIONS(4641),
    [aux_sym_private_statement_token1] = ACTIONS(4641),
    [aux_sym_public_statement_token1] = ACTIONS(4641),
    [aux_sym_namelist_statement_token1] = ACTIONS(4641),
    [aux_sym_common_statement_token1] = ACTIONS(4641),
    [aux_sym_import_statement_token1] = ACTIONS(4641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4641),
    [aux_sym_variable_attributes_token1] = ACTIONS(4641),
    [aux_sym_variable_attributes_token2] = ACTIONS(4641),
    [aux_sym_variable_attributes_token3] = ACTIONS(4641),
    [aux_sym_variable_attributes_token4] = ACTIONS(4641),
    [aux_sym_variable_attributes_token5] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4641),
    [aux_sym_derived_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4641),
    [aux_sym_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4641),
    [anon_sym_SEMI] = ACTIONS(4643),
    [aux_sym_stop_statement_token1] = ACTIONS(4641),
    [aux_sym_stop_statement_token2] = ACTIONS(4641),
    [aux_sym_subroutine_call_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token2] = ACTIONS(4641),
    [aux_sym_keyword_statement_token3] = ACTIONS(4641),
    [aux_sym_keyword_statement_token4] = ACTIONS(4641),
    [aux_sym_keyword_statement_token6] = ACTIONS(4641),
    [aux_sym_keyword_statement_token7] = ACTIONS(4641),
    [aux_sym_include_statement_token1] = ACTIONS(4641),
    [aux_sym_data_statement_token1] = ACTIONS(4641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4641),
    [aux_sym_end_if_statement_token1] = ACTIONS(4641),
    [aux_sym_elseif_clause_token2] = ACTIONS(4641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token3] = ACTIONS(4641),
    [aux_sym_select_type_statement_token1] = ACTIONS(4641),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4641),
    [aux_sym_block_construct_token1] = ACTIONS(4641),
    [aux_sym_associate_statement_token1] = ACTIONS(4641),
    [aux_sym_format_statement_token1] = ACTIONS(4641),
    [aux_sym_print_statement_token1] = ACTIONS(4641),
    [aux_sym_open_statement_token1] = ACTIONS(4641),
    [aux_sym_close_statement_token1] = ACTIONS(4641),
    [aux_sym_inquire_statement_token1] = ACTIONS(4641),
    [aux_sym_enum_statement_token1] = ACTIONS(4641),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token2] = ACTIONS(4641),
    [aux_sym_file_position_statement_token3] = ACTIONS(4641),
    [aux_sym_file_position_statement_token4] = ACTIONS(4641),
    [aux_sym_allocate_statement_token1] = ACTIONS(4641),
    [aux_sym_entry_statement_token1] = ACTIONS(4641),
    [aux_sym_logical_expression_token5] = ACTIONS(4643),
    [anon_sym_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4643),
    [anon_sym_LBRACK] = ACTIONS(4643),
    [aux_sym_boolean_literal_token1] = ACTIONS(4643),
    [aux_sym_boolean_literal_token2] = ACTIONS(4643),
    [aux_sym_null_literal_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token2] = ACTIONS(4641),
    [aux_sym_coarray_statement_token6] = ACTIONS(4641),
    [aux_sym_coarray_statement_token8] = ACTIONS(4641),
    [aux_sym_coarray_statement_token11] = ACTIONS(4641),
    [aux_sym_coarray_statement_token12] = ACTIONS(4641),
    [aux_sym_coarray_statement_token13] = ACTIONS(4641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4641),
    [aux_sym_identifier_token1] = ACTIONS(4641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4643),
    [sym__float_literal] = ACTIONS(4643),
    [sym__boz_literal] = ACTIONS(4643),
    [sym__string_literal] = ACTIONS(4643),
    [sym__string_literal_kind] = ACTIONS(4643),
  },
  [907] = {
    [sym_preproc_include] = STATE(958),
    [sym_preproc_def] = STATE(958),
    [sym_preproc_function_def] = STATE(958),
    [sym_preproc_call] = STATE(958),
    [sym_preproc_else_in_module] = STATE(8530),
    [sym_preproc_elif_in_module] = STATE(8530),
    [sym_preproc_elifdef_in_module] = STATE(8530),
    [sym_interface] = STATE(958),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5972),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(958),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(958),
    [sym_public_statement] = STATE(958),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(958),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(958),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(958),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(958),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4649),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [sym_preproc_comment] = ACTIONS(4659),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [908] = {
    [sym_preproc_include] = STATE(917),
    [sym_preproc_def] = STATE(917),
    [sym_preproc_function_def] = STATE(917),
    [sym_preproc_call] = STATE(917),
    [sym_preproc_else_in_module] = STATE(7863),
    [sym_preproc_elif_in_module] = STATE(7863),
    [sym_preproc_elifdef_in_module] = STATE(7863),
    [sym_interface] = STATE(917),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5869),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(917),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(917),
    [sym_public_statement] = STATE(917),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(917),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(917),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(917),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(917),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4673),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [sym_preproc_comment] = ACTIONS(4675),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [909] = {
    [sym_preproc_include] = STATE(949),
    [sym_preproc_def] = STATE(949),
    [sym_preproc_function_def] = STATE(949),
    [sym_preproc_call] = STATE(949),
    [sym_preproc_else_in_module] = STATE(7774),
    [sym_preproc_elif_in_module] = STATE(7774),
    [sym_preproc_elifdef_in_module] = STATE(7774),
    [sym_interface] = STATE(949),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5923),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(949),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(949),
    [sym_public_statement] = STATE(949),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(949),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(949),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(949),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(949),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4677),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [sym_preproc_comment] = ACTIONS(4679),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [sym_preproc_comment] = ACTIONS(4681),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [911] = {
    [sym_preproc_include] = STATE(914),
    [sym_preproc_def] = STATE(914),
    [sym_preproc_function_def] = STATE(914),
    [sym_preproc_call] = STATE(914),
    [sym_preproc_else_in_module] = STATE(8549),
    [sym_preproc_elif_in_module] = STATE(8549),
    [sym_preproc_elifdef_in_module] = STATE(8549),
    [sym_interface] = STATE(914),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5956),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(914),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(914),
    [sym_public_statement] = STATE(914),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(914),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(914),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(914),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(914),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4683),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [sym_preproc_comment] = ACTIONS(4685),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [913] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(8549),
    [sym_preproc_elif_in_module] = STATE(8549),
    [sym_preproc_elifdef_in_module] = STATE(8549),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5956),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4683),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [914] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(8023),
    [sym_preproc_elif_in_module] = STATE(8023),
    [sym_preproc_elifdef_in_module] = STATE(8023),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5902),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4687),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [915] = {
    [sym_preproc_include] = STATE(919),
    [sym_preproc_def] = STATE(919),
    [sym_preproc_function_def] = STATE(919),
    [sym_preproc_call] = STATE(919),
    [sym_preproc_else_in_module] = STATE(8164),
    [sym_preproc_elif_in_module] = STATE(8164),
    [sym_preproc_elifdef_in_module] = STATE(8164),
    [sym_interface] = STATE(919),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5911),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(919),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(919),
    [sym_public_statement] = STATE(919),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(919),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(919),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(919),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(919),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4689),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [916] = {
    [sym_preproc_include] = STATE(943),
    [sym_preproc_def] = STATE(943),
    [sym_preproc_function_def] = STATE(943),
    [sym_preproc_call] = STATE(943),
    [sym_preproc_else_in_module] = STATE(8230),
    [sym_preproc_elif_in_module] = STATE(8230),
    [sym_preproc_elifdef_in_module] = STATE(8230),
    [sym_interface] = STATE(943),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5944),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(943),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(943),
    [sym_public_statement] = STATE(943),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(943),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(943),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(943),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(943),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4691),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [917] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(8230),
    [sym_preproc_elif_in_module] = STATE(8230),
    [sym_preproc_elifdef_in_module] = STATE(8230),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5944),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4691),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(4693),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4279),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_module_statement_token1] = ACTIONS(4279),
    [aux_sym_submodule_statement_token1] = ACTIONS(4279),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_function_statement_token1] = ACTIONS(4279),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [919] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7908),
    [sym_preproc_elif_in_module] = STATE(7908),
    [sym_preproc_elifdef_in_module] = STATE(7908),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5872),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4695),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [920] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(8206),
    [sym_preproc_elif_in_module] = STATE(8206),
    [sym_preproc_elifdef_in_module] = STATE(8206),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5900),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4697),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [921] = {
    [ts_builtin_sym_end] = ACTIONS(4339),
    [aux_sym_preproc_include_token1] = ACTIONS(4335),
    [aux_sym_preproc_def_token1] = ACTIONS(4335),
    [aux_sym_preproc_if_token1] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4335),
    [sym_preproc_directive] = ACTIONS(4335),
    [anon_sym_LPAREN2] = ACTIONS(4335),
    [sym_preproc_comment] = ACTIONS(4699),
    [anon_sym_PLUS] = ACTIONS(4339),
    [anon_sym_DASH] = ACTIONS(4339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token2] = ACTIONS(4335),
    [aux_sym_module_statement_token1] = ACTIONS(4335),
    [aux_sym_submodule_statement_token1] = ACTIONS(4335),
    [aux_sym_interface_statement_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4335),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4335),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4335),
    [aux_sym_function_statement_token1] = ACTIONS(4335),
    [aux_sym_language_binding_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4335),
    [aux_sym_contains_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token2] = ACTIONS(4335),
    [aux_sym_implicit_statement_token1] = ACTIONS(4335),
    [aux_sym_implicit_statement_token3] = ACTIONS(4335),
    [aux_sym_implicit_statement_token4] = ACTIONS(4335),
    [aux_sym_save_statement_token1] = ACTIONS(4335),
    [aux_sym_private_statement_token1] = ACTIONS(4335),
    [aux_sym_public_statement_token1] = ACTIONS(4335),
    [aux_sym_namelist_statement_token1] = ACTIONS(4335),
    [aux_sym_common_statement_token1] = ACTIONS(4335),
    [aux_sym_import_statement_token1] = ACTIONS(4335),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4335),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4335),
    [aux_sym_variable_attributes_token1] = ACTIONS(4335),
    [aux_sym_variable_attributes_token2] = ACTIONS(4335),
    [aux_sym_variable_attributes_token3] = ACTIONS(4335),
    [aux_sym_variable_attributes_token4] = ACTIONS(4335),
    [aux_sym_variable_attributes_token5] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4335),
    [aux_sym_derived_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4335),
    [aux_sym_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4335),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4335),
    [anon_sym_SEMI] = ACTIONS(4339),
    [aux_sym_stop_statement_token1] = ACTIONS(4335),
    [aux_sym_stop_statement_token2] = ACTIONS(4335),
    [aux_sym_subroutine_call_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token2] = ACTIONS(4335),
    [aux_sym_keyword_statement_token3] = ACTIONS(4335),
    [aux_sym_keyword_statement_token4] = ACTIONS(4335),
    [aux_sym_keyword_statement_token6] = ACTIONS(4335),
    [aux_sym_keyword_statement_token7] = ACTIONS(4335),
    [aux_sym_include_statement_token1] = ACTIONS(4335),
    [aux_sym_data_statement_token1] = ACTIONS(4335),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4335),
    [aux_sym_end_if_statement_token1] = ACTIONS(4335),
    [aux_sym_elseif_clause_token2] = ACTIONS(4335),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4335),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token3] = ACTIONS(4335),
    [aux_sym_select_type_statement_token1] = ACTIONS(4335),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4335),
    [aux_sym_block_construct_token1] = ACTIONS(4335),
    [aux_sym_associate_statement_token1] = ACTIONS(4335),
    [aux_sym_format_statement_token1] = ACTIONS(4335),
    [aux_sym_print_statement_token1] = ACTIONS(4335),
    [aux_sym_open_statement_token1] = ACTIONS(4335),
    [aux_sym_close_statement_token1] = ACTIONS(4335),
    [aux_sym_inquire_statement_token1] = ACTIONS(4335),
    [aux_sym_enum_statement_token1] = ACTIONS(4335),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token2] = ACTIONS(4335),
    [aux_sym_file_position_statement_token3] = ACTIONS(4335),
    [aux_sym_file_position_statement_token4] = ACTIONS(4335),
    [aux_sym_allocate_statement_token1] = ACTIONS(4335),
    [aux_sym_entry_statement_token1] = ACTIONS(4335),
    [aux_sym_logical_expression_token5] = ACTIONS(4339),
    [anon_sym_DOT] = ACTIONS(4335),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(4339),
    [aux_sym_boolean_literal_token1] = ACTIONS(4339),
    [aux_sym_boolean_literal_token2] = ACTIONS(4339),
    [aux_sym_null_literal_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token2] = ACTIONS(4335),
    [aux_sym_coarray_statement_token6] = ACTIONS(4335),
    [aux_sym_coarray_statement_token8] = ACTIONS(4335),
    [aux_sym_coarray_statement_token11] = ACTIONS(4335),
    [aux_sym_coarray_statement_token12] = ACTIONS(4335),
    [aux_sym_coarray_statement_token13] = ACTIONS(4335),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4335),
    [aux_sym_identifier_token1] = ACTIONS(4335),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4339),
    [sym__float_literal] = ACTIONS(4339),
    [sym__boz_literal] = ACTIONS(4339),
    [sym__string_literal] = ACTIONS(4339),
    [sym__string_literal_kind] = ACTIONS(4339),
  },
  [922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(4701),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4313),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_module_statement_token1] = ACTIONS(4313),
    [aux_sym_submodule_statement_token1] = ACTIONS(4313),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4313),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_function_statement_token1] = ACTIONS(4313),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4313),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(4703),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4325),
    [aux_sym_preproc_def_token1] = ACTIONS(4325),
    [aux_sym_preproc_if_token1] = ACTIONS(4325),
    [aux_sym_preproc_if_token2] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4325),
    [sym_preproc_directive] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(4325),
    [sym_preproc_comment] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4329),
    [anon_sym_DASH] = ACTIONS(4329),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token2] = ACTIONS(4325),
    [aux_sym_module_statement_token1] = ACTIONS(4325),
    [aux_sym_submodule_statement_token1] = ACTIONS(4325),
    [aux_sym_interface_statement_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4325),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4325),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4325),
    [aux_sym_function_statement_token1] = ACTIONS(4325),
    [aux_sym_language_binding_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4325),
    [aux_sym_contains_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token2] = ACTIONS(4325),
    [aux_sym_implicit_statement_token1] = ACTIONS(4325),
    [aux_sym_implicit_statement_token3] = ACTIONS(4325),
    [aux_sym_implicit_statement_token4] = ACTIONS(4325),
    [aux_sym_save_statement_token1] = ACTIONS(4325),
    [aux_sym_private_statement_token1] = ACTIONS(4325),
    [aux_sym_public_statement_token1] = ACTIONS(4325),
    [aux_sym_namelist_statement_token1] = ACTIONS(4325),
    [aux_sym_common_statement_token1] = ACTIONS(4325),
    [aux_sym_import_statement_token1] = ACTIONS(4325),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4325),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4325),
    [aux_sym_variable_attributes_token1] = ACTIONS(4325),
    [aux_sym_variable_attributes_token2] = ACTIONS(4325),
    [aux_sym_variable_attributes_token3] = ACTIONS(4325),
    [aux_sym_variable_attributes_token4] = ACTIONS(4325),
    [aux_sym_variable_attributes_token5] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4325),
    [aux_sym_derived_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4325),
    [aux_sym_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4325),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4325),
    [anon_sym_SEMI] = ACTIONS(4329),
    [aux_sym_stop_statement_token1] = ACTIONS(4325),
    [aux_sym_stop_statement_token2] = ACTIONS(4325),
    [aux_sym_subroutine_call_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token2] = ACTIONS(4325),
    [aux_sym_keyword_statement_token3] = ACTIONS(4325),
    [aux_sym_keyword_statement_token4] = ACTIONS(4325),
    [aux_sym_keyword_statement_token6] = ACTIONS(4325),
    [aux_sym_keyword_statement_token7] = ACTIONS(4325),
    [aux_sym_include_statement_token1] = ACTIONS(4325),
    [aux_sym_data_statement_token1] = ACTIONS(4325),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4325),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4325),
    [aux_sym_end_if_statement_token1] = ACTIONS(4325),
    [aux_sym_elseif_clause_token2] = ACTIONS(4325),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4325),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token3] = ACTIONS(4325),
    [aux_sym_select_type_statement_token1] = ACTIONS(4325),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4325),
    [aux_sym_block_construct_token1] = ACTIONS(4325),
    [aux_sym_associate_statement_token1] = ACTIONS(4325),
    [aux_sym_format_statement_token1] = ACTIONS(4325),
    [aux_sym_print_statement_token1] = ACTIONS(4325),
    [aux_sym_open_statement_token1] = ACTIONS(4325),
    [aux_sym_close_statement_token1] = ACTIONS(4325),
    [aux_sym_inquire_statement_token1] = ACTIONS(4325),
    [aux_sym_enum_statement_token1] = ACTIONS(4325),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token2] = ACTIONS(4325),
    [aux_sym_file_position_statement_token3] = ACTIONS(4325),
    [aux_sym_file_position_statement_token4] = ACTIONS(4325),
    [aux_sym_allocate_statement_token1] = ACTIONS(4325),
    [aux_sym_entry_statement_token1] = ACTIONS(4325),
    [aux_sym_logical_expression_token5] = ACTIONS(4329),
    [anon_sym_DOT] = ACTIONS(4325),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4329),
    [anon_sym_LBRACK] = ACTIONS(4329),
    [aux_sym_boolean_literal_token1] = ACTIONS(4329),
    [aux_sym_boolean_literal_token2] = ACTIONS(4329),
    [aux_sym_null_literal_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token2] = ACTIONS(4325),
    [aux_sym_coarray_statement_token6] = ACTIONS(4325),
    [aux_sym_coarray_statement_token8] = ACTIONS(4325),
    [aux_sym_coarray_statement_token11] = ACTIONS(4325),
    [aux_sym_coarray_statement_token12] = ACTIONS(4325),
    [aux_sym_coarray_statement_token13] = ACTIONS(4325),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4325),
    [aux_sym_identifier_token1] = ACTIONS(4325),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4329),
    [sym__float_literal] = ACTIONS(4329),
    [sym__boz_literal] = ACTIONS(4329),
    [sym__string_literal] = ACTIONS(4329),
    [sym__string_literal_kind] = ACTIONS(4329),
  },
  [925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4323),
    [aux_sym_preproc_def_token1] = ACTIONS(4323),
    [aux_sym_preproc_if_token1] = ACTIONS(4323),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4323),
    [sym_preproc_directive] = ACTIONS(4323),
    [anon_sym_LPAREN2] = ACTIONS(4323),
    [sym_preproc_comment] = ACTIONS(4707),
    [anon_sym_PLUS] = ACTIONS(4333),
    [anon_sym_DASH] = ACTIONS(4333),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token2] = ACTIONS(4323),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4323),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4323),
    [aux_sym_contains_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token2] = ACTIONS(4323),
    [aux_sym_implicit_statement_token1] = ACTIONS(4323),
    [aux_sym_implicit_statement_token3] = ACTIONS(4323),
    [aux_sym_implicit_statement_token4] = ACTIONS(4323),
    [aux_sym_save_statement_token1] = ACTIONS(4323),
    [aux_sym_private_statement_token1] = ACTIONS(4323),
    [aux_sym_public_statement_token1] = ACTIONS(4323),
    [aux_sym_namelist_statement_token1] = ACTIONS(4323),
    [aux_sym_common_statement_token1] = ACTIONS(4323),
    [aux_sym_import_statement_token1] = ACTIONS(4323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4323),
    [aux_sym_variable_attributes_token1] = ACTIONS(4323),
    [aux_sym_variable_attributes_token2] = ACTIONS(4323),
    [aux_sym_variable_attributes_token3] = ACTIONS(4323),
    [aux_sym_variable_attributes_token4] = ACTIONS(4323),
    [aux_sym_variable_attributes_token5] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4323),
    [aux_sym_derived_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4323),
    [aux_sym_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4333),
    [aux_sym_stop_statement_token1] = ACTIONS(4323),
    [aux_sym_stop_statement_token2] = ACTIONS(4323),
    [aux_sym_subroutine_call_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token2] = ACTIONS(4323),
    [aux_sym_keyword_statement_token3] = ACTIONS(4323),
    [aux_sym_keyword_statement_token4] = ACTIONS(4323),
    [aux_sym_keyword_statement_token6] = ACTIONS(4323),
    [aux_sym_keyword_statement_token7] = ACTIONS(4323),
    [aux_sym_include_statement_token1] = ACTIONS(4323),
    [aux_sym_data_statement_token1] = ACTIONS(4323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4323),
    [aux_sym_end_if_statement_token1] = ACTIONS(4323),
    [aux_sym_elseif_clause_token2] = ACTIONS(4323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token3] = ACTIONS(4323),
    [aux_sym_select_type_statement_token1] = ACTIONS(4323),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4323),
    [aux_sym_block_construct_token1] = ACTIONS(4323),
    [aux_sym_associate_statement_token1] = ACTIONS(4323),
    [aux_sym_format_statement_token1] = ACTIONS(4323),
    [aux_sym_print_statement_token1] = ACTIONS(4323),
    [aux_sym_open_statement_token1] = ACTIONS(4323),
    [aux_sym_close_statement_token1] = ACTIONS(4323),
    [aux_sym_inquire_statement_token1] = ACTIONS(4323),
    [aux_sym_enum_statement_token1] = ACTIONS(4323),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token2] = ACTIONS(4323),
    [aux_sym_file_position_statement_token3] = ACTIONS(4323),
    [aux_sym_file_position_statement_token4] = ACTIONS(4323),
    [aux_sym_allocate_statement_token1] = ACTIONS(4323),
    [aux_sym_entry_statement_token1] = ACTIONS(4323),
    [aux_sym_logical_expression_token5] = ACTIONS(4333),
    [anon_sym_DOT] = ACTIONS(4323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(4333),
    [aux_sym_boolean_literal_token1] = ACTIONS(4333),
    [aux_sym_boolean_literal_token2] = ACTIONS(4333),
    [aux_sym_null_literal_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token2] = ACTIONS(4323),
    [aux_sym_coarray_statement_token6] = ACTIONS(4323),
    [aux_sym_coarray_statement_token8] = ACTIONS(4323),
    [aux_sym_coarray_statement_token11] = ACTIONS(4323),
    [aux_sym_coarray_statement_token12] = ACTIONS(4323),
    [aux_sym_coarray_statement_token13] = ACTIONS(4323),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4323),
    [aux_sym_identifier_token1] = ACTIONS(4323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4333),
    [sym__float_literal] = ACTIONS(4333),
    [sym__boz_literal] = ACTIONS(4333),
    [sym__string_literal] = ACTIONS(4333),
    [sym__string_literal_kind] = ACTIONS(4333),
  },
  [926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4379),
    [aux_sym_preproc_def_token1] = ACTIONS(4379),
    [aux_sym_preproc_if_token1] = ACTIONS(4379),
    [aux_sym_preproc_if_token2] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4379),
    [sym_preproc_directive] = ACTIONS(4379),
    [anon_sym_LPAREN2] = ACTIONS(4379),
    [sym_preproc_comment] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4383),
    [anon_sym_DASH] = ACTIONS(4383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token2] = ACTIONS(4379),
    [aux_sym_module_statement_token1] = ACTIONS(4379),
    [aux_sym_submodule_statement_token1] = ACTIONS(4379),
    [aux_sym_interface_statement_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4379),
    [aux_sym_function_statement_token1] = ACTIONS(4379),
    [aux_sym_language_binding_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4379),
    [aux_sym_contains_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token2] = ACTIONS(4379),
    [aux_sym_implicit_statement_token1] = ACTIONS(4379),
    [aux_sym_implicit_statement_token3] = ACTIONS(4379),
    [aux_sym_implicit_statement_token4] = ACTIONS(4379),
    [aux_sym_save_statement_token1] = ACTIONS(4379),
    [aux_sym_private_statement_token1] = ACTIONS(4379),
    [aux_sym_public_statement_token1] = ACTIONS(4379),
    [aux_sym_namelist_statement_token1] = ACTIONS(4379),
    [aux_sym_common_statement_token1] = ACTIONS(4379),
    [aux_sym_import_statement_token1] = ACTIONS(4379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4379),
    [aux_sym_variable_attributes_token1] = ACTIONS(4379),
    [aux_sym_variable_attributes_token2] = ACTIONS(4379),
    [aux_sym_variable_attributes_token3] = ACTIONS(4379),
    [aux_sym_variable_attributes_token4] = ACTIONS(4379),
    [aux_sym_variable_attributes_token5] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4379),
    [aux_sym_derived_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4379),
    [aux_sym_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4379),
    [anon_sym_SEMI] = ACTIONS(4383),
    [aux_sym_stop_statement_token1] = ACTIONS(4379),
    [aux_sym_stop_statement_token2] = ACTIONS(4379),
    [aux_sym_subroutine_call_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token2] = ACTIONS(4379),
    [aux_sym_keyword_statement_token3] = ACTIONS(4379),
    [aux_sym_keyword_statement_token4] = ACTIONS(4379),
    [aux_sym_keyword_statement_token6] = ACTIONS(4379),
    [aux_sym_keyword_statement_token7] = ACTIONS(4379),
    [aux_sym_include_statement_token1] = ACTIONS(4379),
    [aux_sym_data_statement_token1] = ACTIONS(4379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4379),
    [aux_sym_end_if_statement_token1] = ACTIONS(4379),
    [aux_sym_elseif_clause_token2] = ACTIONS(4379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token3] = ACTIONS(4379),
    [aux_sym_select_type_statement_token1] = ACTIONS(4379),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4379),
    [aux_sym_block_construct_token1] = ACTIONS(4379),
    [aux_sym_associate_statement_token1] = ACTIONS(4379),
    [aux_sym_format_statement_token1] = ACTIONS(4379),
    [aux_sym_print_statement_token1] = ACTIONS(4379),
    [aux_sym_open_statement_token1] = ACTIONS(4379),
    [aux_sym_close_statement_token1] = ACTIONS(4379),
    [aux_sym_inquire_statement_token1] = ACTIONS(4379),
    [aux_sym_enum_statement_token1] = ACTIONS(4379),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token2] = ACTIONS(4379),
    [aux_sym_file_position_statement_token3] = ACTIONS(4379),
    [aux_sym_file_position_statement_token4] = ACTIONS(4379),
    [aux_sym_allocate_statement_token1] = ACTIONS(4379),
    [aux_sym_entry_statement_token1] = ACTIONS(4379),
    [aux_sym_logical_expression_token5] = ACTIONS(4383),
    [anon_sym_DOT] = ACTIONS(4379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(4383),
    [aux_sym_boolean_literal_token1] = ACTIONS(4383),
    [aux_sym_boolean_literal_token2] = ACTIONS(4383),
    [aux_sym_null_literal_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token2] = ACTIONS(4379),
    [aux_sym_coarray_statement_token6] = ACTIONS(4379),
    [aux_sym_coarray_statement_token8] = ACTIONS(4379),
    [aux_sym_coarray_statement_token11] = ACTIONS(4379),
    [aux_sym_coarray_statement_token12] = ACTIONS(4379),
    [aux_sym_coarray_statement_token13] = ACTIONS(4379),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4379),
    [aux_sym_identifier_token1] = ACTIONS(4379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4383),
    [sym__float_literal] = ACTIONS(4383),
    [sym__boz_literal] = ACTIONS(4383),
    [sym__string_literal] = ACTIONS(4383),
    [sym__string_literal_kind] = ACTIONS(4383),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(4329),
    [aux_sym_preproc_include_token1] = ACTIONS(4325),
    [aux_sym_preproc_def_token1] = ACTIONS(4325),
    [aux_sym_preproc_if_token1] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4325),
    [sym_preproc_directive] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(4325),
    [sym_preproc_comment] = ACTIONS(4711),
    [anon_sym_PLUS] = ACTIONS(4329),
    [anon_sym_DASH] = ACTIONS(4329),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token1] = ACTIONS(4325),
    [aux_sym_end_program_statement_token2] = ACTIONS(4325),
    [aux_sym_module_statement_token1] = ACTIONS(4325),
    [aux_sym_submodule_statement_token1] = ACTIONS(4325),
    [aux_sym_interface_statement_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4325),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4325),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4325),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4325),
    [aux_sym_function_statement_token1] = ACTIONS(4325),
    [aux_sym_language_binding_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4325),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4325),
    [aux_sym_contains_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token1] = ACTIONS(4325),
    [aux_sym_use_statement_token2] = ACTIONS(4325),
    [aux_sym_implicit_statement_token1] = ACTIONS(4325),
    [aux_sym_implicit_statement_token3] = ACTIONS(4325),
    [aux_sym_implicit_statement_token4] = ACTIONS(4325),
    [aux_sym_save_statement_token1] = ACTIONS(4325),
    [aux_sym_private_statement_token1] = ACTIONS(4325),
    [aux_sym_public_statement_token1] = ACTIONS(4325),
    [aux_sym_namelist_statement_token1] = ACTIONS(4325),
    [aux_sym_common_statement_token1] = ACTIONS(4325),
    [aux_sym_import_statement_token1] = ACTIONS(4325),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4325),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4325),
    [aux_sym_variable_attributes_token1] = ACTIONS(4325),
    [aux_sym_variable_attributes_token2] = ACTIONS(4325),
    [aux_sym_variable_attributes_token3] = ACTIONS(4325),
    [aux_sym_variable_attributes_token4] = ACTIONS(4325),
    [aux_sym_variable_attributes_token5] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4325),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4325),
    [aux_sym_derived_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token1] = ACTIONS(4325),
    [aux_sym_declared_type_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4325),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4325),
    [aux_sym_type_qualifier_token1] = ACTIONS(4325),
    [aux_sym_type_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4325),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4325),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4325),
    [anon_sym_SEMI] = ACTIONS(4329),
    [aux_sym_stop_statement_token1] = ACTIONS(4325),
    [aux_sym_stop_statement_token2] = ACTIONS(4325),
    [aux_sym_subroutine_call_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token1] = ACTIONS(4325),
    [aux_sym_keyword_statement_token2] = ACTIONS(4325),
    [aux_sym_keyword_statement_token3] = ACTIONS(4325),
    [aux_sym_keyword_statement_token4] = ACTIONS(4325),
    [aux_sym_keyword_statement_token6] = ACTIONS(4325),
    [aux_sym_keyword_statement_token7] = ACTIONS(4325),
    [aux_sym_include_statement_token1] = ACTIONS(4325),
    [aux_sym_data_statement_token1] = ACTIONS(4325),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4325),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4325),
    [aux_sym_end_if_statement_token1] = ACTIONS(4325),
    [aux_sym_elseif_clause_token2] = ACTIONS(4325),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4325),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token1] = ACTIONS(4325),
    [aux_sym_select_case_statement_token3] = ACTIONS(4325),
    [aux_sym_select_type_statement_token1] = ACTIONS(4325),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4325),
    [aux_sym_block_construct_token1] = ACTIONS(4325),
    [aux_sym_associate_statement_token1] = ACTIONS(4325),
    [aux_sym_format_statement_token1] = ACTIONS(4325),
    [aux_sym_print_statement_token1] = ACTIONS(4325),
    [aux_sym_open_statement_token1] = ACTIONS(4325),
    [aux_sym_close_statement_token1] = ACTIONS(4325),
    [aux_sym_inquire_statement_token1] = ACTIONS(4325),
    [aux_sym_enum_statement_token1] = ACTIONS(4325),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token1] = ACTIONS(4325),
    [aux_sym_file_position_statement_token2] = ACTIONS(4325),
    [aux_sym_file_position_statement_token3] = ACTIONS(4325),
    [aux_sym_file_position_statement_token4] = ACTIONS(4325),
    [aux_sym_allocate_statement_token1] = ACTIONS(4325),
    [aux_sym_entry_statement_token1] = ACTIONS(4325),
    [aux_sym_logical_expression_token5] = ACTIONS(4329),
    [anon_sym_DOT] = ACTIONS(4325),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4329),
    [anon_sym_LBRACK] = ACTIONS(4329),
    [aux_sym_boolean_literal_token1] = ACTIONS(4329),
    [aux_sym_boolean_literal_token2] = ACTIONS(4329),
    [aux_sym_null_literal_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_statement_token2] = ACTIONS(4325),
    [aux_sym_coarray_statement_token6] = ACTIONS(4325),
    [aux_sym_coarray_statement_token8] = ACTIONS(4325),
    [aux_sym_coarray_statement_token11] = ACTIONS(4325),
    [aux_sym_coarray_statement_token12] = ACTIONS(4325),
    [aux_sym_coarray_statement_token13] = ACTIONS(4325),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4325),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4325),
    [aux_sym_identifier_token1] = ACTIONS(4325),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4329),
    [sym__float_literal] = ACTIONS(4329),
    [sym__boz_literal] = ACTIONS(4329),
    [sym__string_literal] = ACTIONS(4329),
    [sym__string_literal_kind] = ACTIONS(4329),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(4389),
    [aux_sym_preproc_include_token1] = ACTIONS(4385),
    [aux_sym_preproc_def_token1] = ACTIONS(4385),
    [aux_sym_preproc_if_token1] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4385),
    [sym_preproc_directive] = ACTIONS(4385),
    [anon_sym_LPAREN2] = ACTIONS(4385),
    [sym_preproc_comment] = ACTIONS(4713),
    [anon_sym_PLUS] = ACTIONS(4389),
    [anon_sym_DASH] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token2] = ACTIONS(4385),
    [aux_sym_module_statement_token1] = ACTIONS(4385),
    [aux_sym_submodule_statement_token1] = ACTIONS(4385),
    [aux_sym_interface_statement_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4385),
    [aux_sym_function_statement_token1] = ACTIONS(4385),
    [aux_sym_language_binding_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4385),
    [aux_sym_contains_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token2] = ACTIONS(4385),
    [aux_sym_implicit_statement_token1] = ACTIONS(4385),
    [aux_sym_implicit_statement_token3] = ACTIONS(4385),
    [aux_sym_implicit_statement_token4] = ACTIONS(4385),
    [aux_sym_save_statement_token1] = ACTIONS(4385),
    [aux_sym_private_statement_token1] = ACTIONS(4385),
    [aux_sym_public_statement_token1] = ACTIONS(4385),
    [aux_sym_namelist_statement_token1] = ACTIONS(4385),
    [aux_sym_common_statement_token1] = ACTIONS(4385),
    [aux_sym_import_statement_token1] = ACTIONS(4385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4385),
    [aux_sym_variable_attributes_token1] = ACTIONS(4385),
    [aux_sym_variable_attributes_token2] = ACTIONS(4385),
    [aux_sym_variable_attributes_token3] = ACTIONS(4385),
    [aux_sym_variable_attributes_token4] = ACTIONS(4385),
    [aux_sym_variable_attributes_token5] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4385),
    [aux_sym_derived_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4385),
    [aux_sym_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4385),
    [anon_sym_SEMI] = ACTIONS(4389),
    [aux_sym_stop_statement_token1] = ACTIONS(4385),
    [aux_sym_stop_statement_token2] = ACTIONS(4385),
    [aux_sym_subroutine_call_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token2] = ACTIONS(4385),
    [aux_sym_keyword_statement_token3] = ACTIONS(4385),
    [aux_sym_keyword_statement_token4] = ACTIONS(4385),
    [aux_sym_keyword_statement_token6] = ACTIONS(4385),
    [aux_sym_keyword_statement_token7] = ACTIONS(4385),
    [aux_sym_include_statement_token1] = ACTIONS(4385),
    [aux_sym_data_statement_token1] = ACTIONS(4385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4385),
    [aux_sym_end_if_statement_token1] = ACTIONS(4385),
    [aux_sym_elseif_clause_token2] = ACTIONS(4385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token3] = ACTIONS(4385),
    [aux_sym_select_type_statement_token1] = ACTIONS(4385),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4385),
    [aux_sym_block_construct_token1] = ACTIONS(4385),
    [aux_sym_associate_statement_token1] = ACTIONS(4385),
    [aux_sym_format_statement_token1] = ACTIONS(4385),
    [aux_sym_print_statement_token1] = ACTIONS(4385),
    [aux_sym_open_statement_token1] = ACTIONS(4385),
    [aux_sym_close_statement_token1] = ACTIONS(4385),
    [aux_sym_inquire_statement_token1] = ACTIONS(4385),
    [aux_sym_enum_statement_token1] = ACTIONS(4385),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token2] = ACTIONS(4385),
    [aux_sym_file_position_statement_token3] = ACTIONS(4385),
    [aux_sym_file_position_statement_token4] = ACTIONS(4385),
    [aux_sym_allocate_statement_token1] = ACTIONS(4385),
    [aux_sym_entry_statement_token1] = ACTIONS(4385),
    [aux_sym_logical_expression_token5] = ACTIONS(4389),
    [anon_sym_DOT] = ACTIONS(4385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4389),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [aux_sym_boolean_literal_token1] = ACTIONS(4389),
    [aux_sym_boolean_literal_token2] = ACTIONS(4389),
    [aux_sym_null_literal_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token2] = ACTIONS(4385),
    [aux_sym_coarray_statement_token6] = ACTIONS(4385),
    [aux_sym_coarray_statement_token8] = ACTIONS(4385),
    [aux_sym_coarray_statement_token11] = ACTIONS(4385),
    [aux_sym_coarray_statement_token12] = ACTIONS(4385),
    [aux_sym_coarray_statement_token13] = ACTIONS(4385),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4385),
    [aux_sym_identifier_token1] = ACTIONS(4385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4389),
    [sym__float_literal] = ACTIONS(4389),
    [sym__boz_literal] = ACTIONS(4389),
    [sym__string_literal] = ACTIONS(4389),
    [sym__string_literal_kind] = ACTIONS(4389),
  },
  [929] = {
    [sym_preproc_include] = STATE(960),
    [sym_preproc_def] = STATE(960),
    [sym_preproc_function_def] = STATE(960),
    [sym_preproc_call] = STATE(960),
    [sym_preproc_else_in_module] = STATE(7875),
    [sym_preproc_elif_in_module] = STATE(7875),
    [sym_preproc_elifdef_in_module] = STATE(7875),
    [sym_interface] = STATE(960),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5821),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(960),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(960),
    [sym_public_statement] = STATE(960),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(960),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(960),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(960),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(960),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4715),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4335),
    [aux_sym_preproc_def_token1] = ACTIONS(4335),
    [aux_sym_preproc_if_token1] = ACTIONS(4335),
    [aux_sym_preproc_if_token2] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4335),
    [sym_preproc_directive] = ACTIONS(4335),
    [anon_sym_LPAREN2] = ACTIONS(4335),
    [sym_preproc_comment] = ACTIONS(4717),
    [anon_sym_PLUS] = ACTIONS(4339),
    [anon_sym_DASH] = ACTIONS(4339),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token1] = ACTIONS(4335),
    [aux_sym_end_program_statement_token2] = ACTIONS(4335),
    [aux_sym_module_statement_token1] = ACTIONS(4335),
    [aux_sym_submodule_statement_token1] = ACTIONS(4335),
    [aux_sym_interface_statement_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4335),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4335),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4335),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4335),
    [aux_sym_function_statement_token1] = ACTIONS(4335),
    [aux_sym_language_binding_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4335),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4335),
    [aux_sym_contains_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token1] = ACTIONS(4335),
    [aux_sym_use_statement_token2] = ACTIONS(4335),
    [aux_sym_implicit_statement_token1] = ACTIONS(4335),
    [aux_sym_implicit_statement_token3] = ACTIONS(4335),
    [aux_sym_implicit_statement_token4] = ACTIONS(4335),
    [aux_sym_save_statement_token1] = ACTIONS(4335),
    [aux_sym_private_statement_token1] = ACTIONS(4335),
    [aux_sym_public_statement_token1] = ACTIONS(4335),
    [aux_sym_namelist_statement_token1] = ACTIONS(4335),
    [aux_sym_common_statement_token1] = ACTIONS(4335),
    [aux_sym_import_statement_token1] = ACTIONS(4335),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4335),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4335),
    [aux_sym_variable_attributes_token1] = ACTIONS(4335),
    [aux_sym_variable_attributes_token2] = ACTIONS(4335),
    [aux_sym_variable_attributes_token3] = ACTIONS(4335),
    [aux_sym_variable_attributes_token4] = ACTIONS(4335),
    [aux_sym_variable_attributes_token5] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4335),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4335),
    [aux_sym_derived_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token1] = ACTIONS(4335),
    [aux_sym_declared_type_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4335),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4335),
    [aux_sym_type_qualifier_token1] = ACTIONS(4335),
    [aux_sym_type_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4335),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4335),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4335),
    [anon_sym_SEMI] = ACTIONS(4339),
    [aux_sym_stop_statement_token1] = ACTIONS(4335),
    [aux_sym_stop_statement_token2] = ACTIONS(4335),
    [aux_sym_subroutine_call_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token1] = ACTIONS(4335),
    [aux_sym_keyword_statement_token2] = ACTIONS(4335),
    [aux_sym_keyword_statement_token3] = ACTIONS(4335),
    [aux_sym_keyword_statement_token4] = ACTIONS(4335),
    [aux_sym_keyword_statement_token6] = ACTIONS(4335),
    [aux_sym_keyword_statement_token7] = ACTIONS(4335),
    [aux_sym_include_statement_token1] = ACTIONS(4335),
    [aux_sym_data_statement_token1] = ACTIONS(4335),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4335),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4335),
    [aux_sym_end_if_statement_token1] = ACTIONS(4335),
    [aux_sym_elseif_clause_token2] = ACTIONS(4335),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4335),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token1] = ACTIONS(4335),
    [aux_sym_select_case_statement_token3] = ACTIONS(4335),
    [aux_sym_select_type_statement_token1] = ACTIONS(4335),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4335),
    [aux_sym_block_construct_token1] = ACTIONS(4335),
    [aux_sym_associate_statement_token1] = ACTIONS(4335),
    [aux_sym_format_statement_token1] = ACTIONS(4335),
    [aux_sym_print_statement_token1] = ACTIONS(4335),
    [aux_sym_open_statement_token1] = ACTIONS(4335),
    [aux_sym_close_statement_token1] = ACTIONS(4335),
    [aux_sym_inquire_statement_token1] = ACTIONS(4335),
    [aux_sym_enum_statement_token1] = ACTIONS(4335),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token1] = ACTIONS(4335),
    [aux_sym_file_position_statement_token2] = ACTIONS(4335),
    [aux_sym_file_position_statement_token3] = ACTIONS(4335),
    [aux_sym_file_position_statement_token4] = ACTIONS(4335),
    [aux_sym_allocate_statement_token1] = ACTIONS(4335),
    [aux_sym_entry_statement_token1] = ACTIONS(4335),
    [aux_sym_logical_expression_token5] = ACTIONS(4339),
    [anon_sym_DOT] = ACTIONS(4335),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(4339),
    [aux_sym_boolean_literal_token1] = ACTIONS(4339),
    [aux_sym_boolean_literal_token2] = ACTIONS(4339),
    [aux_sym_null_literal_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_statement_token2] = ACTIONS(4335),
    [aux_sym_coarray_statement_token6] = ACTIONS(4335),
    [aux_sym_coarray_statement_token8] = ACTIONS(4335),
    [aux_sym_coarray_statement_token11] = ACTIONS(4335),
    [aux_sym_coarray_statement_token12] = ACTIONS(4335),
    [aux_sym_coarray_statement_token13] = ACTIONS(4335),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4335),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4335),
    [aux_sym_identifier_token1] = ACTIONS(4335),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4339),
    [sym__float_literal] = ACTIONS(4339),
    [sym__boz_literal] = ACTIONS(4339),
    [sym__string_literal] = ACTIONS(4339),
    [sym__string_literal_kind] = ACTIONS(4339),
  },
  [931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4341),
    [aux_sym_preproc_def_token1] = ACTIONS(4341),
    [aux_sym_preproc_if_token1] = ACTIONS(4341),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4341),
    [sym_preproc_directive] = ACTIONS(4341),
    [anon_sym_LPAREN2] = ACTIONS(4341),
    [sym_preproc_comment] = ACTIONS(4719),
    [anon_sym_PLUS] = ACTIONS(4345),
    [anon_sym_DASH] = ACTIONS(4345),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token2] = ACTIONS(4341),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4341),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4341),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4341),
    [aux_sym_contains_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token2] = ACTIONS(4341),
    [aux_sym_implicit_statement_token1] = ACTIONS(4341),
    [aux_sym_implicit_statement_token3] = ACTIONS(4341),
    [aux_sym_implicit_statement_token4] = ACTIONS(4341),
    [aux_sym_save_statement_token1] = ACTIONS(4341),
    [aux_sym_private_statement_token1] = ACTIONS(4341),
    [aux_sym_public_statement_token1] = ACTIONS(4341),
    [aux_sym_namelist_statement_token1] = ACTIONS(4341),
    [aux_sym_common_statement_token1] = ACTIONS(4341),
    [aux_sym_import_statement_token1] = ACTIONS(4341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4341),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4341),
    [aux_sym_variable_attributes_token1] = ACTIONS(4341),
    [aux_sym_variable_attributes_token2] = ACTIONS(4341),
    [aux_sym_variable_attributes_token3] = ACTIONS(4341),
    [aux_sym_variable_attributes_token4] = ACTIONS(4341),
    [aux_sym_variable_attributes_token5] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4341),
    [aux_sym_derived_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4341),
    [aux_sym_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4341),
    [anon_sym_SEMI] = ACTIONS(4345),
    [aux_sym_stop_statement_token1] = ACTIONS(4341),
    [aux_sym_stop_statement_token2] = ACTIONS(4341),
    [aux_sym_subroutine_call_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token2] = ACTIONS(4341),
    [aux_sym_keyword_statement_token3] = ACTIONS(4341),
    [aux_sym_keyword_statement_token4] = ACTIONS(4341),
    [aux_sym_keyword_statement_token6] = ACTIONS(4341),
    [aux_sym_keyword_statement_token7] = ACTIONS(4341),
    [aux_sym_include_statement_token1] = ACTIONS(4341),
    [aux_sym_data_statement_token1] = ACTIONS(4341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4341),
    [aux_sym_end_if_statement_token1] = ACTIONS(4341),
    [aux_sym_elseif_clause_token2] = ACTIONS(4341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token3] = ACTIONS(4341),
    [aux_sym_select_type_statement_token1] = ACTIONS(4341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4341),
    [aux_sym_block_construct_token1] = ACTIONS(4341),
    [aux_sym_associate_statement_token1] = ACTIONS(4341),
    [aux_sym_format_statement_token1] = ACTIONS(4341),
    [aux_sym_print_statement_token1] = ACTIONS(4341),
    [aux_sym_open_statement_token1] = ACTIONS(4341),
    [aux_sym_close_statement_token1] = ACTIONS(4341),
    [aux_sym_inquire_statement_token1] = ACTIONS(4341),
    [aux_sym_enum_statement_token1] = ACTIONS(4341),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token2] = ACTIONS(4341),
    [aux_sym_file_position_statement_token3] = ACTIONS(4341),
    [aux_sym_file_position_statement_token4] = ACTIONS(4341),
    [aux_sym_allocate_statement_token1] = ACTIONS(4341),
    [aux_sym_entry_statement_token1] = ACTIONS(4341),
    [aux_sym_logical_expression_token5] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [aux_sym_boolean_literal_token1] = ACTIONS(4345),
    [aux_sym_boolean_literal_token2] = ACTIONS(4345),
    [aux_sym_null_literal_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token2] = ACTIONS(4341),
    [aux_sym_coarray_statement_token6] = ACTIONS(4341),
    [aux_sym_coarray_statement_token8] = ACTIONS(4341),
    [aux_sym_coarray_statement_token11] = ACTIONS(4341),
    [aux_sym_coarray_statement_token12] = ACTIONS(4341),
    [aux_sym_coarray_statement_token13] = ACTIONS(4341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4341),
    [aux_sym_identifier_token1] = ACTIONS(4341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4345),
    [sym__float_literal] = ACTIONS(4345),
    [sym__boz_literal] = ACTIONS(4345),
    [sym__string_literal] = ACTIONS(4345),
    [sym__string_literal_kind] = ACTIONS(4345),
  },
  [932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4721),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4355),
    [aux_sym_preproc_def_token1] = ACTIONS(4355),
    [aux_sym_preproc_if_token1] = ACTIONS(4355),
    [aux_sym_preproc_if_token2] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4355),
    [sym_preproc_directive] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [sym_preproc_comment] = ACTIONS(4723),
    [anon_sym_PLUS] = ACTIONS(4359),
    [anon_sym_DASH] = ACTIONS(4359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token2] = ACTIONS(4355),
    [aux_sym_module_statement_token1] = ACTIONS(4355),
    [aux_sym_submodule_statement_token1] = ACTIONS(4355),
    [aux_sym_interface_statement_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4355),
    [aux_sym_function_statement_token1] = ACTIONS(4355),
    [aux_sym_language_binding_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4355),
    [aux_sym_contains_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token2] = ACTIONS(4355),
    [aux_sym_implicit_statement_token1] = ACTIONS(4355),
    [aux_sym_implicit_statement_token3] = ACTIONS(4355),
    [aux_sym_implicit_statement_token4] = ACTIONS(4355),
    [aux_sym_save_statement_token1] = ACTIONS(4355),
    [aux_sym_private_statement_token1] = ACTIONS(4355),
    [aux_sym_public_statement_token1] = ACTIONS(4355),
    [aux_sym_namelist_statement_token1] = ACTIONS(4355),
    [aux_sym_common_statement_token1] = ACTIONS(4355),
    [aux_sym_import_statement_token1] = ACTIONS(4355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4355),
    [aux_sym_variable_attributes_token1] = ACTIONS(4355),
    [aux_sym_variable_attributes_token2] = ACTIONS(4355),
    [aux_sym_variable_attributes_token3] = ACTIONS(4355),
    [aux_sym_variable_attributes_token4] = ACTIONS(4355),
    [aux_sym_variable_attributes_token5] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4355),
    [aux_sym_derived_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4355),
    [aux_sym_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4359),
    [aux_sym_stop_statement_token1] = ACTIONS(4355),
    [aux_sym_stop_statement_token2] = ACTIONS(4355),
    [aux_sym_subroutine_call_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token2] = ACTIONS(4355),
    [aux_sym_keyword_statement_token3] = ACTIONS(4355),
    [aux_sym_keyword_statement_token4] = ACTIONS(4355),
    [aux_sym_keyword_statement_token6] = ACTIONS(4355),
    [aux_sym_keyword_statement_token7] = ACTIONS(4355),
    [aux_sym_include_statement_token1] = ACTIONS(4355),
    [aux_sym_data_statement_token1] = ACTIONS(4355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4355),
    [aux_sym_end_if_statement_token1] = ACTIONS(4355),
    [aux_sym_elseif_clause_token2] = ACTIONS(4355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token3] = ACTIONS(4355),
    [aux_sym_select_type_statement_token1] = ACTIONS(4355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4355),
    [aux_sym_block_construct_token1] = ACTIONS(4355),
    [aux_sym_associate_statement_token1] = ACTIONS(4355),
    [aux_sym_format_statement_token1] = ACTIONS(4355),
    [aux_sym_print_statement_token1] = ACTIONS(4355),
    [aux_sym_open_statement_token1] = ACTIONS(4355),
    [aux_sym_close_statement_token1] = ACTIONS(4355),
    [aux_sym_inquire_statement_token1] = ACTIONS(4355),
    [aux_sym_enum_statement_token1] = ACTIONS(4355),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token2] = ACTIONS(4355),
    [aux_sym_file_position_statement_token3] = ACTIONS(4355),
    [aux_sym_file_position_statement_token4] = ACTIONS(4355),
    [aux_sym_allocate_statement_token1] = ACTIONS(4355),
    [aux_sym_entry_statement_token1] = ACTIONS(4355),
    [aux_sym_logical_expression_token5] = ACTIONS(4359),
    [anon_sym_DOT] = ACTIONS(4355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [aux_sym_boolean_literal_token1] = ACTIONS(4359),
    [aux_sym_boolean_literal_token2] = ACTIONS(4359),
    [aux_sym_null_literal_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token2] = ACTIONS(4355),
    [aux_sym_coarray_statement_token6] = ACTIONS(4355),
    [aux_sym_coarray_statement_token8] = ACTIONS(4355),
    [aux_sym_coarray_statement_token11] = ACTIONS(4355),
    [aux_sym_coarray_statement_token12] = ACTIONS(4355),
    [aux_sym_coarray_statement_token13] = ACTIONS(4355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4355),
    [aux_sym_identifier_token1] = ACTIONS(4355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4359),
    [sym__float_literal] = ACTIONS(4359),
    [sym__boz_literal] = ACTIONS(4359),
    [sym__string_literal] = ACTIONS(4359),
    [sym__string_literal_kind] = ACTIONS(4359),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(4345),
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4725),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(4345),
    [aux_sym_preproc_include_token1] = ACTIONS(4341),
    [aux_sym_preproc_def_token1] = ACTIONS(4341),
    [aux_sym_preproc_if_token1] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4341),
    [sym_preproc_directive] = ACTIONS(4341),
    [anon_sym_LPAREN2] = ACTIONS(4341),
    [sym_preproc_comment] = ACTIONS(4727),
    [anon_sym_PLUS] = ACTIONS(4345),
    [anon_sym_DASH] = ACTIONS(4345),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token2] = ACTIONS(4341),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4341),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4341),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4341),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4341),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4341),
    [aux_sym_contains_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token1] = ACTIONS(4341),
    [aux_sym_use_statement_token2] = ACTIONS(4341),
    [aux_sym_implicit_statement_token1] = ACTIONS(4341),
    [aux_sym_implicit_statement_token3] = ACTIONS(4341),
    [aux_sym_implicit_statement_token4] = ACTIONS(4341),
    [aux_sym_save_statement_token1] = ACTIONS(4341),
    [aux_sym_private_statement_token1] = ACTIONS(4341),
    [aux_sym_public_statement_token1] = ACTIONS(4341),
    [aux_sym_namelist_statement_token1] = ACTIONS(4341),
    [aux_sym_common_statement_token1] = ACTIONS(4341),
    [aux_sym_import_statement_token1] = ACTIONS(4341),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4341),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4341),
    [aux_sym_variable_attributes_token1] = ACTIONS(4341),
    [aux_sym_variable_attributes_token2] = ACTIONS(4341),
    [aux_sym_variable_attributes_token3] = ACTIONS(4341),
    [aux_sym_variable_attributes_token4] = ACTIONS(4341),
    [aux_sym_variable_attributes_token5] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4341),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4341),
    [aux_sym_derived_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token1] = ACTIONS(4341),
    [aux_sym_declared_type_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4341),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4341),
    [aux_sym_type_qualifier_token1] = ACTIONS(4341),
    [aux_sym_type_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4341),
    [anon_sym_SEMI] = ACTIONS(4345),
    [aux_sym_stop_statement_token1] = ACTIONS(4341),
    [aux_sym_stop_statement_token2] = ACTIONS(4341),
    [aux_sym_subroutine_call_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token1] = ACTIONS(4341),
    [aux_sym_keyword_statement_token2] = ACTIONS(4341),
    [aux_sym_keyword_statement_token3] = ACTIONS(4341),
    [aux_sym_keyword_statement_token4] = ACTIONS(4341),
    [aux_sym_keyword_statement_token6] = ACTIONS(4341),
    [aux_sym_keyword_statement_token7] = ACTIONS(4341),
    [aux_sym_include_statement_token1] = ACTIONS(4341),
    [aux_sym_data_statement_token1] = ACTIONS(4341),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4341),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4341),
    [aux_sym_end_if_statement_token1] = ACTIONS(4341),
    [aux_sym_elseif_clause_token2] = ACTIONS(4341),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4341),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token1] = ACTIONS(4341),
    [aux_sym_select_case_statement_token3] = ACTIONS(4341),
    [aux_sym_select_type_statement_token1] = ACTIONS(4341),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4341),
    [aux_sym_block_construct_token1] = ACTIONS(4341),
    [aux_sym_associate_statement_token1] = ACTIONS(4341),
    [aux_sym_format_statement_token1] = ACTIONS(4341),
    [aux_sym_print_statement_token1] = ACTIONS(4341),
    [aux_sym_open_statement_token1] = ACTIONS(4341),
    [aux_sym_close_statement_token1] = ACTIONS(4341),
    [aux_sym_inquire_statement_token1] = ACTIONS(4341),
    [aux_sym_enum_statement_token1] = ACTIONS(4341),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token1] = ACTIONS(4341),
    [aux_sym_file_position_statement_token2] = ACTIONS(4341),
    [aux_sym_file_position_statement_token3] = ACTIONS(4341),
    [aux_sym_file_position_statement_token4] = ACTIONS(4341),
    [aux_sym_allocate_statement_token1] = ACTIONS(4341),
    [aux_sym_entry_statement_token1] = ACTIONS(4341),
    [aux_sym_logical_expression_token5] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4341),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [aux_sym_boolean_literal_token1] = ACTIONS(4345),
    [aux_sym_boolean_literal_token2] = ACTIONS(4345),
    [aux_sym_null_literal_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_statement_token2] = ACTIONS(4341),
    [aux_sym_coarray_statement_token6] = ACTIONS(4341),
    [aux_sym_coarray_statement_token8] = ACTIONS(4341),
    [aux_sym_coarray_statement_token11] = ACTIONS(4341),
    [aux_sym_coarray_statement_token12] = ACTIONS(4341),
    [aux_sym_coarray_statement_token13] = ACTIONS(4341),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4341),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4341),
    [aux_sym_identifier_token1] = ACTIONS(4341),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4345),
    [sym__float_literal] = ACTIONS(4345),
    [sym__boz_literal] = ACTIONS(4345),
    [sym__string_literal] = ACTIONS(4345),
    [sym__string_literal_kind] = ACTIONS(4345),
  },
  [936] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7880),
    [sym_preproc_elif_in_module] = STATE(7880),
    [sym_preproc_elifdef_in_module] = STATE(7880),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5863),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4729),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(4333),
    [aux_sym_preproc_include_token1] = ACTIONS(4323),
    [aux_sym_preproc_def_token1] = ACTIONS(4323),
    [aux_sym_preproc_if_token1] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4323),
    [sym_preproc_directive] = ACTIONS(4323),
    [anon_sym_LPAREN2] = ACTIONS(4323),
    [sym_preproc_comment] = ACTIONS(4731),
    [anon_sym_PLUS] = ACTIONS(4333),
    [anon_sym_DASH] = ACTIONS(4333),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token2] = ACTIONS(4323),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4323),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4323),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4323),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4323),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4323),
    [aux_sym_contains_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token1] = ACTIONS(4323),
    [aux_sym_use_statement_token2] = ACTIONS(4323),
    [aux_sym_implicit_statement_token1] = ACTIONS(4323),
    [aux_sym_implicit_statement_token3] = ACTIONS(4323),
    [aux_sym_implicit_statement_token4] = ACTIONS(4323),
    [aux_sym_save_statement_token1] = ACTIONS(4323),
    [aux_sym_private_statement_token1] = ACTIONS(4323),
    [aux_sym_public_statement_token1] = ACTIONS(4323),
    [aux_sym_namelist_statement_token1] = ACTIONS(4323),
    [aux_sym_common_statement_token1] = ACTIONS(4323),
    [aux_sym_import_statement_token1] = ACTIONS(4323),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4323),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4323),
    [aux_sym_variable_attributes_token1] = ACTIONS(4323),
    [aux_sym_variable_attributes_token2] = ACTIONS(4323),
    [aux_sym_variable_attributes_token3] = ACTIONS(4323),
    [aux_sym_variable_attributes_token4] = ACTIONS(4323),
    [aux_sym_variable_attributes_token5] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4323),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4323),
    [aux_sym_derived_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token1] = ACTIONS(4323),
    [aux_sym_declared_type_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4323),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4323),
    [aux_sym_type_qualifier_token1] = ACTIONS(4323),
    [aux_sym_type_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4323),
    [anon_sym_SEMI] = ACTIONS(4333),
    [aux_sym_stop_statement_token1] = ACTIONS(4323),
    [aux_sym_stop_statement_token2] = ACTIONS(4323),
    [aux_sym_subroutine_call_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token1] = ACTIONS(4323),
    [aux_sym_keyword_statement_token2] = ACTIONS(4323),
    [aux_sym_keyword_statement_token3] = ACTIONS(4323),
    [aux_sym_keyword_statement_token4] = ACTIONS(4323),
    [aux_sym_keyword_statement_token6] = ACTIONS(4323),
    [aux_sym_keyword_statement_token7] = ACTIONS(4323),
    [aux_sym_include_statement_token1] = ACTIONS(4323),
    [aux_sym_data_statement_token1] = ACTIONS(4323),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4323),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4323),
    [aux_sym_end_if_statement_token1] = ACTIONS(4323),
    [aux_sym_elseif_clause_token2] = ACTIONS(4323),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4323),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token1] = ACTIONS(4323),
    [aux_sym_select_case_statement_token3] = ACTIONS(4323),
    [aux_sym_select_type_statement_token1] = ACTIONS(4323),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4323),
    [aux_sym_block_construct_token1] = ACTIONS(4323),
    [aux_sym_associate_statement_token1] = ACTIONS(4323),
    [aux_sym_format_statement_token1] = ACTIONS(4323),
    [aux_sym_print_statement_token1] = ACTIONS(4323),
    [aux_sym_open_statement_token1] = ACTIONS(4323),
    [aux_sym_close_statement_token1] = ACTIONS(4323),
    [aux_sym_inquire_statement_token1] = ACTIONS(4323),
    [aux_sym_enum_statement_token1] = ACTIONS(4323),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token1] = ACTIONS(4323),
    [aux_sym_file_position_statement_token2] = ACTIONS(4323),
    [aux_sym_file_position_statement_token3] = ACTIONS(4323),
    [aux_sym_file_position_statement_token4] = ACTIONS(4323),
    [aux_sym_allocate_statement_token1] = ACTIONS(4323),
    [aux_sym_entry_statement_token1] = ACTIONS(4323),
    [aux_sym_logical_expression_token5] = ACTIONS(4333),
    [anon_sym_DOT] = ACTIONS(4323),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(4333),
    [aux_sym_boolean_literal_token1] = ACTIONS(4333),
    [aux_sym_boolean_literal_token2] = ACTIONS(4333),
    [aux_sym_null_literal_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_statement_token2] = ACTIONS(4323),
    [aux_sym_coarray_statement_token6] = ACTIONS(4323),
    [aux_sym_coarray_statement_token8] = ACTIONS(4323),
    [aux_sym_coarray_statement_token11] = ACTIONS(4323),
    [aux_sym_coarray_statement_token12] = ACTIONS(4323),
    [aux_sym_coarray_statement_token13] = ACTIONS(4323),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4323),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4323),
    [aux_sym_identifier_token1] = ACTIONS(4323),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4333),
    [sym__float_literal] = ACTIONS(4333),
    [sym__boz_literal] = ACTIONS(4333),
    [sym__string_literal] = ACTIONS(4333),
    [sym__string_literal_kind] = ACTIONS(4333),
  },
  [938] = {
    [sym_preproc_include] = STATE(913),
    [sym_preproc_def] = STATE(913),
    [sym_preproc_function_def] = STATE(913),
    [sym_preproc_call] = STATE(913),
    [sym_preproc_else_in_module] = STATE(8537),
    [sym_preproc_elif_in_module] = STATE(8537),
    [sym_preproc_elifdef_in_module] = STATE(8537),
    [sym_interface] = STATE(913),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5980),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(913),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(913),
    [sym_public_statement] = STATE(913),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(913),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(913),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(913),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(913),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4733),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(4371),
    [aux_sym_preproc_include_token1] = ACTIONS(4367),
    [aux_sym_preproc_def_token1] = ACTIONS(4367),
    [aux_sym_preproc_if_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4367),
    [sym_preproc_directive] = ACTIONS(4367),
    [anon_sym_LPAREN2] = ACTIONS(4367),
    [sym_preproc_comment] = ACTIONS(4735),
    [anon_sym_PLUS] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token2] = ACTIONS(4367),
    [aux_sym_module_statement_token1] = ACTIONS(4367),
    [aux_sym_submodule_statement_token1] = ACTIONS(4367),
    [aux_sym_interface_statement_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4367),
    [aux_sym_function_statement_token1] = ACTIONS(4367),
    [aux_sym_language_binding_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4367),
    [aux_sym_contains_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token2] = ACTIONS(4367),
    [aux_sym_implicit_statement_token1] = ACTIONS(4367),
    [aux_sym_implicit_statement_token3] = ACTIONS(4367),
    [aux_sym_implicit_statement_token4] = ACTIONS(4367),
    [aux_sym_save_statement_token1] = ACTIONS(4367),
    [aux_sym_private_statement_token1] = ACTIONS(4367),
    [aux_sym_public_statement_token1] = ACTIONS(4367),
    [aux_sym_namelist_statement_token1] = ACTIONS(4367),
    [aux_sym_common_statement_token1] = ACTIONS(4367),
    [aux_sym_import_statement_token1] = ACTIONS(4367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4367),
    [aux_sym_variable_attributes_token1] = ACTIONS(4367),
    [aux_sym_variable_attributes_token2] = ACTIONS(4367),
    [aux_sym_variable_attributes_token3] = ACTIONS(4367),
    [aux_sym_variable_attributes_token4] = ACTIONS(4367),
    [aux_sym_variable_attributes_token5] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4367),
    [aux_sym_derived_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4367),
    [aux_sym_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4371),
    [aux_sym_stop_statement_token1] = ACTIONS(4367),
    [aux_sym_stop_statement_token2] = ACTIONS(4367),
    [aux_sym_subroutine_call_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token2] = ACTIONS(4367),
    [aux_sym_keyword_statement_token3] = ACTIONS(4367),
    [aux_sym_keyword_statement_token4] = ACTIONS(4367),
    [aux_sym_keyword_statement_token6] = ACTIONS(4367),
    [aux_sym_keyword_statement_token7] = ACTIONS(4367),
    [aux_sym_include_statement_token1] = ACTIONS(4367),
    [aux_sym_data_statement_token1] = ACTIONS(4367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4367),
    [aux_sym_end_if_statement_token1] = ACTIONS(4367),
    [aux_sym_elseif_clause_token2] = ACTIONS(4367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token3] = ACTIONS(4367),
    [aux_sym_select_type_statement_token1] = ACTIONS(4367),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4367),
    [aux_sym_block_construct_token1] = ACTIONS(4367),
    [aux_sym_associate_statement_token1] = ACTIONS(4367),
    [aux_sym_format_statement_token1] = ACTIONS(4367),
    [aux_sym_print_statement_token1] = ACTIONS(4367),
    [aux_sym_open_statement_token1] = ACTIONS(4367),
    [aux_sym_close_statement_token1] = ACTIONS(4367),
    [aux_sym_inquire_statement_token1] = ACTIONS(4367),
    [aux_sym_enum_statement_token1] = ACTIONS(4367),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token2] = ACTIONS(4367),
    [aux_sym_file_position_statement_token3] = ACTIONS(4367),
    [aux_sym_file_position_statement_token4] = ACTIONS(4367),
    [aux_sym_allocate_statement_token1] = ACTIONS(4367),
    [aux_sym_entry_statement_token1] = ACTIONS(4367),
    [aux_sym_logical_expression_token5] = ACTIONS(4371),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [aux_sym_boolean_literal_token1] = ACTIONS(4371),
    [aux_sym_boolean_literal_token2] = ACTIONS(4371),
    [aux_sym_null_literal_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token2] = ACTIONS(4367),
    [aux_sym_coarray_statement_token6] = ACTIONS(4367),
    [aux_sym_coarray_statement_token8] = ACTIONS(4367),
    [aux_sym_coarray_statement_token11] = ACTIONS(4367),
    [aux_sym_coarray_statement_token12] = ACTIONS(4367),
    [aux_sym_coarray_statement_token13] = ACTIONS(4367),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4367),
    [aux_sym_identifier_token1] = ACTIONS(4367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4371),
    [sym__float_literal] = ACTIONS(4371),
    [sym__boz_literal] = ACTIONS(4371),
    [sym__string_literal] = ACTIONS(4371),
    [sym__string_literal_kind] = ACTIONS(4371),
  },
  [940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4367),
    [aux_sym_preproc_def_token1] = ACTIONS(4367),
    [aux_sym_preproc_if_token1] = ACTIONS(4367),
    [aux_sym_preproc_if_token2] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4367),
    [sym_preproc_directive] = ACTIONS(4367),
    [anon_sym_LPAREN2] = ACTIONS(4367),
    [sym_preproc_comment] = ACTIONS(4737),
    [anon_sym_PLUS] = ACTIONS(4371),
    [anon_sym_DASH] = ACTIONS(4371),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token1] = ACTIONS(4367),
    [aux_sym_end_program_statement_token2] = ACTIONS(4367),
    [aux_sym_module_statement_token1] = ACTIONS(4367),
    [aux_sym_submodule_statement_token1] = ACTIONS(4367),
    [aux_sym_interface_statement_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4367),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4367),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4367),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4367),
    [aux_sym_function_statement_token1] = ACTIONS(4367),
    [aux_sym_language_binding_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4367),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4367),
    [aux_sym_contains_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token1] = ACTIONS(4367),
    [aux_sym_use_statement_token2] = ACTIONS(4367),
    [aux_sym_implicit_statement_token1] = ACTIONS(4367),
    [aux_sym_implicit_statement_token3] = ACTIONS(4367),
    [aux_sym_implicit_statement_token4] = ACTIONS(4367),
    [aux_sym_save_statement_token1] = ACTIONS(4367),
    [aux_sym_private_statement_token1] = ACTIONS(4367),
    [aux_sym_public_statement_token1] = ACTIONS(4367),
    [aux_sym_namelist_statement_token1] = ACTIONS(4367),
    [aux_sym_common_statement_token1] = ACTIONS(4367),
    [aux_sym_import_statement_token1] = ACTIONS(4367),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4367),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4367),
    [aux_sym_variable_attributes_token1] = ACTIONS(4367),
    [aux_sym_variable_attributes_token2] = ACTIONS(4367),
    [aux_sym_variable_attributes_token3] = ACTIONS(4367),
    [aux_sym_variable_attributes_token4] = ACTIONS(4367),
    [aux_sym_variable_attributes_token5] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4367),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4367),
    [aux_sym_derived_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token1] = ACTIONS(4367),
    [aux_sym_declared_type_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4367),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4367),
    [aux_sym_type_qualifier_token1] = ACTIONS(4367),
    [aux_sym_type_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4367),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4367),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4367),
    [anon_sym_SEMI] = ACTIONS(4371),
    [aux_sym_stop_statement_token1] = ACTIONS(4367),
    [aux_sym_stop_statement_token2] = ACTIONS(4367),
    [aux_sym_subroutine_call_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token1] = ACTIONS(4367),
    [aux_sym_keyword_statement_token2] = ACTIONS(4367),
    [aux_sym_keyword_statement_token3] = ACTIONS(4367),
    [aux_sym_keyword_statement_token4] = ACTIONS(4367),
    [aux_sym_keyword_statement_token6] = ACTIONS(4367),
    [aux_sym_keyword_statement_token7] = ACTIONS(4367),
    [aux_sym_include_statement_token1] = ACTIONS(4367),
    [aux_sym_data_statement_token1] = ACTIONS(4367),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4367),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4367),
    [aux_sym_end_if_statement_token1] = ACTIONS(4367),
    [aux_sym_elseif_clause_token2] = ACTIONS(4367),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4367),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token1] = ACTIONS(4367),
    [aux_sym_select_case_statement_token3] = ACTIONS(4367),
    [aux_sym_select_type_statement_token1] = ACTIONS(4367),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4367),
    [aux_sym_block_construct_token1] = ACTIONS(4367),
    [aux_sym_associate_statement_token1] = ACTIONS(4367),
    [aux_sym_format_statement_token1] = ACTIONS(4367),
    [aux_sym_print_statement_token1] = ACTIONS(4367),
    [aux_sym_open_statement_token1] = ACTIONS(4367),
    [aux_sym_close_statement_token1] = ACTIONS(4367),
    [aux_sym_inquire_statement_token1] = ACTIONS(4367),
    [aux_sym_enum_statement_token1] = ACTIONS(4367),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token1] = ACTIONS(4367),
    [aux_sym_file_position_statement_token2] = ACTIONS(4367),
    [aux_sym_file_position_statement_token3] = ACTIONS(4367),
    [aux_sym_file_position_statement_token4] = ACTIONS(4367),
    [aux_sym_allocate_statement_token1] = ACTIONS(4367),
    [aux_sym_entry_statement_token1] = ACTIONS(4367),
    [aux_sym_logical_expression_token5] = ACTIONS(4371),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4371),
    [aux_sym_boolean_literal_token1] = ACTIONS(4371),
    [aux_sym_boolean_literal_token2] = ACTIONS(4371),
    [aux_sym_null_literal_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_statement_token2] = ACTIONS(4367),
    [aux_sym_coarray_statement_token6] = ACTIONS(4367),
    [aux_sym_coarray_statement_token8] = ACTIONS(4367),
    [aux_sym_coarray_statement_token11] = ACTIONS(4367),
    [aux_sym_coarray_statement_token12] = ACTIONS(4367),
    [aux_sym_coarray_statement_token13] = ACTIONS(4367),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4367),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4367),
    [aux_sym_identifier_token1] = ACTIONS(4367),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4371),
    [sym__float_literal] = ACTIONS(4371),
    [sym__boz_literal] = ACTIONS(4371),
    [sym__string_literal] = ACTIONS(4371),
    [sym__string_literal_kind] = ACTIONS(4371),
  },
  [941] = {
    [sym_preproc_include] = STATE(920),
    [sym_preproc_def] = STATE(920),
    [sym_preproc_function_def] = STATE(920),
    [sym_preproc_call] = STATE(920),
    [sym_preproc_else_in_module] = STATE(7836),
    [sym_preproc_elif_in_module] = STATE(7836),
    [sym_preproc_elifdef_in_module] = STATE(7836),
    [sym_interface] = STATE(920),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5870),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(920),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(920),
    [sym_public_statement] = STATE(920),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(920),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(920),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(920),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(920),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4739),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [942] = {
    [ts_builtin_sym_end] = ACTIONS(4377),
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [sym_preproc_comment] = ACTIONS(4741),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [943] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7942),
    [sym_preproc_elif_in_module] = STATE(7942),
    [sym_preproc_elifdef_in_module] = STATE(7942),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5873),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4743),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(4383),
    [aux_sym_preproc_include_token1] = ACTIONS(4379),
    [aux_sym_preproc_def_token1] = ACTIONS(4379),
    [aux_sym_preproc_if_token1] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4379),
    [sym_preproc_directive] = ACTIONS(4379),
    [anon_sym_LPAREN2] = ACTIONS(4379),
    [sym_preproc_comment] = ACTIONS(4745),
    [anon_sym_PLUS] = ACTIONS(4383),
    [anon_sym_DASH] = ACTIONS(4383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token1] = ACTIONS(4379),
    [aux_sym_end_program_statement_token2] = ACTIONS(4379),
    [aux_sym_module_statement_token1] = ACTIONS(4379),
    [aux_sym_submodule_statement_token1] = ACTIONS(4379),
    [aux_sym_interface_statement_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4379),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4379),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4379),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4379),
    [aux_sym_function_statement_token1] = ACTIONS(4379),
    [aux_sym_language_binding_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4379),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4379),
    [aux_sym_contains_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token1] = ACTIONS(4379),
    [aux_sym_use_statement_token2] = ACTIONS(4379),
    [aux_sym_implicit_statement_token1] = ACTIONS(4379),
    [aux_sym_implicit_statement_token3] = ACTIONS(4379),
    [aux_sym_implicit_statement_token4] = ACTIONS(4379),
    [aux_sym_save_statement_token1] = ACTIONS(4379),
    [aux_sym_private_statement_token1] = ACTIONS(4379),
    [aux_sym_public_statement_token1] = ACTIONS(4379),
    [aux_sym_namelist_statement_token1] = ACTIONS(4379),
    [aux_sym_common_statement_token1] = ACTIONS(4379),
    [aux_sym_import_statement_token1] = ACTIONS(4379),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4379),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4379),
    [aux_sym_variable_attributes_token1] = ACTIONS(4379),
    [aux_sym_variable_attributes_token2] = ACTIONS(4379),
    [aux_sym_variable_attributes_token3] = ACTIONS(4379),
    [aux_sym_variable_attributes_token4] = ACTIONS(4379),
    [aux_sym_variable_attributes_token5] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4379),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4379),
    [aux_sym_derived_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token1] = ACTIONS(4379),
    [aux_sym_declared_type_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4379),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4379),
    [aux_sym_type_qualifier_token1] = ACTIONS(4379),
    [aux_sym_type_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4379),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4379),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4379),
    [anon_sym_SEMI] = ACTIONS(4383),
    [aux_sym_stop_statement_token1] = ACTIONS(4379),
    [aux_sym_stop_statement_token2] = ACTIONS(4379),
    [aux_sym_subroutine_call_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token1] = ACTIONS(4379),
    [aux_sym_keyword_statement_token2] = ACTIONS(4379),
    [aux_sym_keyword_statement_token3] = ACTIONS(4379),
    [aux_sym_keyword_statement_token4] = ACTIONS(4379),
    [aux_sym_keyword_statement_token6] = ACTIONS(4379),
    [aux_sym_keyword_statement_token7] = ACTIONS(4379),
    [aux_sym_include_statement_token1] = ACTIONS(4379),
    [aux_sym_data_statement_token1] = ACTIONS(4379),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4379),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4379),
    [aux_sym_end_if_statement_token1] = ACTIONS(4379),
    [aux_sym_elseif_clause_token2] = ACTIONS(4379),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4379),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token1] = ACTIONS(4379),
    [aux_sym_select_case_statement_token3] = ACTIONS(4379),
    [aux_sym_select_type_statement_token1] = ACTIONS(4379),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4379),
    [aux_sym_block_construct_token1] = ACTIONS(4379),
    [aux_sym_associate_statement_token1] = ACTIONS(4379),
    [aux_sym_format_statement_token1] = ACTIONS(4379),
    [aux_sym_print_statement_token1] = ACTIONS(4379),
    [aux_sym_open_statement_token1] = ACTIONS(4379),
    [aux_sym_close_statement_token1] = ACTIONS(4379),
    [aux_sym_inquire_statement_token1] = ACTIONS(4379),
    [aux_sym_enum_statement_token1] = ACTIONS(4379),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token1] = ACTIONS(4379),
    [aux_sym_file_position_statement_token2] = ACTIONS(4379),
    [aux_sym_file_position_statement_token3] = ACTIONS(4379),
    [aux_sym_file_position_statement_token4] = ACTIONS(4379),
    [aux_sym_allocate_statement_token1] = ACTIONS(4379),
    [aux_sym_entry_statement_token1] = ACTIONS(4379),
    [aux_sym_logical_expression_token5] = ACTIONS(4383),
    [anon_sym_DOT] = ACTIONS(4379),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(4383),
    [aux_sym_boolean_literal_token1] = ACTIONS(4383),
    [aux_sym_boolean_literal_token2] = ACTIONS(4383),
    [aux_sym_null_literal_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_statement_token2] = ACTIONS(4379),
    [aux_sym_coarray_statement_token6] = ACTIONS(4379),
    [aux_sym_coarray_statement_token8] = ACTIONS(4379),
    [aux_sym_coarray_statement_token11] = ACTIONS(4379),
    [aux_sym_coarray_statement_token12] = ACTIONS(4379),
    [aux_sym_coarray_statement_token13] = ACTIONS(4379),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4379),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4379),
    [aux_sym_identifier_token1] = ACTIONS(4379),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4383),
    [sym__float_literal] = ACTIONS(4383),
    [sym__boz_literal] = ACTIONS(4383),
    [sym__string_literal] = ACTIONS(4383),
    [sym__string_literal_kind] = ACTIONS(4383),
  },
  [945] = {
    [ts_builtin_sym_end] = ACTIONS(4747),
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(4749),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4279),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_module_statement_token1] = ACTIONS(4279),
    [aux_sym_submodule_statement_token1] = ACTIONS(4279),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_function_statement_token1] = ACTIONS(4279),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [946] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7856),
    [sym_preproc_elif_in_module] = STATE(7856),
    [sym_preproc_elifdef_in_module] = STATE(7856),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5784),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4751),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [947] = {
    [sym_preproc_include] = STATE(946),
    [sym_preproc_def] = STATE(946),
    [sym_preproc_function_def] = STATE(946),
    [sym_preproc_call] = STATE(946),
    [sym_preproc_else_in_module] = STATE(7717),
    [sym_preproc_elif_in_module] = STATE(7717),
    [sym_preproc_elifdef_in_module] = STATE(7717),
    [sym_interface] = STATE(946),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5864),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(946),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(946),
    [sym_public_statement] = STATE(946),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(946),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(946),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(946),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(946),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4753),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token2] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(4755),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4279),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_module_statement_token1] = ACTIONS(4279),
    [aux_sym_submodule_statement_token1] = ACTIONS(4279),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4279),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_function_statement_token1] = ACTIONS(4279),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4279),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4279),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [949] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7717),
    [sym_preproc_elif_in_module] = STATE(7717),
    [sym_preproc_elifdef_in_module] = STATE(7717),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5864),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4753),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [950] = {
    [sym_preproc_include] = STATE(962),
    [sym_preproc_def] = STATE(962),
    [sym_preproc_function_def] = STATE(962),
    [sym_preproc_call] = STATE(962),
    [sym_preproc_else_in_module] = STATE(7745),
    [sym_preproc_elif_in_module] = STATE(7745),
    [sym_preproc_elifdef_in_module] = STATE(7745),
    [sym_interface] = STATE(962),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5987),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(962),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(962),
    [sym_public_statement] = STATE(962),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(962),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(962),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(962),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(962),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4757),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token2] = ACTIONS(4313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(4759),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4313),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_module_statement_token1] = ACTIONS(4313),
    [aux_sym_submodule_statement_token1] = ACTIONS(4313),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4313),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_function_statement_token1] = ACTIONS(4313),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4313),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(4761),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(4333),
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(4763),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [954] = {
    [sym_preproc_include] = STATE(936),
    [sym_preproc_def] = STATE(936),
    [sym_preproc_function_def] = STATE(936),
    [sym_preproc_call] = STATE(936),
    [sym_preproc_else_in_module] = STATE(7753),
    [sym_preproc_elif_in_module] = STATE(7753),
    [sym_preproc_elifdef_in_module] = STATE(7753),
    [sym_interface] = STATE(936),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5990),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(936),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(936),
    [sym_public_statement] = STATE(936),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(936),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(936),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(936),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(936),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4765),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4767),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4385),
    [aux_sym_preproc_def_token1] = ACTIONS(4385),
    [aux_sym_preproc_if_token1] = ACTIONS(4385),
    [aux_sym_preproc_if_token2] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4385),
    [sym_preproc_directive] = ACTIONS(4385),
    [anon_sym_LPAREN2] = ACTIONS(4385),
    [sym_preproc_comment] = ACTIONS(4769),
    [anon_sym_PLUS] = ACTIONS(4389),
    [anon_sym_DASH] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token1] = ACTIONS(4385),
    [aux_sym_end_program_statement_token2] = ACTIONS(4385),
    [aux_sym_module_statement_token1] = ACTIONS(4385),
    [aux_sym_submodule_statement_token1] = ACTIONS(4385),
    [aux_sym_interface_statement_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4385),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4385),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4385),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4385),
    [aux_sym_function_statement_token1] = ACTIONS(4385),
    [aux_sym_language_binding_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4385),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4385),
    [aux_sym_contains_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token1] = ACTIONS(4385),
    [aux_sym_use_statement_token2] = ACTIONS(4385),
    [aux_sym_implicit_statement_token1] = ACTIONS(4385),
    [aux_sym_implicit_statement_token3] = ACTIONS(4385),
    [aux_sym_implicit_statement_token4] = ACTIONS(4385),
    [aux_sym_save_statement_token1] = ACTIONS(4385),
    [aux_sym_private_statement_token1] = ACTIONS(4385),
    [aux_sym_public_statement_token1] = ACTIONS(4385),
    [aux_sym_namelist_statement_token1] = ACTIONS(4385),
    [aux_sym_common_statement_token1] = ACTIONS(4385),
    [aux_sym_import_statement_token1] = ACTIONS(4385),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4385),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4385),
    [aux_sym_variable_attributes_token1] = ACTIONS(4385),
    [aux_sym_variable_attributes_token2] = ACTIONS(4385),
    [aux_sym_variable_attributes_token3] = ACTIONS(4385),
    [aux_sym_variable_attributes_token4] = ACTIONS(4385),
    [aux_sym_variable_attributes_token5] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4385),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4385),
    [aux_sym_derived_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token1] = ACTIONS(4385),
    [aux_sym_declared_type_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4385),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4385),
    [aux_sym_type_qualifier_token1] = ACTIONS(4385),
    [aux_sym_type_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4385),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4385),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4385),
    [anon_sym_SEMI] = ACTIONS(4389),
    [aux_sym_stop_statement_token1] = ACTIONS(4385),
    [aux_sym_stop_statement_token2] = ACTIONS(4385),
    [aux_sym_subroutine_call_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token1] = ACTIONS(4385),
    [aux_sym_keyword_statement_token2] = ACTIONS(4385),
    [aux_sym_keyword_statement_token3] = ACTIONS(4385),
    [aux_sym_keyword_statement_token4] = ACTIONS(4385),
    [aux_sym_keyword_statement_token6] = ACTIONS(4385),
    [aux_sym_keyword_statement_token7] = ACTIONS(4385),
    [aux_sym_include_statement_token1] = ACTIONS(4385),
    [aux_sym_data_statement_token1] = ACTIONS(4385),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4385),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4385),
    [aux_sym_end_if_statement_token1] = ACTIONS(4385),
    [aux_sym_elseif_clause_token2] = ACTIONS(4385),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4385),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token1] = ACTIONS(4385),
    [aux_sym_select_case_statement_token3] = ACTIONS(4385),
    [aux_sym_select_type_statement_token1] = ACTIONS(4385),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4385),
    [aux_sym_block_construct_token1] = ACTIONS(4385),
    [aux_sym_associate_statement_token1] = ACTIONS(4385),
    [aux_sym_format_statement_token1] = ACTIONS(4385),
    [aux_sym_print_statement_token1] = ACTIONS(4385),
    [aux_sym_open_statement_token1] = ACTIONS(4385),
    [aux_sym_close_statement_token1] = ACTIONS(4385),
    [aux_sym_inquire_statement_token1] = ACTIONS(4385),
    [aux_sym_enum_statement_token1] = ACTIONS(4385),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token1] = ACTIONS(4385),
    [aux_sym_file_position_statement_token2] = ACTIONS(4385),
    [aux_sym_file_position_statement_token3] = ACTIONS(4385),
    [aux_sym_file_position_statement_token4] = ACTIONS(4385),
    [aux_sym_allocate_statement_token1] = ACTIONS(4385),
    [aux_sym_entry_statement_token1] = ACTIONS(4385),
    [aux_sym_logical_expression_token5] = ACTIONS(4389),
    [anon_sym_DOT] = ACTIONS(4385),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4389),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [aux_sym_boolean_literal_token1] = ACTIONS(4389),
    [aux_sym_boolean_literal_token2] = ACTIONS(4389),
    [aux_sym_null_literal_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_statement_token2] = ACTIONS(4385),
    [aux_sym_coarray_statement_token6] = ACTIONS(4385),
    [aux_sym_coarray_statement_token8] = ACTIONS(4385),
    [aux_sym_coarray_statement_token11] = ACTIONS(4385),
    [aux_sym_coarray_statement_token12] = ACTIONS(4385),
    [aux_sym_coarray_statement_token13] = ACTIONS(4385),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4385),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4385),
    [aux_sym_identifier_token1] = ACTIONS(4385),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4389),
    [sym__float_literal] = ACTIONS(4389),
    [sym__boz_literal] = ACTIONS(4389),
    [sym__string_literal] = ACTIONS(4389),
    [sym__string_literal_kind] = ACTIONS(4389),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(4359),
    [aux_sym_preproc_include_token1] = ACTIONS(4355),
    [aux_sym_preproc_def_token1] = ACTIONS(4355),
    [aux_sym_preproc_if_token1] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4355),
    [sym_preproc_directive] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [sym_preproc_comment] = ACTIONS(4771),
    [anon_sym_PLUS] = ACTIONS(4359),
    [anon_sym_DASH] = ACTIONS(4359),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token1] = ACTIONS(4355),
    [aux_sym_end_program_statement_token2] = ACTIONS(4355),
    [aux_sym_module_statement_token1] = ACTIONS(4355),
    [aux_sym_submodule_statement_token1] = ACTIONS(4355),
    [aux_sym_interface_statement_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4355),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4355),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4355),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4355),
    [aux_sym_function_statement_token1] = ACTIONS(4355),
    [aux_sym_language_binding_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4355),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4355),
    [aux_sym_contains_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token1] = ACTIONS(4355),
    [aux_sym_use_statement_token2] = ACTIONS(4355),
    [aux_sym_implicit_statement_token1] = ACTIONS(4355),
    [aux_sym_implicit_statement_token3] = ACTIONS(4355),
    [aux_sym_implicit_statement_token4] = ACTIONS(4355),
    [aux_sym_save_statement_token1] = ACTIONS(4355),
    [aux_sym_private_statement_token1] = ACTIONS(4355),
    [aux_sym_public_statement_token1] = ACTIONS(4355),
    [aux_sym_namelist_statement_token1] = ACTIONS(4355),
    [aux_sym_common_statement_token1] = ACTIONS(4355),
    [aux_sym_import_statement_token1] = ACTIONS(4355),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4355),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4355),
    [aux_sym_variable_attributes_token1] = ACTIONS(4355),
    [aux_sym_variable_attributes_token2] = ACTIONS(4355),
    [aux_sym_variable_attributes_token3] = ACTIONS(4355),
    [aux_sym_variable_attributes_token4] = ACTIONS(4355),
    [aux_sym_variable_attributes_token5] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4355),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4355),
    [aux_sym_derived_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token1] = ACTIONS(4355),
    [aux_sym_declared_type_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4355),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4355),
    [aux_sym_type_qualifier_token1] = ACTIONS(4355),
    [aux_sym_type_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4355),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4355),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4355),
    [anon_sym_SEMI] = ACTIONS(4359),
    [aux_sym_stop_statement_token1] = ACTIONS(4355),
    [aux_sym_stop_statement_token2] = ACTIONS(4355),
    [aux_sym_subroutine_call_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token1] = ACTIONS(4355),
    [aux_sym_keyword_statement_token2] = ACTIONS(4355),
    [aux_sym_keyword_statement_token3] = ACTIONS(4355),
    [aux_sym_keyword_statement_token4] = ACTIONS(4355),
    [aux_sym_keyword_statement_token6] = ACTIONS(4355),
    [aux_sym_keyword_statement_token7] = ACTIONS(4355),
    [aux_sym_include_statement_token1] = ACTIONS(4355),
    [aux_sym_data_statement_token1] = ACTIONS(4355),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4355),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4355),
    [aux_sym_end_if_statement_token1] = ACTIONS(4355),
    [aux_sym_elseif_clause_token2] = ACTIONS(4355),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4355),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token1] = ACTIONS(4355),
    [aux_sym_select_case_statement_token3] = ACTIONS(4355),
    [aux_sym_select_type_statement_token1] = ACTIONS(4355),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4355),
    [aux_sym_block_construct_token1] = ACTIONS(4355),
    [aux_sym_associate_statement_token1] = ACTIONS(4355),
    [aux_sym_format_statement_token1] = ACTIONS(4355),
    [aux_sym_print_statement_token1] = ACTIONS(4355),
    [aux_sym_open_statement_token1] = ACTIONS(4355),
    [aux_sym_close_statement_token1] = ACTIONS(4355),
    [aux_sym_inquire_statement_token1] = ACTIONS(4355),
    [aux_sym_enum_statement_token1] = ACTIONS(4355),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token1] = ACTIONS(4355),
    [aux_sym_file_position_statement_token2] = ACTIONS(4355),
    [aux_sym_file_position_statement_token3] = ACTIONS(4355),
    [aux_sym_file_position_statement_token4] = ACTIONS(4355),
    [aux_sym_allocate_statement_token1] = ACTIONS(4355),
    [aux_sym_entry_statement_token1] = ACTIONS(4355),
    [aux_sym_logical_expression_token5] = ACTIONS(4359),
    [anon_sym_DOT] = ACTIONS(4355),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [aux_sym_boolean_literal_token1] = ACTIONS(4359),
    [aux_sym_boolean_literal_token2] = ACTIONS(4359),
    [aux_sym_null_literal_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_statement_token2] = ACTIONS(4355),
    [aux_sym_coarray_statement_token6] = ACTIONS(4355),
    [aux_sym_coarray_statement_token8] = ACTIONS(4355),
    [aux_sym_coarray_statement_token11] = ACTIONS(4355),
    [aux_sym_coarray_statement_token12] = ACTIONS(4355),
    [aux_sym_coarray_statement_token13] = ACTIONS(4355),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4355),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4355),
    [aux_sym_identifier_token1] = ACTIONS(4355),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4359),
    [sym__float_literal] = ACTIONS(4359),
    [sym__boz_literal] = ACTIONS(4359),
    [sym__string_literal] = ACTIONS(4359),
    [sym__string_literal_kind] = ACTIONS(4359),
  },
  [958] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7753),
    [sym_preproc_elif_in_module] = STATE(7753),
    [sym_preproc_elifdef_in_module] = STATE(7753),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5990),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4765),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(4365),
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [sym_preproc_comment] = ACTIONS(4773),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [960] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(8145),
    [sym_preproc_elif_in_module] = STATE(8145),
    [sym_preproc_elifdef_in_module] = STATE(8145),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5868),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4775),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(4777),
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(4779),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4313),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_module_statement_token1] = ACTIONS(4313),
    [aux_sym_submodule_statement_token1] = ACTIONS(4313),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4313),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_function_statement_token1] = ACTIONS(4313),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4313),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4313),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [962] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_preproc_else_in_module] = STATE(7875),
    [sym_preproc_elif_in_module] = STATE(7875),
    [sym_preproc_elifdef_in_module] = STATE(7875),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(5821),
    [sym_contains_statement] = STATE(7152),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4645),
    [aux_sym_preproc_def_token1] = ACTIONS(4647),
    [aux_sym_preproc_if_token2] = ACTIONS(4715),
    [aux_sym_preproc_else_token1] = ACTIONS(4651),
    [aux_sym_preproc_elif_token1] = ACTIONS(4653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4655),
    [sym_preproc_directive] = ACTIONS(4657),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4661),
    [aux_sym_public_statement_token1] = ACTIONS(4663),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(4475),
    [aux_sym_preproc_include_token1] = ACTIONS(4473),
    [aux_sym_preproc_def_token1] = ACTIONS(4473),
    [aux_sym_preproc_if_token1] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4473),
    [sym_preproc_directive] = ACTIONS(4473),
    [anon_sym_LPAREN2] = ACTIONS(4473),
    [anon_sym_PLUS] = ACTIONS(4475),
    [anon_sym_DASH] = ACTIONS(4475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token2] = ACTIONS(4473),
    [aux_sym_module_statement_token1] = ACTIONS(4473),
    [aux_sym_submodule_statement_token1] = ACTIONS(4473),
    [aux_sym_interface_statement_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4473),
    [aux_sym_function_statement_token1] = ACTIONS(4473),
    [aux_sym_language_binding_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4473),
    [aux_sym_contains_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token2] = ACTIONS(4473),
    [aux_sym_implicit_statement_token1] = ACTIONS(4473),
    [aux_sym_implicit_statement_token3] = ACTIONS(4473),
    [aux_sym_implicit_statement_token4] = ACTIONS(4473),
    [aux_sym_save_statement_token1] = ACTIONS(4473),
    [aux_sym_private_statement_token1] = ACTIONS(4473),
    [aux_sym_public_statement_token1] = ACTIONS(4473),
    [aux_sym_namelist_statement_token1] = ACTIONS(4473),
    [aux_sym_common_statement_token1] = ACTIONS(4473),
    [aux_sym_import_statement_token1] = ACTIONS(4473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4473),
    [aux_sym_variable_attributes_token1] = ACTIONS(4473),
    [aux_sym_variable_attributes_token2] = ACTIONS(4473),
    [aux_sym_variable_attributes_token3] = ACTIONS(4473),
    [aux_sym_variable_attributes_token4] = ACTIONS(4473),
    [aux_sym_variable_attributes_token5] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4473),
    [aux_sym_derived_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4473),
    [aux_sym_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [aux_sym_stop_statement_token1] = ACTIONS(4473),
    [aux_sym_stop_statement_token2] = ACTIONS(4473),
    [aux_sym_subroutine_call_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token2] = ACTIONS(4473),
    [aux_sym_keyword_statement_token3] = ACTIONS(4473),
    [aux_sym_keyword_statement_token4] = ACTIONS(4473),
    [aux_sym_keyword_statement_token6] = ACTIONS(4473),
    [aux_sym_keyword_statement_token7] = ACTIONS(4473),
    [aux_sym_include_statement_token1] = ACTIONS(4473),
    [aux_sym_data_statement_token1] = ACTIONS(4473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4473),
    [aux_sym_end_if_statement_token1] = ACTIONS(4473),
    [aux_sym_elseif_clause_token2] = ACTIONS(4473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token3] = ACTIONS(4473),
    [aux_sym_select_type_statement_token1] = ACTIONS(4473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4473),
    [aux_sym_block_construct_token1] = ACTIONS(4473),
    [aux_sym_associate_statement_token1] = ACTIONS(4473),
    [aux_sym_format_statement_token1] = ACTIONS(4473),
    [aux_sym_print_statement_token1] = ACTIONS(4473),
    [aux_sym_open_statement_token1] = ACTIONS(4473),
    [aux_sym_close_statement_token1] = ACTIONS(4473),
    [aux_sym_inquire_statement_token1] = ACTIONS(4473),
    [aux_sym_enum_statement_token1] = ACTIONS(4473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token2] = ACTIONS(4473),
    [aux_sym_file_position_statement_token3] = ACTIONS(4473),
    [aux_sym_file_position_statement_token4] = ACTIONS(4473),
    [aux_sym_allocate_statement_token1] = ACTIONS(4473),
    [aux_sym_entry_statement_token1] = ACTIONS(4473),
    [aux_sym_logical_expression_token5] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [aux_sym_boolean_literal_token1] = ACTIONS(4475),
    [aux_sym_boolean_literal_token2] = ACTIONS(4475),
    [aux_sym_null_literal_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token2] = ACTIONS(4473),
    [aux_sym_coarray_statement_token6] = ACTIONS(4473),
    [aux_sym_coarray_statement_token8] = ACTIONS(4473),
    [aux_sym_coarray_statement_token11] = ACTIONS(4473),
    [aux_sym_coarray_statement_token12] = ACTIONS(4473),
    [aux_sym_coarray_statement_token13] = ACTIONS(4473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4473),
    [aux_sym_identifier_token1] = ACTIONS(4473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4475),
    [sym__float_literal] = ACTIONS(4475),
    [sym__boz_literal] = ACTIONS(4475),
    [sym__string_literal] = ACTIONS(4475),
    [sym__string_literal_kind] = ACTIONS(4475),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(4509),
    [aux_sym_preproc_include_token1] = ACTIONS(4507),
    [aux_sym_preproc_def_token1] = ACTIONS(4507),
    [aux_sym_preproc_if_token1] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4507),
    [sym_preproc_directive] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_PLUS] = ACTIONS(4509),
    [anon_sym_DASH] = ACTIONS(4509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token2] = ACTIONS(4507),
    [aux_sym_module_statement_token1] = ACTIONS(4507),
    [aux_sym_submodule_statement_token1] = ACTIONS(4507),
    [aux_sym_interface_statement_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4507),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4507),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4507),
    [aux_sym_function_statement_token1] = ACTIONS(4507),
    [aux_sym_language_binding_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4507),
    [aux_sym_contains_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token2] = ACTIONS(4507),
    [aux_sym_implicit_statement_token1] = ACTIONS(4507),
    [aux_sym_implicit_statement_token3] = ACTIONS(4507),
    [aux_sym_implicit_statement_token4] = ACTIONS(4507),
    [aux_sym_save_statement_token1] = ACTIONS(4507),
    [aux_sym_private_statement_token1] = ACTIONS(4507),
    [aux_sym_public_statement_token1] = ACTIONS(4507),
    [aux_sym_namelist_statement_token1] = ACTIONS(4507),
    [aux_sym_common_statement_token1] = ACTIONS(4507),
    [aux_sym_import_statement_token1] = ACTIONS(4507),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4507),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4507),
    [aux_sym_variable_attributes_token1] = ACTIONS(4507),
    [aux_sym_variable_attributes_token2] = ACTIONS(4507),
    [aux_sym_variable_attributes_token3] = ACTIONS(4507),
    [aux_sym_variable_attributes_token4] = ACTIONS(4507),
    [aux_sym_variable_attributes_token5] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4507),
    [aux_sym_derived_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4507),
    [aux_sym_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4507),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4507),
    [anon_sym_SEMI] = ACTIONS(4509),
    [aux_sym_stop_statement_token1] = ACTIONS(4507),
    [aux_sym_stop_statement_token2] = ACTIONS(4507),
    [aux_sym_subroutine_call_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token2] = ACTIONS(4507),
    [aux_sym_keyword_statement_token3] = ACTIONS(4507),
    [aux_sym_keyword_statement_token4] = ACTIONS(4507),
    [aux_sym_keyword_statement_token6] = ACTIONS(4507),
    [aux_sym_keyword_statement_token7] = ACTIONS(4507),
    [aux_sym_include_statement_token1] = ACTIONS(4507),
    [aux_sym_data_statement_token1] = ACTIONS(4507),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4507),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4507),
    [aux_sym_end_if_statement_token1] = ACTIONS(4507),
    [aux_sym_elseif_clause_token2] = ACTIONS(4507),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4507),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token3] = ACTIONS(4507),
    [aux_sym_select_type_statement_token1] = ACTIONS(4507),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4507),
    [aux_sym_block_construct_token1] = ACTIONS(4507),
    [aux_sym_associate_statement_token1] = ACTIONS(4507),
    [aux_sym_format_statement_token1] = ACTIONS(4507),
    [aux_sym_print_statement_token1] = ACTIONS(4507),
    [aux_sym_open_statement_token1] = ACTIONS(4507),
    [aux_sym_close_statement_token1] = ACTIONS(4507),
    [aux_sym_inquire_statement_token1] = ACTIONS(4507),
    [aux_sym_enum_statement_token1] = ACTIONS(4507),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token2] = ACTIONS(4507),
    [aux_sym_file_position_statement_token3] = ACTIONS(4507),
    [aux_sym_file_position_statement_token4] = ACTIONS(4507),
    [aux_sym_allocate_statement_token1] = ACTIONS(4507),
    [aux_sym_entry_statement_token1] = ACTIONS(4507),
    [aux_sym_logical_expression_token5] = ACTIONS(4509),
    [anon_sym_DOT] = ACTIONS(4507),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4509),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [aux_sym_boolean_literal_token1] = ACTIONS(4509),
    [aux_sym_boolean_literal_token2] = ACTIONS(4509),
    [aux_sym_null_literal_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token2] = ACTIONS(4507),
    [aux_sym_coarray_statement_token6] = ACTIONS(4507),
    [aux_sym_coarray_statement_token8] = ACTIONS(4507),
    [aux_sym_coarray_statement_token11] = ACTIONS(4507),
    [aux_sym_coarray_statement_token12] = ACTIONS(4507),
    [aux_sym_coarray_statement_token13] = ACTIONS(4507),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4507),
    [aux_sym_identifier_token1] = ACTIONS(4507),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4509),
    [sym__float_literal] = ACTIONS(4509),
    [sym__boz_literal] = ACTIONS(4509),
    [sym__string_literal] = ACTIONS(4509),
    [sym__string_literal_kind] = ACTIONS(4509),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(4333),
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(4513),
    [aux_sym_preproc_include_token1] = ACTIONS(4511),
    [aux_sym_preproc_def_token1] = ACTIONS(4511),
    [aux_sym_preproc_if_token1] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4511),
    [sym_preproc_directive] = ACTIONS(4511),
    [anon_sym_LPAREN2] = ACTIONS(4511),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_DASH] = ACTIONS(4513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token2] = ACTIONS(4511),
    [aux_sym_module_statement_token1] = ACTIONS(4511),
    [aux_sym_submodule_statement_token1] = ACTIONS(4511),
    [aux_sym_interface_statement_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4511),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4511),
    [aux_sym_function_statement_token1] = ACTIONS(4511),
    [aux_sym_language_binding_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4511),
    [aux_sym_contains_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token2] = ACTIONS(4511),
    [aux_sym_implicit_statement_token1] = ACTIONS(4511),
    [aux_sym_implicit_statement_token3] = ACTIONS(4511),
    [aux_sym_implicit_statement_token4] = ACTIONS(4511),
    [aux_sym_save_statement_token1] = ACTIONS(4511),
    [aux_sym_private_statement_token1] = ACTIONS(4511),
    [aux_sym_public_statement_token1] = ACTIONS(4511),
    [aux_sym_namelist_statement_token1] = ACTIONS(4511),
    [aux_sym_common_statement_token1] = ACTIONS(4511),
    [aux_sym_import_statement_token1] = ACTIONS(4511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4511),
    [aux_sym_variable_attributes_token1] = ACTIONS(4511),
    [aux_sym_variable_attributes_token2] = ACTIONS(4511),
    [aux_sym_variable_attributes_token3] = ACTIONS(4511),
    [aux_sym_variable_attributes_token4] = ACTIONS(4511),
    [aux_sym_variable_attributes_token5] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4511),
    [aux_sym_derived_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4511),
    [aux_sym_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4511),
    [anon_sym_SEMI] = ACTIONS(4513),
    [aux_sym_stop_statement_token1] = ACTIONS(4511),
    [aux_sym_stop_statement_token2] = ACTIONS(4511),
    [aux_sym_subroutine_call_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token2] = ACTIONS(4511),
    [aux_sym_keyword_statement_token3] = ACTIONS(4511),
    [aux_sym_keyword_statement_token4] = ACTIONS(4511),
    [aux_sym_keyword_statement_token6] = ACTIONS(4511),
    [aux_sym_keyword_statement_token7] = ACTIONS(4511),
    [aux_sym_include_statement_token1] = ACTIONS(4511),
    [aux_sym_data_statement_token1] = ACTIONS(4511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4511),
    [aux_sym_end_if_statement_token1] = ACTIONS(4511),
    [aux_sym_elseif_clause_token2] = ACTIONS(4511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token3] = ACTIONS(4511),
    [aux_sym_select_type_statement_token1] = ACTIONS(4511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4511),
    [aux_sym_block_construct_token1] = ACTIONS(4511),
    [aux_sym_associate_statement_token1] = ACTIONS(4511),
    [aux_sym_format_statement_token1] = ACTIONS(4511),
    [aux_sym_print_statement_token1] = ACTIONS(4511),
    [aux_sym_open_statement_token1] = ACTIONS(4511),
    [aux_sym_close_statement_token1] = ACTIONS(4511),
    [aux_sym_inquire_statement_token1] = ACTIONS(4511),
    [aux_sym_enum_statement_token1] = ACTIONS(4511),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token2] = ACTIONS(4511),
    [aux_sym_file_position_statement_token3] = ACTIONS(4511),
    [aux_sym_file_position_statement_token4] = ACTIONS(4511),
    [aux_sym_allocate_statement_token1] = ACTIONS(4511),
    [aux_sym_entry_statement_token1] = ACTIONS(4511),
    [aux_sym_logical_expression_token5] = ACTIONS(4513),
    [anon_sym_DOT] = ACTIONS(4511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4513),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [aux_sym_boolean_literal_token1] = ACTIONS(4513),
    [aux_sym_boolean_literal_token2] = ACTIONS(4513),
    [aux_sym_null_literal_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token2] = ACTIONS(4511),
    [aux_sym_coarray_statement_token6] = ACTIONS(4511),
    [aux_sym_coarray_statement_token8] = ACTIONS(4511),
    [aux_sym_coarray_statement_token11] = ACTIONS(4511),
    [aux_sym_coarray_statement_token12] = ACTIONS(4511),
    [aux_sym_coarray_statement_token13] = ACTIONS(4511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4511),
    [aux_sym_identifier_token1] = ACTIONS(4511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4513),
    [sym__float_literal] = ACTIONS(4513),
    [sym__boz_literal] = ACTIONS(4513),
    [sym__string_literal] = ACTIONS(4513),
    [sym__string_literal_kind] = ACTIONS(4513),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(4517),
    [aux_sym_preproc_include_token1] = ACTIONS(4515),
    [aux_sym_preproc_def_token1] = ACTIONS(4515),
    [aux_sym_preproc_if_token1] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4515),
    [sym_preproc_directive] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4515),
    [anon_sym_PLUS] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token2] = ACTIONS(4515),
    [aux_sym_module_statement_token1] = ACTIONS(4515),
    [aux_sym_submodule_statement_token1] = ACTIONS(4515),
    [aux_sym_interface_statement_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4515),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4515),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4515),
    [aux_sym_function_statement_token1] = ACTIONS(4515),
    [aux_sym_language_binding_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4515),
    [aux_sym_contains_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token2] = ACTIONS(4515),
    [aux_sym_implicit_statement_token1] = ACTIONS(4515),
    [aux_sym_implicit_statement_token3] = ACTIONS(4515),
    [aux_sym_implicit_statement_token4] = ACTIONS(4515),
    [aux_sym_save_statement_token1] = ACTIONS(4515),
    [aux_sym_private_statement_token1] = ACTIONS(4515),
    [aux_sym_public_statement_token1] = ACTIONS(4515),
    [aux_sym_namelist_statement_token1] = ACTIONS(4515),
    [aux_sym_common_statement_token1] = ACTIONS(4515),
    [aux_sym_import_statement_token1] = ACTIONS(4515),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4515),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4515),
    [aux_sym_variable_attributes_token1] = ACTIONS(4515),
    [aux_sym_variable_attributes_token2] = ACTIONS(4515),
    [aux_sym_variable_attributes_token3] = ACTIONS(4515),
    [aux_sym_variable_attributes_token4] = ACTIONS(4515),
    [aux_sym_variable_attributes_token5] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4515),
    [aux_sym_derived_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4515),
    [aux_sym_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4515),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4515),
    [anon_sym_SEMI] = ACTIONS(4517),
    [aux_sym_stop_statement_token1] = ACTIONS(4515),
    [aux_sym_stop_statement_token2] = ACTIONS(4515),
    [aux_sym_subroutine_call_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token2] = ACTIONS(4515),
    [aux_sym_keyword_statement_token3] = ACTIONS(4515),
    [aux_sym_keyword_statement_token4] = ACTIONS(4515),
    [aux_sym_keyword_statement_token6] = ACTIONS(4515),
    [aux_sym_keyword_statement_token7] = ACTIONS(4515),
    [aux_sym_include_statement_token1] = ACTIONS(4515),
    [aux_sym_data_statement_token1] = ACTIONS(4515),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4515),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4515),
    [aux_sym_end_if_statement_token1] = ACTIONS(4515),
    [aux_sym_elseif_clause_token2] = ACTIONS(4515),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4515),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token3] = ACTIONS(4515),
    [aux_sym_select_type_statement_token1] = ACTIONS(4515),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4515),
    [aux_sym_block_construct_token1] = ACTIONS(4515),
    [aux_sym_associate_statement_token1] = ACTIONS(4515),
    [aux_sym_format_statement_token1] = ACTIONS(4515),
    [aux_sym_print_statement_token1] = ACTIONS(4515),
    [aux_sym_open_statement_token1] = ACTIONS(4515),
    [aux_sym_close_statement_token1] = ACTIONS(4515),
    [aux_sym_inquire_statement_token1] = ACTIONS(4515),
    [aux_sym_enum_statement_token1] = ACTIONS(4515),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token2] = ACTIONS(4515),
    [aux_sym_file_position_statement_token3] = ACTIONS(4515),
    [aux_sym_file_position_statement_token4] = ACTIONS(4515),
    [aux_sym_allocate_statement_token1] = ACTIONS(4515),
    [aux_sym_entry_statement_token1] = ACTIONS(4515),
    [aux_sym_logical_expression_token5] = ACTIONS(4517),
    [anon_sym_DOT] = ACTIONS(4515),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4517),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [aux_sym_boolean_literal_token1] = ACTIONS(4517),
    [aux_sym_boolean_literal_token2] = ACTIONS(4517),
    [aux_sym_null_literal_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token2] = ACTIONS(4515),
    [aux_sym_coarray_statement_token6] = ACTIONS(4515),
    [aux_sym_coarray_statement_token8] = ACTIONS(4515),
    [aux_sym_coarray_statement_token11] = ACTIONS(4515),
    [aux_sym_coarray_statement_token12] = ACTIONS(4515),
    [aux_sym_coarray_statement_token13] = ACTIONS(4515),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4515),
    [aux_sym_identifier_token1] = ACTIONS(4515),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4517),
    [sym__float_literal] = ACTIONS(4517),
    [sym__boz_literal] = ACTIONS(4517),
    [sym__string_literal] = ACTIONS(4517),
    [sym__string_literal_kind] = ACTIONS(4517),
  },
  [968] = {
    [ts_builtin_sym_end] = ACTIONS(4623),
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token2] = ACTIONS(4621),
    [aux_sym_module_statement_token1] = ACTIONS(4621),
    [aux_sym_submodule_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_function_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4537),
    [aux_sym_preproc_def_token1] = ACTIONS(4537),
    [aux_sym_preproc_if_token1] = ACTIONS(4537),
    [aux_sym_preproc_if_token2] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4537),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_PLUS] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token2] = ACTIONS(4537),
    [aux_sym_module_statement_token1] = ACTIONS(4537),
    [aux_sym_submodule_statement_token1] = ACTIONS(4537),
    [aux_sym_interface_statement_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4537),
    [aux_sym_function_statement_token1] = ACTIONS(4537),
    [aux_sym_language_binding_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4537),
    [aux_sym_contains_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token2] = ACTIONS(4537),
    [aux_sym_implicit_statement_token1] = ACTIONS(4537),
    [aux_sym_implicit_statement_token3] = ACTIONS(4537),
    [aux_sym_implicit_statement_token4] = ACTIONS(4537),
    [aux_sym_save_statement_token1] = ACTIONS(4537),
    [aux_sym_private_statement_token1] = ACTIONS(4537),
    [aux_sym_public_statement_token1] = ACTIONS(4537),
    [aux_sym_namelist_statement_token1] = ACTIONS(4537),
    [aux_sym_common_statement_token1] = ACTIONS(4537),
    [aux_sym_import_statement_token1] = ACTIONS(4537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4537),
    [aux_sym_variable_attributes_token1] = ACTIONS(4537),
    [aux_sym_variable_attributes_token2] = ACTIONS(4537),
    [aux_sym_variable_attributes_token3] = ACTIONS(4537),
    [aux_sym_variable_attributes_token4] = ACTIONS(4537),
    [aux_sym_variable_attributes_token5] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4537),
    [aux_sym_derived_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4537),
    [aux_sym_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4537),
    [anon_sym_SEMI] = ACTIONS(4539),
    [aux_sym_stop_statement_token1] = ACTIONS(4537),
    [aux_sym_stop_statement_token2] = ACTIONS(4537),
    [aux_sym_subroutine_call_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token2] = ACTIONS(4537),
    [aux_sym_keyword_statement_token3] = ACTIONS(4537),
    [aux_sym_keyword_statement_token4] = ACTIONS(4537),
    [aux_sym_keyword_statement_token6] = ACTIONS(4537),
    [aux_sym_keyword_statement_token7] = ACTIONS(4537),
    [aux_sym_include_statement_token1] = ACTIONS(4537),
    [aux_sym_data_statement_token1] = ACTIONS(4537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4537),
    [aux_sym_end_if_statement_token1] = ACTIONS(4537),
    [aux_sym_elseif_clause_token2] = ACTIONS(4537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token3] = ACTIONS(4537),
    [aux_sym_select_type_statement_token1] = ACTIONS(4537),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4537),
    [aux_sym_block_construct_token1] = ACTIONS(4537),
    [aux_sym_associate_statement_token1] = ACTIONS(4537),
    [aux_sym_format_statement_token1] = ACTIONS(4537),
    [aux_sym_print_statement_token1] = ACTIONS(4537),
    [aux_sym_open_statement_token1] = ACTIONS(4537),
    [aux_sym_close_statement_token1] = ACTIONS(4537),
    [aux_sym_inquire_statement_token1] = ACTIONS(4537),
    [aux_sym_enum_statement_token1] = ACTIONS(4537),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token2] = ACTIONS(4537),
    [aux_sym_file_position_statement_token3] = ACTIONS(4537),
    [aux_sym_file_position_statement_token4] = ACTIONS(4537),
    [aux_sym_allocate_statement_token1] = ACTIONS(4537),
    [aux_sym_entry_statement_token1] = ACTIONS(4537),
    [aux_sym_logical_expression_token5] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4539),
    [aux_sym_boolean_literal_token1] = ACTIONS(4539),
    [aux_sym_boolean_literal_token2] = ACTIONS(4539),
    [aux_sym_null_literal_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token2] = ACTIONS(4537),
    [aux_sym_coarray_statement_token6] = ACTIONS(4537),
    [aux_sym_coarray_statement_token8] = ACTIONS(4537),
    [aux_sym_coarray_statement_token11] = ACTIONS(4537),
    [aux_sym_coarray_statement_token12] = ACTIONS(4537),
    [aux_sym_coarray_statement_token13] = ACTIONS(4537),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4537),
    [aux_sym_identifier_token1] = ACTIONS(4537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4539),
    [sym__float_literal] = ACTIONS(4539),
    [sym__boz_literal] = ACTIONS(4539),
    [sym__string_literal] = ACTIONS(4539),
    [sym__string_literal_kind] = ACTIONS(4539),
  },
  [970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4541),
    [aux_sym_preproc_def_token1] = ACTIONS(4541),
    [aux_sym_preproc_if_token1] = ACTIONS(4541),
    [aux_sym_preproc_if_token2] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4541),
    [sym_preproc_directive] = ACTIONS(4541),
    [anon_sym_LPAREN2] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4543),
    [anon_sym_DASH] = ACTIONS(4543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token2] = ACTIONS(4541),
    [aux_sym_module_statement_token1] = ACTIONS(4541),
    [aux_sym_submodule_statement_token1] = ACTIONS(4541),
    [aux_sym_interface_statement_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4541),
    [aux_sym_function_statement_token1] = ACTIONS(4541),
    [aux_sym_language_binding_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4541),
    [aux_sym_contains_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token2] = ACTIONS(4541),
    [aux_sym_implicit_statement_token1] = ACTIONS(4541),
    [aux_sym_implicit_statement_token3] = ACTIONS(4541),
    [aux_sym_implicit_statement_token4] = ACTIONS(4541),
    [aux_sym_save_statement_token1] = ACTIONS(4541),
    [aux_sym_private_statement_token1] = ACTIONS(4541),
    [aux_sym_public_statement_token1] = ACTIONS(4541),
    [aux_sym_namelist_statement_token1] = ACTIONS(4541),
    [aux_sym_common_statement_token1] = ACTIONS(4541),
    [aux_sym_import_statement_token1] = ACTIONS(4541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4541),
    [aux_sym_variable_attributes_token1] = ACTIONS(4541),
    [aux_sym_variable_attributes_token2] = ACTIONS(4541),
    [aux_sym_variable_attributes_token3] = ACTIONS(4541),
    [aux_sym_variable_attributes_token4] = ACTIONS(4541),
    [aux_sym_variable_attributes_token5] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4541),
    [aux_sym_derived_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4541),
    [aux_sym_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_stop_statement_token1] = ACTIONS(4541),
    [aux_sym_stop_statement_token2] = ACTIONS(4541),
    [aux_sym_subroutine_call_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token2] = ACTIONS(4541),
    [aux_sym_keyword_statement_token3] = ACTIONS(4541),
    [aux_sym_keyword_statement_token4] = ACTIONS(4541),
    [aux_sym_keyword_statement_token6] = ACTIONS(4541),
    [aux_sym_keyword_statement_token7] = ACTIONS(4541),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_data_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4541),
    [aux_sym_end_if_statement_token1] = ACTIONS(4541),
    [aux_sym_elseif_clause_token2] = ACTIONS(4541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token3] = ACTIONS(4541),
    [aux_sym_select_type_statement_token1] = ACTIONS(4541),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4541),
    [aux_sym_block_construct_token1] = ACTIONS(4541),
    [aux_sym_associate_statement_token1] = ACTIONS(4541),
    [aux_sym_format_statement_token1] = ACTIONS(4541),
    [aux_sym_print_statement_token1] = ACTIONS(4541),
    [aux_sym_open_statement_token1] = ACTIONS(4541),
    [aux_sym_close_statement_token1] = ACTIONS(4541),
    [aux_sym_inquire_statement_token1] = ACTIONS(4541),
    [aux_sym_enum_statement_token1] = ACTIONS(4541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token2] = ACTIONS(4541),
    [aux_sym_file_position_statement_token3] = ACTIONS(4541),
    [aux_sym_file_position_statement_token4] = ACTIONS(4541),
    [aux_sym_allocate_statement_token1] = ACTIONS(4541),
    [aux_sym_entry_statement_token1] = ACTIONS(4541),
    [aux_sym_logical_expression_token5] = ACTIONS(4543),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [aux_sym_boolean_literal_token1] = ACTIONS(4543),
    [aux_sym_boolean_literal_token2] = ACTIONS(4543),
    [aux_sym_null_literal_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token2] = ACTIONS(4541),
    [aux_sym_coarray_statement_token6] = ACTIONS(4541),
    [aux_sym_coarray_statement_token8] = ACTIONS(4541),
    [aux_sym_coarray_statement_token11] = ACTIONS(4541),
    [aux_sym_coarray_statement_token12] = ACTIONS(4541),
    [aux_sym_coarray_statement_token13] = ACTIONS(4541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4541),
    [aux_sym_identifier_token1] = ACTIONS(4541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4543),
    [sym__float_literal] = ACTIONS(4543),
    [sym__boz_literal] = ACTIONS(4543),
    [sym__string_literal] = ACTIONS(4543),
    [sym__string_literal_kind] = ACTIONS(4543),
  },
  [972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4553),
    [aux_sym_preproc_def_token1] = ACTIONS(4553),
    [aux_sym_preproc_if_token1] = ACTIONS(4553),
    [aux_sym_preproc_if_token2] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4553),
    [sym_preproc_directive] = ACTIONS(4553),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_PLUS] = ACTIONS(4555),
    [anon_sym_DASH] = ACTIONS(4555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token2] = ACTIONS(4553),
    [aux_sym_module_statement_token1] = ACTIONS(4553),
    [aux_sym_submodule_statement_token1] = ACTIONS(4553),
    [aux_sym_interface_statement_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4553),
    [aux_sym_function_statement_token1] = ACTIONS(4553),
    [aux_sym_language_binding_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4553),
    [aux_sym_contains_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token2] = ACTIONS(4553),
    [aux_sym_implicit_statement_token1] = ACTIONS(4553),
    [aux_sym_implicit_statement_token3] = ACTIONS(4553),
    [aux_sym_implicit_statement_token4] = ACTIONS(4553),
    [aux_sym_save_statement_token1] = ACTIONS(4553),
    [aux_sym_private_statement_token1] = ACTIONS(4553),
    [aux_sym_public_statement_token1] = ACTIONS(4553),
    [aux_sym_namelist_statement_token1] = ACTIONS(4553),
    [aux_sym_common_statement_token1] = ACTIONS(4553),
    [aux_sym_import_statement_token1] = ACTIONS(4553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4553),
    [aux_sym_variable_attributes_token1] = ACTIONS(4553),
    [aux_sym_variable_attributes_token2] = ACTIONS(4553),
    [aux_sym_variable_attributes_token3] = ACTIONS(4553),
    [aux_sym_variable_attributes_token4] = ACTIONS(4553),
    [aux_sym_variable_attributes_token5] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4553),
    [aux_sym_derived_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4553),
    [aux_sym_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4553),
    [anon_sym_SEMI] = ACTIONS(4555),
    [aux_sym_stop_statement_token1] = ACTIONS(4553),
    [aux_sym_stop_statement_token2] = ACTIONS(4553),
    [aux_sym_subroutine_call_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token2] = ACTIONS(4553),
    [aux_sym_keyword_statement_token3] = ACTIONS(4553),
    [aux_sym_keyword_statement_token4] = ACTIONS(4553),
    [aux_sym_keyword_statement_token6] = ACTIONS(4553),
    [aux_sym_keyword_statement_token7] = ACTIONS(4553),
    [aux_sym_include_statement_token1] = ACTIONS(4553),
    [aux_sym_data_statement_token1] = ACTIONS(4553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4553),
    [aux_sym_end_if_statement_token1] = ACTIONS(4553),
    [aux_sym_elseif_clause_token2] = ACTIONS(4553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token3] = ACTIONS(4553),
    [aux_sym_select_type_statement_token1] = ACTIONS(4553),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4553),
    [aux_sym_block_construct_token1] = ACTIONS(4553),
    [aux_sym_associate_statement_token1] = ACTIONS(4553),
    [aux_sym_format_statement_token1] = ACTIONS(4553),
    [aux_sym_print_statement_token1] = ACTIONS(4553),
    [aux_sym_open_statement_token1] = ACTIONS(4553),
    [aux_sym_close_statement_token1] = ACTIONS(4553),
    [aux_sym_inquire_statement_token1] = ACTIONS(4553),
    [aux_sym_enum_statement_token1] = ACTIONS(4553),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token2] = ACTIONS(4553),
    [aux_sym_file_position_statement_token3] = ACTIONS(4553),
    [aux_sym_file_position_statement_token4] = ACTIONS(4553),
    [aux_sym_allocate_statement_token1] = ACTIONS(4553),
    [aux_sym_entry_statement_token1] = ACTIONS(4553),
    [aux_sym_logical_expression_token5] = ACTIONS(4555),
    [anon_sym_DOT] = ACTIONS(4553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4555),
    [anon_sym_LBRACK] = ACTIONS(4555),
    [aux_sym_boolean_literal_token1] = ACTIONS(4555),
    [aux_sym_boolean_literal_token2] = ACTIONS(4555),
    [aux_sym_null_literal_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token2] = ACTIONS(4553),
    [aux_sym_coarray_statement_token6] = ACTIONS(4553),
    [aux_sym_coarray_statement_token8] = ACTIONS(4553),
    [aux_sym_coarray_statement_token11] = ACTIONS(4553),
    [aux_sym_coarray_statement_token12] = ACTIONS(4553),
    [aux_sym_coarray_statement_token13] = ACTIONS(4553),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4553),
    [aux_sym_identifier_token1] = ACTIONS(4553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4555),
    [sym__float_literal] = ACTIONS(4555),
    [sym__boz_literal] = ACTIONS(4555),
    [sym__string_literal] = ACTIONS(4555),
    [sym__string_literal_kind] = ACTIONS(4555),
  },
  [973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4557),
    [aux_sym_preproc_def_token1] = ACTIONS(4557),
    [aux_sym_preproc_if_token1] = ACTIONS(4557),
    [aux_sym_preproc_if_token2] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4557),
    [sym_preproc_directive] = ACTIONS(4557),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token2] = ACTIONS(4557),
    [aux_sym_module_statement_token1] = ACTIONS(4557),
    [aux_sym_submodule_statement_token1] = ACTIONS(4557),
    [aux_sym_interface_statement_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4557),
    [aux_sym_function_statement_token1] = ACTIONS(4557),
    [aux_sym_language_binding_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4557),
    [aux_sym_contains_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token2] = ACTIONS(4557),
    [aux_sym_implicit_statement_token1] = ACTIONS(4557),
    [aux_sym_implicit_statement_token3] = ACTIONS(4557),
    [aux_sym_implicit_statement_token4] = ACTIONS(4557),
    [aux_sym_save_statement_token1] = ACTIONS(4557),
    [aux_sym_private_statement_token1] = ACTIONS(4557),
    [aux_sym_public_statement_token1] = ACTIONS(4557),
    [aux_sym_namelist_statement_token1] = ACTIONS(4557),
    [aux_sym_common_statement_token1] = ACTIONS(4557),
    [aux_sym_import_statement_token1] = ACTIONS(4557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4557),
    [aux_sym_variable_attributes_token1] = ACTIONS(4557),
    [aux_sym_variable_attributes_token2] = ACTIONS(4557),
    [aux_sym_variable_attributes_token3] = ACTIONS(4557),
    [aux_sym_variable_attributes_token4] = ACTIONS(4557),
    [aux_sym_variable_attributes_token5] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4557),
    [aux_sym_derived_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4557),
    [aux_sym_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4557),
    [anon_sym_SEMI] = ACTIONS(4559),
    [aux_sym_stop_statement_token1] = ACTIONS(4557),
    [aux_sym_stop_statement_token2] = ACTIONS(4557),
    [aux_sym_subroutine_call_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token2] = ACTIONS(4557),
    [aux_sym_keyword_statement_token3] = ACTIONS(4557),
    [aux_sym_keyword_statement_token4] = ACTIONS(4557),
    [aux_sym_keyword_statement_token6] = ACTIONS(4557),
    [aux_sym_keyword_statement_token7] = ACTIONS(4557),
    [aux_sym_include_statement_token1] = ACTIONS(4557),
    [aux_sym_data_statement_token1] = ACTIONS(4557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4557),
    [aux_sym_end_if_statement_token1] = ACTIONS(4557),
    [aux_sym_elseif_clause_token2] = ACTIONS(4557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token3] = ACTIONS(4557),
    [aux_sym_select_type_statement_token1] = ACTIONS(4557),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4557),
    [aux_sym_block_construct_token1] = ACTIONS(4557),
    [aux_sym_associate_statement_token1] = ACTIONS(4557),
    [aux_sym_format_statement_token1] = ACTIONS(4557),
    [aux_sym_print_statement_token1] = ACTIONS(4557),
    [aux_sym_open_statement_token1] = ACTIONS(4557),
    [aux_sym_close_statement_token1] = ACTIONS(4557),
    [aux_sym_inquire_statement_token1] = ACTIONS(4557),
    [aux_sym_enum_statement_token1] = ACTIONS(4557),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token2] = ACTIONS(4557),
    [aux_sym_file_position_statement_token3] = ACTIONS(4557),
    [aux_sym_file_position_statement_token4] = ACTIONS(4557),
    [aux_sym_allocate_statement_token1] = ACTIONS(4557),
    [aux_sym_entry_statement_token1] = ACTIONS(4557),
    [aux_sym_logical_expression_token5] = ACTIONS(4559),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4559),
    [anon_sym_LBRACK] = ACTIONS(4559),
    [aux_sym_boolean_literal_token1] = ACTIONS(4559),
    [aux_sym_boolean_literal_token2] = ACTIONS(4559),
    [aux_sym_null_literal_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token2] = ACTIONS(4557),
    [aux_sym_coarray_statement_token6] = ACTIONS(4557),
    [aux_sym_coarray_statement_token8] = ACTIONS(4557),
    [aux_sym_coarray_statement_token11] = ACTIONS(4557),
    [aux_sym_coarray_statement_token12] = ACTIONS(4557),
    [aux_sym_coarray_statement_token13] = ACTIONS(4557),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4557),
    [aux_sym_identifier_token1] = ACTIONS(4557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4559),
    [sym__float_literal] = ACTIONS(4559),
    [sym__boz_literal] = ACTIONS(4559),
    [sym__string_literal] = ACTIONS(4559),
    [sym__string_literal_kind] = ACTIONS(4559),
  },
  [974] = {
    [ts_builtin_sym_end] = ACTIONS(4579),
    [aux_sym_preproc_include_token1] = ACTIONS(4577),
    [aux_sym_preproc_def_token1] = ACTIONS(4577),
    [aux_sym_preproc_if_token1] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4577),
    [sym_preproc_directive] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_PLUS] = ACTIONS(4579),
    [anon_sym_DASH] = ACTIONS(4579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token2] = ACTIONS(4577),
    [aux_sym_module_statement_token1] = ACTIONS(4577),
    [aux_sym_submodule_statement_token1] = ACTIONS(4577),
    [aux_sym_interface_statement_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4577),
    [aux_sym_function_statement_token1] = ACTIONS(4577),
    [aux_sym_language_binding_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4577),
    [aux_sym_contains_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token2] = ACTIONS(4577),
    [aux_sym_implicit_statement_token1] = ACTIONS(4577),
    [aux_sym_implicit_statement_token3] = ACTIONS(4577),
    [aux_sym_implicit_statement_token4] = ACTIONS(4577),
    [aux_sym_save_statement_token1] = ACTIONS(4577),
    [aux_sym_private_statement_token1] = ACTIONS(4577),
    [aux_sym_public_statement_token1] = ACTIONS(4577),
    [aux_sym_namelist_statement_token1] = ACTIONS(4577),
    [aux_sym_common_statement_token1] = ACTIONS(4577),
    [aux_sym_import_statement_token1] = ACTIONS(4577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4577),
    [aux_sym_variable_attributes_token1] = ACTIONS(4577),
    [aux_sym_variable_attributes_token2] = ACTIONS(4577),
    [aux_sym_variable_attributes_token3] = ACTIONS(4577),
    [aux_sym_variable_attributes_token4] = ACTIONS(4577),
    [aux_sym_variable_attributes_token5] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4577),
    [aux_sym_derived_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4577),
    [aux_sym_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4577),
    [anon_sym_SEMI] = ACTIONS(4579),
    [aux_sym_stop_statement_token1] = ACTIONS(4577),
    [aux_sym_stop_statement_token2] = ACTIONS(4577),
    [aux_sym_subroutine_call_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token2] = ACTIONS(4577),
    [aux_sym_keyword_statement_token3] = ACTIONS(4577),
    [aux_sym_keyword_statement_token4] = ACTIONS(4577),
    [aux_sym_keyword_statement_token6] = ACTIONS(4577),
    [aux_sym_keyword_statement_token7] = ACTIONS(4577),
    [aux_sym_include_statement_token1] = ACTIONS(4577),
    [aux_sym_data_statement_token1] = ACTIONS(4577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4577),
    [aux_sym_end_if_statement_token1] = ACTIONS(4577),
    [aux_sym_elseif_clause_token2] = ACTIONS(4577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token3] = ACTIONS(4577),
    [aux_sym_select_type_statement_token1] = ACTIONS(4577),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4577),
    [aux_sym_block_construct_token1] = ACTIONS(4577),
    [aux_sym_associate_statement_token1] = ACTIONS(4577),
    [aux_sym_format_statement_token1] = ACTIONS(4577),
    [aux_sym_print_statement_token1] = ACTIONS(4577),
    [aux_sym_open_statement_token1] = ACTIONS(4577),
    [aux_sym_close_statement_token1] = ACTIONS(4577),
    [aux_sym_inquire_statement_token1] = ACTIONS(4577),
    [aux_sym_enum_statement_token1] = ACTIONS(4577),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token2] = ACTIONS(4577),
    [aux_sym_file_position_statement_token3] = ACTIONS(4577),
    [aux_sym_file_position_statement_token4] = ACTIONS(4577),
    [aux_sym_allocate_statement_token1] = ACTIONS(4577),
    [aux_sym_entry_statement_token1] = ACTIONS(4577),
    [aux_sym_logical_expression_token5] = ACTIONS(4579),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4579),
    [anon_sym_LBRACK] = ACTIONS(4579),
    [aux_sym_boolean_literal_token1] = ACTIONS(4579),
    [aux_sym_boolean_literal_token2] = ACTIONS(4579),
    [aux_sym_null_literal_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token2] = ACTIONS(4577),
    [aux_sym_coarray_statement_token6] = ACTIONS(4577),
    [aux_sym_coarray_statement_token8] = ACTIONS(4577),
    [aux_sym_coarray_statement_token11] = ACTIONS(4577),
    [aux_sym_coarray_statement_token12] = ACTIONS(4577),
    [aux_sym_coarray_statement_token13] = ACTIONS(4577),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4577),
    [aux_sym_identifier_token1] = ACTIONS(4577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4579),
    [sym__float_literal] = ACTIONS(4579),
    [sym__boz_literal] = ACTIONS(4579),
    [sym__string_literal] = ACTIONS(4579),
    [sym__string_literal_kind] = ACTIONS(4579),
  },
  [975] = {
    [ts_builtin_sym_end] = ACTIONS(4583),
    [aux_sym_preproc_include_token1] = ACTIONS(4581),
    [aux_sym_preproc_def_token1] = ACTIONS(4581),
    [aux_sym_preproc_if_token1] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4581),
    [sym_preproc_directive] = ACTIONS(4581),
    [anon_sym_LPAREN2] = ACTIONS(4581),
    [anon_sym_PLUS] = ACTIONS(4583),
    [anon_sym_DASH] = ACTIONS(4583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token2] = ACTIONS(4581),
    [aux_sym_module_statement_token1] = ACTIONS(4581),
    [aux_sym_submodule_statement_token1] = ACTIONS(4581),
    [aux_sym_interface_statement_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4581),
    [aux_sym_function_statement_token1] = ACTIONS(4581),
    [aux_sym_language_binding_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4581),
    [aux_sym_contains_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token2] = ACTIONS(4581),
    [aux_sym_implicit_statement_token1] = ACTIONS(4581),
    [aux_sym_implicit_statement_token3] = ACTIONS(4581),
    [aux_sym_implicit_statement_token4] = ACTIONS(4581),
    [aux_sym_save_statement_token1] = ACTIONS(4581),
    [aux_sym_private_statement_token1] = ACTIONS(4581),
    [aux_sym_public_statement_token1] = ACTIONS(4581),
    [aux_sym_namelist_statement_token1] = ACTIONS(4581),
    [aux_sym_common_statement_token1] = ACTIONS(4581),
    [aux_sym_import_statement_token1] = ACTIONS(4581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4581),
    [aux_sym_variable_attributes_token1] = ACTIONS(4581),
    [aux_sym_variable_attributes_token2] = ACTIONS(4581),
    [aux_sym_variable_attributes_token3] = ACTIONS(4581),
    [aux_sym_variable_attributes_token4] = ACTIONS(4581),
    [aux_sym_variable_attributes_token5] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4581),
    [aux_sym_derived_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4581),
    [aux_sym_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4581),
    [anon_sym_SEMI] = ACTIONS(4583),
    [aux_sym_stop_statement_token1] = ACTIONS(4581),
    [aux_sym_stop_statement_token2] = ACTIONS(4581),
    [aux_sym_subroutine_call_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token2] = ACTIONS(4581),
    [aux_sym_keyword_statement_token3] = ACTIONS(4581),
    [aux_sym_keyword_statement_token4] = ACTIONS(4581),
    [aux_sym_keyword_statement_token6] = ACTIONS(4581),
    [aux_sym_keyword_statement_token7] = ACTIONS(4581),
    [aux_sym_include_statement_token1] = ACTIONS(4581),
    [aux_sym_data_statement_token1] = ACTIONS(4581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4581),
    [aux_sym_end_if_statement_token1] = ACTIONS(4581),
    [aux_sym_elseif_clause_token2] = ACTIONS(4581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token3] = ACTIONS(4581),
    [aux_sym_select_type_statement_token1] = ACTIONS(4581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4581),
    [aux_sym_block_construct_token1] = ACTIONS(4581),
    [aux_sym_associate_statement_token1] = ACTIONS(4581),
    [aux_sym_format_statement_token1] = ACTIONS(4581),
    [aux_sym_print_statement_token1] = ACTIONS(4581),
    [aux_sym_open_statement_token1] = ACTIONS(4581),
    [aux_sym_close_statement_token1] = ACTIONS(4581),
    [aux_sym_inquire_statement_token1] = ACTIONS(4581),
    [aux_sym_enum_statement_token1] = ACTIONS(4581),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token2] = ACTIONS(4581),
    [aux_sym_file_position_statement_token3] = ACTIONS(4581),
    [aux_sym_file_position_statement_token4] = ACTIONS(4581),
    [aux_sym_allocate_statement_token1] = ACTIONS(4581),
    [aux_sym_entry_statement_token1] = ACTIONS(4581),
    [aux_sym_logical_expression_token5] = ACTIONS(4583),
    [anon_sym_DOT] = ACTIONS(4581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4583),
    [anon_sym_LBRACK] = ACTIONS(4583),
    [aux_sym_boolean_literal_token1] = ACTIONS(4583),
    [aux_sym_boolean_literal_token2] = ACTIONS(4583),
    [aux_sym_null_literal_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token2] = ACTIONS(4581),
    [aux_sym_coarray_statement_token6] = ACTIONS(4581),
    [aux_sym_coarray_statement_token8] = ACTIONS(4581),
    [aux_sym_coarray_statement_token11] = ACTIONS(4581),
    [aux_sym_coarray_statement_token12] = ACTIONS(4581),
    [aux_sym_coarray_statement_token13] = ACTIONS(4581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4581),
    [aux_sym_identifier_token1] = ACTIONS(4581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4583),
    [sym__float_literal] = ACTIONS(4583),
    [sym__boz_literal] = ACTIONS(4583),
    [sym__string_literal] = ACTIONS(4583),
    [sym__string_literal_kind] = ACTIONS(4583),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(4587),
    [aux_sym_preproc_include_token1] = ACTIONS(4585),
    [aux_sym_preproc_def_token1] = ACTIONS(4585),
    [aux_sym_preproc_if_token1] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4585),
    [sym_preproc_directive] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token2] = ACTIONS(4585),
    [aux_sym_module_statement_token1] = ACTIONS(4585),
    [aux_sym_submodule_statement_token1] = ACTIONS(4585),
    [aux_sym_interface_statement_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4585),
    [aux_sym_function_statement_token1] = ACTIONS(4585),
    [aux_sym_language_binding_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4585),
    [aux_sym_contains_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token2] = ACTIONS(4585),
    [aux_sym_implicit_statement_token1] = ACTIONS(4585),
    [aux_sym_implicit_statement_token3] = ACTIONS(4585),
    [aux_sym_implicit_statement_token4] = ACTIONS(4585),
    [aux_sym_save_statement_token1] = ACTIONS(4585),
    [aux_sym_private_statement_token1] = ACTIONS(4585),
    [aux_sym_public_statement_token1] = ACTIONS(4585),
    [aux_sym_namelist_statement_token1] = ACTIONS(4585),
    [aux_sym_common_statement_token1] = ACTIONS(4585),
    [aux_sym_import_statement_token1] = ACTIONS(4585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4585),
    [aux_sym_variable_attributes_token1] = ACTIONS(4585),
    [aux_sym_variable_attributes_token2] = ACTIONS(4585),
    [aux_sym_variable_attributes_token3] = ACTIONS(4585),
    [aux_sym_variable_attributes_token4] = ACTIONS(4585),
    [aux_sym_variable_attributes_token5] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4585),
    [aux_sym_derived_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4585),
    [aux_sym_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4585),
    [anon_sym_SEMI] = ACTIONS(4587),
    [aux_sym_stop_statement_token1] = ACTIONS(4585),
    [aux_sym_stop_statement_token2] = ACTIONS(4585),
    [aux_sym_subroutine_call_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token2] = ACTIONS(4585),
    [aux_sym_keyword_statement_token3] = ACTIONS(4585),
    [aux_sym_keyword_statement_token4] = ACTIONS(4585),
    [aux_sym_keyword_statement_token6] = ACTIONS(4585),
    [aux_sym_keyword_statement_token7] = ACTIONS(4585),
    [aux_sym_include_statement_token1] = ACTIONS(4585),
    [aux_sym_data_statement_token1] = ACTIONS(4585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4585),
    [aux_sym_end_if_statement_token1] = ACTIONS(4585),
    [aux_sym_elseif_clause_token2] = ACTIONS(4585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token3] = ACTIONS(4585),
    [aux_sym_select_type_statement_token1] = ACTIONS(4585),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4585),
    [aux_sym_block_construct_token1] = ACTIONS(4585),
    [aux_sym_associate_statement_token1] = ACTIONS(4585),
    [aux_sym_format_statement_token1] = ACTIONS(4585),
    [aux_sym_print_statement_token1] = ACTIONS(4585),
    [aux_sym_open_statement_token1] = ACTIONS(4585),
    [aux_sym_close_statement_token1] = ACTIONS(4585),
    [aux_sym_inquire_statement_token1] = ACTIONS(4585),
    [aux_sym_enum_statement_token1] = ACTIONS(4585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token2] = ACTIONS(4585),
    [aux_sym_file_position_statement_token3] = ACTIONS(4585),
    [aux_sym_file_position_statement_token4] = ACTIONS(4585),
    [aux_sym_allocate_statement_token1] = ACTIONS(4585),
    [aux_sym_entry_statement_token1] = ACTIONS(4585),
    [aux_sym_logical_expression_token5] = ACTIONS(4587),
    [anon_sym_DOT] = ACTIONS(4585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4587),
    [anon_sym_LBRACK] = ACTIONS(4587),
    [aux_sym_boolean_literal_token1] = ACTIONS(4587),
    [aux_sym_boolean_literal_token2] = ACTIONS(4587),
    [aux_sym_null_literal_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token2] = ACTIONS(4585),
    [aux_sym_coarray_statement_token6] = ACTIONS(4585),
    [aux_sym_coarray_statement_token8] = ACTIONS(4585),
    [aux_sym_coarray_statement_token11] = ACTIONS(4585),
    [aux_sym_coarray_statement_token12] = ACTIONS(4585),
    [aux_sym_coarray_statement_token13] = ACTIONS(4585),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4585),
    [aux_sym_identifier_token1] = ACTIONS(4585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4587),
    [sym__float_literal] = ACTIONS(4587),
    [sym__boz_literal] = ACTIONS(4587),
    [sym__string_literal] = ACTIONS(4587),
    [sym__string_literal_kind] = ACTIONS(4587),
  },
  [977] = {
    [ts_builtin_sym_end] = ACTIONS(4467),
    [aux_sym_preproc_include_token1] = ACTIONS(4465),
    [aux_sym_preproc_def_token1] = ACTIONS(4465),
    [aux_sym_preproc_if_token1] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4465),
    [sym_preproc_directive] = ACTIONS(4465),
    [anon_sym_LPAREN2] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token2] = ACTIONS(4465),
    [aux_sym_module_statement_token1] = ACTIONS(4465),
    [aux_sym_submodule_statement_token1] = ACTIONS(4465),
    [aux_sym_interface_statement_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4465),
    [aux_sym_function_statement_token1] = ACTIONS(4465),
    [aux_sym_language_binding_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4465),
    [aux_sym_contains_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token2] = ACTIONS(4465),
    [aux_sym_implicit_statement_token1] = ACTIONS(4465),
    [aux_sym_implicit_statement_token3] = ACTIONS(4465),
    [aux_sym_implicit_statement_token4] = ACTIONS(4465),
    [aux_sym_save_statement_token1] = ACTIONS(4465),
    [aux_sym_private_statement_token1] = ACTIONS(4465),
    [aux_sym_public_statement_token1] = ACTIONS(4465),
    [aux_sym_namelist_statement_token1] = ACTIONS(4465),
    [aux_sym_common_statement_token1] = ACTIONS(4465),
    [aux_sym_import_statement_token1] = ACTIONS(4465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4465),
    [aux_sym_variable_attributes_token1] = ACTIONS(4465),
    [aux_sym_variable_attributes_token2] = ACTIONS(4465),
    [aux_sym_variable_attributes_token3] = ACTIONS(4465),
    [aux_sym_variable_attributes_token4] = ACTIONS(4465),
    [aux_sym_variable_attributes_token5] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4465),
    [aux_sym_derived_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4465),
    [aux_sym_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4465),
    [anon_sym_SEMI] = ACTIONS(4467),
    [aux_sym_stop_statement_token1] = ACTIONS(4465),
    [aux_sym_stop_statement_token2] = ACTIONS(4465),
    [aux_sym_subroutine_call_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token2] = ACTIONS(4465),
    [aux_sym_keyword_statement_token3] = ACTIONS(4465),
    [aux_sym_keyword_statement_token4] = ACTIONS(4465),
    [aux_sym_keyword_statement_token6] = ACTIONS(4465),
    [aux_sym_keyword_statement_token7] = ACTIONS(4465),
    [aux_sym_include_statement_token1] = ACTIONS(4465),
    [aux_sym_data_statement_token1] = ACTIONS(4465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4465),
    [aux_sym_end_if_statement_token1] = ACTIONS(4465),
    [aux_sym_elseif_clause_token2] = ACTIONS(4465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token3] = ACTIONS(4465),
    [aux_sym_select_type_statement_token1] = ACTIONS(4465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4465),
    [aux_sym_block_construct_token1] = ACTIONS(4465),
    [aux_sym_associate_statement_token1] = ACTIONS(4465),
    [aux_sym_format_statement_token1] = ACTIONS(4465),
    [aux_sym_print_statement_token1] = ACTIONS(4465),
    [aux_sym_open_statement_token1] = ACTIONS(4465),
    [aux_sym_close_statement_token1] = ACTIONS(4465),
    [aux_sym_inquire_statement_token1] = ACTIONS(4465),
    [aux_sym_enum_statement_token1] = ACTIONS(4465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token2] = ACTIONS(4465),
    [aux_sym_file_position_statement_token3] = ACTIONS(4465),
    [aux_sym_file_position_statement_token4] = ACTIONS(4465),
    [aux_sym_allocate_statement_token1] = ACTIONS(4465),
    [aux_sym_entry_statement_token1] = ACTIONS(4465),
    [aux_sym_logical_expression_token5] = ACTIONS(4467),
    [anon_sym_DOT] = ACTIONS(4465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [aux_sym_boolean_literal_token1] = ACTIONS(4467),
    [aux_sym_boolean_literal_token2] = ACTIONS(4467),
    [aux_sym_null_literal_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token2] = ACTIONS(4465),
    [aux_sym_coarray_statement_token6] = ACTIONS(4465),
    [aux_sym_coarray_statement_token8] = ACTIONS(4465),
    [aux_sym_coarray_statement_token11] = ACTIONS(4465),
    [aux_sym_coarray_statement_token12] = ACTIONS(4465),
    [aux_sym_coarray_statement_token13] = ACTIONS(4465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4465),
    [aux_sym_identifier_token1] = ACTIONS(4465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4467),
    [sym__float_literal] = ACTIONS(4467),
    [sym__boz_literal] = ACTIONS(4467),
    [sym__string_literal] = ACTIONS(4467),
    [sym__string_literal_kind] = ACTIONS(4467),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(4591),
    [aux_sym_preproc_include_token1] = ACTIONS(4589),
    [aux_sym_preproc_def_token1] = ACTIONS(4589),
    [aux_sym_preproc_if_token1] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4589),
    [sym_preproc_directive] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4589),
    [anon_sym_PLUS] = ACTIONS(4591),
    [anon_sym_DASH] = ACTIONS(4591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token2] = ACTIONS(4589),
    [aux_sym_module_statement_token1] = ACTIONS(4589),
    [aux_sym_submodule_statement_token1] = ACTIONS(4589),
    [aux_sym_interface_statement_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4589),
    [aux_sym_function_statement_token1] = ACTIONS(4589),
    [aux_sym_language_binding_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4589),
    [aux_sym_contains_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token2] = ACTIONS(4589),
    [aux_sym_implicit_statement_token1] = ACTIONS(4589),
    [aux_sym_implicit_statement_token3] = ACTIONS(4589),
    [aux_sym_implicit_statement_token4] = ACTIONS(4589),
    [aux_sym_save_statement_token1] = ACTIONS(4589),
    [aux_sym_private_statement_token1] = ACTIONS(4589),
    [aux_sym_public_statement_token1] = ACTIONS(4589),
    [aux_sym_namelist_statement_token1] = ACTIONS(4589),
    [aux_sym_common_statement_token1] = ACTIONS(4589),
    [aux_sym_import_statement_token1] = ACTIONS(4589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4589),
    [aux_sym_variable_attributes_token1] = ACTIONS(4589),
    [aux_sym_variable_attributes_token2] = ACTIONS(4589),
    [aux_sym_variable_attributes_token3] = ACTIONS(4589),
    [aux_sym_variable_attributes_token4] = ACTIONS(4589),
    [aux_sym_variable_attributes_token5] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4589),
    [aux_sym_derived_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4589),
    [aux_sym_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4589),
    [anon_sym_SEMI] = ACTIONS(4591),
    [aux_sym_stop_statement_token1] = ACTIONS(4589),
    [aux_sym_stop_statement_token2] = ACTIONS(4589),
    [aux_sym_subroutine_call_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token2] = ACTIONS(4589),
    [aux_sym_keyword_statement_token3] = ACTIONS(4589),
    [aux_sym_keyword_statement_token4] = ACTIONS(4589),
    [aux_sym_keyword_statement_token6] = ACTIONS(4589),
    [aux_sym_keyword_statement_token7] = ACTIONS(4589),
    [aux_sym_include_statement_token1] = ACTIONS(4589),
    [aux_sym_data_statement_token1] = ACTIONS(4589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4589),
    [aux_sym_end_if_statement_token1] = ACTIONS(4589),
    [aux_sym_elseif_clause_token2] = ACTIONS(4589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token3] = ACTIONS(4589),
    [aux_sym_select_type_statement_token1] = ACTIONS(4589),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4589),
    [aux_sym_block_construct_token1] = ACTIONS(4589),
    [aux_sym_associate_statement_token1] = ACTIONS(4589),
    [aux_sym_format_statement_token1] = ACTIONS(4589),
    [aux_sym_print_statement_token1] = ACTIONS(4589),
    [aux_sym_open_statement_token1] = ACTIONS(4589),
    [aux_sym_close_statement_token1] = ACTIONS(4589),
    [aux_sym_inquire_statement_token1] = ACTIONS(4589),
    [aux_sym_enum_statement_token1] = ACTIONS(4589),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token2] = ACTIONS(4589),
    [aux_sym_file_position_statement_token3] = ACTIONS(4589),
    [aux_sym_file_position_statement_token4] = ACTIONS(4589),
    [aux_sym_allocate_statement_token1] = ACTIONS(4589),
    [aux_sym_entry_statement_token1] = ACTIONS(4589),
    [aux_sym_logical_expression_token5] = ACTIONS(4591),
    [anon_sym_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4591),
    [anon_sym_LBRACK] = ACTIONS(4591),
    [aux_sym_boolean_literal_token1] = ACTIONS(4591),
    [aux_sym_boolean_literal_token2] = ACTIONS(4591),
    [aux_sym_null_literal_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token2] = ACTIONS(4589),
    [aux_sym_coarray_statement_token6] = ACTIONS(4589),
    [aux_sym_coarray_statement_token8] = ACTIONS(4589),
    [aux_sym_coarray_statement_token11] = ACTIONS(4589),
    [aux_sym_coarray_statement_token12] = ACTIONS(4589),
    [aux_sym_coarray_statement_token13] = ACTIONS(4589),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4589),
    [aux_sym_identifier_token1] = ACTIONS(4589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4591),
    [sym__float_literal] = ACTIONS(4591),
    [sym__boz_literal] = ACTIONS(4591),
    [sym__string_literal] = ACTIONS(4591),
    [sym__string_literal_kind] = ACTIONS(4591),
  },
  [979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4641),
    [aux_sym_preproc_def_token1] = ACTIONS(4641),
    [aux_sym_preproc_if_token1] = ACTIONS(4641),
    [aux_sym_preproc_if_token2] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4641),
    [sym_preproc_directive] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(4641),
    [anon_sym_PLUS] = ACTIONS(4643),
    [anon_sym_DASH] = ACTIONS(4643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token2] = ACTIONS(4641),
    [aux_sym_module_statement_token1] = ACTIONS(4641),
    [aux_sym_submodule_statement_token1] = ACTIONS(4641),
    [aux_sym_interface_statement_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4641),
    [aux_sym_function_statement_token1] = ACTIONS(4641),
    [aux_sym_language_binding_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4641),
    [aux_sym_contains_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token2] = ACTIONS(4641),
    [aux_sym_implicit_statement_token1] = ACTIONS(4641),
    [aux_sym_implicit_statement_token3] = ACTIONS(4641),
    [aux_sym_implicit_statement_token4] = ACTIONS(4641),
    [aux_sym_save_statement_token1] = ACTIONS(4641),
    [aux_sym_private_statement_token1] = ACTIONS(4641),
    [aux_sym_public_statement_token1] = ACTIONS(4641),
    [aux_sym_namelist_statement_token1] = ACTIONS(4641),
    [aux_sym_common_statement_token1] = ACTIONS(4641),
    [aux_sym_import_statement_token1] = ACTIONS(4641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4641),
    [aux_sym_variable_attributes_token1] = ACTIONS(4641),
    [aux_sym_variable_attributes_token2] = ACTIONS(4641),
    [aux_sym_variable_attributes_token3] = ACTIONS(4641),
    [aux_sym_variable_attributes_token4] = ACTIONS(4641),
    [aux_sym_variable_attributes_token5] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4641),
    [aux_sym_derived_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4641),
    [aux_sym_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4641),
    [anon_sym_SEMI] = ACTIONS(4643),
    [aux_sym_stop_statement_token1] = ACTIONS(4641),
    [aux_sym_stop_statement_token2] = ACTIONS(4641),
    [aux_sym_subroutine_call_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token2] = ACTIONS(4641),
    [aux_sym_keyword_statement_token3] = ACTIONS(4641),
    [aux_sym_keyword_statement_token4] = ACTIONS(4641),
    [aux_sym_keyword_statement_token6] = ACTIONS(4641),
    [aux_sym_keyword_statement_token7] = ACTIONS(4641),
    [aux_sym_include_statement_token1] = ACTIONS(4641),
    [aux_sym_data_statement_token1] = ACTIONS(4641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4641),
    [aux_sym_end_if_statement_token1] = ACTIONS(4641),
    [aux_sym_elseif_clause_token2] = ACTIONS(4641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token3] = ACTIONS(4641),
    [aux_sym_select_type_statement_token1] = ACTIONS(4641),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4641),
    [aux_sym_block_construct_token1] = ACTIONS(4641),
    [aux_sym_associate_statement_token1] = ACTIONS(4641),
    [aux_sym_format_statement_token1] = ACTIONS(4641),
    [aux_sym_print_statement_token1] = ACTIONS(4641),
    [aux_sym_open_statement_token1] = ACTIONS(4641),
    [aux_sym_close_statement_token1] = ACTIONS(4641),
    [aux_sym_inquire_statement_token1] = ACTIONS(4641),
    [aux_sym_enum_statement_token1] = ACTIONS(4641),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token2] = ACTIONS(4641),
    [aux_sym_file_position_statement_token3] = ACTIONS(4641),
    [aux_sym_file_position_statement_token4] = ACTIONS(4641),
    [aux_sym_allocate_statement_token1] = ACTIONS(4641),
    [aux_sym_entry_statement_token1] = ACTIONS(4641),
    [aux_sym_logical_expression_token5] = ACTIONS(4643),
    [anon_sym_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4643),
    [anon_sym_LBRACK] = ACTIONS(4643),
    [aux_sym_boolean_literal_token1] = ACTIONS(4643),
    [aux_sym_boolean_literal_token2] = ACTIONS(4643),
    [aux_sym_null_literal_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token2] = ACTIONS(4641),
    [aux_sym_coarray_statement_token6] = ACTIONS(4641),
    [aux_sym_coarray_statement_token8] = ACTIONS(4641),
    [aux_sym_coarray_statement_token11] = ACTIONS(4641),
    [aux_sym_coarray_statement_token12] = ACTIONS(4641),
    [aux_sym_coarray_statement_token13] = ACTIONS(4641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4641),
    [aux_sym_identifier_token1] = ACTIONS(4641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4643),
    [sym__float_literal] = ACTIONS(4643),
    [sym__boz_literal] = ACTIONS(4643),
    [sym__string_literal] = ACTIONS(4643),
    [sym__string_literal_kind] = ACTIONS(4643),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(4399),
    [aux_sym_preproc_include_token1] = ACTIONS(4397),
    [aux_sym_preproc_def_token1] = ACTIONS(4397),
    [aux_sym_preproc_if_token1] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4397),
    [sym_preproc_directive] = ACTIONS(4397),
    [anon_sym_LPAREN2] = ACTIONS(4397),
    [anon_sym_PLUS] = ACTIONS(4399),
    [anon_sym_DASH] = ACTIONS(4399),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token2] = ACTIONS(4397),
    [aux_sym_module_statement_token1] = ACTIONS(4397),
    [aux_sym_submodule_statement_token1] = ACTIONS(4397),
    [aux_sym_interface_statement_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4397),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4397),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4397),
    [aux_sym_function_statement_token1] = ACTIONS(4397),
    [aux_sym_language_binding_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4397),
    [aux_sym_contains_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token2] = ACTIONS(4397),
    [aux_sym_implicit_statement_token1] = ACTIONS(4397),
    [aux_sym_implicit_statement_token3] = ACTIONS(4397),
    [aux_sym_implicit_statement_token4] = ACTIONS(4397),
    [aux_sym_save_statement_token1] = ACTIONS(4397),
    [aux_sym_private_statement_token1] = ACTIONS(4397),
    [aux_sym_public_statement_token1] = ACTIONS(4397),
    [aux_sym_namelist_statement_token1] = ACTIONS(4397),
    [aux_sym_common_statement_token1] = ACTIONS(4397),
    [aux_sym_import_statement_token1] = ACTIONS(4397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4397),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4397),
    [aux_sym_variable_attributes_token1] = ACTIONS(4397),
    [aux_sym_variable_attributes_token2] = ACTIONS(4397),
    [aux_sym_variable_attributes_token3] = ACTIONS(4397),
    [aux_sym_variable_attributes_token4] = ACTIONS(4397),
    [aux_sym_variable_attributes_token5] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4397),
    [aux_sym_derived_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4397),
    [aux_sym_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4397),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4397),
    [anon_sym_SEMI] = ACTIONS(4399),
    [aux_sym_stop_statement_token1] = ACTIONS(4397),
    [aux_sym_stop_statement_token2] = ACTIONS(4397),
    [aux_sym_subroutine_call_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token2] = ACTIONS(4397),
    [aux_sym_keyword_statement_token3] = ACTIONS(4397),
    [aux_sym_keyword_statement_token4] = ACTIONS(4397),
    [aux_sym_keyword_statement_token6] = ACTIONS(4397),
    [aux_sym_keyword_statement_token7] = ACTIONS(4397),
    [aux_sym_include_statement_token1] = ACTIONS(4397),
    [aux_sym_data_statement_token1] = ACTIONS(4397),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4397),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4397),
    [aux_sym_end_if_statement_token1] = ACTIONS(4397),
    [aux_sym_elseif_clause_token2] = ACTIONS(4397),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4397),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token3] = ACTIONS(4397),
    [aux_sym_select_type_statement_token1] = ACTIONS(4397),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4397),
    [aux_sym_block_construct_token1] = ACTIONS(4397),
    [aux_sym_associate_statement_token1] = ACTIONS(4397),
    [aux_sym_format_statement_token1] = ACTIONS(4397),
    [aux_sym_print_statement_token1] = ACTIONS(4397),
    [aux_sym_open_statement_token1] = ACTIONS(4397),
    [aux_sym_close_statement_token1] = ACTIONS(4397),
    [aux_sym_inquire_statement_token1] = ACTIONS(4397),
    [aux_sym_enum_statement_token1] = ACTIONS(4397),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token2] = ACTIONS(4397),
    [aux_sym_file_position_statement_token3] = ACTIONS(4397),
    [aux_sym_file_position_statement_token4] = ACTIONS(4397),
    [aux_sym_allocate_statement_token1] = ACTIONS(4397),
    [aux_sym_entry_statement_token1] = ACTIONS(4397),
    [aux_sym_logical_expression_token5] = ACTIONS(4399),
    [anon_sym_DOT] = ACTIONS(4397),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4399),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [aux_sym_boolean_literal_token1] = ACTIONS(4399),
    [aux_sym_boolean_literal_token2] = ACTIONS(4399),
    [aux_sym_null_literal_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token2] = ACTIONS(4397),
    [aux_sym_coarray_statement_token6] = ACTIONS(4397),
    [aux_sym_coarray_statement_token8] = ACTIONS(4397),
    [aux_sym_coarray_statement_token11] = ACTIONS(4397),
    [aux_sym_coarray_statement_token12] = ACTIONS(4397),
    [aux_sym_coarray_statement_token13] = ACTIONS(4397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4397),
    [aux_sym_identifier_token1] = ACTIONS(4397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4399),
    [sym__float_literal] = ACTIONS(4399),
    [sym__boz_literal] = ACTIONS(4399),
    [sym__string_literal] = ACTIONS(4399),
    [sym__string_literal_kind] = ACTIONS(4399),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(4595),
    [aux_sym_preproc_include_token1] = ACTIONS(4593),
    [aux_sym_preproc_def_token1] = ACTIONS(4593),
    [aux_sym_preproc_if_token1] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4593),
    [sym_preproc_directive] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(4593),
    [anon_sym_PLUS] = ACTIONS(4595),
    [anon_sym_DASH] = ACTIONS(4595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token2] = ACTIONS(4593),
    [aux_sym_module_statement_token1] = ACTIONS(4593),
    [aux_sym_submodule_statement_token1] = ACTIONS(4593),
    [aux_sym_interface_statement_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4593),
    [aux_sym_function_statement_token1] = ACTIONS(4593),
    [aux_sym_language_binding_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4593),
    [aux_sym_contains_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token2] = ACTIONS(4593),
    [aux_sym_implicit_statement_token1] = ACTIONS(4593),
    [aux_sym_implicit_statement_token3] = ACTIONS(4593),
    [aux_sym_implicit_statement_token4] = ACTIONS(4593),
    [aux_sym_save_statement_token1] = ACTIONS(4593),
    [aux_sym_private_statement_token1] = ACTIONS(4593),
    [aux_sym_public_statement_token1] = ACTIONS(4593),
    [aux_sym_namelist_statement_token1] = ACTIONS(4593),
    [aux_sym_common_statement_token1] = ACTIONS(4593),
    [aux_sym_import_statement_token1] = ACTIONS(4593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4593),
    [aux_sym_variable_attributes_token1] = ACTIONS(4593),
    [aux_sym_variable_attributes_token2] = ACTIONS(4593),
    [aux_sym_variable_attributes_token3] = ACTIONS(4593),
    [aux_sym_variable_attributes_token4] = ACTIONS(4593),
    [aux_sym_variable_attributes_token5] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4593),
    [aux_sym_derived_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4593),
    [aux_sym_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4593),
    [anon_sym_SEMI] = ACTIONS(4595),
    [aux_sym_stop_statement_token1] = ACTIONS(4593),
    [aux_sym_stop_statement_token2] = ACTIONS(4593),
    [aux_sym_subroutine_call_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token2] = ACTIONS(4593),
    [aux_sym_keyword_statement_token3] = ACTIONS(4593),
    [aux_sym_keyword_statement_token4] = ACTIONS(4593),
    [aux_sym_keyword_statement_token6] = ACTIONS(4593),
    [aux_sym_keyword_statement_token7] = ACTIONS(4593),
    [aux_sym_include_statement_token1] = ACTIONS(4593),
    [aux_sym_data_statement_token1] = ACTIONS(4593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4593),
    [aux_sym_end_if_statement_token1] = ACTIONS(4593),
    [aux_sym_elseif_clause_token2] = ACTIONS(4593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token3] = ACTIONS(4593),
    [aux_sym_select_type_statement_token1] = ACTIONS(4593),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4593),
    [aux_sym_block_construct_token1] = ACTIONS(4593),
    [aux_sym_associate_statement_token1] = ACTIONS(4593),
    [aux_sym_format_statement_token1] = ACTIONS(4593),
    [aux_sym_print_statement_token1] = ACTIONS(4593),
    [aux_sym_open_statement_token1] = ACTIONS(4593),
    [aux_sym_close_statement_token1] = ACTIONS(4593),
    [aux_sym_inquire_statement_token1] = ACTIONS(4593),
    [aux_sym_enum_statement_token1] = ACTIONS(4593),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token2] = ACTIONS(4593),
    [aux_sym_file_position_statement_token3] = ACTIONS(4593),
    [aux_sym_file_position_statement_token4] = ACTIONS(4593),
    [aux_sym_allocate_statement_token1] = ACTIONS(4593),
    [aux_sym_entry_statement_token1] = ACTIONS(4593),
    [aux_sym_logical_expression_token5] = ACTIONS(4595),
    [anon_sym_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4595),
    [anon_sym_LBRACK] = ACTIONS(4595),
    [aux_sym_boolean_literal_token1] = ACTIONS(4595),
    [aux_sym_boolean_literal_token2] = ACTIONS(4595),
    [aux_sym_null_literal_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token2] = ACTIONS(4593),
    [aux_sym_coarray_statement_token6] = ACTIONS(4593),
    [aux_sym_coarray_statement_token8] = ACTIONS(4593),
    [aux_sym_coarray_statement_token11] = ACTIONS(4593),
    [aux_sym_coarray_statement_token12] = ACTIONS(4593),
    [aux_sym_coarray_statement_token13] = ACTIONS(4593),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4593),
    [aux_sym_identifier_token1] = ACTIONS(4593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4595),
    [sym__float_literal] = ACTIONS(4595),
    [sym__boz_literal] = ACTIONS(4595),
    [sym__string_literal] = ACTIONS(4595),
    [sym__string_literal_kind] = ACTIONS(4595),
  },
  [982] = {
    [sym_preproc_include] = STATE(1111),
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_module] = STATE(1111),
    [sym_preproc_ifdef_in_module] = STATE(1111),
    [sym_end_module_statement] = STATE(1063),
    [sym_interface] = STATE(1111),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7166),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(1111),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(1111),
    [sym_public_statement] = STATE(1111),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(1111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(1111),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(1111),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1111),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4791),
    [aux_sym_end_module_statement_token1] = ACTIONS(4793),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [983] = {
    [sym_preproc_include] = STATE(1112),
    [sym_preproc_def] = STATE(1112),
    [sym_preproc_function_def] = STATE(1112),
    [sym_preproc_call] = STATE(1112),
    [sym_preproc_if_in_module] = STATE(1112),
    [sym_preproc_ifdef_in_module] = STATE(1112),
    [sym_end_submodule_statement] = STATE(1065),
    [sym_interface] = STATE(1112),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7168),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(1112),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(1112),
    [sym_public_statement] = STATE(1112),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(1112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(1112),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(1112),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1112),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4809),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4811),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(4431),
    [aux_sym_preproc_include_token1] = ACTIONS(4429),
    [aux_sym_preproc_def_token1] = ACTIONS(4429),
    [aux_sym_preproc_if_token1] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4429),
    [sym_preproc_directive] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token2] = ACTIONS(4429),
    [aux_sym_module_statement_token1] = ACTIONS(4429),
    [aux_sym_submodule_statement_token1] = ACTIONS(4429),
    [aux_sym_interface_statement_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4429),
    [aux_sym_function_statement_token1] = ACTIONS(4429),
    [aux_sym_language_binding_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4429),
    [aux_sym_contains_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token2] = ACTIONS(4429),
    [aux_sym_implicit_statement_token1] = ACTIONS(4429),
    [aux_sym_implicit_statement_token3] = ACTIONS(4429),
    [aux_sym_implicit_statement_token4] = ACTIONS(4429),
    [aux_sym_save_statement_token1] = ACTIONS(4429),
    [aux_sym_private_statement_token1] = ACTIONS(4429),
    [aux_sym_public_statement_token1] = ACTIONS(4429),
    [aux_sym_namelist_statement_token1] = ACTIONS(4429),
    [aux_sym_common_statement_token1] = ACTIONS(4429),
    [aux_sym_import_statement_token1] = ACTIONS(4429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4429),
    [aux_sym_variable_attributes_token1] = ACTIONS(4429),
    [aux_sym_variable_attributes_token2] = ACTIONS(4429),
    [aux_sym_variable_attributes_token3] = ACTIONS(4429),
    [aux_sym_variable_attributes_token4] = ACTIONS(4429),
    [aux_sym_variable_attributes_token5] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4429),
    [aux_sym_derived_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4429),
    [aux_sym_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4429),
    [anon_sym_SEMI] = ACTIONS(4431),
    [aux_sym_stop_statement_token1] = ACTIONS(4429),
    [aux_sym_stop_statement_token2] = ACTIONS(4429),
    [aux_sym_subroutine_call_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token2] = ACTIONS(4429),
    [aux_sym_keyword_statement_token3] = ACTIONS(4429),
    [aux_sym_keyword_statement_token4] = ACTIONS(4429),
    [aux_sym_keyword_statement_token6] = ACTIONS(4429),
    [aux_sym_keyword_statement_token7] = ACTIONS(4429),
    [aux_sym_include_statement_token1] = ACTIONS(4429),
    [aux_sym_data_statement_token1] = ACTIONS(4429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4429),
    [aux_sym_end_if_statement_token1] = ACTIONS(4429),
    [aux_sym_elseif_clause_token2] = ACTIONS(4429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token3] = ACTIONS(4429),
    [aux_sym_select_type_statement_token1] = ACTIONS(4429),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4429),
    [aux_sym_block_construct_token1] = ACTIONS(4429),
    [aux_sym_associate_statement_token1] = ACTIONS(4429),
    [aux_sym_format_statement_token1] = ACTIONS(4429),
    [aux_sym_print_statement_token1] = ACTIONS(4429),
    [aux_sym_open_statement_token1] = ACTIONS(4429),
    [aux_sym_close_statement_token1] = ACTIONS(4429),
    [aux_sym_inquire_statement_token1] = ACTIONS(4429),
    [aux_sym_enum_statement_token1] = ACTIONS(4429),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token2] = ACTIONS(4429),
    [aux_sym_file_position_statement_token3] = ACTIONS(4429),
    [aux_sym_file_position_statement_token4] = ACTIONS(4429),
    [aux_sym_allocate_statement_token1] = ACTIONS(4429),
    [aux_sym_entry_statement_token1] = ACTIONS(4429),
    [aux_sym_logical_expression_token5] = ACTIONS(4431),
    [anon_sym_DOT] = ACTIONS(4429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4431),
    [aux_sym_boolean_literal_token1] = ACTIONS(4431),
    [aux_sym_boolean_literal_token2] = ACTIONS(4431),
    [aux_sym_null_literal_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token2] = ACTIONS(4429),
    [aux_sym_coarray_statement_token6] = ACTIONS(4429),
    [aux_sym_coarray_statement_token8] = ACTIONS(4429),
    [aux_sym_coarray_statement_token11] = ACTIONS(4429),
    [aux_sym_coarray_statement_token12] = ACTIONS(4429),
    [aux_sym_coarray_statement_token13] = ACTIONS(4429),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4429),
    [aux_sym_identifier_token1] = ACTIONS(4429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4431),
    [sym__float_literal] = ACTIONS(4431),
    [sym__boz_literal] = ACTIONS(4431),
    [sym__string_literal] = ACTIONS(4431),
    [sym__string_literal_kind] = ACTIONS(4431),
  },
  [985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [986] = {
    [sym_preproc_include] = STATE(1111),
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_module] = STATE(1111),
    [sym_preproc_ifdef_in_module] = STATE(1111),
    [sym_end_module_statement] = STATE(1040),
    [sym_interface] = STATE(1111),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7015),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(1111),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(1111),
    [sym_public_statement] = STATE(1111),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(1111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(1111),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(1111),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1111),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4817),
    [aux_sym_end_module_statement_token1] = ACTIONS(4819),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [987] = {
    [sym_preproc_include] = STATE(982),
    [sym_preproc_def] = STATE(982),
    [sym_preproc_function_def] = STATE(982),
    [sym_preproc_call] = STATE(982),
    [sym_preproc_if_in_module] = STATE(982),
    [sym_preproc_ifdef_in_module] = STATE(982),
    [sym_end_module_statement] = STATE(1056),
    [sym_interface] = STATE(982),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7157),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(982),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(982),
    [sym_public_statement] = STATE(982),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(982),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(982),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(982),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(982),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4791),
    [aux_sym_end_module_statement_token1] = ACTIONS(4793),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [988] = {
    [sym_preproc_include] = STATE(983),
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_module] = STATE(983),
    [sym_preproc_ifdef_in_module] = STATE(983),
    [sym_end_submodule_statement] = STATE(1057),
    [sym_interface] = STATE(983),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7159),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(983),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(983),
    [sym_public_statement] = STATE(983),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(983),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(983),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(983),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(983),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4809),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4811),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(4435),
    [aux_sym_preproc_include_token1] = ACTIONS(4433),
    [aux_sym_preproc_def_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token1] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4433),
    [sym_preproc_directive] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token2] = ACTIONS(4433),
    [aux_sym_module_statement_token1] = ACTIONS(4433),
    [aux_sym_submodule_statement_token1] = ACTIONS(4433),
    [aux_sym_interface_statement_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4433),
    [aux_sym_function_statement_token1] = ACTIONS(4433),
    [aux_sym_language_binding_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4433),
    [aux_sym_contains_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token2] = ACTIONS(4433),
    [aux_sym_implicit_statement_token1] = ACTIONS(4433),
    [aux_sym_implicit_statement_token3] = ACTIONS(4433),
    [aux_sym_implicit_statement_token4] = ACTIONS(4433),
    [aux_sym_save_statement_token1] = ACTIONS(4433),
    [aux_sym_private_statement_token1] = ACTIONS(4433),
    [aux_sym_public_statement_token1] = ACTIONS(4433),
    [aux_sym_namelist_statement_token1] = ACTIONS(4433),
    [aux_sym_common_statement_token1] = ACTIONS(4433),
    [aux_sym_import_statement_token1] = ACTIONS(4433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4433),
    [aux_sym_variable_attributes_token1] = ACTIONS(4433),
    [aux_sym_variable_attributes_token2] = ACTIONS(4433),
    [aux_sym_variable_attributes_token3] = ACTIONS(4433),
    [aux_sym_variable_attributes_token4] = ACTIONS(4433),
    [aux_sym_variable_attributes_token5] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4433),
    [aux_sym_derived_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4433),
    [aux_sym_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4433),
    [anon_sym_SEMI] = ACTIONS(4435),
    [aux_sym_stop_statement_token1] = ACTIONS(4433),
    [aux_sym_stop_statement_token2] = ACTIONS(4433),
    [aux_sym_subroutine_call_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token2] = ACTIONS(4433),
    [aux_sym_keyword_statement_token3] = ACTIONS(4433),
    [aux_sym_keyword_statement_token4] = ACTIONS(4433),
    [aux_sym_keyword_statement_token6] = ACTIONS(4433),
    [aux_sym_keyword_statement_token7] = ACTIONS(4433),
    [aux_sym_include_statement_token1] = ACTIONS(4433),
    [aux_sym_data_statement_token1] = ACTIONS(4433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4433),
    [aux_sym_end_if_statement_token1] = ACTIONS(4433),
    [aux_sym_elseif_clause_token2] = ACTIONS(4433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token3] = ACTIONS(4433),
    [aux_sym_select_type_statement_token1] = ACTIONS(4433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4433),
    [aux_sym_block_construct_token1] = ACTIONS(4433),
    [aux_sym_associate_statement_token1] = ACTIONS(4433),
    [aux_sym_format_statement_token1] = ACTIONS(4433),
    [aux_sym_print_statement_token1] = ACTIONS(4433),
    [aux_sym_open_statement_token1] = ACTIONS(4433),
    [aux_sym_close_statement_token1] = ACTIONS(4433),
    [aux_sym_inquire_statement_token1] = ACTIONS(4433),
    [aux_sym_enum_statement_token1] = ACTIONS(4433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token2] = ACTIONS(4433),
    [aux_sym_file_position_statement_token3] = ACTIONS(4433),
    [aux_sym_file_position_statement_token4] = ACTIONS(4433),
    [aux_sym_allocate_statement_token1] = ACTIONS(4433),
    [aux_sym_entry_statement_token1] = ACTIONS(4433),
    [aux_sym_logical_expression_token5] = ACTIONS(4435),
    [anon_sym_DOT] = ACTIONS(4433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4435),
    [aux_sym_boolean_literal_token1] = ACTIONS(4435),
    [aux_sym_boolean_literal_token2] = ACTIONS(4435),
    [aux_sym_null_literal_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token2] = ACTIONS(4433),
    [aux_sym_coarray_statement_token6] = ACTIONS(4433),
    [aux_sym_coarray_statement_token8] = ACTIONS(4433),
    [aux_sym_coarray_statement_token11] = ACTIONS(4433),
    [aux_sym_coarray_statement_token12] = ACTIONS(4433),
    [aux_sym_coarray_statement_token13] = ACTIONS(4433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4433),
    [aux_sym_identifier_token1] = ACTIONS(4433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4435),
    [sym__float_literal] = ACTIONS(4435),
    [sym__boz_literal] = ACTIONS(4435),
    [sym__string_literal] = ACTIONS(4435),
    [sym__string_literal_kind] = ACTIONS(4435),
  },
  [990] = {
    [sym_preproc_include] = STATE(1112),
    [sym_preproc_def] = STATE(1112),
    [sym_preproc_function_def] = STATE(1112),
    [sym_preproc_call] = STATE(1112),
    [sym_preproc_if_in_module] = STATE(1112),
    [sym_preproc_ifdef_in_module] = STATE(1112),
    [sym_end_submodule_statement] = STATE(1046),
    [sym_interface] = STATE(1112),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7056),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(1112),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(1112),
    [sym_public_statement] = STATE(1112),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(1112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(1112),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(1112),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1112),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4821),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4823),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [991] = {
    [ts_builtin_sym_end] = ACTIONS(4603),
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token2] = ACTIONS(4601),
    [aux_sym_module_statement_token1] = ACTIONS(4601),
    [aux_sym_submodule_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_function_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(4631),
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_module_statement_token1] = ACTIONS(4629),
    [aux_sym_submodule_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_function_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [993] = {
    [ts_builtin_sym_end] = ACTIONS(4443),
    [aux_sym_preproc_include_token1] = ACTIONS(4441),
    [aux_sym_preproc_def_token1] = ACTIONS(4441),
    [aux_sym_preproc_if_token1] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4441),
    [sym_preproc_directive] = ACTIONS(4441),
    [anon_sym_LPAREN2] = ACTIONS(4441),
    [anon_sym_PLUS] = ACTIONS(4443),
    [anon_sym_DASH] = ACTIONS(4443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token2] = ACTIONS(4441),
    [aux_sym_module_statement_token1] = ACTIONS(4441),
    [aux_sym_submodule_statement_token1] = ACTIONS(4441),
    [aux_sym_interface_statement_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4441),
    [aux_sym_function_statement_token1] = ACTIONS(4441),
    [aux_sym_language_binding_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4441),
    [aux_sym_contains_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token2] = ACTIONS(4441),
    [aux_sym_implicit_statement_token1] = ACTIONS(4441),
    [aux_sym_implicit_statement_token3] = ACTIONS(4441),
    [aux_sym_implicit_statement_token4] = ACTIONS(4441),
    [aux_sym_save_statement_token1] = ACTIONS(4441),
    [aux_sym_private_statement_token1] = ACTIONS(4441),
    [aux_sym_public_statement_token1] = ACTIONS(4441),
    [aux_sym_namelist_statement_token1] = ACTIONS(4441),
    [aux_sym_common_statement_token1] = ACTIONS(4441),
    [aux_sym_import_statement_token1] = ACTIONS(4441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4441),
    [aux_sym_variable_attributes_token1] = ACTIONS(4441),
    [aux_sym_variable_attributes_token2] = ACTIONS(4441),
    [aux_sym_variable_attributes_token3] = ACTIONS(4441),
    [aux_sym_variable_attributes_token4] = ACTIONS(4441),
    [aux_sym_variable_attributes_token5] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4441),
    [aux_sym_derived_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4441),
    [aux_sym_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4441),
    [anon_sym_SEMI] = ACTIONS(4443),
    [aux_sym_stop_statement_token1] = ACTIONS(4441),
    [aux_sym_stop_statement_token2] = ACTIONS(4441),
    [aux_sym_subroutine_call_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token2] = ACTIONS(4441),
    [aux_sym_keyword_statement_token3] = ACTIONS(4441),
    [aux_sym_keyword_statement_token4] = ACTIONS(4441),
    [aux_sym_keyword_statement_token6] = ACTIONS(4441),
    [aux_sym_keyword_statement_token7] = ACTIONS(4441),
    [aux_sym_include_statement_token1] = ACTIONS(4441),
    [aux_sym_data_statement_token1] = ACTIONS(4441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4441),
    [aux_sym_end_if_statement_token1] = ACTIONS(4441),
    [aux_sym_elseif_clause_token2] = ACTIONS(4441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token3] = ACTIONS(4441),
    [aux_sym_select_type_statement_token1] = ACTIONS(4441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4441),
    [aux_sym_block_construct_token1] = ACTIONS(4441),
    [aux_sym_associate_statement_token1] = ACTIONS(4441),
    [aux_sym_format_statement_token1] = ACTIONS(4441),
    [aux_sym_print_statement_token1] = ACTIONS(4441),
    [aux_sym_open_statement_token1] = ACTIONS(4441),
    [aux_sym_close_statement_token1] = ACTIONS(4441),
    [aux_sym_inquire_statement_token1] = ACTIONS(4441),
    [aux_sym_enum_statement_token1] = ACTIONS(4441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token2] = ACTIONS(4441),
    [aux_sym_file_position_statement_token3] = ACTIONS(4441),
    [aux_sym_file_position_statement_token4] = ACTIONS(4441),
    [aux_sym_allocate_statement_token1] = ACTIONS(4441),
    [aux_sym_entry_statement_token1] = ACTIONS(4441),
    [aux_sym_logical_expression_token5] = ACTIONS(4443),
    [anon_sym_DOT] = ACTIONS(4441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4443),
    [anon_sym_LBRACK] = ACTIONS(4443),
    [aux_sym_boolean_literal_token1] = ACTIONS(4443),
    [aux_sym_boolean_literal_token2] = ACTIONS(4443),
    [aux_sym_null_literal_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token2] = ACTIONS(4441),
    [aux_sym_coarray_statement_token6] = ACTIONS(4441),
    [aux_sym_coarray_statement_token8] = ACTIONS(4441),
    [aux_sym_coarray_statement_token11] = ACTIONS(4441),
    [aux_sym_coarray_statement_token12] = ACTIONS(4441),
    [aux_sym_coarray_statement_token13] = ACTIONS(4441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4441),
    [aux_sym_identifier_token1] = ACTIONS(4441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4443),
    [sym__float_literal] = ACTIONS(4443),
    [sym__boz_literal] = ACTIONS(4443),
    [sym__string_literal] = ACTIONS(4443),
    [sym__string_literal_kind] = ACTIONS(4443),
  },
  [994] = {
    [ts_builtin_sym_end] = ACTIONS(4447),
    [aux_sym_preproc_include_token1] = ACTIONS(4445),
    [aux_sym_preproc_def_token1] = ACTIONS(4445),
    [aux_sym_preproc_if_token1] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4445),
    [sym_preproc_directive] = ACTIONS(4445),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token2] = ACTIONS(4445),
    [aux_sym_module_statement_token1] = ACTIONS(4445),
    [aux_sym_submodule_statement_token1] = ACTIONS(4445),
    [aux_sym_interface_statement_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4445),
    [aux_sym_function_statement_token1] = ACTIONS(4445),
    [aux_sym_language_binding_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4445),
    [aux_sym_contains_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token2] = ACTIONS(4445),
    [aux_sym_implicit_statement_token1] = ACTIONS(4445),
    [aux_sym_implicit_statement_token3] = ACTIONS(4445),
    [aux_sym_implicit_statement_token4] = ACTIONS(4445),
    [aux_sym_save_statement_token1] = ACTIONS(4445),
    [aux_sym_private_statement_token1] = ACTIONS(4445),
    [aux_sym_public_statement_token1] = ACTIONS(4445),
    [aux_sym_namelist_statement_token1] = ACTIONS(4445),
    [aux_sym_common_statement_token1] = ACTIONS(4445),
    [aux_sym_import_statement_token1] = ACTIONS(4445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4445),
    [aux_sym_variable_attributes_token1] = ACTIONS(4445),
    [aux_sym_variable_attributes_token2] = ACTIONS(4445),
    [aux_sym_variable_attributes_token3] = ACTIONS(4445),
    [aux_sym_variable_attributes_token4] = ACTIONS(4445),
    [aux_sym_variable_attributes_token5] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4445),
    [aux_sym_derived_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4445),
    [aux_sym_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4445),
    [anon_sym_SEMI] = ACTIONS(4447),
    [aux_sym_stop_statement_token1] = ACTIONS(4445),
    [aux_sym_stop_statement_token2] = ACTIONS(4445),
    [aux_sym_subroutine_call_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token2] = ACTIONS(4445),
    [aux_sym_keyword_statement_token3] = ACTIONS(4445),
    [aux_sym_keyword_statement_token4] = ACTIONS(4445),
    [aux_sym_keyword_statement_token6] = ACTIONS(4445),
    [aux_sym_keyword_statement_token7] = ACTIONS(4445),
    [aux_sym_include_statement_token1] = ACTIONS(4445),
    [aux_sym_data_statement_token1] = ACTIONS(4445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4445),
    [aux_sym_end_if_statement_token1] = ACTIONS(4445),
    [aux_sym_elseif_clause_token2] = ACTIONS(4445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token3] = ACTIONS(4445),
    [aux_sym_select_type_statement_token1] = ACTIONS(4445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4445),
    [aux_sym_block_construct_token1] = ACTIONS(4445),
    [aux_sym_associate_statement_token1] = ACTIONS(4445),
    [aux_sym_format_statement_token1] = ACTIONS(4445),
    [aux_sym_print_statement_token1] = ACTIONS(4445),
    [aux_sym_open_statement_token1] = ACTIONS(4445),
    [aux_sym_close_statement_token1] = ACTIONS(4445),
    [aux_sym_inquire_statement_token1] = ACTIONS(4445),
    [aux_sym_enum_statement_token1] = ACTIONS(4445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token2] = ACTIONS(4445),
    [aux_sym_file_position_statement_token3] = ACTIONS(4445),
    [aux_sym_file_position_statement_token4] = ACTIONS(4445),
    [aux_sym_allocate_statement_token1] = ACTIONS(4445),
    [aux_sym_entry_statement_token1] = ACTIONS(4445),
    [aux_sym_logical_expression_token5] = ACTIONS(4447),
    [anon_sym_DOT] = ACTIONS(4445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_boolean_literal_token1] = ACTIONS(4447),
    [aux_sym_boolean_literal_token2] = ACTIONS(4447),
    [aux_sym_null_literal_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token2] = ACTIONS(4445),
    [aux_sym_coarray_statement_token6] = ACTIONS(4445),
    [aux_sym_coarray_statement_token8] = ACTIONS(4445),
    [aux_sym_coarray_statement_token11] = ACTIONS(4445),
    [aux_sym_coarray_statement_token12] = ACTIONS(4445),
    [aux_sym_coarray_statement_token13] = ACTIONS(4445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4445),
    [aux_sym_identifier_token1] = ACTIONS(4445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4447),
    [sym__float_literal] = ACTIONS(4447),
    [sym__boz_literal] = ACTIONS(4447),
    [sym__string_literal] = ACTIONS(4447),
    [sym__string_literal_kind] = ACTIONS(4447),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(4471),
    [aux_sym_preproc_include_token1] = ACTIONS(4469),
    [aux_sym_preproc_def_token1] = ACTIONS(4469),
    [aux_sym_preproc_if_token1] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4469),
    [sym_preproc_directive] = ACTIONS(4469),
    [anon_sym_LPAREN2] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4471),
    [anon_sym_DASH] = ACTIONS(4471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token2] = ACTIONS(4469),
    [aux_sym_module_statement_token1] = ACTIONS(4469),
    [aux_sym_submodule_statement_token1] = ACTIONS(4469),
    [aux_sym_interface_statement_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4469),
    [aux_sym_function_statement_token1] = ACTIONS(4469),
    [aux_sym_language_binding_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4469),
    [aux_sym_contains_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token2] = ACTIONS(4469),
    [aux_sym_implicit_statement_token1] = ACTIONS(4469),
    [aux_sym_implicit_statement_token3] = ACTIONS(4469),
    [aux_sym_implicit_statement_token4] = ACTIONS(4469),
    [aux_sym_save_statement_token1] = ACTIONS(4469),
    [aux_sym_private_statement_token1] = ACTIONS(4469),
    [aux_sym_public_statement_token1] = ACTIONS(4469),
    [aux_sym_namelist_statement_token1] = ACTIONS(4469),
    [aux_sym_common_statement_token1] = ACTIONS(4469),
    [aux_sym_import_statement_token1] = ACTIONS(4469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4469),
    [aux_sym_variable_attributes_token1] = ACTIONS(4469),
    [aux_sym_variable_attributes_token2] = ACTIONS(4469),
    [aux_sym_variable_attributes_token3] = ACTIONS(4469),
    [aux_sym_variable_attributes_token4] = ACTIONS(4469),
    [aux_sym_variable_attributes_token5] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4469),
    [aux_sym_derived_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4469),
    [aux_sym_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4471),
    [aux_sym_stop_statement_token1] = ACTIONS(4469),
    [aux_sym_stop_statement_token2] = ACTIONS(4469),
    [aux_sym_subroutine_call_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token2] = ACTIONS(4469),
    [aux_sym_keyword_statement_token3] = ACTIONS(4469),
    [aux_sym_keyword_statement_token4] = ACTIONS(4469),
    [aux_sym_keyword_statement_token6] = ACTIONS(4469),
    [aux_sym_keyword_statement_token7] = ACTIONS(4469),
    [aux_sym_include_statement_token1] = ACTIONS(4469),
    [aux_sym_data_statement_token1] = ACTIONS(4469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4469),
    [aux_sym_end_if_statement_token1] = ACTIONS(4469),
    [aux_sym_elseif_clause_token2] = ACTIONS(4469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token3] = ACTIONS(4469),
    [aux_sym_select_type_statement_token1] = ACTIONS(4469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4469),
    [aux_sym_block_construct_token1] = ACTIONS(4469),
    [aux_sym_associate_statement_token1] = ACTIONS(4469),
    [aux_sym_format_statement_token1] = ACTIONS(4469),
    [aux_sym_print_statement_token1] = ACTIONS(4469),
    [aux_sym_open_statement_token1] = ACTIONS(4469),
    [aux_sym_close_statement_token1] = ACTIONS(4469),
    [aux_sym_inquire_statement_token1] = ACTIONS(4469),
    [aux_sym_enum_statement_token1] = ACTIONS(4469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token2] = ACTIONS(4469),
    [aux_sym_file_position_statement_token3] = ACTIONS(4469),
    [aux_sym_file_position_statement_token4] = ACTIONS(4469),
    [aux_sym_allocate_statement_token1] = ACTIONS(4469),
    [aux_sym_entry_statement_token1] = ACTIONS(4469),
    [aux_sym_logical_expression_token5] = ACTIONS(4471),
    [anon_sym_DOT] = ACTIONS(4469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4471),
    [anon_sym_LBRACK] = ACTIONS(4471),
    [aux_sym_boolean_literal_token1] = ACTIONS(4471),
    [aux_sym_boolean_literal_token2] = ACTIONS(4471),
    [aux_sym_null_literal_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token2] = ACTIONS(4469),
    [aux_sym_coarray_statement_token6] = ACTIONS(4469),
    [aux_sym_coarray_statement_token8] = ACTIONS(4469),
    [aux_sym_coarray_statement_token11] = ACTIONS(4469),
    [aux_sym_coarray_statement_token12] = ACTIONS(4469),
    [aux_sym_coarray_statement_token13] = ACTIONS(4469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4469),
    [aux_sym_identifier_token1] = ACTIONS(4469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4471),
    [sym__float_literal] = ACTIONS(4471),
    [sym__boz_literal] = ACTIONS(4471),
    [sym__string_literal] = ACTIONS(4471),
    [sym__string_literal_kind] = ACTIONS(4471),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(4521),
    [aux_sym_preproc_include_token1] = ACTIONS(4519),
    [aux_sym_preproc_def_token1] = ACTIONS(4519),
    [aux_sym_preproc_if_token1] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4519),
    [sym_preproc_directive] = ACTIONS(4519),
    [anon_sym_LPAREN2] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token2] = ACTIONS(4519),
    [aux_sym_module_statement_token1] = ACTIONS(4519),
    [aux_sym_submodule_statement_token1] = ACTIONS(4519),
    [aux_sym_interface_statement_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4519),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4519),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4519),
    [aux_sym_function_statement_token1] = ACTIONS(4519),
    [aux_sym_language_binding_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4519),
    [aux_sym_contains_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token2] = ACTIONS(4519),
    [aux_sym_implicit_statement_token1] = ACTIONS(4519),
    [aux_sym_implicit_statement_token3] = ACTIONS(4519),
    [aux_sym_implicit_statement_token4] = ACTIONS(4519),
    [aux_sym_save_statement_token1] = ACTIONS(4519),
    [aux_sym_private_statement_token1] = ACTIONS(4519),
    [aux_sym_public_statement_token1] = ACTIONS(4519),
    [aux_sym_namelist_statement_token1] = ACTIONS(4519),
    [aux_sym_common_statement_token1] = ACTIONS(4519),
    [aux_sym_import_statement_token1] = ACTIONS(4519),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4519),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4519),
    [aux_sym_variable_attributes_token1] = ACTIONS(4519),
    [aux_sym_variable_attributes_token2] = ACTIONS(4519),
    [aux_sym_variable_attributes_token3] = ACTIONS(4519),
    [aux_sym_variable_attributes_token4] = ACTIONS(4519),
    [aux_sym_variable_attributes_token5] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4519),
    [aux_sym_derived_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4519),
    [aux_sym_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4519),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4521),
    [aux_sym_stop_statement_token1] = ACTIONS(4519),
    [aux_sym_stop_statement_token2] = ACTIONS(4519),
    [aux_sym_subroutine_call_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token2] = ACTIONS(4519),
    [aux_sym_keyword_statement_token3] = ACTIONS(4519),
    [aux_sym_keyword_statement_token4] = ACTIONS(4519),
    [aux_sym_keyword_statement_token6] = ACTIONS(4519),
    [aux_sym_keyword_statement_token7] = ACTIONS(4519),
    [aux_sym_include_statement_token1] = ACTIONS(4519),
    [aux_sym_data_statement_token1] = ACTIONS(4519),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4519),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4519),
    [aux_sym_end_if_statement_token1] = ACTIONS(4519),
    [aux_sym_elseif_clause_token2] = ACTIONS(4519),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4519),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token3] = ACTIONS(4519),
    [aux_sym_select_type_statement_token1] = ACTIONS(4519),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4519),
    [aux_sym_block_construct_token1] = ACTIONS(4519),
    [aux_sym_associate_statement_token1] = ACTIONS(4519),
    [aux_sym_format_statement_token1] = ACTIONS(4519),
    [aux_sym_print_statement_token1] = ACTIONS(4519),
    [aux_sym_open_statement_token1] = ACTIONS(4519),
    [aux_sym_close_statement_token1] = ACTIONS(4519),
    [aux_sym_inquire_statement_token1] = ACTIONS(4519),
    [aux_sym_enum_statement_token1] = ACTIONS(4519),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token2] = ACTIONS(4519),
    [aux_sym_file_position_statement_token3] = ACTIONS(4519),
    [aux_sym_file_position_statement_token4] = ACTIONS(4519),
    [aux_sym_allocate_statement_token1] = ACTIONS(4519),
    [aux_sym_entry_statement_token1] = ACTIONS(4519),
    [aux_sym_logical_expression_token5] = ACTIONS(4521),
    [anon_sym_DOT] = ACTIONS(4519),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4521),
    [aux_sym_boolean_literal_token1] = ACTIONS(4521),
    [aux_sym_boolean_literal_token2] = ACTIONS(4521),
    [aux_sym_null_literal_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token2] = ACTIONS(4519),
    [aux_sym_coarray_statement_token6] = ACTIONS(4519),
    [aux_sym_coarray_statement_token8] = ACTIONS(4519),
    [aux_sym_coarray_statement_token11] = ACTIONS(4519),
    [aux_sym_coarray_statement_token12] = ACTIONS(4519),
    [aux_sym_coarray_statement_token13] = ACTIONS(4519),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4519),
    [aux_sym_identifier_token1] = ACTIONS(4519),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4521),
    [sym__float_literal] = ACTIONS(4521),
    [sym__boz_literal] = ACTIONS(4521),
    [sym__string_literal] = ACTIONS(4521),
    [sym__string_literal_kind] = ACTIONS(4521),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(4377),
    [aux_sym_preproc_include_token1] = ACTIONS(4373),
    [aux_sym_preproc_def_token1] = ACTIONS(4373),
    [aux_sym_preproc_if_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4373),
    [sym_preproc_directive] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_PLUS] = ACTIONS(4377),
    [anon_sym_DASH] = ACTIONS(4377),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token2] = ACTIONS(4373),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4373),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4373),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4373),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4373),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4373),
    [aux_sym_contains_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token1] = ACTIONS(4373),
    [aux_sym_use_statement_token2] = ACTIONS(4373),
    [aux_sym_implicit_statement_token1] = ACTIONS(4373),
    [aux_sym_implicit_statement_token3] = ACTIONS(4373),
    [aux_sym_implicit_statement_token4] = ACTIONS(4373),
    [aux_sym_save_statement_token1] = ACTIONS(4373),
    [aux_sym_private_statement_token1] = ACTIONS(4373),
    [aux_sym_public_statement_token1] = ACTIONS(4373),
    [aux_sym_namelist_statement_token1] = ACTIONS(4373),
    [aux_sym_common_statement_token1] = ACTIONS(4373),
    [aux_sym_import_statement_token1] = ACTIONS(4373),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4373),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4373),
    [aux_sym_variable_attributes_token1] = ACTIONS(4373),
    [aux_sym_variable_attributes_token2] = ACTIONS(4373),
    [aux_sym_variable_attributes_token3] = ACTIONS(4373),
    [aux_sym_variable_attributes_token4] = ACTIONS(4373),
    [aux_sym_variable_attributes_token5] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4373),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4373),
    [aux_sym_derived_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token1] = ACTIONS(4373),
    [aux_sym_declared_type_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4373),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4373),
    [aux_sym_type_qualifier_token1] = ACTIONS(4373),
    [aux_sym_type_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4373),
    [anon_sym_SEMI] = ACTIONS(4377),
    [aux_sym_stop_statement_token1] = ACTIONS(4373),
    [aux_sym_stop_statement_token2] = ACTIONS(4373),
    [aux_sym_subroutine_call_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token1] = ACTIONS(4373),
    [aux_sym_keyword_statement_token2] = ACTIONS(4373),
    [aux_sym_keyword_statement_token3] = ACTIONS(4373),
    [aux_sym_keyword_statement_token4] = ACTIONS(4373),
    [aux_sym_keyword_statement_token6] = ACTIONS(4373),
    [aux_sym_keyword_statement_token7] = ACTIONS(4373),
    [aux_sym_include_statement_token1] = ACTIONS(4373),
    [aux_sym_data_statement_token1] = ACTIONS(4373),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4373),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4373),
    [aux_sym_end_if_statement_token1] = ACTIONS(4373),
    [aux_sym_elseif_clause_token2] = ACTIONS(4373),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4373),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token1] = ACTIONS(4373),
    [aux_sym_select_case_statement_token3] = ACTIONS(4373),
    [aux_sym_select_type_statement_token1] = ACTIONS(4373),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4373),
    [aux_sym_block_construct_token1] = ACTIONS(4373),
    [aux_sym_associate_statement_token1] = ACTIONS(4373),
    [aux_sym_format_statement_token1] = ACTIONS(4373),
    [aux_sym_print_statement_token1] = ACTIONS(4373),
    [aux_sym_open_statement_token1] = ACTIONS(4373),
    [aux_sym_close_statement_token1] = ACTIONS(4373),
    [aux_sym_inquire_statement_token1] = ACTIONS(4373),
    [aux_sym_enum_statement_token1] = ACTIONS(4373),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token1] = ACTIONS(4373),
    [aux_sym_file_position_statement_token2] = ACTIONS(4373),
    [aux_sym_file_position_statement_token3] = ACTIONS(4373),
    [aux_sym_file_position_statement_token4] = ACTIONS(4373),
    [aux_sym_allocate_statement_token1] = ACTIONS(4373),
    [aux_sym_entry_statement_token1] = ACTIONS(4373),
    [aux_sym_logical_expression_token5] = ACTIONS(4377),
    [anon_sym_DOT] = ACTIONS(4373),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [aux_sym_boolean_literal_token1] = ACTIONS(4377),
    [aux_sym_boolean_literal_token2] = ACTIONS(4377),
    [aux_sym_null_literal_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_statement_token2] = ACTIONS(4373),
    [aux_sym_coarray_statement_token6] = ACTIONS(4373),
    [aux_sym_coarray_statement_token8] = ACTIONS(4373),
    [aux_sym_coarray_statement_token11] = ACTIONS(4373),
    [aux_sym_coarray_statement_token12] = ACTIONS(4373),
    [aux_sym_coarray_statement_token13] = ACTIONS(4373),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4373),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4373),
    [aux_sym_identifier_token1] = ACTIONS(4373),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4377),
    [sym__float_literal] = ACTIONS(4377),
    [sym__boz_literal] = ACTIONS(4377),
    [sym__string_literal] = ACTIONS(4377),
    [sym__string_literal_kind] = ACTIONS(4377),
  },
  [998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4545),
    [aux_sym_preproc_def_token1] = ACTIONS(4545),
    [aux_sym_preproc_if_token1] = ACTIONS(4545),
    [aux_sym_preproc_if_token2] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4545),
    [sym_preproc_directive] = ACTIONS(4545),
    [anon_sym_LPAREN2] = ACTIONS(4545),
    [anon_sym_PLUS] = ACTIONS(4547),
    [anon_sym_DASH] = ACTIONS(4547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token2] = ACTIONS(4545),
    [aux_sym_module_statement_token1] = ACTIONS(4545),
    [aux_sym_submodule_statement_token1] = ACTIONS(4545),
    [aux_sym_interface_statement_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4545),
    [aux_sym_function_statement_token1] = ACTIONS(4545),
    [aux_sym_language_binding_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4545),
    [aux_sym_contains_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token2] = ACTIONS(4545),
    [aux_sym_implicit_statement_token1] = ACTIONS(4545),
    [aux_sym_implicit_statement_token3] = ACTIONS(4545),
    [aux_sym_implicit_statement_token4] = ACTIONS(4545),
    [aux_sym_save_statement_token1] = ACTIONS(4545),
    [aux_sym_private_statement_token1] = ACTIONS(4545),
    [aux_sym_public_statement_token1] = ACTIONS(4545),
    [aux_sym_namelist_statement_token1] = ACTIONS(4545),
    [aux_sym_common_statement_token1] = ACTIONS(4545),
    [aux_sym_import_statement_token1] = ACTIONS(4545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4545),
    [aux_sym_variable_attributes_token1] = ACTIONS(4545),
    [aux_sym_variable_attributes_token2] = ACTIONS(4545),
    [aux_sym_variable_attributes_token3] = ACTIONS(4545),
    [aux_sym_variable_attributes_token4] = ACTIONS(4545),
    [aux_sym_variable_attributes_token5] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4545),
    [aux_sym_derived_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4545),
    [aux_sym_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4545),
    [anon_sym_SEMI] = ACTIONS(4547),
    [aux_sym_stop_statement_token1] = ACTIONS(4545),
    [aux_sym_stop_statement_token2] = ACTIONS(4545),
    [aux_sym_subroutine_call_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token2] = ACTIONS(4545),
    [aux_sym_keyword_statement_token3] = ACTIONS(4545),
    [aux_sym_keyword_statement_token4] = ACTIONS(4545),
    [aux_sym_keyword_statement_token6] = ACTIONS(4545),
    [aux_sym_keyword_statement_token7] = ACTIONS(4545),
    [aux_sym_include_statement_token1] = ACTIONS(4545),
    [aux_sym_data_statement_token1] = ACTIONS(4545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4545),
    [aux_sym_end_if_statement_token1] = ACTIONS(4545),
    [aux_sym_elseif_clause_token2] = ACTIONS(4545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token3] = ACTIONS(4545),
    [aux_sym_select_type_statement_token1] = ACTIONS(4545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4545),
    [aux_sym_block_construct_token1] = ACTIONS(4545),
    [aux_sym_associate_statement_token1] = ACTIONS(4545),
    [aux_sym_format_statement_token1] = ACTIONS(4545),
    [aux_sym_print_statement_token1] = ACTIONS(4545),
    [aux_sym_open_statement_token1] = ACTIONS(4545),
    [aux_sym_close_statement_token1] = ACTIONS(4545),
    [aux_sym_inquire_statement_token1] = ACTIONS(4545),
    [aux_sym_enum_statement_token1] = ACTIONS(4545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token2] = ACTIONS(4545),
    [aux_sym_file_position_statement_token3] = ACTIONS(4545),
    [aux_sym_file_position_statement_token4] = ACTIONS(4545),
    [aux_sym_allocate_statement_token1] = ACTIONS(4545),
    [aux_sym_entry_statement_token1] = ACTIONS(4545),
    [aux_sym_logical_expression_token5] = ACTIONS(4547),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4547),
    [anon_sym_LBRACK] = ACTIONS(4547),
    [aux_sym_boolean_literal_token1] = ACTIONS(4547),
    [aux_sym_boolean_literal_token2] = ACTIONS(4547),
    [aux_sym_null_literal_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token2] = ACTIONS(4545),
    [aux_sym_coarray_statement_token6] = ACTIONS(4545),
    [aux_sym_coarray_statement_token8] = ACTIONS(4545),
    [aux_sym_coarray_statement_token11] = ACTIONS(4545),
    [aux_sym_coarray_statement_token12] = ACTIONS(4545),
    [aux_sym_coarray_statement_token13] = ACTIONS(4545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4545),
    [aux_sym_identifier_token1] = ACTIONS(4545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4547),
    [sym__float_literal] = ACTIONS(4547),
    [sym__boz_literal] = ACTIONS(4547),
    [sym__string_literal] = ACTIONS(4547),
    [sym__string_literal_kind] = ACTIONS(4547),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(4377),
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4561),
    [aux_sym_preproc_def_token1] = ACTIONS(4561),
    [aux_sym_preproc_if_token1] = ACTIONS(4561),
    [aux_sym_preproc_if_token2] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4561),
    [sym_preproc_directive] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token2] = ACTIONS(4561),
    [aux_sym_module_statement_token1] = ACTIONS(4561),
    [aux_sym_submodule_statement_token1] = ACTIONS(4561),
    [aux_sym_interface_statement_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4561),
    [aux_sym_function_statement_token1] = ACTIONS(4561),
    [aux_sym_language_binding_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4561),
    [aux_sym_contains_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token2] = ACTIONS(4561),
    [aux_sym_implicit_statement_token1] = ACTIONS(4561),
    [aux_sym_implicit_statement_token3] = ACTIONS(4561),
    [aux_sym_implicit_statement_token4] = ACTIONS(4561),
    [aux_sym_save_statement_token1] = ACTIONS(4561),
    [aux_sym_private_statement_token1] = ACTIONS(4561),
    [aux_sym_public_statement_token1] = ACTIONS(4561),
    [aux_sym_namelist_statement_token1] = ACTIONS(4561),
    [aux_sym_common_statement_token1] = ACTIONS(4561),
    [aux_sym_import_statement_token1] = ACTIONS(4561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4561),
    [aux_sym_variable_attributes_token1] = ACTIONS(4561),
    [aux_sym_variable_attributes_token2] = ACTIONS(4561),
    [aux_sym_variable_attributes_token3] = ACTIONS(4561),
    [aux_sym_variable_attributes_token4] = ACTIONS(4561),
    [aux_sym_variable_attributes_token5] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4561),
    [aux_sym_derived_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4561),
    [aux_sym_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4561),
    [anon_sym_SEMI] = ACTIONS(4563),
    [aux_sym_stop_statement_token1] = ACTIONS(4561),
    [aux_sym_stop_statement_token2] = ACTIONS(4561),
    [aux_sym_subroutine_call_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token2] = ACTIONS(4561),
    [aux_sym_keyword_statement_token3] = ACTIONS(4561),
    [aux_sym_keyword_statement_token4] = ACTIONS(4561),
    [aux_sym_keyword_statement_token6] = ACTIONS(4561),
    [aux_sym_keyword_statement_token7] = ACTIONS(4561),
    [aux_sym_include_statement_token1] = ACTIONS(4561),
    [aux_sym_data_statement_token1] = ACTIONS(4561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4561),
    [aux_sym_end_if_statement_token1] = ACTIONS(4561),
    [aux_sym_elseif_clause_token2] = ACTIONS(4561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token3] = ACTIONS(4561),
    [aux_sym_select_type_statement_token1] = ACTIONS(4561),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4561),
    [aux_sym_block_construct_token1] = ACTIONS(4561),
    [aux_sym_associate_statement_token1] = ACTIONS(4561),
    [aux_sym_format_statement_token1] = ACTIONS(4561),
    [aux_sym_print_statement_token1] = ACTIONS(4561),
    [aux_sym_open_statement_token1] = ACTIONS(4561),
    [aux_sym_close_statement_token1] = ACTIONS(4561),
    [aux_sym_inquire_statement_token1] = ACTIONS(4561),
    [aux_sym_enum_statement_token1] = ACTIONS(4561),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token2] = ACTIONS(4561),
    [aux_sym_file_position_statement_token3] = ACTIONS(4561),
    [aux_sym_file_position_statement_token4] = ACTIONS(4561),
    [aux_sym_allocate_statement_token1] = ACTIONS(4561),
    [aux_sym_entry_statement_token1] = ACTIONS(4561),
    [aux_sym_logical_expression_token5] = ACTIONS(4563),
    [anon_sym_DOT] = ACTIONS(4561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4563),
    [anon_sym_LBRACK] = ACTIONS(4563),
    [aux_sym_boolean_literal_token1] = ACTIONS(4563),
    [aux_sym_boolean_literal_token2] = ACTIONS(4563),
    [aux_sym_null_literal_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token2] = ACTIONS(4561),
    [aux_sym_coarray_statement_token6] = ACTIONS(4561),
    [aux_sym_coarray_statement_token8] = ACTIONS(4561),
    [aux_sym_coarray_statement_token11] = ACTIONS(4561),
    [aux_sym_coarray_statement_token12] = ACTIONS(4561),
    [aux_sym_coarray_statement_token13] = ACTIONS(4561),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4561),
    [aux_sym_identifier_token1] = ACTIONS(4561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4563),
    [sym__float_literal] = ACTIONS(4563),
    [sym__boz_literal] = ACTIONS(4563),
    [sym__string_literal] = ACTIONS(4563),
    [sym__string_literal_kind] = ACTIONS(4563),
  },
  [1001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4565),
    [aux_sym_preproc_def_token1] = ACTIONS(4565),
    [aux_sym_preproc_if_token1] = ACTIONS(4565),
    [aux_sym_preproc_if_token2] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4565),
    [sym_preproc_directive] = ACTIONS(4565),
    [anon_sym_LPAREN2] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4567),
    [anon_sym_DASH] = ACTIONS(4567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token2] = ACTIONS(4565),
    [aux_sym_module_statement_token1] = ACTIONS(4565),
    [aux_sym_submodule_statement_token1] = ACTIONS(4565),
    [aux_sym_interface_statement_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4565),
    [aux_sym_function_statement_token1] = ACTIONS(4565),
    [aux_sym_language_binding_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4565),
    [aux_sym_contains_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token2] = ACTIONS(4565),
    [aux_sym_implicit_statement_token1] = ACTIONS(4565),
    [aux_sym_implicit_statement_token3] = ACTIONS(4565),
    [aux_sym_implicit_statement_token4] = ACTIONS(4565),
    [aux_sym_save_statement_token1] = ACTIONS(4565),
    [aux_sym_private_statement_token1] = ACTIONS(4565),
    [aux_sym_public_statement_token1] = ACTIONS(4565),
    [aux_sym_namelist_statement_token1] = ACTIONS(4565),
    [aux_sym_common_statement_token1] = ACTIONS(4565),
    [aux_sym_import_statement_token1] = ACTIONS(4565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4565),
    [aux_sym_variable_attributes_token1] = ACTIONS(4565),
    [aux_sym_variable_attributes_token2] = ACTIONS(4565),
    [aux_sym_variable_attributes_token3] = ACTIONS(4565),
    [aux_sym_variable_attributes_token4] = ACTIONS(4565),
    [aux_sym_variable_attributes_token5] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4565),
    [aux_sym_derived_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4565),
    [aux_sym_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4565),
    [anon_sym_SEMI] = ACTIONS(4567),
    [aux_sym_stop_statement_token1] = ACTIONS(4565),
    [aux_sym_stop_statement_token2] = ACTIONS(4565),
    [aux_sym_subroutine_call_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token2] = ACTIONS(4565),
    [aux_sym_keyword_statement_token3] = ACTIONS(4565),
    [aux_sym_keyword_statement_token4] = ACTIONS(4565),
    [aux_sym_keyword_statement_token6] = ACTIONS(4565),
    [aux_sym_keyword_statement_token7] = ACTIONS(4565),
    [aux_sym_include_statement_token1] = ACTIONS(4565),
    [aux_sym_data_statement_token1] = ACTIONS(4565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4565),
    [aux_sym_end_if_statement_token1] = ACTIONS(4565),
    [aux_sym_elseif_clause_token2] = ACTIONS(4565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token3] = ACTIONS(4565),
    [aux_sym_select_type_statement_token1] = ACTIONS(4565),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4565),
    [aux_sym_block_construct_token1] = ACTIONS(4565),
    [aux_sym_associate_statement_token1] = ACTIONS(4565),
    [aux_sym_format_statement_token1] = ACTIONS(4565),
    [aux_sym_print_statement_token1] = ACTIONS(4565),
    [aux_sym_open_statement_token1] = ACTIONS(4565),
    [aux_sym_close_statement_token1] = ACTIONS(4565),
    [aux_sym_inquire_statement_token1] = ACTIONS(4565),
    [aux_sym_enum_statement_token1] = ACTIONS(4565),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token2] = ACTIONS(4565),
    [aux_sym_file_position_statement_token3] = ACTIONS(4565),
    [aux_sym_file_position_statement_token4] = ACTIONS(4565),
    [aux_sym_allocate_statement_token1] = ACTIONS(4565),
    [aux_sym_entry_statement_token1] = ACTIONS(4565),
    [aux_sym_logical_expression_token5] = ACTIONS(4567),
    [anon_sym_DOT] = ACTIONS(4565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4567),
    [anon_sym_LBRACK] = ACTIONS(4567),
    [aux_sym_boolean_literal_token1] = ACTIONS(4567),
    [aux_sym_boolean_literal_token2] = ACTIONS(4567),
    [aux_sym_null_literal_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token2] = ACTIONS(4565),
    [aux_sym_coarray_statement_token6] = ACTIONS(4565),
    [aux_sym_coarray_statement_token8] = ACTIONS(4565),
    [aux_sym_coarray_statement_token11] = ACTIONS(4565),
    [aux_sym_coarray_statement_token12] = ACTIONS(4565),
    [aux_sym_coarray_statement_token13] = ACTIONS(4565),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4565),
    [aux_sym_identifier_token1] = ACTIONS(4565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4567),
    [sym__float_literal] = ACTIONS(4567),
    [sym__boz_literal] = ACTIONS(4567),
    [sym__string_literal] = ACTIONS(4567),
    [sym__string_literal_kind] = ACTIONS(4567),
  },
  [1002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4569),
    [aux_sym_preproc_def_token1] = ACTIONS(4569),
    [aux_sym_preproc_if_token1] = ACTIONS(4569),
    [aux_sym_preproc_if_token2] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4569),
    [sym_preproc_directive] = ACTIONS(4569),
    [anon_sym_LPAREN2] = ACTIONS(4569),
    [anon_sym_PLUS] = ACTIONS(4571),
    [anon_sym_DASH] = ACTIONS(4571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token2] = ACTIONS(4569),
    [aux_sym_module_statement_token1] = ACTIONS(4569),
    [aux_sym_submodule_statement_token1] = ACTIONS(4569),
    [aux_sym_interface_statement_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4569),
    [aux_sym_function_statement_token1] = ACTIONS(4569),
    [aux_sym_language_binding_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4569),
    [aux_sym_contains_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token2] = ACTIONS(4569),
    [aux_sym_implicit_statement_token1] = ACTIONS(4569),
    [aux_sym_implicit_statement_token3] = ACTIONS(4569),
    [aux_sym_implicit_statement_token4] = ACTIONS(4569),
    [aux_sym_save_statement_token1] = ACTIONS(4569),
    [aux_sym_private_statement_token1] = ACTIONS(4569),
    [aux_sym_public_statement_token1] = ACTIONS(4569),
    [aux_sym_namelist_statement_token1] = ACTIONS(4569),
    [aux_sym_common_statement_token1] = ACTIONS(4569),
    [aux_sym_import_statement_token1] = ACTIONS(4569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4569),
    [aux_sym_variable_attributes_token1] = ACTIONS(4569),
    [aux_sym_variable_attributes_token2] = ACTIONS(4569),
    [aux_sym_variable_attributes_token3] = ACTIONS(4569),
    [aux_sym_variable_attributes_token4] = ACTIONS(4569),
    [aux_sym_variable_attributes_token5] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4569),
    [aux_sym_derived_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4569),
    [aux_sym_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4569),
    [anon_sym_SEMI] = ACTIONS(4571),
    [aux_sym_stop_statement_token1] = ACTIONS(4569),
    [aux_sym_stop_statement_token2] = ACTIONS(4569),
    [aux_sym_subroutine_call_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token2] = ACTIONS(4569),
    [aux_sym_keyword_statement_token3] = ACTIONS(4569),
    [aux_sym_keyword_statement_token4] = ACTIONS(4569),
    [aux_sym_keyword_statement_token6] = ACTIONS(4569),
    [aux_sym_keyword_statement_token7] = ACTIONS(4569),
    [aux_sym_include_statement_token1] = ACTIONS(4569),
    [aux_sym_data_statement_token1] = ACTIONS(4569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4569),
    [aux_sym_end_if_statement_token1] = ACTIONS(4569),
    [aux_sym_elseif_clause_token2] = ACTIONS(4569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token3] = ACTIONS(4569),
    [aux_sym_select_type_statement_token1] = ACTIONS(4569),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4569),
    [aux_sym_block_construct_token1] = ACTIONS(4569),
    [aux_sym_associate_statement_token1] = ACTIONS(4569),
    [aux_sym_format_statement_token1] = ACTIONS(4569),
    [aux_sym_print_statement_token1] = ACTIONS(4569),
    [aux_sym_open_statement_token1] = ACTIONS(4569),
    [aux_sym_close_statement_token1] = ACTIONS(4569),
    [aux_sym_inquire_statement_token1] = ACTIONS(4569),
    [aux_sym_enum_statement_token1] = ACTIONS(4569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token2] = ACTIONS(4569),
    [aux_sym_file_position_statement_token3] = ACTIONS(4569),
    [aux_sym_file_position_statement_token4] = ACTIONS(4569),
    [aux_sym_allocate_statement_token1] = ACTIONS(4569),
    [aux_sym_entry_statement_token1] = ACTIONS(4569),
    [aux_sym_logical_expression_token5] = ACTIONS(4571),
    [anon_sym_DOT] = ACTIONS(4569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4571),
    [anon_sym_LBRACK] = ACTIONS(4571),
    [aux_sym_boolean_literal_token1] = ACTIONS(4571),
    [aux_sym_boolean_literal_token2] = ACTIONS(4571),
    [aux_sym_null_literal_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token2] = ACTIONS(4569),
    [aux_sym_coarray_statement_token6] = ACTIONS(4569),
    [aux_sym_coarray_statement_token8] = ACTIONS(4569),
    [aux_sym_coarray_statement_token11] = ACTIONS(4569),
    [aux_sym_coarray_statement_token12] = ACTIONS(4569),
    [aux_sym_coarray_statement_token13] = ACTIONS(4569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4569),
    [aux_sym_identifier_token1] = ACTIONS(4569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4571),
    [sym__float_literal] = ACTIONS(4571),
    [sym__boz_literal] = ACTIONS(4571),
    [sym__string_literal] = ACTIONS(4571),
    [sym__string_literal_kind] = ACTIONS(4571),
  },
  [1003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4573),
    [aux_sym_preproc_def_token1] = ACTIONS(4573),
    [aux_sym_preproc_if_token1] = ACTIONS(4573),
    [aux_sym_preproc_if_token2] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4573),
    [sym_preproc_directive] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_PLUS] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token2] = ACTIONS(4573),
    [aux_sym_module_statement_token1] = ACTIONS(4573),
    [aux_sym_submodule_statement_token1] = ACTIONS(4573),
    [aux_sym_interface_statement_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4573),
    [aux_sym_function_statement_token1] = ACTIONS(4573),
    [aux_sym_language_binding_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4573),
    [aux_sym_contains_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token2] = ACTIONS(4573),
    [aux_sym_implicit_statement_token1] = ACTIONS(4573),
    [aux_sym_implicit_statement_token3] = ACTIONS(4573),
    [aux_sym_implicit_statement_token4] = ACTIONS(4573),
    [aux_sym_save_statement_token1] = ACTIONS(4573),
    [aux_sym_private_statement_token1] = ACTIONS(4573),
    [aux_sym_public_statement_token1] = ACTIONS(4573),
    [aux_sym_namelist_statement_token1] = ACTIONS(4573),
    [aux_sym_common_statement_token1] = ACTIONS(4573),
    [aux_sym_import_statement_token1] = ACTIONS(4573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4573),
    [aux_sym_variable_attributes_token1] = ACTIONS(4573),
    [aux_sym_variable_attributes_token2] = ACTIONS(4573),
    [aux_sym_variable_attributes_token3] = ACTIONS(4573),
    [aux_sym_variable_attributes_token4] = ACTIONS(4573),
    [aux_sym_variable_attributes_token5] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4573),
    [aux_sym_derived_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4573),
    [aux_sym_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4575),
    [aux_sym_stop_statement_token1] = ACTIONS(4573),
    [aux_sym_stop_statement_token2] = ACTIONS(4573),
    [aux_sym_subroutine_call_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token2] = ACTIONS(4573),
    [aux_sym_keyword_statement_token3] = ACTIONS(4573),
    [aux_sym_keyword_statement_token4] = ACTIONS(4573),
    [aux_sym_keyword_statement_token6] = ACTIONS(4573),
    [aux_sym_keyword_statement_token7] = ACTIONS(4573),
    [aux_sym_include_statement_token1] = ACTIONS(4573),
    [aux_sym_data_statement_token1] = ACTIONS(4573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4573),
    [aux_sym_end_if_statement_token1] = ACTIONS(4573),
    [aux_sym_elseif_clause_token2] = ACTIONS(4573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token3] = ACTIONS(4573),
    [aux_sym_select_type_statement_token1] = ACTIONS(4573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4573),
    [aux_sym_block_construct_token1] = ACTIONS(4573),
    [aux_sym_associate_statement_token1] = ACTIONS(4573),
    [aux_sym_format_statement_token1] = ACTIONS(4573),
    [aux_sym_print_statement_token1] = ACTIONS(4573),
    [aux_sym_open_statement_token1] = ACTIONS(4573),
    [aux_sym_close_statement_token1] = ACTIONS(4573),
    [aux_sym_inquire_statement_token1] = ACTIONS(4573),
    [aux_sym_enum_statement_token1] = ACTIONS(4573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token2] = ACTIONS(4573),
    [aux_sym_file_position_statement_token3] = ACTIONS(4573),
    [aux_sym_file_position_statement_token4] = ACTIONS(4573),
    [aux_sym_allocate_statement_token1] = ACTIONS(4573),
    [aux_sym_entry_statement_token1] = ACTIONS(4573),
    [aux_sym_logical_expression_token5] = ACTIONS(4575),
    [anon_sym_DOT] = ACTIONS(4573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4575),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [aux_sym_boolean_literal_token1] = ACTIONS(4575),
    [aux_sym_boolean_literal_token2] = ACTIONS(4575),
    [aux_sym_null_literal_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token2] = ACTIONS(4573),
    [aux_sym_coarray_statement_token6] = ACTIONS(4573),
    [aux_sym_coarray_statement_token8] = ACTIONS(4573),
    [aux_sym_coarray_statement_token11] = ACTIONS(4573),
    [aux_sym_coarray_statement_token12] = ACTIONS(4573),
    [aux_sym_coarray_statement_token13] = ACTIONS(4573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4573),
    [aux_sym_identifier_token1] = ACTIONS(4573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4575),
    [sym__float_literal] = ACTIONS(4575),
    [sym__boz_literal] = ACTIONS(4575),
    [sym__string_literal] = ACTIONS(4575),
    [sym__string_literal_kind] = ACTIONS(4575),
  },
  [1004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1006] = {
    [sym_preproc_include] = STATE(1111),
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_module] = STATE(1111),
    [sym_preproc_ifdef_in_module] = STATE(1111),
    [sym_end_module_statement] = STATE(851),
    [sym_interface] = STATE(1111),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6738),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(1111),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(1111),
    [sym_public_statement] = STATE(1111),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(1111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(1111),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(1111),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1111),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4825),
    [aux_sym_end_module_statement_token1] = ACTIONS(4827),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1007] = {
    [sym_preproc_include] = STATE(1112),
    [sym_preproc_def] = STATE(1112),
    [sym_preproc_function_def] = STATE(1112),
    [sym_preproc_call] = STATE(1112),
    [sym_preproc_if_in_module] = STATE(1112),
    [sym_preproc_ifdef_in_module] = STATE(1112),
    [sym_end_submodule_statement] = STATE(853),
    [sym_interface] = STATE(1112),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6743),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(1112),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(1112),
    [sym_public_statement] = STATE(1112),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(1112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(1112),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(1112),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1112),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4829),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4831),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(4403),
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_module_statement_token1] = ACTIONS(4401),
    [aux_sym_submodule_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_function_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(4479),
    [aux_sym_preproc_include_token1] = ACTIONS(4477),
    [aux_sym_preproc_def_token1] = ACTIONS(4477),
    [aux_sym_preproc_if_token1] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4477),
    [sym_preproc_directive] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token2] = ACTIONS(4477),
    [aux_sym_module_statement_token1] = ACTIONS(4477),
    [aux_sym_submodule_statement_token1] = ACTIONS(4477),
    [aux_sym_interface_statement_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4477),
    [aux_sym_function_statement_token1] = ACTIONS(4477),
    [aux_sym_language_binding_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4477),
    [aux_sym_contains_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token2] = ACTIONS(4477),
    [aux_sym_implicit_statement_token1] = ACTIONS(4477),
    [aux_sym_implicit_statement_token3] = ACTIONS(4477),
    [aux_sym_implicit_statement_token4] = ACTIONS(4477),
    [aux_sym_save_statement_token1] = ACTIONS(4477),
    [aux_sym_private_statement_token1] = ACTIONS(4477),
    [aux_sym_public_statement_token1] = ACTIONS(4477),
    [aux_sym_namelist_statement_token1] = ACTIONS(4477),
    [aux_sym_common_statement_token1] = ACTIONS(4477),
    [aux_sym_import_statement_token1] = ACTIONS(4477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4477),
    [aux_sym_variable_attributes_token1] = ACTIONS(4477),
    [aux_sym_variable_attributes_token2] = ACTIONS(4477),
    [aux_sym_variable_attributes_token3] = ACTIONS(4477),
    [aux_sym_variable_attributes_token4] = ACTIONS(4477),
    [aux_sym_variable_attributes_token5] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4477),
    [aux_sym_derived_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4477),
    [aux_sym_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [aux_sym_stop_statement_token1] = ACTIONS(4477),
    [aux_sym_stop_statement_token2] = ACTIONS(4477),
    [aux_sym_subroutine_call_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token2] = ACTIONS(4477),
    [aux_sym_keyword_statement_token3] = ACTIONS(4477),
    [aux_sym_keyword_statement_token4] = ACTIONS(4477),
    [aux_sym_keyword_statement_token6] = ACTIONS(4477),
    [aux_sym_keyword_statement_token7] = ACTIONS(4477),
    [aux_sym_include_statement_token1] = ACTIONS(4477),
    [aux_sym_data_statement_token1] = ACTIONS(4477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4477),
    [aux_sym_end_if_statement_token1] = ACTIONS(4477),
    [aux_sym_elseif_clause_token2] = ACTIONS(4477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token3] = ACTIONS(4477),
    [aux_sym_select_type_statement_token1] = ACTIONS(4477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4477),
    [aux_sym_block_construct_token1] = ACTIONS(4477),
    [aux_sym_associate_statement_token1] = ACTIONS(4477),
    [aux_sym_format_statement_token1] = ACTIONS(4477),
    [aux_sym_print_statement_token1] = ACTIONS(4477),
    [aux_sym_open_statement_token1] = ACTIONS(4477),
    [aux_sym_close_statement_token1] = ACTIONS(4477),
    [aux_sym_inquire_statement_token1] = ACTIONS(4477),
    [aux_sym_enum_statement_token1] = ACTIONS(4477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token2] = ACTIONS(4477),
    [aux_sym_file_position_statement_token3] = ACTIONS(4477),
    [aux_sym_file_position_statement_token4] = ACTIONS(4477),
    [aux_sym_allocate_statement_token1] = ACTIONS(4477),
    [aux_sym_entry_statement_token1] = ACTIONS(4477),
    [aux_sym_logical_expression_token5] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [aux_sym_boolean_literal_token1] = ACTIONS(4479),
    [aux_sym_boolean_literal_token2] = ACTIONS(4479),
    [aux_sym_null_literal_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token2] = ACTIONS(4477),
    [aux_sym_coarray_statement_token6] = ACTIONS(4477),
    [aux_sym_coarray_statement_token8] = ACTIONS(4477),
    [aux_sym_coarray_statement_token11] = ACTIONS(4477),
    [aux_sym_coarray_statement_token12] = ACTIONS(4477),
    [aux_sym_coarray_statement_token13] = ACTIONS(4477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4477),
    [aux_sym_identifier_token1] = ACTIONS(4477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4479),
    [sym__float_literal] = ACTIONS(4479),
    [sym__boz_literal] = ACTIONS(4479),
    [sym__string_literal] = ACTIONS(4479),
    [sym__string_literal_kind] = ACTIONS(4479),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(4483),
    [aux_sym_preproc_include_token1] = ACTIONS(4481),
    [aux_sym_preproc_def_token1] = ACTIONS(4481),
    [aux_sym_preproc_if_token1] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4481),
    [sym_preproc_directive] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(4481),
    [anon_sym_PLUS] = ACTIONS(4483),
    [anon_sym_DASH] = ACTIONS(4483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token2] = ACTIONS(4481),
    [aux_sym_module_statement_token1] = ACTIONS(4481),
    [aux_sym_submodule_statement_token1] = ACTIONS(4481),
    [aux_sym_interface_statement_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4481),
    [aux_sym_function_statement_token1] = ACTIONS(4481),
    [aux_sym_language_binding_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4481),
    [aux_sym_contains_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token2] = ACTIONS(4481),
    [aux_sym_implicit_statement_token1] = ACTIONS(4481),
    [aux_sym_implicit_statement_token3] = ACTIONS(4481),
    [aux_sym_implicit_statement_token4] = ACTIONS(4481),
    [aux_sym_save_statement_token1] = ACTIONS(4481),
    [aux_sym_private_statement_token1] = ACTIONS(4481),
    [aux_sym_public_statement_token1] = ACTIONS(4481),
    [aux_sym_namelist_statement_token1] = ACTIONS(4481),
    [aux_sym_common_statement_token1] = ACTIONS(4481),
    [aux_sym_import_statement_token1] = ACTIONS(4481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4481),
    [aux_sym_variable_attributes_token1] = ACTIONS(4481),
    [aux_sym_variable_attributes_token2] = ACTIONS(4481),
    [aux_sym_variable_attributes_token3] = ACTIONS(4481),
    [aux_sym_variable_attributes_token4] = ACTIONS(4481),
    [aux_sym_variable_attributes_token5] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4481),
    [aux_sym_derived_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4481),
    [aux_sym_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4481),
    [anon_sym_SEMI] = ACTIONS(4483),
    [aux_sym_stop_statement_token1] = ACTIONS(4481),
    [aux_sym_stop_statement_token2] = ACTIONS(4481),
    [aux_sym_subroutine_call_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token2] = ACTIONS(4481),
    [aux_sym_keyword_statement_token3] = ACTIONS(4481),
    [aux_sym_keyword_statement_token4] = ACTIONS(4481),
    [aux_sym_keyword_statement_token6] = ACTIONS(4481),
    [aux_sym_keyword_statement_token7] = ACTIONS(4481),
    [aux_sym_include_statement_token1] = ACTIONS(4481),
    [aux_sym_data_statement_token1] = ACTIONS(4481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4481),
    [aux_sym_end_if_statement_token1] = ACTIONS(4481),
    [aux_sym_elseif_clause_token2] = ACTIONS(4481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token3] = ACTIONS(4481),
    [aux_sym_select_type_statement_token1] = ACTIONS(4481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4481),
    [aux_sym_block_construct_token1] = ACTIONS(4481),
    [aux_sym_associate_statement_token1] = ACTIONS(4481),
    [aux_sym_format_statement_token1] = ACTIONS(4481),
    [aux_sym_print_statement_token1] = ACTIONS(4481),
    [aux_sym_open_statement_token1] = ACTIONS(4481),
    [aux_sym_close_statement_token1] = ACTIONS(4481),
    [aux_sym_inquire_statement_token1] = ACTIONS(4481),
    [aux_sym_enum_statement_token1] = ACTIONS(4481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token2] = ACTIONS(4481),
    [aux_sym_file_position_statement_token3] = ACTIONS(4481),
    [aux_sym_file_position_statement_token4] = ACTIONS(4481),
    [aux_sym_allocate_statement_token1] = ACTIONS(4481),
    [aux_sym_entry_statement_token1] = ACTIONS(4481),
    [aux_sym_logical_expression_token5] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [aux_sym_boolean_literal_token1] = ACTIONS(4483),
    [aux_sym_boolean_literal_token2] = ACTIONS(4483),
    [aux_sym_null_literal_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token2] = ACTIONS(4481),
    [aux_sym_coarray_statement_token6] = ACTIONS(4481),
    [aux_sym_coarray_statement_token8] = ACTIONS(4481),
    [aux_sym_coarray_statement_token11] = ACTIONS(4481),
    [aux_sym_coarray_statement_token12] = ACTIONS(4481),
    [aux_sym_coarray_statement_token13] = ACTIONS(4481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4481),
    [aux_sym_identifier_token1] = ACTIONS(4481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4483),
    [sym__float_literal] = ACTIONS(4483),
    [sym__boz_literal] = ACTIONS(4483),
    [sym__string_literal] = ACTIONS(4483),
    [sym__string_literal_kind] = ACTIONS(4483),
  },
  [1011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4577),
    [aux_sym_preproc_def_token1] = ACTIONS(4577),
    [aux_sym_preproc_if_token1] = ACTIONS(4577),
    [aux_sym_preproc_if_token2] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4577),
    [sym_preproc_directive] = ACTIONS(4577),
    [anon_sym_LPAREN2] = ACTIONS(4577),
    [anon_sym_PLUS] = ACTIONS(4579),
    [anon_sym_DASH] = ACTIONS(4579),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token1] = ACTIONS(4577),
    [aux_sym_end_program_statement_token2] = ACTIONS(4577),
    [aux_sym_module_statement_token1] = ACTIONS(4577),
    [aux_sym_submodule_statement_token1] = ACTIONS(4577),
    [aux_sym_interface_statement_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4577),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4577),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4577),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4577),
    [aux_sym_function_statement_token1] = ACTIONS(4577),
    [aux_sym_language_binding_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4577),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4577),
    [aux_sym_contains_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token1] = ACTIONS(4577),
    [aux_sym_use_statement_token2] = ACTIONS(4577),
    [aux_sym_implicit_statement_token1] = ACTIONS(4577),
    [aux_sym_implicit_statement_token3] = ACTIONS(4577),
    [aux_sym_implicit_statement_token4] = ACTIONS(4577),
    [aux_sym_save_statement_token1] = ACTIONS(4577),
    [aux_sym_private_statement_token1] = ACTIONS(4577),
    [aux_sym_public_statement_token1] = ACTIONS(4577),
    [aux_sym_namelist_statement_token1] = ACTIONS(4577),
    [aux_sym_common_statement_token1] = ACTIONS(4577),
    [aux_sym_import_statement_token1] = ACTIONS(4577),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4577),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4577),
    [aux_sym_variable_attributes_token1] = ACTIONS(4577),
    [aux_sym_variable_attributes_token2] = ACTIONS(4577),
    [aux_sym_variable_attributes_token3] = ACTIONS(4577),
    [aux_sym_variable_attributes_token4] = ACTIONS(4577),
    [aux_sym_variable_attributes_token5] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4577),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4577),
    [aux_sym_derived_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token1] = ACTIONS(4577),
    [aux_sym_declared_type_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4577),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4577),
    [aux_sym_type_qualifier_token1] = ACTIONS(4577),
    [aux_sym_type_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4577),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4577),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4577),
    [anon_sym_SEMI] = ACTIONS(4579),
    [aux_sym_stop_statement_token1] = ACTIONS(4577),
    [aux_sym_stop_statement_token2] = ACTIONS(4577),
    [aux_sym_subroutine_call_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token1] = ACTIONS(4577),
    [aux_sym_keyword_statement_token2] = ACTIONS(4577),
    [aux_sym_keyword_statement_token3] = ACTIONS(4577),
    [aux_sym_keyword_statement_token4] = ACTIONS(4577),
    [aux_sym_keyword_statement_token6] = ACTIONS(4577),
    [aux_sym_keyword_statement_token7] = ACTIONS(4577),
    [aux_sym_include_statement_token1] = ACTIONS(4577),
    [aux_sym_data_statement_token1] = ACTIONS(4577),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4577),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4577),
    [aux_sym_end_if_statement_token1] = ACTIONS(4577),
    [aux_sym_elseif_clause_token2] = ACTIONS(4577),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4577),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token1] = ACTIONS(4577),
    [aux_sym_select_case_statement_token3] = ACTIONS(4577),
    [aux_sym_select_type_statement_token1] = ACTIONS(4577),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4577),
    [aux_sym_block_construct_token1] = ACTIONS(4577),
    [aux_sym_associate_statement_token1] = ACTIONS(4577),
    [aux_sym_format_statement_token1] = ACTIONS(4577),
    [aux_sym_print_statement_token1] = ACTIONS(4577),
    [aux_sym_open_statement_token1] = ACTIONS(4577),
    [aux_sym_close_statement_token1] = ACTIONS(4577),
    [aux_sym_inquire_statement_token1] = ACTIONS(4577),
    [aux_sym_enum_statement_token1] = ACTIONS(4577),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token1] = ACTIONS(4577),
    [aux_sym_file_position_statement_token2] = ACTIONS(4577),
    [aux_sym_file_position_statement_token3] = ACTIONS(4577),
    [aux_sym_file_position_statement_token4] = ACTIONS(4577),
    [aux_sym_allocate_statement_token1] = ACTIONS(4577),
    [aux_sym_entry_statement_token1] = ACTIONS(4577),
    [aux_sym_logical_expression_token5] = ACTIONS(4579),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4579),
    [anon_sym_LBRACK] = ACTIONS(4579),
    [aux_sym_boolean_literal_token1] = ACTIONS(4579),
    [aux_sym_boolean_literal_token2] = ACTIONS(4579),
    [aux_sym_null_literal_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_statement_token2] = ACTIONS(4577),
    [aux_sym_coarray_statement_token6] = ACTIONS(4577),
    [aux_sym_coarray_statement_token8] = ACTIONS(4577),
    [aux_sym_coarray_statement_token11] = ACTIONS(4577),
    [aux_sym_coarray_statement_token12] = ACTIONS(4577),
    [aux_sym_coarray_statement_token13] = ACTIONS(4577),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4577),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4577),
    [aux_sym_identifier_token1] = ACTIONS(4577),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4579),
    [sym__float_literal] = ACTIONS(4579),
    [sym__boz_literal] = ACTIONS(4579),
    [sym__string_literal] = ACTIONS(4579),
    [sym__string_literal_kind] = ACTIONS(4579),
  },
  [1012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4581),
    [aux_sym_preproc_def_token1] = ACTIONS(4581),
    [aux_sym_preproc_if_token1] = ACTIONS(4581),
    [aux_sym_preproc_if_token2] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4581),
    [sym_preproc_directive] = ACTIONS(4581),
    [anon_sym_LPAREN2] = ACTIONS(4581),
    [anon_sym_PLUS] = ACTIONS(4583),
    [anon_sym_DASH] = ACTIONS(4583),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token1] = ACTIONS(4581),
    [aux_sym_end_program_statement_token2] = ACTIONS(4581),
    [aux_sym_module_statement_token1] = ACTIONS(4581),
    [aux_sym_submodule_statement_token1] = ACTIONS(4581),
    [aux_sym_interface_statement_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4581),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4581),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4581),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4581),
    [aux_sym_function_statement_token1] = ACTIONS(4581),
    [aux_sym_language_binding_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4581),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4581),
    [aux_sym_contains_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token1] = ACTIONS(4581),
    [aux_sym_use_statement_token2] = ACTIONS(4581),
    [aux_sym_implicit_statement_token1] = ACTIONS(4581),
    [aux_sym_implicit_statement_token3] = ACTIONS(4581),
    [aux_sym_implicit_statement_token4] = ACTIONS(4581),
    [aux_sym_save_statement_token1] = ACTIONS(4581),
    [aux_sym_private_statement_token1] = ACTIONS(4581),
    [aux_sym_public_statement_token1] = ACTIONS(4581),
    [aux_sym_namelist_statement_token1] = ACTIONS(4581),
    [aux_sym_common_statement_token1] = ACTIONS(4581),
    [aux_sym_import_statement_token1] = ACTIONS(4581),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4581),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4581),
    [aux_sym_variable_attributes_token1] = ACTIONS(4581),
    [aux_sym_variable_attributes_token2] = ACTIONS(4581),
    [aux_sym_variable_attributes_token3] = ACTIONS(4581),
    [aux_sym_variable_attributes_token4] = ACTIONS(4581),
    [aux_sym_variable_attributes_token5] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4581),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4581),
    [aux_sym_derived_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token1] = ACTIONS(4581),
    [aux_sym_declared_type_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4581),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4581),
    [aux_sym_type_qualifier_token1] = ACTIONS(4581),
    [aux_sym_type_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4581),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4581),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4581),
    [anon_sym_SEMI] = ACTIONS(4583),
    [aux_sym_stop_statement_token1] = ACTIONS(4581),
    [aux_sym_stop_statement_token2] = ACTIONS(4581),
    [aux_sym_subroutine_call_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token1] = ACTIONS(4581),
    [aux_sym_keyword_statement_token2] = ACTIONS(4581),
    [aux_sym_keyword_statement_token3] = ACTIONS(4581),
    [aux_sym_keyword_statement_token4] = ACTIONS(4581),
    [aux_sym_keyword_statement_token6] = ACTIONS(4581),
    [aux_sym_keyword_statement_token7] = ACTIONS(4581),
    [aux_sym_include_statement_token1] = ACTIONS(4581),
    [aux_sym_data_statement_token1] = ACTIONS(4581),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4581),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4581),
    [aux_sym_end_if_statement_token1] = ACTIONS(4581),
    [aux_sym_elseif_clause_token2] = ACTIONS(4581),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4581),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token1] = ACTIONS(4581),
    [aux_sym_select_case_statement_token3] = ACTIONS(4581),
    [aux_sym_select_type_statement_token1] = ACTIONS(4581),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4581),
    [aux_sym_block_construct_token1] = ACTIONS(4581),
    [aux_sym_associate_statement_token1] = ACTIONS(4581),
    [aux_sym_format_statement_token1] = ACTIONS(4581),
    [aux_sym_print_statement_token1] = ACTIONS(4581),
    [aux_sym_open_statement_token1] = ACTIONS(4581),
    [aux_sym_close_statement_token1] = ACTIONS(4581),
    [aux_sym_inquire_statement_token1] = ACTIONS(4581),
    [aux_sym_enum_statement_token1] = ACTIONS(4581),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token1] = ACTIONS(4581),
    [aux_sym_file_position_statement_token2] = ACTIONS(4581),
    [aux_sym_file_position_statement_token3] = ACTIONS(4581),
    [aux_sym_file_position_statement_token4] = ACTIONS(4581),
    [aux_sym_allocate_statement_token1] = ACTIONS(4581),
    [aux_sym_entry_statement_token1] = ACTIONS(4581),
    [aux_sym_logical_expression_token5] = ACTIONS(4583),
    [anon_sym_DOT] = ACTIONS(4581),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4583),
    [anon_sym_LBRACK] = ACTIONS(4583),
    [aux_sym_boolean_literal_token1] = ACTIONS(4583),
    [aux_sym_boolean_literal_token2] = ACTIONS(4583),
    [aux_sym_null_literal_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_statement_token2] = ACTIONS(4581),
    [aux_sym_coarray_statement_token6] = ACTIONS(4581),
    [aux_sym_coarray_statement_token8] = ACTIONS(4581),
    [aux_sym_coarray_statement_token11] = ACTIONS(4581),
    [aux_sym_coarray_statement_token12] = ACTIONS(4581),
    [aux_sym_coarray_statement_token13] = ACTIONS(4581),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4581),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4581),
    [aux_sym_identifier_token1] = ACTIONS(4581),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4583),
    [sym__float_literal] = ACTIONS(4583),
    [sym__boz_literal] = ACTIONS(4583),
    [sym__string_literal] = ACTIONS(4583),
    [sym__string_literal_kind] = ACTIONS(4583),
  },
  [1013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4585),
    [aux_sym_preproc_def_token1] = ACTIONS(4585),
    [aux_sym_preproc_if_token1] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4585),
    [sym_preproc_directive] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token1] = ACTIONS(4585),
    [aux_sym_end_program_statement_token2] = ACTIONS(4585),
    [aux_sym_module_statement_token1] = ACTIONS(4585),
    [aux_sym_submodule_statement_token1] = ACTIONS(4585),
    [aux_sym_interface_statement_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4585),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4585),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4585),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4585),
    [aux_sym_function_statement_token1] = ACTIONS(4585),
    [aux_sym_language_binding_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4585),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4585),
    [aux_sym_contains_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token1] = ACTIONS(4585),
    [aux_sym_use_statement_token2] = ACTIONS(4585),
    [aux_sym_implicit_statement_token1] = ACTIONS(4585),
    [aux_sym_implicit_statement_token3] = ACTIONS(4585),
    [aux_sym_implicit_statement_token4] = ACTIONS(4585),
    [aux_sym_save_statement_token1] = ACTIONS(4585),
    [aux_sym_private_statement_token1] = ACTIONS(4585),
    [aux_sym_public_statement_token1] = ACTIONS(4585),
    [aux_sym_namelist_statement_token1] = ACTIONS(4585),
    [aux_sym_common_statement_token1] = ACTIONS(4585),
    [aux_sym_import_statement_token1] = ACTIONS(4585),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4585),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4585),
    [aux_sym_variable_attributes_token1] = ACTIONS(4585),
    [aux_sym_variable_attributes_token2] = ACTIONS(4585),
    [aux_sym_variable_attributes_token3] = ACTIONS(4585),
    [aux_sym_variable_attributes_token4] = ACTIONS(4585),
    [aux_sym_variable_attributes_token5] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4585),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4585),
    [aux_sym_derived_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token1] = ACTIONS(4585),
    [aux_sym_declared_type_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4585),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4585),
    [aux_sym_type_qualifier_token1] = ACTIONS(4585),
    [aux_sym_type_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4585),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4585),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4585),
    [anon_sym_SEMI] = ACTIONS(4587),
    [aux_sym_stop_statement_token1] = ACTIONS(4585),
    [aux_sym_stop_statement_token2] = ACTIONS(4585),
    [aux_sym_subroutine_call_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token1] = ACTIONS(4585),
    [aux_sym_keyword_statement_token2] = ACTIONS(4585),
    [aux_sym_keyword_statement_token3] = ACTIONS(4585),
    [aux_sym_keyword_statement_token4] = ACTIONS(4585),
    [aux_sym_keyword_statement_token6] = ACTIONS(4585),
    [aux_sym_keyword_statement_token7] = ACTIONS(4585),
    [aux_sym_include_statement_token1] = ACTIONS(4585),
    [aux_sym_data_statement_token1] = ACTIONS(4585),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4585),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4585),
    [aux_sym_end_if_statement_token1] = ACTIONS(4585),
    [aux_sym_elseif_clause_token2] = ACTIONS(4585),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4585),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token1] = ACTIONS(4585),
    [aux_sym_select_case_statement_token3] = ACTIONS(4585),
    [aux_sym_select_type_statement_token1] = ACTIONS(4585),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4585),
    [aux_sym_block_construct_token1] = ACTIONS(4585),
    [aux_sym_associate_statement_token1] = ACTIONS(4585),
    [aux_sym_format_statement_token1] = ACTIONS(4585),
    [aux_sym_print_statement_token1] = ACTIONS(4585),
    [aux_sym_open_statement_token1] = ACTIONS(4585),
    [aux_sym_close_statement_token1] = ACTIONS(4585),
    [aux_sym_inquire_statement_token1] = ACTIONS(4585),
    [aux_sym_enum_statement_token1] = ACTIONS(4585),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token1] = ACTIONS(4585),
    [aux_sym_file_position_statement_token2] = ACTIONS(4585),
    [aux_sym_file_position_statement_token3] = ACTIONS(4585),
    [aux_sym_file_position_statement_token4] = ACTIONS(4585),
    [aux_sym_allocate_statement_token1] = ACTIONS(4585),
    [aux_sym_entry_statement_token1] = ACTIONS(4585),
    [aux_sym_logical_expression_token5] = ACTIONS(4587),
    [anon_sym_DOT] = ACTIONS(4585),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4587),
    [anon_sym_LBRACK] = ACTIONS(4587),
    [aux_sym_boolean_literal_token1] = ACTIONS(4587),
    [aux_sym_boolean_literal_token2] = ACTIONS(4587),
    [aux_sym_null_literal_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_statement_token2] = ACTIONS(4585),
    [aux_sym_coarray_statement_token6] = ACTIONS(4585),
    [aux_sym_coarray_statement_token8] = ACTIONS(4585),
    [aux_sym_coarray_statement_token11] = ACTIONS(4585),
    [aux_sym_coarray_statement_token12] = ACTIONS(4585),
    [aux_sym_coarray_statement_token13] = ACTIONS(4585),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4585),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4585),
    [aux_sym_identifier_token1] = ACTIONS(4585),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4587),
    [sym__float_literal] = ACTIONS(4587),
    [sym__boz_literal] = ACTIONS(4587),
    [sym__string_literal] = ACTIONS(4587),
    [sym__string_literal_kind] = ACTIONS(4587),
  },
  [1014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4589),
    [aux_sym_preproc_def_token1] = ACTIONS(4589),
    [aux_sym_preproc_if_token1] = ACTIONS(4589),
    [aux_sym_preproc_if_token2] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4589),
    [sym_preproc_directive] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(4589),
    [anon_sym_PLUS] = ACTIONS(4591),
    [anon_sym_DASH] = ACTIONS(4591),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token1] = ACTIONS(4589),
    [aux_sym_end_program_statement_token2] = ACTIONS(4589),
    [aux_sym_module_statement_token1] = ACTIONS(4589),
    [aux_sym_submodule_statement_token1] = ACTIONS(4589),
    [aux_sym_interface_statement_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4589),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4589),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4589),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4589),
    [aux_sym_function_statement_token1] = ACTIONS(4589),
    [aux_sym_language_binding_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4589),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4589),
    [aux_sym_contains_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token1] = ACTIONS(4589),
    [aux_sym_use_statement_token2] = ACTIONS(4589),
    [aux_sym_implicit_statement_token1] = ACTIONS(4589),
    [aux_sym_implicit_statement_token3] = ACTIONS(4589),
    [aux_sym_implicit_statement_token4] = ACTIONS(4589),
    [aux_sym_save_statement_token1] = ACTIONS(4589),
    [aux_sym_private_statement_token1] = ACTIONS(4589),
    [aux_sym_public_statement_token1] = ACTIONS(4589),
    [aux_sym_namelist_statement_token1] = ACTIONS(4589),
    [aux_sym_common_statement_token1] = ACTIONS(4589),
    [aux_sym_import_statement_token1] = ACTIONS(4589),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4589),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4589),
    [aux_sym_variable_attributes_token1] = ACTIONS(4589),
    [aux_sym_variable_attributes_token2] = ACTIONS(4589),
    [aux_sym_variable_attributes_token3] = ACTIONS(4589),
    [aux_sym_variable_attributes_token4] = ACTIONS(4589),
    [aux_sym_variable_attributes_token5] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4589),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4589),
    [aux_sym_derived_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token1] = ACTIONS(4589),
    [aux_sym_declared_type_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4589),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4589),
    [aux_sym_type_qualifier_token1] = ACTIONS(4589),
    [aux_sym_type_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4589),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4589),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4589),
    [anon_sym_SEMI] = ACTIONS(4591),
    [aux_sym_stop_statement_token1] = ACTIONS(4589),
    [aux_sym_stop_statement_token2] = ACTIONS(4589),
    [aux_sym_subroutine_call_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token1] = ACTIONS(4589),
    [aux_sym_keyword_statement_token2] = ACTIONS(4589),
    [aux_sym_keyword_statement_token3] = ACTIONS(4589),
    [aux_sym_keyword_statement_token4] = ACTIONS(4589),
    [aux_sym_keyword_statement_token6] = ACTIONS(4589),
    [aux_sym_keyword_statement_token7] = ACTIONS(4589),
    [aux_sym_include_statement_token1] = ACTIONS(4589),
    [aux_sym_data_statement_token1] = ACTIONS(4589),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4589),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4589),
    [aux_sym_end_if_statement_token1] = ACTIONS(4589),
    [aux_sym_elseif_clause_token2] = ACTIONS(4589),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4589),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token1] = ACTIONS(4589),
    [aux_sym_select_case_statement_token3] = ACTIONS(4589),
    [aux_sym_select_type_statement_token1] = ACTIONS(4589),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4589),
    [aux_sym_block_construct_token1] = ACTIONS(4589),
    [aux_sym_associate_statement_token1] = ACTIONS(4589),
    [aux_sym_format_statement_token1] = ACTIONS(4589),
    [aux_sym_print_statement_token1] = ACTIONS(4589),
    [aux_sym_open_statement_token1] = ACTIONS(4589),
    [aux_sym_close_statement_token1] = ACTIONS(4589),
    [aux_sym_inquire_statement_token1] = ACTIONS(4589),
    [aux_sym_enum_statement_token1] = ACTIONS(4589),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token1] = ACTIONS(4589),
    [aux_sym_file_position_statement_token2] = ACTIONS(4589),
    [aux_sym_file_position_statement_token3] = ACTIONS(4589),
    [aux_sym_file_position_statement_token4] = ACTIONS(4589),
    [aux_sym_allocate_statement_token1] = ACTIONS(4589),
    [aux_sym_entry_statement_token1] = ACTIONS(4589),
    [aux_sym_logical_expression_token5] = ACTIONS(4591),
    [anon_sym_DOT] = ACTIONS(4589),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4591),
    [anon_sym_LBRACK] = ACTIONS(4591),
    [aux_sym_boolean_literal_token1] = ACTIONS(4591),
    [aux_sym_boolean_literal_token2] = ACTIONS(4591),
    [aux_sym_null_literal_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_statement_token2] = ACTIONS(4589),
    [aux_sym_coarray_statement_token6] = ACTIONS(4589),
    [aux_sym_coarray_statement_token8] = ACTIONS(4589),
    [aux_sym_coarray_statement_token11] = ACTIONS(4589),
    [aux_sym_coarray_statement_token12] = ACTIONS(4589),
    [aux_sym_coarray_statement_token13] = ACTIONS(4589),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4589),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4589),
    [aux_sym_identifier_token1] = ACTIONS(4589),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4591),
    [sym__float_literal] = ACTIONS(4591),
    [sym__boz_literal] = ACTIONS(4591),
    [sym__string_literal] = ACTIONS(4591),
    [sym__string_literal_kind] = ACTIONS(4591),
  },
  [1015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4397),
    [aux_sym_preproc_def_token1] = ACTIONS(4397),
    [aux_sym_preproc_if_token1] = ACTIONS(4397),
    [aux_sym_preproc_if_token2] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4397),
    [sym_preproc_directive] = ACTIONS(4397),
    [anon_sym_LPAREN2] = ACTIONS(4397),
    [anon_sym_PLUS] = ACTIONS(4399),
    [anon_sym_DASH] = ACTIONS(4399),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token1] = ACTIONS(4397),
    [aux_sym_end_program_statement_token2] = ACTIONS(4397),
    [aux_sym_module_statement_token1] = ACTIONS(4397),
    [aux_sym_submodule_statement_token1] = ACTIONS(4397),
    [aux_sym_interface_statement_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4397),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4397),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4397),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4397),
    [aux_sym_function_statement_token1] = ACTIONS(4397),
    [aux_sym_language_binding_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4397),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4397),
    [aux_sym_contains_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token1] = ACTIONS(4397),
    [aux_sym_use_statement_token2] = ACTIONS(4397),
    [aux_sym_implicit_statement_token1] = ACTIONS(4397),
    [aux_sym_implicit_statement_token3] = ACTIONS(4397),
    [aux_sym_implicit_statement_token4] = ACTIONS(4397),
    [aux_sym_save_statement_token1] = ACTIONS(4397),
    [aux_sym_private_statement_token1] = ACTIONS(4397),
    [aux_sym_public_statement_token1] = ACTIONS(4397),
    [aux_sym_namelist_statement_token1] = ACTIONS(4397),
    [aux_sym_common_statement_token1] = ACTIONS(4397),
    [aux_sym_import_statement_token1] = ACTIONS(4397),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4397),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4397),
    [aux_sym_variable_attributes_token1] = ACTIONS(4397),
    [aux_sym_variable_attributes_token2] = ACTIONS(4397),
    [aux_sym_variable_attributes_token3] = ACTIONS(4397),
    [aux_sym_variable_attributes_token4] = ACTIONS(4397),
    [aux_sym_variable_attributes_token5] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4397),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4397),
    [aux_sym_derived_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token1] = ACTIONS(4397),
    [aux_sym_declared_type_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4397),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4397),
    [aux_sym_type_qualifier_token1] = ACTIONS(4397),
    [aux_sym_type_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4397),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4397),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4397),
    [anon_sym_SEMI] = ACTIONS(4399),
    [aux_sym_stop_statement_token1] = ACTIONS(4397),
    [aux_sym_stop_statement_token2] = ACTIONS(4397),
    [aux_sym_subroutine_call_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token1] = ACTIONS(4397),
    [aux_sym_keyword_statement_token2] = ACTIONS(4397),
    [aux_sym_keyword_statement_token3] = ACTIONS(4397),
    [aux_sym_keyword_statement_token4] = ACTIONS(4397),
    [aux_sym_keyword_statement_token6] = ACTIONS(4397),
    [aux_sym_keyword_statement_token7] = ACTIONS(4397),
    [aux_sym_include_statement_token1] = ACTIONS(4397),
    [aux_sym_data_statement_token1] = ACTIONS(4397),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4397),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4397),
    [aux_sym_end_if_statement_token1] = ACTIONS(4397),
    [aux_sym_elseif_clause_token2] = ACTIONS(4397),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4397),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token1] = ACTIONS(4397),
    [aux_sym_select_case_statement_token3] = ACTIONS(4397),
    [aux_sym_select_type_statement_token1] = ACTIONS(4397),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4397),
    [aux_sym_block_construct_token1] = ACTIONS(4397),
    [aux_sym_associate_statement_token1] = ACTIONS(4397),
    [aux_sym_format_statement_token1] = ACTIONS(4397),
    [aux_sym_print_statement_token1] = ACTIONS(4397),
    [aux_sym_open_statement_token1] = ACTIONS(4397),
    [aux_sym_close_statement_token1] = ACTIONS(4397),
    [aux_sym_inquire_statement_token1] = ACTIONS(4397),
    [aux_sym_enum_statement_token1] = ACTIONS(4397),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token1] = ACTIONS(4397),
    [aux_sym_file_position_statement_token2] = ACTIONS(4397),
    [aux_sym_file_position_statement_token3] = ACTIONS(4397),
    [aux_sym_file_position_statement_token4] = ACTIONS(4397),
    [aux_sym_allocate_statement_token1] = ACTIONS(4397),
    [aux_sym_entry_statement_token1] = ACTIONS(4397),
    [aux_sym_logical_expression_token5] = ACTIONS(4399),
    [anon_sym_DOT] = ACTIONS(4397),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4399),
    [anon_sym_LBRACK] = ACTIONS(4399),
    [aux_sym_boolean_literal_token1] = ACTIONS(4399),
    [aux_sym_boolean_literal_token2] = ACTIONS(4399),
    [aux_sym_null_literal_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_statement_token2] = ACTIONS(4397),
    [aux_sym_coarray_statement_token6] = ACTIONS(4397),
    [aux_sym_coarray_statement_token8] = ACTIONS(4397),
    [aux_sym_coarray_statement_token11] = ACTIONS(4397),
    [aux_sym_coarray_statement_token12] = ACTIONS(4397),
    [aux_sym_coarray_statement_token13] = ACTIONS(4397),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4397),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4397),
    [aux_sym_identifier_token1] = ACTIONS(4397),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4399),
    [sym__float_literal] = ACTIONS(4399),
    [sym__boz_literal] = ACTIONS(4399),
    [sym__string_literal] = ACTIONS(4399),
    [sym__string_literal_kind] = ACTIONS(4399),
  },
  [1016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4593),
    [aux_sym_preproc_def_token1] = ACTIONS(4593),
    [aux_sym_preproc_if_token1] = ACTIONS(4593),
    [aux_sym_preproc_if_token2] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4593),
    [sym_preproc_directive] = ACTIONS(4593),
    [anon_sym_LPAREN2] = ACTIONS(4593),
    [anon_sym_PLUS] = ACTIONS(4595),
    [anon_sym_DASH] = ACTIONS(4595),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token1] = ACTIONS(4593),
    [aux_sym_end_program_statement_token2] = ACTIONS(4593),
    [aux_sym_module_statement_token1] = ACTIONS(4593),
    [aux_sym_submodule_statement_token1] = ACTIONS(4593),
    [aux_sym_interface_statement_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4593),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4593),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4593),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4593),
    [aux_sym_function_statement_token1] = ACTIONS(4593),
    [aux_sym_language_binding_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4593),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4593),
    [aux_sym_contains_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token1] = ACTIONS(4593),
    [aux_sym_use_statement_token2] = ACTIONS(4593),
    [aux_sym_implicit_statement_token1] = ACTIONS(4593),
    [aux_sym_implicit_statement_token3] = ACTIONS(4593),
    [aux_sym_implicit_statement_token4] = ACTIONS(4593),
    [aux_sym_save_statement_token1] = ACTIONS(4593),
    [aux_sym_private_statement_token1] = ACTIONS(4593),
    [aux_sym_public_statement_token1] = ACTIONS(4593),
    [aux_sym_namelist_statement_token1] = ACTIONS(4593),
    [aux_sym_common_statement_token1] = ACTIONS(4593),
    [aux_sym_import_statement_token1] = ACTIONS(4593),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4593),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4593),
    [aux_sym_variable_attributes_token1] = ACTIONS(4593),
    [aux_sym_variable_attributes_token2] = ACTIONS(4593),
    [aux_sym_variable_attributes_token3] = ACTIONS(4593),
    [aux_sym_variable_attributes_token4] = ACTIONS(4593),
    [aux_sym_variable_attributes_token5] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4593),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4593),
    [aux_sym_derived_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token1] = ACTIONS(4593),
    [aux_sym_declared_type_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4593),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4593),
    [aux_sym_type_qualifier_token1] = ACTIONS(4593),
    [aux_sym_type_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4593),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4593),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4593),
    [anon_sym_SEMI] = ACTIONS(4595),
    [aux_sym_stop_statement_token1] = ACTIONS(4593),
    [aux_sym_stop_statement_token2] = ACTIONS(4593),
    [aux_sym_subroutine_call_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token1] = ACTIONS(4593),
    [aux_sym_keyword_statement_token2] = ACTIONS(4593),
    [aux_sym_keyword_statement_token3] = ACTIONS(4593),
    [aux_sym_keyword_statement_token4] = ACTIONS(4593),
    [aux_sym_keyword_statement_token6] = ACTIONS(4593),
    [aux_sym_keyword_statement_token7] = ACTIONS(4593),
    [aux_sym_include_statement_token1] = ACTIONS(4593),
    [aux_sym_data_statement_token1] = ACTIONS(4593),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4593),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4593),
    [aux_sym_end_if_statement_token1] = ACTIONS(4593),
    [aux_sym_elseif_clause_token2] = ACTIONS(4593),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4593),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token1] = ACTIONS(4593),
    [aux_sym_select_case_statement_token3] = ACTIONS(4593),
    [aux_sym_select_type_statement_token1] = ACTIONS(4593),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4593),
    [aux_sym_block_construct_token1] = ACTIONS(4593),
    [aux_sym_associate_statement_token1] = ACTIONS(4593),
    [aux_sym_format_statement_token1] = ACTIONS(4593),
    [aux_sym_print_statement_token1] = ACTIONS(4593),
    [aux_sym_open_statement_token1] = ACTIONS(4593),
    [aux_sym_close_statement_token1] = ACTIONS(4593),
    [aux_sym_inquire_statement_token1] = ACTIONS(4593),
    [aux_sym_enum_statement_token1] = ACTIONS(4593),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token1] = ACTIONS(4593),
    [aux_sym_file_position_statement_token2] = ACTIONS(4593),
    [aux_sym_file_position_statement_token3] = ACTIONS(4593),
    [aux_sym_file_position_statement_token4] = ACTIONS(4593),
    [aux_sym_allocate_statement_token1] = ACTIONS(4593),
    [aux_sym_entry_statement_token1] = ACTIONS(4593),
    [aux_sym_logical_expression_token5] = ACTIONS(4595),
    [anon_sym_DOT] = ACTIONS(4593),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4595),
    [anon_sym_LBRACK] = ACTIONS(4595),
    [aux_sym_boolean_literal_token1] = ACTIONS(4595),
    [aux_sym_boolean_literal_token2] = ACTIONS(4595),
    [aux_sym_null_literal_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_statement_token2] = ACTIONS(4593),
    [aux_sym_coarray_statement_token6] = ACTIONS(4593),
    [aux_sym_coarray_statement_token8] = ACTIONS(4593),
    [aux_sym_coarray_statement_token11] = ACTIONS(4593),
    [aux_sym_coarray_statement_token12] = ACTIONS(4593),
    [aux_sym_coarray_statement_token13] = ACTIONS(4593),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4593),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4593),
    [aux_sym_identifier_token1] = ACTIONS(4593),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4595),
    [sym__float_literal] = ACTIONS(4595),
    [sym__boz_literal] = ACTIONS(4595),
    [sym__string_literal] = ACTIONS(4595),
    [sym__string_literal_kind] = ACTIONS(4595),
  },
  [1017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(4487),
    [aux_sym_preproc_include_token1] = ACTIONS(4485),
    [aux_sym_preproc_def_token1] = ACTIONS(4485),
    [aux_sym_preproc_if_token1] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4485),
    [sym_preproc_directive] = ACTIONS(4485),
    [anon_sym_LPAREN2] = ACTIONS(4485),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token2] = ACTIONS(4485),
    [aux_sym_module_statement_token1] = ACTIONS(4485),
    [aux_sym_submodule_statement_token1] = ACTIONS(4485),
    [aux_sym_interface_statement_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4485),
    [aux_sym_function_statement_token1] = ACTIONS(4485),
    [aux_sym_language_binding_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4485),
    [aux_sym_contains_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token2] = ACTIONS(4485),
    [aux_sym_implicit_statement_token1] = ACTIONS(4485),
    [aux_sym_implicit_statement_token3] = ACTIONS(4485),
    [aux_sym_implicit_statement_token4] = ACTIONS(4485),
    [aux_sym_save_statement_token1] = ACTIONS(4485),
    [aux_sym_private_statement_token1] = ACTIONS(4485),
    [aux_sym_public_statement_token1] = ACTIONS(4485),
    [aux_sym_namelist_statement_token1] = ACTIONS(4485),
    [aux_sym_common_statement_token1] = ACTIONS(4485),
    [aux_sym_import_statement_token1] = ACTIONS(4485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4485),
    [aux_sym_variable_attributes_token1] = ACTIONS(4485),
    [aux_sym_variable_attributes_token2] = ACTIONS(4485),
    [aux_sym_variable_attributes_token3] = ACTIONS(4485),
    [aux_sym_variable_attributes_token4] = ACTIONS(4485),
    [aux_sym_variable_attributes_token5] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4485),
    [aux_sym_derived_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4485),
    [aux_sym_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4485),
    [anon_sym_SEMI] = ACTIONS(4487),
    [aux_sym_stop_statement_token1] = ACTIONS(4485),
    [aux_sym_stop_statement_token2] = ACTIONS(4485),
    [aux_sym_subroutine_call_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token2] = ACTIONS(4485),
    [aux_sym_keyword_statement_token3] = ACTIONS(4485),
    [aux_sym_keyword_statement_token4] = ACTIONS(4485),
    [aux_sym_keyword_statement_token6] = ACTIONS(4485),
    [aux_sym_keyword_statement_token7] = ACTIONS(4485),
    [aux_sym_include_statement_token1] = ACTIONS(4485),
    [aux_sym_data_statement_token1] = ACTIONS(4485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4485),
    [aux_sym_end_if_statement_token1] = ACTIONS(4485),
    [aux_sym_elseif_clause_token2] = ACTIONS(4485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token3] = ACTIONS(4485),
    [aux_sym_select_type_statement_token1] = ACTIONS(4485),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4485),
    [aux_sym_block_construct_token1] = ACTIONS(4485),
    [aux_sym_associate_statement_token1] = ACTIONS(4485),
    [aux_sym_format_statement_token1] = ACTIONS(4485),
    [aux_sym_print_statement_token1] = ACTIONS(4485),
    [aux_sym_open_statement_token1] = ACTIONS(4485),
    [aux_sym_close_statement_token1] = ACTIONS(4485),
    [aux_sym_inquire_statement_token1] = ACTIONS(4485),
    [aux_sym_enum_statement_token1] = ACTIONS(4485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token2] = ACTIONS(4485),
    [aux_sym_file_position_statement_token3] = ACTIONS(4485),
    [aux_sym_file_position_statement_token4] = ACTIONS(4485),
    [aux_sym_allocate_statement_token1] = ACTIONS(4485),
    [aux_sym_entry_statement_token1] = ACTIONS(4485),
    [aux_sym_logical_expression_token5] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [aux_sym_boolean_literal_token1] = ACTIONS(4487),
    [aux_sym_boolean_literal_token2] = ACTIONS(4487),
    [aux_sym_null_literal_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token2] = ACTIONS(4485),
    [aux_sym_coarray_statement_token6] = ACTIONS(4485),
    [aux_sym_coarray_statement_token8] = ACTIONS(4485),
    [aux_sym_coarray_statement_token11] = ACTIONS(4485),
    [aux_sym_coarray_statement_token12] = ACTIONS(4485),
    [aux_sym_coarray_statement_token13] = ACTIONS(4485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4485),
    [aux_sym_identifier_token1] = ACTIONS(4485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4487),
    [sym__float_literal] = ACTIONS(4487),
    [sym__boz_literal] = ACTIONS(4487),
    [sym__string_literal] = ACTIONS(4487),
    [sym__string_literal_kind] = ACTIONS(4487),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(4491),
    [aux_sym_preproc_include_token1] = ACTIONS(4489),
    [aux_sym_preproc_def_token1] = ACTIONS(4489),
    [aux_sym_preproc_if_token1] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4489),
    [sym_preproc_directive] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token2] = ACTIONS(4489),
    [aux_sym_module_statement_token1] = ACTIONS(4489),
    [aux_sym_submodule_statement_token1] = ACTIONS(4489),
    [aux_sym_interface_statement_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4489),
    [aux_sym_function_statement_token1] = ACTIONS(4489),
    [aux_sym_language_binding_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4489),
    [aux_sym_contains_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token2] = ACTIONS(4489),
    [aux_sym_implicit_statement_token1] = ACTIONS(4489),
    [aux_sym_implicit_statement_token3] = ACTIONS(4489),
    [aux_sym_implicit_statement_token4] = ACTIONS(4489),
    [aux_sym_save_statement_token1] = ACTIONS(4489),
    [aux_sym_private_statement_token1] = ACTIONS(4489),
    [aux_sym_public_statement_token1] = ACTIONS(4489),
    [aux_sym_namelist_statement_token1] = ACTIONS(4489),
    [aux_sym_common_statement_token1] = ACTIONS(4489),
    [aux_sym_import_statement_token1] = ACTIONS(4489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4489),
    [aux_sym_variable_attributes_token1] = ACTIONS(4489),
    [aux_sym_variable_attributes_token2] = ACTIONS(4489),
    [aux_sym_variable_attributes_token3] = ACTIONS(4489),
    [aux_sym_variable_attributes_token4] = ACTIONS(4489),
    [aux_sym_variable_attributes_token5] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4489),
    [aux_sym_derived_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4489),
    [aux_sym_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4489),
    [anon_sym_SEMI] = ACTIONS(4491),
    [aux_sym_stop_statement_token1] = ACTIONS(4489),
    [aux_sym_stop_statement_token2] = ACTIONS(4489),
    [aux_sym_subroutine_call_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token2] = ACTIONS(4489),
    [aux_sym_keyword_statement_token3] = ACTIONS(4489),
    [aux_sym_keyword_statement_token4] = ACTIONS(4489),
    [aux_sym_keyword_statement_token6] = ACTIONS(4489),
    [aux_sym_keyword_statement_token7] = ACTIONS(4489),
    [aux_sym_include_statement_token1] = ACTIONS(4489),
    [aux_sym_data_statement_token1] = ACTIONS(4489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4489),
    [aux_sym_end_if_statement_token1] = ACTIONS(4489),
    [aux_sym_elseif_clause_token2] = ACTIONS(4489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token3] = ACTIONS(4489),
    [aux_sym_select_type_statement_token1] = ACTIONS(4489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4489),
    [aux_sym_block_construct_token1] = ACTIONS(4489),
    [aux_sym_associate_statement_token1] = ACTIONS(4489),
    [aux_sym_format_statement_token1] = ACTIONS(4489),
    [aux_sym_print_statement_token1] = ACTIONS(4489),
    [aux_sym_open_statement_token1] = ACTIONS(4489),
    [aux_sym_close_statement_token1] = ACTIONS(4489),
    [aux_sym_inquire_statement_token1] = ACTIONS(4489),
    [aux_sym_enum_statement_token1] = ACTIONS(4489),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token2] = ACTIONS(4489),
    [aux_sym_file_position_statement_token3] = ACTIONS(4489),
    [aux_sym_file_position_statement_token4] = ACTIONS(4489),
    [aux_sym_allocate_statement_token1] = ACTIONS(4489),
    [aux_sym_entry_statement_token1] = ACTIONS(4489),
    [aux_sym_logical_expression_token5] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [aux_sym_boolean_literal_token1] = ACTIONS(4491),
    [aux_sym_boolean_literal_token2] = ACTIONS(4491),
    [aux_sym_null_literal_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token2] = ACTIONS(4489),
    [aux_sym_coarray_statement_token6] = ACTIONS(4489),
    [aux_sym_coarray_statement_token8] = ACTIONS(4489),
    [aux_sym_coarray_statement_token11] = ACTIONS(4489),
    [aux_sym_coarray_statement_token12] = ACTIONS(4489),
    [aux_sym_coarray_statement_token13] = ACTIONS(4489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4489),
    [aux_sym_identifier_token1] = ACTIONS(4489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4491),
    [sym__float_literal] = ACTIONS(4491),
    [sym__boz_literal] = ACTIONS(4491),
    [sym__string_literal] = ACTIONS(4491),
    [sym__string_literal_kind] = ACTIONS(4491),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(4495),
    [aux_sym_preproc_include_token1] = ACTIONS(4493),
    [aux_sym_preproc_def_token1] = ACTIONS(4493),
    [aux_sym_preproc_if_token1] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4493),
    [sym_preproc_directive] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token2] = ACTIONS(4493),
    [aux_sym_module_statement_token1] = ACTIONS(4493),
    [aux_sym_submodule_statement_token1] = ACTIONS(4493),
    [aux_sym_interface_statement_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4493),
    [aux_sym_function_statement_token1] = ACTIONS(4493),
    [aux_sym_language_binding_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4493),
    [aux_sym_contains_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token2] = ACTIONS(4493),
    [aux_sym_implicit_statement_token1] = ACTIONS(4493),
    [aux_sym_implicit_statement_token3] = ACTIONS(4493),
    [aux_sym_implicit_statement_token4] = ACTIONS(4493),
    [aux_sym_save_statement_token1] = ACTIONS(4493),
    [aux_sym_private_statement_token1] = ACTIONS(4493),
    [aux_sym_public_statement_token1] = ACTIONS(4493),
    [aux_sym_namelist_statement_token1] = ACTIONS(4493),
    [aux_sym_common_statement_token1] = ACTIONS(4493),
    [aux_sym_import_statement_token1] = ACTIONS(4493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4493),
    [aux_sym_variable_attributes_token1] = ACTIONS(4493),
    [aux_sym_variable_attributes_token2] = ACTIONS(4493),
    [aux_sym_variable_attributes_token3] = ACTIONS(4493),
    [aux_sym_variable_attributes_token4] = ACTIONS(4493),
    [aux_sym_variable_attributes_token5] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4493),
    [aux_sym_derived_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4493),
    [aux_sym_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4495),
    [aux_sym_stop_statement_token1] = ACTIONS(4493),
    [aux_sym_stop_statement_token2] = ACTIONS(4493),
    [aux_sym_subroutine_call_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token2] = ACTIONS(4493),
    [aux_sym_keyword_statement_token3] = ACTIONS(4493),
    [aux_sym_keyword_statement_token4] = ACTIONS(4493),
    [aux_sym_keyword_statement_token6] = ACTIONS(4493),
    [aux_sym_keyword_statement_token7] = ACTIONS(4493),
    [aux_sym_include_statement_token1] = ACTIONS(4493),
    [aux_sym_data_statement_token1] = ACTIONS(4493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4493),
    [aux_sym_end_if_statement_token1] = ACTIONS(4493),
    [aux_sym_elseif_clause_token2] = ACTIONS(4493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token3] = ACTIONS(4493),
    [aux_sym_select_type_statement_token1] = ACTIONS(4493),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4493),
    [aux_sym_block_construct_token1] = ACTIONS(4493),
    [aux_sym_associate_statement_token1] = ACTIONS(4493),
    [aux_sym_format_statement_token1] = ACTIONS(4493),
    [aux_sym_print_statement_token1] = ACTIONS(4493),
    [aux_sym_open_statement_token1] = ACTIONS(4493),
    [aux_sym_close_statement_token1] = ACTIONS(4493),
    [aux_sym_inquire_statement_token1] = ACTIONS(4493),
    [aux_sym_enum_statement_token1] = ACTIONS(4493),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token2] = ACTIONS(4493),
    [aux_sym_file_position_statement_token3] = ACTIONS(4493),
    [aux_sym_file_position_statement_token4] = ACTIONS(4493),
    [aux_sym_allocate_statement_token1] = ACTIONS(4493),
    [aux_sym_entry_statement_token1] = ACTIONS(4493),
    [aux_sym_logical_expression_token5] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [aux_sym_boolean_literal_token1] = ACTIONS(4495),
    [aux_sym_boolean_literal_token2] = ACTIONS(4495),
    [aux_sym_null_literal_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token2] = ACTIONS(4493),
    [aux_sym_coarray_statement_token6] = ACTIONS(4493),
    [aux_sym_coarray_statement_token8] = ACTIONS(4493),
    [aux_sym_coarray_statement_token11] = ACTIONS(4493),
    [aux_sym_coarray_statement_token12] = ACTIONS(4493),
    [aux_sym_coarray_statement_token13] = ACTIONS(4493),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4493),
    [aux_sym_identifier_token1] = ACTIONS(4493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4495),
    [sym__float_literal] = ACTIONS(4495),
    [sym__boz_literal] = ACTIONS(4495),
    [sym__string_literal] = ACTIONS(4495),
    [sym__string_literal_kind] = ACTIONS(4495),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(4615),
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token2] = ACTIONS(4613),
    [aux_sym_module_statement_token1] = ACTIONS(4613),
    [aux_sym_submodule_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_function_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4597),
    [aux_sym_preproc_def_token1] = ACTIONS(4597),
    [aux_sym_preproc_if_token1] = ACTIONS(4597),
    [aux_sym_preproc_if_token2] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4597),
    [sym_preproc_directive] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_PLUS] = ACTIONS(4599),
    [anon_sym_DASH] = ACTIONS(4599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token2] = ACTIONS(4597),
    [aux_sym_module_statement_token1] = ACTIONS(4597),
    [aux_sym_submodule_statement_token1] = ACTIONS(4597),
    [aux_sym_interface_statement_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4597),
    [aux_sym_function_statement_token1] = ACTIONS(4597),
    [aux_sym_language_binding_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4597),
    [aux_sym_contains_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token2] = ACTIONS(4597),
    [aux_sym_implicit_statement_token1] = ACTIONS(4597),
    [aux_sym_implicit_statement_token3] = ACTIONS(4597),
    [aux_sym_implicit_statement_token4] = ACTIONS(4597),
    [aux_sym_save_statement_token1] = ACTIONS(4597),
    [aux_sym_private_statement_token1] = ACTIONS(4597),
    [aux_sym_public_statement_token1] = ACTIONS(4597),
    [aux_sym_namelist_statement_token1] = ACTIONS(4597),
    [aux_sym_common_statement_token1] = ACTIONS(4597),
    [aux_sym_import_statement_token1] = ACTIONS(4597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4597),
    [aux_sym_variable_attributes_token1] = ACTIONS(4597),
    [aux_sym_variable_attributes_token2] = ACTIONS(4597),
    [aux_sym_variable_attributes_token3] = ACTIONS(4597),
    [aux_sym_variable_attributes_token4] = ACTIONS(4597),
    [aux_sym_variable_attributes_token5] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4597),
    [aux_sym_derived_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4597),
    [aux_sym_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4597),
    [anon_sym_SEMI] = ACTIONS(4599),
    [aux_sym_stop_statement_token1] = ACTIONS(4597),
    [aux_sym_stop_statement_token2] = ACTIONS(4597),
    [aux_sym_subroutine_call_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token2] = ACTIONS(4597),
    [aux_sym_keyword_statement_token3] = ACTIONS(4597),
    [aux_sym_keyword_statement_token4] = ACTIONS(4597),
    [aux_sym_keyword_statement_token6] = ACTIONS(4597),
    [aux_sym_keyword_statement_token7] = ACTIONS(4597),
    [aux_sym_include_statement_token1] = ACTIONS(4597),
    [aux_sym_data_statement_token1] = ACTIONS(4597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4597),
    [aux_sym_end_if_statement_token1] = ACTIONS(4597),
    [aux_sym_elseif_clause_token2] = ACTIONS(4597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token3] = ACTIONS(4597),
    [aux_sym_select_type_statement_token1] = ACTIONS(4597),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4597),
    [aux_sym_block_construct_token1] = ACTIONS(4597),
    [aux_sym_associate_statement_token1] = ACTIONS(4597),
    [aux_sym_format_statement_token1] = ACTIONS(4597),
    [aux_sym_print_statement_token1] = ACTIONS(4597),
    [aux_sym_open_statement_token1] = ACTIONS(4597),
    [aux_sym_close_statement_token1] = ACTIONS(4597),
    [aux_sym_inquire_statement_token1] = ACTIONS(4597),
    [aux_sym_enum_statement_token1] = ACTIONS(4597),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token2] = ACTIONS(4597),
    [aux_sym_file_position_statement_token3] = ACTIONS(4597),
    [aux_sym_file_position_statement_token4] = ACTIONS(4597),
    [aux_sym_allocate_statement_token1] = ACTIONS(4597),
    [aux_sym_entry_statement_token1] = ACTIONS(4597),
    [aux_sym_logical_expression_token5] = ACTIONS(4599),
    [anon_sym_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4599),
    [anon_sym_LBRACK] = ACTIONS(4599),
    [aux_sym_boolean_literal_token1] = ACTIONS(4599),
    [aux_sym_boolean_literal_token2] = ACTIONS(4599),
    [aux_sym_null_literal_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token2] = ACTIONS(4597),
    [aux_sym_coarray_statement_token6] = ACTIONS(4597),
    [aux_sym_coarray_statement_token8] = ACTIONS(4597),
    [aux_sym_coarray_statement_token11] = ACTIONS(4597),
    [aux_sym_coarray_statement_token12] = ACTIONS(4597),
    [aux_sym_coarray_statement_token13] = ACTIONS(4597),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4597),
    [aux_sym_identifier_token1] = ACTIONS(4597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4599),
    [sym__float_literal] = ACTIONS(4599),
    [sym__boz_literal] = ACTIONS(4599),
    [sym__string_literal] = ACTIONS(4599),
    [sym__string_literal_kind] = ACTIONS(4599),
  },
  [1023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4625),
    [aux_sym_preproc_def_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token2] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4625),
    [sym_preproc_directive] = ACTIONS(4625),
    [anon_sym_LPAREN2] = ACTIONS(4625),
    [anon_sym_PLUS] = ACTIONS(4627),
    [anon_sym_DASH] = ACTIONS(4627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token2] = ACTIONS(4625),
    [aux_sym_module_statement_token1] = ACTIONS(4625),
    [aux_sym_submodule_statement_token1] = ACTIONS(4625),
    [aux_sym_interface_statement_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4625),
    [aux_sym_function_statement_token1] = ACTIONS(4625),
    [aux_sym_language_binding_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4625),
    [aux_sym_contains_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token2] = ACTIONS(4625),
    [aux_sym_implicit_statement_token1] = ACTIONS(4625),
    [aux_sym_implicit_statement_token3] = ACTIONS(4625),
    [aux_sym_implicit_statement_token4] = ACTIONS(4625),
    [aux_sym_save_statement_token1] = ACTIONS(4625),
    [aux_sym_private_statement_token1] = ACTIONS(4625),
    [aux_sym_public_statement_token1] = ACTIONS(4625),
    [aux_sym_namelist_statement_token1] = ACTIONS(4625),
    [aux_sym_common_statement_token1] = ACTIONS(4625),
    [aux_sym_import_statement_token1] = ACTIONS(4625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4625),
    [aux_sym_variable_attributes_token1] = ACTIONS(4625),
    [aux_sym_variable_attributes_token2] = ACTIONS(4625),
    [aux_sym_variable_attributes_token3] = ACTIONS(4625),
    [aux_sym_variable_attributes_token4] = ACTIONS(4625),
    [aux_sym_variable_attributes_token5] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4625),
    [aux_sym_derived_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4625),
    [aux_sym_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4625),
    [anon_sym_SEMI] = ACTIONS(4627),
    [aux_sym_stop_statement_token1] = ACTIONS(4625),
    [aux_sym_stop_statement_token2] = ACTIONS(4625),
    [aux_sym_subroutine_call_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token2] = ACTIONS(4625),
    [aux_sym_keyword_statement_token3] = ACTIONS(4625),
    [aux_sym_keyword_statement_token4] = ACTIONS(4625),
    [aux_sym_keyword_statement_token6] = ACTIONS(4625),
    [aux_sym_keyword_statement_token7] = ACTIONS(4625),
    [aux_sym_include_statement_token1] = ACTIONS(4625),
    [aux_sym_data_statement_token1] = ACTIONS(4625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4625),
    [aux_sym_end_if_statement_token1] = ACTIONS(4625),
    [aux_sym_elseif_clause_token2] = ACTIONS(4625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token3] = ACTIONS(4625),
    [aux_sym_select_type_statement_token1] = ACTIONS(4625),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4625),
    [aux_sym_block_construct_token1] = ACTIONS(4625),
    [aux_sym_associate_statement_token1] = ACTIONS(4625),
    [aux_sym_format_statement_token1] = ACTIONS(4625),
    [aux_sym_print_statement_token1] = ACTIONS(4625),
    [aux_sym_open_statement_token1] = ACTIONS(4625),
    [aux_sym_close_statement_token1] = ACTIONS(4625),
    [aux_sym_inquire_statement_token1] = ACTIONS(4625),
    [aux_sym_enum_statement_token1] = ACTIONS(4625),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token2] = ACTIONS(4625),
    [aux_sym_file_position_statement_token3] = ACTIONS(4625),
    [aux_sym_file_position_statement_token4] = ACTIONS(4625),
    [aux_sym_allocate_statement_token1] = ACTIONS(4625),
    [aux_sym_entry_statement_token1] = ACTIONS(4625),
    [aux_sym_logical_expression_token5] = ACTIONS(4627),
    [anon_sym_DOT] = ACTIONS(4625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4627),
    [anon_sym_LBRACK] = ACTIONS(4627),
    [aux_sym_boolean_literal_token1] = ACTIONS(4627),
    [aux_sym_boolean_literal_token2] = ACTIONS(4627),
    [aux_sym_null_literal_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token2] = ACTIONS(4625),
    [aux_sym_coarray_statement_token6] = ACTIONS(4625),
    [aux_sym_coarray_statement_token8] = ACTIONS(4625),
    [aux_sym_coarray_statement_token11] = ACTIONS(4625),
    [aux_sym_coarray_statement_token12] = ACTIONS(4625),
    [aux_sym_coarray_statement_token13] = ACTIONS(4625),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4625),
    [aux_sym_identifier_token1] = ACTIONS(4625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4627),
    [sym__float_literal] = ACTIONS(4627),
    [sym__boz_literal] = ACTIONS(4627),
    [sym__string_literal] = ACTIONS(4627),
    [sym__string_literal_kind] = ACTIONS(4627),
  },
  [1024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4633),
    [aux_sym_preproc_def_token1] = ACTIONS(4633),
    [aux_sym_preproc_if_token1] = ACTIONS(4633),
    [aux_sym_preproc_if_token2] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4633),
    [sym_preproc_directive] = ACTIONS(4633),
    [anon_sym_LPAREN2] = ACTIONS(4633),
    [anon_sym_PLUS] = ACTIONS(4635),
    [anon_sym_DASH] = ACTIONS(4635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token2] = ACTIONS(4633),
    [aux_sym_module_statement_token1] = ACTIONS(4633),
    [aux_sym_submodule_statement_token1] = ACTIONS(4633),
    [aux_sym_interface_statement_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4633),
    [aux_sym_function_statement_token1] = ACTIONS(4633),
    [aux_sym_language_binding_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4633),
    [aux_sym_contains_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token2] = ACTIONS(4633),
    [aux_sym_implicit_statement_token1] = ACTIONS(4633),
    [aux_sym_implicit_statement_token3] = ACTIONS(4633),
    [aux_sym_implicit_statement_token4] = ACTIONS(4633),
    [aux_sym_save_statement_token1] = ACTIONS(4633),
    [aux_sym_private_statement_token1] = ACTIONS(4633),
    [aux_sym_public_statement_token1] = ACTIONS(4633),
    [aux_sym_namelist_statement_token1] = ACTIONS(4633),
    [aux_sym_common_statement_token1] = ACTIONS(4633),
    [aux_sym_import_statement_token1] = ACTIONS(4633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4633),
    [aux_sym_variable_attributes_token1] = ACTIONS(4633),
    [aux_sym_variable_attributes_token2] = ACTIONS(4633),
    [aux_sym_variable_attributes_token3] = ACTIONS(4633),
    [aux_sym_variable_attributes_token4] = ACTIONS(4633),
    [aux_sym_variable_attributes_token5] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4633),
    [aux_sym_derived_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4633),
    [aux_sym_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4633),
    [anon_sym_SEMI] = ACTIONS(4635),
    [aux_sym_stop_statement_token1] = ACTIONS(4633),
    [aux_sym_stop_statement_token2] = ACTIONS(4633),
    [aux_sym_subroutine_call_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token2] = ACTIONS(4633),
    [aux_sym_keyword_statement_token3] = ACTIONS(4633),
    [aux_sym_keyword_statement_token4] = ACTIONS(4633),
    [aux_sym_keyword_statement_token6] = ACTIONS(4633),
    [aux_sym_keyword_statement_token7] = ACTIONS(4633),
    [aux_sym_include_statement_token1] = ACTIONS(4633),
    [aux_sym_data_statement_token1] = ACTIONS(4633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4633),
    [aux_sym_end_if_statement_token1] = ACTIONS(4633),
    [aux_sym_elseif_clause_token2] = ACTIONS(4633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token3] = ACTIONS(4633),
    [aux_sym_select_type_statement_token1] = ACTIONS(4633),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4633),
    [aux_sym_block_construct_token1] = ACTIONS(4633),
    [aux_sym_associate_statement_token1] = ACTIONS(4633),
    [aux_sym_format_statement_token1] = ACTIONS(4633),
    [aux_sym_print_statement_token1] = ACTIONS(4633),
    [aux_sym_open_statement_token1] = ACTIONS(4633),
    [aux_sym_close_statement_token1] = ACTIONS(4633),
    [aux_sym_inquire_statement_token1] = ACTIONS(4633),
    [aux_sym_enum_statement_token1] = ACTIONS(4633),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token2] = ACTIONS(4633),
    [aux_sym_file_position_statement_token3] = ACTIONS(4633),
    [aux_sym_file_position_statement_token4] = ACTIONS(4633),
    [aux_sym_allocate_statement_token1] = ACTIONS(4633),
    [aux_sym_entry_statement_token1] = ACTIONS(4633),
    [aux_sym_logical_expression_token5] = ACTIONS(4635),
    [anon_sym_DOT] = ACTIONS(4633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4635),
    [anon_sym_LBRACK] = ACTIONS(4635),
    [aux_sym_boolean_literal_token1] = ACTIONS(4635),
    [aux_sym_boolean_literal_token2] = ACTIONS(4635),
    [aux_sym_null_literal_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token2] = ACTIONS(4633),
    [aux_sym_coarray_statement_token6] = ACTIONS(4633),
    [aux_sym_coarray_statement_token8] = ACTIONS(4633),
    [aux_sym_coarray_statement_token11] = ACTIONS(4633),
    [aux_sym_coarray_statement_token12] = ACTIONS(4633),
    [aux_sym_coarray_statement_token13] = ACTIONS(4633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4633),
    [aux_sym_identifier_token1] = ACTIONS(4633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4635),
    [sym__float_literal] = ACTIONS(4635),
    [sym__boz_literal] = ACTIONS(4635),
    [sym__string_literal] = ACTIONS(4635),
    [sym__string_literal_kind] = ACTIONS(4635),
  },
  [1025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4461),
    [aux_sym_preproc_def_token1] = ACTIONS(4461),
    [aux_sym_preproc_if_token1] = ACTIONS(4461),
    [aux_sym_preproc_if_token2] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4461),
    [sym_preproc_directive] = ACTIONS(4461),
    [anon_sym_LPAREN2] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token2] = ACTIONS(4461),
    [aux_sym_module_statement_token1] = ACTIONS(4461),
    [aux_sym_submodule_statement_token1] = ACTIONS(4461),
    [aux_sym_interface_statement_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4461),
    [aux_sym_function_statement_token1] = ACTIONS(4461),
    [aux_sym_language_binding_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4461),
    [aux_sym_contains_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token2] = ACTIONS(4461),
    [aux_sym_implicit_statement_token1] = ACTIONS(4461),
    [aux_sym_implicit_statement_token3] = ACTIONS(4461),
    [aux_sym_implicit_statement_token4] = ACTIONS(4461),
    [aux_sym_save_statement_token1] = ACTIONS(4461),
    [aux_sym_private_statement_token1] = ACTIONS(4461),
    [aux_sym_public_statement_token1] = ACTIONS(4461),
    [aux_sym_namelist_statement_token1] = ACTIONS(4461),
    [aux_sym_common_statement_token1] = ACTIONS(4461),
    [aux_sym_import_statement_token1] = ACTIONS(4461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4461),
    [aux_sym_variable_attributes_token1] = ACTIONS(4461),
    [aux_sym_variable_attributes_token2] = ACTIONS(4461),
    [aux_sym_variable_attributes_token3] = ACTIONS(4461),
    [aux_sym_variable_attributes_token4] = ACTIONS(4461),
    [aux_sym_variable_attributes_token5] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4461),
    [aux_sym_derived_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4461),
    [aux_sym_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4461),
    [anon_sym_SEMI] = ACTIONS(4463),
    [aux_sym_stop_statement_token1] = ACTIONS(4461),
    [aux_sym_stop_statement_token2] = ACTIONS(4461),
    [aux_sym_subroutine_call_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token2] = ACTIONS(4461),
    [aux_sym_keyword_statement_token3] = ACTIONS(4461),
    [aux_sym_keyword_statement_token4] = ACTIONS(4461),
    [aux_sym_keyword_statement_token6] = ACTIONS(4461),
    [aux_sym_keyword_statement_token7] = ACTIONS(4461),
    [aux_sym_include_statement_token1] = ACTIONS(4461),
    [aux_sym_data_statement_token1] = ACTIONS(4461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4461),
    [aux_sym_end_if_statement_token1] = ACTIONS(4461),
    [aux_sym_elseif_clause_token2] = ACTIONS(4461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token3] = ACTIONS(4461),
    [aux_sym_select_type_statement_token1] = ACTIONS(4461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4461),
    [aux_sym_block_construct_token1] = ACTIONS(4461),
    [aux_sym_associate_statement_token1] = ACTIONS(4461),
    [aux_sym_format_statement_token1] = ACTIONS(4461),
    [aux_sym_print_statement_token1] = ACTIONS(4461),
    [aux_sym_open_statement_token1] = ACTIONS(4461),
    [aux_sym_close_statement_token1] = ACTIONS(4461),
    [aux_sym_inquire_statement_token1] = ACTIONS(4461),
    [aux_sym_enum_statement_token1] = ACTIONS(4461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token2] = ACTIONS(4461),
    [aux_sym_file_position_statement_token3] = ACTIONS(4461),
    [aux_sym_file_position_statement_token4] = ACTIONS(4461),
    [aux_sym_allocate_statement_token1] = ACTIONS(4461),
    [aux_sym_entry_statement_token1] = ACTIONS(4461),
    [aux_sym_logical_expression_token5] = ACTIONS(4463),
    [anon_sym_DOT] = ACTIONS(4461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4463),
    [aux_sym_boolean_literal_token1] = ACTIONS(4463),
    [aux_sym_boolean_literal_token2] = ACTIONS(4463),
    [aux_sym_null_literal_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token2] = ACTIONS(4461),
    [aux_sym_coarray_statement_token6] = ACTIONS(4461),
    [aux_sym_coarray_statement_token8] = ACTIONS(4461),
    [aux_sym_coarray_statement_token11] = ACTIONS(4461),
    [aux_sym_coarray_statement_token12] = ACTIONS(4461),
    [aux_sym_coarray_statement_token13] = ACTIONS(4461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4461),
    [aux_sym_identifier_token1] = ACTIONS(4461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4463),
    [sym__float_literal] = ACTIONS(4463),
    [sym__boz_literal] = ACTIONS(4463),
    [sym__string_literal] = ACTIONS(4463),
    [sym__string_literal_kind] = ACTIONS(4463),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(4365),
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(4643),
    [aux_sym_preproc_include_token1] = ACTIONS(4641),
    [aux_sym_preproc_def_token1] = ACTIONS(4641),
    [aux_sym_preproc_if_token1] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4641),
    [sym_preproc_directive] = ACTIONS(4641),
    [anon_sym_LPAREN2] = ACTIONS(4641),
    [anon_sym_PLUS] = ACTIONS(4643),
    [anon_sym_DASH] = ACTIONS(4643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token1] = ACTIONS(4641),
    [aux_sym_end_program_statement_token2] = ACTIONS(4641),
    [aux_sym_module_statement_token1] = ACTIONS(4641),
    [aux_sym_submodule_statement_token1] = ACTIONS(4641),
    [aux_sym_interface_statement_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4641),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4641),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4641),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4641),
    [aux_sym_function_statement_token1] = ACTIONS(4641),
    [aux_sym_language_binding_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4641),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4641),
    [aux_sym_contains_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token1] = ACTIONS(4641),
    [aux_sym_use_statement_token2] = ACTIONS(4641),
    [aux_sym_implicit_statement_token1] = ACTIONS(4641),
    [aux_sym_implicit_statement_token3] = ACTIONS(4641),
    [aux_sym_implicit_statement_token4] = ACTIONS(4641),
    [aux_sym_save_statement_token1] = ACTIONS(4641),
    [aux_sym_private_statement_token1] = ACTIONS(4641),
    [aux_sym_public_statement_token1] = ACTIONS(4641),
    [aux_sym_namelist_statement_token1] = ACTIONS(4641),
    [aux_sym_common_statement_token1] = ACTIONS(4641),
    [aux_sym_import_statement_token1] = ACTIONS(4641),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4641),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4641),
    [aux_sym_variable_attributes_token1] = ACTIONS(4641),
    [aux_sym_variable_attributes_token2] = ACTIONS(4641),
    [aux_sym_variable_attributes_token3] = ACTIONS(4641),
    [aux_sym_variable_attributes_token4] = ACTIONS(4641),
    [aux_sym_variable_attributes_token5] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4641),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4641),
    [aux_sym_derived_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token1] = ACTIONS(4641),
    [aux_sym_declared_type_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4641),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4641),
    [aux_sym_type_qualifier_token1] = ACTIONS(4641),
    [aux_sym_type_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4641),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4641),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4641),
    [anon_sym_SEMI] = ACTIONS(4643),
    [aux_sym_stop_statement_token1] = ACTIONS(4641),
    [aux_sym_stop_statement_token2] = ACTIONS(4641),
    [aux_sym_subroutine_call_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token1] = ACTIONS(4641),
    [aux_sym_keyword_statement_token2] = ACTIONS(4641),
    [aux_sym_keyword_statement_token3] = ACTIONS(4641),
    [aux_sym_keyword_statement_token4] = ACTIONS(4641),
    [aux_sym_keyword_statement_token6] = ACTIONS(4641),
    [aux_sym_keyword_statement_token7] = ACTIONS(4641),
    [aux_sym_include_statement_token1] = ACTIONS(4641),
    [aux_sym_data_statement_token1] = ACTIONS(4641),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4641),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4641),
    [aux_sym_end_if_statement_token1] = ACTIONS(4641),
    [aux_sym_elseif_clause_token2] = ACTIONS(4641),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4641),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token1] = ACTIONS(4641),
    [aux_sym_select_case_statement_token3] = ACTIONS(4641),
    [aux_sym_select_type_statement_token1] = ACTIONS(4641),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4641),
    [aux_sym_block_construct_token1] = ACTIONS(4641),
    [aux_sym_associate_statement_token1] = ACTIONS(4641),
    [aux_sym_format_statement_token1] = ACTIONS(4641),
    [aux_sym_print_statement_token1] = ACTIONS(4641),
    [aux_sym_open_statement_token1] = ACTIONS(4641),
    [aux_sym_close_statement_token1] = ACTIONS(4641),
    [aux_sym_inquire_statement_token1] = ACTIONS(4641),
    [aux_sym_enum_statement_token1] = ACTIONS(4641),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token1] = ACTIONS(4641),
    [aux_sym_file_position_statement_token2] = ACTIONS(4641),
    [aux_sym_file_position_statement_token3] = ACTIONS(4641),
    [aux_sym_file_position_statement_token4] = ACTIONS(4641),
    [aux_sym_allocate_statement_token1] = ACTIONS(4641),
    [aux_sym_entry_statement_token1] = ACTIONS(4641),
    [aux_sym_logical_expression_token5] = ACTIONS(4643),
    [anon_sym_DOT] = ACTIONS(4641),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4643),
    [anon_sym_LBRACK] = ACTIONS(4643),
    [aux_sym_boolean_literal_token1] = ACTIONS(4643),
    [aux_sym_boolean_literal_token2] = ACTIONS(4643),
    [aux_sym_null_literal_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_statement_token2] = ACTIONS(4641),
    [aux_sym_coarray_statement_token6] = ACTIONS(4641),
    [aux_sym_coarray_statement_token8] = ACTIONS(4641),
    [aux_sym_coarray_statement_token11] = ACTIONS(4641),
    [aux_sym_coarray_statement_token12] = ACTIONS(4641),
    [aux_sym_coarray_statement_token13] = ACTIONS(4641),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4641),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4641),
    [aux_sym_identifier_token1] = ACTIONS(4641),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4643),
    [sym__float_literal] = ACTIONS(4643),
    [sym__boz_literal] = ACTIONS(4643),
    [sym__string_literal] = ACTIONS(4643),
    [sym__string_literal_kind] = ACTIONS(4643),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(4505),
    [aux_sym_preproc_include_token1] = ACTIONS(4503),
    [aux_sym_preproc_def_token1] = ACTIONS(4503),
    [aux_sym_preproc_if_token1] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4503),
    [sym_preproc_directive] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4505),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token2] = ACTIONS(4503),
    [aux_sym_module_statement_token1] = ACTIONS(4503),
    [aux_sym_submodule_statement_token1] = ACTIONS(4503),
    [aux_sym_interface_statement_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4503),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4503),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4503),
    [aux_sym_function_statement_token1] = ACTIONS(4503),
    [aux_sym_language_binding_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4503),
    [aux_sym_contains_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token2] = ACTIONS(4503),
    [aux_sym_implicit_statement_token1] = ACTIONS(4503),
    [aux_sym_implicit_statement_token3] = ACTIONS(4503),
    [aux_sym_implicit_statement_token4] = ACTIONS(4503),
    [aux_sym_save_statement_token1] = ACTIONS(4503),
    [aux_sym_private_statement_token1] = ACTIONS(4503),
    [aux_sym_public_statement_token1] = ACTIONS(4503),
    [aux_sym_namelist_statement_token1] = ACTIONS(4503),
    [aux_sym_common_statement_token1] = ACTIONS(4503),
    [aux_sym_import_statement_token1] = ACTIONS(4503),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4503),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4503),
    [aux_sym_variable_attributes_token1] = ACTIONS(4503),
    [aux_sym_variable_attributes_token2] = ACTIONS(4503),
    [aux_sym_variable_attributes_token3] = ACTIONS(4503),
    [aux_sym_variable_attributes_token4] = ACTIONS(4503),
    [aux_sym_variable_attributes_token5] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4503),
    [aux_sym_derived_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4503),
    [aux_sym_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4503),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4505),
    [aux_sym_stop_statement_token1] = ACTIONS(4503),
    [aux_sym_stop_statement_token2] = ACTIONS(4503),
    [aux_sym_subroutine_call_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token2] = ACTIONS(4503),
    [aux_sym_keyword_statement_token3] = ACTIONS(4503),
    [aux_sym_keyword_statement_token4] = ACTIONS(4503),
    [aux_sym_keyword_statement_token6] = ACTIONS(4503),
    [aux_sym_keyword_statement_token7] = ACTIONS(4503),
    [aux_sym_include_statement_token1] = ACTIONS(4503),
    [aux_sym_data_statement_token1] = ACTIONS(4503),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4503),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4503),
    [aux_sym_end_if_statement_token1] = ACTIONS(4503),
    [aux_sym_elseif_clause_token2] = ACTIONS(4503),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4503),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token3] = ACTIONS(4503),
    [aux_sym_select_type_statement_token1] = ACTIONS(4503),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4503),
    [aux_sym_block_construct_token1] = ACTIONS(4503),
    [aux_sym_associate_statement_token1] = ACTIONS(4503),
    [aux_sym_format_statement_token1] = ACTIONS(4503),
    [aux_sym_print_statement_token1] = ACTIONS(4503),
    [aux_sym_open_statement_token1] = ACTIONS(4503),
    [aux_sym_close_statement_token1] = ACTIONS(4503),
    [aux_sym_inquire_statement_token1] = ACTIONS(4503),
    [aux_sym_enum_statement_token1] = ACTIONS(4503),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token2] = ACTIONS(4503),
    [aux_sym_file_position_statement_token3] = ACTIONS(4503),
    [aux_sym_file_position_statement_token4] = ACTIONS(4503),
    [aux_sym_allocate_statement_token1] = ACTIONS(4503),
    [aux_sym_entry_statement_token1] = ACTIONS(4503),
    [aux_sym_logical_expression_token5] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [aux_sym_boolean_literal_token1] = ACTIONS(4505),
    [aux_sym_boolean_literal_token2] = ACTIONS(4505),
    [aux_sym_null_literal_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token2] = ACTIONS(4503),
    [aux_sym_coarray_statement_token6] = ACTIONS(4503),
    [aux_sym_coarray_statement_token8] = ACTIONS(4503),
    [aux_sym_coarray_statement_token11] = ACTIONS(4503),
    [aux_sym_coarray_statement_token12] = ACTIONS(4503),
    [aux_sym_coarray_statement_token13] = ACTIONS(4503),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4503),
    [aux_sym_identifier_token1] = ACTIONS(4503),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4505),
    [sym__float_literal] = ACTIONS(4505),
    [sym__boz_literal] = ACTIONS(4505),
    [sym__string_literal] = ACTIONS(4505),
    [sym__string_literal_kind] = ACTIONS(4505),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(4423),
    [aux_sym_preproc_include_token1] = ACTIONS(4421),
    [aux_sym_preproc_def_token1] = ACTIONS(4421),
    [aux_sym_preproc_if_token1] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4421),
    [sym_preproc_directive] = ACTIONS(4421),
    [anon_sym_LPAREN2] = ACTIONS(4421),
    [anon_sym_PLUS] = ACTIONS(4423),
    [anon_sym_DASH] = ACTIONS(4423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token2] = ACTIONS(4421),
    [aux_sym_module_statement_token1] = ACTIONS(4421),
    [aux_sym_submodule_statement_token1] = ACTIONS(4421),
    [aux_sym_interface_statement_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4421),
    [aux_sym_function_statement_token1] = ACTIONS(4421),
    [aux_sym_language_binding_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4421),
    [aux_sym_contains_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token2] = ACTIONS(4421),
    [aux_sym_implicit_statement_token1] = ACTIONS(4421),
    [aux_sym_implicit_statement_token3] = ACTIONS(4421),
    [aux_sym_implicit_statement_token4] = ACTIONS(4421),
    [aux_sym_save_statement_token1] = ACTIONS(4421),
    [aux_sym_private_statement_token1] = ACTIONS(4421),
    [aux_sym_public_statement_token1] = ACTIONS(4421),
    [aux_sym_namelist_statement_token1] = ACTIONS(4421),
    [aux_sym_common_statement_token1] = ACTIONS(4421),
    [aux_sym_import_statement_token1] = ACTIONS(4421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4421),
    [aux_sym_variable_attributes_token1] = ACTIONS(4421),
    [aux_sym_variable_attributes_token2] = ACTIONS(4421),
    [aux_sym_variable_attributes_token3] = ACTIONS(4421),
    [aux_sym_variable_attributes_token4] = ACTIONS(4421),
    [aux_sym_variable_attributes_token5] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4421),
    [aux_sym_derived_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4421),
    [aux_sym_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4423),
    [aux_sym_stop_statement_token1] = ACTIONS(4421),
    [aux_sym_stop_statement_token2] = ACTIONS(4421),
    [aux_sym_subroutine_call_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token2] = ACTIONS(4421),
    [aux_sym_keyword_statement_token3] = ACTIONS(4421),
    [aux_sym_keyword_statement_token4] = ACTIONS(4421),
    [aux_sym_keyword_statement_token6] = ACTIONS(4421),
    [aux_sym_keyword_statement_token7] = ACTIONS(4421),
    [aux_sym_include_statement_token1] = ACTIONS(4421),
    [aux_sym_data_statement_token1] = ACTIONS(4421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4421),
    [aux_sym_end_if_statement_token1] = ACTIONS(4421),
    [aux_sym_elseif_clause_token2] = ACTIONS(4421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token3] = ACTIONS(4421),
    [aux_sym_select_type_statement_token1] = ACTIONS(4421),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4421),
    [aux_sym_block_construct_token1] = ACTIONS(4421),
    [aux_sym_associate_statement_token1] = ACTIONS(4421),
    [aux_sym_format_statement_token1] = ACTIONS(4421),
    [aux_sym_print_statement_token1] = ACTIONS(4421),
    [aux_sym_open_statement_token1] = ACTIONS(4421),
    [aux_sym_close_statement_token1] = ACTIONS(4421),
    [aux_sym_inquire_statement_token1] = ACTIONS(4421),
    [aux_sym_enum_statement_token1] = ACTIONS(4421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token2] = ACTIONS(4421),
    [aux_sym_file_position_statement_token3] = ACTIONS(4421),
    [aux_sym_file_position_statement_token4] = ACTIONS(4421),
    [aux_sym_allocate_statement_token1] = ACTIONS(4421),
    [aux_sym_entry_statement_token1] = ACTIONS(4421),
    [aux_sym_logical_expression_token5] = ACTIONS(4423),
    [anon_sym_DOT] = ACTIONS(4421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [aux_sym_boolean_literal_token1] = ACTIONS(4423),
    [aux_sym_boolean_literal_token2] = ACTIONS(4423),
    [aux_sym_null_literal_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token2] = ACTIONS(4421),
    [aux_sym_coarray_statement_token6] = ACTIONS(4421),
    [aux_sym_coarray_statement_token8] = ACTIONS(4421),
    [aux_sym_coarray_statement_token11] = ACTIONS(4421),
    [aux_sym_coarray_statement_token12] = ACTIONS(4421),
    [aux_sym_coarray_statement_token13] = ACTIONS(4421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4421),
    [aux_sym_identifier_token1] = ACTIONS(4421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4423),
    [sym__float_literal] = ACTIONS(4423),
    [sym__boz_literal] = ACTIONS(4423),
    [sym__string_literal] = ACTIONS(4423),
    [sym__string_literal_kind] = ACTIONS(4423),
  },
  [1030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4549),
    [aux_sym_preproc_def_token1] = ACTIONS(4549),
    [aux_sym_preproc_if_token1] = ACTIONS(4549),
    [aux_sym_preproc_if_token2] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4549),
    [sym_preproc_directive] = ACTIONS(4549),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token2] = ACTIONS(4549),
    [aux_sym_module_statement_token1] = ACTIONS(4549),
    [aux_sym_submodule_statement_token1] = ACTIONS(4549),
    [aux_sym_interface_statement_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4549),
    [aux_sym_function_statement_token1] = ACTIONS(4549),
    [aux_sym_language_binding_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4549),
    [aux_sym_contains_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token2] = ACTIONS(4549),
    [aux_sym_implicit_statement_token1] = ACTIONS(4549),
    [aux_sym_implicit_statement_token3] = ACTIONS(4549),
    [aux_sym_implicit_statement_token4] = ACTIONS(4549),
    [aux_sym_save_statement_token1] = ACTIONS(4549),
    [aux_sym_private_statement_token1] = ACTIONS(4549),
    [aux_sym_public_statement_token1] = ACTIONS(4549),
    [aux_sym_namelist_statement_token1] = ACTIONS(4549),
    [aux_sym_common_statement_token1] = ACTIONS(4549),
    [aux_sym_import_statement_token1] = ACTIONS(4549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4549),
    [aux_sym_variable_attributes_token1] = ACTIONS(4549),
    [aux_sym_variable_attributes_token2] = ACTIONS(4549),
    [aux_sym_variable_attributes_token3] = ACTIONS(4549),
    [aux_sym_variable_attributes_token4] = ACTIONS(4549),
    [aux_sym_variable_attributes_token5] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4549),
    [aux_sym_derived_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4549),
    [aux_sym_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4549),
    [anon_sym_SEMI] = ACTIONS(4551),
    [aux_sym_stop_statement_token1] = ACTIONS(4549),
    [aux_sym_stop_statement_token2] = ACTIONS(4549),
    [aux_sym_subroutine_call_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token2] = ACTIONS(4549),
    [aux_sym_keyword_statement_token3] = ACTIONS(4549),
    [aux_sym_keyword_statement_token4] = ACTIONS(4549),
    [aux_sym_keyword_statement_token6] = ACTIONS(4549),
    [aux_sym_keyword_statement_token7] = ACTIONS(4549),
    [aux_sym_include_statement_token1] = ACTIONS(4549),
    [aux_sym_data_statement_token1] = ACTIONS(4549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4549),
    [aux_sym_end_if_statement_token1] = ACTIONS(4549),
    [aux_sym_elseif_clause_token2] = ACTIONS(4549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token3] = ACTIONS(4549),
    [aux_sym_select_type_statement_token1] = ACTIONS(4549),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4549),
    [aux_sym_block_construct_token1] = ACTIONS(4549),
    [aux_sym_associate_statement_token1] = ACTIONS(4549),
    [aux_sym_format_statement_token1] = ACTIONS(4549),
    [aux_sym_print_statement_token1] = ACTIONS(4549),
    [aux_sym_open_statement_token1] = ACTIONS(4549),
    [aux_sym_close_statement_token1] = ACTIONS(4549),
    [aux_sym_inquire_statement_token1] = ACTIONS(4549),
    [aux_sym_enum_statement_token1] = ACTIONS(4549),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token2] = ACTIONS(4549),
    [aux_sym_file_position_statement_token3] = ACTIONS(4549),
    [aux_sym_file_position_statement_token4] = ACTIONS(4549),
    [aux_sym_allocate_statement_token1] = ACTIONS(4549),
    [aux_sym_entry_statement_token1] = ACTIONS(4549),
    [aux_sym_logical_expression_token5] = ACTIONS(4551),
    [anon_sym_DOT] = ACTIONS(4549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4551),
    [anon_sym_LBRACK] = ACTIONS(4551),
    [aux_sym_boolean_literal_token1] = ACTIONS(4551),
    [aux_sym_boolean_literal_token2] = ACTIONS(4551),
    [aux_sym_null_literal_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token2] = ACTIONS(4549),
    [aux_sym_coarray_statement_token6] = ACTIONS(4549),
    [aux_sym_coarray_statement_token8] = ACTIONS(4549),
    [aux_sym_coarray_statement_token11] = ACTIONS(4549),
    [aux_sym_coarray_statement_token12] = ACTIONS(4549),
    [aux_sym_coarray_statement_token13] = ACTIONS(4549),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4549),
    [aux_sym_identifier_token1] = ACTIONS(4549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4551),
    [sym__float_literal] = ACTIONS(4551),
    [sym__boz_literal] = ACTIONS(4551),
    [sym__string_literal] = ACTIONS(4551),
    [sym__string_literal_kind] = ACTIONS(4551),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(4539),
    [aux_sym_preproc_include_token1] = ACTIONS(4537),
    [aux_sym_preproc_def_token1] = ACTIONS(4537),
    [aux_sym_preproc_if_token1] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4537),
    [sym_preproc_directive] = ACTIONS(4537),
    [anon_sym_LPAREN2] = ACTIONS(4537),
    [anon_sym_PLUS] = ACTIONS(4539),
    [anon_sym_DASH] = ACTIONS(4539),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token1] = ACTIONS(4537),
    [aux_sym_end_program_statement_token2] = ACTIONS(4537),
    [aux_sym_module_statement_token1] = ACTIONS(4537),
    [aux_sym_submodule_statement_token1] = ACTIONS(4537),
    [aux_sym_interface_statement_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4537),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4537),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4537),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4537),
    [aux_sym_function_statement_token1] = ACTIONS(4537),
    [aux_sym_language_binding_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4537),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4537),
    [aux_sym_contains_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token1] = ACTIONS(4537),
    [aux_sym_use_statement_token2] = ACTIONS(4537),
    [aux_sym_implicit_statement_token1] = ACTIONS(4537),
    [aux_sym_implicit_statement_token3] = ACTIONS(4537),
    [aux_sym_implicit_statement_token4] = ACTIONS(4537),
    [aux_sym_save_statement_token1] = ACTIONS(4537),
    [aux_sym_private_statement_token1] = ACTIONS(4537),
    [aux_sym_public_statement_token1] = ACTIONS(4537),
    [aux_sym_namelist_statement_token1] = ACTIONS(4537),
    [aux_sym_common_statement_token1] = ACTIONS(4537),
    [aux_sym_import_statement_token1] = ACTIONS(4537),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4537),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4537),
    [aux_sym_variable_attributes_token1] = ACTIONS(4537),
    [aux_sym_variable_attributes_token2] = ACTIONS(4537),
    [aux_sym_variable_attributes_token3] = ACTIONS(4537),
    [aux_sym_variable_attributes_token4] = ACTIONS(4537),
    [aux_sym_variable_attributes_token5] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4537),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4537),
    [aux_sym_derived_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token1] = ACTIONS(4537),
    [aux_sym_declared_type_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4537),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4537),
    [aux_sym_type_qualifier_token1] = ACTIONS(4537),
    [aux_sym_type_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4537),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4537),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4537),
    [anon_sym_SEMI] = ACTIONS(4539),
    [aux_sym_stop_statement_token1] = ACTIONS(4537),
    [aux_sym_stop_statement_token2] = ACTIONS(4537),
    [aux_sym_subroutine_call_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token1] = ACTIONS(4537),
    [aux_sym_keyword_statement_token2] = ACTIONS(4537),
    [aux_sym_keyword_statement_token3] = ACTIONS(4537),
    [aux_sym_keyword_statement_token4] = ACTIONS(4537),
    [aux_sym_keyword_statement_token6] = ACTIONS(4537),
    [aux_sym_keyword_statement_token7] = ACTIONS(4537),
    [aux_sym_include_statement_token1] = ACTIONS(4537),
    [aux_sym_data_statement_token1] = ACTIONS(4537),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4537),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4537),
    [aux_sym_end_if_statement_token1] = ACTIONS(4537),
    [aux_sym_elseif_clause_token2] = ACTIONS(4537),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4537),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token1] = ACTIONS(4537),
    [aux_sym_select_case_statement_token3] = ACTIONS(4537),
    [aux_sym_select_type_statement_token1] = ACTIONS(4537),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4537),
    [aux_sym_block_construct_token1] = ACTIONS(4537),
    [aux_sym_associate_statement_token1] = ACTIONS(4537),
    [aux_sym_format_statement_token1] = ACTIONS(4537),
    [aux_sym_print_statement_token1] = ACTIONS(4537),
    [aux_sym_open_statement_token1] = ACTIONS(4537),
    [aux_sym_close_statement_token1] = ACTIONS(4537),
    [aux_sym_inquire_statement_token1] = ACTIONS(4537),
    [aux_sym_enum_statement_token1] = ACTIONS(4537),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token1] = ACTIONS(4537),
    [aux_sym_file_position_statement_token2] = ACTIONS(4537),
    [aux_sym_file_position_statement_token3] = ACTIONS(4537),
    [aux_sym_file_position_statement_token4] = ACTIONS(4537),
    [aux_sym_allocate_statement_token1] = ACTIONS(4537),
    [aux_sym_entry_statement_token1] = ACTIONS(4537),
    [aux_sym_logical_expression_token5] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4537),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4539),
    [anon_sym_LBRACK] = ACTIONS(4539),
    [aux_sym_boolean_literal_token1] = ACTIONS(4539),
    [aux_sym_boolean_literal_token2] = ACTIONS(4539),
    [aux_sym_null_literal_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_statement_token2] = ACTIONS(4537),
    [aux_sym_coarray_statement_token6] = ACTIONS(4537),
    [aux_sym_coarray_statement_token8] = ACTIONS(4537),
    [aux_sym_coarray_statement_token11] = ACTIONS(4537),
    [aux_sym_coarray_statement_token12] = ACTIONS(4537),
    [aux_sym_coarray_statement_token13] = ACTIONS(4537),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4537),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4537),
    [aux_sym_identifier_token1] = ACTIONS(4537),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4539),
    [sym__float_literal] = ACTIONS(4539),
    [sym__boz_literal] = ACTIONS(4539),
    [sym__string_literal] = ACTIONS(4539),
    [sym__string_literal_kind] = ACTIONS(4539),
  },
  [1032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token2] = ACTIONS(4601),
    [aux_sym_module_statement_token1] = ACTIONS(4601),
    [aux_sym_submodule_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_function_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4601),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token2] = ACTIONS(4605),
    [aux_sym_module_statement_token1] = ACTIONS(4605),
    [aux_sym_submodule_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_function_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token2] = ACTIONS(4609),
    [aux_sym_module_statement_token1] = ACTIONS(4609),
    [aux_sym_submodule_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_function_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(4535),
    [aux_sym_preproc_include_token1] = ACTIONS(4533),
    [aux_sym_preproc_def_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4533),
    [sym_preproc_directive] = ACTIONS(4533),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token2] = ACTIONS(4533),
    [aux_sym_module_statement_token1] = ACTIONS(4533),
    [aux_sym_submodule_statement_token1] = ACTIONS(4533),
    [aux_sym_interface_statement_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4533),
    [aux_sym_function_statement_token1] = ACTIONS(4533),
    [aux_sym_language_binding_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4533),
    [aux_sym_contains_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token2] = ACTIONS(4533),
    [aux_sym_implicit_statement_token1] = ACTIONS(4533),
    [aux_sym_implicit_statement_token3] = ACTIONS(4533),
    [aux_sym_implicit_statement_token4] = ACTIONS(4533),
    [aux_sym_save_statement_token1] = ACTIONS(4533),
    [aux_sym_private_statement_token1] = ACTIONS(4533),
    [aux_sym_public_statement_token1] = ACTIONS(4533),
    [aux_sym_namelist_statement_token1] = ACTIONS(4533),
    [aux_sym_common_statement_token1] = ACTIONS(4533),
    [aux_sym_import_statement_token1] = ACTIONS(4533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4533),
    [aux_sym_variable_attributes_token1] = ACTIONS(4533),
    [aux_sym_variable_attributes_token2] = ACTIONS(4533),
    [aux_sym_variable_attributes_token3] = ACTIONS(4533),
    [aux_sym_variable_attributes_token4] = ACTIONS(4533),
    [aux_sym_variable_attributes_token5] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4533),
    [aux_sym_derived_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4533),
    [aux_sym_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4535),
    [aux_sym_stop_statement_token1] = ACTIONS(4533),
    [aux_sym_stop_statement_token2] = ACTIONS(4533),
    [aux_sym_subroutine_call_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token2] = ACTIONS(4533),
    [aux_sym_keyword_statement_token3] = ACTIONS(4533),
    [aux_sym_keyword_statement_token4] = ACTIONS(4533),
    [aux_sym_keyword_statement_token6] = ACTIONS(4533),
    [aux_sym_keyword_statement_token7] = ACTIONS(4533),
    [aux_sym_include_statement_token1] = ACTIONS(4533),
    [aux_sym_data_statement_token1] = ACTIONS(4533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4533),
    [aux_sym_end_if_statement_token1] = ACTIONS(4533),
    [aux_sym_elseif_clause_token2] = ACTIONS(4533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token3] = ACTIONS(4533),
    [aux_sym_select_type_statement_token1] = ACTIONS(4533),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4533),
    [aux_sym_block_construct_token1] = ACTIONS(4533),
    [aux_sym_associate_statement_token1] = ACTIONS(4533),
    [aux_sym_format_statement_token1] = ACTIONS(4533),
    [aux_sym_print_statement_token1] = ACTIONS(4533),
    [aux_sym_open_statement_token1] = ACTIONS(4533),
    [aux_sym_close_statement_token1] = ACTIONS(4533),
    [aux_sym_inquire_statement_token1] = ACTIONS(4533),
    [aux_sym_enum_statement_token1] = ACTIONS(4533),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token2] = ACTIONS(4533),
    [aux_sym_file_position_statement_token3] = ACTIONS(4533),
    [aux_sym_file_position_statement_token4] = ACTIONS(4533),
    [aux_sym_allocate_statement_token1] = ACTIONS(4533),
    [aux_sym_entry_statement_token1] = ACTIONS(4533),
    [aux_sym_logical_expression_token5] = ACTIONS(4535),
    [anon_sym_DOT] = ACTIONS(4533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4535),
    [aux_sym_boolean_literal_token1] = ACTIONS(4535),
    [aux_sym_boolean_literal_token2] = ACTIONS(4535),
    [aux_sym_null_literal_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token2] = ACTIONS(4533),
    [aux_sym_coarray_statement_token6] = ACTIONS(4533),
    [aux_sym_coarray_statement_token8] = ACTIONS(4533),
    [aux_sym_coarray_statement_token11] = ACTIONS(4533),
    [aux_sym_coarray_statement_token12] = ACTIONS(4533),
    [aux_sym_coarray_statement_token13] = ACTIONS(4533),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4533),
    [aux_sym_identifier_token1] = ACTIONS(4533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4535),
    [sym__float_literal] = ACTIONS(4535),
    [sym__boz_literal] = ACTIONS(4535),
    [sym__string_literal] = ACTIONS(4535),
    [sym__string_literal_kind] = ACTIONS(4535),
  },
  [1036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token2] = ACTIONS(4613),
    [aux_sym_module_statement_token1] = ACTIONS(4613),
    [aux_sym_submodule_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_function_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4613),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token2] = ACTIONS(4617),
    [aux_sym_module_statement_token1] = ACTIONS(4617),
    [aux_sym_submodule_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_function_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token2] = ACTIONS(4621),
    [aux_sym_module_statement_token1] = ACTIONS(4621),
    [aux_sym_submodule_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_function_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4621),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(4619),
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token2] = ACTIONS(4617),
    [aux_sym_module_statement_token1] = ACTIONS(4617),
    [aux_sym_submodule_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_function_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4617),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(4451),
    [aux_sym_preproc_include_token1] = ACTIONS(4449),
    [aux_sym_preproc_def_token1] = ACTIONS(4449),
    [aux_sym_preproc_if_token1] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4449),
    [sym_preproc_directive] = ACTIONS(4449),
    [anon_sym_LPAREN2] = ACTIONS(4449),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token2] = ACTIONS(4449),
    [aux_sym_module_statement_token1] = ACTIONS(4449),
    [aux_sym_submodule_statement_token1] = ACTIONS(4449),
    [aux_sym_interface_statement_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4449),
    [aux_sym_function_statement_token1] = ACTIONS(4449),
    [aux_sym_language_binding_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4449),
    [aux_sym_contains_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token2] = ACTIONS(4449),
    [aux_sym_implicit_statement_token1] = ACTIONS(4449),
    [aux_sym_implicit_statement_token3] = ACTIONS(4449),
    [aux_sym_implicit_statement_token4] = ACTIONS(4449),
    [aux_sym_save_statement_token1] = ACTIONS(4449),
    [aux_sym_private_statement_token1] = ACTIONS(4449),
    [aux_sym_public_statement_token1] = ACTIONS(4449),
    [aux_sym_namelist_statement_token1] = ACTIONS(4449),
    [aux_sym_common_statement_token1] = ACTIONS(4449),
    [aux_sym_import_statement_token1] = ACTIONS(4449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4449),
    [aux_sym_variable_attributes_token1] = ACTIONS(4449),
    [aux_sym_variable_attributes_token2] = ACTIONS(4449),
    [aux_sym_variable_attributes_token3] = ACTIONS(4449),
    [aux_sym_variable_attributes_token4] = ACTIONS(4449),
    [aux_sym_variable_attributes_token5] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4449),
    [aux_sym_derived_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4449),
    [aux_sym_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4449),
    [anon_sym_SEMI] = ACTIONS(4451),
    [aux_sym_stop_statement_token1] = ACTIONS(4449),
    [aux_sym_stop_statement_token2] = ACTIONS(4449),
    [aux_sym_subroutine_call_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token2] = ACTIONS(4449),
    [aux_sym_keyword_statement_token3] = ACTIONS(4449),
    [aux_sym_keyword_statement_token4] = ACTIONS(4449),
    [aux_sym_keyword_statement_token6] = ACTIONS(4449),
    [aux_sym_keyword_statement_token7] = ACTIONS(4449),
    [aux_sym_include_statement_token1] = ACTIONS(4449),
    [aux_sym_data_statement_token1] = ACTIONS(4449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4449),
    [aux_sym_end_if_statement_token1] = ACTIONS(4449),
    [aux_sym_elseif_clause_token2] = ACTIONS(4449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token3] = ACTIONS(4449),
    [aux_sym_select_type_statement_token1] = ACTIONS(4449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4449),
    [aux_sym_block_construct_token1] = ACTIONS(4449),
    [aux_sym_associate_statement_token1] = ACTIONS(4449),
    [aux_sym_format_statement_token1] = ACTIONS(4449),
    [aux_sym_print_statement_token1] = ACTIONS(4449),
    [aux_sym_open_statement_token1] = ACTIONS(4449),
    [aux_sym_close_statement_token1] = ACTIONS(4449),
    [aux_sym_inquire_statement_token1] = ACTIONS(4449),
    [aux_sym_enum_statement_token1] = ACTIONS(4449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token2] = ACTIONS(4449),
    [aux_sym_file_position_statement_token3] = ACTIONS(4449),
    [aux_sym_file_position_statement_token4] = ACTIONS(4449),
    [aux_sym_allocate_statement_token1] = ACTIONS(4449),
    [aux_sym_entry_statement_token1] = ACTIONS(4449),
    [aux_sym_logical_expression_token5] = ACTIONS(4451),
    [anon_sym_DOT] = ACTIONS(4449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [aux_sym_boolean_literal_token1] = ACTIONS(4451),
    [aux_sym_boolean_literal_token2] = ACTIONS(4451),
    [aux_sym_null_literal_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token2] = ACTIONS(4449),
    [aux_sym_coarray_statement_token6] = ACTIONS(4449),
    [aux_sym_coarray_statement_token8] = ACTIONS(4449),
    [aux_sym_coarray_statement_token11] = ACTIONS(4449),
    [aux_sym_coarray_statement_token12] = ACTIONS(4449),
    [aux_sym_coarray_statement_token13] = ACTIONS(4449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4449),
    [aux_sym_identifier_token1] = ACTIONS(4449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4451),
    [sym__float_literal] = ACTIONS(4451),
    [sym__boz_literal] = ACTIONS(4451),
    [sym__string_literal] = ACTIONS(4451),
    [sym__string_literal_kind] = ACTIONS(4451),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(4563),
    [aux_sym_preproc_include_token1] = ACTIONS(4561),
    [aux_sym_preproc_def_token1] = ACTIONS(4561),
    [aux_sym_preproc_if_token1] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4561),
    [sym_preproc_directive] = ACTIONS(4561),
    [anon_sym_LPAREN2] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token1] = ACTIONS(4561),
    [aux_sym_end_program_statement_token2] = ACTIONS(4561),
    [aux_sym_module_statement_token1] = ACTIONS(4561),
    [aux_sym_submodule_statement_token1] = ACTIONS(4561),
    [aux_sym_interface_statement_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4561),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4561),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4561),
    [aux_sym_function_statement_token1] = ACTIONS(4561),
    [aux_sym_language_binding_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4561),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4561),
    [aux_sym_contains_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token1] = ACTIONS(4561),
    [aux_sym_use_statement_token2] = ACTIONS(4561),
    [aux_sym_implicit_statement_token1] = ACTIONS(4561),
    [aux_sym_implicit_statement_token3] = ACTIONS(4561),
    [aux_sym_implicit_statement_token4] = ACTIONS(4561),
    [aux_sym_save_statement_token1] = ACTIONS(4561),
    [aux_sym_private_statement_token1] = ACTIONS(4561),
    [aux_sym_public_statement_token1] = ACTIONS(4561),
    [aux_sym_namelist_statement_token1] = ACTIONS(4561),
    [aux_sym_common_statement_token1] = ACTIONS(4561),
    [aux_sym_import_statement_token1] = ACTIONS(4561),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4561),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4561),
    [aux_sym_variable_attributes_token1] = ACTIONS(4561),
    [aux_sym_variable_attributes_token2] = ACTIONS(4561),
    [aux_sym_variable_attributes_token3] = ACTIONS(4561),
    [aux_sym_variable_attributes_token4] = ACTIONS(4561),
    [aux_sym_variable_attributes_token5] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4561),
    [aux_sym_derived_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token1] = ACTIONS(4561),
    [aux_sym_declared_type_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4561),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4561),
    [aux_sym_type_qualifier_token1] = ACTIONS(4561),
    [aux_sym_type_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4561),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4561),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4561),
    [anon_sym_SEMI] = ACTIONS(4563),
    [aux_sym_stop_statement_token1] = ACTIONS(4561),
    [aux_sym_stop_statement_token2] = ACTIONS(4561),
    [aux_sym_subroutine_call_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token1] = ACTIONS(4561),
    [aux_sym_keyword_statement_token2] = ACTIONS(4561),
    [aux_sym_keyword_statement_token3] = ACTIONS(4561),
    [aux_sym_keyword_statement_token4] = ACTIONS(4561),
    [aux_sym_keyword_statement_token6] = ACTIONS(4561),
    [aux_sym_keyword_statement_token7] = ACTIONS(4561),
    [aux_sym_include_statement_token1] = ACTIONS(4561),
    [aux_sym_data_statement_token1] = ACTIONS(4561),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4561),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4561),
    [aux_sym_end_if_statement_token1] = ACTIONS(4561),
    [aux_sym_elseif_clause_token2] = ACTIONS(4561),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4561),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token1] = ACTIONS(4561),
    [aux_sym_select_case_statement_token3] = ACTIONS(4561),
    [aux_sym_select_type_statement_token1] = ACTIONS(4561),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4561),
    [aux_sym_block_construct_token1] = ACTIONS(4561),
    [aux_sym_associate_statement_token1] = ACTIONS(4561),
    [aux_sym_format_statement_token1] = ACTIONS(4561),
    [aux_sym_print_statement_token1] = ACTIONS(4561),
    [aux_sym_open_statement_token1] = ACTIONS(4561),
    [aux_sym_close_statement_token1] = ACTIONS(4561),
    [aux_sym_inquire_statement_token1] = ACTIONS(4561),
    [aux_sym_enum_statement_token1] = ACTIONS(4561),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token1] = ACTIONS(4561),
    [aux_sym_file_position_statement_token2] = ACTIONS(4561),
    [aux_sym_file_position_statement_token3] = ACTIONS(4561),
    [aux_sym_file_position_statement_token4] = ACTIONS(4561),
    [aux_sym_allocate_statement_token1] = ACTIONS(4561),
    [aux_sym_entry_statement_token1] = ACTIONS(4561),
    [aux_sym_logical_expression_token5] = ACTIONS(4563),
    [anon_sym_DOT] = ACTIONS(4561),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4563),
    [anon_sym_LBRACK] = ACTIONS(4563),
    [aux_sym_boolean_literal_token1] = ACTIONS(4563),
    [aux_sym_boolean_literal_token2] = ACTIONS(4563),
    [aux_sym_null_literal_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_statement_token2] = ACTIONS(4561),
    [aux_sym_coarray_statement_token6] = ACTIONS(4561),
    [aux_sym_coarray_statement_token8] = ACTIONS(4561),
    [aux_sym_coarray_statement_token11] = ACTIONS(4561),
    [aux_sym_coarray_statement_token12] = ACTIONS(4561),
    [aux_sym_coarray_statement_token13] = ACTIONS(4561),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4561),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4561),
    [aux_sym_identifier_token1] = ACTIONS(4561),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4563),
    [sym__float_literal] = ACTIONS(4563),
    [sym__boz_literal] = ACTIONS(4563),
    [sym__string_literal] = ACTIONS(4563),
    [sym__string_literal_kind] = ACTIONS(4563),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(4567),
    [aux_sym_preproc_include_token1] = ACTIONS(4565),
    [aux_sym_preproc_def_token1] = ACTIONS(4565),
    [aux_sym_preproc_if_token1] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4565),
    [sym_preproc_directive] = ACTIONS(4565),
    [anon_sym_LPAREN2] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4567),
    [anon_sym_DASH] = ACTIONS(4567),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token1] = ACTIONS(4565),
    [aux_sym_end_program_statement_token2] = ACTIONS(4565),
    [aux_sym_module_statement_token1] = ACTIONS(4565),
    [aux_sym_submodule_statement_token1] = ACTIONS(4565),
    [aux_sym_interface_statement_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4565),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4565),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4565),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4565),
    [aux_sym_function_statement_token1] = ACTIONS(4565),
    [aux_sym_language_binding_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4565),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4565),
    [aux_sym_contains_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token1] = ACTIONS(4565),
    [aux_sym_use_statement_token2] = ACTIONS(4565),
    [aux_sym_implicit_statement_token1] = ACTIONS(4565),
    [aux_sym_implicit_statement_token3] = ACTIONS(4565),
    [aux_sym_implicit_statement_token4] = ACTIONS(4565),
    [aux_sym_save_statement_token1] = ACTIONS(4565),
    [aux_sym_private_statement_token1] = ACTIONS(4565),
    [aux_sym_public_statement_token1] = ACTIONS(4565),
    [aux_sym_namelist_statement_token1] = ACTIONS(4565),
    [aux_sym_common_statement_token1] = ACTIONS(4565),
    [aux_sym_import_statement_token1] = ACTIONS(4565),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4565),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4565),
    [aux_sym_variable_attributes_token1] = ACTIONS(4565),
    [aux_sym_variable_attributes_token2] = ACTIONS(4565),
    [aux_sym_variable_attributes_token3] = ACTIONS(4565),
    [aux_sym_variable_attributes_token4] = ACTIONS(4565),
    [aux_sym_variable_attributes_token5] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4565),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4565),
    [aux_sym_derived_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token1] = ACTIONS(4565),
    [aux_sym_declared_type_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4565),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4565),
    [aux_sym_type_qualifier_token1] = ACTIONS(4565),
    [aux_sym_type_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4565),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4565),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4565),
    [anon_sym_SEMI] = ACTIONS(4567),
    [aux_sym_stop_statement_token1] = ACTIONS(4565),
    [aux_sym_stop_statement_token2] = ACTIONS(4565),
    [aux_sym_subroutine_call_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token1] = ACTIONS(4565),
    [aux_sym_keyword_statement_token2] = ACTIONS(4565),
    [aux_sym_keyword_statement_token3] = ACTIONS(4565),
    [aux_sym_keyword_statement_token4] = ACTIONS(4565),
    [aux_sym_keyword_statement_token6] = ACTIONS(4565),
    [aux_sym_keyword_statement_token7] = ACTIONS(4565),
    [aux_sym_include_statement_token1] = ACTIONS(4565),
    [aux_sym_data_statement_token1] = ACTIONS(4565),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4565),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4565),
    [aux_sym_end_if_statement_token1] = ACTIONS(4565),
    [aux_sym_elseif_clause_token2] = ACTIONS(4565),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4565),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token1] = ACTIONS(4565),
    [aux_sym_select_case_statement_token3] = ACTIONS(4565),
    [aux_sym_select_type_statement_token1] = ACTIONS(4565),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4565),
    [aux_sym_block_construct_token1] = ACTIONS(4565),
    [aux_sym_associate_statement_token1] = ACTIONS(4565),
    [aux_sym_format_statement_token1] = ACTIONS(4565),
    [aux_sym_print_statement_token1] = ACTIONS(4565),
    [aux_sym_open_statement_token1] = ACTIONS(4565),
    [aux_sym_close_statement_token1] = ACTIONS(4565),
    [aux_sym_inquire_statement_token1] = ACTIONS(4565),
    [aux_sym_enum_statement_token1] = ACTIONS(4565),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token1] = ACTIONS(4565),
    [aux_sym_file_position_statement_token2] = ACTIONS(4565),
    [aux_sym_file_position_statement_token3] = ACTIONS(4565),
    [aux_sym_file_position_statement_token4] = ACTIONS(4565),
    [aux_sym_allocate_statement_token1] = ACTIONS(4565),
    [aux_sym_entry_statement_token1] = ACTIONS(4565),
    [aux_sym_logical_expression_token5] = ACTIONS(4567),
    [anon_sym_DOT] = ACTIONS(4565),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4567),
    [anon_sym_LBRACK] = ACTIONS(4567),
    [aux_sym_boolean_literal_token1] = ACTIONS(4567),
    [aux_sym_boolean_literal_token2] = ACTIONS(4567),
    [aux_sym_null_literal_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_statement_token2] = ACTIONS(4565),
    [aux_sym_coarray_statement_token6] = ACTIONS(4565),
    [aux_sym_coarray_statement_token8] = ACTIONS(4565),
    [aux_sym_coarray_statement_token11] = ACTIONS(4565),
    [aux_sym_coarray_statement_token12] = ACTIONS(4565),
    [aux_sym_coarray_statement_token13] = ACTIONS(4565),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4565),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4565),
    [aux_sym_identifier_token1] = ACTIONS(4565),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4567),
    [sym__float_literal] = ACTIONS(4567),
    [sym__boz_literal] = ACTIONS(4567),
    [sym__string_literal] = ACTIONS(4567),
    [sym__string_literal_kind] = ACTIONS(4567),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(4455),
    [aux_sym_preproc_include_token1] = ACTIONS(4453),
    [aux_sym_preproc_def_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token1] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4453),
    [sym_preproc_directive] = ACTIONS(4453),
    [anon_sym_LPAREN2] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token2] = ACTIONS(4453),
    [aux_sym_module_statement_token1] = ACTIONS(4453),
    [aux_sym_submodule_statement_token1] = ACTIONS(4453),
    [aux_sym_interface_statement_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4453),
    [aux_sym_function_statement_token1] = ACTIONS(4453),
    [aux_sym_language_binding_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4453),
    [aux_sym_contains_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token2] = ACTIONS(4453),
    [aux_sym_implicit_statement_token1] = ACTIONS(4453),
    [aux_sym_implicit_statement_token3] = ACTIONS(4453),
    [aux_sym_implicit_statement_token4] = ACTIONS(4453),
    [aux_sym_save_statement_token1] = ACTIONS(4453),
    [aux_sym_private_statement_token1] = ACTIONS(4453),
    [aux_sym_public_statement_token1] = ACTIONS(4453),
    [aux_sym_namelist_statement_token1] = ACTIONS(4453),
    [aux_sym_common_statement_token1] = ACTIONS(4453),
    [aux_sym_import_statement_token1] = ACTIONS(4453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4453),
    [aux_sym_variable_attributes_token1] = ACTIONS(4453),
    [aux_sym_variable_attributes_token2] = ACTIONS(4453),
    [aux_sym_variable_attributes_token3] = ACTIONS(4453),
    [aux_sym_variable_attributes_token4] = ACTIONS(4453),
    [aux_sym_variable_attributes_token5] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4453),
    [aux_sym_derived_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4453),
    [aux_sym_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4453),
    [anon_sym_SEMI] = ACTIONS(4455),
    [aux_sym_stop_statement_token1] = ACTIONS(4453),
    [aux_sym_stop_statement_token2] = ACTIONS(4453),
    [aux_sym_subroutine_call_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token2] = ACTIONS(4453),
    [aux_sym_keyword_statement_token3] = ACTIONS(4453),
    [aux_sym_keyword_statement_token4] = ACTIONS(4453),
    [aux_sym_keyword_statement_token6] = ACTIONS(4453),
    [aux_sym_keyword_statement_token7] = ACTIONS(4453),
    [aux_sym_include_statement_token1] = ACTIONS(4453),
    [aux_sym_data_statement_token1] = ACTIONS(4453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4453),
    [aux_sym_end_if_statement_token1] = ACTIONS(4453),
    [aux_sym_elseif_clause_token2] = ACTIONS(4453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token3] = ACTIONS(4453),
    [aux_sym_select_type_statement_token1] = ACTIONS(4453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4453),
    [aux_sym_block_construct_token1] = ACTIONS(4453),
    [aux_sym_associate_statement_token1] = ACTIONS(4453),
    [aux_sym_format_statement_token1] = ACTIONS(4453),
    [aux_sym_print_statement_token1] = ACTIONS(4453),
    [aux_sym_open_statement_token1] = ACTIONS(4453),
    [aux_sym_close_statement_token1] = ACTIONS(4453),
    [aux_sym_inquire_statement_token1] = ACTIONS(4453),
    [aux_sym_enum_statement_token1] = ACTIONS(4453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token2] = ACTIONS(4453),
    [aux_sym_file_position_statement_token3] = ACTIONS(4453),
    [aux_sym_file_position_statement_token4] = ACTIONS(4453),
    [aux_sym_allocate_statement_token1] = ACTIONS(4453),
    [aux_sym_entry_statement_token1] = ACTIONS(4453),
    [aux_sym_logical_expression_token5] = ACTIONS(4455),
    [anon_sym_DOT] = ACTIONS(4453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [aux_sym_boolean_literal_token1] = ACTIONS(4455),
    [aux_sym_boolean_literal_token2] = ACTIONS(4455),
    [aux_sym_null_literal_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token2] = ACTIONS(4453),
    [aux_sym_coarray_statement_token6] = ACTIONS(4453),
    [aux_sym_coarray_statement_token8] = ACTIONS(4453),
    [aux_sym_coarray_statement_token11] = ACTIONS(4453),
    [aux_sym_coarray_statement_token12] = ACTIONS(4453),
    [aux_sym_coarray_statement_token13] = ACTIONS(4453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4453),
    [aux_sym_identifier_token1] = ACTIONS(4453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4455),
    [sym__float_literal] = ACTIONS(4455),
    [sym__boz_literal] = ACTIONS(4455),
    [sym__string_literal] = ACTIONS(4455),
    [sym__string_literal_kind] = ACTIONS(4455),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(4571),
    [aux_sym_preproc_include_token1] = ACTIONS(4569),
    [aux_sym_preproc_def_token1] = ACTIONS(4569),
    [aux_sym_preproc_if_token1] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4569),
    [sym_preproc_directive] = ACTIONS(4569),
    [anon_sym_LPAREN2] = ACTIONS(4569),
    [anon_sym_PLUS] = ACTIONS(4571),
    [anon_sym_DASH] = ACTIONS(4571),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token1] = ACTIONS(4569),
    [aux_sym_end_program_statement_token2] = ACTIONS(4569),
    [aux_sym_module_statement_token1] = ACTIONS(4569),
    [aux_sym_submodule_statement_token1] = ACTIONS(4569),
    [aux_sym_interface_statement_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4569),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4569),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4569),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4569),
    [aux_sym_function_statement_token1] = ACTIONS(4569),
    [aux_sym_language_binding_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4569),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4569),
    [aux_sym_contains_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token1] = ACTIONS(4569),
    [aux_sym_use_statement_token2] = ACTIONS(4569),
    [aux_sym_implicit_statement_token1] = ACTIONS(4569),
    [aux_sym_implicit_statement_token3] = ACTIONS(4569),
    [aux_sym_implicit_statement_token4] = ACTIONS(4569),
    [aux_sym_save_statement_token1] = ACTIONS(4569),
    [aux_sym_private_statement_token1] = ACTIONS(4569),
    [aux_sym_public_statement_token1] = ACTIONS(4569),
    [aux_sym_namelist_statement_token1] = ACTIONS(4569),
    [aux_sym_common_statement_token1] = ACTIONS(4569),
    [aux_sym_import_statement_token1] = ACTIONS(4569),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4569),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4569),
    [aux_sym_variable_attributes_token1] = ACTIONS(4569),
    [aux_sym_variable_attributes_token2] = ACTIONS(4569),
    [aux_sym_variable_attributes_token3] = ACTIONS(4569),
    [aux_sym_variable_attributes_token4] = ACTIONS(4569),
    [aux_sym_variable_attributes_token5] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4569),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4569),
    [aux_sym_derived_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token1] = ACTIONS(4569),
    [aux_sym_declared_type_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4569),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4569),
    [aux_sym_type_qualifier_token1] = ACTIONS(4569),
    [aux_sym_type_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4569),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4569),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4569),
    [anon_sym_SEMI] = ACTIONS(4571),
    [aux_sym_stop_statement_token1] = ACTIONS(4569),
    [aux_sym_stop_statement_token2] = ACTIONS(4569),
    [aux_sym_subroutine_call_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token1] = ACTIONS(4569),
    [aux_sym_keyword_statement_token2] = ACTIONS(4569),
    [aux_sym_keyword_statement_token3] = ACTIONS(4569),
    [aux_sym_keyword_statement_token4] = ACTIONS(4569),
    [aux_sym_keyword_statement_token6] = ACTIONS(4569),
    [aux_sym_keyword_statement_token7] = ACTIONS(4569),
    [aux_sym_include_statement_token1] = ACTIONS(4569),
    [aux_sym_data_statement_token1] = ACTIONS(4569),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4569),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4569),
    [aux_sym_end_if_statement_token1] = ACTIONS(4569),
    [aux_sym_elseif_clause_token2] = ACTIONS(4569),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4569),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token1] = ACTIONS(4569),
    [aux_sym_select_case_statement_token3] = ACTIONS(4569),
    [aux_sym_select_type_statement_token1] = ACTIONS(4569),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4569),
    [aux_sym_block_construct_token1] = ACTIONS(4569),
    [aux_sym_associate_statement_token1] = ACTIONS(4569),
    [aux_sym_format_statement_token1] = ACTIONS(4569),
    [aux_sym_print_statement_token1] = ACTIONS(4569),
    [aux_sym_open_statement_token1] = ACTIONS(4569),
    [aux_sym_close_statement_token1] = ACTIONS(4569),
    [aux_sym_inquire_statement_token1] = ACTIONS(4569),
    [aux_sym_enum_statement_token1] = ACTIONS(4569),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token1] = ACTIONS(4569),
    [aux_sym_file_position_statement_token2] = ACTIONS(4569),
    [aux_sym_file_position_statement_token3] = ACTIONS(4569),
    [aux_sym_file_position_statement_token4] = ACTIONS(4569),
    [aux_sym_allocate_statement_token1] = ACTIONS(4569),
    [aux_sym_entry_statement_token1] = ACTIONS(4569),
    [aux_sym_logical_expression_token5] = ACTIONS(4571),
    [anon_sym_DOT] = ACTIONS(4569),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4571),
    [anon_sym_LBRACK] = ACTIONS(4571),
    [aux_sym_boolean_literal_token1] = ACTIONS(4571),
    [aux_sym_boolean_literal_token2] = ACTIONS(4571),
    [aux_sym_null_literal_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_statement_token2] = ACTIONS(4569),
    [aux_sym_coarray_statement_token6] = ACTIONS(4569),
    [aux_sym_coarray_statement_token8] = ACTIONS(4569),
    [aux_sym_coarray_statement_token11] = ACTIONS(4569),
    [aux_sym_coarray_statement_token12] = ACTIONS(4569),
    [aux_sym_coarray_statement_token13] = ACTIONS(4569),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4569),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4569),
    [aux_sym_identifier_token1] = ACTIONS(4569),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4571),
    [sym__float_literal] = ACTIONS(4571),
    [sym__boz_literal] = ACTIONS(4571),
    [sym__string_literal] = ACTIONS(4571),
    [sym__string_literal_kind] = ACTIONS(4571),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(4575),
    [aux_sym_preproc_include_token1] = ACTIONS(4573),
    [aux_sym_preproc_def_token1] = ACTIONS(4573),
    [aux_sym_preproc_if_token1] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4573),
    [sym_preproc_directive] = ACTIONS(4573),
    [anon_sym_LPAREN2] = ACTIONS(4573),
    [anon_sym_PLUS] = ACTIONS(4575),
    [anon_sym_DASH] = ACTIONS(4575),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token1] = ACTIONS(4573),
    [aux_sym_end_program_statement_token2] = ACTIONS(4573),
    [aux_sym_module_statement_token1] = ACTIONS(4573),
    [aux_sym_submodule_statement_token1] = ACTIONS(4573),
    [aux_sym_interface_statement_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4573),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4573),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4573),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4573),
    [aux_sym_function_statement_token1] = ACTIONS(4573),
    [aux_sym_language_binding_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4573),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4573),
    [aux_sym_contains_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token1] = ACTIONS(4573),
    [aux_sym_use_statement_token2] = ACTIONS(4573),
    [aux_sym_implicit_statement_token1] = ACTIONS(4573),
    [aux_sym_implicit_statement_token3] = ACTIONS(4573),
    [aux_sym_implicit_statement_token4] = ACTIONS(4573),
    [aux_sym_save_statement_token1] = ACTIONS(4573),
    [aux_sym_private_statement_token1] = ACTIONS(4573),
    [aux_sym_public_statement_token1] = ACTIONS(4573),
    [aux_sym_namelist_statement_token1] = ACTIONS(4573),
    [aux_sym_common_statement_token1] = ACTIONS(4573),
    [aux_sym_import_statement_token1] = ACTIONS(4573),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4573),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4573),
    [aux_sym_variable_attributes_token1] = ACTIONS(4573),
    [aux_sym_variable_attributes_token2] = ACTIONS(4573),
    [aux_sym_variable_attributes_token3] = ACTIONS(4573),
    [aux_sym_variable_attributes_token4] = ACTIONS(4573),
    [aux_sym_variable_attributes_token5] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4573),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4573),
    [aux_sym_derived_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token1] = ACTIONS(4573),
    [aux_sym_declared_type_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4573),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4573),
    [aux_sym_type_qualifier_token1] = ACTIONS(4573),
    [aux_sym_type_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4573),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4573),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4573),
    [anon_sym_SEMI] = ACTIONS(4575),
    [aux_sym_stop_statement_token1] = ACTIONS(4573),
    [aux_sym_stop_statement_token2] = ACTIONS(4573),
    [aux_sym_subroutine_call_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token1] = ACTIONS(4573),
    [aux_sym_keyword_statement_token2] = ACTIONS(4573),
    [aux_sym_keyword_statement_token3] = ACTIONS(4573),
    [aux_sym_keyword_statement_token4] = ACTIONS(4573),
    [aux_sym_keyword_statement_token6] = ACTIONS(4573),
    [aux_sym_keyword_statement_token7] = ACTIONS(4573),
    [aux_sym_include_statement_token1] = ACTIONS(4573),
    [aux_sym_data_statement_token1] = ACTIONS(4573),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4573),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4573),
    [aux_sym_end_if_statement_token1] = ACTIONS(4573),
    [aux_sym_elseif_clause_token2] = ACTIONS(4573),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4573),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token1] = ACTIONS(4573),
    [aux_sym_select_case_statement_token3] = ACTIONS(4573),
    [aux_sym_select_type_statement_token1] = ACTIONS(4573),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4573),
    [aux_sym_block_construct_token1] = ACTIONS(4573),
    [aux_sym_associate_statement_token1] = ACTIONS(4573),
    [aux_sym_format_statement_token1] = ACTIONS(4573),
    [aux_sym_print_statement_token1] = ACTIONS(4573),
    [aux_sym_open_statement_token1] = ACTIONS(4573),
    [aux_sym_close_statement_token1] = ACTIONS(4573),
    [aux_sym_inquire_statement_token1] = ACTIONS(4573),
    [aux_sym_enum_statement_token1] = ACTIONS(4573),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token1] = ACTIONS(4573),
    [aux_sym_file_position_statement_token2] = ACTIONS(4573),
    [aux_sym_file_position_statement_token3] = ACTIONS(4573),
    [aux_sym_file_position_statement_token4] = ACTIONS(4573),
    [aux_sym_allocate_statement_token1] = ACTIONS(4573),
    [aux_sym_entry_statement_token1] = ACTIONS(4573),
    [aux_sym_logical_expression_token5] = ACTIONS(4575),
    [anon_sym_DOT] = ACTIONS(4573),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4575),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [aux_sym_boolean_literal_token1] = ACTIONS(4575),
    [aux_sym_boolean_literal_token2] = ACTIONS(4575),
    [aux_sym_null_literal_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_statement_token2] = ACTIONS(4573),
    [aux_sym_coarray_statement_token6] = ACTIONS(4573),
    [aux_sym_coarray_statement_token8] = ACTIONS(4573),
    [aux_sym_coarray_statement_token11] = ACTIONS(4573),
    [aux_sym_coarray_statement_token12] = ACTIONS(4573),
    [aux_sym_coarray_statement_token13] = ACTIONS(4573),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4573),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4573),
    [aux_sym_identifier_token1] = ACTIONS(4573),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4575),
    [sym__float_literal] = ACTIONS(4575),
    [sym__boz_literal] = ACTIONS(4575),
    [sym__string_literal] = ACTIONS(4575),
    [sym__string_literal_kind] = ACTIONS(4575),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(4459),
    [aux_sym_preproc_include_token1] = ACTIONS(4457),
    [aux_sym_preproc_def_token1] = ACTIONS(4457),
    [aux_sym_preproc_if_token1] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4457),
    [sym_preproc_directive] = ACTIONS(4457),
    [anon_sym_LPAREN2] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token2] = ACTIONS(4457),
    [aux_sym_module_statement_token1] = ACTIONS(4457),
    [aux_sym_submodule_statement_token1] = ACTIONS(4457),
    [aux_sym_interface_statement_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4457),
    [aux_sym_function_statement_token1] = ACTIONS(4457),
    [aux_sym_language_binding_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4457),
    [aux_sym_contains_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token2] = ACTIONS(4457),
    [aux_sym_implicit_statement_token1] = ACTIONS(4457),
    [aux_sym_implicit_statement_token3] = ACTIONS(4457),
    [aux_sym_implicit_statement_token4] = ACTIONS(4457),
    [aux_sym_save_statement_token1] = ACTIONS(4457),
    [aux_sym_private_statement_token1] = ACTIONS(4457),
    [aux_sym_public_statement_token1] = ACTIONS(4457),
    [aux_sym_namelist_statement_token1] = ACTIONS(4457),
    [aux_sym_common_statement_token1] = ACTIONS(4457),
    [aux_sym_import_statement_token1] = ACTIONS(4457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4457),
    [aux_sym_variable_attributes_token1] = ACTIONS(4457),
    [aux_sym_variable_attributes_token2] = ACTIONS(4457),
    [aux_sym_variable_attributes_token3] = ACTIONS(4457),
    [aux_sym_variable_attributes_token4] = ACTIONS(4457),
    [aux_sym_variable_attributes_token5] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4457),
    [aux_sym_derived_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4457),
    [aux_sym_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4457),
    [anon_sym_SEMI] = ACTIONS(4459),
    [aux_sym_stop_statement_token1] = ACTIONS(4457),
    [aux_sym_stop_statement_token2] = ACTIONS(4457),
    [aux_sym_subroutine_call_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token2] = ACTIONS(4457),
    [aux_sym_keyword_statement_token3] = ACTIONS(4457),
    [aux_sym_keyword_statement_token4] = ACTIONS(4457),
    [aux_sym_keyword_statement_token6] = ACTIONS(4457),
    [aux_sym_keyword_statement_token7] = ACTIONS(4457),
    [aux_sym_include_statement_token1] = ACTIONS(4457),
    [aux_sym_data_statement_token1] = ACTIONS(4457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4457),
    [aux_sym_end_if_statement_token1] = ACTIONS(4457),
    [aux_sym_elseif_clause_token2] = ACTIONS(4457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token3] = ACTIONS(4457),
    [aux_sym_select_type_statement_token1] = ACTIONS(4457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4457),
    [aux_sym_block_construct_token1] = ACTIONS(4457),
    [aux_sym_associate_statement_token1] = ACTIONS(4457),
    [aux_sym_format_statement_token1] = ACTIONS(4457),
    [aux_sym_print_statement_token1] = ACTIONS(4457),
    [aux_sym_open_statement_token1] = ACTIONS(4457),
    [aux_sym_close_statement_token1] = ACTIONS(4457),
    [aux_sym_inquire_statement_token1] = ACTIONS(4457),
    [aux_sym_enum_statement_token1] = ACTIONS(4457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token2] = ACTIONS(4457),
    [aux_sym_file_position_statement_token3] = ACTIONS(4457),
    [aux_sym_file_position_statement_token4] = ACTIONS(4457),
    [aux_sym_allocate_statement_token1] = ACTIONS(4457),
    [aux_sym_entry_statement_token1] = ACTIONS(4457),
    [aux_sym_logical_expression_token5] = ACTIONS(4459),
    [anon_sym_DOT] = ACTIONS(4457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4459),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [aux_sym_boolean_literal_token1] = ACTIONS(4459),
    [aux_sym_boolean_literal_token2] = ACTIONS(4459),
    [aux_sym_null_literal_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token2] = ACTIONS(4457),
    [aux_sym_coarray_statement_token6] = ACTIONS(4457),
    [aux_sym_coarray_statement_token8] = ACTIONS(4457),
    [aux_sym_coarray_statement_token11] = ACTIONS(4457),
    [aux_sym_coarray_statement_token12] = ACTIONS(4457),
    [aux_sym_coarray_statement_token13] = ACTIONS(4457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4457),
    [aux_sym_identifier_token1] = ACTIONS(4457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4459),
    [sym__float_literal] = ACTIONS(4459),
    [sym__boz_literal] = ACTIONS(4459),
    [sym__string_literal] = ACTIONS(4459),
    [sym__string_literal_kind] = ACTIONS(4459),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(4607),
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token2] = ACTIONS(4605),
    [aux_sym_module_statement_token1] = ACTIONS(4605),
    [aux_sym_submodule_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_function_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4605),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(4611),
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token2] = ACTIONS(4609),
    [aux_sym_module_statement_token1] = ACTIONS(4609),
    [aux_sym_submodule_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_function_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4609),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(4555),
    [aux_sym_preproc_include_token1] = ACTIONS(4553),
    [aux_sym_preproc_def_token1] = ACTIONS(4553),
    [aux_sym_preproc_if_token1] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4553),
    [sym_preproc_directive] = ACTIONS(4553),
    [anon_sym_LPAREN2] = ACTIONS(4553),
    [anon_sym_PLUS] = ACTIONS(4555),
    [anon_sym_DASH] = ACTIONS(4555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token1] = ACTIONS(4553),
    [aux_sym_end_program_statement_token2] = ACTIONS(4553),
    [aux_sym_module_statement_token1] = ACTIONS(4553),
    [aux_sym_submodule_statement_token1] = ACTIONS(4553),
    [aux_sym_interface_statement_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4553),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4553),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4553),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4553),
    [aux_sym_function_statement_token1] = ACTIONS(4553),
    [aux_sym_language_binding_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4553),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4553),
    [aux_sym_contains_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token1] = ACTIONS(4553),
    [aux_sym_use_statement_token2] = ACTIONS(4553),
    [aux_sym_implicit_statement_token1] = ACTIONS(4553),
    [aux_sym_implicit_statement_token3] = ACTIONS(4553),
    [aux_sym_implicit_statement_token4] = ACTIONS(4553),
    [aux_sym_save_statement_token1] = ACTIONS(4553),
    [aux_sym_private_statement_token1] = ACTIONS(4553),
    [aux_sym_public_statement_token1] = ACTIONS(4553),
    [aux_sym_namelist_statement_token1] = ACTIONS(4553),
    [aux_sym_common_statement_token1] = ACTIONS(4553),
    [aux_sym_import_statement_token1] = ACTIONS(4553),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4553),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4553),
    [aux_sym_variable_attributes_token1] = ACTIONS(4553),
    [aux_sym_variable_attributes_token2] = ACTIONS(4553),
    [aux_sym_variable_attributes_token3] = ACTIONS(4553),
    [aux_sym_variable_attributes_token4] = ACTIONS(4553),
    [aux_sym_variable_attributes_token5] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4553),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4553),
    [aux_sym_derived_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token1] = ACTIONS(4553),
    [aux_sym_declared_type_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4553),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4553),
    [aux_sym_type_qualifier_token1] = ACTIONS(4553),
    [aux_sym_type_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4553),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4553),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4553),
    [anon_sym_SEMI] = ACTIONS(4555),
    [aux_sym_stop_statement_token1] = ACTIONS(4553),
    [aux_sym_stop_statement_token2] = ACTIONS(4553),
    [aux_sym_subroutine_call_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token1] = ACTIONS(4553),
    [aux_sym_keyword_statement_token2] = ACTIONS(4553),
    [aux_sym_keyword_statement_token3] = ACTIONS(4553),
    [aux_sym_keyword_statement_token4] = ACTIONS(4553),
    [aux_sym_keyword_statement_token6] = ACTIONS(4553),
    [aux_sym_keyword_statement_token7] = ACTIONS(4553),
    [aux_sym_include_statement_token1] = ACTIONS(4553),
    [aux_sym_data_statement_token1] = ACTIONS(4553),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4553),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4553),
    [aux_sym_end_if_statement_token1] = ACTIONS(4553),
    [aux_sym_elseif_clause_token2] = ACTIONS(4553),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4553),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token1] = ACTIONS(4553),
    [aux_sym_select_case_statement_token3] = ACTIONS(4553),
    [aux_sym_select_type_statement_token1] = ACTIONS(4553),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4553),
    [aux_sym_block_construct_token1] = ACTIONS(4553),
    [aux_sym_associate_statement_token1] = ACTIONS(4553),
    [aux_sym_format_statement_token1] = ACTIONS(4553),
    [aux_sym_print_statement_token1] = ACTIONS(4553),
    [aux_sym_open_statement_token1] = ACTIONS(4553),
    [aux_sym_close_statement_token1] = ACTIONS(4553),
    [aux_sym_inquire_statement_token1] = ACTIONS(4553),
    [aux_sym_enum_statement_token1] = ACTIONS(4553),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token1] = ACTIONS(4553),
    [aux_sym_file_position_statement_token2] = ACTIONS(4553),
    [aux_sym_file_position_statement_token3] = ACTIONS(4553),
    [aux_sym_file_position_statement_token4] = ACTIONS(4553),
    [aux_sym_allocate_statement_token1] = ACTIONS(4553),
    [aux_sym_entry_statement_token1] = ACTIONS(4553),
    [aux_sym_logical_expression_token5] = ACTIONS(4555),
    [anon_sym_DOT] = ACTIONS(4553),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4555),
    [anon_sym_LBRACK] = ACTIONS(4555),
    [aux_sym_boolean_literal_token1] = ACTIONS(4555),
    [aux_sym_boolean_literal_token2] = ACTIONS(4555),
    [aux_sym_null_literal_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_statement_token2] = ACTIONS(4553),
    [aux_sym_coarray_statement_token6] = ACTIONS(4553),
    [aux_sym_coarray_statement_token8] = ACTIONS(4553),
    [aux_sym_coarray_statement_token11] = ACTIONS(4553),
    [aux_sym_coarray_statement_token12] = ACTIONS(4553),
    [aux_sym_coarray_statement_token13] = ACTIONS(4553),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4553),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4553),
    [aux_sym_identifier_token1] = ACTIONS(4553),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4555),
    [sym__float_literal] = ACTIONS(4555),
    [sym__boz_literal] = ACTIONS(4555),
    [sym__string_literal] = ACTIONS(4555),
    [sym__string_literal_kind] = ACTIONS(4555),
  },
  [1050] = {
    [ts_builtin_sym_end] = ACTIONS(4543),
    [aux_sym_preproc_include_token1] = ACTIONS(4541),
    [aux_sym_preproc_def_token1] = ACTIONS(4541),
    [aux_sym_preproc_if_token1] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4541),
    [sym_preproc_directive] = ACTIONS(4541),
    [anon_sym_LPAREN2] = ACTIONS(4541),
    [anon_sym_PLUS] = ACTIONS(4543),
    [anon_sym_DASH] = ACTIONS(4543),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token1] = ACTIONS(4541),
    [aux_sym_end_program_statement_token2] = ACTIONS(4541),
    [aux_sym_module_statement_token1] = ACTIONS(4541),
    [aux_sym_submodule_statement_token1] = ACTIONS(4541),
    [aux_sym_interface_statement_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4541),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4541),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4541),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4541),
    [aux_sym_function_statement_token1] = ACTIONS(4541),
    [aux_sym_language_binding_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4541),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4541),
    [aux_sym_contains_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token1] = ACTIONS(4541),
    [aux_sym_use_statement_token2] = ACTIONS(4541),
    [aux_sym_implicit_statement_token1] = ACTIONS(4541),
    [aux_sym_implicit_statement_token3] = ACTIONS(4541),
    [aux_sym_implicit_statement_token4] = ACTIONS(4541),
    [aux_sym_save_statement_token1] = ACTIONS(4541),
    [aux_sym_private_statement_token1] = ACTIONS(4541),
    [aux_sym_public_statement_token1] = ACTIONS(4541),
    [aux_sym_namelist_statement_token1] = ACTIONS(4541),
    [aux_sym_common_statement_token1] = ACTIONS(4541),
    [aux_sym_import_statement_token1] = ACTIONS(4541),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4541),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4541),
    [aux_sym_variable_attributes_token1] = ACTIONS(4541),
    [aux_sym_variable_attributes_token2] = ACTIONS(4541),
    [aux_sym_variable_attributes_token3] = ACTIONS(4541),
    [aux_sym_variable_attributes_token4] = ACTIONS(4541),
    [aux_sym_variable_attributes_token5] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4541),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4541),
    [aux_sym_derived_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token1] = ACTIONS(4541),
    [aux_sym_declared_type_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4541),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4541),
    [aux_sym_type_qualifier_token1] = ACTIONS(4541),
    [aux_sym_type_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4541),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4541),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4541),
    [anon_sym_SEMI] = ACTIONS(4543),
    [aux_sym_stop_statement_token1] = ACTIONS(4541),
    [aux_sym_stop_statement_token2] = ACTIONS(4541),
    [aux_sym_subroutine_call_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token1] = ACTIONS(4541),
    [aux_sym_keyword_statement_token2] = ACTIONS(4541),
    [aux_sym_keyword_statement_token3] = ACTIONS(4541),
    [aux_sym_keyword_statement_token4] = ACTIONS(4541),
    [aux_sym_keyword_statement_token6] = ACTIONS(4541),
    [aux_sym_keyword_statement_token7] = ACTIONS(4541),
    [aux_sym_include_statement_token1] = ACTIONS(4541),
    [aux_sym_data_statement_token1] = ACTIONS(4541),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4541),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4541),
    [aux_sym_end_if_statement_token1] = ACTIONS(4541),
    [aux_sym_elseif_clause_token2] = ACTIONS(4541),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4541),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token1] = ACTIONS(4541),
    [aux_sym_select_case_statement_token3] = ACTIONS(4541),
    [aux_sym_select_type_statement_token1] = ACTIONS(4541),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4541),
    [aux_sym_block_construct_token1] = ACTIONS(4541),
    [aux_sym_associate_statement_token1] = ACTIONS(4541),
    [aux_sym_format_statement_token1] = ACTIONS(4541),
    [aux_sym_print_statement_token1] = ACTIONS(4541),
    [aux_sym_open_statement_token1] = ACTIONS(4541),
    [aux_sym_close_statement_token1] = ACTIONS(4541),
    [aux_sym_inquire_statement_token1] = ACTIONS(4541),
    [aux_sym_enum_statement_token1] = ACTIONS(4541),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token1] = ACTIONS(4541),
    [aux_sym_file_position_statement_token2] = ACTIONS(4541),
    [aux_sym_file_position_statement_token3] = ACTIONS(4541),
    [aux_sym_file_position_statement_token4] = ACTIONS(4541),
    [aux_sym_allocate_statement_token1] = ACTIONS(4541),
    [aux_sym_entry_statement_token1] = ACTIONS(4541),
    [aux_sym_logical_expression_token5] = ACTIONS(4543),
    [anon_sym_DOT] = ACTIONS(4541),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(4543),
    [aux_sym_boolean_literal_token1] = ACTIONS(4543),
    [aux_sym_boolean_literal_token2] = ACTIONS(4543),
    [aux_sym_null_literal_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_statement_token2] = ACTIONS(4541),
    [aux_sym_coarray_statement_token6] = ACTIONS(4541),
    [aux_sym_coarray_statement_token8] = ACTIONS(4541),
    [aux_sym_coarray_statement_token11] = ACTIONS(4541),
    [aux_sym_coarray_statement_token12] = ACTIONS(4541),
    [aux_sym_coarray_statement_token13] = ACTIONS(4541),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4541),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4541),
    [aux_sym_identifier_token1] = ACTIONS(4541),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4543),
    [sym__float_literal] = ACTIONS(4543),
    [sym__boz_literal] = ACTIONS(4543),
    [sym__string_literal] = ACTIONS(4543),
    [sym__string_literal_kind] = ACTIONS(4543),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(4559),
    [aux_sym_preproc_include_token1] = ACTIONS(4557),
    [aux_sym_preproc_def_token1] = ACTIONS(4557),
    [aux_sym_preproc_if_token1] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4557),
    [sym_preproc_directive] = ACTIONS(4557),
    [anon_sym_LPAREN2] = ACTIONS(4557),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token1] = ACTIONS(4557),
    [aux_sym_end_program_statement_token2] = ACTIONS(4557),
    [aux_sym_module_statement_token1] = ACTIONS(4557),
    [aux_sym_submodule_statement_token1] = ACTIONS(4557),
    [aux_sym_interface_statement_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4557),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4557),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4557),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4557),
    [aux_sym_function_statement_token1] = ACTIONS(4557),
    [aux_sym_language_binding_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4557),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4557),
    [aux_sym_contains_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token1] = ACTIONS(4557),
    [aux_sym_use_statement_token2] = ACTIONS(4557),
    [aux_sym_implicit_statement_token1] = ACTIONS(4557),
    [aux_sym_implicit_statement_token3] = ACTIONS(4557),
    [aux_sym_implicit_statement_token4] = ACTIONS(4557),
    [aux_sym_save_statement_token1] = ACTIONS(4557),
    [aux_sym_private_statement_token1] = ACTIONS(4557),
    [aux_sym_public_statement_token1] = ACTIONS(4557),
    [aux_sym_namelist_statement_token1] = ACTIONS(4557),
    [aux_sym_common_statement_token1] = ACTIONS(4557),
    [aux_sym_import_statement_token1] = ACTIONS(4557),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4557),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4557),
    [aux_sym_variable_attributes_token1] = ACTIONS(4557),
    [aux_sym_variable_attributes_token2] = ACTIONS(4557),
    [aux_sym_variable_attributes_token3] = ACTIONS(4557),
    [aux_sym_variable_attributes_token4] = ACTIONS(4557),
    [aux_sym_variable_attributes_token5] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4557),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4557),
    [aux_sym_derived_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token1] = ACTIONS(4557),
    [aux_sym_declared_type_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4557),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4557),
    [aux_sym_type_qualifier_token1] = ACTIONS(4557),
    [aux_sym_type_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4557),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4557),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4557),
    [anon_sym_SEMI] = ACTIONS(4559),
    [aux_sym_stop_statement_token1] = ACTIONS(4557),
    [aux_sym_stop_statement_token2] = ACTIONS(4557),
    [aux_sym_subroutine_call_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token1] = ACTIONS(4557),
    [aux_sym_keyword_statement_token2] = ACTIONS(4557),
    [aux_sym_keyword_statement_token3] = ACTIONS(4557),
    [aux_sym_keyword_statement_token4] = ACTIONS(4557),
    [aux_sym_keyword_statement_token6] = ACTIONS(4557),
    [aux_sym_keyword_statement_token7] = ACTIONS(4557),
    [aux_sym_include_statement_token1] = ACTIONS(4557),
    [aux_sym_data_statement_token1] = ACTIONS(4557),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4557),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4557),
    [aux_sym_end_if_statement_token1] = ACTIONS(4557),
    [aux_sym_elseif_clause_token2] = ACTIONS(4557),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4557),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token1] = ACTIONS(4557),
    [aux_sym_select_case_statement_token3] = ACTIONS(4557),
    [aux_sym_select_type_statement_token1] = ACTIONS(4557),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4557),
    [aux_sym_block_construct_token1] = ACTIONS(4557),
    [aux_sym_associate_statement_token1] = ACTIONS(4557),
    [aux_sym_format_statement_token1] = ACTIONS(4557),
    [aux_sym_print_statement_token1] = ACTIONS(4557),
    [aux_sym_open_statement_token1] = ACTIONS(4557),
    [aux_sym_close_statement_token1] = ACTIONS(4557),
    [aux_sym_inquire_statement_token1] = ACTIONS(4557),
    [aux_sym_enum_statement_token1] = ACTIONS(4557),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token1] = ACTIONS(4557),
    [aux_sym_file_position_statement_token2] = ACTIONS(4557),
    [aux_sym_file_position_statement_token3] = ACTIONS(4557),
    [aux_sym_file_position_statement_token4] = ACTIONS(4557),
    [aux_sym_allocate_statement_token1] = ACTIONS(4557),
    [aux_sym_entry_statement_token1] = ACTIONS(4557),
    [aux_sym_logical_expression_token5] = ACTIONS(4559),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4559),
    [anon_sym_LBRACK] = ACTIONS(4559),
    [aux_sym_boolean_literal_token1] = ACTIONS(4559),
    [aux_sym_boolean_literal_token2] = ACTIONS(4559),
    [aux_sym_null_literal_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_statement_token2] = ACTIONS(4557),
    [aux_sym_coarray_statement_token6] = ACTIONS(4557),
    [aux_sym_coarray_statement_token8] = ACTIONS(4557),
    [aux_sym_coarray_statement_token11] = ACTIONS(4557),
    [aux_sym_coarray_statement_token12] = ACTIONS(4557),
    [aux_sym_coarray_statement_token13] = ACTIONS(4557),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4557),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4557),
    [aux_sym_identifier_token1] = ACTIONS(4557),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4559),
    [sym__float_literal] = ACTIONS(4559),
    [sym__boz_literal] = ACTIONS(4559),
    [sym__string_literal] = ACTIONS(4559),
    [sym__string_literal_kind] = ACTIONS(4559),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(376),
    [aux_sym_preproc_if_token1] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(376),
    [sym_preproc_directive] = ACTIONS(376),
    [anon_sym_LPAREN2] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token2] = ACTIONS(376),
    [aux_sym_module_statement_token1] = ACTIONS(376),
    [aux_sym_submodule_statement_token1] = ACTIONS(376),
    [aux_sym_interface_statement_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(376),
    [aux_sym_function_statement_token1] = ACTIONS(376),
    [aux_sym_language_binding_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(376),
    [aux_sym_contains_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token2] = ACTIONS(376),
    [aux_sym_implicit_statement_token1] = ACTIONS(376),
    [aux_sym_implicit_statement_token3] = ACTIONS(376),
    [aux_sym_implicit_statement_token4] = ACTIONS(376),
    [aux_sym_save_statement_token1] = ACTIONS(376),
    [aux_sym_private_statement_token1] = ACTIONS(376),
    [aux_sym_public_statement_token1] = ACTIONS(376),
    [aux_sym_namelist_statement_token1] = ACTIONS(376),
    [aux_sym_common_statement_token1] = ACTIONS(376),
    [aux_sym_import_statement_token1] = ACTIONS(376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(376),
    [aux_sym_variable_attributes_token1] = ACTIONS(376),
    [aux_sym_variable_attributes_token2] = ACTIONS(376),
    [aux_sym_variable_attributes_token3] = ACTIONS(376),
    [aux_sym_variable_attributes_token4] = ACTIONS(376),
    [aux_sym_variable_attributes_token5] = ACTIONS(376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(376),
    [aux_sym_derived_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(376),
    [aux_sym_type_qualifier_token1] = ACTIONS(376),
    [aux_sym_type_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(376),
    [anon_sym_SEMI] = ACTIONS(692),
    [aux_sym_stop_statement_token1] = ACTIONS(376),
    [aux_sym_stop_statement_token2] = ACTIONS(376),
    [aux_sym_subroutine_call_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token2] = ACTIONS(376),
    [aux_sym_keyword_statement_token3] = ACTIONS(376),
    [aux_sym_keyword_statement_token4] = ACTIONS(376),
    [aux_sym_keyword_statement_token6] = ACTIONS(376),
    [aux_sym_keyword_statement_token7] = ACTIONS(376),
    [aux_sym_include_statement_token1] = ACTIONS(376),
    [aux_sym_data_statement_token1] = ACTIONS(376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(376),
    [aux_sym_end_if_statement_token1] = ACTIONS(376),
    [aux_sym_elseif_clause_token2] = ACTIONS(376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token3] = ACTIONS(376),
    [aux_sym_select_type_statement_token1] = ACTIONS(376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(376),
    [aux_sym_block_construct_token1] = ACTIONS(376),
    [aux_sym_associate_statement_token1] = ACTIONS(376),
    [aux_sym_format_statement_token1] = ACTIONS(376),
    [aux_sym_print_statement_token1] = ACTIONS(376),
    [aux_sym_open_statement_token1] = ACTIONS(376),
    [aux_sym_close_statement_token1] = ACTIONS(376),
    [aux_sym_inquire_statement_token1] = ACTIONS(376),
    [aux_sym_enum_statement_token1] = ACTIONS(376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token2] = ACTIONS(376),
    [aux_sym_file_position_statement_token3] = ACTIONS(376),
    [aux_sym_file_position_statement_token4] = ACTIONS(376),
    [aux_sym_allocate_statement_token1] = ACTIONS(376),
    [aux_sym_entry_statement_token1] = ACTIONS(376),
    [aux_sym_logical_expression_token5] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(692),
    [aux_sym_boolean_literal_token1] = ACTIONS(692),
    [aux_sym_boolean_literal_token2] = ACTIONS(692),
    [aux_sym_null_literal_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token2] = ACTIONS(376),
    [aux_sym_coarray_statement_token6] = ACTIONS(376),
    [aux_sym_coarray_statement_token8] = ACTIONS(376),
    [aux_sym_coarray_statement_token11] = ACTIONS(376),
    [aux_sym_coarray_statement_token12] = ACTIONS(376),
    [aux_sym_coarray_statement_token13] = ACTIONS(376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(376),
    [aux_sym_identifier_token1] = ACTIONS(376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(692),
    [sym__float_literal] = ACTIONS(692),
    [sym__boz_literal] = ACTIONS(692),
    [sym__string_literal] = ACTIONS(692),
    [sym__string_literal_kind] = ACTIONS(692),
  },
  [1053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4417),
    [aux_sym_preproc_def_token1] = ACTIONS(4417),
    [aux_sym_preproc_if_token1] = ACTIONS(4417),
    [aux_sym_preproc_if_token2] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4417),
    [sym_preproc_directive] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(4417),
    [anon_sym_PLUS] = ACTIONS(4419),
    [anon_sym_DASH] = ACTIONS(4419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token2] = ACTIONS(4417),
    [aux_sym_module_statement_token1] = ACTIONS(4417),
    [aux_sym_submodule_statement_token1] = ACTIONS(4417),
    [aux_sym_interface_statement_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4417),
    [aux_sym_function_statement_token1] = ACTIONS(4417),
    [aux_sym_language_binding_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4417),
    [aux_sym_contains_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token2] = ACTIONS(4417),
    [aux_sym_implicit_statement_token1] = ACTIONS(4417),
    [aux_sym_implicit_statement_token3] = ACTIONS(4417),
    [aux_sym_implicit_statement_token4] = ACTIONS(4417),
    [aux_sym_save_statement_token1] = ACTIONS(4417),
    [aux_sym_private_statement_token1] = ACTIONS(4417),
    [aux_sym_public_statement_token1] = ACTIONS(4417),
    [aux_sym_namelist_statement_token1] = ACTIONS(4417),
    [aux_sym_common_statement_token1] = ACTIONS(4417),
    [aux_sym_import_statement_token1] = ACTIONS(4417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4417),
    [aux_sym_variable_attributes_token1] = ACTIONS(4417),
    [aux_sym_variable_attributes_token2] = ACTIONS(4417),
    [aux_sym_variable_attributes_token3] = ACTIONS(4417),
    [aux_sym_variable_attributes_token4] = ACTIONS(4417),
    [aux_sym_variable_attributes_token5] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4417),
    [aux_sym_derived_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4417),
    [aux_sym_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4417),
    [anon_sym_SEMI] = ACTIONS(4419),
    [aux_sym_stop_statement_token1] = ACTIONS(4417),
    [aux_sym_stop_statement_token2] = ACTIONS(4417),
    [aux_sym_subroutine_call_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token2] = ACTIONS(4417),
    [aux_sym_keyword_statement_token3] = ACTIONS(4417),
    [aux_sym_keyword_statement_token4] = ACTIONS(4417),
    [aux_sym_keyword_statement_token6] = ACTIONS(4417),
    [aux_sym_keyword_statement_token7] = ACTIONS(4417),
    [aux_sym_include_statement_token1] = ACTIONS(4417),
    [aux_sym_data_statement_token1] = ACTIONS(4417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4417),
    [aux_sym_end_if_statement_token1] = ACTIONS(4417),
    [aux_sym_elseif_clause_token2] = ACTIONS(4417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token3] = ACTIONS(4417),
    [aux_sym_select_type_statement_token1] = ACTIONS(4417),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4417),
    [aux_sym_block_construct_token1] = ACTIONS(4417),
    [aux_sym_associate_statement_token1] = ACTIONS(4417),
    [aux_sym_format_statement_token1] = ACTIONS(4417),
    [aux_sym_print_statement_token1] = ACTIONS(4417),
    [aux_sym_open_statement_token1] = ACTIONS(4417),
    [aux_sym_close_statement_token1] = ACTIONS(4417),
    [aux_sym_inquire_statement_token1] = ACTIONS(4417),
    [aux_sym_enum_statement_token1] = ACTIONS(4417),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token2] = ACTIONS(4417),
    [aux_sym_file_position_statement_token3] = ACTIONS(4417),
    [aux_sym_file_position_statement_token4] = ACTIONS(4417),
    [aux_sym_allocate_statement_token1] = ACTIONS(4417),
    [aux_sym_entry_statement_token1] = ACTIONS(4417),
    [aux_sym_logical_expression_token5] = ACTIONS(4419),
    [anon_sym_DOT] = ACTIONS(4417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(4419),
    [aux_sym_boolean_literal_token1] = ACTIONS(4419),
    [aux_sym_boolean_literal_token2] = ACTIONS(4419),
    [aux_sym_null_literal_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token2] = ACTIONS(4417),
    [aux_sym_coarray_statement_token6] = ACTIONS(4417),
    [aux_sym_coarray_statement_token8] = ACTIONS(4417),
    [aux_sym_coarray_statement_token11] = ACTIONS(4417),
    [aux_sym_coarray_statement_token12] = ACTIONS(4417),
    [aux_sym_coarray_statement_token13] = ACTIONS(4417),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4417),
    [aux_sym_identifier_token1] = ACTIONS(4417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4419),
    [sym__float_literal] = ACTIONS(4419),
    [sym__boz_literal] = ACTIONS(4419),
    [sym__string_literal] = ACTIONS(4419),
    [sym__string_literal_kind] = ACTIONS(4419),
  },
  [1054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4421),
    [aux_sym_preproc_def_token1] = ACTIONS(4421),
    [aux_sym_preproc_if_token1] = ACTIONS(4421),
    [aux_sym_preproc_if_token2] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4421),
    [sym_preproc_directive] = ACTIONS(4421),
    [anon_sym_LPAREN2] = ACTIONS(4421),
    [anon_sym_PLUS] = ACTIONS(4423),
    [anon_sym_DASH] = ACTIONS(4423),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token1] = ACTIONS(4421),
    [aux_sym_end_program_statement_token2] = ACTIONS(4421),
    [aux_sym_module_statement_token1] = ACTIONS(4421),
    [aux_sym_submodule_statement_token1] = ACTIONS(4421),
    [aux_sym_interface_statement_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4421),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4421),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4421),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4421),
    [aux_sym_function_statement_token1] = ACTIONS(4421),
    [aux_sym_language_binding_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4421),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4421),
    [aux_sym_contains_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token1] = ACTIONS(4421),
    [aux_sym_use_statement_token2] = ACTIONS(4421),
    [aux_sym_implicit_statement_token1] = ACTIONS(4421),
    [aux_sym_implicit_statement_token3] = ACTIONS(4421),
    [aux_sym_implicit_statement_token4] = ACTIONS(4421),
    [aux_sym_save_statement_token1] = ACTIONS(4421),
    [aux_sym_private_statement_token1] = ACTIONS(4421),
    [aux_sym_public_statement_token1] = ACTIONS(4421),
    [aux_sym_namelist_statement_token1] = ACTIONS(4421),
    [aux_sym_common_statement_token1] = ACTIONS(4421),
    [aux_sym_import_statement_token1] = ACTIONS(4421),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4421),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4421),
    [aux_sym_variable_attributes_token1] = ACTIONS(4421),
    [aux_sym_variable_attributes_token2] = ACTIONS(4421),
    [aux_sym_variable_attributes_token3] = ACTIONS(4421),
    [aux_sym_variable_attributes_token4] = ACTIONS(4421),
    [aux_sym_variable_attributes_token5] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4421),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4421),
    [aux_sym_derived_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token1] = ACTIONS(4421),
    [aux_sym_declared_type_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4421),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4421),
    [aux_sym_type_qualifier_token1] = ACTIONS(4421),
    [aux_sym_type_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4421),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4421),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4421),
    [anon_sym_SEMI] = ACTIONS(4423),
    [aux_sym_stop_statement_token1] = ACTIONS(4421),
    [aux_sym_stop_statement_token2] = ACTIONS(4421),
    [aux_sym_subroutine_call_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token1] = ACTIONS(4421),
    [aux_sym_keyword_statement_token2] = ACTIONS(4421),
    [aux_sym_keyword_statement_token3] = ACTIONS(4421),
    [aux_sym_keyword_statement_token4] = ACTIONS(4421),
    [aux_sym_keyword_statement_token6] = ACTIONS(4421),
    [aux_sym_keyword_statement_token7] = ACTIONS(4421),
    [aux_sym_include_statement_token1] = ACTIONS(4421),
    [aux_sym_data_statement_token1] = ACTIONS(4421),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4421),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4421),
    [aux_sym_end_if_statement_token1] = ACTIONS(4421),
    [aux_sym_elseif_clause_token2] = ACTIONS(4421),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4421),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token1] = ACTIONS(4421),
    [aux_sym_select_case_statement_token3] = ACTIONS(4421),
    [aux_sym_select_type_statement_token1] = ACTIONS(4421),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4421),
    [aux_sym_block_construct_token1] = ACTIONS(4421),
    [aux_sym_associate_statement_token1] = ACTIONS(4421),
    [aux_sym_format_statement_token1] = ACTIONS(4421),
    [aux_sym_print_statement_token1] = ACTIONS(4421),
    [aux_sym_open_statement_token1] = ACTIONS(4421),
    [aux_sym_close_statement_token1] = ACTIONS(4421),
    [aux_sym_inquire_statement_token1] = ACTIONS(4421),
    [aux_sym_enum_statement_token1] = ACTIONS(4421),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token1] = ACTIONS(4421),
    [aux_sym_file_position_statement_token2] = ACTIONS(4421),
    [aux_sym_file_position_statement_token3] = ACTIONS(4421),
    [aux_sym_file_position_statement_token4] = ACTIONS(4421),
    [aux_sym_allocate_statement_token1] = ACTIONS(4421),
    [aux_sym_entry_statement_token1] = ACTIONS(4421),
    [aux_sym_logical_expression_token5] = ACTIONS(4423),
    [anon_sym_DOT] = ACTIONS(4421),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [aux_sym_boolean_literal_token1] = ACTIONS(4423),
    [aux_sym_boolean_literal_token2] = ACTIONS(4423),
    [aux_sym_null_literal_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_statement_token2] = ACTIONS(4421),
    [aux_sym_coarray_statement_token6] = ACTIONS(4421),
    [aux_sym_coarray_statement_token8] = ACTIONS(4421),
    [aux_sym_coarray_statement_token11] = ACTIONS(4421),
    [aux_sym_coarray_statement_token12] = ACTIONS(4421),
    [aux_sym_coarray_statement_token13] = ACTIONS(4421),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4421),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4421),
    [aux_sym_identifier_token1] = ACTIONS(4421),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4423),
    [sym__float_literal] = ACTIONS(4423),
    [sym__boz_literal] = ACTIONS(4423),
    [sym__string_literal] = ACTIONS(4423),
    [sym__string_literal_kind] = ACTIONS(4423),
  },
  [1055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4425),
    [aux_sym_preproc_if_token1] = ACTIONS(4425),
    [aux_sym_preproc_if_token2] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4425),
    [sym_preproc_directive] = ACTIONS(4425),
    [anon_sym_LPAREN2] = ACTIONS(4425),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token2] = ACTIONS(4425),
    [aux_sym_module_statement_token1] = ACTIONS(4425),
    [aux_sym_submodule_statement_token1] = ACTIONS(4425),
    [aux_sym_interface_statement_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4425),
    [aux_sym_function_statement_token1] = ACTIONS(4425),
    [aux_sym_language_binding_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4425),
    [aux_sym_contains_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token2] = ACTIONS(4425),
    [aux_sym_implicit_statement_token1] = ACTIONS(4425),
    [aux_sym_implicit_statement_token3] = ACTIONS(4425),
    [aux_sym_implicit_statement_token4] = ACTIONS(4425),
    [aux_sym_save_statement_token1] = ACTIONS(4425),
    [aux_sym_private_statement_token1] = ACTIONS(4425),
    [aux_sym_public_statement_token1] = ACTIONS(4425),
    [aux_sym_namelist_statement_token1] = ACTIONS(4425),
    [aux_sym_common_statement_token1] = ACTIONS(4425),
    [aux_sym_import_statement_token1] = ACTIONS(4425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4425),
    [aux_sym_variable_attributes_token1] = ACTIONS(4425),
    [aux_sym_variable_attributes_token2] = ACTIONS(4425),
    [aux_sym_variable_attributes_token3] = ACTIONS(4425),
    [aux_sym_variable_attributes_token4] = ACTIONS(4425),
    [aux_sym_variable_attributes_token5] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4425),
    [aux_sym_derived_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4425),
    [aux_sym_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4425),
    [anon_sym_SEMI] = ACTIONS(4427),
    [aux_sym_stop_statement_token1] = ACTIONS(4425),
    [aux_sym_stop_statement_token2] = ACTIONS(4425),
    [aux_sym_subroutine_call_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token2] = ACTIONS(4425),
    [aux_sym_keyword_statement_token3] = ACTIONS(4425),
    [aux_sym_keyword_statement_token4] = ACTIONS(4425),
    [aux_sym_keyword_statement_token6] = ACTIONS(4425),
    [aux_sym_keyword_statement_token7] = ACTIONS(4425),
    [aux_sym_include_statement_token1] = ACTIONS(4425),
    [aux_sym_data_statement_token1] = ACTIONS(4425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4425),
    [aux_sym_end_if_statement_token1] = ACTIONS(4425),
    [aux_sym_elseif_clause_token2] = ACTIONS(4425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token3] = ACTIONS(4425),
    [aux_sym_select_type_statement_token1] = ACTIONS(4425),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4425),
    [aux_sym_block_construct_token1] = ACTIONS(4425),
    [aux_sym_associate_statement_token1] = ACTIONS(4425),
    [aux_sym_format_statement_token1] = ACTIONS(4425),
    [aux_sym_print_statement_token1] = ACTIONS(4425),
    [aux_sym_open_statement_token1] = ACTIONS(4425),
    [aux_sym_close_statement_token1] = ACTIONS(4425),
    [aux_sym_inquire_statement_token1] = ACTIONS(4425),
    [aux_sym_enum_statement_token1] = ACTIONS(4425),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token2] = ACTIONS(4425),
    [aux_sym_file_position_statement_token3] = ACTIONS(4425),
    [aux_sym_file_position_statement_token4] = ACTIONS(4425),
    [aux_sym_allocate_statement_token1] = ACTIONS(4425),
    [aux_sym_entry_statement_token1] = ACTIONS(4425),
    [aux_sym_logical_expression_token5] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [aux_sym_boolean_literal_token1] = ACTIONS(4427),
    [aux_sym_boolean_literal_token2] = ACTIONS(4427),
    [aux_sym_null_literal_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token2] = ACTIONS(4425),
    [aux_sym_coarray_statement_token6] = ACTIONS(4425),
    [aux_sym_coarray_statement_token8] = ACTIONS(4425),
    [aux_sym_coarray_statement_token11] = ACTIONS(4425),
    [aux_sym_coarray_statement_token12] = ACTIONS(4425),
    [aux_sym_coarray_statement_token13] = ACTIONS(4425),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4425),
    [aux_sym_identifier_token1] = ACTIONS(4425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4427),
    [sym__float_literal] = ACTIONS(4427),
    [sym__boz_literal] = ACTIONS(4427),
    [sym__string_literal] = ACTIONS(4427),
    [sym__string_literal_kind] = ACTIONS(4427),
  },
  [1056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4429),
    [aux_sym_preproc_def_token1] = ACTIONS(4429),
    [aux_sym_preproc_if_token1] = ACTIONS(4429),
    [aux_sym_preproc_if_token2] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4429),
    [sym_preproc_directive] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4431),
    [anon_sym_DASH] = ACTIONS(4431),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token1] = ACTIONS(4429),
    [aux_sym_end_program_statement_token2] = ACTIONS(4429),
    [aux_sym_module_statement_token1] = ACTIONS(4429),
    [aux_sym_submodule_statement_token1] = ACTIONS(4429),
    [aux_sym_interface_statement_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4429),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4429),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4429),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4429),
    [aux_sym_function_statement_token1] = ACTIONS(4429),
    [aux_sym_language_binding_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4429),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4429),
    [aux_sym_contains_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token1] = ACTIONS(4429),
    [aux_sym_use_statement_token2] = ACTIONS(4429),
    [aux_sym_implicit_statement_token1] = ACTIONS(4429),
    [aux_sym_implicit_statement_token3] = ACTIONS(4429),
    [aux_sym_implicit_statement_token4] = ACTIONS(4429),
    [aux_sym_save_statement_token1] = ACTIONS(4429),
    [aux_sym_private_statement_token1] = ACTIONS(4429),
    [aux_sym_public_statement_token1] = ACTIONS(4429),
    [aux_sym_namelist_statement_token1] = ACTIONS(4429),
    [aux_sym_common_statement_token1] = ACTIONS(4429),
    [aux_sym_import_statement_token1] = ACTIONS(4429),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4429),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4429),
    [aux_sym_variable_attributes_token1] = ACTIONS(4429),
    [aux_sym_variable_attributes_token2] = ACTIONS(4429),
    [aux_sym_variable_attributes_token3] = ACTIONS(4429),
    [aux_sym_variable_attributes_token4] = ACTIONS(4429),
    [aux_sym_variable_attributes_token5] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4429),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4429),
    [aux_sym_derived_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token1] = ACTIONS(4429),
    [aux_sym_declared_type_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4429),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4429),
    [aux_sym_type_qualifier_token1] = ACTIONS(4429),
    [aux_sym_type_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4429),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4429),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4429),
    [anon_sym_SEMI] = ACTIONS(4431),
    [aux_sym_stop_statement_token1] = ACTIONS(4429),
    [aux_sym_stop_statement_token2] = ACTIONS(4429),
    [aux_sym_subroutine_call_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token1] = ACTIONS(4429),
    [aux_sym_keyword_statement_token2] = ACTIONS(4429),
    [aux_sym_keyword_statement_token3] = ACTIONS(4429),
    [aux_sym_keyword_statement_token4] = ACTIONS(4429),
    [aux_sym_keyword_statement_token6] = ACTIONS(4429),
    [aux_sym_keyword_statement_token7] = ACTIONS(4429),
    [aux_sym_include_statement_token1] = ACTIONS(4429),
    [aux_sym_data_statement_token1] = ACTIONS(4429),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4429),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4429),
    [aux_sym_end_if_statement_token1] = ACTIONS(4429),
    [aux_sym_elseif_clause_token2] = ACTIONS(4429),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4429),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token1] = ACTIONS(4429),
    [aux_sym_select_case_statement_token3] = ACTIONS(4429),
    [aux_sym_select_type_statement_token1] = ACTIONS(4429),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4429),
    [aux_sym_block_construct_token1] = ACTIONS(4429),
    [aux_sym_associate_statement_token1] = ACTIONS(4429),
    [aux_sym_format_statement_token1] = ACTIONS(4429),
    [aux_sym_print_statement_token1] = ACTIONS(4429),
    [aux_sym_open_statement_token1] = ACTIONS(4429),
    [aux_sym_close_statement_token1] = ACTIONS(4429),
    [aux_sym_inquire_statement_token1] = ACTIONS(4429),
    [aux_sym_enum_statement_token1] = ACTIONS(4429),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token1] = ACTIONS(4429),
    [aux_sym_file_position_statement_token2] = ACTIONS(4429),
    [aux_sym_file_position_statement_token3] = ACTIONS(4429),
    [aux_sym_file_position_statement_token4] = ACTIONS(4429),
    [aux_sym_allocate_statement_token1] = ACTIONS(4429),
    [aux_sym_entry_statement_token1] = ACTIONS(4429),
    [aux_sym_logical_expression_token5] = ACTIONS(4431),
    [anon_sym_DOT] = ACTIONS(4429),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(4431),
    [aux_sym_boolean_literal_token1] = ACTIONS(4431),
    [aux_sym_boolean_literal_token2] = ACTIONS(4431),
    [aux_sym_null_literal_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_statement_token2] = ACTIONS(4429),
    [aux_sym_coarray_statement_token6] = ACTIONS(4429),
    [aux_sym_coarray_statement_token8] = ACTIONS(4429),
    [aux_sym_coarray_statement_token11] = ACTIONS(4429),
    [aux_sym_coarray_statement_token12] = ACTIONS(4429),
    [aux_sym_coarray_statement_token13] = ACTIONS(4429),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4429),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4429),
    [aux_sym_identifier_token1] = ACTIONS(4429),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4431),
    [sym__float_literal] = ACTIONS(4431),
    [sym__boz_literal] = ACTIONS(4431),
    [sym__string_literal] = ACTIONS(4431),
    [sym__string_literal_kind] = ACTIONS(4431),
  },
  [1057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4433),
    [aux_sym_preproc_def_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token1] = ACTIONS(4433),
    [aux_sym_preproc_if_token2] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4433),
    [sym_preproc_directive] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token1] = ACTIONS(4433),
    [aux_sym_end_program_statement_token2] = ACTIONS(4433),
    [aux_sym_module_statement_token1] = ACTIONS(4433),
    [aux_sym_submodule_statement_token1] = ACTIONS(4433),
    [aux_sym_interface_statement_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4433),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4433),
    [aux_sym_function_statement_token1] = ACTIONS(4433),
    [aux_sym_language_binding_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4433),
    [aux_sym_contains_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token1] = ACTIONS(4433),
    [aux_sym_use_statement_token2] = ACTIONS(4433),
    [aux_sym_implicit_statement_token1] = ACTIONS(4433),
    [aux_sym_implicit_statement_token3] = ACTIONS(4433),
    [aux_sym_implicit_statement_token4] = ACTIONS(4433),
    [aux_sym_save_statement_token1] = ACTIONS(4433),
    [aux_sym_private_statement_token1] = ACTIONS(4433),
    [aux_sym_public_statement_token1] = ACTIONS(4433),
    [aux_sym_namelist_statement_token1] = ACTIONS(4433),
    [aux_sym_common_statement_token1] = ACTIONS(4433),
    [aux_sym_import_statement_token1] = ACTIONS(4433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4433),
    [aux_sym_variable_attributes_token1] = ACTIONS(4433),
    [aux_sym_variable_attributes_token2] = ACTIONS(4433),
    [aux_sym_variable_attributes_token3] = ACTIONS(4433),
    [aux_sym_variable_attributes_token4] = ACTIONS(4433),
    [aux_sym_variable_attributes_token5] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4433),
    [aux_sym_derived_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token1] = ACTIONS(4433),
    [aux_sym_declared_type_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4433),
    [aux_sym_type_qualifier_token1] = ACTIONS(4433),
    [aux_sym_type_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4433),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4433),
    [anon_sym_SEMI] = ACTIONS(4435),
    [aux_sym_stop_statement_token1] = ACTIONS(4433),
    [aux_sym_stop_statement_token2] = ACTIONS(4433),
    [aux_sym_subroutine_call_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token1] = ACTIONS(4433),
    [aux_sym_keyword_statement_token2] = ACTIONS(4433),
    [aux_sym_keyword_statement_token3] = ACTIONS(4433),
    [aux_sym_keyword_statement_token4] = ACTIONS(4433),
    [aux_sym_keyword_statement_token6] = ACTIONS(4433),
    [aux_sym_keyword_statement_token7] = ACTIONS(4433),
    [aux_sym_include_statement_token1] = ACTIONS(4433),
    [aux_sym_data_statement_token1] = ACTIONS(4433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4433),
    [aux_sym_end_if_statement_token1] = ACTIONS(4433),
    [aux_sym_elseif_clause_token2] = ACTIONS(4433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token1] = ACTIONS(4433),
    [aux_sym_select_case_statement_token3] = ACTIONS(4433),
    [aux_sym_select_type_statement_token1] = ACTIONS(4433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4433),
    [aux_sym_block_construct_token1] = ACTIONS(4433),
    [aux_sym_associate_statement_token1] = ACTIONS(4433),
    [aux_sym_format_statement_token1] = ACTIONS(4433),
    [aux_sym_print_statement_token1] = ACTIONS(4433),
    [aux_sym_open_statement_token1] = ACTIONS(4433),
    [aux_sym_close_statement_token1] = ACTIONS(4433),
    [aux_sym_inquire_statement_token1] = ACTIONS(4433),
    [aux_sym_enum_statement_token1] = ACTIONS(4433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token1] = ACTIONS(4433),
    [aux_sym_file_position_statement_token2] = ACTIONS(4433),
    [aux_sym_file_position_statement_token3] = ACTIONS(4433),
    [aux_sym_file_position_statement_token4] = ACTIONS(4433),
    [aux_sym_allocate_statement_token1] = ACTIONS(4433),
    [aux_sym_entry_statement_token1] = ACTIONS(4433),
    [aux_sym_logical_expression_token5] = ACTIONS(4435),
    [anon_sym_DOT] = ACTIONS(4433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4435),
    [aux_sym_boolean_literal_token1] = ACTIONS(4435),
    [aux_sym_boolean_literal_token2] = ACTIONS(4435),
    [aux_sym_null_literal_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_statement_token2] = ACTIONS(4433),
    [aux_sym_coarray_statement_token6] = ACTIONS(4433),
    [aux_sym_coarray_statement_token8] = ACTIONS(4433),
    [aux_sym_coarray_statement_token11] = ACTIONS(4433),
    [aux_sym_coarray_statement_token12] = ACTIONS(4433),
    [aux_sym_coarray_statement_token13] = ACTIONS(4433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4433),
    [aux_sym_identifier_token1] = ACTIONS(4433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4435),
    [sym__float_literal] = ACTIONS(4435),
    [sym__boz_literal] = ACTIONS(4435),
    [sym__string_literal] = ACTIONS(4435),
    [sym__string_literal_kind] = ACTIONS(4435),
  },
  [1058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(376),
    [aux_sym_preproc_if_token1] = ACTIONS(376),
    [aux_sym_preproc_if_token2] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(376),
    [sym_preproc_directive] = ACTIONS(376),
    [anon_sym_LPAREN2] = ACTIONS(376),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token1] = ACTIONS(376),
    [aux_sym_end_program_statement_token2] = ACTIONS(376),
    [aux_sym_module_statement_token1] = ACTIONS(376),
    [aux_sym_submodule_statement_token1] = ACTIONS(376),
    [aux_sym_interface_statement_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(376),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(376),
    [aux_sym_subroutine_statement_token1] = ACTIONS(376),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(376),
    [aux_sym_function_statement_token1] = ACTIONS(376),
    [aux_sym_language_binding_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token1] = ACTIONS(376),
    [aux_sym_procedure_attributes_token3] = ACTIONS(376),
    [aux_sym_contains_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token1] = ACTIONS(376),
    [aux_sym_use_statement_token2] = ACTIONS(376),
    [aux_sym_implicit_statement_token1] = ACTIONS(376),
    [aux_sym_implicit_statement_token3] = ACTIONS(376),
    [aux_sym_implicit_statement_token4] = ACTIONS(376),
    [aux_sym_save_statement_token1] = ACTIONS(376),
    [aux_sym_private_statement_token1] = ACTIONS(376),
    [aux_sym_public_statement_token1] = ACTIONS(376),
    [aux_sym_namelist_statement_token1] = ACTIONS(376),
    [aux_sym_common_statement_token1] = ACTIONS(376),
    [aux_sym_import_statement_token1] = ACTIONS(376),
    [aux_sym_derived_type_definition_token1] = ACTIONS(376),
    [aux_sym_abstract_specifier_token1] = ACTIONS(376),
    [aux_sym_procedure_attribute_token6] = ACTIONS(376),
    [aux_sym_variable_attributes_token1] = ACTIONS(376),
    [aux_sym_variable_attributes_token2] = ACTIONS(376),
    [aux_sym_variable_attributes_token3] = ACTIONS(376),
    [aux_sym_variable_attributes_token4] = ACTIONS(376),
    [aux_sym_variable_attributes_token5] = ACTIONS(376),
    [aux_sym__intrinsic_type_token1] = ACTIONS(376),
    [aux_sym__intrinsic_type_token2] = ACTIONS(376),
    [aux_sym__intrinsic_type_token3] = ACTIONS(376),
    [aux_sym__intrinsic_type_token4] = ACTIONS(376),
    [aux_sym__intrinsic_type_token6] = ACTIONS(376),
    [aux_sym__intrinsic_type_token7] = ACTIONS(376),
    [aux_sym__intrinsic_type_token8] = ACTIONS(376),
    [aux_sym__intrinsic_type_token9] = ACTIONS(376),
    [aux_sym__intrinsic_type_token10] = ACTIONS(376),
    [aux_sym_derived_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token1] = ACTIONS(376),
    [aux_sym_declared_type_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(376),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(376),
    [aux_sym_type_qualifier_token1] = ACTIONS(376),
    [aux_sym_type_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(376),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(376),
    [aux_sym_equivalence_statement_token1] = ACTIONS(376),
    [anon_sym_SEMI] = ACTIONS(692),
    [aux_sym_stop_statement_token1] = ACTIONS(376),
    [aux_sym_stop_statement_token2] = ACTIONS(376),
    [aux_sym_subroutine_call_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token1] = ACTIONS(376),
    [aux_sym_keyword_statement_token2] = ACTIONS(376),
    [aux_sym_keyword_statement_token3] = ACTIONS(376),
    [aux_sym_keyword_statement_token4] = ACTIONS(376),
    [aux_sym_keyword_statement_token6] = ACTIONS(376),
    [aux_sym_keyword_statement_token7] = ACTIONS(376),
    [aux_sym_include_statement_token1] = ACTIONS(376),
    [aux_sym_data_statement_token1] = ACTIONS(376),
    [aux_sym_do_loop_statement_token1] = ACTIONS(376),
    [aux_sym__inline_if_statement_token1] = ACTIONS(376),
    [aux_sym_end_if_statement_token1] = ACTIONS(376),
    [aux_sym_elseif_clause_token2] = ACTIONS(376),
    [aux_sym__inline_where_statement_token1] = ACTIONS(376),
    [aux_sym__forall_control_expression_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token1] = ACTIONS(376),
    [aux_sym_select_case_statement_token3] = ACTIONS(376),
    [aux_sym_select_type_statement_token1] = ACTIONS(376),
    [aux_sym_select_rank_statement_token1] = ACTIONS(376),
    [aux_sym_block_construct_token1] = ACTIONS(376),
    [aux_sym_associate_statement_token1] = ACTIONS(376),
    [aux_sym_format_statement_token1] = ACTIONS(376),
    [aux_sym_print_statement_token1] = ACTIONS(376),
    [aux_sym_open_statement_token1] = ACTIONS(376),
    [aux_sym_close_statement_token1] = ACTIONS(376),
    [aux_sym_inquire_statement_token1] = ACTIONS(376),
    [aux_sym_enum_statement_token1] = ACTIONS(376),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token1] = ACTIONS(376),
    [aux_sym_file_position_statement_token2] = ACTIONS(376),
    [aux_sym_file_position_statement_token3] = ACTIONS(376),
    [aux_sym_file_position_statement_token4] = ACTIONS(376),
    [aux_sym_allocate_statement_token1] = ACTIONS(376),
    [aux_sym_entry_statement_token1] = ACTIONS(376),
    [aux_sym_logical_expression_token5] = ACTIONS(692),
    [anon_sym_DOT] = ACTIONS(376),
    [anon_sym_LPAREN_SLASH] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(692),
    [aux_sym_boolean_literal_token1] = ACTIONS(692),
    [aux_sym_boolean_literal_token2] = ACTIONS(692),
    [aux_sym_null_literal_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_statement_token2] = ACTIONS(376),
    [aux_sym_coarray_statement_token6] = ACTIONS(376),
    [aux_sym_coarray_statement_token8] = ACTIONS(376),
    [aux_sym_coarray_statement_token11] = ACTIONS(376),
    [aux_sym_coarray_statement_token12] = ACTIONS(376),
    [aux_sym_coarray_statement_token13] = ACTIONS(376),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(376),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(376),
    [aux_sym_identifier_token1] = ACTIONS(376),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(692),
    [sym__float_literal] = ACTIONS(692),
    [sym__boz_literal] = ACTIONS(692),
    [sym__string_literal] = ACTIONS(692),
    [sym__string_literal_kind] = ACTIONS(692),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(4415),
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_module_statement_token1] = ACTIONS(4413),
    [aux_sym_submodule_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_function_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4437),
    [aux_sym_preproc_def_token1] = ACTIONS(4437),
    [aux_sym_preproc_if_token1] = ACTIONS(4437),
    [aux_sym_preproc_if_token2] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4437),
    [sym_preproc_directive] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(4437),
    [anon_sym_PLUS] = ACTIONS(4439),
    [anon_sym_DASH] = ACTIONS(4439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token2] = ACTIONS(4437),
    [aux_sym_module_statement_token1] = ACTIONS(4437),
    [aux_sym_submodule_statement_token1] = ACTIONS(4437),
    [aux_sym_interface_statement_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4437),
    [aux_sym_function_statement_token1] = ACTIONS(4437),
    [aux_sym_language_binding_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4437),
    [aux_sym_contains_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token2] = ACTIONS(4437),
    [aux_sym_implicit_statement_token1] = ACTIONS(4437),
    [aux_sym_implicit_statement_token3] = ACTIONS(4437),
    [aux_sym_implicit_statement_token4] = ACTIONS(4437),
    [aux_sym_save_statement_token1] = ACTIONS(4437),
    [aux_sym_private_statement_token1] = ACTIONS(4437),
    [aux_sym_public_statement_token1] = ACTIONS(4437),
    [aux_sym_namelist_statement_token1] = ACTIONS(4437),
    [aux_sym_common_statement_token1] = ACTIONS(4437),
    [aux_sym_import_statement_token1] = ACTIONS(4437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4437),
    [aux_sym_variable_attributes_token1] = ACTIONS(4437),
    [aux_sym_variable_attributes_token2] = ACTIONS(4437),
    [aux_sym_variable_attributes_token3] = ACTIONS(4437),
    [aux_sym_variable_attributes_token4] = ACTIONS(4437),
    [aux_sym_variable_attributes_token5] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4437),
    [aux_sym_derived_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4437),
    [aux_sym_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4437),
    [anon_sym_SEMI] = ACTIONS(4439),
    [aux_sym_stop_statement_token1] = ACTIONS(4437),
    [aux_sym_stop_statement_token2] = ACTIONS(4437),
    [aux_sym_subroutine_call_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token2] = ACTIONS(4437),
    [aux_sym_keyword_statement_token3] = ACTIONS(4437),
    [aux_sym_keyword_statement_token4] = ACTIONS(4437),
    [aux_sym_keyword_statement_token6] = ACTIONS(4437),
    [aux_sym_keyword_statement_token7] = ACTIONS(4437),
    [aux_sym_include_statement_token1] = ACTIONS(4437),
    [aux_sym_data_statement_token1] = ACTIONS(4437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4437),
    [aux_sym_end_if_statement_token1] = ACTIONS(4437),
    [aux_sym_elseif_clause_token2] = ACTIONS(4437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token3] = ACTIONS(4437),
    [aux_sym_select_type_statement_token1] = ACTIONS(4437),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4437),
    [aux_sym_block_construct_token1] = ACTIONS(4437),
    [aux_sym_associate_statement_token1] = ACTIONS(4437),
    [aux_sym_format_statement_token1] = ACTIONS(4437),
    [aux_sym_print_statement_token1] = ACTIONS(4437),
    [aux_sym_open_statement_token1] = ACTIONS(4437),
    [aux_sym_close_statement_token1] = ACTIONS(4437),
    [aux_sym_inquire_statement_token1] = ACTIONS(4437),
    [aux_sym_enum_statement_token1] = ACTIONS(4437),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token2] = ACTIONS(4437),
    [aux_sym_file_position_statement_token3] = ACTIONS(4437),
    [aux_sym_file_position_statement_token4] = ACTIONS(4437),
    [aux_sym_allocate_statement_token1] = ACTIONS(4437),
    [aux_sym_entry_statement_token1] = ACTIONS(4437),
    [aux_sym_logical_expression_token5] = ACTIONS(4439),
    [anon_sym_DOT] = ACTIONS(4437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4439),
    [anon_sym_LBRACK] = ACTIONS(4439),
    [aux_sym_boolean_literal_token1] = ACTIONS(4439),
    [aux_sym_boolean_literal_token2] = ACTIONS(4439),
    [aux_sym_null_literal_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token2] = ACTIONS(4437),
    [aux_sym_coarray_statement_token6] = ACTIONS(4437),
    [aux_sym_coarray_statement_token8] = ACTIONS(4437),
    [aux_sym_coarray_statement_token11] = ACTIONS(4437),
    [aux_sym_coarray_statement_token12] = ACTIONS(4437),
    [aux_sym_coarray_statement_token13] = ACTIONS(4437),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4437),
    [aux_sym_identifier_token1] = ACTIONS(4437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4439),
    [sym__float_literal] = ACTIONS(4439),
    [sym__boz_literal] = ACTIONS(4439),
    [sym__string_literal] = ACTIONS(4439),
    [sym__string_literal_kind] = ACTIONS(4439),
  },
  [1061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4441),
    [aux_sym_preproc_def_token1] = ACTIONS(4441),
    [aux_sym_preproc_if_token1] = ACTIONS(4441),
    [aux_sym_preproc_if_token2] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4441),
    [sym_preproc_directive] = ACTIONS(4441),
    [anon_sym_LPAREN2] = ACTIONS(4441),
    [anon_sym_PLUS] = ACTIONS(4443),
    [anon_sym_DASH] = ACTIONS(4443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token1] = ACTIONS(4441),
    [aux_sym_end_program_statement_token2] = ACTIONS(4441),
    [aux_sym_module_statement_token1] = ACTIONS(4441),
    [aux_sym_submodule_statement_token1] = ACTIONS(4441),
    [aux_sym_interface_statement_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4441),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4441),
    [aux_sym_function_statement_token1] = ACTIONS(4441),
    [aux_sym_language_binding_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4441),
    [aux_sym_contains_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token1] = ACTIONS(4441),
    [aux_sym_use_statement_token2] = ACTIONS(4441),
    [aux_sym_implicit_statement_token1] = ACTIONS(4441),
    [aux_sym_implicit_statement_token3] = ACTIONS(4441),
    [aux_sym_implicit_statement_token4] = ACTIONS(4441),
    [aux_sym_save_statement_token1] = ACTIONS(4441),
    [aux_sym_private_statement_token1] = ACTIONS(4441),
    [aux_sym_public_statement_token1] = ACTIONS(4441),
    [aux_sym_namelist_statement_token1] = ACTIONS(4441),
    [aux_sym_common_statement_token1] = ACTIONS(4441),
    [aux_sym_import_statement_token1] = ACTIONS(4441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4441),
    [aux_sym_variable_attributes_token1] = ACTIONS(4441),
    [aux_sym_variable_attributes_token2] = ACTIONS(4441),
    [aux_sym_variable_attributes_token3] = ACTIONS(4441),
    [aux_sym_variable_attributes_token4] = ACTIONS(4441),
    [aux_sym_variable_attributes_token5] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4441),
    [aux_sym_derived_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token1] = ACTIONS(4441),
    [aux_sym_declared_type_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4441),
    [aux_sym_type_qualifier_token1] = ACTIONS(4441),
    [aux_sym_type_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4441),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4441),
    [anon_sym_SEMI] = ACTIONS(4443),
    [aux_sym_stop_statement_token1] = ACTIONS(4441),
    [aux_sym_stop_statement_token2] = ACTIONS(4441),
    [aux_sym_subroutine_call_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token1] = ACTIONS(4441),
    [aux_sym_keyword_statement_token2] = ACTIONS(4441),
    [aux_sym_keyword_statement_token3] = ACTIONS(4441),
    [aux_sym_keyword_statement_token4] = ACTIONS(4441),
    [aux_sym_keyword_statement_token6] = ACTIONS(4441),
    [aux_sym_keyword_statement_token7] = ACTIONS(4441),
    [aux_sym_include_statement_token1] = ACTIONS(4441),
    [aux_sym_data_statement_token1] = ACTIONS(4441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4441),
    [aux_sym_end_if_statement_token1] = ACTIONS(4441),
    [aux_sym_elseif_clause_token2] = ACTIONS(4441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token1] = ACTIONS(4441),
    [aux_sym_select_case_statement_token3] = ACTIONS(4441),
    [aux_sym_select_type_statement_token1] = ACTIONS(4441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4441),
    [aux_sym_block_construct_token1] = ACTIONS(4441),
    [aux_sym_associate_statement_token1] = ACTIONS(4441),
    [aux_sym_format_statement_token1] = ACTIONS(4441),
    [aux_sym_print_statement_token1] = ACTIONS(4441),
    [aux_sym_open_statement_token1] = ACTIONS(4441),
    [aux_sym_close_statement_token1] = ACTIONS(4441),
    [aux_sym_inquire_statement_token1] = ACTIONS(4441),
    [aux_sym_enum_statement_token1] = ACTIONS(4441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token1] = ACTIONS(4441),
    [aux_sym_file_position_statement_token2] = ACTIONS(4441),
    [aux_sym_file_position_statement_token3] = ACTIONS(4441),
    [aux_sym_file_position_statement_token4] = ACTIONS(4441),
    [aux_sym_allocate_statement_token1] = ACTIONS(4441),
    [aux_sym_entry_statement_token1] = ACTIONS(4441),
    [aux_sym_logical_expression_token5] = ACTIONS(4443),
    [anon_sym_DOT] = ACTIONS(4441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4443),
    [anon_sym_LBRACK] = ACTIONS(4443),
    [aux_sym_boolean_literal_token1] = ACTIONS(4443),
    [aux_sym_boolean_literal_token2] = ACTIONS(4443),
    [aux_sym_null_literal_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_statement_token2] = ACTIONS(4441),
    [aux_sym_coarray_statement_token6] = ACTIONS(4441),
    [aux_sym_coarray_statement_token8] = ACTIONS(4441),
    [aux_sym_coarray_statement_token11] = ACTIONS(4441),
    [aux_sym_coarray_statement_token12] = ACTIONS(4441),
    [aux_sym_coarray_statement_token13] = ACTIONS(4441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4441),
    [aux_sym_identifier_token1] = ACTIONS(4441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4443),
    [sym__float_literal] = ACTIONS(4443),
    [sym__boz_literal] = ACTIONS(4443),
    [sym__string_literal] = ACTIONS(4443),
    [sym__string_literal_kind] = ACTIONS(4443),
  },
  [1062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4445),
    [aux_sym_preproc_def_token1] = ACTIONS(4445),
    [aux_sym_preproc_if_token1] = ACTIONS(4445),
    [aux_sym_preproc_if_token2] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4445),
    [sym_preproc_directive] = ACTIONS(4445),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token1] = ACTIONS(4445),
    [aux_sym_end_program_statement_token2] = ACTIONS(4445),
    [aux_sym_module_statement_token1] = ACTIONS(4445),
    [aux_sym_submodule_statement_token1] = ACTIONS(4445),
    [aux_sym_interface_statement_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4445),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4445),
    [aux_sym_function_statement_token1] = ACTIONS(4445),
    [aux_sym_language_binding_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4445),
    [aux_sym_contains_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token1] = ACTIONS(4445),
    [aux_sym_use_statement_token2] = ACTIONS(4445),
    [aux_sym_implicit_statement_token1] = ACTIONS(4445),
    [aux_sym_implicit_statement_token3] = ACTIONS(4445),
    [aux_sym_implicit_statement_token4] = ACTIONS(4445),
    [aux_sym_save_statement_token1] = ACTIONS(4445),
    [aux_sym_private_statement_token1] = ACTIONS(4445),
    [aux_sym_public_statement_token1] = ACTIONS(4445),
    [aux_sym_namelist_statement_token1] = ACTIONS(4445),
    [aux_sym_common_statement_token1] = ACTIONS(4445),
    [aux_sym_import_statement_token1] = ACTIONS(4445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4445),
    [aux_sym_variable_attributes_token1] = ACTIONS(4445),
    [aux_sym_variable_attributes_token2] = ACTIONS(4445),
    [aux_sym_variable_attributes_token3] = ACTIONS(4445),
    [aux_sym_variable_attributes_token4] = ACTIONS(4445),
    [aux_sym_variable_attributes_token5] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4445),
    [aux_sym_derived_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token1] = ACTIONS(4445),
    [aux_sym_declared_type_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4445),
    [aux_sym_type_qualifier_token1] = ACTIONS(4445),
    [aux_sym_type_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4445),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4445),
    [anon_sym_SEMI] = ACTIONS(4447),
    [aux_sym_stop_statement_token1] = ACTIONS(4445),
    [aux_sym_stop_statement_token2] = ACTIONS(4445),
    [aux_sym_subroutine_call_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token1] = ACTIONS(4445),
    [aux_sym_keyword_statement_token2] = ACTIONS(4445),
    [aux_sym_keyword_statement_token3] = ACTIONS(4445),
    [aux_sym_keyword_statement_token4] = ACTIONS(4445),
    [aux_sym_keyword_statement_token6] = ACTIONS(4445),
    [aux_sym_keyword_statement_token7] = ACTIONS(4445),
    [aux_sym_include_statement_token1] = ACTIONS(4445),
    [aux_sym_data_statement_token1] = ACTIONS(4445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4445),
    [aux_sym_end_if_statement_token1] = ACTIONS(4445),
    [aux_sym_elseif_clause_token2] = ACTIONS(4445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token1] = ACTIONS(4445),
    [aux_sym_select_case_statement_token3] = ACTIONS(4445),
    [aux_sym_select_type_statement_token1] = ACTIONS(4445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4445),
    [aux_sym_block_construct_token1] = ACTIONS(4445),
    [aux_sym_associate_statement_token1] = ACTIONS(4445),
    [aux_sym_format_statement_token1] = ACTIONS(4445),
    [aux_sym_print_statement_token1] = ACTIONS(4445),
    [aux_sym_open_statement_token1] = ACTIONS(4445),
    [aux_sym_close_statement_token1] = ACTIONS(4445),
    [aux_sym_inquire_statement_token1] = ACTIONS(4445),
    [aux_sym_enum_statement_token1] = ACTIONS(4445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token1] = ACTIONS(4445),
    [aux_sym_file_position_statement_token2] = ACTIONS(4445),
    [aux_sym_file_position_statement_token3] = ACTIONS(4445),
    [aux_sym_file_position_statement_token4] = ACTIONS(4445),
    [aux_sym_allocate_statement_token1] = ACTIONS(4445),
    [aux_sym_entry_statement_token1] = ACTIONS(4445),
    [aux_sym_logical_expression_token5] = ACTIONS(4447),
    [anon_sym_DOT] = ACTIONS(4445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(4447),
    [aux_sym_boolean_literal_token1] = ACTIONS(4447),
    [aux_sym_boolean_literal_token2] = ACTIONS(4447),
    [aux_sym_null_literal_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_statement_token2] = ACTIONS(4445),
    [aux_sym_coarray_statement_token6] = ACTIONS(4445),
    [aux_sym_coarray_statement_token8] = ACTIONS(4445),
    [aux_sym_coarray_statement_token11] = ACTIONS(4445),
    [aux_sym_coarray_statement_token12] = ACTIONS(4445),
    [aux_sym_coarray_statement_token13] = ACTIONS(4445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4445),
    [aux_sym_identifier_token1] = ACTIONS(4445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4447),
    [sym__float_literal] = ACTIONS(4447),
    [sym__boz_literal] = ACTIONS(4447),
    [sym__string_literal] = ACTIONS(4447),
    [sym__string_literal_kind] = ACTIONS(4447),
  },
  [1063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4449),
    [aux_sym_preproc_def_token1] = ACTIONS(4449),
    [aux_sym_preproc_if_token1] = ACTIONS(4449),
    [aux_sym_preproc_if_token2] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4449),
    [sym_preproc_directive] = ACTIONS(4449),
    [anon_sym_LPAREN2] = ACTIONS(4449),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token1] = ACTIONS(4449),
    [aux_sym_end_program_statement_token2] = ACTIONS(4449),
    [aux_sym_module_statement_token1] = ACTIONS(4449),
    [aux_sym_submodule_statement_token1] = ACTIONS(4449),
    [aux_sym_interface_statement_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4449),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4449),
    [aux_sym_function_statement_token1] = ACTIONS(4449),
    [aux_sym_language_binding_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4449),
    [aux_sym_contains_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token1] = ACTIONS(4449),
    [aux_sym_use_statement_token2] = ACTIONS(4449),
    [aux_sym_implicit_statement_token1] = ACTIONS(4449),
    [aux_sym_implicit_statement_token3] = ACTIONS(4449),
    [aux_sym_implicit_statement_token4] = ACTIONS(4449),
    [aux_sym_save_statement_token1] = ACTIONS(4449),
    [aux_sym_private_statement_token1] = ACTIONS(4449),
    [aux_sym_public_statement_token1] = ACTIONS(4449),
    [aux_sym_namelist_statement_token1] = ACTIONS(4449),
    [aux_sym_common_statement_token1] = ACTIONS(4449),
    [aux_sym_import_statement_token1] = ACTIONS(4449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4449),
    [aux_sym_variable_attributes_token1] = ACTIONS(4449),
    [aux_sym_variable_attributes_token2] = ACTIONS(4449),
    [aux_sym_variable_attributes_token3] = ACTIONS(4449),
    [aux_sym_variable_attributes_token4] = ACTIONS(4449),
    [aux_sym_variable_attributes_token5] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4449),
    [aux_sym_derived_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token1] = ACTIONS(4449),
    [aux_sym_declared_type_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4449),
    [aux_sym_type_qualifier_token1] = ACTIONS(4449),
    [aux_sym_type_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4449),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4449),
    [anon_sym_SEMI] = ACTIONS(4451),
    [aux_sym_stop_statement_token1] = ACTIONS(4449),
    [aux_sym_stop_statement_token2] = ACTIONS(4449),
    [aux_sym_subroutine_call_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token1] = ACTIONS(4449),
    [aux_sym_keyword_statement_token2] = ACTIONS(4449),
    [aux_sym_keyword_statement_token3] = ACTIONS(4449),
    [aux_sym_keyword_statement_token4] = ACTIONS(4449),
    [aux_sym_keyword_statement_token6] = ACTIONS(4449),
    [aux_sym_keyword_statement_token7] = ACTIONS(4449),
    [aux_sym_include_statement_token1] = ACTIONS(4449),
    [aux_sym_data_statement_token1] = ACTIONS(4449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4449),
    [aux_sym_end_if_statement_token1] = ACTIONS(4449),
    [aux_sym_elseif_clause_token2] = ACTIONS(4449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token1] = ACTIONS(4449),
    [aux_sym_select_case_statement_token3] = ACTIONS(4449),
    [aux_sym_select_type_statement_token1] = ACTIONS(4449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4449),
    [aux_sym_block_construct_token1] = ACTIONS(4449),
    [aux_sym_associate_statement_token1] = ACTIONS(4449),
    [aux_sym_format_statement_token1] = ACTIONS(4449),
    [aux_sym_print_statement_token1] = ACTIONS(4449),
    [aux_sym_open_statement_token1] = ACTIONS(4449),
    [aux_sym_close_statement_token1] = ACTIONS(4449),
    [aux_sym_inquire_statement_token1] = ACTIONS(4449),
    [aux_sym_enum_statement_token1] = ACTIONS(4449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token1] = ACTIONS(4449),
    [aux_sym_file_position_statement_token2] = ACTIONS(4449),
    [aux_sym_file_position_statement_token3] = ACTIONS(4449),
    [aux_sym_file_position_statement_token4] = ACTIONS(4449),
    [aux_sym_allocate_statement_token1] = ACTIONS(4449),
    [aux_sym_entry_statement_token1] = ACTIONS(4449),
    [aux_sym_logical_expression_token5] = ACTIONS(4451),
    [anon_sym_DOT] = ACTIONS(4449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [aux_sym_boolean_literal_token1] = ACTIONS(4451),
    [aux_sym_boolean_literal_token2] = ACTIONS(4451),
    [aux_sym_null_literal_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_statement_token2] = ACTIONS(4449),
    [aux_sym_coarray_statement_token6] = ACTIONS(4449),
    [aux_sym_coarray_statement_token8] = ACTIONS(4449),
    [aux_sym_coarray_statement_token11] = ACTIONS(4449),
    [aux_sym_coarray_statement_token12] = ACTIONS(4449),
    [aux_sym_coarray_statement_token13] = ACTIONS(4449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4449),
    [aux_sym_identifier_token1] = ACTIONS(4449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4451),
    [sym__float_literal] = ACTIONS(4451),
    [sym__boz_literal] = ACTIONS(4451),
    [sym__string_literal] = ACTIONS(4451),
    [sym__string_literal_kind] = ACTIONS(4451),
  },
  [1064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4453),
    [aux_sym_preproc_def_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token1] = ACTIONS(4453),
    [aux_sym_preproc_if_token2] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4453),
    [sym_preproc_directive] = ACTIONS(4453),
    [anon_sym_LPAREN2] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token1] = ACTIONS(4453),
    [aux_sym_end_program_statement_token2] = ACTIONS(4453),
    [aux_sym_module_statement_token1] = ACTIONS(4453),
    [aux_sym_submodule_statement_token1] = ACTIONS(4453),
    [aux_sym_interface_statement_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4453),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4453),
    [aux_sym_function_statement_token1] = ACTIONS(4453),
    [aux_sym_language_binding_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4453),
    [aux_sym_contains_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token1] = ACTIONS(4453),
    [aux_sym_use_statement_token2] = ACTIONS(4453),
    [aux_sym_implicit_statement_token1] = ACTIONS(4453),
    [aux_sym_implicit_statement_token3] = ACTIONS(4453),
    [aux_sym_implicit_statement_token4] = ACTIONS(4453),
    [aux_sym_save_statement_token1] = ACTIONS(4453),
    [aux_sym_private_statement_token1] = ACTIONS(4453),
    [aux_sym_public_statement_token1] = ACTIONS(4453),
    [aux_sym_namelist_statement_token1] = ACTIONS(4453),
    [aux_sym_common_statement_token1] = ACTIONS(4453),
    [aux_sym_import_statement_token1] = ACTIONS(4453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4453),
    [aux_sym_variable_attributes_token1] = ACTIONS(4453),
    [aux_sym_variable_attributes_token2] = ACTIONS(4453),
    [aux_sym_variable_attributes_token3] = ACTIONS(4453),
    [aux_sym_variable_attributes_token4] = ACTIONS(4453),
    [aux_sym_variable_attributes_token5] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4453),
    [aux_sym_derived_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token1] = ACTIONS(4453),
    [aux_sym_declared_type_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4453),
    [aux_sym_type_qualifier_token1] = ACTIONS(4453),
    [aux_sym_type_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4453),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4453),
    [anon_sym_SEMI] = ACTIONS(4455),
    [aux_sym_stop_statement_token1] = ACTIONS(4453),
    [aux_sym_stop_statement_token2] = ACTIONS(4453),
    [aux_sym_subroutine_call_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token1] = ACTIONS(4453),
    [aux_sym_keyword_statement_token2] = ACTIONS(4453),
    [aux_sym_keyword_statement_token3] = ACTIONS(4453),
    [aux_sym_keyword_statement_token4] = ACTIONS(4453),
    [aux_sym_keyword_statement_token6] = ACTIONS(4453),
    [aux_sym_keyword_statement_token7] = ACTIONS(4453),
    [aux_sym_include_statement_token1] = ACTIONS(4453),
    [aux_sym_data_statement_token1] = ACTIONS(4453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4453),
    [aux_sym_end_if_statement_token1] = ACTIONS(4453),
    [aux_sym_elseif_clause_token2] = ACTIONS(4453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token1] = ACTIONS(4453),
    [aux_sym_select_case_statement_token3] = ACTIONS(4453),
    [aux_sym_select_type_statement_token1] = ACTIONS(4453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4453),
    [aux_sym_block_construct_token1] = ACTIONS(4453),
    [aux_sym_associate_statement_token1] = ACTIONS(4453),
    [aux_sym_format_statement_token1] = ACTIONS(4453),
    [aux_sym_print_statement_token1] = ACTIONS(4453),
    [aux_sym_open_statement_token1] = ACTIONS(4453),
    [aux_sym_close_statement_token1] = ACTIONS(4453),
    [aux_sym_inquire_statement_token1] = ACTIONS(4453),
    [aux_sym_enum_statement_token1] = ACTIONS(4453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token1] = ACTIONS(4453),
    [aux_sym_file_position_statement_token2] = ACTIONS(4453),
    [aux_sym_file_position_statement_token3] = ACTIONS(4453),
    [aux_sym_file_position_statement_token4] = ACTIONS(4453),
    [aux_sym_allocate_statement_token1] = ACTIONS(4453),
    [aux_sym_entry_statement_token1] = ACTIONS(4453),
    [aux_sym_logical_expression_token5] = ACTIONS(4455),
    [anon_sym_DOT] = ACTIONS(4453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(4455),
    [aux_sym_boolean_literal_token1] = ACTIONS(4455),
    [aux_sym_boolean_literal_token2] = ACTIONS(4455),
    [aux_sym_null_literal_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_statement_token2] = ACTIONS(4453),
    [aux_sym_coarray_statement_token6] = ACTIONS(4453),
    [aux_sym_coarray_statement_token8] = ACTIONS(4453),
    [aux_sym_coarray_statement_token11] = ACTIONS(4453),
    [aux_sym_coarray_statement_token12] = ACTIONS(4453),
    [aux_sym_coarray_statement_token13] = ACTIONS(4453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4453),
    [aux_sym_identifier_token1] = ACTIONS(4453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4455),
    [sym__float_literal] = ACTIONS(4455),
    [sym__boz_literal] = ACTIONS(4455),
    [sym__string_literal] = ACTIONS(4455),
    [sym__string_literal_kind] = ACTIONS(4455),
  },
  [1065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4457),
    [aux_sym_preproc_def_token1] = ACTIONS(4457),
    [aux_sym_preproc_if_token1] = ACTIONS(4457),
    [aux_sym_preproc_if_token2] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4457),
    [sym_preproc_directive] = ACTIONS(4457),
    [anon_sym_LPAREN2] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token1] = ACTIONS(4457),
    [aux_sym_end_program_statement_token2] = ACTIONS(4457),
    [aux_sym_module_statement_token1] = ACTIONS(4457),
    [aux_sym_submodule_statement_token1] = ACTIONS(4457),
    [aux_sym_interface_statement_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4457),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4457),
    [aux_sym_function_statement_token1] = ACTIONS(4457),
    [aux_sym_language_binding_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4457),
    [aux_sym_contains_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token1] = ACTIONS(4457),
    [aux_sym_use_statement_token2] = ACTIONS(4457),
    [aux_sym_implicit_statement_token1] = ACTIONS(4457),
    [aux_sym_implicit_statement_token3] = ACTIONS(4457),
    [aux_sym_implicit_statement_token4] = ACTIONS(4457),
    [aux_sym_save_statement_token1] = ACTIONS(4457),
    [aux_sym_private_statement_token1] = ACTIONS(4457),
    [aux_sym_public_statement_token1] = ACTIONS(4457),
    [aux_sym_namelist_statement_token1] = ACTIONS(4457),
    [aux_sym_common_statement_token1] = ACTIONS(4457),
    [aux_sym_import_statement_token1] = ACTIONS(4457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4457),
    [aux_sym_variable_attributes_token1] = ACTIONS(4457),
    [aux_sym_variable_attributes_token2] = ACTIONS(4457),
    [aux_sym_variable_attributes_token3] = ACTIONS(4457),
    [aux_sym_variable_attributes_token4] = ACTIONS(4457),
    [aux_sym_variable_attributes_token5] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4457),
    [aux_sym_derived_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token1] = ACTIONS(4457),
    [aux_sym_declared_type_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4457),
    [aux_sym_type_qualifier_token1] = ACTIONS(4457),
    [aux_sym_type_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4457),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4457),
    [anon_sym_SEMI] = ACTIONS(4459),
    [aux_sym_stop_statement_token1] = ACTIONS(4457),
    [aux_sym_stop_statement_token2] = ACTIONS(4457),
    [aux_sym_subroutine_call_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token1] = ACTIONS(4457),
    [aux_sym_keyword_statement_token2] = ACTIONS(4457),
    [aux_sym_keyword_statement_token3] = ACTIONS(4457),
    [aux_sym_keyword_statement_token4] = ACTIONS(4457),
    [aux_sym_keyword_statement_token6] = ACTIONS(4457),
    [aux_sym_keyword_statement_token7] = ACTIONS(4457),
    [aux_sym_include_statement_token1] = ACTIONS(4457),
    [aux_sym_data_statement_token1] = ACTIONS(4457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4457),
    [aux_sym_end_if_statement_token1] = ACTIONS(4457),
    [aux_sym_elseif_clause_token2] = ACTIONS(4457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token1] = ACTIONS(4457),
    [aux_sym_select_case_statement_token3] = ACTIONS(4457),
    [aux_sym_select_type_statement_token1] = ACTIONS(4457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4457),
    [aux_sym_block_construct_token1] = ACTIONS(4457),
    [aux_sym_associate_statement_token1] = ACTIONS(4457),
    [aux_sym_format_statement_token1] = ACTIONS(4457),
    [aux_sym_print_statement_token1] = ACTIONS(4457),
    [aux_sym_open_statement_token1] = ACTIONS(4457),
    [aux_sym_close_statement_token1] = ACTIONS(4457),
    [aux_sym_inquire_statement_token1] = ACTIONS(4457),
    [aux_sym_enum_statement_token1] = ACTIONS(4457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token1] = ACTIONS(4457),
    [aux_sym_file_position_statement_token2] = ACTIONS(4457),
    [aux_sym_file_position_statement_token3] = ACTIONS(4457),
    [aux_sym_file_position_statement_token4] = ACTIONS(4457),
    [aux_sym_allocate_statement_token1] = ACTIONS(4457),
    [aux_sym_entry_statement_token1] = ACTIONS(4457),
    [aux_sym_logical_expression_token5] = ACTIONS(4459),
    [anon_sym_DOT] = ACTIONS(4457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4459),
    [anon_sym_LBRACK] = ACTIONS(4459),
    [aux_sym_boolean_literal_token1] = ACTIONS(4459),
    [aux_sym_boolean_literal_token2] = ACTIONS(4459),
    [aux_sym_null_literal_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_statement_token2] = ACTIONS(4457),
    [aux_sym_coarray_statement_token6] = ACTIONS(4457),
    [aux_sym_coarray_statement_token8] = ACTIONS(4457),
    [aux_sym_coarray_statement_token11] = ACTIONS(4457),
    [aux_sym_coarray_statement_token12] = ACTIONS(4457),
    [aux_sym_coarray_statement_token13] = ACTIONS(4457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4457),
    [aux_sym_identifier_token1] = ACTIONS(4457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4459),
    [sym__float_literal] = ACTIONS(4459),
    [sym__boz_literal] = ACTIONS(4459),
    [sym__string_literal] = ACTIONS(4459),
    [sym__string_literal_kind] = ACTIONS(4459),
  },
  [1066] = {
    [ts_builtin_sym_end] = ACTIONS(4599),
    [aux_sym_preproc_include_token1] = ACTIONS(4597),
    [aux_sym_preproc_def_token1] = ACTIONS(4597),
    [aux_sym_preproc_if_token1] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4597),
    [sym_preproc_directive] = ACTIONS(4597),
    [anon_sym_LPAREN2] = ACTIONS(4597),
    [anon_sym_PLUS] = ACTIONS(4599),
    [anon_sym_DASH] = ACTIONS(4599),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token1] = ACTIONS(4597),
    [aux_sym_end_program_statement_token2] = ACTIONS(4597),
    [aux_sym_module_statement_token1] = ACTIONS(4597),
    [aux_sym_submodule_statement_token1] = ACTIONS(4597),
    [aux_sym_interface_statement_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4597),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4597),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4597),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4597),
    [aux_sym_function_statement_token1] = ACTIONS(4597),
    [aux_sym_language_binding_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4597),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4597),
    [aux_sym_contains_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token1] = ACTIONS(4597),
    [aux_sym_use_statement_token2] = ACTIONS(4597),
    [aux_sym_implicit_statement_token1] = ACTIONS(4597),
    [aux_sym_implicit_statement_token3] = ACTIONS(4597),
    [aux_sym_implicit_statement_token4] = ACTIONS(4597),
    [aux_sym_save_statement_token1] = ACTIONS(4597),
    [aux_sym_private_statement_token1] = ACTIONS(4597),
    [aux_sym_public_statement_token1] = ACTIONS(4597),
    [aux_sym_namelist_statement_token1] = ACTIONS(4597),
    [aux_sym_common_statement_token1] = ACTIONS(4597),
    [aux_sym_import_statement_token1] = ACTIONS(4597),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4597),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4597),
    [aux_sym_variable_attributes_token1] = ACTIONS(4597),
    [aux_sym_variable_attributes_token2] = ACTIONS(4597),
    [aux_sym_variable_attributes_token3] = ACTIONS(4597),
    [aux_sym_variable_attributes_token4] = ACTIONS(4597),
    [aux_sym_variable_attributes_token5] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4597),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4597),
    [aux_sym_derived_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token1] = ACTIONS(4597),
    [aux_sym_declared_type_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4597),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4597),
    [aux_sym_type_qualifier_token1] = ACTIONS(4597),
    [aux_sym_type_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4597),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4597),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4597),
    [anon_sym_SEMI] = ACTIONS(4599),
    [aux_sym_stop_statement_token1] = ACTIONS(4597),
    [aux_sym_stop_statement_token2] = ACTIONS(4597),
    [aux_sym_subroutine_call_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token1] = ACTIONS(4597),
    [aux_sym_keyword_statement_token2] = ACTIONS(4597),
    [aux_sym_keyword_statement_token3] = ACTIONS(4597),
    [aux_sym_keyword_statement_token4] = ACTIONS(4597),
    [aux_sym_keyword_statement_token6] = ACTIONS(4597),
    [aux_sym_keyword_statement_token7] = ACTIONS(4597),
    [aux_sym_include_statement_token1] = ACTIONS(4597),
    [aux_sym_data_statement_token1] = ACTIONS(4597),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4597),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4597),
    [aux_sym_end_if_statement_token1] = ACTIONS(4597),
    [aux_sym_elseif_clause_token2] = ACTIONS(4597),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4597),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token1] = ACTIONS(4597),
    [aux_sym_select_case_statement_token3] = ACTIONS(4597),
    [aux_sym_select_type_statement_token1] = ACTIONS(4597),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4597),
    [aux_sym_block_construct_token1] = ACTIONS(4597),
    [aux_sym_associate_statement_token1] = ACTIONS(4597),
    [aux_sym_format_statement_token1] = ACTIONS(4597),
    [aux_sym_print_statement_token1] = ACTIONS(4597),
    [aux_sym_open_statement_token1] = ACTIONS(4597),
    [aux_sym_close_statement_token1] = ACTIONS(4597),
    [aux_sym_inquire_statement_token1] = ACTIONS(4597),
    [aux_sym_enum_statement_token1] = ACTIONS(4597),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token1] = ACTIONS(4597),
    [aux_sym_file_position_statement_token2] = ACTIONS(4597),
    [aux_sym_file_position_statement_token3] = ACTIONS(4597),
    [aux_sym_file_position_statement_token4] = ACTIONS(4597),
    [aux_sym_allocate_statement_token1] = ACTIONS(4597),
    [aux_sym_entry_statement_token1] = ACTIONS(4597),
    [aux_sym_logical_expression_token5] = ACTIONS(4599),
    [anon_sym_DOT] = ACTIONS(4597),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4599),
    [anon_sym_LBRACK] = ACTIONS(4599),
    [aux_sym_boolean_literal_token1] = ACTIONS(4599),
    [aux_sym_boolean_literal_token2] = ACTIONS(4599),
    [aux_sym_null_literal_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_statement_token2] = ACTIONS(4597),
    [aux_sym_coarray_statement_token6] = ACTIONS(4597),
    [aux_sym_coarray_statement_token8] = ACTIONS(4597),
    [aux_sym_coarray_statement_token11] = ACTIONS(4597),
    [aux_sym_coarray_statement_token12] = ACTIONS(4597),
    [aux_sym_coarray_statement_token13] = ACTIONS(4597),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4597),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4597),
    [aux_sym_identifier_token1] = ACTIONS(4597),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4599),
    [sym__float_literal] = ACTIONS(4599),
    [sym__boz_literal] = ACTIONS(4599),
    [sym__string_literal] = ACTIONS(4599),
    [sym__string_literal_kind] = ACTIONS(4599),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(4627),
    [aux_sym_preproc_include_token1] = ACTIONS(4625),
    [aux_sym_preproc_def_token1] = ACTIONS(4625),
    [aux_sym_preproc_if_token1] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4625),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4625),
    [sym_preproc_directive] = ACTIONS(4625),
    [anon_sym_LPAREN2] = ACTIONS(4625),
    [anon_sym_PLUS] = ACTIONS(4627),
    [anon_sym_DASH] = ACTIONS(4627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token1] = ACTIONS(4625),
    [aux_sym_end_program_statement_token2] = ACTIONS(4625),
    [aux_sym_module_statement_token1] = ACTIONS(4625),
    [aux_sym_submodule_statement_token1] = ACTIONS(4625),
    [aux_sym_interface_statement_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4625),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4625),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4625),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4625),
    [aux_sym_function_statement_token1] = ACTIONS(4625),
    [aux_sym_language_binding_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4625),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4625),
    [aux_sym_contains_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token1] = ACTIONS(4625),
    [aux_sym_use_statement_token2] = ACTIONS(4625),
    [aux_sym_implicit_statement_token1] = ACTIONS(4625),
    [aux_sym_implicit_statement_token3] = ACTIONS(4625),
    [aux_sym_implicit_statement_token4] = ACTIONS(4625),
    [aux_sym_save_statement_token1] = ACTIONS(4625),
    [aux_sym_private_statement_token1] = ACTIONS(4625),
    [aux_sym_public_statement_token1] = ACTIONS(4625),
    [aux_sym_namelist_statement_token1] = ACTIONS(4625),
    [aux_sym_common_statement_token1] = ACTIONS(4625),
    [aux_sym_import_statement_token1] = ACTIONS(4625),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4625),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4625),
    [aux_sym_variable_attributes_token1] = ACTIONS(4625),
    [aux_sym_variable_attributes_token2] = ACTIONS(4625),
    [aux_sym_variable_attributes_token3] = ACTIONS(4625),
    [aux_sym_variable_attributes_token4] = ACTIONS(4625),
    [aux_sym_variable_attributes_token5] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4625),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4625),
    [aux_sym_derived_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token1] = ACTIONS(4625),
    [aux_sym_declared_type_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4625),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4625),
    [aux_sym_type_qualifier_token1] = ACTIONS(4625),
    [aux_sym_type_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4625),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4625),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4625),
    [anon_sym_SEMI] = ACTIONS(4627),
    [aux_sym_stop_statement_token1] = ACTIONS(4625),
    [aux_sym_stop_statement_token2] = ACTIONS(4625),
    [aux_sym_subroutine_call_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token1] = ACTIONS(4625),
    [aux_sym_keyword_statement_token2] = ACTIONS(4625),
    [aux_sym_keyword_statement_token3] = ACTIONS(4625),
    [aux_sym_keyword_statement_token4] = ACTIONS(4625),
    [aux_sym_keyword_statement_token6] = ACTIONS(4625),
    [aux_sym_keyword_statement_token7] = ACTIONS(4625),
    [aux_sym_include_statement_token1] = ACTIONS(4625),
    [aux_sym_data_statement_token1] = ACTIONS(4625),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4625),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4625),
    [aux_sym_end_if_statement_token1] = ACTIONS(4625),
    [aux_sym_elseif_clause_token2] = ACTIONS(4625),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4625),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token1] = ACTIONS(4625),
    [aux_sym_select_case_statement_token3] = ACTIONS(4625),
    [aux_sym_select_type_statement_token1] = ACTIONS(4625),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4625),
    [aux_sym_block_construct_token1] = ACTIONS(4625),
    [aux_sym_associate_statement_token1] = ACTIONS(4625),
    [aux_sym_format_statement_token1] = ACTIONS(4625),
    [aux_sym_print_statement_token1] = ACTIONS(4625),
    [aux_sym_open_statement_token1] = ACTIONS(4625),
    [aux_sym_close_statement_token1] = ACTIONS(4625),
    [aux_sym_inquire_statement_token1] = ACTIONS(4625),
    [aux_sym_enum_statement_token1] = ACTIONS(4625),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token1] = ACTIONS(4625),
    [aux_sym_file_position_statement_token2] = ACTIONS(4625),
    [aux_sym_file_position_statement_token3] = ACTIONS(4625),
    [aux_sym_file_position_statement_token4] = ACTIONS(4625),
    [aux_sym_allocate_statement_token1] = ACTIONS(4625),
    [aux_sym_entry_statement_token1] = ACTIONS(4625),
    [aux_sym_logical_expression_token5] = ACTIONS(4627),
    [anon_sym_DOT] = ACTIONS(4625),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4627),
    [anon_sym_LBRACK] = ACTIONS(4627),
    [aux_sym_boolean_literal_token1] = ACTIONS(4627),
    [aux_sym_boolean_literal_token2] = ACTIONS(4627),
    [aux_sym_null_literal_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_statement_token2] = ACTIONS(4625),
    [aux_sym_coarray_statement_token6] = ACTIONS(4625),
    [aux_sym_coarray_statement_token8] = ACTIONS(4625),
    [aux_sym_coarray_statement_token11] = ACTIONS(4625),
    [aux_sym_coarray_statement_token12] = ACTIONS(4625),
    [aux_sym_coarray_statement_token13] = ACTIONS(4625),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4625),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4625),
    [aux_sym_identifier_token1] = ACTIONS(4625),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4627),
    [sym__float_literal] = ACTIONS(4627),
    [sym__boz_literal] = ACTIONS(4627),
    [sym__string_literal] = ACTIONS(4627),
    [sym__string_literal_kind] = ACTIONS(4627),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(4345),
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4323),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_module_statement_token1] = ACTIONS(4323),
    [aux_sym_submodule_statement_token1] = ACTIONS(4323),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4323),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_function_statement_token1] = ACTIONS(4323),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4323),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4323),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4465),
    [aux_sym_preproc_def_token1] = ACTIONS(4465),
    [aux_sym_preproc_if_token1] = ACTIONS(4465),
    [aux_sym_preproc_if_token2] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4465),
    [sym_preproc_directive] = ACTIONS(4465),
    [anon_sym_LPAREN2] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token1] = ACTIONS(4465),
    [aux_sym_end_program_statement_token2] = ACTIONS(4465),
    [aux_sym_module_statement_token1] = ACTIONS(4465),
    [aux_sym_submodule_statement_token1] = ACTIONS(4465),
    [aux_sym_interface_statement_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4465),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4465),
    [aux_sym_function_statement_token1] = ACTIONS(4465),
    [aux_sym_language_binding_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4465),
    [aux_sym_contains_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token1] = ACTIONS(4465),
    [aux_sym_use_statement_token2] = ACTIONS(4465),
    [aux_sym_implicit_statement_token1] = ACTIONS(4465),
    [aux_sym_implicit_statement_token3] = ACTIONS(4465),
    [aux_sym_implicit_statement_token4] = ACTIONS(4465),
    [aux_sym_save_statement_token1] = ACTIONS(4465),
    [aux_sym_private_statement_token1] = ACTIONS(4465),
    [aux_sym_public_statement_token1] = ACTIONS(4465),
    [aux_sym_namelist_statement_token1] = ACTIONS(4465),
    [aux_sym_common_statement_token1] = ACTIONS(4465),
    [aux_sym_import_statement_token1] = ACTIONS(4465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4465),
    [aux_sym_variable_attributes_token1] = ACTIONS(4465),
    [aux_sym_variable_attributes_token2] = ACTIONS(4465),
    [aux_sym_variable_attributes_token3] = ACTIONS(4465),
    [aux_sym_variable_attributes_token4] = ACTIONS(4465),
    [aux_sym_variable_attributes_token5] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4465),
    [aux_sym_derived_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token1] = ACTIONS(4465),
    [aux_sym_declared_type_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4465),
    [aux_sym_type_qualifier_token1] = ACTIONS(4465),
    [aux_sym_type_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4465),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4465),
    [anon_sym_SEMI] = ACTIONS(4467),
    [aux_sym_stop_statement_token1] = ACTIONS(4465),
    [aux_sym_stop_statement_token2] = ACTIONS(4465),
    [aux_sym_subroutine_call_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token1] = ACTIONS(4465),
    [aux_sym_keyword_statement_token2] = ACTIONS(4465),
    [aux_sym_keyword_statement_token3] = ACTIONS(4465),
    [aux_sym_keyword_statement_token4] = ACTIONS(4465),
    [aux_sym_keyword_statement_token6] = ACTIONS(4465),
    [aux_sym_keyword_statement_token7] = ACTIONS(4465),
    [aux_sym_include_statement_token1] = ACTIONS(4465),
    [aux_sym_data_statement_token1] = ACTIONS(4465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4465),
    [aux_sym_end_if_statement_token1] = ACTIONS(4465),
    [aux_sym_elseif_clause_token2] = ACTIONS(4465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token1] = ACTIONS(4465),
    [aux_sym_select_case_statement_token3] = ACTIONS(4465),
    [aux_sym_select_type_statement_token1] = ACTIONS(4465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4465),
    [aux_sym_block_construct_token1] = ACTIONS(4465),
    [aux_sym_associate_statement_token1] = ACTIONS(4465),
    [aux_sym_format_statement_token1] = ACTIONS(4465),
    [aux_sym_print_statement_token1] = ACTIONS(4465),
    [aux_sym_open_statement_token1] = ACTIONS(4465),
    [aux_sym_close_statement_token1] = ACTIONS(4465),
    [aux_sym_inquire_statement_token1] = ACTIONS(4465),
    [aux_sym_enum_statement_token1] = ACTIONS(4465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token1] = ACTIONS(4465),
    [aux_sym_file_position_statement_token2] = ACTIONS(4465),
    [aux_sym_file_position_statement_token3] = ACTIONS(4465),
    [aux_sym_file_position_statement_token4] = ACTIONS(4465),
    [aux_sym_allocate_statement_token1] = ACTIONS(4465),
    [aux_sym_entry_statement_token1] = ACTIONS(4465),
    [aux_sym_logical_expression_token5] = ACTIONS(4467),
    [anon_sym_DOT] = ACTIONS(4465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [aux_sym_boolean_literal_token1] = ACTIONS(4467),
    [aux_sym_boolean_literal_token2] = ACTIONS(4467),
    [aux_sym_null_literal_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_statement_token2] = ACTIONS(4465),
    [aux_sym_coarray_statement_token6] = ACTIONS(4465),
    [aux_sym_coarray_statement_token8] = ACTIONS(4465),
    [aux_sym_coarray_statement_token11] = ACTIONS(4465),
    [aux_sym_coarray_statement_token12] = ACTIONS(4465),
    [aux_sym_coarray_statement_token13] = ACTIONS(4465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4465),
    [aux_sym_identifier_token1] = ACTIONS(4465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4467),
    [sym__float_literal] = ACTIONS(4467),
    [sym__boz_literal] = ACTIONS(4467),
    [sym__string_literal] = ACTIONS(4467),
    [sym__string_literal_kind] = ACTIONS(4467),
  },
  [1071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4469),
    [aux_sym_preproc_def_token1] = ACTIONS(4469),
    [aux_sym_preproc_if_token1] = ACTIONS(4469),
    [aux_sym_preproc_if_token2] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4469),
    [sym_preproc_directive] = ACTIONS(4469),
    [anon_sym_LPAREN2] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4471),
    [anon_sym_DASH] = ACTIONS(4471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token1] = ACTIONS(4469),
    [aux_sym_end_program_statement_token2] = ACTIONS(4469),
    [aux_sym_module_statement_token1] = ACTIONS(4469),
    [aux_sym_submodule_statement_token1] = ACTIONS(4469),
    [aux_sym_interface_statement_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4469),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4469),
    [aux_sym_function_statement_token1] = ACTIONS(4469),
    [aux_sym_language_binding_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4469),
    [aux_sym_contains_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token1] = ACTIONS(4469),
    [aux_sym_use_statement_token2] = ACTIONS(4469),
    [aux_sym_implicit_statement_token1] = ACTIONS(4469),
    [aux_sym_implicit_statement_token3] = ACTIONS(4469),
    [aux_sym_implicit_statement_token4] = ACTIONS(4469),
    [aux_sym_save_statement_token1] = ACTIONS(4469),
    [aux_sym_private_statement_token1] = ACTIONS(4469),
    [aux_sym_public_statement_token1] = ACTIONS(4469),
    [aux_sym_namelist_statement_token1] = ACTIONS(4469),
    [aux_sym_common_statement_token1] = ACTIONS(4469),
    [aux_sym_import_statement_token1] = ACTIONS(4469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4469),
    [aux_sym_variable_attributes_token1] = ACTIONS(4469),
    [aux_sym_variable_attributes_token2] = ACTIONS(4469),
    [aux_sym_variable_attributes_token3] = ACTIONS(4469),
    [aux_sym_variable_attributes_token4] = ACTIONS(4469),
    [aux_sym_variable_attributes_token5] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4469),
    [aux_sym_derived_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token1] = ACTIONS(4469),
    [aux_sym_declared_type_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4469),
    [aux_sym_type_qualifier_token1] = ACTIONS(4469),
    [aux_sym_type_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4469),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4471),
    [aux_sym_stop_statement_token1] = ACTIONS(4469),
    [aux_sym_stop_statement_token2] = ACTIONS(4469),
    [aux_sym_subroutine_call_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token1] = ACTIONS(4469),
    [aux_sym_keyword_statement_token2] = ACTIONS(4469),
    [aux_sym_keyword_statement_token3] = ACTIONS(4469),
    [aux_sym_keyword_statement_token4] = ACTIONS(4469),
    [aux_sym_keyword_statement_token6] = ACTIONS(4469),
    [aux_sym_keyword_statement_token7] = ACTIONS(4469),
    [aux_sym_include_statement_token1] = ACTIONS(4469),
    [aux_sym_data_statement_token1] = ACTIONS(4469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4469),
    [aux_sym_end_if_statement_token1] = ACTIONS(4469),
    [aux_sym_elseif_clause_token2] = ACTIONS(4469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token1] = ACTIONS(4469),
    [aux_sym_select_case_statement_token3] = ACTIONS(4469),
    [aux_sym_select_type_statement_token1] = ACTIONS(4469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4469),
    [aux_sym_block_construct_token1] = ACTIONS(4469),
    [aux_sym_associate_statement_token1] = ACTIONS(4469),
    [aux_sym_format_statement_token1] = ACTIONS(4469),
    [aux_sym_print_statement_token1] = ACTIONS(4469),
    [aux_sym_open_statement_token1] = ACTIONS(4469),
    [aux_sym_close_statement_token1] = ACTIONS(4469),
    [aux_sym_inquire_statement_token1] = ACTIONS(4469),
    [aux_sym_enum_statement_token1] = ACTIONS(4469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token1] = ACTIONS(4469),
    [aux_sym_file_position_statement_token2] = ACTIONS(4469),
    [aux_sym_file_position_statement_token3] = ACTIONS(4469),
    [aux_sym_file_position_statement_token4] = ACTIONS(4469),
    [aux_sym_allocate_statement_token1] = ACTIONS(4469),
    [aux_sym_entry_statement_token1] = ACTIONS(4469),
    [aux_sym_logical_expression_token5] = ACTIONS(4471),
    [anon_sym_DOT] = ACTIONS(4469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4471),
    [anon_sym_LBRACK] = ACTIONS(4471),
    [aux_sym_boolean_literal_token1] = ACTIONS(4471),
    [aux_sym_boolean_literal_token2] = ACTIONS(4471),
    [aux_sym_null_literal_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_statement_token2] = ACTIONS(4469),
    [aux_sym_coarray_statement_token6] = ACTIONS(4469),
    [aux_sym_coarray_statement_token8] = ACTIONS(4469),
    [aux_sym_coarray_statement_token11] = ACTIONS(4469),
    [aux_sym_coarray_statement_token12] = ACTIONS(4469),
    [aux_sym_coarray_statement_token13] = ACTIONS(4469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4469),
    [aux_sym_identifier_token1] = ACTIONS(4469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4471),
    [sym__float_literal] = ACTIONS(4471),
    [sym__boz_literal] = ACTIONS(4471),
    [sym__string_literal] = ACTIONS(4471),
    [sym__string_literal_kind] = ACTIONS(4471),
  },
  [1072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4473),
    [aux_sym_preproc_def_token1] = ACTIONS(4473),
    [aux_sym_preproc_if_token1] = ACTIONS(4473),
    [aux_sym_preproc_if_token2] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4473),
    [sym_preproc_directive] = ACTIONS(4473),
    [anon_sym_LPAREN2] = ACTIONS(4473),
    [anon_sym_PLUS] = ACTIONS(4475),
    [anon_sym_DASH] = ACTIONS(4475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token1] = ACTIONS(4473),
    [aux_sym_end_program_statement_token2] = ACTIONS(4473),
    [aux_sym_module_statement_token1] = ACTIONS(4473),
    [aux_sym_submodule_statement_token1] = ACTIONS(4473),
    [aux_sym_interface_statement_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4473),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4473),
    [aux_sym_function_statement_token1] = ACTIONS(4473),
    [aux_sym_language_binding_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4473),
    [aux_sym_contains_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token1] = ACTIONS(4473),
    [aux_sym_use_statement_token2] = ACTIONS(4473),
    [aux_sym_implicit_statement_token1] = ACTIONS(4473),
    [aux_sym_implicit_statement_token3] = ACTIONS(4473),
    [aux_sym_implicit_statement_token4] = ACTIONS(4473),
    [aux_sym_save_statement_token1] = ACTIONS(4473),
    [aux_sym_private_statement_token1] = ACTIONS(4473),
    [aux_sym_public_statement_token1] = ACTIONS(4473),
    [aux_sym_namelist_statement_token1] = ACTIONS(4473),
    [aux_sym_common_statement_token1] = ACTIONS(4473),
    [aux_sym_import_statement_token1] = ACTIONS(4473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4473),
    [aux_sym_variable_attributes_token1] = ACTIONS(4473),
    [aux_sym_variable_attributes_token2] = ACTIONS(4473),
    [aux_sym_variable_attributes_token3] = ACTIONS(4473),
    [aux_sym_variable_attributes_token4] = ACTIONS(4473),
    [aux_sym_variable_attributes_token5] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4473),
    [aux_sym_derived_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token1] = ACTIONS(4473),
    [aux_sym_declared_type_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4473),
    [aux_sym_type_qualifier_token1] = ACTIONS(4473),
    [aux_sym_type_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4473),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [aux_sym_stop_statement_token1] = ACTIONS(4473),
    [aux_sym_stop_statement_token2] = ACTIONS(4473),
    [aux_sym_subroutine_call_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token1] = ACTIONS(4473),
    [aux_sym_keyword_statement_token2] = ACTIONS(4473),
    [aux_sym_keyword_statement_token3] = ACTIONS(4473),
    [aux_sym_keyword_statement_token4] = ACTIONS(4473),
    [aux_sym_keyword_statement_token6] = ACTIONS(4473),
    [aux_sym_keyword_statement_token7] = ACTIONS(4473),
    [aux_sym_include_statement_token1] = ACTIONS(4473),
    [aux_sym_data_statement_token1] = ACTIONS(4473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4473),
    [aux_sym_end_if_statement_token1] = ACTIONS(4473),
    [aux_sym_elseif_clause_token2] = ACTIONS(4473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token1] = ACTIONS(4473),
    [aux_sym_select_case_statement_token3] = ACTIONS(4473),
    [aux_sym_select_type_statement_token1] = ACTIONS(4473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4473),
    [aux_sym_block_construct_token1] = ACTIONS(4473),
    [aux_sym_associate_statement_token1] = ACTIONS(4473),
    [aux_sym_format_statement_token1] = ACTIONS(4473),
    [aux_sym_print_statement_token1] = ACTIONS(4473),
    [aux_sym_open_statement_token1] = ACTIONS(4473),
    [aux_sym_close_statement_token1] = ACTIONS(4473),
    [aux_sym_inquire_statement_token1] = ACTIONS(4473),
    [aux_sym_enum_statement_token1] = ACTIONS(4473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token1] = ACTIONS(4473),
    [aux_sym_file_position_statement_token2] = ACTIONS(4473),
    [aux_sym_file_position_statement_token3] = ACTIONS(4473),
    [aux_sym_file_position_statement_token4] = ACTIONS(4473),
    [aux_sym_allocate_statement_token1] = ACTIONS(4473),
    [aux_sym_entry_statement_token1] = ACTIONS(4473),
    [aux_sym_logical_expression_token5] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [aux_sym_boolean_literal_token1] = ACTIONS(4475),
    [aux_sym_boolean_literal_token2] = ACTIONS(4475),
    [aux_sym_null_literal_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_statement_token2] = ACTIONS(4473),
    [aux_sym_coarray_statement_token6] = ACTIONS(4473),
    [aux_sym_coarray_statement_token8] = ACTIONS(4473),
    [aux_sym_coarray_statement_token11] = ACTIONS(4473),
    [aux_sym_coarray_statement_token12] = ACTIONS(4473),
    [aux_sym_coarray_statement_token13] = ACTIONS(4473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4473),
    [aux_sym_identifier_token1] = ACTIONS(4473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4475),
    [sym__float_literal] = ACTIONS(4475),
    [sym__boz_literal] = ACTIONS(4475),
    [sym__string_literal] = ACTIONS(4475),
    [sym__string_literal_kind] = ACTIONS(4475),
  },
  [1073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4477),
    [aux_sym_preproc_def_token1] = ACTIONS(4477),
    [aux_sym_preproc_if_token1] = ACTIONS(4477),
    [aux_sym_preproc_if_token2] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4477),
    [sym_preproc_directive] = ACTIONS(4477),
    [anon_sym_LPAREN2] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token1] = ACTIONS(4477),
    [aux_sym_end_program_statement_token2] = ACTIONS(4477),
    [aux_sym_module_statement_token1] = ACTIONS(4477),
    [aux_sym_submodule_statement_token1] = ACTIONS(4477),
    [aux_sym_interface_statement_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4477),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4477),
    [aux_sym_function_statement_token1] = ACTIONS(4477),
    [aux_sym_language_binding_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4477),
    [aux_sym_contains_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token1] = ACTIONS(4477),
    [aux_sym_use_statement_token2] = ACTIONS(4477),
    [aux_sym_implicit_statement_token1] = ACTIONS(4477),
    [aux_sym_implicit_statement_token3] = ACTIONS(4477),
    [aux_sym_implicit_statement_token4] = ACTIONS(4477),
    [aux_sym_save_statement_token1] = ACTIONS(4477),
    [aux_sym_private_statement_token1] = ACTIONS(4477),
    [aux_sym_public_statement_token1] = ACTIONS(4477),
    [aux_sym_namelist_statement_token1] = ACTIONS(4477),
    [aux_sym_common_statement_token1] = ACTIONS(4477),
    [aux_sym_import_statement_token1] = ACTIONS(4477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4477),
    [aux_sym_variable_attributes_token1] = ACTIONS(4477),
    [aux_sym_variable_attributes_token2] = ACTIONS(4477),
    [aux_sym_variable_attributes_token3] = ACTIONS(4477),
    [aux_sym_variable_attributes_token4] = ACTIONS(4477),
    [aux_sym_variable_attributes_token5] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4477),
    [aux_sym_derived_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token1] = ACTIONS(4477),
    [aux_sym_declared_type_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4477),
    [aux_sym_type_qualifier_token1] = ACTIONS(4477),
    [aux_sym_type_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4477),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [aux_sym_stop_statement_token1] = ACTIONS(4477),
    [aux_sym_stop_statement_token2] = ACTIONS(4477),
    [aux_sym_subroutine_call_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token1] = ACTIONS(4477),
    [aux_sym_keyword_statement_token2] = ACTIONS(4477),
    [aux_sym_keyword_statement_token3] = ACTIONS(4477),
    [aux_sym_keyword_statement_token4] = ACTIONS(4477),
    [aux_sym_keyword_statement_token6] = ACTIONS(4477),
    [aux_sym_keyword_statement_token7] = ACTIONS(4477),
    [aux_sym_include_statement_token1] = ACTIONS(4477),
    [aux_sym_data_statement_token1] = ACTIONS(4477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4477),
    [aux_sym_end_if_statement_token1] = ACTIONS(4477),
    [aux_sym_elseif_clause_token2] = ACTIONS(4477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token1] = ACTIONS(4477),
    [aux_sym_select_case_statement_token3] = ACTIONS(4477),
    [aux_sym_select_type_statement_token1] = ACTIONS(4477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4477),
    [aux_sym_block_construct_token1] = ACTIONS(4477),
    [aux_sym_associate_statement_token1] = ACTIONS(4477),
    [aux_sym_format_statement_token1] = ACTIONS(4477),
    [aux_sym_print_statement_token1] = ACTIONS(4477),
    [aux_sym_open_statement_token1] = ACTIONS(4477),
    [aux_sym_close_statement_token1] = ACTIONS(4477),
    [aux_sym_inquire_statement_token1] = ACTIONS(4477),
    [aux_sym_enum_statement_token1] = ACTIONS(4477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token1] = ACTIONS(4477),
    [aux_sym_file_position_statement_token2] = ACTIONS(4477),
    [aux_sym_file_position_statement_token3] = ACTIONS(4477),
    [aux_sym_file_position_statement_token4] = ACTIONS(4477),
    [aux_sym_allocate_statement_token1] = ACTIONS(4477),
    [aux_sym_entry_statement_token1] = ACTIONS(4477),
    [aux_sym_logical_expression_token5] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [aux_sym_boolean_literal_token1] = ACTIONS(4479),
    [aux_sym_boolean_literal_token2] = ACTIONS(4479),
    [aux_sym_null_literal_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_statement_token2] = ACTIONS(4477),
    [aux_sym_coarray_statement_token6] = ACTIONS(4477),
    [aux_sym_coarray_statement_token8] = ACTIONS(4477),
    [aux_sym_coarray_statement_token11] = ACTIONS(4477),
    [aux_sym_coarray_statement_token12] = ACTIONS(4477),
    [aux_sym_coarray_statement_token13] = ACTIONS(4477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4477),
    [aux_sym_identifier_token1] = ACTIONS(4477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4479),
    [sym__float_literal] = ACTIONS(4479),
    [sym__boz_literal] = ACTIONS(4479),
    [sym__string_literal] = ACTIONS(4479),
    [sym__string_literal_kind] = ACTIONS(4479),
  },
  [1074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4481),
    [aux_sym_preproc_def_token1] = ACTIONS(4481),
    [aux_sym_preproc_if_token1] = ACTIONS(4481),
    [aux_sym_preproc_if_token2] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4481),
    [sym_preproc_directive] = ACTIONS(4481),
    [anon_sym_LPAREN2] = ACTIONS(4481),
    [anon_sym_PLUS] = ACTIONS(4483),
    [anon_sym_DASH] = ACTIONS(4483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token1] = ACTIONS(4481),
    [aux_sym_end_program_statement_token2] = ACTIONS(4481),
    [aux_sym_module_statement_token1] = ACTIONS(4481),
    [aux_sym_submodule_statement_token1] = ACTIONS(4481),
    [aux_sym_interface_statement_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4481),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4481),
    [aux_sym_function_statement_token1] = ACTIONS(4481),
    [aux_sym_language_binding_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4481),
    [aux_sym_contains_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token1] = ACTIONS(4481),
    [aux_sym_use_statement_token2] = ACTIONS(4481),
    [aux_sym_implicit_statement_token1] = ACTIONS(4481),
    [aux_sym_implicit_statement_token3] = ACTIONS(4481),
    [aux_sym_implicit_statement_token4] = ACTIONS(4481),
    [aux_sym_save_statement_token1] = ACTIONS(4481),
    [aux_sym_private_statement_token1] = ACTIONS(4481),
    [aux_sym_public_statement_token1] = ACTIONS(4481),
    [aux_sym_namelist_statement_token1] = ACTIONS(4481),
    [aux_sym_common_statement_token1] = ACTIONS(4481),
    [aux_sym_import_statement_token1] = ACTIONS(4481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4481),
    [aux_sym_variable_attributes_token1] = ACTIONS(4481),
    [aux_sym_variable_attributes_token2] = ACTIONS(4481),
    [aux_sym_variable_attributes_token3] = ACTIONS(4481),
    [aux_sym_variable_attributes_token4] = ACTIONS(4481),
    [aux_sym_variable_attributes_token5] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4481),
    [aux_sym_derived_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token1] = ACTIONS(4481),
    [aux_sym_declared_type_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4481),
    [aux_sym_type_qualifier_token1] = ACTIONS(4481),
    [aux_sym_type_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4481),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4481),
    [anon_sym_SEMI] = ACTIONS(4483),
    [aux_sym_stop_statement_token1] = ACTIONS(4481),
    [aux_sym_stop_statement_token2] = ACTIONS(4481),
    [aux_sym_subroutine_call_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token1] = ACTIONS(4481),
    [aux_sym_keyword_statement_token2] = ACTIONS(4481),
    [aux_sym_keyword_statement_token3] = ACTIONS(4481),
    [aux_sym_keyword_statement_token4] = ACTIONS(4481),
    [aux_sym_keyword_statement_token6] = ACTIONS(4481),
    [aux_sym_keyword_statement_token7] = ACTIONS(4481),
    [aux_sym_include_statement_token1] = ACTIONS(4481),
    [aux_sym_data_statement_token1] = ACTIONS(4481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4481),
    [aux_sym_end_if_statement_token1] = ACTIONS(4481),
    [aux_sym_elseif_clause_token2] = ACTIONS(4481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token1] = ACTIONS(4481),
    [aux_sym_select_case_statement_token3] = ACTIONS(4481),
    [aux_sym_select_type_statement_token1] = ACTIONS(4481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4481),
    [aux_sym_block_construct_token1] = ACTIONS(4481),
    [aux_sym_associate_statement_token1] = ACTIONS(4481),
    [aux_sym_format_statement_token1] = ACTIONS(4481),
    [aux_sym_print_statement_token1] = ACTIONS(4481),
    [aux_sym_open_statement_token1] = ACTIONS(4481),
    [aux_sym_close_statement_token1] = ACTIONS(4481),
    [aux_sym_inquire_statement_token1] = ACTIONS(4481),
    [aux_sym_enum_statement_token1] = ACTIONS(4481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token1] = ACTIONS(4481),
    [aux_sym_file_position_statement_token2] = ACTIONS(4481),
    [aux_sym_file_position_statement_token3] = ACTIONS(4481),
    [aux_sym_file_position_statement_token4] = ACTIONS(4481),
    [aux_sym_allocate_statement_token1] = ACTIONS(4481),
    [aux_sym_entry_statement_token1] = ACTIONS(4481),
    [aux_sym_logical_expression_token5] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [aux_sym_boolean_literal_token1] = ACTIONS(4483),
    [aux_sym_boolean_literal_token2] = ACTIONS(4483),
    [aux_sym_null_literal_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_statement_token2] = ACTIONS(4481),
    [aux_sym_coarray_statement_token6] = ACTIONS(4481),
    [aux_sym_coarray_statement_token8] = ACTIONS(4481),
    [aux_sym_coarray_statement_token11] = ACTIONS(4481),
    [aux_sym_coarray_statement_token12] = ACTIONS(4481),
    [aux_sym_coarray_statement_token13] = ACTIONS(4481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4481),
    [aux_sym_identifier_token1] = ACTIONS(4481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4483),
    [sym__float_literal] = ACTIONS(4483),
    [sym__boz_literal] = ACTIONS(4483),
    [sym__string_literal] = ACTIONS(4483),
    [sym__string_literal_kind] = ACTIONS(4483),
  },
  [1075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4485),
    [aux_sym_preproc_def_token1] = ACTIONS(4485),
    [aux_sym_preproc_if_token1] = ACTIONS(4485),
    [aux_sym_preproc_if_token2] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4485),
    [sym_preproc_directive] = ACTIONS(4485),
    [anon_sym_LPAREN2] = ACTIONS(4485),
    [anon_sym_PLUS] = ACTIONS(4487),
    [anon_sym_DASH] = ACTIONS(4487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token1] = ACTIONS(4485),
    [aux_sym_end_program_statement_token2] = ACTIONS(4485),
    [aux_sym_module_statement_token1] = ACTIONS(4485),
    [aux_sym_submodule_statement_token1] = ACTIONS(4485),
    [aux_sym_interface_statement_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4485),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4485),
    [aux_sym_function_statement_token1] = ACTIONS(4485),
    [aux_sym_language_binding_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4485),
    [aux_sym_contains_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token1] = ACTIONS(4485),
    [aux_sym_use_statement_token2] = ACTIONS(4485),
    [aux_sym_implicit_statement_token1] = ACTIONS(4485),
    [aux_sym_implicit_statement_token3] = ACTIONS(4485),
    [aux_sym_implicit_statement_token4] = ACTIONS(4485),
    [aux_sym_save_statement_token1] = ACTIONS(4485),
    [aux_sym_private_statement_token1] = ACTIONS(4485),
    [aux_sym_public_statement_token1] = ACTIONS(4485),
    [aux_sym_namelist_statement_token1] = ACTIONS(4485),
    [aux_sym_common_statement_token1] = ACTIONS(4485),
    [aux_sym_import_statement_token1] = ACTIONS(4485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4485),
    [aux_sym_variable_attributes_token1] = ACTIONS(4485),
    [aux_sym_variable_attributes_token2] = ACTIONS(4485),
    [aux_sym_variable_attributes_token3] = ACTIONS(4485),
    [aux_sym_variable_attributes_token4] = ACTIONS(4485),
    [aux_sym_variable_attributes_token5] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4485),
    [aux_sym_derived_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token1] = ACTIONS(4485),
    [aux_sym_declared_type_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4485),
    [aux_sym_type_qualifier_token1] = ACTIONS(4485),
    [aux_sym_type_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4485),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4485),
    [anon_sym_SEMI] = ACTIONS(4487),
    [aux_sym_stop_statement_token1] = ACTIONS(4485),
    [aux_sym_stop_statement_token2] = ACTIONS(4485),
    [aux_sym_subroutine_call_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token1] = ACTIONS(4485),
    [aux_sym_keyword_statement_token2] = ACTIONS(4485),
    [aux_sym_keyword_statement_token3] = ACTIONS(4485),
    [aux_sym_keyword_statement_token4] = ACTIONS(4485),
    [aux_sym_keyword_statement_token6] = ACTIONS(4485),
    [aux_sym_keyword_statement_token7] = ACTIONS(4485),
    [aux_sym_include_statement_token1] = ACTIONS(4485),
    [aux_sym_data_statement_token1] = ACTIONS(4485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4485),
    [aux_sym_end_if_statement_token1] = ACTIONS(4485),
    [aux_sym_elseif_clause_token2] = ACTIONS(4485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token1] = ACTIONS(4485),
    [aux_sym_select_case_statement_token3] = ACTIONS(4485),
    [aux_sym_select_type_statement_token1] = ACTIONS(4485),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4485),
    [aux_sym_block_construct_token1] = ACTIONS(4485),
    [aux_sym_associate_statement_token1] = ACTIONS(4485),
    [aux_sym_format_statement_token1] = ACTIONS(4485),
    [aux_sym_print_statement_token1] = ACTIONS(4485),
    [aux_sym_open_statement_token1] = ACTIONS(4485),
    [aux_sym_close_statement_token1] = ACTIONS(4485),
    [aux_sym_inquire_statement_token1] = ACTIONS(4485),
    [aux_sym_enum_statement_token1] = ACTIONS(4485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token1] = ACTIONS(4485),
    [aux_sym_file_position_statement_token2] = ACTIONS(4485),
    [aux_sym_file_position_statement_token3] = ACTIONS(4485),
    [aux_sym_file_position_statement_token4] = ACTIONS(4485),
    [aux_sym_allocate_statement_token1] = ACTIONS(4485),
    [aux_sym_entry_statement_token1] = ACTIONS(4485),
    [aux_sym_logical_expression_token5] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [aux_sym_boolean_literal_token1] = ACTIONS(4487),
    [aux_sym_boolean_literal_token2] = ACTIONS(4487),
    [aux_sym_null_literal_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_statement_token2] = ACTIONS(4485),
    [aux_sym_coarray_statement_token6] = ACTIONS(4485),
    [aux_sym_coarray_statement_token8] = ACTIONS(4485),
    [aux_sym_coarray_statement_token11] = ACTIONS(4485),
    [aux_sym_coarray_statement_token12] = ACTIONS(4485),
    [aux_sym_coarray_statement_token13] = ACTIONS(4485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4485),
    [aux_sym_identifier_token1] = ACTIONS(4485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4487),
    [sym__float_literal] = ACTIONS(4487),
    [sym__boz_literal] = ACTIONS(4487),
    [sym__string_literal] = ACTIONS(4487),
    [sym__string_literal_kind] = ACTIONS(4487),
  },
  [1076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4489),
    [aux_sym_preproc_def_token1] = ACTIONS(4489),
    [aux_sym_preproc_if_token1] = ACTIONS(4489),
    [aux_sym_preproc_if_token2] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4489),
    [sym_preproc_directive] = ACTIONS(4489),
    [anon_sym_LPAREN2] = ACTIONS(4489),
    [anon_sym_PLUS] = ACTIONS(4491),
    [anon_sym_DASH] = ACTIONS(4491),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token1] = ACTIONS(4489),
    [aux_sym_end_program_statement_token2] = ACTIONS(4489),
    [aux_sym_module_statement_token1] = ACTIONS(4489),
    [aux_sym_submodule_statement_token1] = ACTIONS(4489),
    [aux_sym_interface_statement_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4489),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4489),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4489),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4489),
    [aux_sym_function_statement_token1] = ACTIONS(4489),
    [aux_sym_language_binding_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4489),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4489),
    [aux_sym_contains_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token1] = ACTIONS(4489),
    [aux_sym_use_statement_token2] = ACTIONS(4489),
    [aux_sym_implicit_statement_token1] = ACTIONS(4489),
    [aux_sym_implicit_statement_token3] = ACTIONS(4489),
    [aux_sym_implicit_statement_token4] = ACTIONS(4489),
    [aux_sym_save_statement_token1] = ACTIONS(4489),
    [aux_sym_private_statement_token1] = ACTIONS(4489),
    [aux_sym_public_statement_token1] = ACTIONS(4489),
    [aux_sym_namelist_statement_token1] = ACTIONS(4489),
    [aux_sym_common_statement_token1] = ACTIONS(4489),
    [aux_sym_import_statement_token1] = ACTIONS(4489),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4489),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4489),
    [aux_sym_variable_attributes_token1] = ACTIONS(4489),
    [aux_sym_variable_attributes_token2] = ACTIONS(4489),
    [aux_sym_variable_attributes_token3] = ACTIONS(4489),
    [aux_sym_variable_attributes_token4] = ACTIONS(4489),
    [aux_sym_variable_attributes_token5] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4489),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4489),
    [aux_sym_derived_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token1] = ACTIONS(4489),
    [aux_sym_declared_type_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4489),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4489),
    [aux_sym_type_qualifier_token1] = ACTIONS(4489),
    [aux_sym_type_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4489),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4489),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4489),
    [anon_sym_SEMI] = ACTIONS(4491),
    [aux_sym_stop_statement_token1] = ACTIONS(4489),
    [aux_sym_stop_statement_token2] = ACTIONS(4489),
    [aux_sym_subroutine_call_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token1] = ACTIONS(4489),
    [aux_sym_keyword_statement_token2] = ACTIONS(4489),
    [aux_sym_keyword_statement_token3] = ACTIONS(4489),
    [aux_sym_keyword_statement_token4] = ACTIONS(4489),
    [aux_sym_keyword_statement_token6] = ACTIONS(4489),
    [aux_sym_keyword_statement_token7] = ACTIONS(4489),
    [aux_sym_include_statement_token1] = ACTIONS(4489),
    [aux_sym_data_statement_token1] = ACTIONS(4489),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4489),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4489),
    [aux_sym_end_if_statement_token1] = ACTIONS(4489),
    [aux_sym_elseif_clause_token2] = ACTIONS(4489),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4489),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token1] = ACTIONS(4489),
    [aux_sym_select_case_statement_token3] = ACTIONS(4489),
    [aux_sym_select_type_statement_token1] = ACTIONS(4489),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4489),
    [aux_sym_block_construct_token1] = ACTIONS(4489),
    [aux_sym_associate_statement_token1] = ACTIONS(4489),
    [aux_sym_format_statement_token1] = ACTIONS(4489),
    [aux_sym_print_statement_token1] = ACTIONS(4489),
    [aux_sym_open_statement_token1] = ACTIONS(4489),
    [aux_sym_close_statement_token1] = ACTIONS(4489),
    [aux_sym_inquire_statement_token1] = ACTIONS(4489),
    [aux_sym_enum_statement_token1] = ACTIONS(4489),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token1] = ACTIONS(4489),
    [aux_sym_file_position_statement_token2] = ACTIONS(4489),
    [aux_sym_file_position_statement_token3] = ACTIONS(4489),
    [aux_sym_file_position_statement_token4] = ACTIONS(4489),
    [aux_sym_allocate_statement_token1] = ACTIONS(4489),
    [aux_sym_entry_statement_token1] = ACTIONS(4489),
    [aux_sym_logical_expression_token5] = ACTIONS(4491),
    [anon_sym_DOT] = ACTIONS(4489),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(4491),
    [aux_sym_boolean_literal_token1] = ACTIONS(4491),
    [aux_sym_boolean_literal_token2] = ACTIONS(4491),
    [aux_sym_null_literal_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_statement_token2] = ACTIONS(4489),
    [aux_sym_coarray_statement_token6] = ACTIONS(4489),
    [aux_sym_coarray_statement_token8] = ACTIONS(4489),
    [aux_sym_coarray_statement_token11] = ACTIONS(4489),
    [aux_sym_coarray_statement_token12] = ACTIONS(4489),
    [aux_sym_coarray_statement_token13] = ACTIONS(4489),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4489),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4489),
    [aux_sym_identifier_token1] = ACTIONS(4489),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4491),
    [sym__float_literal] = ACTIONS(4491),
    [sym__boz_literal] = ACTIONS(4491),
    [sym__string_literal] = ACTIONS(4491),
    [sym__string_literal_kind] = ACTIONS(4491),
  },
  [1077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4493),
    [aux_sym_preproc_def_token1] = ACTIONS(4493),
    [aux_sym_preproc_if_token1] = ACTIONS(4493),
    [aux_sym_preproc_if_token2] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4493),
    [sym_preproc_directive] = ACTIONS(4493),
    [anon_sym_LPAREN2] = ACTIONS(4493),
    [anon_sym_PLUS] = ACTIONS(4495),
    [anon_sym_DASH] = ACTIONS(4495),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token1] = ACTIONS(4493),
    [aux_sym_end_program_statement_token2] = ACTIONS(4493),
    [aux_sym_module_statement_token1] = ACTIONS(4493),
    [aux_sym_submodule_statement_token1] = ACTIONS(4493),
    [aux_sym_interface_statement_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4493),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4493),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4493),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4493),
    [aux_sym_function_statement_token1] = ACTIONS(4493),
    [aux_sym_language_binding_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4493),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4493),
    [aux_sym_contains_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token1] = ACTIONS(4493),
    [aux_sym_use_statement_token2] = ACTIONS(4493),
    [aux_sym_implicit_statement_token1] = ACTIONS(4493),
    [aux_sym_implicit_statement_token3] = ACTIONS(4493),
    [aux_sym_implicit_statement_token4] = ACTIONS(4493),
    [aux_sym_save_statement_token1] = ACTIONS(4493),
    [aux_sym_private_statement_token1] = ACTIONS(4493),
    [aux_sym_public_statement_token1] = ACTIONS(4493),
    [aux_sym_namelist_statement_token1] = ACTIONS(4493),
    [aux_sym_common_statement_token1] = ACTIONS(4493),
    [aux_sym_import_statement_token1] = ACTIONS(4493),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4493),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4493),
    [aux_sym_variable_attributes_token1] = ACTIONS(4493),
    [aux_sym_variable_attributes_token2] = ACTIONS(4493),
    [aux_sym_variable_attributes_token3] = ACTIONS(4493),
    [aux_sym_variable_attributes_token4] = ACTIONS(4493),
    [aux_sym_variable_attributes_token5] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4493),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4493),
    [aux_sym_derived_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token1] = ACTIONS(4493),
    [aux_sym_declared_type_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4493),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4493),
    [aux_sym_type_qualifier_token1] = ACTIONS(4493),
    [aux_sym_type_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4493),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4493),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4493),
    [anon_sym_SEMI] = ACTIONS(4495),
    [aux_sym_stop_statement_token1] = ACTIONS(4493),
    [aux_sym_stop_statement_token2] = ACTIONS(4493),
    [aux_sym_subroutine_call_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token1] = ACTIONS(4493),
    [aux_sym_keyword_statement_token2] = ACTIONS(4493),
    [aux_sym_keyword_statement_token3] = ACTIONS(4493),
    [aux_sym_keyword_statement_token4] = ACTIONS(4493),
    [aux_sym_keyword_statement_token6] = ACTIONS(4493),
    [aux_sym_keyword_statement_token7] = ACTIONS(4493),
    [aux_sym_include_statement_token1] = ACTIONS(4493),
    [aux_sym_data_statement_token1] = ACTIONS(4493),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4493),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4493),
    [aux_sym_end_if_statement_token1] = ACTIONS(4493),
    [aux_sym_elseif_clause_token2] = ACTIONS(4493),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4493),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token1] = ACTIONS(4493),
    [aux_sym_select_case_statement_token3] = ACTIONS(4493),
    [aux_sym_select_type_statement_token1] = ACTIONS(4493),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4493),
    [aux_sym_block_construct_token1] = ACTIONS(4493),
    [aux_sym_associate_statement_token1] = ACTIONS(4493),
    [aux_sym_format_statement_token1] = ACTIONS(4493),
    [aux_sym_print_statement_token1] = ACTIONS(4493),
    [aux_sym_open_statement_token1] = ACTIONS(4493),
    [aux_sym_close_statement_token1] = ACTIONS(4493),
    [aux_sym_inquire_statement_token1] = ACTIONS(4493),
    [aux_sym_enum_statement_token1] = ACTIONS(4493),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token1] = ACTIONS(4493),
    [aux_sym_file_position_statement_token2] = ACTIONS(4493),
    [aux_sym_file_position_statement_token3] = ACTIONS(4493),
    [aux_sym_file_position_statement_token4] = ACTIONS(4493),
    [aux_sym_allocate_statement_token1] = ACTIONS(4493),
    [aux_sym_entry_statement_token1] = ACTIONS(4493),
    [aux_sym_logical_expression_token5] = ACTIONS(4495),
    [anon_sym_DOT] = ACTIONS(4493),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4495),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [aux_sym_boolean_literal_token1] = ACTIONS(4495),
    [aux_sym_boolean_literal_token2] = ACTIONS(4495),
    [aux_sym_null_literal_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_statement_token2] = ACTIONS(4493),
    [aux_sym_coarray_statement_token6] = ACTIONS(4493),
    [aux_sym_coarray_statement_token8] = ACTIONS(4493),
    [aux_sym_coarray_statement_token11] = ACTIONS(4493),
    [aux_sym_coarray_statement_token12] = ACTIONS(4493),
    [aux_sym_coarray_statement_token13] = ACTIONS(4493),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4493),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4493),
    [aux_sym_identifier_token1] = ACTIONS(4493),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4495),
    [sym__float_literal] = ACTIONS(4495),
    [sym__boz_literal] = ACTIONS(4495),
    [sym__string_literal] = ACTIONS(4495),
    [sym__string_literal_kind] = ACTIONS(4495),
  },
  [1078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_module_statement_token1] = ACTIONS(4629),
    [aux_sym_submodule_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_function_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4629),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(4419),
    [aux_sym_preproc_include_token1] = ACTIONS(4417),
    [aux_sym_preproc_def_token1] = ACTIONS(4417),
    [aux_sym_preproc_if_token1] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4417),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4417),
    [sym_preproc_directive] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(4417),
    [anon_sym_PLUS] = ACTIONS(4419),
    [anon_sym_DASH] = ACTIONS(4419),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token1] = ACTIONS(4417),
    [aux_sym_end_program_statement_token2] = ACTIONS(4417),
    [aux_sym_module_statement_token1] = ACTIONS(4417),
    [aux_sym_submodule_statement_token1] = ACTIONS(4417),
    [aux_sym_interface_statement_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4417),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4417),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4417),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4417),
    [aux_sym_function_statement_token1] = ACTIONS(4417),
    [aux_sym_language_binding_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4417),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4417),
    [aux_sym_contains_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token1] = ACTIONS(4417),
    [aux_sym_use_statement_token2] = ACTIONS(4417),
    [aux_sym_implicit_statement_token1] = ACTIONS(4417),
    [aux_sym_implicit_statement_token3] = ACTIONS(4417),
    [aux_sym_implicit_statement_token4] = ACTIONS(4417),
    [aux_sym_save_statement_token1] = ACTIONS(4417),
    [aux_sym_private_statement_token1] = ACTIONS(4417),
    [aux_sym_public_statement_token1] = ACTIONS(4417),
    [aux_sym_namelist_statement_token1] = ACTIONS(4417),
    [aux_sym_common_statement_token1] = ACTIONS(4417),
    [aux_sym_import_statement_token1] = ACTIONS(4417),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4417),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4417),
    [aux_sym_variable_attributes_token1] = ACTIONS(4417),
    [aux_sym_variable_attributes_token2] = ACTIONS(4417),
    [aux_sym_variable_attributes_token3] = ACTIONS(4417),
    [aux_sym_variable_attributes_token4] = ACTIONS(4417),
    [aux_sym_variable_attributes_token5] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4417),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4417),
    [aux_sym_derived_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token1] = ACTIONS(4417),
    [aux_sym_declared_type_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4417),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4417),
    [aux_sym_type_qualifier_token1] = ACTIONS(4417),
    [aux_sym_type_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4417),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4417),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4417),
    [anon_sym_SEMI] = ACTIONS(4419),
    [aux_sym_stop_statement_token1] = ACTIONS(4417),
    [aux_sym_stop_statement_token2] = ACTIONS(4417),
    [aux_sym_subroutine_call_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token1] = ACTIONS(4417),
    [aux_sym_keyword_statement_token2] = ACTIONS(4417),
    [aux_sym_keyword_statement_token3] = ACTIONS(4417),
    [aux_sym_keyword_statement_token4] = ACTIONS(4417),
    [aux_sym_keyword_statement_token6] = ACTIONS(4417),
    [aux_sym_keyword_statement_token7] = ACTIONS(4417),
    [aux_sym_include_statement_token1] = ACTIONS(4417),
    [aux_sym_data_statement_token1] = ACTIONS(4417),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4417),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4417),
    [aux_sym_end_if_statement_token1] = ACTIONS(4417),
    [aux_sym_elseif_clause_token2] = ACTIONS(4417),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4417),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token1] = ACTIONS(4417),
    [aux_sym_select_case_statement_token3] = ACTIONS(4417),
    [aux_sym_select_type_statement_token1] = ACTIONS(4417),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4417),
    [aux_sym_block_construct_token1] = ACTIONS(4417),
    [aux_sym_associate_statement_token1] = ACTIONS(4417),
    [aux_sym_format_statement_token1] = ACTIONS(4417),
    [aux_sym_print_statement_token1] = ACTIONS(4417),
    [aux_sym_open_statement_token1] = ACTIONS(4417),
    [aux_sym_close_statement_token1] = ACTIONS(4417),
    [aux_sym_inquire_statement_token1] = ACTIONS(4417),
    [aux_sym_enum_statement_token1] = ACTIONS(4417),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token1] = ACTIONS(4417),
    [aux_sym_file_position_statement_token2] = ACTIONS(4417),
    [aux_sym_file_position_statement_token3] = ACTIONS(4417),
    [aux_sym_file_position_statement_token4] = ACTIONS(4417),
    [aux_sym_allocate_statement_token1] = ACTIONS(4417),
    [aux_sym_entry_statement_token1] = ACTIONS(4417),
    [aux_sym_logical_expression_token5] = ACTIONS(4419),
    [anon_sym_DOT] = ACTIONS(4417),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(4419),
    [aux_sym_boolean_literal_token1] = ACTIONS(4419),
    [aux_sym_boolean_literal_token2] = ACTIONS(4419),
    [aux_sym_null_literal_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_statement_token2] = ACTIONS(4417),
    [aux_sym_coarray_statement_token6] = ACTIONS(4417),
    [aux_sym_coarray_statement_token8] = ACTIONS(4417),
    [aux_sym_coarray_statement_token11] = ACTIONS(4417),
    [aux_sym_coarray_statement_token12] = ACTIONS(4417),
    [aux_sym_coarray_statement_token13] = ACTIONS(4417),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4417),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4417),
    [aux_sym_identifier_token1] = ACTIONS(4417),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4419),
    [sym__float_literal] = ACTIONS(4419),
    [sym__boz_literal] = ACTIONS(4419),
    [sym__string_literal] = ACTIONS(4419),
    [sym__string_literal_kind] = ACTIONS(4419),
  },
  [1080] = {
    [ts_builtin_sym_end] = ACTIONS(4635),
    [aux_sym_preproc_include_token1] = ACTIONS(4633),
    [aux_sym_preproc_def_token1] = ACTIONS(4633),
    [aux_sym_preproc_if_token1] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4633),
    [sym_preproc_directive] = ACTIONS(4633),
    [anon_sym_LPAREN2] = ACTIONS(4633),
    [anon_sym_PLUS] = ACTIONS(4635),
    [anon_sym_DASH] = ACTIONS(4635),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token1] = ACTIONS(4633),
    [aux_sym_end_program_statement_token2] = ACTIONS(4633),
    [aux_sym_module_statement_token1] = ACTIONS(4633),
    [aux_sym_submodule_statement_token1] = ACTIONS(4633),
    [aux_sym_interface_statement_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4633),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4633),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4633),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4633),
    [aux_sym_function_statement_token1] = ACTIONS(4633),
    [aux_sym_language_binding_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4633),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4633),
    [aux_sym_contains_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token1] = ACTIONS(4633),
    [aux_sym_use_statement_token2] = ACTIONS(4633),
    [aux_sym_implicit_statement_token1] = ACTIONS(4633),
    [aux_sym_implicit_statement_token3] = ACTIONS(4633),
    [aux_sym_implicit_statement_token4] = ACTIONS(4633),
    [aux_sym_save_statement_token1] = ACTIONS(4633),
    [aux_sym_private_statement_token1] = ACTIONS(4633),
    [aux_sym_public_statement_token1] = ACTIONS(4633),
    [aux_sym_namelist_statement_token1] = ACTIONS(4633),
    [aux_sym_common_statement_token1] = ACTIONS(4633),
    [aux_sym_import_statement_token1] = ACTIONS(4633),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4633),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4633),
    [aux_sym_variable_attributes_token1] = ACTIONS(4633),
    [aux_sym_variable_attributes_token2] = ACTIONS(4633),
    [aux_sym_variable_attributes_token3] = ACTIONS(4633),
    [aux_sym_variable_attributes_token4] = ACTIONS(4633),
    [aux_sym_variable_attributes_token5] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4633),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4633),
    [aux_sym_derived_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token1] = ACTIONS(4633),
    [aux_sym_declared_type_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4633),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4633),
    [aux_sym_type_qualifier_token1] = ACTIONS(4633),
    [aux_sym_type_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4633),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4633),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4633),
    [anon_sym_SEMI] = ACTIONS(4635),
    [aux_sym_stop_statement_token1] = ACTIONS(4633),
    [aux_sym_stop_statement_token2] = ACTIONS(4633),
    [aux_sym_subroutine_call_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token1] = ACTIONS(4633),
    [aux_sym_keyword_statement_token2] = ACTIONS(4633),
    [aux_sym_keyword_statement_token3] = ACTIONS(4633),
    [aux_sym_keyword_statement_token4] = ACTIONS(4633),
    [aux_sym_keyword_statement_token6] = ACTIONS(4633),
    [aux_sym_keyword_statement_token7] = ACTIONS(4633),
    [aux_sym_include_statement_token1] = ACTIONS(4633),
    [aux_sym_data_statement_token1] = ACTIONS(4633),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4633),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4633),
    [aux_sym_end_if_statement_token1] = ACTIONS(4633),
    [aux_sym_elseif_clause_token2] = ACTIONS(4633),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4633),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token1] = ACTIONS(4633),
    [aux_sym_select_case_statement_token3] = ACTIONS(4633),
    [aux_sym_select_type_statement_token1] = ACTIONS(4633),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4633),
    [aux_sym_block_construct_token1] = ACTIONS(4633),
    [aux_sym_associate_statement_token1] = ACTIONS(4633),
    [aux_sym_format_statement_token1] = ACTIONS(4633),
    [aux_sym_print_statement_token1] = ACTIONS(4633),
    [aux_sym_open_statement_token1] = ACTIONS(4633),
    [aux_sym_close_statement_token1] = ACTIONS(4633),
    [aux_sym_inquire_statement_token1] = ACTIONS(4633),
    [aux_sym_enum_statement_token1] = ACTIONS(4633),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token1] = ACTIONS(4633),
    [aux_sym_file_position_statement_token2] = ACTIONS(4633),
    [aux_sym_file_position_statement_token3] = ACTIONS(4633),
    [aux_sym_file_position_statement_token4] = ACTIONS(4633),
    [aux_sym_allocate_statement_token1] = ACTIONS(4633),
    [aux_sym_entry_statement_token1] = ACTIONS(4633),
    [aux_sym_logical_expression_token5] = ACTIONS(4635),
    [anon_sym_DOT] = ACTIONS(4633),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4635),
    [anon_sym_LBRACK] = ACTIONS(4635),
    [aux_sym_boolean_literal_token1] = ACTIONS(4635),
    [aux_sym_boolean_literal_token2] = ACTIONS(4635),
    [aux_sym_null_literal_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_statement_token2] = ACTIONS(4633),
    [aux_sym_coarray_statement_token6] = ACTIONS(4633),
    [aux_sym_coarray_statement_token8] = ACTIONS(4633),
    [aux_sym_coarray_statement_token11] = ACTIONS(4633),
    [aux_sym_coarray_statement_token12] = ACTIONS(4633),
    [aux_sym_coarray_statement_token13] = ACTIONS(4633),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4633),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4633),
    [aux_sym_identifier_token1] = ACTIONS(4633),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4635),
    [sym__float_literal] = ACTIONS(4635),
    [sym__boz_literal] = ACTIONS(4635),
    [sym__string_literal] = ACTIONS(4635),
    [sym__string_literal_kind] = ACTIONS(4635),
  },
  [1081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_module_statement_token1] = ACTIONS(4637),
    [aux_sym_submodule_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_function_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_module_statement_token1] = ACTIONS(4401),
    [aux_sym_submodule_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_function_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4401),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1083] = {
    [ts_builtin_sym_end] = ACTIONS(4463),
    [aux_sym_preproc_include_token1] = ACTIONS(4461),
    [aux_sym_preproc_def_token1] = ACTIONS(4461),
    [aux_sym_preproc_if_token1] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4461),
    [sym_preproc_directive] = ACTIONS(4461),
    [anon_sym_LPAREN2] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token1] = ACTIONS(4461),
    [aux_sym_end_program_statement_token2] = ACTIONS(4461),
    [aux_sym_module_statement_token1] = ACTIONS(4461),
    [aux_sym_submodule_statement_token1] = ACTIONS(4461),
    [aux_sym_interface_statement_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4461),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4461),
    [aux_sym_function_statement_token1] = ACTIONS(4461),
    [aux_sym_language_binding_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4461),
    [aux_sym_contains_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token1] = ACTIONS(4461),
    [aux_sym_use_statement_token2] = ACTIONS(4461),
    [aux_sym_implicit_statement_token1] = ACTIONS(4461),
    [aux_sym_implicit_statement_token3] = ACTIONS(4461),
    [aux_sym_implicit_statement_token4] = ACTIONS(4461),
    [aux_sym_save_statement_token1] = ACTIONS(4461),
    [aux_sym_private_statement_token1] = ACTIONS(4461),
    [aux_sym_public_statement_token1] = ACTIONS(4461),
    [aux_sym_namelist_statement_token1] = ACTIONS(4461),
    [aux_sym_common_statement_token1] = ACTIONS(4461),
    [aux_sym_import_statement_token1] = ACTIONS(4461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4461),
    [aux_sym_variable_attributes_token1] = ACTIONS(4461),
    [aux_sym_variable_attributes_token2] = ACTIONS(4461),
    [aux_sym_variable_attributes_token3] = ACTIONS(4461),
    [aux_sym_variable_attributes_token4] = ACTIONS(4461),
    [aux_sym_variable_attributes_token5] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4461),
    [aux_sym_derived_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token1] = ACTIONS(4461),
    [aux_sym_declared_type_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4461),
    [aux_sym_type_qualifier_token1] = ACTIONS(4461),
    [aux_sym_type_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4461),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4461),
    [anon_sym_SEMI] = ACTIONS(4463),
    [aux_sym_stop_statement_token1] = ACTIONS(4461),
    [aux_sym_stop_statement_token2] = ACTIONS(4461),
    [aux_sym_subroutine_call_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token1] = ACTIONS(4461),
    [aux_sym_keyword_statement_token2] = ACTIONS(4461),
    [aux_sym_keyword_statement_token3] = ACTIONS(4461),
    [aux_sym_keyword_statement_token4] = ACTIONS(4461),
    [aux_sym_keyword_statement_token6] = ACTIONS(4461),
    [aux_sym_keyword_statement_token7] = ACTIONS(4461),
    [aux_sym_include_statement_token1] = ACTIONS(4461),
    [aux_sym_data_statement_token1] = ACTIONS(4461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4461),
    [aux_sym_end_if_statement_token1] = ACTIONS(4461),
    [aux_sym_elseif_clause_token2] = ACTIONS(4461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token1] = ACTIONS(4461),
    [aux_sym_select_case_statement_token3] = ACTIONS(4461),
    [aux_sym_select_type_statement_token1] = ACTIONS(4461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4461),
    [aux_sym_block_construct_token1] = ACTIONS(4461),
    [aux_sym_associate_statement_token1] = ACTIONS(4461),
    [aux_sym_format_statement_token1] = ACTIONS(4461),
    [aux_sym_print_statement_token1] = ACTIONS(4461),
    [aux_sym_open_statement_token1] = ACTIONS(4461),
    [aux_sym_close_statement_token1] = ACTIONS(4461),
    [aux_sym_inquire_statement_token1] = ACTIONS(4461),
    [aux_sym_enum_statement_token1] = ACTIONS(4461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token1] = ACTIONS(4461),
    [aux_sym_file_position_statement_token2] = ACTIONS(4461),
    [aux_sym_file_position_statement_token3] = ACTIONS(4461),
    [aux_sym_file_position_statement_token4] = ACTIONS(4461),
    [aux_sym_allocate_statement_token1] = ACTIONS(4461),
    [aux_sym_entry_statement_token1] = ACTIONS(4461),
    [aux_sym_logical_expression_token5] = ACTIONS(4463),
    [anon_sym_DOT] = ACTIONS(4461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4463),
    [aux_sym_boolean_literal_token1] = ACTIONS(4463),
    [aux_sym_boolean_literal_token2] = ACTIONS(4463),
    [aux_sym_null_literal_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_statement_token2] = ACTIONS(4461),
    [aux_sym_coarray_statement_token6] = ACTIONS(4461),
    [aux_sym_coarray_statement_token8] = ACTIONS(4461),
    [aux_sym_coarray_statement_token11] = ACTIONS(4461),
    [aux_sym_coarray_statement_token12] = ACTIONS(4461),
    [aux_sym_coarray_statement_token13] = ACTIONS(4461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4461),
    [aux_sym_identifier_token1] = ACTIONS(4461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4463),
    [sym__float_literal] = ACTIONS(4463),
    [sym__boz_literal] = ACTIONS(4463),
    [sym__string_literal] = ACTIONS(4463),
    [sym__string_literal_kind] = ACTIONS(4463),
  },
  [1084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4341),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_module_statement_token1] = ACTIONS(4341),
    [aux_sym_submodule_statement_token1] = ACTIONS(4341),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4341),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_function_statement_token1] = ACTIONS(4341),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4341),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4341),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_module_statement_token1] = ACTIONS(4529),
    [aux_sym_submodule_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_function_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_module_statement_token1] = ACTIONS(4405),
    [aux_sym_submodule_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_function_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_module_statement_token1] = ACTIONS(4409),
    [aux_sym_submodule_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_function_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_module_statement_token1] = ACTIONS(4413),
    [aux_sym_submodule_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_function_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4413),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4503),
    [aux_sym_preproc_def_token1] = ACTIONS(4503),
    [aux_sym_preproc_if_token1] = ACTIONS(4503),
    [aux_sym_preproc_if_token2] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4503),
    [sym_preproc_directive] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_PLUS] = ACTIONS(4505),
    [anon_sym_DASH] = ACTIONS(4505),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token1] = ACTIONS(4503),
    [aux_sym_end_program_statement_token2] = ACTIONS(4503),
    [aux_sym_module_statement_token1] = ACTIONS(4503),
    [aux_sym_submodule_statement_token1] = ACTIONS(4503),
    [aux_sym_interface_statement_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4503),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4503),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4503),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4503),
    [aux_sym_function_statement_token1] = ACTIONS(4503),
    [aux_sym_language_binding_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4503),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4503),
    [aux_sym_contains_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token1] = ACTIONS(4503),
    [aux_sym_use_statement_token2] = ACTIONS(4503),
    [aux_sym_implicit_statement_token1] = ACTIONS(4503),
    [aux_sym_implicit_statement_token3] = ACTIONS(4503),
    [aux_sym_implicit_statement_token4] = ACTIONS(4503),
    [aux_sym_save_statement_token1] = ACTIONS(4503),
    [aux_sym_private_statement_token1] = ACTIONS(4503),
    [aux_sym_public_statement_token1] = ACTIONS(4503),
    [aux_sym_namelist_statement_token1] = ACTIONS(4503),
    [aux_sym_common_statement_token1] = ACTIONS(4503),
    [aux_sym_import_statement_token1] = ACTIONS(4503),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4503),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4503),
    [aux_sym_variable_attributes_token1] = ACTIONS(4503),
    [aux_sym_variable_attributes_token2] = ACTIONS(4503),
    [aux_sym_variable_attributes_token3] = ACTIONS(4503),
    [aux_sym_variable_attributes_token4] = ACTIONS(4503),
    [aux_sym_variable_attributes_token5] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4503),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4503),
    [aux_sym_derived_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token1] = ACTIONS(4503),
    [aux_sym_declared_type_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4503),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4503),
    [aux_sym_type_qualifier_token1] = ACTIONS(4503),
    [aux_sym_type_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4503),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4503),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4503),
    [anon_sym_SEMI] = ACTIONS(4505),
    [aux_sym_stop_statement_token1] = ACTIONS(4503),
    [aux_sym_stop_statement_token2] = ACTIONS(4503),
    [aux_sym_subroutine_call_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token1] = ACTIONS(4503),
    [aux_sym_keyword_statement_token2] = ACTIONS(4503),
    [aux_sym_keyword_statement_token3] = ACTIONS(4503),
    [aux_sym_keyword_statement_token4] = ACTIONS(4503),
    [aux_sym_keyword_statement_token6] = ACTIONS(4503),
    [aux_sym_keyword_statement_token7] = ACTIONS(4503),
    [aux_sym_include_statement_token1] = ACTIONS(4503),
    [aux_sym_data_statement_token1] = ACTIONS(4503),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4503),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4503),
    [aux_sym_end_if_statement_token1] = ACTIONS(4503),
    [aux_sym_elseif_clause_token2] = ACTIONS(4503),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4503),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token1] = ACTIONS(4503),
    [aux_sym_select_case_statement_token3] = ACTIONS(4503),
    [aux_sym_select_type_statement_token1] = ACTIONS(4503),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4503),
    [aux_sym_block_construct_token1] = ACTIONS(4503),
    [aux_sym_associate_statement_token1] = ACTIONS(4503),
    [aux_sym_format_statement_token1] = ACTIONS(4503),
    [aux_sym_print_statement_token1] = ACTIONS(4503),
    [aux_sym_open_statement_token1] = ACTIONS(4503),
    [aux_sym_close_statement_token1] = ACTIONS(4503),
    [aux_sym_inquire_statement_token1] = ACTIONS(4503),
    [aux_sym_enum_statement_token1] = ACTIONS(4503),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token1] = ACTIONS(4503),
    [aux_sym_file_position_statement_token2] = ACTIONS(4503),
    [aux_sym_file_position_statement_token3] = ACTIONS(4503),
    [aux_sym_file_position_statement_token4] = ACTIONS(4503),
    [aux_sym_allocate_statement_token1] = ACTIONS(4503),
    [aux_sym_entry_statement_token1] = ACTIONS(4503),
    [aux_sym_logical_expression_token5] = ACTIONS(4505),
    [anon_sym_DOT] = ACTIONS(4503),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4505),
    [anon_sym_LBRACK] = ACTIONS(4505),
    [aux_sym_boolean_literal_token1] = ACTIONS(4505),
    [aux_sym_boolean_literal_token2] = ACTIONS(4505),
    [aux_sym_null_literal_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_statement_token2] = ACTIONS(4503),
    [aux_sym_coarray_statement_token6] = ACTIONS(4503),
    [aux_sym_coarray_statement_token8] = ACTIONS(4503),
    [aux_sym_coarray_statement_token11] = ACTIONS(4503),
    [aux_sym_coarray_statement_token12] = ACTIONS(4503),
    [aux_sym_coarray_statement_token13] = ACTIONS(4503),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4503),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4503),
    [aux_sym_identifier_token1] = ACTIONS(4503),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4505),
    [sym__float_literal] = ACTIONS(4505),
    [sym__boz_literal] = ACTIONS(4505),
    [sym__string_literal] = ACTIONS(4505),
    [sym__string_literal_kind] = ACTIONS(4505),
  },
  [1091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4361),
    [aux_sym_preproc_def_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token1] = ACTIONS(4361),
    [aux_sym_preproc_if_token2] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4361),
    [sym_preproc_directive] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(4361),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token2] = ACTIONS(4361),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4361),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4361),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4361),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4361),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4361),
    [aux_sym_contains_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token1] = ACTIONS(4361),
    [aux_sym_use_statement_token2] = ACTIONS(4361),
    [aux_sym_implicit_statement_token1] = ACTIONS(4361),
    [aux_sym_implicit_statement_token3] = ACTIONS(4361),
    [aux_sym_implicit_statement_token4] = ACTIONS(4361),
    [aux_sym_save_statement_token1] = ACTIONS(4361),
    [aux_sym_private_statement_token1] = ACTIONS(4361),
    [aux_sym_public_statement_token1] = ACTIONS(4361),
    [aux_sym_namelist_statement_token1] = ACTIONS(4361),
    [aux_sym_common_statement_token1] = ACTIONS(4361),
    [aux_sym_import_statement_token1] = ACTIONS(4361),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4361),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4361),
    [aux_sym_variable_attributes_token1] = ACTIONS(4361),
    [aux_sym_variable_attributes_token2] = ACTIONS(4361),
    [aux_sym_variable_attributes_token3] = ACTIONS(4361),
    [aux_sym_variable_attributes_token4] = ACTIONS(4361),
    [aux_sym_variable_attributes_token5] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4361),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4361),
    [aux_sym_derived_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token1] = ACTIONS(4361),
    [aux_sym_declared_type_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4361),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4361),
    [aux_sym_type_qualifier_token1] = ACTIONS(4361),
    [aux_sym_type_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4361),
    [anon_sym_SEMI] = ACTIONS(4365),
    [aux_sym_stop_statement_token1] = ACTIONS(4361),
    [aux_sym_stop_statement_token2] = ACTIONS(4361),
    [aux_sym_subroutine_call_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token1] = ACTIONS(4361),
    [aux_sym_keyword_statement_token2] = ACTIONS(4361),
    [aux_sym_keyword_statement_token3] = ACTIONS(4361),
    [aux_sym_keyword_statement_token4] = ACTIONS(4361),
    [aux_sym_keyword_statement_token6] = ACTIONS(4361),
    [aux_sym_keyword_statement_token7] = ACTIONS(4361),
    [aux_sym_include_statement_token1] = ACTIONS(4361),
    [aux_sym_data_statement_token1] = ACTIONS(4361),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4361),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4361),
    [aux_sym_end_if_statement_token1] = ACTIONS(4361),
    [aux_sym_elseif_clause_token2] = ACTIONS(4361),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4361),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token1] = ACTIONS(4361),
    [aux_sym_select_case_statement_token3] = ACTIONS(4361),
    [aux_sym_select_type_statement_token1] = ACTIONS(4361),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4361),
    [aux_sym_block_construct_token1] = ACTIONS(4361),
    [aux_sym_associate_statement_token1] = ACTIONS(4361),
    [aux_sym_format_statement_token1] = ACTIONS(4361),
    [aux_sym_print_statement_token1] = ACTIONS(4361),
    [aux_sym_open_statement_token1] = ACTIONS(4361),
    [aux_sym_close_statement_token1] = ACTIONS(4361),
    [aux_sym_inquire_statement_token1] = ACTIONS(4361),
    [aux_sym_enum_statement_token1] = ACTIONS(4361),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token1] = ACTIONS(4361),
    [aux_sym_file_position_statement_token2] = ACTIONS(4361),
    [aux_sym_file_position_statement_token3] = ACTIONS(4361),
    [aux_sym_file_position_statement_token4] = ACTIONS(4361),
    [aux_sym_allocate_statement_token1] = ACTIONS(4361),
    [aux_sym_entry_statement_token1] = ACTIONS(4361),
    [aux_sym_logical_expression_token5] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4361),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(4365),
    [aux_sym_boolean_literal_token1] = ACTIONS(4365),
    [aux_sym_boolean_literal_token2] = ACTIONS(4365),
    [aux_sym_null_literal_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_statement_token2] = ACTIONS(4361),
    [aux_sym_coarray_statement_token6] = ACTIONS(4361),
    [aux_sym_coarray_statement_token8] = ACTIONS(4361),
    [aux_sym_coarray_statement_token11] = ACTIONS(4361),
    [aux_sym_coarray_statement_token12] = ACTIONS(4361),
    [aux_sym_coarray_statement_token13] = ACTIONS(4361),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4361),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4361),
    [aux_sym_identifier_token1] = ACTIONS(4361),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4365),
    [sym__float_literal] = ACTIONS(4365),
    [sym__boz_literal] = ACTIONS(4365),
    [sym__string_literal] = ACTIONS(4365),
    [sym__string_literal_kind] = ACTIONS(4365),
  },
  [1092] = {
    [sym_preproc_include] = STATE(986),
    [sym_preproc_def] = STATE(986),
    [sym_preproc_function_def] = STATE(986),
    [sym_preproc_call] = STATE(986),
    [sym_preproc_if_in_module] = STATE(986),
    [sym_preproc_ifdef_in_module] = STATE(986),
    [sym_end_module_statement] = STATE(984),
    [sym_interface] = STATE(986),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7234),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(986),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(986),
    [sym_public_statement] = STATE(986),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(986),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(986),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(986),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(986),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4817),
    [aux_sym_end_module_statement_token1] = ACTIONS(4819),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4507),
    [aux_sym_preproc_def_token1] = ACTIONS(4507),
    [aux_sym_preproc_if_token1] = ACTIONS(4507),
    [aux_sym_preproc_if_token2] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4507),
    [sym_preproc_directive] = ACTIONS(4507),
    [anon_sym_LPAREN2] = ACTIONS(4507),
    [anon_sym_PLUS] = ACTIONS(4509),
    [anon_sym_DASH] = ACTIONS(4509),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token1] = ACTIONS(4507),
    [aux_sym_end_program_statement_token2] = ACTIONS(4507),
    [aux_sym_module_statement_token1] = ACTIONS(4507),
    [aux_sym_submodule_statement_token1] = ACTIONS(4507),
    [aux_sym_interface_statement_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4507),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4507),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4507),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4507),
    [aux_sym_function_statement_token1] = ACTIONS(4507),
    [aux_sym_language_binding_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4507),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4507),
    [aux_sym_contains_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token1] = ACTIONS(4507),
    [aux_sym_use_statement_token2] = ACTIONS(4507),
    [aux_sym_implicit_statement_token1] = ACTIONS(4507),
    [aux_sym_implicit_statement_token3] = ACTIONS(4507),
    [aux_sym_implicit_statement_token4] = ACTIONS(4507),
    [aux_sym_save_statement_token1] = ACTIONS(4507),
    [aux_sym_private_statement_token1] = ACTIONS(4507),
    [aux_sym_public_statement_token1] = ACTIONS(4507),
    [aux_sym_namelist_statement_token1] = ACTIONS(4507),
    [aux_sym_common_statement_token1] = ACTIONS(4507),
    [aux_sym_import_statement_token1] = ACTIONS(4507),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4507),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4507),
    [aux_sym_variable_attributes_token1] = ACTIONS(4507),
    [aux_sym_variable_attributes_token2] = ACTIONS(4507),
    [aux_sym_variable_attributes_token3] = ACTIONS(4507),
    [aux_sym_variable_attributes_token4] = ACTIONS(4507),
    [aux_sym_variable_attributes_token5] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4507),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4507),
    [aux_sym_derived_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token1] = ACTIONS(4507),
    [aux_sym_declared_type_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4507),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4507),
    [aux_sym_type_qualifier_token1] = ACTIONS(4507),
    [aux_sym_type_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4507),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4507),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4507),
    [anon_sym_SEMI] = ACTIONS(4509),
    [aux_sym_stop_statement_token1] = ACTIONS(4507),
    [aux_sym_stop_statement_token2] = ACTIONS(4507),
    [aux_sym_subroutine_call_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token1] = ACTIONS(4507),
    [aux_sym_keyword_statement_token2] = ACTIONS(4507),
    [aux_sym_keyword_statement_token3] = ACTIONS(4507),
    [aux_sym_keyword_statement_token4] = ACTIONS(4507),
    [aux_sym_keyword_statement_token6] = ACTIONS(4507),
    [aux_sym_keyword_statement_token7] = ACTIONS(4507),
    [aux_sym_include_statement_token1] = ACTIONS(4507),
    [aux_sym_data_statement_token1] = ACTIONS(4507),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4507),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4507),
    [aux_sym_end_if_statement_token1] = ACTIONS(4507),
    [aux_sym_elseif_clause_token2] = ACTIONS(4507),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4507),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token1] = ACTIONS(4507),
    [aux_sym_select_case_statement_token3] = ACTIONS(4507),
    [aux_sym_select_type_statement_token1] = ACTIONS(4507),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4507),
    [aux_sym_block_construct_token1] = ACTIONS(4507),
    [aux_sym_associate_statement_token1] = ACTIONS(4507),
    [aux_sym_format_statement_token1] = ACTIONS(4507),
    [aux_sym_print_statement_token1] = ACTIONS(4507),
    [aux_sym_open_statement_token1] = ACTIONS(4507),
    [aux_sym_close_statement_token1] = ACTIONS(4507),
    [aux_sym_inquire_statement_token1] = ACTIONS(4507),
    [aux_sym_enum_statement_token1] = ACTIONS(4507),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token1] = ACTIONS(4507),
    [aux_sym_file_position_statement_token2] = ACTIONS(4507),
    [aux_sym_file_position_statement_token3] = ACTIONS(4507),
    [aux_sym_file_position_statement_token4] = ACTIONS(4507),
    [aux_sym_allocate_statement_token1] = ACTIONS(4507),
    [aux_sym_entry_statement_token1] = ACTIONS(4507),
    [aux_sym_logical_expression_token5] = ACTIONS(4509),
    [anon_sym_DOT] = ACTIONS(4507),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4509),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [aux_sym_boolean_literal_token1] = ACTIONS(4509),
    [aux_sym_boolean_literal_token2] = ACTIONS(4509),
    [aux_sym_null_literal_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_statement_token2] = ACTIONS(4507),
    [aux_sym_coarray_statement_token6] = ACTIONS(4507),
    [aux_sym_coarray_statement_token8] = ACTIONS(4507),
    [aux_sym_coarray_statement_token11] = ACTIONS(4507),
    [aux_sym_coarray_statement_token12] = ACTIONS(4507),
    [aux_sym_coarray_statement_token13] = ACTIONS(4507),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4507),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4507),
    [aux_sym_identifier_token1] = ACTIONS(4507),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4509),
    [sym__float_literal] = ACTIONS(4509),
    [sym__boz_literal] = ACTIONS(4509),
    [sym__string_literal] = ACTIONS(4509),
    [sym__string_literal_kind] = ACTIONS(4509),
  },
  [1094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4511),
    [aux_sym_preproc_def_token1] = ACTIONS(4511),
    [aux_sym_preproc_if_token1] = ACTIONS(4511),
    [aux_sym_preproc_if_token2] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4511),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4511),
    [sym_preproc_directive] = ACTIONS(4511),
    [anon_sym_LPAREN2] = ACTIONS(4511),
    [anon_sym_PLUS] = ACTIONS(4513),
    [anon_sym_DASH] = ACTIONS(4513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token1] = ACTIONS(4511),
    [aux_sym_end_program_statement_token2] = ACTIONS(4511),
    [aux_sym_module_statement_token1] = ACTIONS(4511),
    [aux_sym_submodule_statement_token1] = ACTIONS(4511),
    [aux_sym_interface_statement_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4511),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4511),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4511),
    [aux_sym_function_statement_token1] = ACTIONS(4511),
    [aux_sym_language_binding_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4511),
    [aux_sym_contains_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token1] = ACTIONS(4511),
    [aux_sym_use_statement_token2] = ACTIONS(4511),
    [aux_sym_implicit_statement_token1] = ACTIONS(4511),
    [aux_sym_implicit_statement_token3] = ACTIONS(4511),
    [aux_sym_implicit_statement_token4] = ACTIONS(4511),
    [aux_sym_save_statement_token1] = ACTIONS(4511),
    [aux_sym_private_statement_token1] = ACTIONS(4511),
    [aux_sym_public_statement_token1] = ACTIONS(4511),
    [aux_sym_namelist_statement_token1] = ACTIONS(4511),
    [aux_sym_common_statement_token1] = ACTIONS(4511),
    [aux_sym_import_statement_token1] = ACTIONS(4511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4511),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4511),
    [aux_sym_variable_attributes_token1] = ACTIONS(4511),
    [aux_sym_variable_attributes_token2] = ACTIONS(4511),
    [aux_sym_variable_attributes_token3] = ACTIONS(4511),
    [aux_sym_variable_attributes_token4] = ACTIONS(4511),
    [aux_sym_variable_attributes_token5] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4511),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4511),
    [aux_sym_derived_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token1] = ACTIONS(4511),
    [aux_sym_declared_type_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4511),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4511),
    [aux_sym_type_qualifier_token1] = ACTIONS(4511),
    [aux_sym_type_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4511),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4511),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4511),
    [anon_sym_SEMI] = ACTIONS(4513),
    [aux_sym_stop_statement_token1] = ACTIONS(4511),
    [aux_sym_stop_statement_token2] = ACTIONS(4511),
    [aux_sym_subroutine_call_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token1] = ACTIONS(4511),
    [aux_sym_keyword_statement_token2] = ACTIONS(4511),
    [aux_sym_keyword_statement_token3] = ACTIONS(4511),
    [aux_sym_keyword_statement_token4] = ACTIONS(4511),
    [aux_sym_keyword_statement_token6] = ACTIONS(4511),
    [aux_sym_keyword_statement_token7] = ACTIONS(4511),
    [aux_sym_include_statement_token1] = ACTIONS(4511),
    [aux_sym_data_statement_token1] = ACTIONS(4511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4511),
    [aux_sym_end_if_statement_token1] = ACTIONS(4511),
    [aux_sym_elseif_clause_token2] = ACTIONS(4511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token1] = ACTIONS(4511),
    [aux_sym_select_case_statement_token3] = ACTIONS(4511),
    [aux_sym_select_type_statement_token1] = ACTIONS(4511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4511),
    [aux_sym_block_construct_token1] = ACTIONS(4511),
    [aux_sym_associate_statement_token1] = ACTIONS(4511),
    [aux_sym_format_statement_token1] = ACTIONS(4511),
    [aux_sym_print_statement_token1] = ACTIONS(4511),
    [aux_sym_open_statement_token1] = ACTIONS(4511),
    [aux_sym_close_statement_token1] = ACTIONS(4511),
    [aux_sym_inquire_statement_token1] = ACTIONS(4511),
    [aux_sym_enum_statement_token1] = ACTIONS(4511),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token1] = ACTIONS(4511),
    [aux_sym_file_position_statement_token2] = ACTIONS(4511),
    [aux_sym_file_position_statement_token3] = ACTIONS(4511),
    [aux_sym_file_position_statement_token4] = ACTIONS(4511),
    [aux_sym_allocate_statement_token1] = ACTIONS(4511),
    [aux_sym_entry_statement_token1] = ACTIONS(4511),
    [aux_sym_logical_expression_token5] = ACTIONS(4513),
    [anon_sym_DOT] = ACTIONS(4511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4513),
    [anon_sym_LBRACK] = ACTIONS(4513),
    [aux_sym_boolean_literal_token1] = ACTIONS(4513),
    [aux_sym_boolean_literal_token2] = ACTIONS(4513),
    [aux_sym_null_literal_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_statement_token2] = ACTIONS(4511),
    [aux_sym_coarray_statement_token6] = ACTIONS(4511),
    [aux_sym_coarray_statement_token8] = ACTIONS(4511),
    [aux_sym_coarray_statement_token11] = ACTIONS(4511),
    [aux_sym_coarray_statement_token12] = ACTIONS(4511),
    [aux_sym_coarray_statement_token13] = ACTIONS(4511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4511),
    [aux_sym_identifier_token1] = ACTIONS(4511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4513),
    [sym__float_literal] = ACTIONS(4513),
    [sym__boz_literal] = ACTIONS(4513),
    [sym__string_literal] = ACTIONS(4513),
    [sym__string_literal_kind] = ACTIONS(4513),
  },
  [1095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4515),
    [aux_sym_preproc_def_token1] = ACTIONS(4515),
    [aux_sym_preproc_if_token1] = ACTIONS(4515),
    [aux_sym_preproc_if_token2] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4515),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4515),
    [sym_preproc_directive] = ACTIONS(4515),
    [anon_sym_LPAREN2] = ACTIONS(4515),
    [anon_sym_PLUS] = ACTIONS(4517),
    [anon_sym_DASH] = ACTIONS(4517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token1] = ACTIONS(4515),
    [aux_sym_end_program_statement_token2] = ACTIONS(4515),
    [aux_sym_module_statement_token1] = ACTIONS(4515),
    [aux_sym_submodule_statement_token1] = ACTIONS(4515),
    [aux_sym_interface_statement_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4515),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4515),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4515),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4515),
    [aux_sym_function_statement_token1] = ACTIONS(4515),
    [aux_sym_language_binding_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4515),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4515),
    [aux_sym_contains_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token1] = ACTIONS(4515),
    [aux_sym_use_statement_token2] = ACTIONS(4515),
    [aux_sym_implicit_statement_token1] = ACTIONS(4515),
    [aux_sym_implicit_statement_token3] = ACTIONS(4515),
    [aux_sym_implicit_statement_token4] = ACTIONS(4515),
    [aux_sym_save_statement_token1] = ACTIONS(4515),
    [aux_sym_private_statement_token1] = ACTIONS(4515),
    [aux_sym_public_statement_token1] = ACTIONS(4515),
    [aux_sym_namelist_statement_token1] = ACTIONS(4515),
    [aux_sym_common_statement_token1] = ACTIONS(4515),
    [aux_sym_import_statement_token1] = ACTIONS(4515),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4515),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4515),
    [aux_sym_variable_attributes_token1] = ACTIONS(4515),
    [aux_sym_variable_attributes_token2] = ACTIONS(4515),
    [aux_sym_variable_attributes_token3] = ACTIONS(4515),
    [aux_sym_variable_attributes_token4] = ACTIONS(4515),
    [aux_sym_variable_attributes_token5] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4515),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4515),
    [aux_sym_derived_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token1] = ACTIONS(4515),
    [aux_sym_declared_type_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4515),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4515),
    [aux_sym_type_qualifier_token1] = ACTIONS(4515),
    [aux_sym_type_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4515),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4515),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4515),
    [anon_sym_SEMI] = ACTIONS(4517),
    [aux_sym_stop_statement_token1] = ACTIONS(4515),
    [aux_sym_stop_statement_token2] = ACTIONS(4515),
    [aux_sym_subroutine_call_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token1] = ACTIONS(4515),
    [aux_sym_keyword_statement_token2] = ACTIONS(4515),
    [aux_sym_keyword_statement_token3] = ACTIONS(4515),
    [aux_sym_keyword_statement_token4] = ACTIONS(4515),
    [aux_sym_keyword_statement_token6] = ACTIONS(4515),
    [aux_sym_keyword_statement_token7] = ACTIONS(4515),
    [aux_sym_include_statement_token1] = ACTIONS(4515),
    [aux_sym_data_statement_token1] = ACTIONS(4515),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4515),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4515),
    [aux_sym_end_if_statement_token1] = ACTIONS(4515),
    [aux_sym_elseif_clause_token2] = ACTIONS(4515),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4515),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token1] = ACTIONS(4515),
    [aux_sym_select_case_statement_token3] = ACTIONS(4515),
    [aux_sym_select_type_statement_token1] = ACTIONS(4515),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4515),
    [aux_sym_block_construct_token1] = ACTIONS(4515),
    [aux_sym_associate_statement_token1] = ACTIONS(4515),
    [aux_sym_format_statement_token1] = ACTIONS(4515),
    [aux_sym_print_statement_token1] = ACTIONS(4515),
    [aux_sym_open_statement_token1] = ACTIONS(4515),
    [aux_sym_close_statement_token1] = ACTIONS(4515),
    [aux_sym_inquire_statement_token1] = ACTIONS(4515),
    [aux_sym_enum_statement_token1] = ACTIONS(4515),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token1] = ACTIONS(4515),
    [aux_sym_file_position_statement_token2] = ACTIONS(4515),
    [aux_sym_file_position_statement_token3] = ACTIONS(4515),
    [aux_sym_file_position_statement_token4] = ACTIONS(4515),
    [aux_sym_allocate_statement_token1] = ACTIONS(4515),
    [aux_sym_entry_statement_token1] = ACTIONS(4515),
    [aux_sym_logical_expression_token5] = ACTIONS(4517),
    [anon_sym_DOT] = ACTIONS(4515),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4517),
    [anon_sym_LBRACK] = ACTIONS(4517),
    [aux_sym_boolean_literal_token1] = ACTIONS(4517),
    [aux_sym_boolean_literal_token2] = ACTIONS(4517),
    [aux_sym_null_literal_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_statement_token2] = ACTIONS(4515),
    [aux_sym_coarray_statement_token6] = ACTIONS(4515),
    [aux_sym_coarray_statement_token8] = ACTIONS(4515),
    [aux_sym_coarray_statement_token11] = ACTIONS(4515),
    [aux_sym_coarray_statement_token12] = ACTIONS(4515),
    [aux_sym_coarray_statement_token13] = ACTIONS(4515),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4515),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4515),
    [aux_sym_identifier_token1] = ACTIONS(4515),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4517),
    [sym__float_literal] = ACTIONS(4517),
    [sym__boz_literal] = ACTIONS(4517),
    [sym__string_literal] = ACTIONS(4517),
    [sym__string_literal_kind] = ACTIONS(4517),
  },
  [1096] = {
    [sym_preproc_include] = STATE(1006),
    [sym_preproc_def] = STATE(1006),
    [sym_preproc_function_def] = STATE(1006),
    [sym_preproc_call] = STATE(1006),
    [sym_preproc_if_in_module] = STATE(1006),
    [sym_preproc_ifdef_in_module] = STATE(1006),
    [sym_end_module_statement] = STATE(845),
    [sym_interface] = STATE(1006),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6598),
    [sym_contains_statement] = STATE(6803),
    [sym__specification_part] = STATE(1006),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(1006),
    [sym_public_statement] = STATE(1006),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(1006),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(1006),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(1006),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1006),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4781),
    [aux_sym_preproc_def_token1] = ACTIONS(4783),
    [aux_sym_preproc_if_token1] = ACTIONS(4785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4787),
    [sym_preproc_directive] = ACTIONS(4789),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4825),
    [aux_sym_end_module_statement_token1] = ACTIONS(4827),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4795),
    [aux_sym_public_statement_token1] = ACTIONS(4797),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4519),
    [aux_sym_preproc_def_token1] = ACTIONS(4519),
    [aux_sym_preproc_if_token1] = ACTIONS(4519),
    [aux_sym_preproc_if_token2] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4519),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4519),
    [sym_preproc_directive] = ACTIONS(4519),
    [anon_sym_LPAREN2] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token1] = ACTIONS(4519),
    [aux_sym_end_program_statement_token2] = ACTIONS(4519),
    [aux_sym_module_statement_token1] = ACTIONS(4519),
    [aux_sym_submodule_statement_token1] = ACTIONS(4519),
    [aux_sym_interface_statement_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4519),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4519),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4519),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4519),
    [aux_sym_function_statement_token1] = ACTIONS(4519),
    [aux_sym_language_binding_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4519),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4519),
    [aux_sym_contains_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token1] = ACTIONS(4519),
    [aux_sym_use_statement_token2] = ACTIONS(4519),
    [aux_sym_implicit_statement_token1] = ACTIONS(4519),
    [aux_sym_implicit_statement_token3] = ACTIONS(4519),
    [aux_sym_implicit_statement_token4] = ACTIONS(4519),
    [aux_sym_save_statement_token1] = ACTIONS(4519),
    [aux_sym_private_statement_token1] = ACTIONS(4519),
    [aux_sym_public_statement_token1] = ACTIONS(4519),
    [aux_sym_namelist_statement_token1] = ACTIONS(4519),
    [aux_sym_common_statement_token1] = ACTIONS(4519),
    [aux_sym_import_statement_token1] = ACTIONS(4519),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4519),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4519),
    [aux_sym_variable_attributes_token1] = ACTIONS(4519),
    [aux_sym_variable_attributes_token2] = ACTIONS(4519),
    [aux_sym_variable_attributes_token3] = ACTIONS(4519),
    [aux_sym_variable_attributes_token4] = ACTIONS(4519),
    [aux_sym_variable_attributes_token5] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4519),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4519),
    [aux_sym_derived_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token1] = ACTIONS(4519),
    [aux_sym_declared_type_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4519),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4519),
    [aux_sym_type_qualifier_token1] = ACTIONS(4519),
    [aux_sym_type_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4519),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4519),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4521),
    [aux_sym_stop_statement_token1] = ACTIONS(4519),
    [aux_sym_stop_statement_token2] = ACTIONS(4519),
    [aux_sym_subroutine_call_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token1] = ACTIONS(4519),
    [aux_sym_keyword_statement_token2] = ACTIONS(4519),
    [aux_sym_keyword_statement_token3] = ACTIONS(4519),
    [aux_sym_keyword_statement_token4] = ACTIONS(4519),
    [aux_sym_keyword_statement_token6] = ACTIONS(4519),
    [aux_sym_keyword_statement_token7] = ACTIONS(4519),
    [aux_sym_include_statement_token1] = ACTIONS(4519),
    [aux_sym_data_statement_token1] = ACTIONS(4519),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4519),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4519),
    [aux_sym_end_if_statement_token1] = ACTIONS(4519),
    [aux_sym_elseif_clause_token2] = ACTIONS(4519),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4519),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token1] = ACTIONS(4519),
    [aux_sym_select_case_statement_token3] = ACTIONS(4519),
    [aux_sym_select_type_statement_token1] = ACTIONS(4519),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4519),
    [aux_sym_block_construct_token1] = ACTIONS(4519),
    [aux_sym_associate_statement_token1] = ACTIONS(4519),
    [aux_sym_format_statement_token1] = ACTIONS(4519),
    [aux_sym_print_statement_token1] = ACTIONS(4519),
    [aux_sym_open_statement_token1] = ACTIONS(4519),
    [aux_sym_close_statement_token1] = ACTIONS(4519),
    [aux_sym_inquire_statement_token1] = ACTIONS(4519),
    [aux_sym_enum_statement_token1] = ACTIONS(4519),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token1] = ACTIONS(4519),
    [aux_sym_file_position_statement_token2] = ACTIONS(4519),
    [aux_sym_file_position_statement_token3] = ACTIONS(4519),
    [aux_sym_file_position_statement_token4] = ACTIONS(4519),
    [aux_sym_allocate_statement_token1] = ACTIONS(4519),
    [aux_sym_entry_statement_token1] = ACTIONS(4519),
    [aux_sym_logical_expression_token5] = ACTIONS(4521),
    [anon_sym_DOT] = ACTIONS(4519),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4521),
    [aux_sym_boolean_literal_token1] = ACTIONS(4521),
    [aux_sym_boolean_literal_token2] = ACTIONS(4521),
    [aux_sym_null_literal_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_statement_token2] = ACTIONS(4519),
    [aux_sym_coarray_statement_token6] = ACTIONS(4519),
    [aux_sym_coarray_statement_token8] = ACTIONS(4519),
    [aux_sym_coarray_statement_token11] = ACTIONS(4519),
    [aux_sym_coarray_statement_token12] = ACTIONS(4519),
    [aux_sym_coarray_statement_token13] = ACTIONS(4519),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4519),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4519),
    [aux_sym_identifier_token1] = ACTIONS(4519),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4521),
    [sym__float_literal] = ACTIONS(4521),
    [sym__boz_literal] = ACTIONS(4521),
    [sym__string_literal] = ACTIONS(4521),
    [sym__string_literal_kind] = ACTIONS(4521),
  },
  [1098] = {
    [sym_preproc_include] = STATE(1007),
    [sym_preproc_def] = STATE(1007),
    [sym_preproc_function_def] = STATE(1007),
    [sym_preproc_call] = STATE(1007),
    [sym_preproc_if_in_module] = STATE(1007),
    [sym_preproc_ifdef_in_module] = STATE(1007),
    [sym_end_submodule_statement] = STATE(846),
    [sym_interface] = STATE(1007),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(6602),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(1007),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(1007),
    [sym_public_statement] = STATE(1007),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(1007),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(1007),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(1007),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1007),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4829),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4831),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1099] = {
    [ts_builtin_sym_end] = ACTIONS(4427),
    [aux_sym_preproc_include_token1] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4425),
    [aux_sym_preproc_if_token1] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4425),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4425),
    [sym_preproc_directive] = ACTIONS(4425),
    [anon_sym_LPAREN2] = ACTIONS(4425),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token1] = ACTIONS(4425),
    [aux_sym_end_program_statement_token2] = ACTIONS(4425),
    [aux_sym_module_statement_token1] = ACTIONS(4425),
    [aux_sym_submodule_statement_token1] = ACTIONS(4425),
    [aux_sym_interface_statement_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4425),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4425),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4425),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4425),
    [aux_sym_function_statement_token1] = ACTIONS(4425),
    [aux_sym_language_binding_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4425),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4425),
    [aux_sym_contains_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token1] = ACTIONS(4425),
    [aux_sym_use_statement_token2] = ACTIONS(4425),
    [aux_sym_implicit_statement_token1] = ACTIONS(4425),
    [aux_sym_implicit_statement_token3] = ACTIONS(4425),
    [aux_sym_implicit_statement_token4] = ACTIONS(4425),
    [aux_sym_save_statement_token1] = ACTIONS(4425),
    [aux_sym_private_statement_token1] = ACTIONS(4425),
    [aux_sym_public_statement_token1] = ACTIONS(4425),
    [aux_sym_namelist_statement_token1] = ACTIONS(4425),
    [aux_sym_common_statement_token1] = ACTIONS(4425),
    [aux_sym_import_statement_token1] = ACTIONS(4425),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4425),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4425),
    [aux_sym_variable_attributes_token1] = ACTIONS(4425),
    [aux_sym_variable_attributes_token2] = ACTIONS(4425),
    [aux_sym_variable_attributes_token3] = ACTIONS(4425),
    [aux_sym_variable_attributes_token4] = ACTIONS(4425),
    [aux_sym_variable_attributes_token5] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4425),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4425),
    [aux_sym_derived_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token1] = ACTIONS(4425),
    [aux_sym_declared_type_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4425),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4425),
    [aux_sym_type_qualifier_token1] = ACTIONS(4425),
    [aux_sym_type_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4425),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4425),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4425),
    [anon_sym_SEMI] = ACTIONS(4427),
    [aux_sym_stop_statement_token1] = ACTIONS(4425),
    [aux_sym_stop_statement_token2] = ACTIONS(4425),
    [aux_sym_subroutine_call_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token1] = ACTIONS(4425),
    [aux_sym_keyword_statement_token2] = ACTIONS(4425),
    [aux_sym_keyword_statement_token3] = ACTIONS(4425),
    [aux_sym_keyword_statement_token4] = ACTIONS(4425),
    [aux_sym_keyword_statement_token6] = ACTIONS(4425),
    [aux_sym_keyword_statement_token7] = ACTIONS(4425),
    [aux_sym_include_statement_token1] = ACTIONS(4425),
    [aux_sym_data_statement_token1] = ACTIONS(4425),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4425),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4425),
    [aux_sym_end_if_statement_token1] = ACTIONS(4425),
    [aux_sym_elseif_clause_token2] = ACTIONS(4425),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4425),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token1] = ACTIONS(4425),
    [aux_sym_select_case_statement_token3] = ACTIONS(4425),
    [aux_sym_select_type_statement_token1] = ACTIONS(4425),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4425),
    [aux_sym_block_construct_token1] = ACTIONS(4425),
    [aux_sym_associate_statement_token1] = ACTIONS(4425),
    [aux_sym_format_statement_token1] = ACTIONS(4425),
    [aux_sym_print_statement_token1] = ACTIONS(4425),
    [aux_sym_open_statement_token1] = ACTIONS(4425),
    [aux_sym_close_statement_token1] = ACTIONS(4425),
    [aux_sym_inquire_statement_token1] = ACTIONS(4425),
    [aux_sym_enum_statement_token1] = ACTIONS(4425),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token1] = ACTIONS(4425),
    [aux_sym_file_position_statement_token2] = ACTIONS(4425),
    [aux_sym_file_position_statement_token3] = ACTIONS(4425),
    [aux_sym_file_position_statement_token4] = ACTIONS(4425),
    [aux_sym_allocate_statement_token1] = ACTIONS(4425),
    [aux_sym_entry_statement_token1] = ACTIONS(4425),
    [aux_sym_logical_expression_token5] = ACTIONS(4427),
    [anon_sym_DOT] = ACTIONS(4425),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4427),
    [aux_sym_boolean_literal_token1] = ACTIONS(4427),
    [aux_sym_boolean_literal_token2] = ACTIONS(4427),
    [aux_sym_null_literal_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_statement_token2] = ACTIONS(4425),
    [aux_sym_coarray_statement_token6] = ACTIONS(4425),
    [aux_sym_coarray_statement_token8] = ACTIONS(4425),
    [aux_sym_coarray_statement_token11] = ACTIONS(4425),
    [aux_sym_coarray_statement_token12] = ACTIONS(4425),
    [aux_sym_coarray_statement_token13] = ACTIONS(4425),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4425),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4425),
    [aux_sym_identifier_token1] = ACTIONS(4425),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4427),
    [sym__float_literal] = ACTIONS(4427),
    [sym__boz_literal] = ACTIONS(4427),
    [sym__string_literal] = ACTIONS(4427),
    [sym__string_literal_kind] = ACTIONS(4427),
  },
  [1100] = {
    [ts_builtin_sym_end] = ACTIONS(4531),
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_module_statement_token1] = ACTIONS(4529),
    [aux_sym_submodule_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_function_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4529),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1101] = {
    [ts_builtin_sym_end] = ACTIONS(4439),
    [aux_sym_preproc_include_token1] = ACTIONS(4437),
    [aux_sym_preproc_def_token1] = ACTIONS(4437),
    [aux_sym_preproc_if_token1] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4437),
    [sym_preproc_directive] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(4437),
    [anon_sym_PLUS] = ACTIONS(4439),
    [anon_sym_DASH] = ACTIONS(4439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token1] = ACTIONS(4437),
    [aux_sym_end_program_statement_token2] = ACTIONS(4437),
    [aux_sym_module_statement_token1] = ACTIONS(4437),
    [aux_sym_submodule_statement_token1] = ACTIONS(4437),
    [aux_sym_interface_statement_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4437),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4437),
    [aux_sym_function_statement_token1] = ACTIONS(4437),
    [aux_sym_language_binding_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4437),
    [aux_sym_contains_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token1] = ACTIONS(4437),
    [aux_sym_use_statement_token2] = ACTIONS(4437),
    [aux_sym_implicit_statement_token1] = ACTIONS(4437),
    [aux_sym_implicit_statement_token3] = ACTIONS(4437),
    [aux_sym_implicit_statement_token4] = ACTIONS(4437),
    [aux_sym_save_statement_token1] = ACTIONS(4437),
    [aux_sym_private_statement_token1] = ACTIONS(4437),
    [aux_sym_public_statement_token1] = ACTIONS(4437),
    [aux_sym_namelist_statement_token1] = ACTIONS(4437),
    [aux_sym_common_statement_token1] = ACTIONS(4437),
    [aux_sym_import_statement_token1] = ACTIONS(4437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4437),
    [aux_sym_variable_attributes_token1] = ACTIONS(4437),
    [aux_sym_variable_attributes_token2] = ACTIONS(4437),
    [aux_sym_variable_attributes_token3] = ACTIONS(4437),
    [aux_sym_variable_attributes_token4] = ACTIONS(4437),
    [aux_sym_variable_attributes_token5] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4437),
    [aux_sym_derived_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token1] = ACTIONS(4437),
    [aux_sym_declared_type_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4437),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4437),
    [aux_sym_type_qualifier_token1] = ACTIONS(4437),
    [aux_sym_type_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4437),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4437),
    [anon_sym_SEMI] = ACTIONS(4439),
    [aux_sym_stop_statement_token1] = ACTIONS(4437),
    [aux_sym_stop_statement_token2] = ACTIONS(4437),
    [aux_sym_subroutine_call_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token1] = ACTIONS(4437),
    [aux_sym_keyword_statement_token2] = ACTIONS(4437),
    [aux_sym_keyword_statement_token3] = ACTIONS(4437),
    [aux_sym_keyword_statement_token4] = ACTIONS(4437),
    [aux_sym_keyword_statement_token6] = ACTIONS(4437),
    [aux_sym_keyword_statement_token7] = ACTIONS(4437),
    [aux_sym_include_statement_token1] = ACTIONS(4437),
    [aux_sym_data_statement_token1] = ACTIONS(4437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4437),
    [aux_sym_end_if_statement_token1] = ACTIONS(4437),
    [aux_sym_elseif_clause_token2] = ACTIONS(4437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token1] = ACTIONS(4437),
    [aux_sym_select_case_statement_token3] = ACTIONS(4437),
    [aux_sym_select_type_statement_token1] = ACTIONS(4437),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4437),
    [aux_sym_block_construct_token1] = ACTIONS(4437),
    [aux_sym_associate_statement_token1] = ACTIONS(4437),
    [aux_sym_format_statement_token1] = ACTIONS(4437),
    [aux_sym_print_statement_token1] = ACTIONS(4437),
    [aux_sym_open_statement_token1] = ACTIONS(4437),
    [aux_sym_close_statement_token1] = ACTIONS(4437),
    [aux_sym_inquire_statement_token1] = ACTIONS(4437),
    [aux_sym_enum_statement_token1] = ACTIONS(4437),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token1] = ACTIONS(4437),
    [aux_sym_file_position_statement_token2] = ACTIONS(4437),
    [aux_sym_file_position_statement_token3] = ACTIONS(4437),
    [aux_sym_file_position_statement_token4] = ACTIONS(4437),
    [aux_sym_allocate_statement_token1] = ACTIONS(4437),
    [aux_sym_entry_statement_token1] = ACTIONS(4437),
    [aux_sym_logical_expression_token5] = ACTIONS(4439),
    [anon_sym_DOT] = ACTIONS(4437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4439),
    [anon_sym_LBRACK] = ACTIONS(4439),
    [aux_sym_boolean_literal_token1] = ACTIONS(4439),
    [aux_sym_boolean_literal_token2] = ACTIONS(4439),
    [aux_sym_null_literal_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_statement_token2] = ACTIONS(4437),
    [aux_sym_coarray_statement_token6] = ACTIONS(4437),
    [aux_sym_coarray_statement_token8] = ACTIONS(4437),
    [aux_sym_coarray_statement_token11] = ACTIONS(4437),
    [aux_sym_coarray_statement_token12] = ACTIONS(4437),
    [aux_sym_coarray_statement_token13] = ACTIONS(4437),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4437),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4437),
    [aux_sym_identifier_token1] = ACTIONS(4437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4439),
    [sym__float_literal] = ACTIONS(4439),
    [sym__boz_literal] = ACTIONS(4439),
    [sym__string_literal] = ACTIONS(4439),
    [sym__string_literal_kind] = ACTIONS(4439),
  },
  [1102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4533),
    [aux_sym_preproc_def_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token1] = ACTIONS(4533),
    [aux_sym_preproc_if_token2] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4533),
    [sym_preproc_directive] = ACTIONS(4533),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token1] = ACTIONS(4533),
    [aux_sym_end_program_statement_token2] = ACTIONS(4533),
    [aux_sym_module_statement_token1] = ACTIONS(4533),
    [aux_sym_submodule_statement_token1] = ACTIONS(4533),
    [aux_sym_interface_statement_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4533),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4533),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4533),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4533),
    [aux_sym_function_statement_token1] = ACTIONS(4533),
    [aux_sym_language_binding_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4533),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4533),
    [aux_sym_contains_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token1] = ACTIONS(4533),
    [aux_sym_use_statement_token2] = ACTIONS(4533),
    [aux_sym_implicit_statement_token1] = ACTIONS(4533),
    [aux_sym_implicit_statement_token3] = ACTIONS(4533),
    [aux_sym_implicit_statement_token4] = ACTIONS(4533),
    [aux_sym_save_statement_token1] = ACTIONS(4533),
    [aux_sym_private_statement_token1] = ACTIONS(4533),
    [aux_sym_public_statement_token1] = ACTIONS(4533),
    [aux_sym_namelist_statement_token1] = ACTIONS(4533),
    [aux_sym_common_statement_token1] = ACTIONS(4533),
    [aux_sym_import_statement_token1] = ACTIONS(4533),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4533),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4533),
    [aux_sym_variable_attributes_token1] = ACTIONS(4533),
    [aux_sym_variable_attributes_token2] = ACTIONS(4533),
    [aux_sym_variable_attributes_token3] = ACTIONS(4533),
    [aux_sym_variable_attributes_token4] = ACTIONS(4533),
    [aux_sym_variable_attributes_token5] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4533),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4533),
    [aux_sym_derived_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token1] = ACTIONS(4533),
    [aux_sym_declared_type_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4533),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4533),
    [aux_sym_type_qualifier_token1] = ACTIONS(4533),
    [aux_sym_type_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4533),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4533),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4535),
    [aux_sym_stop_statement_token1] = ACTIONS(4533),
    [aux_sym_stop_statement_token2] = ACTIONS(4533),
    [aux_sym_subroutine_call_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token1] = ACTIONS(4533),
    [aux_sym_keyword_statement_token2] = ACTIONS(4533),
    [aux_sym_keyword_statement_token3] = ACTIONS(4533),
    [aux_sym_keyword_statement_token4] = ACTIONS(4533),
    [aux_sym_keyword_statement_token6] = ACTIONS(4533),
    [aux_sym_keyword_statement_token7] = ACTIONS(4533),
    [aux_sym_include_statement_token1] = ACTIONS(4533),
    [aux_sym_data_statement_token1] = ACTIONS(4533),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4533),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4533),
    [aux_sym_end_if_statement_token1] = ACTIONS(4533),
    [aux_sym_elseif_clause_token2] = ACTIONS(4533),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4533),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token1] = ACTIONS(4533),
    [aux_sym_select_case_statement_token3] = ACTIONS(4533),
    [aux_sym_select_type_statement_token1] = ACTIONS(4533),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4533),
    [aux_sym_block_construct_token1] = ACTIONS(4533),
    [aux_sym_associate_statement_token1] = ACTIONS(4533),
    [aux_sym_format_statement_token1] = ACTIONS(4533),
    [aux_sym_print_statement_token1] = ACTIONS(4533),
    [aux_sym_open_statement_token1] = ACTIONS(4533),
    [aux_sym_close_statement_token1] = ACTIONS(4533),
    [aux_sym_inquire_statement_token1] = ACTIONS(4533),
    [aux_sym_enum_statement_token1] = ACTIONS(4533),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token1] = ACTIONS(4533),
    [aux_sym_file_position_statement_token2] = ACTIONS(4533),
    [aux_sym_file_position_statement_token3] = ACTIONS(4533),
    [aux_sym_file_position_statement_token4] = ACTIONS(4533),
    [aux_sym_allocate_statement_token1] = ACTIONS(4533),
    [aux_sym_entry_statement_token1] = ACTIONS(4533),
    [aux_sym_logical_expression_token5] = ACTIONS(4535),
    [anon_sym_DOT] = ACTIONS(4533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4535),
    [aux_sym_boolean_literal_token1] = ACTIONS(4535),
    [aux_sym_boolean_literal_token2] = ACTIONS(4535),
    [aux_sym_null_literal_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_statement_token2] = ACTIONS(4533),
    [aux_sym_coarray_statement_token6] = ACTIONS(4533),
    [aux_sym_coarray_statement_token8] = ACTIONS(4533),
    [aux_sym_coarray_statement_token11] = ACTIONS(4533),
    [aux_sym_coarray_statement_token12] = ACTIONS(4533),
    [aux_sym_coarray_statement_token13] = ACTIONS(4533),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4533),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4533),
    [aux_sym_identifier_token1] = ACTIONS(4533),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4535),
    [sym__float_literal] = ACTIONS(4535),
    [sym__boz_literal] = ACTIONS(4535),
    [sym__string_literal] = ACTIONS(4535),
    [sym__string_literal_kind] = ACTIONS(4535),
  },
  [1103] = {
    [ts_builtin_sym_end] = ACTIONS(4407),
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_module_statement_token1] = ACTIONS(4405),
    [aux_sym_submodule_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_function_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4405),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1104] = {
    [ts_builtin_sym_end] = ACTIONS(4411),
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_module_statement_token1] = ACTIONS(4409),
    [aux_sym_submodule_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_function_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4409),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1105] = {
    [ts_builtin_sym_end] = ACTIONS(4551),
    [aux_sym_preproc_include_token1] = ACTIONS(4549),
    [aux_sym_preproc_def_token1] = ACTIONS(4549),
    [aux_sym_preproc_if_token1] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4549),
    [sym_preproc_directive] = ACTIONS(4549),
    [anon_sym_LPAREN2] = ACTIONS(4549),
    [anon_sym_PLUS] = ACTIONS(4551),
    [anon_sym_DASH] = ACTIONS(4551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token1] = ACTIONS(4549),
    [aux_sym_end_program_statement_token2] = ACTIONS(4549),
    [aux_sym_module_statement_token1] = ACTIONS(4549),
    [aux_sym_submodule_statement_token1] = ACTIONS(4549),
    [aux_sym_interface_statement_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4549),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4549),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4549),
    [aux_sym_function_statement_token1] = ACTIONS(4549),
    [aux_sym_language_binding_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4549),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4549),
    [aux_sym_contains_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token1] = ACTIONS(4549),
    [aux_sym_use_statement_token2] = ACTIONS(4549),
    [aux_sym_implicit_statement_token1] = ACTIONS(4549),
    [aux_sym_implicit_statement_token3] = ACTIONS(4549),
    [aux_sym_implicit_statement_token4] = ACTIONS(4549),
    [aux_sym_save_statement_token1] = ACTIONS(4549),
    [aux_sym_private_statement_token1] = ACTIONS(4549),
    [aux_sym_public_statement_token1] = ACTIONS(4549),
    [aux_sym_namelist_statement_token1] = ACTIONS(4549),
    [aux_sym_common_statement_token1] = ACTIONS(4549),
    [aux_sym_import_statement_token1] = ACTIONS(4549),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4549),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4549),
    [aux_sym_variable_attributes_token1] = ACTIONS(4549),
    [aux_sym_variable_attributes_token2] = ACTIONS(4549),
    [aux_sym_variable_attributes_token3] = ACTIONS(4549),
    [aux_sym_variable_attributes_token4] = ACTIONS(4549),
    [aux_sym_variable_attributes_token5] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4549),
    [aux_sym_derived_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token1] = ACTIONS(4549),
    [aux_sym_declared_type_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4549),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4549),
    [aux_sym_type_qualifier_token1] = ACTIONS(4549),
    [aux_sym_type_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4549),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4549),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4549),
    [anon_sym_SEMI] = ACTIONS(4551),
    [aux_sym_stop_statement_token1] = ACTIONS(4549),
    [aux_sym_stop_statement_token2] = ACTIONS(4549),
    [aux_sym_subroutine_call_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token1] = ACTIONS(4549),
    [aux_sym_keyword_statement_token2] = ACTIONS(4549),
    [aux_sym_keyword_statement_token3] = ACTIONS(4549),
    [aux_sym_keyword_statement_token4] = ACTIONS(4549),
    [aux_sym_keyword_statement_token6] = ACTIONS(4549),
    [aux_sym_keyword_statement_token7] = ACTIONS(4549),
    [aux_sym_include_statement_token1] = ACTIONS(4549),
    [aux_sym_data_statement_token1] = ACTIONS(4549),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4549),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4549),
    [aux_sym_end_if_statement_token1] = ACTIONS(4549),
    [aux_sym_elseif_clause_token2] = ACTIONS(4549),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4549),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token1] = ACTIONS(4549),
    [aux_sym_select_case_statement_token3] = ACTIONS(4549),
    [aux_sym_select_type_statement_token1] = ACTIONS(4549),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4549),
    [aux_sym_block_construct_token1] = ACTIONS(4549),
    [aux_sym_associate_statement_token1] = ACTIONS(4549),
    [aux_sym_format_statement_token1] = ACTIONS(4549),
    [aux_sym_print_statement_token1] = ACTIONS(4549),
    [aux_sym_open_statement_token1] = ACTIONS(4549),
    [aux_sym_close_statement_token1] = ACTIONS(4549),
    [aux_sym_inquire_statement_token1] = ACTIONS(4549),
    [aux_sym_enum_statement_token1] = ACTIONS(4549),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token1] = ACTIONS(4549),
    [aux_sym_file_position_statement_token2] = ACTIONS(4549),
    [aux_sym_file_position_statement_token3] = ACTIONS(4549),
    [aux_sym_file_position_statement_token4] = ACTIONS(4549),
    [aux_sym_allocate_statement_token1] = ACTIONS(4549),
    [aux_sym_entry_statement_token1] = ACTIONS(4549),
    [aux_sym_logical_expression_token5] = ACTIONS(4551),
    [anon_sym_DOT] = ACTIONS(4549),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4551),
    [anon_sym_LBRACK] = ACTIONS(4551),
    [aux_sym_boolean_literal_token1] = ACTIONS(4551),
    [aux_sym_boolean_literal_token2] = ACTIONS(4551),
    [aux_sym_null_literal_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_statement_token2] = ACTIONS(4549),
    [aux_sym_coarray_statement_token6] = ACTIONS(4549),
    [aux_sym_coarray_statement_token8] = ACTIONS(4549),
    [aux_sym_coarray_statement_token11] = ACTIONS(4549),
    [aux_sym_coarray_statement_token12] = ACTIONS(4549),
    [aux_sym_coarray_statement_token13] = ACTIONS(4549),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4549),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4549),
    [aux_sym_identifier_token1] = ACTIONS(4549),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4551),
    [sym__float_literal] = ACTIONS(4551),
    [sym__boz_literal] = ACTIONS(4551),
    [sym__string_literal] = ACTIONS(4551),
    [sym__string_literal_kind] = ACTIONS(4551),
  },
  [1106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4373),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_module_statement_token1] = ACTIONS(4373),
    [aux_sym_submodule_statement_token1] = ACTIONS(4373),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4373),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_function_statement_token1] = ACTIONS(4373),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4373),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4373),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1107] = {
    [ts_builtin_sym_end] = ACTIONS(4639),
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_module_statement_token1] = ACTIONS(4637),
    [aux_sym_submodule_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_function_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4637),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1108] = {
    [ts_builtin_sym_end] = ACTIONS(4547),
    [aux_sym_preproc_include_token1] = ACTIONS(4545),
    [aux_sym_preproc_def_token1] = ACTIONS(4545),
    [aux_sym_preproc_if_token1] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4545),
    [sym_preproc_directive] = ACTIONS(4545),
    [anon_sym_LPAREN2] = ACTIONS(4545),
    [anon_sym_PLUS] = ACTIONS(4547),
    [anon_sym_DASH] = ACTIONS(4547),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token1] = ACTIONS(4545),
    [aux_sym_end_program_statement_token2] = ACTIONS(4545),
    [aux_sym_module_statement_token1] = ACTIONS(4545),
    [aux_sym_submodule_statement_token1] = ACTIONS(4545),
    [aux_sym_interface_statement_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4545),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4545),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4545),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4545),
    [aux_sym_function_statement_token1] = ACTIONS(4545),
    [aux_sym_language_binding_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4545),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4545),
    [aux_sym_contains_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token1] = ACTIONS(4545),
    [aux_sym_use_statement_token2] = ACTIONS(4545),
    [aux_sym_implicit_statement_token1] = ACTIONS(4545),
    [aux_sym_implicit_statement_token3] = ACTIONS(4545),
    [aux_sym_implicit_statement_token4] = ACTIONS(4545),
    [aux_sym_save_statement_token1] = ACTIONS(4545),
    [aux_sym_private_statement_token1] = ACTIONS(4545),
    [aux_sym_public_statement_token1] = ACTIONS(4545),
    [aux_sym_namelist_statement_token1] = ACTIONS(4545),
    [aux_sym_common_statement_token1] = ACTIONS(4545),
    [aux_sym_import_statement_token1] = ACTIONS(4545),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4545),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4545),
    [aux_sym_variable_attributes_token1] = ACTIONS(4545),
    [aux_sym_variable_attributes_token2] = ACTIONS(4545),
    [aux_sym_variable_attributes_token3] = ACTIONS(4545),
    [aux_sym_variable_attributes_token4] = ACTIONS(4545),
    [aux_sym_variable_attributes_token5] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4545),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4545),
    [aux_sym_derived_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token1] = ACTIONS(4545),
    [aux_sym_declared_type_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4545),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4545),
    [aux_sym_type_qualifier_token1] = ACTIONS(4545),
    [aux_sym_type_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4545),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4545),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4545),
    [anon_sym_SEMI] = ACTIONS(4547),
    [aux_sym_stop_statement_token1] = ACTIONS(4545),
    [aux_sym_stop_statement_token2] = ACTIONS(4545),
    [aux_sym_subroutine_call_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token1] = ACTIONS(4545),
    [aux_sym_keyword_statement_token2] = ACTIONS(4545),
    [aux_sym_keyword_statement_token3] = ACTIONS(4545),
    [aux_sym_keyword_statement_token4] = ACTIONS(4545),
    [aux_sym_keyword_statement_token6] = ACTIONS(4545),
    [aux_sym_keyword_statement_token7] = ACTIONS(4545),
    [aux_sym_include_statement_token1] = ACTIONS(4545),
    [aux_sym_data_statement_token1] = ACTIONS(4545),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4545),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4545),
    [aux_sym_end_if_statement_token1] = ACTIONS(4545),
    [aux_sym_elseif_clause_token2] = ACTIONS(4545),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4545),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token1] = ACTIONS(4545),
    [aux_sym_select_case_statement_token3] = ACTIONS(4545),
    [aux_sym_select_type_statement_token1] = ACTIONS(4545),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4545),
    [aux_sym_block_construct_token1] = ACTIONS(4545),
    [aux_sym_associate_statement_token1] = ACTIONS(4545),
    [aux_sym_format_statement_token1] = ACTIONS(4545),
    [aux_sym_print_statement_token1] = ACTIONS(4545),
    [aux_sym_open_statement_token1] = ACTIONS(4545),
    [aux_sym_close_statement_token1] = ACTIONS(4545),
    [aux_sym_inquire_statement_token1] = ACTIONS(4545),
    [aux_sym_enum_statement_token1] = ACTIONS(4545),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token1] = ACTIONS(4545),
    [aux_sym_file_position_statement_token2] = ACTIONS(4545),
    [aux_sym_file_position_statement_token3] = ACTIONS(4545),
    [aux_sym_file_position_statement_token4] = ACTIONS(4545),
    [aux_sym_allocate_statement_token1] = ACTIONS(4545),
    [aux_sym_entry_statement_token1] = ACTIONS(4545),
    [aux_sym_logical_expression_token5] = ACTIONS(4547),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4547),
    [anon_sym_LBRACK] = ACTIONS(4547),
    [aux_sym_boolean_literal_token1] = ACTIONS(4547),
    [aux_sym_boolean_literal_token2] = ACTIONS(4547),
    [aux_sym_null_literal_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_statement_token2] = ACTIONS(4545),
    [aux_sym_coarray_statement_token6] = ACTIONS(4545),
    [aux_sym_coarray_statement_token8] = ACTIONS(4545),
    [aux_sym_coarray_statement_token11] = ACTIONS(4545),
    [aux_sym_coarray_statement_token12] = ACTIONS(4545),
    [aux_sym_coarray_statement_token13] = ACTIONS(4545),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4545),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4545),
    [aux_sym_identifier_token1] = ACTIONS(4545),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4547),
    [sym__float_literal] = ACTIONS(4547),
    [sym__boz_literal] = ACTIONS(4547),
    [sym__string_literal] = ACTIONS(4547),
    [sym__string_literal_kind] = ACTIONS(4547),
  },
  [1109] = {
    [ts_builtin_sym_end] = ACTIONS(4365),
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_program_statement_token1] = ACTIONS(4361),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_module_statement_token1] = ACTIONS(4361),
    [aux_sym_submodule_statement_token1] = ACTIONS(4361),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4361),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_function_statement_token1] = ACTIONS(4361),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4361),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4361),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1110] = {
    [sym_preproc_include] = STATE(990),
    [sym_preproc_def] = STATE(990),
    [sym_preproc_function_def] = STATE(990),
    [sym_preproc_call] = STATE(990),
    [sym_preproc_if_in_module] = STATE(990),
    [sym_preproc_ifdef_in_module] = STATE(990),
    [sym_end_submodule_statement] = STATE(989),
    [sym_interface] = STATE(990),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(7269),
    [sym_contains_statement] = STATE(7223),
    [sym__specification_part] = STATE(990),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(990),
    [sym_public_statement] = STATE(990),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(990),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(990),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(990),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(990),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4799),
    [aux_sym_preproc_def_token1] = ACTIONS(4801),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4805),
    [sym_preproc_directive] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4821),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4823),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(4813),
    [aux_sym_public_statement_token1] = ACTIONS(4815),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1111] = {
    [sym_preproc_include] = STATE(1111),
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_module] = STATE(1111),
    [sym_preproc_ifdef_in_module] = STATE(1111),
    [sym_interface] = STATE(1111),
    [sym_interface_statement] = STATE(3853),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(1111),
    [sym_use_statement] = STATE(6804),
    [sym_implicit_statement] = STATE(6804),
    [sym_save_statement] = STATE(6804),
    [sym_private_statement] = STATE(1111),
    [sym_public_statement] = STATE(1111),
    [sym_namelist_statement] = STATE(6804),
    [sym_common_statement] = STATE(6804),
    [sym_import_statement] = STATE(6804),
    [sym_derived_type_definition] = STATE(1111),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4307),
    [sym_variable_declaration] = STATE(6804),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6804),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6804),
    [sym_equivalence_statement] = STATE(6804),
    [sym_statement_label] = STATE(7242),
    [sym_include_statement] = STATE(6804),
    [sym_data_statement] = STATE(6804),
    [sym_enum] = STATE(1111),
    [sym_enum_statement] = STATE(6042),
    [sym_enumeration_type] = STATE(1111),
    [sym_enumeration_type_statement] = STATE(6103),
    [sym_statement_function] = STATE(6804),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1111),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4833),
    [aux_sym_preproc_def_token1] = ACTIONS(4836),
    [aux_sym_preproc_if_token1] = ACTIONS(4839),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4842),
    [sym_preproc_directive] = ACTIONS(4845),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_module_statement_token1] = ACTIONS(4851),
    [aux_sym_interface_statement_token1] = ACTIONS(4853),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4859),
    [aux_sym_language_binding_token1] = ACTIONS(4862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4868),
    [aux_sym_contains_statement_token1] = ACTIONS(4851),
    [aux_sym_use_statement_token1] = ACTIONS(4871),
    [aux_sym_use_statement_token2] = ACTIONS(4868),
    [aux_sym_implicit_statement_token1] = ACTIONS(4874),
    [aux_sym_implicit_statement_token3] = ACTIONS(4877),
    [aux_sym_implicit_statement_token4] = ACTIONS(4868),
    [aux_sym_save_statement_token1] = ACTIONS(4880),
    [aux_sym_private_statement_token1] = ACTIONS(4883),
    [aux_sym_public_statement_token1] = ACTIONS(4886),
    [aux_sym_namelist_statement_token1] = ACTIONS(4889),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4895),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4868),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4898),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4868),
    [aux_sym_variable_attributes_token1] = ACTIONS(4901),
    [aux_sym_variable_attributes_token2] = ACTIONS(4868),
    [aux_sym_variable_attributes_token3] = ACTIONS(4868),
    [aux_sym_variable_attributes_token4] = ACTIONS(4901),
    [aux_sym_variable_attributes_token5] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4910),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4913),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4907),
    [aux_sym_derived_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token1] = ACTIONS(4919),
    [aux_sym_declared_type_token2] = ACTIONS(4919),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4922),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4931),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4901),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4934),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4901),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4937),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4940),
    [aux_sym_data_statement_token1] = ACTIONS(4943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4946),
    [aux_sym_block_construct_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4949),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4955),
  },
  [1112] = {
    [sym_preproc_include] = STATE(1112),
    [sym_preproc_def] = STATE(1112),
    [sym_preproc_function_def] = STATE(1112),
    [sym_preproc_call] = STATE(1112),
    [sym_preproc_if_in_module] = STATE(1112),
    [sym_preproc_ifdef_in_module] = STATE(1112),
    [sym_interface] = STATE(1112),
    [sym_interface_statement] = STATE(3908),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(1112),
    [sym_use_statement] = STATE(7224),
    [sym_implicit_statement] = STATE(7224),
    [sym_save_statement] = STATE(7224),
    [sym_private_statement] = STATE(1112),
    [sym_public_statement] = STATE(1112),
    [sym_namelist_statement] = STATE(7224),
    [sym_common_statement] = STATE(7224),
    [sym_import_statement] = STATE(7224),
    [sym_derived_type_definition] = STATE(1112),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4320),
    [sym_variable_declaration] = STATE(7224),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(7224),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(7224),
    [sym_equivalence_statement] = STATE(7224),
    [sym_statement_label] = STATE(7130),
    [sym_include_statement] = STATE(7224),
    [sym_data_statement] = STATE(7224),
    [sym_enum] = STATE(1112),
    [sym_enum_statement] = STATE(6066),
    [sym_enumeration_type] = STATE(1112),
    [sym_enumeration_type_statement] = STATE(6134),
    [sym_statement_function] = STATE(7224),
    [sym_identifier] = STATE(7589),
    [aux_sym_module_repeat1] = STATE(1112),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4961),
    [aux_sym_preproc_if_token1] = ACTIONS(4964),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4967),
    [sym_preproc_directive] = ACTIONS(4970),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4848),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4851),
    [aux_sym_interface_statement_token1] = ACTIONS(4853),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4859),
    [aux_sym_language_binding_token1] = ACTIONS(4862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4865),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4868),
    [aux_sym_contains_statement_token1] = ACTIONS(4851),
    [aux_sym_use_statement_token1] = ACTIONS(4871),
    [aux_sym_use_statement_token2] = ACTIONS(4868),
    [aux_sym_implicit_statement_token1] = ACTIONS(4874),
    [aux_sym_implicit_statement_token3] = ACTIONS(4877),
    [aux_sym_implicit_statement_token4] = ACTIONS(4868),
    [aux_sym_save_statement_token1] = ACTIONS(4880),
    [aux_sym_private_statement_token1] = ACTIONS(4973),
    [aux_sym_public_statement_token1] = ACTIONS(4976),
    [aux_sym_namelist_statement_token1] = ACTIONS(4889),
    [aux_sym_common_statement_token1] = ACTIONS(4892),
    [aux_sym_import_statement_token1] = ACTIONS(4895),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4868),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4898),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4868),
    [aux_sym_variable_attributes_token1] = ACTIONS(4901),
    [aux_sym_variable_attributes_token2] = ACTIONS(4868),
    [aux_sym_variable_attributes_token3] = ACTIONS(4868),
    [aux_sym_variable_attributes_token4] = ACTIONS(4901),
    [aux_sym_variable_attributes_token5] = ACTIONS(4868),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4904),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4910),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4913),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4907),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4907),
    [aux_sym_derived_type_token1] = ACTIONS(4916),
    [aux_sym_declared_type_token1] = ACTIONS(4919),
    [aux_sym_declared_type_token2] = ACTIONS(4919),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4922),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4925),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4928),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4931),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4901),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4934),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4868),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4901),
    [aux_sym_type_qualifier_token1] = ACTIONS(4856),
    [aux_sym_type_qualifier_token2] = ACTIONS(4856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4937),
    [aux_sym_stop_statement_token1] = ACTIONS(4856),
    [aux_sym_stop_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token2] = ACTIONS(4856),
    [aux_sym_keyword_statement_token3] = ACTIONS(4856),
    [aux_sym_include_statement_token1] = ACTIONS(4940),
    [aux_sym_data_statement_token1] = ACTIONS(4943),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4856),
    [aux_sym_end_if_statement_token1] = ACTIONS(4856),
    [aux_sym_elseif_clause_token2] = ACTIONS(4856),
    [aux_sym_select_case_statement_token1] = ACTIONS(4946),
    [aux_sym_block_construct_token1] = ACTIONS(4856),
    [aux_sym_format_statement_token1] = ACTIONS(4856),
    [aux_sym_inquire_statement_token1] = ACTIONS(4856),
    [aux_sym_enum_statement_token1] = ACTIONS(4949),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4952),
    [aux_sym_entry_statement_token1] = ACTIONS(4856),
    [aux_sym_null_literal_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_statement_token2] = ACTIONS(4856),
    [aux_sym_coarray_statement_token6] = ACTIONS(4856),
    [aux_sym_coarray_statement_token8] = ACTIONS(4856),
    [aux_sym_coarray_statement_token11] = ACTIONS(4856),
    [aux_sym_coarray_statement_token12] = ACTIONS(4856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4856),
    [aux_sym_identifier_token1] = ACTIONS(4856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4955),
  },
  [1113] = {
    [sym_preproc_include] = STATE(1113),
    [sym_preproc_def] = STATE(1113),
    [sym_preproc_function_def] = STATE(1113),
    [sym_preproc_call] = STATE(1113),
    [sym_interface] = STATE(1113),
    [sym_interface_statement] = STATE(3859),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(1113),
    [sym_use_statement] = STATE(6887),
    [sym_implicit_statement] = STATE(6887),
    [sym_save_statement] = STATE(6887),
    [sym_private_statement] = STATE(1113),
    [sym_public_statement] = STATE(1113),
    [sym_namelist_statement] = STATE(6887),
    [sym_common_statement] = STATE(6887),
    [sym_import_statement] = STATE(6887),
    [sym_derived_type_definition] = STATE(1113),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4297),
    [sym_variable_declaration] = STATE(6887),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6887),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6887),
    [sym_equivalence_statement] = STATE(6887),
    [sym_statement_label] = STATE(7176),
    [sym_include_statement] = STATE(6887),
    [sym_data_statement] = STATE(6887),
    [sym_enum] = STATE(1113),
    [sym_enum_statement] = STATE(6050),
    [sym_enumeration_type] = STATE(1113),
    [sym_enumeration_type_statement] = STATE(6217),
    [sym_statement_function] = STATE(6887),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1113),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(4979),
    [aux_sym_preproc_def_token1] = ACTIONS(4982),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3025),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(4985),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3032),
    [aux_sym_interface_statement_token1] = ACTIONS(3035),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3041),
    [aux_sym_language_binding_token1] = ACTIONS(3044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3050),
    [aux_sym_contains_statement_token1] = ACTIONS(3025),
    [aux_sym_use_statement_token1] = ACTIONS(3053),
    [aux_sym_use_statement_token2] = ACTIONS(3050),
    [aux_sym_implicit_statement_token1] = ACTIONS(3056),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3050),
    [aux_sym_save_statement_token1] = ACTIONS(3062),
    [aux_sym_private_statement_token1] = ACTIONS(4988),
    [aux_sym_public_statement_token1] = ACTIONS(4991),
    [aux_sym_namelist_statement_token1] = ACTIONS(3071),
    [aux_sym_common_statement_token1] = ACTIONS(3074),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3050),
    [aux_sym_variable_attributes_token1] = ACTIONS(3083),
    [aux_sym_variable_attributes_token2] = ACTIONS(3050),
    [aux_sym_variable_attributes_token3] = ACTIONS(3050),
    [aux_sym_variable_attributes_token4] = ACTIONS(3083),
    [aux_sym_variable_attributes_token5] = ACTIONS(3050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3095),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3098),
    [aux_sym_declared_type_token1] = ACTIONS(3101),
    [aux_sym_declared_type_token2] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3107),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3110),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3083),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3083),
    [aux_sym_type_qualifier_token1] = ACTIONS(3038),
    [aux_sym_type_qualifier_token2] = ACTIONS(3038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3119),
    [aux_sym_stop_statement_token1] = ACTIONS(3038),
    [aux_sym_stop_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token3] = ACTIONS(3038),
    [aux_sym_include_statement_token1] = ACTIONS(3122),
    [aux_sym_data_statement_token1] = ACTIONS(3125),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3038),
    [aux_sym_end_if_statement_token1] = ACTIONS(3038),
    [aux_sym_elseif_clause_token2] = ACTIONS(3038),
    [aux_sym_select_case_statement_token1] = ACTIONS(3128),
    [aux_sym_block_construct_token1] = ACTIONS(3038),
    [aux_sym_format_statement_token1] = ACTIONS(3038),
    [aux_sym_inquire_statement_token1] = ACTIONS(3038),
    [aux_sym_enum_statement_token1] = ACTIONS(3131),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3134),
    [aux_sym_entry_statement_token1] = ACTIONS(3038),
    [aux_sym_null_literal_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token2] = ACTIONS(3038),
    [aux_sym_coarray_statement_token6] = ACTIONS(3038),
    [aux_sym_coarray_statement_token8] = ACTIONS(3038),
    [aux_sym_coarray_statement_token11] = ACTIONS(3038),
    [aux_sym_coarray_statement_token12] = ACTIONS(3038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3038),
    [aux_sym_identifier_token1] = ACTIONS(3038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3137),
  },
  [1114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(4994),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(4996),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(4998),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5004),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1118] = {
    [sym_preproc_include] = STATE(1124),
    [sym_preproc_def] = STATE(1124),
    [sym_preproc_function_def] = STATE(1124),
    [sym_preproc_call] = STATE(1124),
    [sym_interface] = STATE(1124),
    [sym_interface_statement] = STATE(3925),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8574),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(1124),
    [sym_use_statement] = STATE(6978),
    [sym_implicit_statement] = STATE(6978),
    [sym_save_statement] = STATE(6978),
    [sym_private_statement] = STATE(1124),
    [sym_public_statement] = STATE(1124),
    [sym_namelist_statement] = STATE(6978),
    [sym_common_statement] = STATE(6978),
    [sym_import_statement] = STATE(6978),
    [sym_derived_type_definition] = STATE(1124),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4310),
    [sym_variable_declaration] = STATE(6978),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6978),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6978),
    [sym_equivalence_statement] = STATE(6978),
    [sym_statement_label] = STATE(7213),
    [sym_include_statement] = STATE(6978),
    [sym_data_statement] = STATE(6978),
    [sym_enum] = STATE(1124),
    [sym_enum_statement] = STATE(6078),
    [sym_enumeration_type] = STATE(1124),
    [sym_enumeration_type_statement] = STATE(6228),
    [sym_statement_function] = STATE(6978),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1124),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5010),
    [aux_sym_preproc_if_token2] = ACTIONS(5012),
    [sym_preproc_directive] = ACTIONS(5014),
    [sym_preproc_comment] = ACTIONS(5016),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(5018),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5022),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1124] = {
    [sym_preproc_include] = STATE(1191),
    [sym_preproc_def] = STATE(1191),
    [sym_preproc_function_def] = STATE(1191),
    [sym_preproc_call] = STATE(1191),
    [sym_interface] = STATE(1191),
    [sym_interface_statement] = STATE(3925),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8191),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(1191),
    [sym_use_statement] = STATE(6978),
    [sym_implicit_statement] = STATE(6978),
    [sym_save_statement] = STATE(6978),
    [sym_private_statement] = STATE(1191),
    [sym_public_statement] = STATE(1191),
    [sym_namelist_statement] = STATE(6978),
    [sym_common_statement] = STATE(6978),
    [sym_import_statement] = STATE(6978),
    [sym_derived_type_definition] = STATE(1191),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4310),
    [sym_variable_declaration] = STATE(6978),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6978),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6978),
    [sym_equivalence_statement] = STATE(6978),
    [sym_statement_label] = STATE(7213),
    [sym_include_statement] = STATE(6978),
    [sym_data_statement] = STATE(6978),
    [sym_enum] = STATE(1191),
    [sym_enum_statement] = STATE(6078),
    [sym_enumeration_type] = STATE(1191),
    [sym_enumeration_type_statement] = STATE(6228),
    [sym_statement_function] = STATE(6978),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1191),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5010),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(5018),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [aux_sym_preproc_else_token1] = ACTIONS(5038),
    [aux_sym_preproc_elif_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_end_program_statement_token2] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [aux_sym_preproc_else_token1] = ACTIONS(5042),
    [aux_sym_preproc_elif_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_end_program_statement_token2] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1127] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [aux_sym_preproc_else_token1] = ACTIONS(5046),
    [aux_sym_preproc_elif_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_end_program_statement_token2] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token2] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [aux_sym_preproc_else_token1] = ACTIONS(4289),
    [aux_sym_preproc_elif_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [sym_preproc_comment] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [anon_sym_SEMI] = ACTIONS(4291),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_subroutine_call_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_keyword_statement_token4] = ACTIONS(4289),
    [aux_sym_keyword_statement_token6] = ACTIONS(4289),
    [aux_sym_keyword_statement_token7] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4289),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token3] = ACTIONS(4289),
    [aux_sym_select_type_statement_token1] = ACTIONS(4289),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_associate_statement_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_print_statement_token1] = ACTIONS(4289),
    [aux_sym_open_statement_token1] = ACTIONS(4289),
    [aux_sym_close_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token2] = ACTIONS(4289),
    [aux_sym_file_position_statement_token3] = ACTIONS(4289),
    [aux_sym_file_position_statement_token4] = ACTIONS(4289),
    [aux_sym_allocate_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_logical_expression_token5] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4291),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_boolean_literal_token1] = ACTIONS(4291),
    [aux_sym_boolean_literal_token2] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_statement_token13] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
    [sym__float_literal] = ACTIONS(4291),
    [sym__boz_literal] = ACTIONS(4291),
    [sym__string_literal] = ACTIONS(4291),
    [sym__string_literal_kind] = ACTIONS(4291),
  },
  [1132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [aux_sym_preproc_else_token1] = ACTIONS(5054),
    [aux_sym_preproc_elif_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_end_program_statement_token2] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token2] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [aux_sym_preproc_else_token1] = ACTIONS(4293),
    [aux_sym_preproc_elif_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_LPAREN2] = ACTIONS(4293),
    [sym_preproc_comment] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4295),
    [anon_sym_DASH] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [anon_sym_SEMI] = ACTIONS(4295),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_subroutine_call_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_keyword_statement_token4] = ACTIONS(4293),
    [aux_sym_keyword_statement_token6] = ACTIONS(4293),
    [aux_sym_keyword_statement_token7] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4293),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token3] = ACTIONS(4293),
    [aux_sym_select_type_statement_token1] = ACTIONS(4293),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_associate_statement_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_print_statement_token1] = ACTIONS(4293),
    [aux_sym_open_statement_token1] = ACTIONS(4293),
    [aux_sym_close_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token2] = ACTIONS(4293),
    [aux_sym_file_position_statement_token3] = ACTIONS(4293),
    [aux_sym_file_position_statement_token4] = ACTIONS(4293),
    [aux_sym_allocate_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_logical_expression_token5] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4293),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4295),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [aux_sym_boolean_literal_token1] = ACTIONS(4295),
    [aux_sym_boolean_literal_token2] = ACTIONS(4295),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_statement_token13] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
    [sym__float_literal] = ACTIONS(4295),
    [sym__boz_literal] = ACTIONS(4295),
    [sym__string_literal] = ACTIONS(4295),
    [sym__string_literal_kind] = ACTIONS(4295),
  },
  [1135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [aux_sym_preproc_else_token1] = ACTIONS(5062),
    [aux_sym_preproc_elif_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_end_program_statement_token2] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token2] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [aux_sym_preproc_else_token1] = ACTIONS(4297),
    [aux_sym_preproc_elif_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(4297),
    [sym_preproc_comment] = ACTIONS(4299),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [anon_sym_SEMI] = ACTIONS(4299),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_subroutine_call_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_keyword_statement_token4] = ACTIONS(4297),
    [aux_sym_keyword_statement_token6] = ACTIONS(4297),
    [aux_sym_keyword_statement_token7] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token3] = ACTIONS(4297),
    [aux_sym_select_type_statement_token1] = ACTIONS(4297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_associate_statement_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_print_statement_token1] = ACTIONS(4297),
    [aux_sym_open_statement_token1] = ACTIONS(4297),
    [aux_sym_close_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token2] = ACTIONS(4297),
    [aux_sym_file_position_statement_token3] = ACTIONS(4297),
    [aux_sym_file_position_statement_token4] = ACTIONS(4297),
    [aux_sym_allocate_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_logical_expression_token5] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4299),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [aux_sym_boolean_literal_token1] = ACTIONS(4299),
    [aux_sym_boolean_literal_token2] = ACTIONS(4299),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_statement_token13] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
    [sym__float_literal] = ACTIONS(4299),
    [sym__boz_literal] = ACTIONS(4299),
    [sym__string_literal] = ACTIONS(4299),
    [sym__string_literal_kind] = ACTIONS(4299),
  },
  [1138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_end_program_statement_token2] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5072),
    [aux_sym_preproc_def_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token2] = ACTIONS(5075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5072),
    [aux_sym_preproc_else_token1] = ACTIONS(5075),
    [aux_sym_preproc_elif_token1] = ACTIONS(5075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5075),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5075),
    [sym_preproc_directive] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_interface_statement_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5072),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5072),
    [aux_sym_language_binding_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5072),
    [aux_sym_contains_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token2] = ACTIONS(5072),
    [aux_sym_implicit_statement_token1] = ACTIONS(5072),
    [aux_sym_implicit_statement_token3] = ACTIONS(5072),
    [aux_sym_implicit_statement_token4] = ACTIONS(5072),
    [aux_sym_save_statement_token1] = ACTIONS(5072),
    [aux_sym_private_statement_token1] = ACTIONS(5072),
    [aux_sym_public_statement_token1] = ACTIONS(5072),
    [aux_sym_namelist_statement_token1] = ACTIONS(5072),
    [aux_sym_common_statement_token1] = ACTIONS(5072),
    [aux_sym_import_statement_token1] = ACTIONS(5072),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5072),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5072),
    [aux_sym_variable_attributes_token1] = ACTIONS(5072),
    [aux_sym_variable_attributes_token2] = ACTIONS(5072),
    [aux_sym_variable_attributes_token3] = ACTIONS(5072),
    [aux_sym_variable_attributes_token4] = ACTIONS(5072),
    [aux_sym_variable_attributes_token5] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5072),
    [aux_sym_derived_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5072),
    [aux_sym_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5077),
    [aux_sym_stop_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token2] = ACTIONS(5072),
    [aux_sym_subroutine_call_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token2] = ACTIONS(5072),
    [aux_sym_keyword_statement_token3] = ACTIONS(5072),
    [aux_sym_keyword_statement_token4] = ACTIONS(5072),
    [aux_sym_keyword_statement_token6] = ACTIONS(5072),
    [aux_sym_keyword_statement_token7] = ACTIONS(5072),
    [aux_sym_include_statement_token1] = ACTIONS(5072),
    [aux_sym_data_statement_token1] = ACTIONS(5072),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5072),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5072),
    [aux_sym_end_if_statement_token1] = ACTIONS(5072),
    [aux_sym_elseif_clause_token2] = ACTIONS(5072),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5072),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token3] = ACTIONS(5072),
    [aux_sym_select_type_statement_token1] = ACTIONS(5072),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5072),
    [aux_sym_block_construct_token1] = ACTIONS(5072),
    [aux_sym_associate_statement_token1] = ACTIONS(5072),
    [aux_sym_format_statement_token1] = ACTIONS(5072),
    [aux_sym_print_statement_token1] = ACTIONS(5072),
    [aux_sym_open_statement_token1] = ACTIONS(5072),
    [aux_sym_close_statement_token1] = ACTIONS(5072),
    [aux_sym_inquire_statement_token1] = ACTIONS(5072),
    [aux_sym_enum_statement_token1] = ACTIONS(5072),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token2] = ACTIONS(5072),
    [aux_sym_file_position_statement_token3] = ACTIONS(5072),
    [aux_sym_file_position_statement_token4] = ACTIONS(5072),
    [aux_sym_allocate_statement_token1] = ACTIONS(5072),
    [aux_sym_entry_statement_token1] = ACTIONS(5072),
    [aux_sym_logical_expression_token5] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [aux_sym_boolean_literal_token1] = ACTIONS(5077),
    [aux_sym_boolean_literal_token2] = ACTIONS(5077),
    [aux_sym_null_literal_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token2] = ACTIONS(5072),
    [aux_sym_coarray_statement_token6] = ACTIONS(5072),
    [aux_sym_coarray_statement_token8] = ACTIONS(5072),
    [aux_sym_coarray_statement_token11] = ACTIONS(5072),
    [aux_sym_coarray_statement_token12] = ACTIONS(5072),
    [aux_sym_coarray_statement_token13] = ACTIONS(5072),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5072),
    [aux_sym_identifier_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5077),
    [sym__float_literal] = ACTIONS(5077),
    [sym__boz_literal] = ACTIONS(5077),
    [sym__string_literal] = ACTIONS(5077),
    [sym__string_literal_kind] = ACTIONS(5077),
  },
  [1140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_end_program_statement_token2] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_end_program_statement_token2] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [aux_sym_preproc_else_token1] = ACTIONS(5090),
    [aux_sym_preproc_elif_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [aux_sym_preproc_else_token1] = ACTIONS(5094),
    [aux_sym_preproc_elif_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_end_program_statement_token2] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_end_program_statement_token2] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_end_program_statement_token2] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [aux_sym_preproc_else_token1] = ACTIONS(5124),
    [aux_sym_preproc_elif_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_end_program_statement_token2] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [aux_sym_preproc_else_token1] = ACTIONS(5128),
    [aux_sym_preproc_elif_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_end_program_statement_token2] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_end_program_statement_token2] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1154] = {
    [sym_preproc_include] = STATE(1191),
    [sym_preproc_def] = STATE(1191),
    [sym_preproc_function_def] = STATE(1191),
    [sym_preproc_call] = STATE(1191),
    [sym_interface] = STATE(1191),
    [sym_interface_statement] = STATE(3925),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8084),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(1191),
    [sym_use_statement] = STATE(6978),
    [sym_implicit_statement] = STATE(6978),
    [sym_save_statement] = STATE(6978),
    [sym_private_statement] = STATE(1191),
    [sym_public_statement] = STATE(1191),
    [sym_namelist_statement] = STATE(6978),
    [sym_common_statement] = STATE(6978),
    [sym_import_statement] = STATE(6978),
    [sym_derived_type_definition] = STATE(1191),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4310),
    [sym_variable_declaration] = STATE(6978),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6978),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6978),
    [sym_equivalence_statement] = STATE(6978),
    [sym_statement_label] = STATE(7213),
    [sym_include_statement] = STATE(6978),
    [sym_data_statement] = STATE(6978),
    [sym_enum] = STATE(1191),
    [sym_enum_statement] = STATE(6078),
    [sym_enumeration_type] = STATE(1191),
    [sym_enumeration_type_statement] = STATE(6228),
    [sym_statement_function] = STATE(6978),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1191),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5010),
    [aux_sym_preproc_if_token2] = ACTIONS(5136),
    [sym_preproc_directive] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(5018),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [aux_sym_preproc_else_token1] = ACTIONS(5138),
    [aux_sym_preproc_elif_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_end_program_statement_token2] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1156] = {
    [sym_preproc_include] = STATE(1154),
    [sym_preproc_def] = STATE(1154),
    [sym_preproc_function_def] = STATE(1154),
    [sym_preproc_call] = STATE(1154),
    [sym_interface] = STATE(1154),
    [sym_interface_statement] = STATE(3925),
    [sym_language_binding] = STATE(3231),
    [sym_internal_procedures] = STATE(8191),
    [sym_contains_statement] = STATE(7153),
    [sym__specification_part] = STATE(1154),
    [sym_use_statement] = STATE(6978),
    [sym_implicit_statement] = STATE(6978),
    [sym_save_statement] = STATE(6978),
    [sym_private_statement] = STATE(1154),
    [sym_public_statement] = STATE(1154),
    [sym_namelist_statement] = STATE(6978),
    [sym_common_statement] = STATE(6978),
    [sym_import_statement] = STATE(6978),
    [sym_derived_type_definition] = STATE(1154),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4310),
    [sym_variable_declaration] = STATE(6978),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6978),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6978),
    [sym_equivalence_statement] = STATE(6978),
    [sym_statement_label] = STATE(7213),
    [sym_include_statement] = STATE(6978),
    [sym_data_statement] = STATE(6978),
    [sym_enum] = STATE(1154),
    [sym_enum_statement] = STATE(6078),
    [sym_enumeration_type] = STATE(1154),
    [sym_enumeration_type_statement] = STATE(6228),
    [sym_statement_function] = STATE(6978),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1154),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(5008),
    [aux_sym_preproc_def_token1] = ACTIONS(5010),
    [aux_sym_preproc_if_token2] = ACTIONS(5036),
    [sym_preproc_directive] = ACTIONS(5014),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_interface_statement_token1] = ACTIONS(33),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(41),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(49),
    [aux_sym_contains_statement_token1] = ACTIONS(51),
    [aux_sym_use_statement_token1] = ACTIONS(53),
    [aux_sym_use_statement_token2] = ACTIONS(49),
    [aux_sym_implicit_statement_token1] = ACTIONS(55),
    [aux_sym_implicit_statement_token3] = ACTIONS(770),
    [aux_sym_implicit_statement_token4] = ACTIONS(49),
    [aux_sym_save_statement_token1] = ACTIONS(59),
    [aux_sym_private_statement_token1] = ACTIONS(5018),
    [aux_sym_public_statement_token1] = ACTIONS(5020),
    [aux_sym_namelist_statement_token1] = ACTIONS(65),
    [aux_sym_common_statement_token1] = ACTIONS(67),
    [aux_sym_import_statement_token1] = ACTIONS(69),
    [aux_sym_derived_type_definition_token1] = ACTIONS(49),
    [aux_sym_abstract_specifier_token1] = ACTIONS(71),
    [aux_sym_procedure_attribute_token6] = ACTIONS(49),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(49),
    [aux_sym_variable_attributes_token3] = ACTIONS(49),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(49),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token2] = ACTIONS(778),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4665),
    [aux_sym__intrinsic_type_token4] = ACTIONS(780),
    [aux_sym__intrinsic_type_token6] = ACTIONS(778),
    [aux_sym__intrinsic_type_token7] = ACTIONS(778),
    [aux_sym__intrinsic_type_token8] = ACTIONS(782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(778),
    [aux_sym__intrinsic_type_token10] = ACTIONS(778),
    [aux_sym_derived_type_token1] = ACTIONS(784),
    [aux_sym_declared_type_token1] = ACTIONS(85),
    [aux_sym_declared_type_token2] = ACTIONS(85),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(89),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(93),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(95),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(49),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_equivalence_statement_token1] = ACTIONS(101),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_include_statement_token1] = ACTIONS(119),
    [aux_sym_data_statement_token1] = ACTIONS(4667),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_enum_statement_token1] = ACTIONS(153),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(155),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4671),
  },
  [1157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [aux_sym_preproc_else_token1] = ACTIONS(5042),
    [aux_sym_preproc_elif_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [aux_sym_preproc_else_token1] = ACTIONS(5038),
    [aux_sym_preproc_elif_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [aux_sym_preproc_else_token1] = ACTIONS(4601),
    [aux_sym_preproc_elif_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [aux_sym_preproc_else_token1] = ACTIONS(5062),
    [aux_sym_preproc_elif_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [aux_sym_preproc_else_token1] = ACTIONS(5090),
    [aux_sym_preproc_elif_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1166] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [aux_sym_preproc_else_token1] = ACTIONS(4609),
    [aux_sym_preproc_elif_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [aux_sym_preproc_else_token1] = ACTIONS(4613),
    [aux_sym_preproc_elif_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [aux_sym_preproc_else_token1] = ACTIONS(5124),
    [aux_sym_preproc_elif_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [aux_sym_preproc_else_token1] = ACTIONS(5128),
    [aux_sym_preproc_elif_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [aux_sym_preproc_else_token1] = ACTIONS(4617),
    [aux_sym_preproc_elif_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [aux_sym_preproc_else_token1] = ACTIONS(5046),
    [aux_sym_preproc_elif_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [aux_sym_preproc_else_token1] = ACTIONS(4621),
    [aux_sym_preproc_elif_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [aux_sym_preproc_else_token1] = ACTIONS(5094),
    [aux_sym_preproc_elif_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [aux_sym_preproc_else_token1] = ACTIONS(5138),
    [aux_sym_preproc_elif_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [aux_sym_preproc_else_token1] = ACTIONS(5054),
    [aux_sym_preproc_elif_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [aux_sym_preproc_else_token1] = ACTIONS(4605),
    [aux_sym_preproc_elif_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1191] = {
    [sym_preproc_include] = STATE(1191),
    [sym_preproc_def] = STATE(1191),
    [sym_preproc_function_def] = STATE(1191),
    [sym_preproc_call] = STATE(1191),
    [sym_interface] = STATE(1191),
    [sym_interface_statement] = STATE(3925),
    [sym_language_binding] = STATE(3231),
    [sym__specification_part] = STATE(1191),
    [sym_use_statement] = STATE(6978),
    [sym_implicit_statement] = STATE(6978),
    [sym_save_statement] = STATE(6978),
    [sym_private_statement] = STATE(1191),
    [sym_public_statement] = STATE(1191),
    [sym_namelist_statement] = STATE(6978),
    [sym_common_statement] = STATE(6978),
    [sym_import_statement] = STATE(6978),
    [sym_derived_type_definition] = STATE(1191),
    [sym_abstract_specifier] = STATE(7975),
    [sym_derived_type_statement] = STATE(4310),
    [sym_variable_declaration] = STATE(6978),
    [sym_procedure_declaration] = STATE(3447),
    [sym_variable_modification] = STATE(6978),
    [sym_variable_attributes] = STATE(3231),
    [sym__intrinsic_type] = STATE(3608),
    [sym_intrinsic_type] = STATE(3447),
    [sym_derived_type] = STATE(3447),
    [sym_declared_type] = STATE(3447),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_parameter_statement] = STATE(6978),
    [sym_equivalence_statement] = STATE(6978),
    [sym_statement_label] = STATE(7213),
    [sym_include_statement] = STATE(6978),
    [sym_data_statement] = STATE(6978),
    [sym_enum] = STATE(1191),
    [sym_enum_statement] = STATE(6078),
    [sym_enumeration_type] = STATE(1191),
    [sym_enumeration_type_statement] = STATE(6228),
    [sym_statement_function] = STATE(6978),
    [sym_identifier] = STATE(7589),
    [aux_sym_preproc_if_in_module_repeat1] = STATE(1191),
    [aux_sym_variable_modification_repeat1] = STATE(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(5142),
    [aux_sym_preproc_def_token1] = ACTIONS(5145),
    [aux_sym_preproc_if_token2] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(5148),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(3032),
    [aux_sym_interface_statement_token1] = ACTIONS(3035),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(3038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(3038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(3041),
    [aux_sym_language_binding_token1] = ACTIONS(3044),
    [aux_sym_procedure_attributes_token1] = ACTIONS(3047),
    [aux_sym_procedure_attributes_token3] = ACTIONS(3050),
    [aux_sym_contains_statement_token1] = ACTIONS(3025),
    [aux_sym_use_statement_token1] = ACTIONS(3053),
    [aux_sym_use_statement_token2] = ACTIONS(3050),
    [aux_sym_implicit_statement_token1] = ACTIONS(3056),
    [aux_sym_implicit_statement_token3] = ACTIONS(3059),
    [aux_sym_implicit_statement_token4] = ACTIONS(3050),
    [aux_sym_save_statement_token1] = ACTIONS(3062),
    [aux_sym_private_statement_token1] = ACTIONS(5151),
    [aux_sym_public_statement_token1] = ACTIONS(5154),
    [aux_sym_namelist_statement_token1] = ACTIONS(3071),
    [aux_sym_common_statement_token1] = ACTIONS(3074),
    [aux_sym_import_statement_token1] = ACTIONS(3077),
    [aux_sym_derived_type_definition_token1] = ACTIONS(3050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(3080),
    [aux_sym_procedure_attribute_token6] = ACTIONS(3050),
    [aux_sym_variable_attributes_token1] = ACTIONS(3083),
    [aux_sym_variable_attributes_token2] = ACTIONS(3050),
    [aux_sym_variable_attributes_token3] = ACTIONS(3050),
    [aux_sym_variable_attributes_token4] = ACTIONS(3083),
    [aux_sym_variable_attributes_token5] = ACTIONS(3050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token3] = ACTIONS(3086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(3092),
    [aux_sym__intrinsic_type_token6] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token7] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token8] = ACTIONS(3095),
    [aux_sym__intrinsic_type_token9] = ACTIONS(3089),
    [aux_sym__intrinsic_type_token10] = ACTIONS(3089),
    [aux_sym_derived_type_token1] = ACTIONS(3098),
    [aux_sym_declared_type_token1] = ACTIONS(3101),
    [aux_sym_declared_type_token2] = ACTIONS(3101),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(3104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(3107),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(3110),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(3113),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(3083),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(3116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(3050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(3083),
    [aux_sym_type_qualifier_token1] = ACTIONS(3038),
    [aux_sym_type_qualifier_token2] = ACTIONS(3038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(3119),
    [aux_sym_stop_statement_token1] = ACTIONS(3038),
    [aux_sym_stop_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token2] = ACTIONS(3038),
    [aux_sym_keyword_statement_token3] = ACTIONS(3038),
    [aux_sym_include_statement_token1] = ACTIONS(3122),
    [aux_sym_data_statement_token1] = ACTIONS(3125),
    [aux_sym__inline_if_statement_token1] = ACTIONS(3038),
    [aux_sym_end_if_statement_token1] = ACTIONS(3038),
    [aux_sym_elseif_clause_token2] = ACTIONS(3038),
    [aux_sym_select_case_statement_token1] = ACTIONS(3128),
    [aux_sym_block_construct_token1] = ACTIONS(3038),
    [aux_sym_format_statement_token1] = ACTIONS(3038),
    [aux_sym_inquire_statement_token1] = ACTIONS(3038),
    [aux_sym_enum_statement_token1] = ACTIONS(3131),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(3134),
    [aux_sym_entry_statement_token1] = ACTIONS(3038),
    [aux_sym_null_literal_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_statement_token2] = ACTIONS(3038),
    [aux_sym_coarray_statement_token6] = ACTIONS(3038),
    [aux_sym_coarray_statement_token8] = ACTIONS(3038),
    [aux_sym_coarray_statement_token11] = ACTIONS(3038),
    [aux_sym_coarray_statement_token12] = ACTIONS(3038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(3038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(3038),
    [aux_sym_identifier_token1] = ACTIONS(3038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(3137),
  },
  [1192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5157),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5159),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5161),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5163),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5165),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5167),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5169),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5171),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5173),
    [aux_sym_preproc_def_token1] = ACTIONS(5173),
    [aux_sym_preproc_if_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5173),
    [sym_preproc_directive] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5173),
    [sym_preproc_comment] = ACTIONS(5175),
    [anon_sym_PLUS] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5173),
    [aux_sym_interface_statement_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5173),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5173),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5173),
    [aux_sym_language_binding_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5173),
    [aux_sym_contains_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token2] = ACTIONS(5173),
    [aux_sym_implicit_statement_token1] = ACTIONS(5173),
    [aux_sym_implicit_statement_token3] = ACTIONS(5173),
    [aux_sym_implicit_statement_token4] = ACTIONS(5173),
    [aux_sym_save_statement_token1] = ACTIONS(5173),
    [aux_sym_private_statement_token1] = ACTIONS(5173),
    [aux_sym_public_statement_token1] = ACTIONS(5173),
    [aux_sym_namelist_statement_token1] = ACTIONS(5173),
    [aux_sym_common_statement_token1] = ACTIONS(5173),
    [aux_sym_import_statement_token1] = ACTIONS(5173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5173),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5173),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5173),
    [aux_sym_variable_attributes_token1] = ACTIONS(5173),
    [aux_sym_variable_attributes_token2] = ACTIONS(5173),
    [aux_sym_variable_attributes_token3] = ACTIONS(5173),
    [aux_sym_variable_attributes_token4] = ACTIONS(5173),
    [aux_sym_variable_attributes_token5] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5173),
    [aux_sym_derived_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5173),
    [aux_sym_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5173),
    [anon_sym_SEMI] = ACTIONS(5177),
    [aux_sym_stop_statement_token1] = ACTIONS(5173),
    [aux_sym_stop_statement_token2] = ACTIONS(5173),
    [aux_sym_subroutine_call_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token2] = ACTIONS(5173),
    [aux_sym_keyword_statement_token3] = ACTIONS(5173),
    [aux_sym_keyword_statement_token4] = ACTIONS(5173),
    [aux_sym_keyword_statement_token6] = ACTIONS(5173),
    [aux_sym_keyword_statement_token7] = ACTIONS(5173),
    [aux_sym_include_statement_token1] = ACTIONS(5173),
    [aux_sym_data_statement_token1] = ACTIONS(5173),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5173),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5173),
    [aux_sym_end_if_statement_token1] = ACTIONS(5173),
    [aux_sym_elseif_clause_token2] = ACTIONS(5173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5173),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token3] = ACTIONS(5173),
    [aux_sym_select_type_statement_token1] = ACTIONS(5173),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5173),
    [aux_sym_block_construct_token1] = ACTIONS(5173),
    [aux_sym_associate_statement_token1] = ACTIONS(5173),
    [aux_sym_format_statement_token1] = ACTIONS(5173),
    [aux_sym_print_statement_token1] = ACTIONS(5173),
    [aux_sym_open_statement_token1] = ACTIONS(5173),
    [aux_sym_close_statement_token1] = ACTIONS(5173),
    [aux_sym_inquire_statement_token1] = ACTIONS(5173),
    [aux_sym_enum_statement_token1] = ACTIONS(5173),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token2] = ACTIONS(5173),
    [aux_sym_file_position_statement_token3] = ACTIONS(5173),
    [aux_sym_file_position_statement_token4] = ACTIONS(5173),
    [aux_sym_allocate_statement_token1] = ACTIONS(5173),
    [aux_sym_entry_statement_token1] = ACTIONS(5173),
    [aux_sym_logical_expression_token5] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [aux_sym_boolean_literal_token1] = ACTIONS(5177),
    [aux_sym_boolean_literal_token2] = ACTIONS(5177),
    [aux_sym_null_literal_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token2] = ACTIONS(5173),
    [aux_sym_coarray_statement_token6] = ACTIONS(5173),
    [aux_sym_coarray_statement_token8] = ACTIONS(5173),
    [aux_sym_coarray_statement_token11] = ACTIONS(5173),
    [aux_sym_coarray_statement_token12] = ACTIONS(5173),
    [aux_sym_coarray_statement_token13] = ACTIONS(5173),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5173),
    [aux_sym_identifier_token1] = ACTIONS(5173),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5177),
    [sym__float_literal] = ACTIONS(5177),
    [sym__boz_literal] = ACTIONS(5177),
    [sym__string_literal] = ACTIONS(5177),
    [sym__string_literal_kind] = ACTIONS(5177),
  },
  [1201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5179),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5181),
    [aux_sym_preproc_def_token1] = ACTIONS(5181),
    [aux_sym_preproc_if_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5181),
    [sym_preproc_directive] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [sym_preproc_comment] = ACTIONS(5183),
    [anon_sym_PLUS] = ACTIONS(5185),
    [anon_sym_DASH] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5181),
    [aux_sym_interface_statement_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5181),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5181),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5181),
    [aux_sym_language_binding_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5181),
    [aux_sym_contains_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token2] = ACTIONS(5181),
    [aux_sym_implicit_statement_token1] = ACTIONS(5181),
    [aux_sym_implicit_statement_token3] = ACTIONS(5181),
    [aux_sym_implicit_statement_token4] = ACTIONS(5181),
    [aux_sym_save_statement_token1] = ACTIONS(5181),
    [aux_sym_private_statement_token1] = ACTIONS(5181),
    [aux_sym_public_statement_token1] = ACTIONS(5181),
    [aux_sym_namelist_statement_token1] = ACTIONS(5181),
    [aux_sym_common_statement_token1] = ACTIONS(5181),
    [aux_sym_import_statement_token1] = ACTIONS(5181),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5181),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5181),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5181),
    [aux_sym_variable_attributes_token1] = ACTIONS(5181),
    [aux_sym_variable_attributes_token2] = ACTIONS(5181),
    [aux_sym_variable_attributes_token3] = ACTIONS(5181),
    [aux_sym_variable_attributes_token4] = ACTIONS(5181),
    [aux_sym_variable_attributes_token5] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5181),
    [aux_sym_derived_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5181),
    [aux_sym_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5185),
    [aux_sym_stop_statement_token1] = ACTIONS(5181),
    [aux_sym_stop_statement_token2] = ACTIONS(5181),
    [aux_sym_subroutine_call_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token2] = ACTIONS(5181),
    [aux_sym_keyword_statement_token3] = ACTIONS(5181),
    [aux_sym_keyword_statement_token4] = ACTIONS(5181),
    [aux_sym_keyword_statement_token6] = ACTIONS(5181),
    [aux_sym_keyword_statement_token7] = ACTIONS(5181),
    [aux_sym_include_statement_token1] = ACTIONS(5181),
    [aux_sym_data_statement_token1] = ACTIONS(5181),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5181),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5181),
    [aux_sym_end_if_statement_token1] = ACTIONS(5181),
    [aux_sym_elseif_clause_token2] = ACTIONS(5181),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5181),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token3] = ACTIONS(5181),
    [aux_sym_select_type_statement_token1] = ACTIONS(5181),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5181),
    [aux_sym_block_construct_token1] = ACTIONS(5181),
    [aux_sym_associate_statement_token1] = ACTIONS(5181),
    [aux_sym_format_statement_token1] = ACTIONS(5181),
    [aux_sym_print_statement_token1] = ACTIONS(5181),
    [aux_sym_open_statement_token1] = ACTIONS(5181),
    [aux_sym_close_statement_token1] = ACTIONS(5181),
    [aux_sym_inquire_statement_token1] = ACTIONS(5181),
    [aux_sym_enum_statement_token1] = ACTIONS(5181),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token2] = ACTIONS(5181),
    [aux_sym_file_position_statement_token3] = ACTIONS(5181),
    [aux_sym_file_position_statement_token4] = ACTIONS(5181),
    [aux_sym_allocate_statement_token1] = ACTIONS(5181),
    [aux_sym_entry_statement_token1] = ACTIONS(5181),
    [aux_sym_logical_expression_token5] = ACTIONS(5185),
    [anon_sym_DOT] = ACTIONS(5181),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [aux_sym_boolean_literal_token1] = ACTIONS(5185),
    [aux_sym_boolean_literal_token2] = ACTIONS(5185),
    [aux_sym_null_literal_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token2] = ACTIONS(5181),
    [aux_sym_coarray_statement_token6] = ACTIONS(5181),
    [aux_sym_coarray_statement_token8] = ACTIONS(5181),
    [aux_sym_coarray_statement_token11] = ACTIONS(5181),
    [aux_sym_coarray_statement_token12] = ACTIONS(5181),
    [aux_sym_coarray_statement_token13] = ACTIONS(5181),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5181),
    [aux_sym_identifier_token1] = ACTIONS(5181),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5185),
    [sym__float_literal] = ACTIONS(5185),
    [sym__boz_literal] = ACTIONS(5185),
    [sym__string_literal] = ACTIONS(5185),
    [sym__string_literal_kind] = ACTIONS(5185),
  },
  [1203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [sym_preproc_comment] = ACTIONS(5187),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5189),
    [aux_sym_preproc_def_token1] = ACTIONS(5189),
    [aux_sym_preproc_if_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5189),
    [sym_preproc_directive] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [sym_preproc_comment] = ACTIONS(5191),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5189),
    [aux_sym_interface_statement_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5189),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5189),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5189),
    [aux_sym_language_binding_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5189),
    [aux_sym_contains_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token2] = ACTIONS(5189),
    [aux_sym_implicit_statement_token1] = ACTIONS(5189),
    [aux_sym_implicit_statement_token3] = ACTIONS(5189),
    [aux_sym_implicit_statement_token4] = ACTIONS(5189),
    [aux_sym_save_statement_token1] = ACTIONS(5189),
    [aux_sym_private_statement_token1] = ACTIONS(5189),
    [aux_sym_public_statement_token1] = ACTIONS(5189),
    [aux_sym_namelist_statement_token1] = ACTIONS(5189),
    [aux_sym_common_statement_token1] = ACTIONS(5189),
    [aux_sym_import_statement_token1] = ACTIONS(5189),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5189),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5189),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5189),
    [aux_sym_variable_attributes_token1] = ACTIONS(5189),
    [aux_sym_variable_attributes_token2] = ACTIONS(5189),
    [aux_sym_variable_attributes_token3] = ACTIONS(5189),
    [aux_sym_variable_attributes_token4] = ACTIONS(5189),
    [aux_sym_variable_attributes_token5] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5189),
    [aux_sym_derived_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5189),
    [aux_sym_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5189),
    [anon_sym_SEMI] = ACTIONS(5193),
    [aux_sym_stop_statement_token1] = ACTIONS(5189),
    [aux_sym_stop_statement_token2] = ACTIONS(5189),
    [aux_sym_subroutine_call_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token2] = ACTIONS(5189),
    [aux_sym_keyword_statement_token3] = ACTIONS(5189),
    [aux_sym_keyword_statement_token4] = ACTIONS(5189),
    [aux_sym_keyword_statement_token6] = ACTIONS(5189),
    [aux_sym_keyword_statement_token7] = ACTIONS(5189),
    [aux_sym_include_statement_token1] = ACTIONS(5189),
    [aux_sym_data_statement_token1] = ACTIONS(5189),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5189),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5189),
    [aux_sym_end_if_statement_token1] = ACTIONS(5189),
    [aux_sym_elseif_clause_token2] = ACTIONS(5189),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5189),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token3] = ACTIONS(5189),
    [aux_sym_select_type_statement_token1] = ACTIONS(5189),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5189),
    [aux_sym_block_construct_token1] = ACTIONS(5189),
    [aux_sym_associate_statement_token1] = ACTIONS(5189),
    [aux_sym_format_statement_token1] = ACTIONS(5189),
    [aux_sym_print_statement_token1] = ACTIONS(5189),
    [aux_sym_open_statement_token1] = ACTIONS(5189),
    [aux_sym_close_statement_token1] = ACTIONS(5189),
    [aux_sym_inquire_statement_token1] = ACTIONS(5189),
    [aux_sym_enum_statement_token1] = ACTIONS(5189),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token2] = ACTIONS(5189),
    [aux_sym_file_position_statement_token3] = ACTIONS(5189),
    [aux_sym_file_position_statement_token4] = ACTIONS(5189),
    [aux_sym_allocate_statement_token1] = ACTIONS(5189),
    [aux_sym_entry_statement_token1] = ACTIONS(5189),
    [aux_sym_logical_expression_token5] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [aux_sym_boolean_literal_token1] = ACTIONS(5193),
    [aux_sym_boolean_literal_token2] = ACTIONS(5193),
    [aux_sym_null_literal_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token2] = ACTIONS(5189),
    [aux_sym_coarray_statement_token6] = ACTIONS(5189),
    [aux_sym_coarray_statement_token8] = ACTIONS(5189),
    [aux_sym_coarray_statement_token11] = ACTIONS(5189),
    [aux_sym_coarray_statement_token12] = ACTIONS(5189),
    [aux_sym_coarray_statement_token13] = ACTIONS(5189),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5189),
    [aux_sym_identifier_token1] = ACTIONS(5189),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5193),
    [sym__float_literal] = ACTIONS(5193),
    [sym__boz_literal] = ACTIONS(5193),
    [sym__string_literal] = ACTIONS(5193),
    [sym__string_literal_kind] = ACTIONS(5193),
  },
  [1205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [sym_preproc_comment] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5197),
    [aux_sym_preproc_def_token1] = ACTIONS(5197),
    [aux_sym_preproc_if_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5197),
    [sym_preproc_directive] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [sym_preproc_comment] = ACTIONS(5199),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5197),
    [aux_sym_interface_statement_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5197),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5197),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5197),
    [aux_sym_language_binding_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5197),
    [aux_sym_contains_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token2] = ACTIONS(5197),
    [aux_sym_implicit_statement_token1] = ACTIONS(5197),
    [aux_sym_implicit_statement_token3] = ACTIONS(5197),
    [aux_sym_implicit_statement_token4] = ACTIONS(5197),
    [aux_sym_save_statement_token1] = ACTIONS(5197),
    [aux_sym_private_statement_token1] = ACTIONS(5197),
    [aux_sym_public_statement_token1] = ACTIONS(5197),
    [aux_sym_namelist_statement_token1] = ACTIONS(5197),
    [aux_sym_common_statement_token1] = ACTIONS(5197),
    [aux_sym_import_statement_token1] = ACTIONS(5197),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5197),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5197),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5197),
    [aux_sym_variable_attributes_token1] = ACTIONS(5197),
    [aux_sym_variable_attributes_token2] = ACTIONS(5197),
    [aux_sym_variable_attributes_token3] = ACTIONS(5197),
    [aux_sym_variable_attributes_token4] = ACTIONS(5197),
    [aux_sym_variable_attributes_token5] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5197),
    [aux_sym_derived_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5197),
    [aux_sym_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5197),
    [anon_sym_SEMI] = ACTIONS(5201),
    [aux_sym_stop_statement_token1] = ACTIONS(5197),
    [aux_sym_stop_statement_token2] = ACTIONS(5197),
    [aux_sym_subroutine_call_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token2] = ACTIONS(5197),
    [aux_sym_keyword_statement_token3] = ACTIONS(5197),
    [aux_sym_keyword_statement_token4] = ACTIONS(5197),
    [aux_sym_keyword_statement_token6] = ACTIONS(5197),
    [aux_sym_keyword_statement_token7] = ACTIONS(5197),
    [aux_sym_include_statement_token1] = ACTIONS(5197),
    [aux_sym_data_statement_token1] = ACTIONS(5197),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5197),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5197),
    [aux_sym_end_if_statement_token1] = ACTIONS(5197),
    [aux_sym_elseif_clause_token2] = ACTIONS(5197),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5197),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token3] = ACTIONS(5197),
    [aux_sym_select_type_statement_token1] = ACTIONS(5197),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5197),
    [aux_sym_block_construct_token1] = ACTIONS(5197),
    [aux_sym_associate_statement_token1] = ACTIONS(5197),
    [aux_sym_format_statement_token1] = ACTIONS(5197),
    [aux_sym_print_statement_token1] = ACTIONS(5197),
    [aux_sym_open_statement_token1] = ACTIONS(5197),
    [aux_sym_close_statement_token1] = ACTIONS(5197),
    [aux_sym_inquire_statement_token1] = ACTIONS(5197),
    [aux_sym_enum_statement_token1] = ACTIONS(5197),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token2] = ACTIONS(5197),
    [aux_sym_file_position_statement_token3] = ACTIONS(5197),
    [aux_sym_file_position_statement_token4] = ACTIONS(5197),
    [aux_sym_allocate_statement_token1] = ACTIONS(5197),
    [aux_sym_entry_statement_token1] = ACTIONS(5197),
    [aux_sym_logical_expression_token5] = ACTIONS(5201),
    [anon_sym_DOT] = ACTIONS(5197),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5201),
    [aux_sym_boolean_literal_token1] = ACTIONS(5201),
    [aux_sym_boolean_literal_token2] = ACTIONS(5201),
    [aux_sym_null_literal_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token2] = ACTIONS(5197),
    [aux_sym_coarray_statement_token6] = ACTIONS(5197),
    [aux_sym_coarray_statement_token8] = ACTIONS(5197),
    [aux_sym_coarray_statement_token11] = ACTIONS(5197),
    [aux_sym_coarray_statement_token12] = ACTIONS(5197),
    [aux_sym_coarray_statement_token13] = ACTIONS(5197),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5197),
    [aux_sym_identifier_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5201),
    [sym__float_literal] = ACTIONS(5201),
    [sym__boz_literal] = ACTIONS(5201),
    [sym__string_literal] = ACTIONS(5201),
    [sym__string_literal_kind] = ACTIONS(5201),
  },
  [1207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5203),
    [aux_sym_preproc_def_token1] = ACTIONS(5203),
    [aux_sym_preproc_if_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5203),
    [sym_preproc_directive] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [sym_preproc_comment] = ACTIONS(5205),
    [anon_sym_PLUS] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5203),
    [aux_sym_interface_statement_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5203),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5203),
    [aux_sym_language_binding_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5203),
    [aux_sym_contains_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token2] = ACTIONS(5203),
    [aux_sym_implicit_statement_token1] = ACTIONS(5203),
    [aux_sym_implicit_statement_token3] = ACTIONS(5203),
    [aux_sym_implicit_statement_token4] = ACTIONS(5203),
    [aux_sym_save_statement_token1] = ACTIONS(5203),
    [aux_sym_private_statement_token1] = ACTIONS(5203),
    [aux_sym_public_statement_token1] = ACTIONS(5203),
    [aux_sym_namelist_statement_token1] = ACTIONS(5203),
    [aux_sym_common_statement_token1] = ACTIONS(5203),
    [aux_sym_import_statement_token1] = ACTIONS(5203),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5203),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5203),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5203),
    [aux_sym_variable_attributes_token1] = ACTIONS(5203),
    [aux_sym_variable_attributes_token2] = ACTIONS(5203),
    [aux_sym_variable_attributes_token3] = ACTIONS(5203),
    [aux_sym_variable_attributes_token4] = ACTIONS(5203),
    [aux_sym_variable_attributes_token5] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5203),
    [aux_sym_derived_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5203),
    [aux_sym_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5203),
    [anon_sym_SEMI] = ACTIONS(5207),
    [aux_sym_stop_statement_token1] = ACTIONS(5203),
    [aux_sym_stop_statement_token2] = ACTIONS(5203),
    [aux_sym_subroutine_call_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token2] = ACTIONS(5203),
    [aux_sym_keyword_statement_token3] = ACTIONS(5203),
    [aux_sym_keyword_statement_token4] = ACTIONS(5203),
    [aux_sym_keyword_statement_token6] = ACTIONS(5203),
    [aux_sym_keyword_statement_token7] = ACTIONS(5203),
    [aux_sym_include_statement_token1] = ACTIONS(5203),
    [aux_sym_data_statement_token1] = ACTIONS(5203),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5203),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5203),
    [aux_sym_end_if_statement_token1] = ACTIONS(5203),
    [aux_sym_elseif_clause_token2] = ACTIONS(5203),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5203),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token3] = ACTIONS(5203),
    [aux_sym_select_type_statement_token1] = ACTIONS(5203),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5203),
    [aux_sym_block_construct_token1] = ACTIONS(5203),
    [aux_sym_associate_statement_token1] = ACTIONS(5203),
    [aux_sym_format_statement_token1] = ACTIONS(5203),
    [aux_sym_print_statement_token1] = ACTIONS(5203),
    [aux_sym_open_statement_token1] = ACTIONS(5203),
    [aux_sym_close_statement_token1] = ACTIONS(5203),
    [aux_sym_inquire_statement_token1] = ACTIONS(5203),
    [aux_sym_enum_statement_token1] = ACTIONS(5203),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token2] = ACTIONS(5203),
    [aux_sym_file_position_statement_token3] = ACTIONS(5203),
    [aux_sym_file_position_statement_token4] = ACTIONS(5203),
    [aux_sym_allocate_statement_token1] = ACTIONS(5203),
    [aux_sym_entry_statement_token1] = ACTIONS(5203),
    [aux_sym_logical_expression_token5] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5203),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [aux_sym_boolean_literal_token1] = ACTIONS(5207),
    [aux_sym_boolean_literal_token2] = ACTIONS(5207),
    [aux_sym_null_literal_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token2] = ACTIONS(5203),
    [aux_sym_coarray_statement_token6] = ACTIONS(5203),
    [aux_sym_coarray_statement_token8] = ACTIONS(5203),
    [aux_sym_coarray_statement_token11] = ACTIONS(5203),
    [aux_sym_coarray_statement_token12] = ACTIONS(5203),
    [aux_sym_coarray_statement_token13] = ACTIONS(5203),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5203),
    [aux_sym_identifier_token1] = ACTIONS(5203),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5207),
    [sym__float_literal] = ACTIONS(5207),
    [sym__boz_literal] = ACTIONS(5207),
    [sym__string_literal] = ACTIONS(5207),
    [sym__string_literal_kind] = ACTIONS(5207),
  },
  [1208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5209),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5197),
    [aux_sym_preproc_def_token1] = ACTIONS(5197),
    [aux_sym_preproc_if_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5197),
    [sym_preproc_directive] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [sym_preproc_comment] = ACTIONS(5211),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5197),
    [aux_sym_interface_statement_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5197),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5197),
    [aux_sym_language_binding_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5197),
    [aux_sym_end_function_statement_token1] = ACTIONS(5197),
    [aux_sym_contains_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token2] = ACTIONS(5197),
    [aux_sym_implicit_statement_token1] = ACTIONS(5197),
    [aux_sym_implicit_statement_token3] = ACTIONS(5197),
    [aux_sym_implicit_statement_token4] = ACTIONS(5197),
    [aux_sym_save_statement_token1] = ACTIONS(5197),
    [aux_sym_private_statement_token1] = ACTIONS(5197),
    [aux_sym_public_statement_token1] = ACTIONS(5197),
    [aux_sym_namelist_statement_token1] = ACTIONS(5197),
    [aux_sym_common_statement_token1] = ACTIONS(5197),
    [aux_sym_import_statement_token1] = ACTIONS(5197),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5197),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5197),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5197),
    [aux_sym_variable_attributes_token1] = ACTIONS(5197),
    [aux_sym_variable_attributes_token2] = ACTIONS(5197),
    [aux_sym_variable_attributes_token3] = ACTIONS(5197),
    [aux_sym_variable_attributes_token4] = ACTIONS(5197),
    [aux_sym_variable_attributes_token5] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5197),
    [aux_sym_derived_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5197),
    [aux_sym_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5197),
    [anon_sym_SEMI] = ACTIONS(5201),
    [aux_sym_stop_statement_token1] = ACTIONS(5197),
    [aux_sym_stop_statement_token2] = ACTIONS(5197),
    [aux_sym_subroutine_call_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token2] = ACTIONS(5197),
    [aux_sym_keyword_statement_token3] = ACTIONS(5197),
    [aux_sym_keyword_statement_token4] = ACTIONS(5197),
    [aux_sym_keyword_statement_token6] = ACTIONS(5197),
    [aux_sym_keyword_statement_token7] = ACTIONS(5197),
    [aux_sym_include_statement_token1] = ACTIONS(5197),
    [aux_sym_data_statement_token1] = ACTIONS(5197),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5197),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5197),
    [aux_sym_end_if_statement_token1] = ACTIONS(5197),
    [aux_sym_elseif_clause_token2] = ACTIONS(5197),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5197),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token3] = ACTIONS(5197),
    [aux_sym_select_type_statement_token1] = ACTIONS(5197),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5197),
    [aux_sym_block_construct_token1] = ACTIONS(5197),
    [aux_sym_associate_statement_token1] = ACTIONS(5197),
    [aux_sym_format_statement_token1] = ACTIONS(5197),
    [aux_sym_print_statement_token1] = ACTIONS(5197),
    [aux_sym_open_statement_token1] = ACTIONS(5197),
    [aux_sym_close_statement_token1] = ACTIONS(5197),
    [aux_sym_inquire_statement_token1] = ACTIONS(5197),
    [aux_sym_enum_statement_token1] = ACTIONS(5197),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token2] = ACTIONS(5197),
    [aux_sym_file_position_statement_token3] = ACTIONS(5197),
    [aux_sym_file_position_statement_token4] = ACTIONS(5197),
    [aux_sym_allocate_statement_token1] = ACTIONS(5197),
    [aux_sym_entry_statement_token1] = ACTIONS(5197),
    [aux_sym_logical_expression_token5] = ACTIONS(5201),
    [anon_sym_DOT] = ACTIONS(5197),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5201),
    [aux_sym_boolean_literal_token1] = ACTIONS(5201),
    [aux_sym_boolean_literal_token2] = ACTIONS(5201),
    [aux_sym_null_literal_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token2] = ACTIONS(5197),
    [aux_sym_coarray_statement_token6] = ACTIONS(5197),
    [aux_sym_coarray_statement_token8] = ACTIONS(5197),
    [aux_sym_coarray_statement_token11] = ACTIONS(5197),
    [aux_sym_coarray_statement_token12] = ACTIONS(5197),
    [aux_sym_coarray_statement_token13] = ACTIONS(5197),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5197),
    [aux_sym_identifier_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5201),
    [sym__float_literal] = ACTIONS(5201),
    [sym__boz_literal] = ACTIONS(5201),
    [sym__string_literal] = ACTIONS(5201),
    [sym__string_literal_kind] = ACTIONS(5201),
  },
  [1210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5173),
    [aux_sym_preproc_def_token1] = ACTIONS(5173),
    [aux_sym_preproc_if_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5173),
    [sym_preproc_directive] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5173),
    [sym_preproc_comment] = ACTIONS(5213),
    [anon_sym_PLUS] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5173),
    [aux_sym_end_program_statement_token2] = ACTIONS(5173),
    [aux_sym_interface_statement_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5173),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5173),
    [aux_sym_language_binding_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5173),
    [aux_sym_contains_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token2] = ACTIONS(5173),
    [aux_sym_implicit_statement_token1] = ACTIONS(5173),
    [aux_sym_implicit_statement_token3] = ACTIONS(5173),
    [aux_sym_implicit_statement_token4] = ACTIONS(5173),
    [aux_sym_save_statement_token1] = ACTIONS(5173),
    [aux_sym_private_statement_token1] = ACTIONS(5173),
    [aux_sym_public_statement_token1] = ACTIONS(5173),
    [aux_sym_namelist_statement_token1] = ACTIONS(5173),
    [aux_sym_common_statement_token1] = ACTIONS(5173),
    [aux_sym_import_statement_token1] = ACTIONS(5173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5173),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5173),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5173),
    [aux_sym_variable_attributes_token1] = ACTIONS(5173),
    [aux_sym_variable_attributes_token2] = ACTIONS(5173),
    [aux_sym_variable_attributes_token3] = ACTIONS(5173),
    [aux_sym_variable_attributes_token4] = ACTIONS(5173),
    [aux_sym_variable_attributes_token5] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5173),
    [aux_sym_derived_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5173),
    [aux_sym_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5173),
    [anon_sym_SEMI] = ACTIONS(5177),
    [aux_sym_stop_statement_token1] = ACTIONS(5173),
    [aux_sym_stop_statement_token2] = ACTIONS(5173),
    [aux_sym_subroutine_call_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token2] = ACTIONS(5173),
    [aux_sym_keyword_statement_token3] = ACTIONS(5173),
    [aux_sym_keyword_statement_token4] = ACTIONS(5173),
    [aux_sym_keyword_statement_token6] = ACTIONS(5173),
    [aux_sym_keyword_statement_token7] = ACTIONS(5173),
    [aux_sym_include_statement_token1] = ACTIONS(5173),
    [aux_sym_data_statement_token1] = ACTIONS(5173),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5173),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5173),
    [aux_sym_end_if_statement_token1] = ACTIONS(5173),
    [aux_sym_elseif_clause_token2] = ACTIONS(5173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5173),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token3] = ACTIONS(5173),
    [aux_sym_select_type_statement_token1] = ACTIONS(5173),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5173),
    [aux_sym_block_construct_token1] = ACTIONS(5173),
    [aux_sym_associate_statement_token1] = ACTIONS(5173),
    [aux_sym_format_statement_token1] = ACTIONS(5173),
    [aux_sym_print_statement_token1] = ACTIONS(5173),
    [aux_sym_open_statement_token1] = ACTIONS(5173),
    [aux_sym_close_statement_token1] = ACTIONS(5173),
    [aux_sym_inquire_statement_token1] = ACTIONS(5173),
    [aux_sym_enum_statement_token1] = ACTIONS(5173),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token2] = ACTIONS(5173),
    [aux_sym_file_position_statement_token3] = ACTIONS(5173),
    [aux_sym_file_position_statement_token4] = ACTIONS(5173),
    [aux_sym_allocate_statement_token1] = ACTIONS(5173),
    [aux_sym_entry_statement_token1] = ACTIONS(5173),
    [aux_sym_logical_expression_token5] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [aux_sym_boolean_literal_token1] = ACTIONS(5177),
    [aux_sym_boolean_literal_token2] = ACTIONS(5177),
    [aux_sym_null_literal_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token2] = ACTIONS(5173),
    [aux_sym_coarray_statement_token6] = ACTIONS(5173),
    [aux_sym_coarray_statement_token8] = ACTIONS(5173),
    [aux_sym_coarray_statement_token11] = ACTIONS(5173),
    [aux_sym_coarray_statement_token12] = ACTIONS(5173),
    [aux_sym_coarray_statement_token13] = ACTIONS(5173),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5173),
    [aux_sym_identifier_token1] = ACTIONS(5173),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5177),
    [sym__float_literal] = ACTIONS(5177),
    [sym__boz_literal] = ACTIONS(5177),
    [sym__string_literal] = ACTIONS(5177),
    [sym__string_literal_kind] = ACTIONS(5177),
  },
  [1211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5215),
    [sym_preproc_comment] = ACTIONS(5217),
    [anon_sym_PLUS] = ACTIONS(5219),
    [anon_sym_DASH] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5215),
    [aux_sym_end_program_statement_token2] = ACTIONS(5215),
    [aux_sym_interface_statement_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5215),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5215),
    [aux_sym_language_binding_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5215),
    [aux_sym_contains_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token2] = ACTIONS(5215),
    [aux_sym_implicit_statement_token1] = ACTIONS(5215),
    [aux_sym_implicit_statement_token3] = ACTIONS(5215),
    [aux_sym_implicit_statement_token4] = ACTIONS(5215),
    [aux_sym_save_statement_token1] = ACTIONS(5215),
    [aux_sym_private_statement_token1] = ACTIONS(5215),
    [aux_sym_public_statement_token1] = ACTIONS(5215),
    [aux_sym_namelist_statement_token1] = ACTIONS(5215),
    [aux_sym_common_statement_token1] = ACTIONS(5215),
    [aux_sym_import_statement_token1] = ACTIONS(5215),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5215),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5215),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5215),
    [aux_sym_variable_attributes_token1] = ACTIONS(5215),
    [aux_sym_variable_attributes_token2] = ACTIONS(5215),
    [aux_sym_variable_attributes_token3] = ACTIONS(5215),
    [aux_sym_variable_attributes_token4] = ACTIONS(5215),
    [aux_sym_variable_attributes_token5] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5215),
    [aux_sym_derived_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5215),
    [aux_sym_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5219),
    [aux_sym_stop_statement_token1] = ACTIONS(5215),
    [aux_sym_stop_statement_token2] = ACTIONS(5215),
    [aux_sym_subroutine_call_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token2] = ACTIONS(5215),
    [aux_sym_keyword_statement_token3] = ACTIONS(5215),
    [aux_sym_keyword_statement_token4] = ACTIONS(5215),
    [aux_sym_keyword_statement_token6] = ACTIONS(5215),
    [aux_sym_keyword_statement_token7] = ACTIONS(5215),
    [aux_sym_include_statement_token1] = ACTIONS(5215),
    [aux_sym_data_statement_token1] = ACTIONS(5215),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5215),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5215),
    [aux_sym_end_if_statement_token1] = ACTIONS(5215),
    [aux_sym_elseif_clause_token2] = ACTIONS(5215),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5215),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token3] = ACTIONS(5215),
    [aux_sym_select_type_statement_token1] = ACTIONS(5215),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5215),
    [aux_sym_block_construct_token1] = ACTIONS(5215),
    [aux_sym_associate_statement_token1] = ACTIONS(5215),
    [aux_sym_format_statement_token1] = ACTIONS(5215),
    [aux_sym_print_statement_token1] = ACTIONS(5215),
    [aux_sym_open_statement_token1] = ACTIONS(5215),
    [aux_sym_close_statement_token1] = ACTIONS(5215),
    [aux_sym_inquire_statement_token1] = ACTIONS(5215),
    [aux_sym_enum_statement_token1] = ACTIONS(5215),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token2] = ACTIONS(5215),
    [aux_sym_file_position_statement_token3] = ACTIONS(5215),
    [aux_sym_file_position_statement_token4] = ACTIONS(5215),
    [aux_sym_allocate_statement_token1] = ACTIONS(5215),
    [aux_sym_entry_statement_token1] = ACTIONS(5215),
    [aux_sym_logical_expression_token5] = ACTIONS(5219),
    [anon_sym_DOT] = ACTIONS(5215),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [aux_sym_boolean_literal_token1] = ACTIONS(5219),
    [aux_sym_boolean_literal_token2] = ACTIONS(5219),
    [aux_sym_null_literal_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token2] = ACTIONS(5215),
    [aux_sym_coarray_statement_token6] = ACTIONS(5215),
    [aux_sym_coarray_statement_token8] = ACTIONS(5215),
    [aux_sym_coarray_statement_token11] = ACTIONS(5215),
    [aux_sym_coarray_statement_token12] = ACTIONS(5215),
    [aux_sym_coarray_statement_token13] = ACTIONS(5215),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5215),
    [aux_sym_identifier_token1] = ACTIONS(5215),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5219),
    [sym__float_literal] = ACTIONS(5219),
    [sym__boz_literal] = ACTIONS(5219),
    [sym__string_literal] = ACTIONS(5219),
    [sym__string_literal_kind] = ACTIONS(5219),
  },
  [1212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5221),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5223),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5225),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5189),
    [aux_sym_preproc_def_token1] = ACTIONS(5189),
    [aux_sym_preproc_if_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5189),
    [sym_preproc_directive] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [sym_preproc_comment] = ACTIONS(5227),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5189),
    [aux_sym_end_program_statement_token2] = ACTIONS(5189),
    [aux_sym_interface_statement_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5189),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5189),
    [aux_sym_language_binding_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5189),
    [aux_sym_contains_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token2] = ACTIONS(5189),
    [aux_sym_implicit_statement_token1] = ACTIONS(5189),
    [aux_sym_implicit_statement_token3] = ACTIONS(5189),
    [aux_sym_implicit_statement_token4] = ACTIONS(5189),
    [aux_sym_save_statement_token1] = ACTIONS(5189),
    [aux_sym_private_statement_token1] = ACTIONS(5189),
    [aux_sym_public_statement_token1] = ACTIONS(5189),
    [aux_sym_namelist_statement_token1] = ACTIONS(5189),
    [aux_sym_common_statement_token1] = ACTIONS(5189),
    [aux_sym_import_statement_token1] = ACTIONS(5189),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5189),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5189),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5189),
    [aux_sym_variable_attributes_token1] = ACTIONS(5189),
    [aux_sym_variable_attributes_token2] = ACTIONS(5189),
    [aux_sym_variable_attributes_token3] = ACTIONS(5189),
    [aux_sym_variable_attributes_token4] = ACTIONS(5189),
    [aux_sym_variable_attributes_token5] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5189),
    [aux_sym_derived_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5189),
    [aux_sym_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5189),
    [anon_sym_SEMI] = ACTIONS(5193),
    [aux_sym_stop_statement_token1] = ACTIONS(5189),
    [aux_sym_stop_statement_token2] = ACTIONS(5189),
    [aux_sym_subroutine_call_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token2] = ACTIONS(5189),
    [aux_sym_keyword_statement_token3] = ACTIONS(5189),
    [aux_sym_keyword_statement_token4] = ACTIONS(5189),
    [aux_sym_keyword_statement_token6] = ACTIONS(5189),
    [aux_sym_keyword_statement_token7] = ACTIONS(5189),
    [aux_sym_include_statement_token1] = ACTIONS(5189),
    [aux_sym_data_statement_token1] = ACTIONS(5189),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5189),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5189),
    [aux_sym_end_if_statement_token1] = ACTIONS(5189),
    [aux_sym_elseif_clause_token2] = ACTIONS(5189),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5189),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token3] = ACTIONS(5189),
    [aux_sym_select_type_statement_token1] = ACTIONS(5189),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5189),
    [aux_sym_block_construct_token1] = ACTIONS(5189),
    [aux_sym_associate_statement_token1] = ACTIONS(5189),
    [aux_sym_format_statement_token1] = ACTIONS(5189),
    [aux_sym_print_statement_token1] = ACTIONS(5189),
    [aux_sym_open_statement_token1] = ACTIONS(5189),
    [aux_sym_close_statement_token1] = ACTIONS(5189),
    [aux_sym_inquire_statement_token1] = ACTIONS(5189),
    [aux_sym_enum_statement_token1] = ACTIONS(5189),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token2] = ACTIONS(5189),
    [aux_sym_file_position_statement_token3] = ACTIONS(5189),
    [aux_sym_file_position_statement_token4] = ACTIONS(5189),
    [aux_sym_allocate_statement_token1] = ACTIONS(5189),
    [aux_sym_entry_statement_token1] = ACTIONS(5189),
    [aux_sym_logical_expression_token5] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [aux_sym_boolean_literal_token1] = ACTIONS(5193),
    [aux_sym_boolean_literal_token2] = ACTIONS(5193),
    [aux_sym_null_literal_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token2] = ACTIONS(5189),
    [aux_sym_coarray_statement_token6] = ACTIONS(5189),
    [aux_sym_coarray_statement_token8] = ACTIONS(5189),
    [aux_sym_coarray_statement_token11] = ACTIONS(5189),
    [aux_sym_coarray_statement_token12] = ACTIONS(5189),
    [aux_sym_coarray_statement_token13] = ACTIONS(5189),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5189),
    [aux_sym_identifier_token1] = ACTIONS(5189),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5193),
    [sym__float_literal] = ACTIONS(5193),
    [sym__boz_literal] = ACTIONS(5193),
    [sym__string_literal] = ACTIONS(5193),
    [sym__string_literal_kind] = ACTIONS(5193),
  },
  [1216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5229),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [sym_preproc_comment] = ACTIONS(5231),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_end_program_statement_token2] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5233),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5235),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5197),
    [aux_sym_preproc_def_token1] = ACTIONS(5197),
    [aux_sym_preproc_if_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5197),
    [sym_preproc_directive] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [sym_preproc_comment] = ACTIONS(5237),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5197),
    [aux_sym_end_program_statement_token2] = ACTIONS(5197),
    [aux_sym_interface_statement_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5197),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5197),
    [aux_sym_language_binding_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5197),
    [aux_sym_contains_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token2] = ACTIONS(5197),
    [aux_sym_implicit_statement_token1] = ACTIONS(5197),
    [aux_sym_implicit_statement_token3] = ACTIONS(5197),
    [aux_sym_implicit_statement_token4] = ACTIONS(5197),
    [aux_sym_save_statement_token1] = ACTIONS(5197),
    [aux_sym_private_statement_token1] = ACTIONS(5197),
    [aux_sym_public_statement_token1] = ACTIONS(5197),
    [aux_sym_namelist_statement_token1] = ACTIONS(5197),
    [aux_sym_common_statement_token1] = ACTIONS(5197),
    [aux_sym_import_statement_token1] = ACTIONS(5197),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5197),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5197),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5197),
    [aux_sym_variable_attributes_token1] = ACTIONS(5197),
    [aux_sym_variable_attributes_token2] = ACTIONS(5197),
    [aux_sym_variable_attributes_token3] = ACTIONS(5197),
    [aux_sym_variable_attributes_token4] = ACTIONS(5197),
    [aux_sym_variable_attributes_token5] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5197),
    [aux_sym_derived_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5197),
    [aux_sym_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5197),
    [anon_sym_SEMI] = ACTIONS(5201),
    [aux_sym_stop_statement_token1] = ACTIONS(5197),
    [aux_sym_stop_statement_token2] = ACTIONS(5197),
    [aux_sym_subroutine_call_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token2] = ACTIONS(5197),
    [aux_sym_keyword_statement_token3] = ACTIONS(5197),
    [aux_sym_keyword_statement_token4] = ACTIONS(5197),
    [aux_sym_keyword_statement_token6] = ACTIONS(5197),
    [aux_sym_keyword_statement_token7] = ACTIONS(5197),
    [aux_sym_include_statement_token1] = ACTIONS(5197),
    [aux_sym_data_statement_token1] = ACTIONS(5197),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5197),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5197),
    [aux_sym_end_if_statement_token1] = ACTIONS(5197),
    [aux_sym_elseif_clause_token2] = ACTIONS(5197),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5197),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token3] = ACTIONS(5197),
    [aux_sym_select_type_statement_token1] = ACTIONS(5197),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5197),
    [aux_sym_block_construct_token1] = ACTIONS(5197),
    [aux_sym_associate_statement_token1] = ACTIONS(5197),
    [aux_sym_format_statement_token1] = ACTIONS(5197),
    [aux_sym_print_statement_token1] = ACTIONS(5197),
    [aux_sym_open_statement_token1] = ACTIONS(5197),
    [aux_sym_close_statement_token1] = ACTIONS(5197),
    [aux_sym_inquire_statement_token1] = ACTIONS(5197),
    [aux_sym_enum_statement_token1] = ACTIONS(5197),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token2] = ACTIONS(5197),
    [aux_sym_file_position_statement_token3] = ACTIONS(5197),
    [aux_sym_file_position_statement_token4] = ACTIONS(5197),
    [aux_sym_allocate_statement_token1] = ACTIONS(5197),
    [aux_sym_entry_statement_token1] = ACTIONS(5197),
    [aux_sym_logical_expression_token5] = ACTIONS(5201),
    [anon_sym_DOT] = ACTIONS(5197),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5201),
    [aux_sym_boolean_literal_token1] = ACTIONS(5201),
    [aux_sym_boolean_literal_token2] = ACTIONS(5201),
    [aux_sym_null_literal_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token2] = ACTIONS(5197),
    [aux_sym_coarray_statement_token6] = ACTIONS(5197),
    [aux_sym_coarray_statement_token8] = ACTIONS(5197),
    [aux_sym_coarray_statement_token11] = ACTIONS(5197),
    [aux_sym_coarray_statement_token12] = ACTIONS(5197),
    [aux_sym_coarray_statement_token13] = ACTIONS(5197),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5197),
    [aux_sym_identifier_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5201),
    [sym__float_literal] = ACTIONS(5201),
    [sym__boz_literal] = ACTIONS(5201),
    [sym__string_literal] = ACTIONS(5201),
    [sym__string_literal_kind] = ACTIONS(5201),
  },
  [1221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5203),
    [aux_sym_preproc_def_token1] = ACTIONS(5203),
    [aux_sym_preproc_if_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5203),
    [sym_preproc_directive] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [sym_preproc_comment] = ACTIONS(5239),
    [anon_sym_PLUS] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5203),
    [aux_sym_interface_statement_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5203),
    [aux_sym_language_binding_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5203),
    [aux_sym_end_function_statement_token1] = ACTIONS(5203),
    [aux_sym_contains_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token2] = ACTIONS(5203),
    [aux_sym_implicit_statement_token1] = ACTIONS(5203),
    [aux_sym_implicit_statement_token3] = ACTIONS(5203),
    [aux_sym_implicit_statement_token4] = ACTIONS(5203),
    [aux_sym_save_statement_token1] = ACTIONS(5203),
    [aux_sym_private_statement_token1] = ACTIONS(5203),
    [aux_sym_public_statement_token1] = ACTIONS(5203),
    [aux_sym_namelist_statement_token1] = ACTIONS(5203),
    [aux_sym_common_statement_token1] = ACTIONS(5203),
    [aux_sym_import_statement_token1] = ACTIONS(5203),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5203),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5203),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5203),
    [aux_sym_variable_attributes_token1] = ACTIONS(5203),
    [aux_sym_variable_attributes_token2] = ACTIONS(5203),
    [aux_sym_variable_attributes_token3] = ACTIONS(5203),
    [aux_sym_variable_attributes_token4] = ACTIONS(5203),
    [aux_sym_variable_attributes_token5] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5203),
    [aux_sym_derived_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5203),
    [aux_sym_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5203),
    [anon_sym_SEMI] = ACTIONS(5207),
    [aux_sym_stop_statement_token1] = ACTIONS(5203),
    [aux_sym_stop_statement_token2] = ACTIONS(5203),
    [aux_sym_subroutine_call_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token2] = ACTIONS(5203),
    [aux_sym_keyword_statement_token3] = ACTIONS(5203),
    [aux_sym_keyword_statement_token4] = ACTIONS(5203),
    [aux_sym_keyword_statement_token6] = ACTIONS(5203),
    [aux_sym_keyword_statement_token7] = ACTIONS(5203),
    [aux_sym_include_statement_token1] = ACTIONS(5203),
    [aux_sym_data_statement_token1] = ACTIONS(5203),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5203),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5203),
    [aux_sym_end_if_statement_token1] = ACTIONS(5203),
    [aux_sym_elseif_clause_token2] = ACTIONS(5203),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5203),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token3] = ACTIONS(5203),
    [aux_sym_select_type_statement_token1] = ACTIONS(5203),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5203),
    [aux_sym_block_construct_token1] = ACTIONS(5203),
    [aux_sym_associate_statement_token1] = ACTIONS(5203),
    [aux_sym_format_statement_token1] = ACTIONS(5203),
    [aux_sym_print_statement_token1] = ACTIONS(5203),
    [aux_sym_open_statement_token1] = ACTIONS(5203),
    [aux_sym_close_statement_token1] = ACTIONS(5203),
    [aux_sym_inquire_statement_token1] = ACTIONS(5203),
    [aux_sym_enum_statement_token1] = ACTIONS(5203),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token2] = ACTIONS(5203),
    [aux_sym_file_position_statement_token3] = ACTIONS(5203),
    [aux_sym_file_position_statement_token4] = ACTIONS(5203),
    [aux_sym_allocate_statement_token1] = ACTIONS(5203),
    [aux_sym_entry_statement_token1] = ACTIONS(5203),
    [aux_sym_logical_expression_token5] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5203),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [aux_sym_boolean_literal_token1] = ACTIONS(5207),
    [aux_sym_boolean_literal_token2] = ACTIONS(5207),
    [aux_sym_null_literal_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token2] = ACTIONS(5203),
    [aux_sym_coarray_statement_token6] = ACTIONS(5203),
    [aux_sym_coarray_statement_token8] = ACTIONS(5203),
    [aux_sym_coarray_statement_token11] = ACTIONS(5203),
    [aux_sym_coarray_statement_token12] = ACTIONS(5203),
    [aux_sym_coarray_statement_token13] = ACTIONS(5203),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5203),
    [aux_sym_identifier_token1] = ACTIONS(5203),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5207),
    [sym__float_literal] = ACTIONS(5207),
    [sym__boz_literal] = ACTIONS(5207),
    [sym__string_literal] = ACTIONS(5207),
    [sym__string_literal_kind] = ACTIONS(5207),
  },
  [1222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [sym_preproc_comment] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5241),
    [aux_sym_interface_statement_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5241),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5241),
    [aux_sym_language_binding_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5241),
    [aux_sym_end_function_statement_token1] = ACTIONS(5241),
    [aux_sym_contains_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token2] = ACTIONS(5241),
    [aux_sym_implicit_statement_token1] = ACTIONS(5241),
    [aux_sym_implicit_statement_token3] = ACTIONS(5241),
    [aux_sym_implicit_statement_token4] = ACTIONS(5241),
    [aux_sym_save_statement_token1] = ACTIONS(5241),
    [aux_sym_private_statement_token1] = ACTIONS(5241),
    [aux_sym_public_statement_token1] = ACTIONS(5241),
    [aux_sym_namelist_statement_token1] = ACTIONS(5241),
    [aux_sym_common_statement_token1] = ACTIONS(5241),
    [aux_sym_import_statement_token1] = ACTIONS(5241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5241),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5241),
    [aux_sym_variable_attributes_token1] = ACTIONS(5241),
    [aux_sym_variable_attributes_token2] = ACTIONS(5241),
    [aux_sym_variable_attributes_token3] = ACTIONS(5241),
    [aux_sym_variable_attributes_token4] = ACTIONS(5241),
    [aux_sym_variable_attributes_token5] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5241),
    [aux_sym_derived_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5241),
    [aux_sym_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5245),
    [aux_sym_stop_statement_token1] = ACTIONS(5241),
    [aux_sym_stop_statement_token2] = ACTIONS(5241),
    [aux_sym_subroutine_call_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token2] = ACTIONS(5241),
    [aux_sym_keyword_statement_token3] = ACTIONS(5241),
    [aux_sym_keyword_statement_token4] = ACTIONS(5241),
    [aux_sym_keyword_statement_token6] = ACTIONS(5241),
    [aux_sym_keyword_statement_token7] = ACTIONS(5241),
    [aux_sym_include_statement_token1] = ACTIONS(5241),
    [aux_sym_data_statement_token1] = ACTIONS(5241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5241),
    [aux_sym_end_if_statement_token1] = ACTIONS(5241),
    [aux_sym_elseif_clause_token2] = ACTIONS(5241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token3] = ACTIONS(5241),
    [aux_sym_select_type_statement_token1] = ACTIONS(5241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5241),
    [aux_sym_block_construct_token1] = ACTIONS(5241),
    [aux_sym_associate_statement_token1] = ACTIONS(5241),
    [aux_sym_format_statement_token1] = ACTIONS(5241),
    [aux_sym_print_statement_token1] = ACTIONS(5241),
    [aux_sym_open_statement_token1] = ACTIONS(5241),
    [aux_sym_close_statement_token1] = ACTIONS(5241),
    [aux_sym_inquire_statement_token1] = ACTIONS(5241),
    [aux_sym_enum_statement_token1] = ACTIONS(5241),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token2] = ACTIONS(5241),
    [aux_sym_file_position_statement_token3] = ACTIONS(5241),
    [aux_sym_file_position_statement_token4] = ACTIONS(5241),
    [aux_sym_allocate_statement_token1] = ACTIONS(5241),
    [aux_sym_entry_statement_token1] = ACTIONS(5241),
    [aux_sym_logical_expression_token5] = ACTIONS(5245),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5245),
    [anon_sym_LBRACK] = ACTIONS(5245),
    [aux_sym_boolean_literal_token1] = ACTIONS(5245),
    [aux_sym_boolean_literal_token2] = ACTIONS(5245),
    [aux_sym_null_literal_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token2] = ACTIONS(5241),
    [aux_sym_coarray_statement_token6] = ACTIONS(5241),
    [aux_sym_coarray_statement_token8] = ACTIONS(5241),
    [aux_sym_coarray_statement_token11] = ACTIONS(5241),
    [aux_sym_coarray_statement_token12] = ACTIONS(5241),
    [aux_sym_coarray_statement_token13] = ACTIONS(5241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5241),
    [aux_sym_identifier_token1] = ACTIONS(5241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5245),
    [sym__float_literal] = ACTIONS(5245),
    [sym__boz_literal] = ACTIONS(5245),
    [sym__string_literal] = ACTIONS(5245),
    [sym__string_literal_kind] = ACTIONS(5245),
  },
  [1223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5247),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5249),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5251),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5253),
    [aux_sym_preproc_def_token1] = ACTIONS(5253),
    [aux_sym_preproc_if_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5253),
    [sym_preproc_directive] = ACTIONS(5253),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [sym_preproc_comment] = ACTIONS(5255),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5253),
    [aux_sym_interface_statement_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5253),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5253),
    [aux_sym_language_binding_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5253),
    [aux_sym_end_function_statement_token1] = ACTIONS(5253),
    [aux_sym_contains_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token2] = ACTIONS(5253),
    [aux_sym_implicit_statement_token1] = ACTIONS(5253),
    [aux_sym_implicit_statement_token3] = ACTIONS(5253),
    [aux_sym_implicit_statement_token4] = ACTIONS(5253),
    [aux_sym_save_statement_token1] = ACTIONS(5253),
    [aux_sym_private_statement_token1] = ACTIONS(5253),
    [aux_sym_public_statement_token1] = ACTIONS(5253),
    [aux_sym_namelist_statement_token1] = ACTIONS(5253),
    [aux_sym_common_statement_token1] = ACTIONS(5253),
    [aux_sym_import_statement_token1] = ACTIONS(5253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5253),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5253),
    [aux_sym_variable_attributes_token1] = ACTIONS(5253),
    [aux_sym_variable_attributes_token2] = ACTIONS(5253),
    [aux_sym_variable_attributes_token3] = ACTIONS(5253),
    [aux_sym_variable_attributes_token4] = ACTIONS(5253),
    [aux_sym_variable_attributes_token5] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5253),
    [aux_sym_derived_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5253),
    [aux_sym_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5253),
    [anon_sym_SEMI] = ACTIONS(5257),
    [aux_sym_stop_statement_token1] = ACTIONS(5253),
    [aux_sym_stop_statement_token2] = ACTIONS(5253),
    [aux_sym_subroutine_call_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token2] = ACTIONS(5253),
    [aux_sym_keyword_statement_token3] = ACTIONS(5253),
    [aux_sym_keyword_statement_token4] = ACTIONS(5253),
    [aux_sym_keyword_statement_token6] = ACTIONS(5253),
    [aux_sym_keyword_statement_token7] = ACTIONS(5253),
    [aux_sym_include_statement_token1] = ACTIONS(5253),
    [aux_sym_data_statement_token1] = ACTIONS(5253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5253),
    [aux_sym_end_if_statement_token1] = ACTIONS(5253),
    [aux_sym_elseif_clause_token2] = ACTIONS(5253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token3] = ACTIONS(5253),
    [aux_sym_select_type_statement_token1] = ACTIONS(5253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5253),
    [aux_sym_block_construct_token1] = ACTIONS(5253),
    [aux_sym_associate_statement_token1] = ACTIONS(5253),
    [aux_sym_format_statement_token1] = ACTIONS(5253),
    [aux_sym_print_statement_token1] = ACTIONS(5253),
    [aux_sym_open_statement_token1] = ACTIONS(5253),
    [aux_sym_close_statement_token1] = ACTIONS(5253),
    [aux_sym_inquire_statement_token1] = ACTIONS(5253),
    [aux_sym_enum_statement_token1] = ACTIONS(5253),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token2] = ACTIONS(5253),
    [aux_sym_file_position_statement_token3] = ACTIONS(5253),
    [aux_sym_file_position_statement_token4] = ACTIONS(5253),
    [aux_sym_allocate_statement_token1] = ACTIONS(5253),
    [aux_sym_entry_statement_token1] = ACTIONS(5253),
    [aux_sym_logical_expression_token5] = ACTIONS(5257),
    [anon_sym_DOT] = ACTIONS(5253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5257),
    [aux_sym_boolean_literal_token1] = ACTIONS(5257),
    [aux_sym_boolean_literal_token2] = ACTIONS(5257),
    [aux_sym_null_literal_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token2] = ACTIONS(5253),
    [aux_sym_coarray_statement_token6] = ACTIONS(5253),
    [aux_sym_coarray_statement_token8] = ACTIONS(5253),
    [aux_sym_coarray_statement_token11] = ACTIONS(5253),
    [aux_sym_coarray_statement_token12] = ACTIONS(5253),
    [aux_sym_coarray_statement_token13] = ACTIONS(5253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5253),
    [aux_sym_identifier_token1] = ACTIONS(5253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5257),
    [sym__float_literal] = ACTIONS(5257),
    [sym__boz_literal] = ACTIONS(5257),
    [sym__string_literal] = ACTIONS(5257),
    [sym__string_literal_kind] = ACTIONS(5257),
  },
  [1228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5259),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_end_function_statement_token1] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5261),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5263),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5203),
    [aux_sym_preproc_def_token1] = ACTIONS(5203),
    [aux_sym_preproc_if_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5203),
    [sym_preproc_directive] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [sym_preproc_comment] = ACTIONS(5265),
    [anon_sym_PLUS] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5203),
    [aux_sym_end_program_statement_token2] = ACTIONS(5203),
    [aux_sym_interface_statement_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5203),
    [aux_sym_language_binding_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5203),
    [aux_sym_contains_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token2] = ACTIONS(5203),
    [aux_sym_implicit_statement_token1] = ACTIONS(5203),
    [aux_sym_implicit_statement_token3] = ACTIONS(5203),
    [aux_sym_implicit_statement_token4] = ACTIONS(5203),
    [aux_sym_save_statement_token1] = ACTIONS(5203),
    [aux_sym_private_statement_token1] = ACTIONS(5203),
    [aux_sym_public_statement_token1] = ACTIONS(5203),
    [aux_sym_namelist_statement_token1] = ACTIONS(5203),
    [aux_sym_common_statement_token1] = ACTIONS(5203),
    [aux_sym_import_statement_token1] = ACTIONS(5203),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5203),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5203),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5203),
    [aux_sym_variable_attributes_token1] = ACTIONS(5203),
    [aux_sym_variable_attributes_token2] = ACTIONS(5203),
    [aux_sym_variable_attributes_token3] = ACTIONS(5203),
    [aux_sym_variable_attributes_token4] = ACTIONS(5203),
    [aux_sym_variable_attributes_token5] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5203),
    [aux_sym_derived_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5203),
    [aux_sym_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5203),
    [anon_sym_SEMI] = ACTIONS(5207),
    [aux_sym_stop_statement_token1] = ACTIONS(5203),
    [aux_sym_stop_statement_token2] = ACTIONS(5203),
    [aux_sym_subroutine_call_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token2] = ACTIONS(5203),
    [aux_sym_keyword_statement_token3] = ACTIONS(5203),
    [aux_sym_keyword_statement_token4] = ACTIONS(5203),
    [aux_sym_keyword_statement_token6] = ACTIONS(5203),
    [aux_sym_keyword_statement_token7] = ACTIONS(5203),
    [aux_sym_include_statement_token1] = ACTIONS(5203),
    [aux_sym_data_statement_token1] = ACTIONS(5203),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5203),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5203),
    [aux_sym_end_if_statement_token1] = ACTIONS(5203),
    [aux_sym_elseif_clause_token2] = ACTIONS(5203),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5203),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token3] = ACTIONS(5203),
    [aux_sym_select_type_statement_token1] = ACTIONS(5203),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5203),
    [aux_sym_block_construct_token1] = ACTIONS(5203),
    [aux_sym_associate_statement_token1] = ACTIONS(5203),
    [aux_sym_format_statement_token1] = ACTIONS(5203),
    [aux_sym_print_statement_token1] = ACTIONS(5203),
    [aux_sym_open_statement_token1] = ACTIONS(5203),
    [aux_sym_close_statement_token1] = ACTIONS(5203),
    [aux_sym_inquire_statement_token1] = ACTIONS(5203),
    [aux_sym_enum_statement_token1] = ACTIONS(5203),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token2] = ACTIONS(5203),
    [aux_sym_file_position_statement_token3] = ACTIONS(5203),
    [aux_sym_file_position_statement_token4] = ACTIONS(5203),
    [aux_sym_allocate_statement_token1] = ACTIONS(5203),
    [aux_sym_entry_statement_token1] = ACTIONS(5203),
    [aux_sym_logical_expression_token5] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5203),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [aux_sym_boolean_literal_token1] = ACTIONS(5207),
    [aux_sym_boolean_literal_token2] = ACTIONS(5207),
    [aux_sym_null_literal_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token2] = ACTIONS(5203),
    [aux_sym_coarray_statement_token6] = ACTIONS(5203),
    [aux_sym_coarray_statement_token8] = ACTIONS(5203),
    [aux_sym_coarray_statement_token11] = ACTIONS(5203),
    [aux_sym_coarray_statement_token12] = ACTIONS(5203),
    [aux_sym_coarray_statement_token13] = ACTIONS(5203),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5203),
    [aux_sym_identifier_token1] = ACTIONS(5203),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5207),
    [sym__float_literal] = ACTIONS(5207),
    [sym__boz_literal] = ACTIONS(5207),
    [sym__string_literal] = ACTIONS(5207),
    [sym__string_literal_kind] = ACTIONS(5207),
  },
  [1232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5181),
    [aux_sym_preproc_def_token1] = ACTIONS(5181),
    [aux_sym_preproc_if_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5181),
    [sym_preproc_directive] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [sym_preproc_comment] = ACTIONS(5267),
    [anon_sym_PLUS] = ACTIONS(5185),
    [anon_sym_DASH] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5181),
    [aux_sym_end_program_statement_token2] = ACTIONS(5181),
    [aux_sym_interface_statement_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5181),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5181),
    [aux_sym_language_binding_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5181),
    [aux_sym_contains_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token2] = ACTIONS(5181),
    [aux_sym_implicit_statement_token1] = ACTIONS(5181),
    [aux_sym_implicit_statement_token3] = ACTIONS(5181),
    [aux_sym_implicit_statement_token4] = ACTIONS(5181),
    [aux_sym_save_statement_token1] = ACTIONS(5181),
    [aux_sym_private_statement_token1] = ACTIONS(5181),
    [aux_sym_public_statement_token1] = ACTIONS(5181),
    [aux_sym_namelist_statement_token1] = ACTIONS(5181),
    [aux_sym_common_statement_token1] = ACTIONS(5181),
    [aux_sym_import_statement_token1] = ACTIONS(5181),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5181),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5181),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5181),
    [aux_sym_variable_attributes_token1] = ACTIONS(5181),
    [aux_sym_variable_attributes_token2] = ACTIONS(5181),
    [aux_sym_variable_attributes_token3] = ACTIONS(5181),
    [aux_sym_variable_attributes_token4] = ACTIONS(5181),
    [aux_sym_variable_attributes_token5] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5181),
    [aux_sym_derived_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5181),
    [aux_sym_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5185),
    [aux_sym_stop_statement_token1] = ACTIONS(5181),
    [aux_sym_stop_statement_token2] = ACTIONS(5181),
    [aux_sym_subroutine_call_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token2] = ACTIONS(5181),
    [aux_sym_keyword_statement_token3] = ACTIONS(5181),
    [aux_sym_keyword_statement_token4] = ACTIONS(5181),
    [aux_sym_keyword_statement_token6] = ACTIONS(5181),
    [aux_sym_keyword_statement_token7] = ACTIONS(5181),
    [aux_sym_include_statement_token1] = ACTIONS(5181),
    [aux_sym_data_statement_token1] = ACTIONS(5181),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5181),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5181),
    [aux_sym_end_if_statement_token1] = ACTIONS(5181),
    [aux_sym_elseif_clause_token2] = ACTIONS(5181),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5181),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token3] = ACTIONS(5181),
    [aux_sym_select_type_statement_token1] = ACTIONS(5181),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5181),
    [aux_sym_block_construct_token1] = ACTIONS(5181),
    [aux_sym_associate_statement_token1] = ACTIONS(5181),
    [aux_sym_format_statement_token1] = ACTIONS(5181),
    [aux_sym_print_statement_token1] = ACTIONS(5181),
    [aux_sym_open_statement_token1] = ACTIONS(5181),
    [aux_sym_close_statement_token1] = ACTIONS(5181),
    [aux_sym_inquire_statement_token1] = ACTIONS(5181),
    [aux_sym_enum_statement_token1] = ACTIONS(5181),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token2] = ACTIONS(5181),
    [aux_sym_file_position_statement_token3] = ACTIONS(5181),
    [aux_sym_file_position_statement_token4] = ACTIONS(5181),
    [aux_sym_allocate_statement_token1] = ACTIONS(5181),
    [aux_sym_entry_statement_token1] = ACTIONS(5181),
    [aux_sym_logical_expression_token5] = ACTIONS(5185),
    [anon_sym_DOT] = ACTIONS(5181),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [aux_sym_boolean_literal_token1] = ACTIONS(5185),
    [aux_sym_boolean_literal_token2] = ACTIONS(5185),
    [aux_sym_null_literal_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token2] = ACTIONS(5181),
    [aux_sym_coarray_statement_token6] = ACTIONS(5181),
    [aux_sym_coarray_statement_token8] = ACTIONS(5181),
    [aux_sym_coarray_statement_token11] = ACTIONS(5181),
    [aux_sym_coarray_statement_token12] = ACTIONS(5181),
    [aux_sym_coarray_statement_token13] = ACTIONS(5181),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5181),
    [aux_sym_identifier_token1] = ACTIONS(5181),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5185),
    [sym__float_literal] = ACTIONS(5185),
    [sym__boz_literal] = ACTIONS(5185),
    [sym__string_literal] = ACTIONS(5185),
    [sym__string_literal_kind] = ACTIONS(5185),
  },
  [1233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [sym_preproc_comment] = ACTIONS(5269),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_end_program_statement_token2] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5271),
    [sym_preproc_comment] = ACTIONS(5273),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5271),
    [aux_sym_end_program_statement_token2] = ACTIONS(5271),
    [aux_sym_interface_statement_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5271),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5271),
    [aux_sym_language_binding_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5271),
    [aux_sym_contains_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token2] = ACTIONS(5271),
    [aux_sym_implicit_statement_token1] = ACTIONS(5271),
    [aux_sym_implicit_statement_token3] = ACTIONS(5271),
    [aux_sym_implicit_statement_token4] = ACTIONS(5271),
    [aux_sym_save_statement_token1] = ACTIONS(5271),
    [aux_sym_private_statement_token1] = ACTIONS(5271),
    [aux_sym_public_statement_token1] = ACTIONS(5271),
    [aux_sym_namelist_statement_token1] = ACTIONS(5271),
    [aux_sym_common_statement_token1] = ACTIONS(5271),
    [aux_sym_import_statement_token1] = ACTIONS(5271),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5271),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5271),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5271),
    [aux_sym_variable_attributes_token1] = ACTIONS(5271),
    [aux_sym_variable_attributes_token2] = ACTIONS(5271),
    [aux_sym_variable_attributes_token3] = ACTIONS(5271),
    [aux_sym_variable_attributes_token4] = ACTIONS(5271),
    [aux_sym_variable_attributes_token5] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5271),
    [aux_sym_derived_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5271),
    [aux_sym_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5275),
    [aux_sym_stop_statement_token1] = ACTIONS(5271),
    [aux_sym_stop_statement_token2] = ACTIONS(5271),
    [aux_sym_subroutine_call_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token2] = ACTIONS(5271),
    [aux_sym_keyword_statement_token3] = ACTIONS(5271),
    [aux_sym_keyword_statement_token4] = ACTIONS(5271),
    [aux_sym_keyword_statement_token6] = ACTIONS(5271),
    [aux_sym_keyword_statement_token7] = ACTIONS(5271),
    [aux_sym_include_statement_token1] = ACTIONS(5271),
    [aux_sym_data_statement_token1] = ACTIONS(5271),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5271),
    [aux_sym_end_if_statement_token1] = ACTIONS(5271),
    [aux_sym_elseif_clause_token2] = ACTIONS(5271),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5271),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token3] = ACTIONS(5271),
    [aux_sym_select_type_statement_token1] = ACTIONS(5271),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5271),
    [aux_sym_block_construct_token1] = ACTIONS(5271),
    [aux_sym_associate_statement_token1] = ACTIONS(5271),
    [aux_sym_format_statement_token1] = ACTIONS(5271),
    [aux_sym_print_statement_token1] = ACTIONS(5271),
    [aux_sym_open_statement_token1] = ACTIONS(5271),
    [aux_sym_close_statement_token1] = ACTIONS(5271),
    [aux_sym_inquire_statement_token1] = ACTIONS(5271),
    [aux_sym_enum_statement_token1] = ACTIONS(5271),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token2] = ACTIONS(5271),
    [aux_sym_file_position_statement_token3] = ACTIONS(5271),
    [aux_sym_file_position_statement_token4] = ACTIONS(5271),
    [aux_sym_allocate_statement_token1] = ACTIONS(5271),
    [aux_sym_entry_statement_token1] = ACTIONS(5271),
    [aux_sym_logical_expression_token5] = ACTIONS(5275),
    [anon_sym_DOT] = ACTIONS(5271),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [aux_sym_boolean_literal_token1] = ACTIONS(5275),
    [aux_sym_boolean_literal_token2] = ACTIONS(5275),
    [aux_sym_null_literal_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token2] = ACTIONS(5271),
    [aux_sym_coarray_statement_token6] = ACTIONS(5271),
    [aux_sym_coarray_statement_token8] = ACTIONS(5271),
    [aux_sym_coarray_statement_token11] = ACTIONS(5271),
    [aux_sym_coarray_statement_token12] = ACTIONS(5271),
    [aux_sym_coarray_statement_token13] = ACTIONS(5271),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5271),
    [aux_sym_identifier_token1] = ACTIONS(5271),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5275),
    [sym__float_literal] = ACTIONS(5275),
    [sym__boz_literal] = ACTIONS(5275),
    [sym__string_literal] = ACTIONS(5275),
    [sym__string_literal_kind] = ACTIONS(5275),
  },
  [1235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5277),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5281),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_end_function_statement_token1] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5283),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5285),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5287),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_end_program_statement_token2] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5253),
    [aux_sym_preproc_def_token1] = ACTIONS(5253),
    [aux_sym_preproc_if_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5253),
    [sym_preproc_directive] = ACTIONS(5253),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [sym_preproc_comment] = ACTIONS(5289),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5253),
    [aux_sym_end_program_statement_token2] = ACTIONS(5253),
    [aux_sym_interface_statement_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5253),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5253),
    [aux_sym_language_binding_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5253),
    [aux_sym_contains_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token2] = ACTIONS(5253),
    [aux_sym_implicit_statement_token1] = ACTIONS(5253),
    [aux_sym_implicit_statement_token3] = ACTIONS(5253),
    [aux_sym_implicit_statement_token4] = ACTIONS(5253),
    [aux_sym_save_statement_token1] = ACTIONS(5253),
    [aux_sym_private_statement_token1] = ACTIONS(5253),
    [aux_sym_public_statement_token1] = ACTIONS(5253),
    [aux_sym_namelist_statement_token1] = ACTIONS(5253),
    [aux_sym_common_statement_token1] = ACTIONS(5253),
    [aux_sym_import_statement_token1] = ACTIONS(5253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5253),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5253),
    [aux_sym_variable_attributes_token1] = ACTIONS(5253),
    [aux_sym_variable_attributes_token2] = ACTIONS(5253),
    [aux_sym_variable_attributes_token3] = ACTIONS(5253),
    [aux_sym_variable_attributes_token4] = ACTIONS(5253),
    [aux_sym_variable_attributes_token5] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5253),
    [aux_sym_derived_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5253),
    [aux_sym_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5253),
    [anon_sym_SEMI] = ACTIONS(5257),
    [aux_sym_stop_statement_token1] = ACTIONS(5253),
    [aux_sym_stop_statement_token2] = ACTIONS(5253),
    [aux_sym_subroutine_call_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token2] = ACTIONS(5253),
    [aux_sym_keyword_statement_token3] = ACTIONS(5253),
    [aux_sym_keyword_statement_token4] = ACTIONS(5253),
    [aux_sym_keyword_statement_token6] = ACTIONS(5253),
    [aux_sym_keyword_statement_token7] = ACTIONS(5253),
    [aux_sym_include_statement_token1] = ACTIONS(5253),
    [aux_sym_data_statement_token1] = ACTIONS(5253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5253),
    [aux_sym_end_if_statement_token1] = ACTIONS(5253),
    [aux_sym_elseif_clause_token2] = ACTIONS(5253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token3] = ACTIONS(5253),
    [aux_sym_select_type_statement_token1] = ACTIONS(5253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5253),
    [aux_sym_block_construct_token1] = ACTIONS(5253),
    [aux_sym_associate_statement_token1] = ACTIONS(5253),
    [aux_sym_format_statement_token1] = ACTIONS(5253),
    [aux_sym_print_statement_token1] = ACTIONS(5253),
    [aux_sym_open_statement_token1] = ACTIONS(5253),
    [aux_sym_close_statement_token1] = ACTIONS(5253),
    [aux_sym_inquire_statement_token1] = ACTIONS(5253),
    [aux_sym_enum_statement_token1] = ACTIONS(5253),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token2] = ACTIONS(5253),
    [aux_sym_file_position_statement_token3] = ACTIONS(5253),
    [aux_sym_file_position_statement_token4] = ACTIONS(5253),
    [aux_sym_allocate_statement_token1] = ACTIONS(5253),
    [aux_sym_entry_statement_token1] = ACTIONS(5253),
    [aux_sym_logical_expression_token5] = ACTIONS(5257),
    [anon_sym_DOT] = ACTIONS(5253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5257),
    [aux_sym_boolean_literal_token1] = ACTIONS(5257),
    [aux_sym_boolean_literal_token2] = ACTIONS(5257),
    [aux_sym_null_literal_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token2] = ACTIONS(5253),
    [aux_sym_coarray_statement_token6] = ACTIONS(5253),
    [aux_sym_coarray_statement_token8] = ACTIONS(5253),
    [aux_sym_coarray_statement_token11] = ACTIONS(5253),
    [aux_sym_coarray_statement_token12] = ACTIONS(5253),
    [aux_sym_coarray_statement_token13] = ACTIONS(5253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5253),
    [aux_sym_identifier_token1] = ACTIONS(5253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5257),
    [sym__float_literal] = ACTIONS(5257),
    [sym__boz_literal] = ACTIONS(5257),
    [sym__string_literal] = ACTIONS(5257),
    [sym__string_literal_kind] = ACTIONS(5257),
  },
  [1242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5291),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5293),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5072),
    [aux_sym_preproc_def_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token1] = ACTIONS(5072),
    [aux_sym_preproc_if_token2] = ACTIONS(5075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5072),
    [sym_preproc_directive] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5072),
    [aux_sym_end_program_statement_token2] = ACTIONS(5080),
    [aux_sym_interface_statement_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5072),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5072),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5072),
    [aux_sym_language_binding_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5072),
    [aux_sym_contains_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token1] = ACTIONS(5072),
    [aux_sym_use_statement_token2] = ACTIONS(5072),
    [aux_sym_implicit_statement_token1] = ACTIONS(5072),
    [aux_sym_implicit_statement_token3] = ACTIONS(5072),
    [aux_sym_implicit_statement_token4] = ACTIONS(5072),
    [aux_sym_save_statement_token1] = ACTIONS(5072),
    [aux_sym_private_statement_token1] = ACTIONS(5072),
    [aux_sym_public_statement_token1] = ACTIONS(5072),
    [aux_sym_namelist_statement_token1] = ACTIONS(5072),
    [aux_sym_common_statement_token1] = ACTIONS(5072),
    [aux_sym_import_statement_token1] = ACTIONS(5072),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5072),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5072),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5072),
    [aux_sym_variable_attributes_token1] = ACTIONS(5072),
    [aux_sym_variable_attributes_token2] = ACTIONS(5072),
    [aux_sym_variable_attributes_token3] = ACTIONS(5072),
    [aux_sym_variable_attributes_token4] = ACTIONS(5072),
    [aux_sym_variable_attributes_token5] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5072),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5072),
    [aux_sym_derived_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token1] = ACTIONS(5072),
    [aux_sym_declared_type_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5072),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5072),
    [aux_sym_type_qualifier_token1] = ACTIONS(5072),
    [aux_sym_type_qualifier_token2] = ACTIONS(5072),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5077),
    [aux_sym_stop_statement_token1] = ACTIONS(5072),
    [aux_sym_stop_statement_token2] = ACTIONS(5072),
    [aux_sym_subroutine_call_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token1] = ACTIONS(5072),
    [aux_sym_keyword_statement_token2] = ACTIONS(5072),
    [aux_sym_keyword_statement_token3] = ACTIONS(5072),
    [aux_sym_keyword_statement_token4] = ACTIONS(5072),
    [aux_sym_keyword_statement_token6] = ACTIONS(5072),
    [aux_sym_keyword_statement_token7] = ACTIONS(5072),
    [aux_sym_include_statement_token1] = ACTIONS(5072),
    [aux_sym_data_statement_token1] = ACTIONS(5072),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5072),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5072),
    [aux_sym_end_if_statement_token1] = ACTIONS(5072),
    [aux_sym_elseif_clause_token2] = ACTIONS(5072),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5072),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token1] = ACTIONS(5072),
    [aux_sym_select_case_statement_token3] = ACTIONS(5072),
    [aux_sym_select_type_statement_token1] = ACTIONS(5072),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5072),
    [aux_sym_block_construct_token1] = ACTIONS(5072),
    [aux_sym_associate_statement_token1] = ACTIONS(5072),
    [aux_sym_format_statement_token1] = ACTIONS(5072),
    [aux_sym_print_statement_token1] = ACTIONS(5072),
    [aux_sym_open_statement_token1] = ACTIONS(5072),
    [aux_sym_close_statement_token1] = ACTIONS(5072),
    [aux_sym_inquire_statement_token1] = ACTIONS(5072),
    [aux_sym_enum_statement_token1] = ACTIONS(5072),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token1] = ACTIONS(5072),
    [aux_sym_file_position_statement_token2] = ACTIONS(5072),
    [aux_sym_file_position_statement_token3] = ACTIONS(5072),
    [aux_sym_file_position_statement_token4] = ACTIONS(5072),
    [aux_sym_allocate_statement_token1] = ACTIONS(5072),
    [aux_sym_entry_statement_token1] = ACTIONS(5072),
    [aux_sym_logical_expression_token5] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5072),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [aux_sym_boolean_literal_token1] = ACTIONS(5077),
    [aux_sym_boolean_literal_token2] = ACTIONS(5077),
    [aux_sym_null_literal_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_statement_token2] = ACTIONS(5072),
    [aux_sym_coarray_statement_token6] = ACTIONS(5072),
    [aux_sym_coarray_statement_token8] = ACTIONS(5072),
    [aux_sym_coarray_statement_token11] = ACTIONS(5072),
    [aux_sym_coarray_statement_token12] = ACTIONS(5072),
    [aux_sym_coarray_statement_token13] = ACTIONS(5072),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5072),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5072),
    [aux_sym_identifier_token1] = ACTIONS(5072),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5077),
    [sym__float_literal] = ACTIONS(5077),
    [sym__boz_literal] = ACTIONS(5077),
    [sym__string_literal] = ACTIONS(5077),
    [sym__string_literal_kind] = ACTIONS(5077),
  },
  [1245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5173),
    [aux_sym_preproc_def_token1] = ACTIONS(5173),
    [aux_sym_preproc_if_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5173),
    [sym_preproc_directive] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5173),
    [sym_preproc_comment] = ACTIONS(5295),
    [anon_sym_PLUS] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5173),
    [aux_sym_interface_statement_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5173),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5173),
    [aux_sym_language_binding_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5173),
    [aux_sym_end_function_statement_token1] = ACTIONS(5173),
    [aux_sym_contains_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token2] = ACTIONS(5173),
    [aux_sym_implicit_statement_token1] = ACTIONS(5173),
    [aux_sym_implicit_statement_token3] = ACTIONS(5173),
    [aux_sym_implicit_statement_token4] = ACTIONS(5173),
    [aux_sym_save_statement_token1] = ACTIONS(5173),
    [aux_sym_private_statement_token1] = ACTIONS(5173),
    [aux_sym_public_statement_token1] = ACTIONS(5173),
    [aux_sym_namelist_statement_token1] = ACTIONS(5173),
    [aux_sym_common_statement_token1] = ACTIONS(5173),
    [aux_sym_import_statement_token1] = ACTIONS(5173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5173),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5173),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5173),
    [aux_sym_variable_attributes_token1] = ACTIONS(5173),
    [aux_sym_variable_attributes_token2] = ACTIONS(5173),
    [aux_sym_variable_attributes_token3] = ACTIONS(5173),
    [aux_sym_variable_attributes_token4] = ACTIONS(5173),
    [aux_sym_variable_attributes_token5] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5173),
    [aux_sym_derived_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5173),
    [aux_sym_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5173),
    [anon_sym_SEMI] = ACTIONS(5177),
    [aux_sym_stop_statement_token1] = ACTIONS(5173),
    [aux_sym_stop_statement_token2] = ACTIONS(5173),
    [aux_sym_subroutine_call_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token2] = ACTIONS(5173),
    [aux_sym_keyword_statement_token3] = ACTIONS(5173),
    [aux_sym_keyword_statement_token4] = ACTIONS(5173),
    [aux_sym_keyword_statement_token6] = ACTIONS(5173),
    [aux_sym_keyword_statement_token7] = ACTIONS(5173),
    [aux_sym_include_statement_token1] = ACTIONS(5173),
    [aux_sym_data_statement_token1] = ACTIONS(5173),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5173),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5173),
    [aux_sym_end_if_statement_token1] = ACTIONS(5173),
    [aux_sym_elseif_clause_token2] = ACTIONS(5173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5173),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token3] = ACTIONS(5173),
    [aux_sym_select_type_statement_token1] = ACTIONS(5173),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5173),
    [aux_sym_block_construct_token1] = ACTIONS(5173),
    [aux_sym_associate_statement_token1] = ACTIONS(5173),
    [aux_sym_format_statement_token1] = ACTIONS(5173),
    [aux_sym_print_statement_token1] = ACTIONS(5173),
    [aux_sym_open_statement_token1] = ACTIONS(5173),
    [aux_sym_close_statement_token1] = ACTIONS(5173),
    [aux_sym_inquire_statement_token1] = ACTIONS(5173),
    [aux_sym_enum_statement_token1] = ACTIONS(5173),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token2] = ACTIONS(5173),
    [aux_sym_file_position_statement_token3] = ACTIONS(5173),
    [aux_sym_file_position_statement_token4] = ACTIONS(5173),
    [aux_sym_allocate_statement_token1] = ACTIONS(5173),
    [aux_sym_entry_statement_token1] = ACTIONS(5173),
    [aux_sym_logical_expression_token5] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [aux_sym_boolean_literal_token1] = ACTIONS(5177),
    [aux_sym_boolean_literal_token2] = ACTIONS(5177),
    [aux_sym_null_literal_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token2] = ACTIONS(5173),
    [aux_sym_coarray_statement_token6] = ACTIONS(5173),
    [aux_sym_coarray_statement_token8] = ACTIONS(5173),
    [aux_sym_coarray_statement_token11] = ACTIONS(5173),
    [aux_sym_coarray_statement_token12] = ACTIONS(5173),
    [aux_sym_coarray_statement_token13] = ACTIONS(5173),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5173),
    [aux_sym_identifier_token1] = ACTIONS(5173),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5177),
    [sym__float_literal] = ACTIONS(5177),
    [sym__boz_literal] = ACTIONS(5177),
    [sym__string_literal] = ACTIONS(5177),
    [sym__string_literal_kind] = ACTIONS(5177),
  },
  [1246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5215),
    [sym_preproc_comment] = ACTIONS(5297),
    [anon_sym_PLUS] = ACTIONS(5219),
    [anon_sym_DASH] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5215),
    [aux_sym_interface_statement_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5215),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5215),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5215),
    [aux_sym_language_binding_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5215),
    [aux_sym_contains_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token2] = ACTIONS(5215),
    [aux_sym_implicit_statement_token1] = ACTIONS(5215),
    [aux_sym_implicit_statement_token3] = ACTIONS(5215),
    [aux_sym_implicit_statement_token4] = ACTIONS(5215),
    [aux_sym_save_statement_token1] = ACTIONS(5215),
    [aux_sym_private_statement_token1] = ACTIONS(5215),
    [aux_sym_public_statement_token1] = ACTIONS(5215),
    [aux_sym_namelist_statement_token1] = ACTIONS(5215),
    [aux_sym_common_statement_token1] = ACTIONS(5215),
    [aux_sym_import_statement_token1] = ACTIONS(5215),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5215),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5215),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5215),
    [aux_sym_variable_attributes_token1] = ACTIONS(5215),
    [aux_sym_variable_attributes_token2] = ACTIONS(5215),
    [aux_sym_variable_attributes_token3] = ACTIONS(5215),
    [aux_sym_variable_attributes_token4] = ACTIONS(5215),
    [aux_sym_variable_attributes_token5] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5215),
    [aux_sym_derived_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5215),
    [aux_sym_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5219),
    [aux_sym_stop_statement_token1] = ACTIONS(5215),
    [aux_sym_stop_statement_token2] = ACTIONS(5215),
    [aux_sym_subroutine_call_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token2] = ACTIONS(5215),
    [aux_sym_keyword_statement_token3] = ACTIONS(5215),
    [aux_sym_keyword_statement_token4] = ACTIONS(5215),
    [aux_sym_keyword_statement_token6] = ACTIONS(5215),
    [aux_sym_keyword_statement_token7] = ACTIONS(5215),
    [aux_sym_include_statement_token1] = ACTIONS(5215),
    [aux_sym_data_statement_token1] = ACTIONS(5215),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5215),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5215),
    [aux_sym_end_if_statement_token1] = ACTIONS(5215),
    [aux_sym_elseif_clause_token2] = ACTIONS(5215),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5215),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token3] = ACTIONS(5215),
    [aux_sym_select_type_statement_token1] = ACTIONS(5215),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5215),
    [aux_sym_block_construct_token1] = ACTIONS(5215),
    [aux_sym_associate_statement_token1] = ACTIONS(5215),
    [aux_sym_format_statement_token1] = ACTIONS(5215),
    [aux_sym_print_statement_token1] = ACTIONS(5215),
    [aux_sym_open_statement_token1] = ACTIONS(5215),
    [aux_sym_close_statement_token1] = ACTIONS(5215),
    [aux_sym_inquire_statement_token1] = ACTIONS(5215),
    [aux_sym_enum_statement_token1] = ACTIONS(5215),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token2] = ACTIONS(5215),
    [aux_sym_file_position_statement_token3] = ACTIONS(5215),
    [aux_sym_file_position_statement_token4] = ACTIONS(5215),
    [aux_sym_allocate_statement_token1] = ACTIONS(5215),
    [aux_sym_entry_statement_token1] = ACTIONS(5215),
    [aux_sym_logical_expression_token5] = ACTIONS(5219),
    [anon_sym_DOT] = ACTIONS(5215),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [aux_sym_boolean_literal_token1] = ACTIONS(5219),
    [aux_sym_boolean_literal_token2] = ACTIONS(5219),
    [aux_sym_null_literal_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token2] = ACTIONS(5215),
    [aux_sym_coarray_statement_token6] = ACTIONS(5215),
    [aux_sym_coarray_statement_token8] = ACTIONS(5215),
    [aux_sym_coarray_statement_token11] = ACTIONS(5215),
    [aux_sym_coarray_statement_token12] = ACTIONS(5215),
    [aux_sym_coarray_statement_token13] = ACTIONS(5215),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5215),
    [aux_sym_identifier_token1] = ACTIONS(5215),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5219),
    [sym__float_literal] = ACTIONS(5219),
    [sym__boz_literal] = ACTIONS(5219),
    [sym__string_literal] = ACTIONS(5219),
    [sym__string_literal_kind] = ACTIONS(5219),
  },
  [1247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5299),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [sym_preproc_comment] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5241),
    [aux_sym_end_program_statement_token2] = ACTIONS(5241),
    [aux_sym_interface_statement_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5241),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5241),
    [aux_sym_language_binding_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5241),
    [aux_sym_contains_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token2] = ACTIONS(5241),
    [aux_sym_implicit_statement_token1] = ACTIONS(5241),
    [aux_sym_implicit_statement_token3] = ACTIONS(5241),
    [aux_sym_implicit_statement_token4] = ACTIONS(5241),
    [aux_sym_save_statement_token1] = ACTIONS(5241),
    [aux_sym_private_statement_token1] = ACTIONS(5241),
    [aux_sym_public_statement_token1] = ACTIONS(5241),
    [aux_sym_namelist_statement_token1] = ACTIONS(5241),
    [aux_sym_common_statement_token1] = ACTIONS(5241),
    [aux_sym_import_statement_token1] = ACTIONS(5241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5241),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5241),
    [aux_sym_variable_attributes_token1] = ACTIONS(5241),
    [aux_sym_variable_attributes_token2] = ACTIONS(5241),
    [aux_sym_variable_attributes_token3] = ACTIONS(5241),
    [aux_sym_variable_attributes_token4] = ACTIONS(5241),
    [aux_sym_variable_attributes_token5] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5241),
    [aux_sym_derived_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5241),
    [aux_sym_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5245),
    [aux_sym_stop_statement_token1] = ACTIONS(5241),
    [aux_sym_stop_statement_token2] = ACTIONS(5241),
    [aux_sym_subroutine_call_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token2] = ACTIONS(5241),
    [aux_sym_keyword_statement_token3] = ACTIONS(5241),
    [aux_sym_keyword_statement_token4] = ACTIONS(5241),
    [aux_sym_keyword_statement_token6] = ACTIONS(5241),
    [aux_sym_keyword_statement_token7] = ACTIONS(5241),
    [aux_sym_include_statement_token1] = ACTIONS(5241),
    [aux_sym_data_statement_token1] = ACTIONS(5241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5241),
    [aux_sym_end_if_statement_token1] = ACTIONS(5241),
    [aux_sym_elseif_clause_token2] = ACTIONS(5241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token3] = ACTIONS(5241),
    [aux_sym_select_type_statement_token1] = ACTIONS(5241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5241),
    [aux_sym_block_construct_token1] = ACTIONS(5241),
    [aux_sym_associate_statement_token1] = ACTIONS(5241),
    [aux_sym_format_statement_token1] = ACTIONS(5241),
    [aux_sym_print_statement_token1] = ACTIONS(5241),
    [aux_sym_open_statement_token1] = ACTIONS(5241),
    [aux_sym_close_statement_token1] = ACTIONS(5241),
    [aux_sym_inquire_statement_token1] = ACTIONS(5241),
    [aux_sym_enum_statement_token1] = ACTIONS(5241),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token2] = ACTIONS(5241),
    [aux_sym_file_position_statement_token3] = ACTIONS(5241),
    [aux_sym_file_position_statement_token4] = ACTIONS(5241),
    [aux_sym_allocate_statement_token1] = ACTIONS(5241),
    [aux_sym_entry_statement_token1] = ACTIONS(5241),
    [aux_sym_logical_expression_token5] = ACTIONS(5245),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5245),
    [anon_sym_LBRACK] = ACTIONS(5245),
    [aux_sym_boolean_literal_token1] = ACTIONS(5245),
    [aux_sym_boolean_literal_token2] = ACTIONS(5245),
    [aux_sym_null_literal_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token2] = ACTIONS(5241),
    [aux_sym_coarray_statement_token6] = ACTIONS(5241),
    [aux_sym_coarray_statement_token8] = ACTIONS(5241),
    [aux_sym_coarray_statement_token11] = ACTIONS(5241),
    [aux_sym_coarray_statement_token12] = ACTIONS(5241),
    [aux_sym_coarray_statement_token13] = ACTIONS(5241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5241),
    [aux_sym_identifier_token1] = ACTIONS(5241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5245),
    [sym__float_literal] = ACTIONS(5245),
    [sym__boz_literal] = ACTIONS(5245),
    [sym__string_literal] = ACTIONS(5245),
    [sym__string_literal_kind] = ACTIONS(5245),
  },
  [1249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [sym_preproc_comment] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5303),
    [aux_sym_interface_statement_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5303),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5303),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5303),
    [aux_sym_language_binding_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5303),
    [aux_sym_contains_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token2] = ACTIONS(5303),
    [aux_sym_implicit_statement_token1] = ACTIONS(5303),
    [aux_sym_implicit_statement_token3] = ACTIONS(5303),
    [aux_sym_implicit_statement_token4] = ACTIONS(5303),
    [aux_sym_save_statement_token1] = ACTIONS(5303),
    [aux_sym_private_statement_token1] = ACTIONS(5303),
    [aux_sym_public_statement_token1] = ACTIONS(5303),
    [aux_sym_namelist_statement_token1] = ACTIONS(5303),
    [aux_sym_common_statement_token1] = ACTIONS(5303),
    [aux_sym_import_statement_token1] = ACTIONS(5303),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5303),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5303),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5303),
    [aux_sym_variable_attributes_token1] = ACTIONS(5303),
    [aux_sym_variable_attributes_token2] = ACTIONS(5303),
    [aux_sym_variable_attributes_token3] = ACTIONS(5303),
    [aux_sym_variable_attributes_token4] = ACTIONS(5303),
    [aux_sym_variable_attributes_token5] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5303),
    [aux_sym_derived_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5303),
    [aux_sym_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5307),
    [aux_sym_stop_statement_token1] = ACTIONS(5303),
    [aux_sym_stop_statement_token2] = ACTIONS(5303),
    [aux_sym_subroutine_call_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token2] = ACTIONS(5303),
    [aux_sym_keyword_statement_token3] = ACTIONS(5303),
    [aux_sym_keyword_statement_token4] = ACTIONS(5303),
    [aux_sym_keyword_statement_token6] = ACTIONS(5303),
    [aux_sym_keyword_statement_token7] = ACTIONS(5303),
    [aux_sym_include_statement_token1] = ACTIONS(5303),
    [aux_sym_data_statement_token1] = ACTIONS(5303),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5303),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5303),
    [aux_sym_end_if_statement_token1] = ACTIONS(5303),
    [aux_sym_elseif_clause_token2] = ACTIONS(5303),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5303),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token3] = ACTIONS(5303),
    [aux_sym_select_type_statement_token1] = ACTIONS(5303),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5303),
    [aux_sym_block_construct_token1] = ACTIONS(5303),
    [aux_sym_associate_statement_token1] = ACTIONS(5303),
    [aux_sym_format_statement_token1] = ACTIONS(5303),
    [aux_sym_print_statement_token1] = ACTIONS(5303),
    [aux_sym_open_statement_token1] = ACTIONS(5303),
    [aux_sym_close_statement_token1] = ACTIONS(5303),
    [aux_sym_inquire_statement_token1] = ACTIONS(5303),
    [aux_sym_enum_statement_token1] = ACTIONS(5303),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token2] = ACTIONS(5303),
    [aux_sym_file_position_statement_token3] = ACTIONS(5303),
    [aux_sym_file_position_statement_token4] = ACTIONS(5303),
    [aux_sym_allocate_statement_token1] = ACTIONS(5303),
    [aux_sym_entry_statement_token1] = ACTIONS(5303),
    [aux_sym_logical_expression_token5] = ACTIONS(5307),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [aux_sym_boolean_literal_token1] = ACTIONS(5307),
    [aux_sym_boolean_literal_token2] = ACTIONS(5307),
    [aux_sym_null_literal_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token2] = ACTIONS(5303),
    [aux_sym_coarray_statement_token6] = ACTIONS(5303),
    [aux_sym_coarray_statement_token8] = ACTIONS(5303),
    [aux_sym_coarray_statement_token11] = ACTIONS(5303),
    [aux_sym_coarray_statement_token12] = ACTIONS(5303),
    [aux_sym_coarray_statement_token13] = ACTIONS(5303),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5303),
    [aux_sym_identifier_token1] = ACTIONS(5303),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5307),
    [sym__float_literal] = ACTIONS(5307),
    [sym__boz_literal] = ACTIONS(5307),
    [sym__string_literal] = ACTIONS(5307),
    [sym__string_literal_kind] = ACTIONS(5307),
  },
  [1250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5309),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5271),
    [sym_preproc_comment] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5271),
    [aux_sym_interface_statement_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5271),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5271),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5271),
    [aux_sym_language_binding_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5271),
    [aux_sym_contains_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token2] = ACTIONS(5271),
    [aux_sym_implicit_statement_token1] = ACTIONS(5271),
    [aux_sym_implicit_statement_token3] = ACTIONS(5271),
    [aux_sym_implicit_statement_token4] = ACTIONS(5271),
    [aux_sym_save_statement_token1] = ACTIONS(5271),
    [aux_sym_private_statement_token1] = ACTIONS(5271),
    [aux_sym_public_statement_token1] = ACTIONS(5271),
    [aux_sym_namelist_statement_token1] = ACTIONS(5271),
    [aux_sym_common_statement_token1] = ACTIONS(5271),
    [aux_sym_import_statement_token1] = ACTIONS(5271),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5271),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5271),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5271),
    [aux_sym_variable_attributes_token1] = ACTIONS(5271),
    [aux_sym_variable_attributes_token2] = ACTIONS(5271),
    [aux_sym_variable_attributes_token3] = ACTIONS(5271),
    [aux_sym_variable_attributes_token4] = ACTIONS(5271),
    [aux_sym_variable_attributes_token5] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5271),
    [aux_sym_derived_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5271),
    [aux_sym_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5275),
    [aux_sym_stop_statement_token1] = ACTIONS(5271),
    [aux_sym_stop_statement_token2] = ACTIONS(5271),
    [aux_sym_subroutine_call_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token2] = ACTIONS(5271),
    [aux_sym_keyword_statement_token3] = ACTIONS(5271),
    [aux_sym_keyword_statement_token4] = ACTIONS(5271),
    [aux_sym_keyword_statement_token6] = ACTIONS(5271),
    [aux_sym_keyword_statement_token7] = ACTIONS(5271),
    [aux_sym_include_statement_token1] = ACTIONS(5271),
    [aux_sym_data_statement_token1] = ACTIONS(5271),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5271),
    [aux_sym_end_if_statement_token1] = ACTIONS(5271),
    [aux_sym_elseif_clause_token2] = ACTIONS(5271),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5271),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token3] = ACTIONS(5271),
    [aux_sym_select_type_statement_token1] = ACTIONS(5271),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5271),
    [aux_sym_block_construct_token1] = ACTIONS(5271),
    [aux_sym_associate_statement_token1] = ACTIONS(5271),
    [aux_sym_format_statement_token1] = ACTIONS(5271),
    [aux_sym_print_statement_token1] = ACTIONS(5271),
    [aux_sym_open_statement_token1] = ACTIONS(5271),
    [aux_sym_close_statement_token1] = ACTIONS(5271),
    [aux_sym_inquire_statement_token1] = ACTIONS(5271),
    [aux_sym_enum_statement_token1] = ACTIONS(5271),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token2] = ACTIONS(5271),
    [aux_sym_file_position_statement_token3] = ACTIONS(5271),
    [aux_sym_file_position_statement_token4] = ACTIONS(5271),
    [aux_sym_allocate_statement_token1] = ACTIONS(5271),
    [aux_sym_entry_statement_token1] = ACTIONS(5271),
    [aux_sym_logical_expression_token5] = ACTIONS(5275),
    [anon_sym_DOT] = ACTIONS(5271),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [aux_sym_boolean_literal_token1] = ACTIONS(5275),
    [aux_sym_boolean_literal_token2] = ACTIONS(5275),
    [aux_sym_null_literal_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token2] = ACTIONS(5271),
    [aux_sym_coarray_statement_token6] = ACTIONS(5271),
    [aux_sym_coarray_statement_token8] = ACTIONS(5271),
    [aux_sym_coarray_statement_token11] = ACTIONS(5271),
    [aux_sym_coarray_statement_token12] = ACTIONS(5271),
    [aux_sym_coarray_statement_token13] = ACTIONS(5271),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5271),
    [aux_sym_identifier_token1] = ACTIONS(5271),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5275),
    [sym__float_literal] = ACTIONS(5275),
    [sym__boz_literal] = ACTIONS(5275),
    [sym__string_literal] = ACTIONS(5275),
    [sym__string_literal_kind] = ACTIONS(5275),
  },
  [1252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5315),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_end_function_statement_token1] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_end_program_statement_token2] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_end_program_statement_token2] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5317),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_end_function_statement_token1] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5319),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5321),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_end_function_statement_token1] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5253),
    [aux_sym_preproc_def_token1] = ACTIONS(5253),
    [aux_sym_preproc_if_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5253),
    [sym_preproc_directive] = ACTIONS(5253),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [sym_preproc_comment] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5253),
    [aux_sym_interface_statement_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5253),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5253),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5253),
    [aux_sym_language_binding_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5253),
    [aux_sym_contains_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token2] = ACTIONS(5253),
    [aux_sym_implicit_statement_token1] = ACTIONS(5253),
    [aux_sym_implicit_statement_token3] = ACTIONS(5253),
    [aux_sym_implicit_statement_token4] = ACTIONS(5253),
    [aux_sym_save_statement_token1] = ACTIONS(5253),
    [aux_sym_private_statement_token1] = ACTIONS(5253),
    [aux_sym_public_statement_token1] = ACTIONS(5253),
    [aux_sym_namelist_statement_token1] = ACTIONS(5253),
    [aux_sym_common_statement_token1] = ACTIONS(5253),
    [aux_sym_import_statement_token1] = ACTIONS(5253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5253),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5253),
    [aux_sym_variable_attributes_token1] = ACTIONS(5253),
    [aux_sym_variable_attributes_token2] = ACTIONS(5253),
    [aux_sym_variable_attributes_token3] = ACTIONS(5253),
    [aux_sym_variable_attributes_token4] = ACTIONS(5253),
    [aux_sym_variable_attributes_token5] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5253),
    [aux_sym_derived_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5253),
    [aux_sym_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5253),
    [anon_sym_SEMI] = ACTIONS(5257),
    [aux_sym_stop_statement_token1] = ACTIONS(5253),
    [aux_sym_stop_statement_token2] = ACTIONS(5253),
    [aux_sym_subroutine_call_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token2] = ACTIONS(5253),
    [aux_sym_keyword_statement_token3] = ACTIONS(5253),
    [aux_sym_keyword_statement_token4] = ACTIONS(5253),
    [aux_sym_keyword_statement_token6] = ACTIONS(5253),
    [aux_sym_keyword_statement_token7] = ACTIONS(5253),
    [aux_sym_include_statement_token1] = ACTIONS(5253),
    [aux_sym_data_statement_token1] = ACTIONS(5253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5253),
    [aux_sym_end_if_statement_token1] = ACTIONS(5253),
    [aux_sym_elseif_clause_token2] = ACTIONS(5253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token3] = ACTIONS(5253),
    [aux_sym_select_type_statement_token1] = ACTIONS(5253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5253),
    [aux_sym_block_construct_token1] = ACTIONS(5253),
    [aux_sym_associate_statement_token1] = ACTIONS(5253),
    [aux_sym_format_statement_token1] = ACTIONS(5253),
    [aux_sym_print_statement_token1] = ACTIONS(5253),
    [aux_sym_open_statement_token1] = ACTIONS(5253),
    [aux_sym_close_statement_token1] = ACTIONS(5253),
    [aux_sym_inquire_statement_token1] = ACTIONS(5253),
    [aux_sym_enum_statement_token1] = ACTIONS(5253),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token2] = ACTIONS(5253),
    [aux_sym_file_position_statement_token3] = ACTIONS(5253),
    [aux_sym_file_position_statement_token4] = ACTIONS(5253),
    [aux_sym_allocate_statement_token1] = ACTIONS(5253),
    [aux_sym_entry_statement_token1] = ACTIONS(5253),
    [aux_sym_logical_expression_token5] = ACTIONS(5257),
    [anon_sym_DOT] = ACTIONS(5253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5257),
    [aux_sym_boolean_literal_token1] = ACTIONS(5257),
    [aux_sym_boolean_literal_token2] = ACTIONS(5257),
    [aux_sym_null_literal_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token2] = ACTIONS(5253),
    [aux_sym_coarray_statement_token6] = ACTIONS(5253),
    [aux_sym_coarray_statement_token8] = ACTIONS(5253),
    [aux_sym_coarray_statement_token11] = ACTIONS(5253),
    [aux_sym_coarray_statement_token12] = ACTIONS(5253),
    [aux_sym_coarray_statement_token13] = ACTIONS(5253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5253),
    [aux_sym_identifier_token1] = ACTIONS(5253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5257),
    [sym__float_literal] = ACTIONS(5257),
    [sym__boz_literal] = ACTIONS(5257),
    [sym__string_literal] = ACTIONS(5257),
    [sym__string_literal_kind] = ACTIONS(5257),
  },
  [1261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_end_program_statement_token2] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [sym_preproc_comment] = ACTIONS(5327),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5241),
    [aux_sym_interface_statement_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5241),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5241),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5241),
    [aux_sym_language_binding_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5241),
    [aux_sym_contains_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token2] = ACTIONS(5241),
    [aux_sym_implicit_statement_token1] = ACTIONS(5241),
    [aux_sym_implicit_statement_token3] = ACTIONS(5241),
    [aux_sym_implicit_statement_token4] = ACTIONS(5241),
    [aux_sym_save_statement_token1] = ACTIONS(5241),
    [aux_sym_private_statement_token1] = ACTIONS(5241),
    [aux_sym_public_statement_token1] = ACTIONS(5241),
    [aux_sym_namelist_statement_token1] = ACTIONS(5241),
    [aux_sym_common_statement_token1] = ACTIONS(5241),
    [aux_sym_import_statement_token1] = ACTIONS(5241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5241),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5241),
    [aux_sym_variable_attributes_token1] = ACTIONS(5241),
    [aux_sym_variable_attributes_token2] = ACTIONS(5241),
    [aux_sym_variable_attributes_token3] = ACTIONS(5241),
    [aux_sym_variable_attributes_token4] = ACTIONS(5241),
    [aux_sym_variable_attributes_token5] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5241),
    [aux_sym_derived_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5241),
    [aux_sym_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5245),
    [aux_sym_stop_statement_token1] = ACTIONS(5241),
    [aux_sym_stop_statement_token2] = ACTIONS(5241),
    [aux_sym_subroutine_call_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token2] = ACTIONS(5241),
    [aux_sym_keyword_statement_token3] = ACTIONS(5241),
    [aux_sym_keyword_statement_token4] = ACTIONS(5241),
    [aux_sym_keyword_statement_token6] = ACTIONS(5241),
    [aux_sym_keyword_statement_token7] = ACTIONS(5241),
    [aux_sym_include_statement_token1] = ACTIONS(5241),
    [aux_sym_data_statement_token1] = ACTIONS(5241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5241),
    [aux_sym_end_if_statement_token1] = ACTIONS(5241),
    [aux_sym_elseif_clause_token2] = ACTIONS(5241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token3] = ACTIONS(5241),
    [aux_sym_select_type_statement_token1] = ACTIONS(5241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5241),
    [aux_sym_block_construct_token1] = ACTIONS(5241),
    [aux_sym_associate_statement_token1] = ACTIONS(5241),
    [aux_sym_format_statement_token1] = ACTIONS(5241),
    [aux_sym_print_statement_token1] = ACTIONS(5241),
    [aux_sym_open_statement_token1] = ACTIONS(5241),
    [aux_sym_close_statement_token1] = ACTIONS(5241),
    [aux_sym_inquire_statement_token1] = ACTIONS(5241),
    [aux_sym_enum_statement_token1] = ACTIONS(5241),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token2] = ACTIONS(5241),
    [aux_sym_file_position_statement_token3] = ACTIONS(5241),
    [aux_sym_file_position_statement_token4] = ACTIONS(5241),
    [aux_sym_allocate_statement_token1] = ACTIONS(5241),
    [aux_sym_entry_statement_token1] = ACTIONS(5241),
    [aux_sym_logical_expression_token5] = ACTIONS(5245),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5245),
    [anon_sym_LBRACK] = ACTIONS(5245),
    [aux_sym_boolean_literal_token1] = ACTIONS(5245),
    [aux_sym_boolean_literal_token2] = ACTIONS(5245),
    [aux_sym_null_literal_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token2] = ACTIONS(5241),
    [aux_sym_coarray_statement_token6] = ACTIONS(5241),
    [aux_sym_coarray_statement_token8] = ACTIONS(5241),
    [aux_sym_coarray_statement_token11] = ACTIONS(5241),
    [aux_sym_coarray_statement_token12] = ACTIONS(5241),
    [aux_sym_coarray_statement_token13] = ACTIONS(5241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5241),
    [aux_sym_identifier_token1] = ACTIONS(5241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5245),
    [sym__float_literal] = ACTIONS(5245),
    [sym__boz_literal] = ACTIONS(5245),
    [sym__string_literal] = ACTIONS(5245),
    [sym__string_literal_kind] = ACTIONS(5245),
  },
  [1265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_end_program_statement_token2] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_end_program_statement_token2] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_end_program_statement_token2] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5331),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5333),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5335),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_end_function_statement_token1] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5337),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_end_function_statement_token1] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5339),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5343),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5181),
    [aux_sym_preproc_def_token1] = ACTIONS(5181),
    [aux_sym_preproc_if_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5181),
    [sym_preproc_directive] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [sym_preproc_comment] = ACTIONS(5345),
    [anon_sym_PLUS] = ACTIONS(5185),
    [anon_sym_DASH] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5181),
    [aux_sym_interface_statement_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5181),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5181),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5181),
    [aux_sym_language_binding_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5181),
    [aux_sym_contains_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token2] = ACTIONS(5181),
    [aux_sym_implicit_statement_token1] = ACTIONS(5181),
    [aux_sym_implicit_statement_token3] = ACTIONS(5181),
    [aux_sym_implicit_statement_token4] = ACTIONS(5181),
    [aux_sym_save_statement_token1] = ACTIONS(5181),
    [aux_sym_private_statement_token1] = ACTIONS(5181),
    [aux_sym_public_statement_token1] = ACTIONS(5181),
    [aux_sym_namelist_statement_token1] = ACTIONS(5181),
    [aux_sym_common_statement_token1] = ACTIONS(5181),
    [aux_sym_import_statement_token1] = ACTIONS(5181),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5181),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5181),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5181),
    [aux_sym_variable_attributes_token1] = ACTIONS(5181),
    [aux_sym_variable_attributes_token2] = ACTIONS(5181),
    [aux_sym_variable_attributes_token3] = ACTIONS(5181),
    [aux_sym_variable_attributes_token4] = ACTIONS(5181),
    [aux_sym_variable_attributes_token5] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5181),
    [aux_sym_derived_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5181),
    [aux_sym_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5185),
    [aux_sym_stop_statement_token1] = ACTIONS(5181),
    [aux_sym_stop_statement_token2] = ACTIONS(5181),
    [aux_sym_subroutine_call_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token2] = ACTIONS(5181),
    [aux_sym_keyword_statement_token3] = ACTIONS(5181),
    [aux_sym_keyword_statement_token4] = ACTIONS(5181),
    [aux_sym_keyword_statement_token6] = ACTIONS(5181),
    [aux_sym_keyword_statement_token7] = ACTIONS(5181),
    [aux_sym_include_statement_token1] = ACTIONS(5181),
    [aux_sym_data_statement_token1] = ACTIONS(5181),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5181),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5181),
    [aux_sym_end_if_statement_token1] = ACTIONS(5181),
    [aux_sym_elseif_clause_token2] = ACTIONS(5181),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5181),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token3] = ACTIONS(5181),
    [aux_sym_select_type_statement_token1] = ACTIONS(5181),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5181),
    [aux_sym_block_construct_token1] = ACTIONS(5181),
    [aux_sym_associate_statement_token1] = ACTIONS(5181),
    [aux_sym_format_statement_token1] = ACTIONS(5181),
    [aux_sym_print_statement_token1] = ACTIONS(5181),
    [aux_sym_open_statement_token1] = ACTIONS(5181),
    [aux_sym_close_statement_token1] = ACTIONS(5181),
    [aux_sym_inquire_statement_token1] = ACTIONS(5181),
    [aux_sym_enum_statement_token1] = ACTIONS(5181),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token2] = ACTIONS(5181),
    [aux_sym_file_position_statement_token3] = ACTIONS(5181),
    [aux_sym_file_position_statement_token4] = ACTIONS(5181),
    [aux_sym_allocate_statement_token1] = ACTIONS(5181),
    [aux_sym_entry_statement_token1] = ACTIONS(5181),
    [aux_sym_logical_expression_token5] = ACTIONS(5185),
    [anon_sym_DOT] = ACTIONS(5181),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [aux_sym_boolean_literal_token1] = ACTIONS(5185),
    [aux_sym_boolean_literal_token2] = ACTIONS(5185),
    [aux_sym_null_literal_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token2] = ACTIONS(5181),
    [aux_sym_coarray_statement_token6] = ACTIONS(5181),
    [aux_sym_coarray_statement_token8] = ACTIONS(5181),
    [aux_sym_coarray_statement_token11] = ACTIONS(5181),
    [aux_sym_coarray_statement_token12] = ACTIONS(5181),
    [aux_sym_coarray_statement_token13] = ACTIONS(5181),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5181),
    [aux_sym_identifier_token1] = ACTIONS(5181),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5185),
    [sym__float_literal] = ACTIONS(5185),
    [sym__boz_literal] = ACTIONS(5185),
    [sym__string_literal] = ACTIONS(5185),
    [sym__string_literal_kind] = ACTIONS(5185),
  },
  [1281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [sym_preproc_comment] = ACTIONS(5347),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_end_program_statement_token2] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5349),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_end_function_statement_token1] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5351),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_end_function_statement_token1] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5189),
    [aux_sym_preproc_def_token1] = ACTIONS(5189),
    [aux_sym_preproc_if_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5189),
    [sym_preproc_directive] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [sym_preproc_comment] = ACTIONS(5353),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5189),
    [aux_sym_interface_statement_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5189),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5189),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5189),
    [aux_sym_language_binding_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5189),
    [aux_sym_contains_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token2] = ACTIONS(5189),
    [aux_sym_implicit_statement_token1] = ACTIONS(5189),
    [aux_sym_implicit_statement_token3] = ACTIONS(5189),
    [aux_sym_implicit_statement_token4] = ACTIONS(5189),
    [aux_sym_save_statement_token1] = ACTIONS(5189),
    [aux_sym_private_statement_token1] = ACTIONS(5189),
    [aux_sym_public_statement_token1] = ACTIONS(5189),
    [aux_sym_namelist_statement_token1] = ACTIONS(5189),
    [aux_sym_common_statement_token1] = ACTIONS(5189),
    [aux_sym_import_statement_token1] = ACTIONS(5189),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5189),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5189),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5189),
    [aux_sym_variable_attributes_token1] = ACTIONS(5189),
    [aux_sym_variable_attributes_token2] = ACTIONS(5189),
    [aux_sym_variable_attributes_token3] = ACTIONS(5189),
    [aux_sym_variable_attributes_token4] = ACTIONS(5189),
    [aux_sym_variable_attributes_token5] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5189),
    [aux_sym_derived_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5189),
    [aux_sym_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5189),
    [anon_sym_SEMI] = ACTIONS(5193),
    [aux_sym_stop_statement_token1] = ACTIONS(5189),
    [aux_sym_stop_statement_token2] = ACTIONS(5189),
    [aux_sym_subroutine_call_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token2] = ACTIONS(5189),
    [aux_sym_keyword_statement_token3] = ACTIONS(5189),
    [aux_sym_keyword_statement_token4] = ACTIONS(5189),
    [aux_sym_keyword_statement_token6] = ACTIONS(5189),
    [aux_sym_keyword_statement_token7] = ACTIONS(5189),
    [aux_sym_include_statement_token1] = ACTIONS(5189),
    [aux_sym_data_statement_token1] = ACTIONS(5189),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5189),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5189),
    [aux_sym_end_if_statement_token1] = ACTIONS(5189),
    [aux_sym_elseif_clause_token2] = ACTIONS(5189),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5189),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token3] = ACTIONS(5189),
    [aux_sym_select_type_statement_token1] = ACTIONS(5189),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5189),
    [aux_sym_block_construct_token1] = ACTIONS(5189),
    [aux_sym_associate_statement_token1] = ACTIONS(5189),
    [aux_sym_format_statement_token1] = ACTIONS(5189),
    [aux_sym_print_statement_token1] = ACTIONS(5189),
    [aux_sym_open_statement_token1] = ACTIONS(5189),
    [aux_sym_close_statement_token1] = ACTIONS(5189),
    [aux_sym_inquire_statement_token1] = ACTIONS(5189),
    [aux_sym_enum_statement_token1] = ACTIONS(5189),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token2] = ACTIONS(5189),
    [aux_sym_file_position_statement_token3] = ACTIONS(5189),
    [aux_sym_file_position_statement_token4] = ACTIONS(5189),
    [aux_sym_allocate_statement_token1] = ACTIONS(5189),
    [aux_sym_entry_statement_token1] = ACTIONS(5189),
    [aux_sym_logical_expression_token5] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [aux_sym_boolean_literal_token1] = ACTIONS(5193),
    [aux_sym_boolean_literal_token2] = ACTIONS(5193),
    [aux_sym_null_literal_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token2] = ACTIONS(5189),
    [aux_sym_coarray_statement_token6] = ACTIONS(5189),
    [aux_sym_coarray_statement_token8] = ACTIONS(5189),
    [aux_sym_coarray_statement_token11] = ACTIONS(5189),
    [aux_sym_coarray_statement_token12] = ACTIONS(5189),
    [aux_sym_coarray_statement_token13] = ACTIONS(5189),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5189),
    [aux_sym_identifier_token1] = ACTIONS(5189),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5193),
    [sym__float_literal] = ACTIONS(5193),
    [sym__boz_literal] = ACTIONS(5193),
    [sym__string_literal] = ACTIONS(5193),
    [sym__string_literal_kind] = ACTIONS(5193),
  },
  [1287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5181),
    [aux_sym_preproc_def_token1] = ACTIONS(5181),
    [aux_sym_preproc_if_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5181),
    [sym_preproc_directive] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [sym_preproc_comment] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5185),
    [anon_sym_DASH] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5181),
    [aux_sym_interface_statement_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5181),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5181),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5181),
    [aux_sym_language_binding_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5181),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5181),
    [aux_sym_end_function_statement_token1] = ACTIONS(5181),
    [aux_sym_contains_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token1] = ACTIONS(5181),
    [aux_sym_use_statement_token2] = ACTIONS(5181),
    [aux_sym_implicit_statement_token1] = ACTIONS(5181),
    [aux_sym_implicit_statement_token3] = ACTIONS(5181),
    [aux_sym_implicit_statement_token4] = ACTIONS(5181),
    [aux_sym_save_statement_token1] = ACTIONS(5181),
    [aux_sym_private_statement_token1] = ACTIONS(5181),
    [aux_sym_public_statement_token1] = ACTIONS(5181),
    [aux_sym_namelist_statement_token1] = ACTIONS(5181),
    [aux_sym_common_statement_token1] = ACTIONS(5181),
    [aux_sym_import_statement_token1] = ACTIONS(5181),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5181),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5181),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5181),
    [aux_sym_variable_attributes_token1] = ACTIONS(5181),
    [aux_sym_variable_attributes_token2] = ACTIONS(5181),
    [aux_sym_variable_attributes_token3] = ACTIONS(5181),
    [aux_sym_variable_attributes_token4] = ACTIONS(5181),
    [aux_sym_variable_attributes_token5] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5181),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5181),
    [aux_sym_derived_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token1] = ACTIONS(5181),
    [aux_sym_declared_type_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5181),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5181),
    [aux_sym_type_qualifier_token1] = ACTIONS(5181),
    [aux_sym_type_qualifier_token2] = ACTIONS(5181),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5181),
    [anon_sym_SEMI] = ACTIONS(5185),
    [aux_sym_stop_statement_token1] = ACTIONS(5181),
    [aux_sym_stop_statement_token2] = ACTIONS(5181),
    [aux_sym_subroutine_call_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token1] = ACTIONS(5181),
    [aux_sym_keyword_statement_token2] = ACTIONS(5181),
    [aux_sym_keyword_statement_token3] = ACTIONS(5181),
    [aux_sym_keyword_statement_token4] = ACTIONS(5181),
    [aux_sym_keyword_statement_token6] = ACTIONS(5181),
    [aux_sym_keyword_statement_token7] = ACTIONS(5181),
    [aux_sym_include_statement_token1] = ACTIONS(5181),
    [aux_sym_data_statement_token1] = ACTIONS(5181),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5181),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5181),
    [aux_sym_end_if_statement_token1] = ACTIONS(5181),
    [aux_sym_elseif_clause_token2] = ACTIONS(5181),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5181),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token1] = ACTIONS(5181),
    [aux_sym_select_case_statement_token3] = ACTIONS(5181),
    [aux_sym_select_type_statement_token1] = ACTIONS(5181),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5181),
    [aux_sym_block_construct_token1] = ACTIONS(5181),
    [aux_sym_associate_statement_token1] = ACTIONS(5181),
    [aux_sym_format_statement_token1] = ACTIONS(5181),
    [aux_sym_print_statement_token1] = ACTIONS(5181),
    [aux_sym_open_statement_token1] = ACTIONS(5181),
    [aux_sym_close_statement_token1] = ACTIONS(5181),
    [aux_sym_inquire_statement_token1] = ACTIONS(5181),
    [aux_sym_enum_statement_token1] = ACTIONS(5181),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token1] = ACTIONS(5181),
    [aux_sym_file_position_statement_token2] = ACTIONS(5181),
    [aux_sym_file_position_statement_token3] = ACTIONS(5181),
    [aux_sym_file_position_statement_token4] = ACTIONS(5181),
    [aux_sym_allocate_statement_token1] = ACTIONS(5181),
    [aux_sym_entry_statement_token1] = ACTIONS(5181),
    [aux_sym_logical_expression_token5] = ACTIONS(5185),
    [anon_sym_DOT] = ACTIONS(5181),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5185),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [aux_sym_boolean_literal_token1] = ACTIONS(5185),
    [aux_sym_boolean_literal_token2] = ACTIONS(5185),
    [aux_sym_null_literal_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_statement_token2] = ACTIONS(5181),
    [aux_sym_coarray_statement_token6] = ACTIONS(5181),
    [aux_sym_coarray_statement_token8] = ACTIONS(5181),
    [aux_sym_coarray_statement_token11] = ACTIONS(5181),
    [aux_sym_coarray_statement_token12] = ACTIONS(5181),
    [aux_sym_coarray_statement_token13] = ACTIONS(5181),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5181),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5181),
    [aux_sym_identifier_token1] = ACTIONS(5181),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5185),
    [sym__float_literal] = ACTIONS(5185),
    [sym__boz_literal] = ACTIONS(5185),
    [sym__string_literal] = ACTIONS(5185),
    [sym__string_literal_kind] = ACTIONS(5185),
  },
  [1288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [sym_preproc_comment] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [sym_preproc_comment] = ACTIONS(5359),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_end_function_statement_token1] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5197),
    [aux_sym_preproc_def_token1] = ACTIONS(5197),
    [aux_sym_preproc_if_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5197),
    [sym_preproc_directive] = ACTIONS(5197),
    [anon_sym_LPAREN2] = ACTIONS(5197),
    [sym_preproc_comment] = ACTIONS(5361),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5197),
    [aux_sym_interface_statement_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5197),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5197),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5197),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5197),
    [aux_sym_language_binding_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5197),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5197),
    [aux_sym_contains_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token1] = ACTIONS(5197),
    [aux_sym_use_statement_token2] = ACTIONS(5197),
    [aux_sym_implicit_statement_token1] = ACTIONS(5197),
    [aux_sym_implicit_statement_token3] = ACTIONS(5197),
    [aux_sym_implicit_statement_token4] = ACTIONS(5197),
    [aux_sym_save_statement_token1] = ACTIONS(5197),
    [aux_sym_private_statement_token1] = ACTIONS(5197),
    [aux_sym_public_statement_token1] = ACTIONS(5197),
    [aux_sym_namelist_statement_token1] = ACTIONS(5197),
    [aux_sym_common_statement_token1] = ACTIONS(5197),
    [aux_sym_import_statement_token1] = ACTIONS(5197),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5197),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5197),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5197),
    [aux_sym_variable_attributes_token1] = ACTIONS(5197),
    [aux_sym_variable_attributes_token2] = ACTIONS(5197),
    [aux_sym_variable_attributes_token3] = ACTIONS(5197),
    [aux_sym_variable_attributes_token4] = ACTIONS(5197),
    [aux_sym_variable_attributes_token5] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5197),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5197),
    [aux_sym_derived_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token1] = ACTIONS(5197),
    [aux_sym_declared_type_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5197),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5197),
    [aux_sym_type_qualifier_token1] = ACTIONS(5197),
    [aux_sym_type_qualifier_token2] = ACTIONS(5197),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5197),
    [anon_sym_SEMI] = ACTIONS(5201),
    [aux_sym_stop_statement_token1] = ACTIONS(5197),
    [aux_sym_stop_statement_token2] = ACTIONS(5197),
    [aux_sym_subroutine_call_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token1] = ACTIONS(5197),
    [aux_sym_keyword_statement_token2] = ACTIONS(5197),
    [aux_sym_keyword_statement_token3] = ACTIONS(5197),
    [aux_sym_keyword_statement_token4] = ACTIONS(5197),
    [aux_sym_keyword_statement_token6] = ACTIONS(5197),
    [aux_sym_keyword_statement_token7] = ACTIONS(5197),
    [aux_sym_include_statement_token1] = ACTIONS(5197),
    [aux_sym_data_statement_token1] = ACTIONS(5197),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5197),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5197),
    [aux_sym_end_if_statement_token1] = ACTIONS(5197),
    [aux_sym_elseif_clause_token2] = ACTIONS(5197),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5197),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token1] = ACTIONS(5197),
    [aux_sym_select_case_statement_token3] = ACTIONS(5197),
    [aux_sym_select_type_statement_token1] = ACTIONS(5197),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5197),
    [aux_sym_block_construct_token1] = ACTIONS(5197),
    [aux_sym_associate_statement_token1] = ACTIONS(5197),
    [aux_sym_format_statement_token1] = ACTIONS(5197),
    [aux_sym_print_statement_token1] = ACTIONS(5197),
    [aux_sym_open_statement_token1] = ACTIONS(5197),
    [aux_sym_close_statement_token1] = ACTIONS(5197),
    [aux_sym_inquire_statement_token1] = ACTIONS(5197),
    [aux_sym_enum_statement_token1] = ACTIONS(5197),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token1] = ACTIONS(5197),
    [aux_sym_file_position_statement_token2] = ACTIONS(5197),
    [aux_sym_file_position_statement_token3] = ACTIONS(5197),
    [aux_sym_file_position_statement_token4] = ACTIONS(5197),
    [aux_sym_allocate_statement_token1] = ACTIONS(5197),
    [aux_sym_entry_statement_token1] = ACTIONS(5197),
    [aux_sym_logical_expression_token5] = ACTIONS(5201),
    [anon_sym_DOT] = ACTIONS(5197),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5201),
    [aux_sym_boolean_literal_token1] = ACTIONS(5201),
    [aux_sym_boolean_literal_token2] = ACTIONS(5201),
    [aux_sym_null_literal_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_statement_token2] = ACTIONS(5197),
    [aux_sym_coarray_statement_token6] = ACTIONS(5197),
    [aux_sym_coarray_statement_token8] = ACTIONS(5197),
    [aux_sym_coarray_statement_token11] = ACTIONS(5197),
    [aux_sym_coarray_statement_token12] = ACTIONS(5197),
    [aux_sym_coarray_statement_token13] = ACTIONS(5197),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5197),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5197),
    [aux_sym_identifier_token1] = ACTIONS(5197),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5201),
    [sym__float_literal] = ACTIONS(5201),
    [sym__boz_literal] = ACTIONS(5201),
    [sym__string_literal] = ACTIONS(5201),
    [sym__string_literal_kind] = ACTIONS(5201),
  },
  [1291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_end_program_statement_token2] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5363),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_end_program_statement_token2] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5365),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_end_function_statement_token1] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5367),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_end_function_statement_token1] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5203),
    [aux_sym_preproc_def_token1] = ACTIONS(5203),
    [aux_sym_preproc_if_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5203),
    [sym_preproc_directive] = ACTIONS(5203),
    [anon_sym_LPAREN2] = ACTIONS(5203),
    [sym_preproc_comment] = ACTIONS(5369),
    [anon_sym_PLUS] = ACTIONS(5207),
    [anon_sym_DASH] = ACTIONS(5207),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5203),
    [aux_sym_interface_statement_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5203),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5203),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5203),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5203),
    [aux_sym_language_binding_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5203),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5203),
    [aux_sym_contains_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token1] = ACTIONS(5203),
    [aux_sym_use_statement_token2] = ACTIONS(5203),
    [aux_sym_implicit_statement_token1] = ACTIONS(5203),
    [aux_sym_implicit_statement_token3] = ACTIONS(5203),
    [aux_sym_implicit_statement_token4] = ACTIONS(5203),
    [aux_sym_save_statement_token1] = ACTIONS(5203),
    [aux_sym_private_statement_token1] = ACTIONS(5203),
    [aux_sym_public_statement_token1] = ACTIONS(5203),
    [aux_sym_namelist_statement_token1] = ACTIONS(5203),
    [aux_sym_common_statement_token1] = ACTIONS(5203),
    [aux_sym_import_statement_token1] = ACTIONS(5203),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5203),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5203),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5203),
    [aux_sym_variable_attributes_token1] = ACTIONS(5203),
    [aux_sym_variable_attributes_token2] = ACTIONS(5203),
    [aux_sym_variable_attributes_token3] = ACTIONS(5203),
    [aux_sym_variable_attributes_token4] = ACTIONS(5203),
    [aux_sym_variable_attributes_token5] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5203),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5203),
    [aux_sym_derived_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token1] = ACTIONS(5203),
    [aux_sym_declared_type_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5203),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5203),
    [aux_sym_type_qualifier_token1] = ACTIONS(5203),
    [aux_sym_type_qualifier_token2] = ACTIONS(5203),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5203),
    [anon_sym_SEMI] = ACTIONS(5207),
    [aux_sym_stop_statement_token1] = ACTIONS(5203),
    [aux_sym_stop_statement_token2] = ACTIONS(5203),
    [aux_sym_subroutine_call_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token1] = ACTIONS(5203),
    [aux_sym_keyword_statement_token2] = ACTIONS(5203),
    [aux_sym_keyword_statement_token3] = ACTIONS(5203),
    [aux_sym_keyword_statement_token4] = ACTIONS(5203),
    [aux_sym_keyword_statement_token6] = ACTIONS(5203),
    [aux_sym_keyword_statement_token7] = ACTIONS(5203),
    [aux_sym_include_statement_token1] = ACTIONS(5203),
    [aux_sym_data_statement_token1] = ACTIONS(5203),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5203),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5203),
    [aux_sym_end_if_statement_token1] = ACTIONS(5203),
    [aux_sym_elseif_clause_token2] = ACTIONS(5203),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5203),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token1] = ACTIONS(5203),
    [aux_sym_select_case_statement_token3] = ACTIONS(5203),
    [aux_sym_select_type_statement_token1] = ACTIONS(5203),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5203),
    [aux_sym_block_construct_token1] = ACTIONS(5203),
    [aux_sym_associate_statement_token1] = ACTIONS(5203),
    [aux_sym_format_statement_token1] = ACTIONS(5203),
    [aux_sym_print_statement_token1] = ACTIONS(5203),
    [aux_sym_open_statement_token1] = ACTIONS(5203),
    [aux_sym_close_statement_token1] = ACTIONS(5203),
    [aux_sym_inquire_statement_token1] = ACTIONS(5203),
    [aux_sym_enum_statement_token1] = ACTIONS(5203),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token1] = ACTIONS(5203),
    [aux_sym_file_position_statement_token2] = ACTIONS(5203),
    [aux_sym_file_position_statement_token3] = ACTIONS(5203),
    [aux_sym_file_position_statement_token4] = ACTIONS(5203),
    [aux_sym_allocate_statement_token1] = ACTIONS(5203),
    [aux_sym_entry_statement_token1] = ACTIONS(5203),
    [aux_sym_logical_expression_token5] = ACTIONS(5207),
    [anon_sym_DOT] = ACTIONS(5203),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [aux_sym_boolean_literal_token1] = ACTIONS(5207),
    [aux_sym_boolean_literal_token2] = ACTIONS(5207),
    [aux_sym_null_literal_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_statement_token2] = ACTIONS(5203),
    [aux_sym_coarray_statement_token6] = ACTIONS(5203),
    [aux_sym_coarray_statement_token8] = ACTIONS(5203),
    [aux_sym_coarray_statement_token11] = ACTIONS(5203),
    [aux_sym_coarray_statement_token12] = ACTIONS(5203),
    [aux_sym_coarray_statement_token13] = ACTIONS(5203),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5203),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5203),
    [aux_sym_identifier_token1] = ACTIONS(5203),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5207),
    [sym__float_literal] = ACTIONS(5207),
    [sym__boz_literal] = ACTIONS(5207),
    [sym__string_literal] = ACTIONS(5207),
    [sym__string_literal_kind] = ACTIONS(5207),
  },
  [1297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5215),
    [sym_preproc_comment] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5219),
    [anon_sym_DASH] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5215),
    [aux_sym_interface_statement_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5215),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5215),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5215),
    [aux_sym_language_binding_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5215),
    [aux_sym_contains_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token2] = ACTIONS(5215),
    [aux_sym_implicit_statement_token1] = ACTIONS(5215),
    [aux_sym_implicit_statement_token3] = ACTIONS(5215),
    [aux_sym_implicit_statement_token4] = ACTIONS(5215),
    [aux_sym_save_statement_token1] = ACTIONS(5215),
    [aux_sym_private_statement_token1] = ACTIONS(5215),
    [aux_sym_public_statement_token1] = ACTIONS(5215),
    [aux_sym_namelist_statement_token1] = ACTIONS(5215),
    [aux_sym_common_statement_token1] = ACTIONS(5215),
    [aux_sym_import_statement_token1] = ACTIONS(5215),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5215),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5215),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5215),
    [aux_sym_variable_attributes_token1] = ACTIONS(5215),
    [aux_sym_variable_attributes_token2] = ACTIONS(5215),
    [aux_sym_variable_attributes_token3] = ACTIONS(5215),
    [aux_sym_variable_attributes_token4] = ACTIONS(5215),
    [aux_sym_variable_attributes_token5] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5215),
    [aux_sym_derived_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5215),
    [aux_sym_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5219),
    [aux_sym_stop_statement_token1] = ACTIONS(5215),
    [aux_sym_stop_statement_token2] = ACTIONS(5215),
    [aux_sym_subroutine_call_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token2] = ACTIONS(5215),
    [aux_sym_keyword_statement_token3] = ACTIONS(5215),
    [aux_sym_keyword_statement_token4] = ACTIONS(5215),
    [aux_sym_keyword_statement_token6] = ACTIONS(5215),
    [aux_sym_keyword_statement_token7] = ACTIONS(5215),
    [aux_sym_include_statement_token1] = ACTIONS(5215),
    [aux_sym_data_statement_token1] = ACTIONS(5215),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5215),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5215),
    [aux_sym_end_if_statement_token1] = ACTIONS(5215),
    [aux_sym_elseif_clause_token2] = ACTIONS(5215),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5215),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token3] = ACTIONS(5215),
    [aux_sym_select_type_statement_token1] = ACTIONS(5215),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5215),
    [aux_sym_block_construct_token1] = ACTIONS(5215),
    [aux_sym_associate_statement_token1] = ACTIONS(5215),
    [aux_sym_format_statement_token1] = ACTIONS(5215),
    [aux_sym_print_statement_token1] = ACTIONS(5215),
    [aux_sym_open_statement_token1] = ACTIONS(5215),
    [aux_sym_close_statement_token1] = ACTIONS(5215),
    [aux_sym_inquire_statement_token1] = ACTIONS(5215),
    [aux_sym_enum_statement_token1] = ACTIONS(5215),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token2] = ACTIONS(5215),
    [aux_sym_file_position_statement_token3] = ACTIONS(5215),
    [aux_sym_file_position_statement_token4] = ACTIONS(5215),
    [aux_sym_allocate_statement_token1] = ACTIONS(5215),
    [aux_sym_entry_statement_token1] = ACTIONS(5215),
    [aux_sym_logical_expression_token5] = ACTIONS(5219),
    [anon_sym_DOT] = ACTIONS(5215),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [aux_sym_boolean_literal_token1] = ACTIONS(5219),
    [aux_sym_boolean_literal_token2] = ACTIONS(5219),
    [aux_sym_null_literal_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token2] = ACTIONS(5215),
    [aux_sym_coarray_statement_token6] = ACTIONS(5215),
    [aux_sym_coarray_statement_token8] = ACTIONS(5215),
    [aux_sym_coarray_statement_token11] = ACTIONS(5215),
    [aux_sym_coarray_statement_token12] = ACTIONS(5215),
    [aux_sym_coarray_statement_token13] = ACTIONS(5215),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5215),
    [aux_sym_identifier_token1] = ACTIONS(5215),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5219),
    [sym__float_literal] = ACTIONS(5219),
    [sym__boz_literal] = ACTIONS(5219),
    [sym__string_literal] = ACTIONS(5219),
    [sym__string_literal_kind] = ACTIONS(5219),
  },
  [1298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5373),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [sym_preproc_comment] = ACTIONS(5375),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_end_function_statement_token1] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5377),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5379),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [sym_preproc_comment] = ACTIONS(5383),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5303),
    [aux_sym_interface_statement_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5303),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5303),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5303),
    [aux_sym_language_binding_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5303),
    [aux_sym_contains_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token2] = ACTIONS(5303),
    [aux_sym_implicit_statement_token1] = ACTIONS(5303),
    [aux_sym_implicit_statement_token3] = ACTIONS(5303),
    [aux_sym_implicit_statement_token4] = ACTIONS(5303),
    [aux_sym_save_statement_token1] = ACTIONS(5303),
    [aux_sym_private_statement_token1] = ACTIONS(5303),
    [aux_sym_public_statement_token1] = ACTIONS(5303),
    [aux_sym_namelist_statement_token1] = ACTIONS(5303),
    [aux_sym_common_statement_token1] = ACTIONS(5303),
    [aux_sym_import_statement_token1] = ACTIONS(5303),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5303),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5303),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5303),
    [aux_sym_variable_attributes_token1] = ACTIONS(5303),
    [aux_sym_variable_attributes_token2] = ACTIONS(5303),
    [aux_sym_variable_attributes_token3] = ACTIONS(5303),
    [aux_sym_variable_attributes_token4] = ACTIONS(5303),
    [aux_sym_variable_attributes_token5] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5303),
    [aux_sym_derived_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5303),
    [aux_sym_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5307),
    [aux_sym_stop_statement_token1] = ACTIONS(5303),
    [aux_sym_stop_statement_token2] = ACTIONS(5303),
    [aux_sym_subroutine_call_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token2] = ACTIONS(5303),
    [aux_sym_keyword_statement_token3] = ACTIONS(5303),
    [aux_sym_keyword_statement_token4] = ACTIONS(5303),
    [aux_sym_keyword_statement_token6] = ACTIONS(5303),
    [aux_sym_keyword_statement_token7] = ACTIONS(5303),
    [aux_sym_include_statement_token1] = ACTIONS(5303),
    [aux_sym_data_statement_token1] = ACTIONS(5303),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5303),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5303),
    [aux_sym_end_if_statement_token1] = ACTIONS(5303),
    [aux_sym_elseif_clause_token2] = ACTIONS(5303),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5303),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token3] = ACTIONS(5303),
    [aux_sym_select_type_statement_token1] = ACTIONS(5303),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5303),
    [aux_sym_block_construct_token1] = ACTIONS(5303),
    [aux_sym_associate_statement_token1] = ACTIONS(5303),
    [aux_sym_format_statement_token1] = ACTIONS(5303),
    [aux_sym_print_statement_token1] = ACTIONS(5303),
    [aux_sym_open_statement_token1] = ACTIONS(5303),
    [aux_sym_close_statement_token1] = ACTIONS(5303),
    [aux_sym_inquire_statement_token1] = ACTIONS(5303),
    [aux_sym_enum_statement_token1] = ACTIONS(5303),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token2] = ACTIONS(5303),
    [aux_sym_file_position_statement_token3] = ACTIONS(5303),
    [aux_sym_file_position_statement_token4] = ACTIONS(5303),
    [aux_sym_allocate_statement_token1] = ACTIONS(5303),
    [aux_sym_entry_statement_token1] = ACTIONS(5303),
    [aux_sym_logical_expression_token5] = ACTIONS(5307),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [aux_sym_boolean_literal_token1] = ACTIONS(5307),
    [aux_sym_boolean_literal_token2] = ACTIONS(5307),
    [aux_sym_null_literal_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token2] = ACTIONS(5303),
    [aux_sym_coarray_statement_token6] = ACTIONS(5303),
    [aux_sym_coarray_statement_token8] = ACTIONS(5303),
    [aux_sym_coarray_statement_token11] = ACTIONS(5303),
    [aux_sym_coarray_statement_token12] = ACTIONS(5303),
    [aux_sym_coarray_statement_token13] = ACTIONS(5303),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5303),
    [aux_sym_identifier_token1] = ACTIONS(5303),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5307),
    [sym__float_literal] = ACTIONS(5307),
    [sym__boz_literal] = ACTIONS(5307),
    [sym__string_literal] = ACTIONS(5307),
    [sym__string_literal_kind] = ACTIONS(5307),
  },
  [1304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5385),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5189),
    [aux_sym_preproc_def_token1] = ACTIONS(5189),
    [aux_sym_preproc_if_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5189),
    [sym_preproc_directive] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [sym_preproc_comment] = ACTIONS(5387),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5189),
    [aux_sym_interface_statement_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5189),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5189),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5189),
    [aux_sym_language_binding_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5189),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5189),
    [aux_sym_end_function_statement_token1] = ACTIONS(5189),
    [aux_sym_contains_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token1] = ACTIONS(5189),
    [aux_sym_use_statement_token2] = ACTIONS(5189),
    [aux_sym_implicit_statement_token1] = ACTIONS(5189),
    [aux_sym_implicit_statement_token3] = ACTIONS(5189),
    [aux_sym_implicit_statement_token4] = ACTIONS(5189),
    [aux_sym_save_statement_token1] = ACTIONS(5189),
    [aux_sym_private_statement_token1] = ACTIONS(5189),
    [aux_sym_public_statement_token1] = ACTIONS(5189),
    [aux_sym_namelist_statement_token1] = ACTIONS(5189),
    [aux_sym_common_statement_token1] = ACTIONS(5189),
    [aux_sym_import_statement_token1] = ACTIONS(5189),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5189),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5189),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5189),
    [aux_sym_variable_attributes_token1] = ACTIONS(5189),
    [aux_sym_variable_attributes_token2] = ACTIONS(5189),
    [aux_sym_variable_attributes_token3] = ACTIONS(5189),
    [aux_sym_variable_attributes_token4] = ACTIONS(5189),
    [aux_sym_variable_attributes_token5] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5189),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5189),
    [aux_sym_derived_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token1] = ACTIONS(5189),
    [aux_sym_declared_type_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5189),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5189),
    [aux_sym_type_qualifier_token1] = ACTIONS(5189),
    [aux_sym_type_qualifier_token2] = ACTIONS(5189),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5189),
    [anon_sym_SEMI] = ACTIONS(5193),
    [aux_sym_stop_statement_token1] = ACTIONS(5189),
    [aux_sym_stop_statement_token2] = ACTIONS(5189),
    [aux_sym_subroutine_call_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token1] = ACTIONS(5189),
    [aux_sym_keyword_statement_token2] = ACTIONS(5189),
    [aux_sym_keyword_statement_token3] = ACTIONS(5189),
    [aux_sym_keyword_statement_token4] = ACTIONS(5189),
    [aux_sym_keyword_statement_token6] = ACTIONS(5189),
    [aux_sym_keyword_statement_token7] = ACTIONS(5189),
    [aux_sym_include_statement_token1] = ACTIONS(5189),
    [aux_sym_data_statement_token1] = ACTIONS(5189),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5189),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5189),
    [aux_sym_end_if_statement_token1] = ACTIONS(5189),
    [aux_sym_elseif_clause_token2] = ACTIONS(5189),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5189),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token1] = ACTIONS(5189),
    [aux_sym_select_case_statement_token3] = ACTIONS(5189),
    [aux_sym_select_type_statement_token1] = ACTIONS(5189),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5189),
    [aux_sym_block_construct_token1] = ACTIONS(5189),
    [aux_sym_associate_statement_token1] = ACTIONS(5189),
    [aux_sym_format_statement_token1] = ACTIONS(5189),
    [aux_sym_print_statement_token1] = ACTIONS(5189),
    [aux_sym_open_statement_token1] = ACTIONS(5189),
    [aux_sym_close_statement_token1] = ACTIONS(5189),
    [aux_sym_inquire_statement_token1] = ACTIONS(5189),
    [aux_sym_enum_statement_token1] = ACTIONS(5189),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token1] = ACTIONS(5189),
    [aux_sym_file_position_statement_token2] = ACTIONS(5189),
    [aux_sym_file_position_statement_token3] = ACTIONS(5189),
    [aux_sym_file_position_statement_token4] = ACTIONS(5189),
    [aux_sym_allocate_statement_token1] = ACTIONS(5189),
    [aux_sym_entry_statement_token1] = ACTIONS(5189),
    [aux_sym_logical_expression_token5] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [aux_sym_boolean_literal_token1] = ACTIONS(5193),
    [aux_sym_boolean_literal_token2] = ACTIONS(5193),
    [aux_sym_null_literal_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_statement_token2] = ACTIONS(5189),
    [aux_sym_coarray_statement_token6] = ACTIONS(5189),
    [aux_sym_coarray_statement_token8] = ACTIONS(5189),
    [aux_sym_coarray_statement_token11] = ACTIONS(5189),
    [aux_sym_coarray_statement_token12] = ACTIONS(5189),
    [aux_sym_coarray_statement_token13] = ACTIONS(5189),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5189),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5189),
    [aux_sym_identifier_token1] = ACTIONS(5189),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5193),
    [sym__float_literal] = ACTIONS(5193),
    [sym__boz_literal] = ACTIONS(5193),
    [sym__string_literal] = ACTIONS(5193),
    [sym__string_literal_kind] = ACTIONS(5193),
  },
  [1306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5271),
    [sym_preproc_comment] = ACTIONS(5389),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5271),
    [aux_sym_interface_statement_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5271),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5271),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5271),
    [aux_sym_language_binding_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5271),
    [aux_sym_contains_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token2] = ACTIONS(5271),
    [aux_sym_implicit_statement_token1] = ACTIONS(5271),
    [aux_sym_implicit_statement_token3] = ACTIONS(5271),
    [aux_sym_implicit_statement_token4] = ACTIONS(5271),
    [aux_sym_save_statement_token1] = ACTIONS(5271),
    [aux_sym_private_statement_token1] = ACTIONS(5271),
    [aux_sym_public_statement_token1] = ACTIONS(5271),
    [aux_sym_namelist_statement_token1] = ACTIONS(5271),
    [aux_sym_common_statement_token1] = ACTIONS(5271),
    [aux_sym_import_statement_token1] = ACTIONS(5271),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5271),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5271),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5271),
    [aux_sym_variable_attributes_token1] = ACTIONS(5271),
    [aux_sym_variable_attributes_token2] = ACTIONS(5271),
    [aux_sym_variable_attributes_token3] = ACTIONS(5271),
    [aux_sym_variable_attributes_token4] = ACTIONS(5271),
    [aux_sym_variable_attributes_token5] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5271),
    [aux_sym_derived_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5271),
    [aux_sym_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5275),
    [aux_sym_stop_statement_token1] = ACTIONS(5271),
    [aux_sym_stop_statement_token2] = ACTIONS(5271),
    [aux_sym_subroutine_call_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token2] = ACTIONS(5271),
    [aux_sym_keyword_statement_token3] = ACTIONS(5271),
    [aux_sym_keyword_statement_token4] = ACTIONS(5271),
    [aux_sym_keyword_statement_token6] = ACTIONS(5271),
    [aux_sym_keyword_statement_token7] = ACTIONS(5271),
    [aux_sym_include_statement_token1] = ACTIONS(5271),
    [aux_sym_data_statement_token1] = ACTIONS(5271),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5271),
    [aux_sym_end_if_statement_token1] = ACTIONS(5271),
    [aux_sym_elseif_clause_token2] = ACTIONS(5271),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5271),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token3] = ACTIONS(5271),
    [aux_sym_select_type_statement_token1] = ACTIONS(5271),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5271),
    [aux_sym_block_construct_token1] = ACTIONS(5271),
    [aux_sym_associate_statement_token1] = ACTIONS(5271),
    [aux_sym_format_statement_token1] = ACTIONS(5271),
    [aux_sym_print_statement_token1] = ACTIONS(5271),
    [aux_sym_open_statement_token1] = ACTIONS(5271),
    [aux_sym_close_statement_token1] = ACTIONS(5271),
    [aux_sym_inquire_statement_token1] = ACTIONS(5271),
    [aux_sym_enum_statement_token1] = ACTIONS(5271),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token2] = ACTIONS(5271),
    [aux_sym_file_position_statement_token3] = ACTIONS(5271),
    [aux_sym_file_position_statement_token4] = ACTIONS(5271),
    [aux_sym_allocate_statement_token1] = ACTIONS(5271),
    [aux_sym_entry_statement_token1] = ACTIONS(5271),
    [aux_sym_logical_expression_token5] = ACTIONS(5275),
    [anon_sym_DOT] = ACTIONS(5271),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [aux_sym_boolean_literal_token1] = ACTIONS(5275),
    [aux_sym_boolean_literal_token2] = ACTIONS(5275),
    [aux_sym_null_literal_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token2] = ACTIONS(5271),
    [aux_sym_coarray_statement_token6] = ACTIONS(5271),
    [aux_sym_coarray_statement_token8] = ACTIONS(5271),
    [aux_sym_coarray_statement_token11] = ACTIONS(5271),
    [aux_sym_coarray_statement_token12] = ACTIONS(5271),
    [aux_sym_coarray_statement_token13] = ACTIONS(5271),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5271),
    [aux_sym_identifier_token1] = ACTIONS(5271),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5275),
    [sym__float_literal] = ACTIONS(5275),
    [sym__boz_literal] = ACTIONS(5275),
    [sym__string_literal] = ACTIONS(5275),
    [sym__string_literal_kind] = ACTIONS(5275),
  },
  [1307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5393),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_end_program_statement_token2] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_end_program_statement_token2] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_end_program_statement_token2] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5397),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_end_program_statement_token2] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5215),
    [aux_sym_preproc_def_token1] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5215),
    [sym_preproc_directive] = ACTIONS(5215),
    [anon_sym_LPAREN2] = ACTIONS(5215),
    [sym_preproc_comment] = ACTIONS(5399),
    [anon_sym_PLUS] = ACTIONS(5219),
    [anon_sym_DASH] = ACTIONS(5219),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5215),
    [aux_sym_interface_statement_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5215),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5215),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5215),
    [aux_sym_language_binding_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5215),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5215),
    [aux_sym_end_function_statement_token1] = ACTIONS(5215),
    [aux_sym_contains_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token1] = ACTIONS(5215),
    [aux_sym_use_statement_token2] = ACTIONS(5215),
    [aux_sym_implicit_statement_token1] = ACTIONS(5215),
    [aux_sym_implicit_statement_token3] = ACTIONS(5215),
    [aux_sym_implicit_statement_token4] = ACTIONS(5215),
    [aux_sym_save_statement_token1] = ACTIONS(5215),
    [aux_sym_private_statement_token1] = ACTIONS(5215),
    [aux_sym_public_statement_token1] = ACTIONS(5215),
    [aux_sym_namelist_statement_token1] = ACTIONS(5215),
    [aux_sym_common_statement_token1] = ACTIONS(5215),
    [aux_sym_import_statement_token1] = ACTIONS(5215),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5215),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5215),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5215),
    [aux_sym_variable_attributes_token1] = ACTIONS(5215),
    [aux_sym_variable_attributes_token2] = ACTIONS(5215),
    [aux_sym_variable_attributes_token3] = ACTIONS(5215),
    [aux_sym_variable_attributes_token4] = ACTIONS(5215),
    [aux_sym_variable_attributes_token5] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5215),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5215),
    [aux_sym_derived_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token1] = ACTIONS(5215),
    [aux_sym_declared_type_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5215),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5215),
    [aux_sym_type_qualifier_token1] = ACTIONS(5215),
    [aux_sym_type_qualifier_token2] = ACTIONS(5215),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5219),
    [aux_sym_stop_statement_token1] = ACTIONS(5215),
    [aux_sym_stop_statement_token2] = ACTIONS(5215),
    [aux_sym_subroutine_call_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token1] = ACTIONS(5215),
    [aux_sym_keyword_statement_token2] = ACTIONS(5215),
    [aux_sym_keyword_statement_token3] = ACTIONS(5215),
    [aux_sym_keyword_statement_token4] = ACTIONS(5215),
    [aux_sym_keyword_statement_token6] = ACTIONS(5215),
    [aux_sym_keyword_statement_token7] = ACTIONS(5215),
    [aux_sym_include_statement_token1] = ACTIONS(5215),
    [aux_sym_data_statement_token1] = ACTIONS(5215),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5215),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5215),
    [aux_sym_end_if_statement_token1] = ACTIONS(5215),
    [aux_sym_elseif_clause_token2] = ACTIONS(5215),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5215),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token1] = ACTIONS(5215),
    [aux_sym_select_case_statement_token3] = ACTIONS(5215),
    [aux_sym_select_type_statement_token1] = ACTIONS(5215),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5215),
    [aux_sym_block_construct_token1] = ACTIONS(5215),
    [aux_sym_associate_statement_token1] = ACTIONS(5215),
    [aux_sym_format_statement_token1] = ACTIONS(5215),
    [aux_sym_print_statement_token1] = ACTIONS(5215),
    [aux_sym_open_statement_token1] = ACTIONS(5215),
    [aux_sym_close_statement_token1] = ACTIONS(5215),
    [aux_sym_inquire_statement_token1] = ACTIONS(5215),
    [aux_sym_enum_statement_token1] = ACTIONS(5215),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token1] = ACTIONS(5215),
    [aux_sym_file_position_statement_token2] = ACTIONS(5215),
    [aux_sym_file_position_statement_token3] = ACTIONS(5215),
    [aux_sym_file_position_statement_token4] = ACTIONS(5215),
    [aux_sym_allocate_statement_token1] = ACTIONS(5215),
    [aux_sym_entry_statement_token1] = ACTIONS(5215),
    [aux_sym_logical_expression_token5] = ACTIONS(5219),
    [anon_sym_DOT] = ACTIONS(5215),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [aux_sym_boolean_literal_token1] = ACTIONS(5219),
    [aux_sym_boolean_literal_token2] = ACTIONS(5219),
    [aux_sym_null_literal_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_statement_token2] = ACTIONS(5215),
    [aux_sym_coarray_statement_token6] = ACTIONS(5215),
    [aux_sym_coarray_statement_token8] = ACTIONS(5215),
    [aux_sym_coarray_statement_token11] = ACTIONS(5215),
    [aux_sym_coarray_statement_token12] = ACTIONS(5215),
    [aux_sym_coarray_statement_token13] = ACTIONS(5215),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5215),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5215),
    [aux_sym_identifier_token1] = ACTIONS(5215),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5219),
    [sym__float_literal] = ACTIONS(5219),
    [sym__boz_literal] = ACTIONS(5219),
    [sym__string_literal] = ACTIONS(5219),
    [sym__string_literal_kind] = ACTIONS(5219),
  },
  [1318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [sym_preproc_comment] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_end_function_statement_token1] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [sym_preproc_comment] = ACTIONS(5403),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5303),
    [aux_sym_end_program_statement_token2] = ACTIONS(5303),
    [aux_sym_interface_statement_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5303),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5303),
    [aux_sym_language_binding_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5303),
    [aux_sym_contains_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token2] = ACTIONS(5303),
    [aux_sym_implicit_statement_token1] = ACTIONS(5303),
    [aux_sym_implicit_statement_token3] = ACTIONS(5303),
    [aux_sym_implicit_statement_token4] = ACTIONS(5303),
    [aux_sym_save_statement_token1] = ACTIONS(5303),
    [aux_sym_private_statement_token1] = ACTIONS(5303),
    [aux_sym_public_statement_token1] = ACTIONS(5303),
    [aux_sym_namelist_statement_token1] = ACTIONS(5303),
    [aux_sym_common_statement_token1] = ACTIONS(5303),
    [aux_sym_import_statement_token1] = ACTIONS(5303),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5303),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5303),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5303),
    [aux_sym_variable_attributes_token1] = ACTIONS(5303),
    [aux_sym_variable_attributes_token2] = ACTIONS(5303),
    [aux_sym_variable_attributes_token3] = ACTIONS(5303),
    [aux_sym_variable_attributes_token4] = ACTIONS(5303),
    [aux_sym_variable_attributes_token5] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5303),
    [aux_sym_derived_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5303),
    [aux_sym_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5307),
    [aux_sym_stop_statement_token1] = ACTIONS(5303),
    [aux_sym_stop_statement_token2] = ACTIONS(5303),
    [aux_sym_subroutine_call_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token2] = ACTIONS(5303),
    [aux_sym_keyword_statement_token3] = ACTIONS(5303),
    [aux_sym_keyword_statement_token4] = ACTIONS(5303),
    [aux_sym_keyword_statement_token6] = ACTIONS(5303),
    [aux_sym_keyword_statement_token7] = ACTIONS(5303),
    [aux_sym_include_statement_token1] = ACTIONS(5303),
    [aux_sym_data_statement_token1] = ACTIONS(5303),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5303),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5303),
    [aux_sym_end_if_statement_token1] = ACTIONS(5303),
    [aux_sym_elseif_clause_token2] = ACTIONS(5303),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5303),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token3] = ACTIONS(5303),
    [aux_sym_select_type_statement_token1] = ACTIONS(5303),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5303),
    [aux_sym_block_construct_token1] = ACTIONS(5303),
    [aux_sym_associate_statement_token1] = ACTIONS(5303),
    [aux_sym_format_statement_token1] = ACTIONS(5303),
    [aux_sym_print_statement_token1] = ACTIONS(5303),
    [aux_sym_open_statement_token1] = ACTIONS(5303),
    [aux_sym_close_statement_token1] = ACTIONS(5303),
    [aux_sym_inquire_statement_token1] = ACTIONS(5303),
    [aux_sym_enum_statement_token1] = ACTIONS(5303),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token2] = ACTIONS(5303),
    [aux_sym_file_position_statement_token3] = ACTIONS(5303),
    [aux_sym_file_position_statement_token4] = ACTIONS(5303),
    [aux_sym_allocate_statement_token1] = ACTIONS(5303),
    [aux_sym_entry_statement_token1] = ACTIONS(5303),
    [aux_sym_logical_expression_token5] = ACTIONS(5307),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [aux_sym_boolean_literal_token1] = ACTIONS(5307),
    [aux_sym_boolean_literal_token2] = ACTIONS(5307),
    [aux_sym_null_literal_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token2] = ACTIONS(5303),
    [aux_sym_coarray_statement_token6] = ACTIONS(5303),
    [aux_sym_coarray_statement_token8] = ACTIONS(5303),
    [aux_sym_coarray_statement_token11] = ACTIONS(5303),
    [aux_sym_coarray_statement_token12] = ACTIONS(5303),
    [aux_sym_coarray_statement_token13] = ACTIONS(5303),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5303),
    [aux_sym_identifier_token1] = ACTIONS(5303),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5307),
    [sym__float_literal] = ACTIONS(5307),
    [sym__boz_literal] = ACTIONS(5307),
    [sym__string_literal] = ACTIONS(5307),
    [sym__string_literal_kind] = ACTIONS(5307),
  },
  [1320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_end_program_statement_token2] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_end_program_statement_token2] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5253),
    [aux_sym_preproc_def_token1] = ACTIONS(5253),
    [aux_sym_preproc_if_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5253),
    [sym_preproc_directive] = ACTIONS(5253),
    [anon_sym_LPAREN2] = ACTIONS(5253),
    [sym_preproc_comment] = ACTIONS(5405),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5253),
    [aux_sym_interface_statement_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5253),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5253),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5253),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5253),
    [aux_sym_language_binding_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5253),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5253),
    [aux_sym_contains_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token1] = ACTIONS(5253),
    [aux_sym_use_statement_token2] = ACTIONS(5253),
    [aux_sym_implicit_statement_token1] = ACTIONS(5253),
    [aux_sym_implicit_statement_token3] = ACTIONS(5253),
    [aux_sym_implicit_statement_token4] = ACTIONS(5253),
    [aux_sym_save_statement_token1] = ACTIONS(5253),
    [aux_sym_private_statement_token1] = ACTIONS(5253),
    [aux_sym_public_statement_token1] = ACTIONS(5253),
    [aux_sym_namelist_statement_token1] = ACTIONS(5253),
    [aux_sym_common_statement_token1] = ACTIONS(5253),
    [aux_sym_import_statement_token1] = ACTIONS(5253),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5253),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5253),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5253),
    [aux_sym_variable_attributes_token1] = ACTIONS(5253),
    [aux_sym_variable_attributes_token2] = ACTIONS(5253),
    [aux_sym_variable_attributes_token3] = ACTIONS(5253),
    [aux_sym_variable_attributes_token4] = ACTIONS(5253),
    [aux_sym_variable_attributes_token5] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5253),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5253),
    [aux_sym_derived_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token1] = ACTIONS(5253),
    [aux_sym_declared_type_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5253),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5253),
    [aux_sym_type_qualifier_token1] = ACTIONS(5253),
    [aux_sym_type_qualifier_token2] = ACTIONS(5253),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5253),
    [anon_sym_SEMI] = ACTIONS(5257),
    [aux_sym_stop_statement_token1] = ACTIONS(5253),
    [aux_sym_stop_statement_token2] = ACTIONS(5253),
    [aux_sym_subroutine_call_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token1] = ACTIONS(5253),
    [aux_sym_keyword_statement_token2] = ACTIONS(5253),
    [aux_sym_keyword_statement_token3] = ACTIONS(5253),
    [aux_sym_keyword_statement_token4] = ACTIONS(5253),
    [aux_sym_keyword_statement_token6] = ACTIONS(5253),
    [aux_sym_keyword_statement_token7] = ACTIONS(5253),
    [aux_sym_include_statement_token1] = ACTIONS(5253),
    [aux_sym_data_statement_token1] = ACTIONS(5253),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5253),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5253),
    [aux_sym_end_if_statement_token1] = ACTIONS(5253),
    [aux_sym_elseif_clause_token2] = ACTIONS(5253),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5253),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token1] = ACTIONS(5253),
    [aux_sym_select_case_statement_token3] = ACTIONS(5253),
    [aux_sym_select_type_statement_token1] = ACTIONS(5253),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5253),
    [aux_sym_block_construct_token1] = ACTIONS(5253),
    [aux_sym_associate_statement_token1] = ACTIONS(5253),
    [aux_sym_format_statement_token1] = ACTIONS(5253),
    [aux_sym_print_statement_token1] = ACTIONS(5253),
    [aux_sym_open_statement_token1] = ACTIONS(5253),
    [aux_sym_close_statement_token1] = ACTIONS(5253),
    [aux_sym_inquire_statement_token1] = ACTIONS(5253),
    [aux_sym_enum_statement_token1] = ACTIONS(5253),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token1] = ACTIONS(5253),
    [aux_sym_file_position_statement_token2] = ACTIONS(5253),
    [aux_sym_file_position_statement_token3] = ACTIONS(5253),
    [aux_sym_file_position_statement_token4] = ACTIONS(5253),
    [aux_sym_allocate_statement_token1] = ACTIONS(5253),
    [aux_sym_entry_statement_token1] = ACTIONS(5253),
    [aux_sym_logical_expression_token5] = ACTIONS(5257),
    [anon_sym_DOT] = ACTIONS(5253),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5257),
    [aux_sym_boolean_literal_token1] = ACTIONS(5257),
    [aux_sym_boolean_literal_token2] = ACTIONS(5257),
    [aux_sym_null_literal_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_statement_token2] = ACTIONS(5253),
    [aux_sym_coarray_statement_token6] = ACTIONS(5253),
    [aux_sym_coarray_statement_token8] = ACTIONS(5253),
    [aux_sym_coarray_statement_token11] = ACTIONS(5253),
    [aux_sym_coarray_statement_token12] = ACTIONS(5253),
    [aux_sym_coarray_statement_token13] = ACTIONS(5253),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5253),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5253),
    [aux_sym_identifier_token1] = ACTIONS(5253),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5257),
    [sym__float_literal] = ACTIONS(5257),
    [sym__boz_literal] = ACTIONS(5257),
    [sym__string_literal] = ACTIONS(5257),
    [sym__string_literal_kind] = ACTIONS(5257),
  },
  [1323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [sym_preproc_comment] = ACTIONS(5407),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [sym_preproc_comment] = ACTIONS(5409),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_end_function_statement_token1] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5241),
    [aux_sym_preproc_def_token1] = ACTIONS(5241),
    [aux_sym_preproc_if_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5241),
    [sym_preproc_directive] = ACTIONS(5241),
    [anon_sym_LPAREN2] = ACTIONS(5241),
    [sym_preproc_comment] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5245),
    [anon_sym_DASH] = ACTIONS(5245),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5241),
    [aux_sym_interface_statement_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5241),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5241),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5241),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5241),
    [aux_sym_language_binding_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5241),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5241),
    [aux_sym_contains_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token1] = ACTIONS(5241),
    [aux_sym_use_statement_token2] = ACTIONS(5241),
    [aux_sym_implicit_statement_token1] = ACTIONS(5241),
    [aux_sym_implicit_statement_token3] = ACTIONS(5241),
    [aux_sym_implicit_statement_token4] = ACTIONS(5241),
    [aux_sym_save_statement_token1] = ACTIONS(5241),
    [aux_sym_private_statement_token1] = ACTIONS(5241),
    [aux_sym_public_statement_token1] = ACTIONS(5241),
    [aux_sym_namelist_statement_token1] = ACTIONS(5241),
    [aux_sym_common_statement_token1] = ACTIONS(5241),
    [aux_sym_import_statement_token1] = ACTIONS(5241),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5241),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5241),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5241),
    [aux_sym_variable_attributes_token1] = ACTIONS(5241),
    [aux_sym_variable_attributes_token2] = ACTIONS(5241),
    [aux_sym_variable_attributes_token3] = ACTIONS(5241),
    [aux_sym_variable_attributes_token4] = ACTIONS(5241),
    [aux_sym_variable_attributes_token5] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5241),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5241),
    [aux_sym_derived_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token1] = ACTIONS(5241),
    [aux_sym_declared_type_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5241),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5241),
    [aux_sym_type_qualifier_token1] = ACTIONS(5241),
    [aux_sym_type_qualifier_token2] = ACTIONS(5241),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5241),
    [anon_sym_SEMI] = ACTIONS(5245),
    [aux_sym_stop_statement_token1] = ACTIONS(5241),
    [aux_sym_stop_statement_token2] = ACTIONS(5241),
    [aux_sym_subroutine_call_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token1] = ACTIONS(5241),
    [aux_sym_keyword_statement_token2] = ACTIONS(5241),
    [aux_sym_keyword_statement_token3] = ACTIONS(5241),
    [aux_sym_keyword_statement_token4] = ACTIONS(5241),
    [aux_sym_keyword_statement_token6] = ACTIONS(5241),
    [aux_sym_keyword_statement_token7] = ACTIONS(5241),
    [aux_sym_include_statement_token1] = ACTIONS(5241),
    [aux_sym_data_statement_token1] = ACTIONS(5241),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5241),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5241),
    [aux_sym_end_if_statement_token1] = ACTIONS(5241),
    [aux_sym_elseif_clause_token2] = ACTIONS(5241),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5241),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token1] = ACTIONS(5241),
    [aux_sym_select_case_statement_token3] = ACTIONS(5241),
    [aux_sym_select_type_statement_token1] = ACTIONS(5241),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5241),
    [aux_sym_block_construct_token1] = ACTIONS(5241),
    [aux_sym_associate_statement_token1] = ACTIONS(5241),
    [aux_sym_format_statement_token1] = ACTIONS(5241),
    [aux_sym_print_statement_token1] = ACTIONS(5241),
    [aux_sym_open_statement_token1] = ACTIONS(5241),
    [aux_sym_close_statement_token1] = ACTIONS(5241),
    [aux_sym_inquire_statement_token1] = ACTIONS(5241),
    [aux_sym_enum_statement_token1] = ACTIONS(5241),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token1] = ACTIONS(5241),
    [aux_sym_file_position_statement_token2] = ACTIONS(5241),
    [aux_sym_file_position_statement_token3] = ACTIONS(5241),
    [aux_sym_file_position_statement_token4] = ACTIONS(5241),
    [aux_sym_allocate_statement_token1] = ACTIONS(5241),
    [aux_sym_entry_statement_token1] = ACTIONS(5241),
    [aux_sym_logical_expression_token5] = ACTIONS(5245),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5245),
    [anon_sym_LBRACK] = ACTIONS(5245),
    [aux_sym_boolean_literal_token1] = ACTIONS(5245),
    [aux_sym_boolean_literal_token2] = ACTIONS(5245),
    [aux_sym_null_literal_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_statement_token2] = ACTIONS(5241),
    [aux_sym_coarray_statement_token6] = ACTIONS(5241),
    [aux_sym_coarray_statement_token8] = ACTIONS(5241),
    [aux_sym_coarray_statement_token11] = ACTIONS(5241),
    [aux_sym_coarray_statement_token12] = ACTIONS(5241),
    [aux_sym_coarray_statement_token13] = ACTIONS(5241),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5241),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5241),
    [aux_sym_identifier_token1] = ACTIONS(5241),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5245),
    [sym__float_literal] = ACTIONS(5245),
    [sym__boz_literal] = ACTIONS(5245),
    [sym__string_literal] = ACTIONS(5245),
    [sym__string_literal_kind] = ACTIONS(5245),
  },
  [1326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5303),
    [aux_sym_preproc_def_token1] = ACTIONS(5303),
    [aux_sym_preproc_if_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5303),
    [sym_preproc_directive] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [sym_preproc_comment] = ACTIONS(5415),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5303),
    [aux_sym_interface_statement_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5303),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5303),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5303),
    [aux_sym_language_binding_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5303),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5303),
    [aux_sym_end_function_statement_token1] = ACTIONS(5303),
    [aux_sym_contains_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token1] = ACTIONS(5303),
    [aux_sym_use_statement_token2] = ACTIONS(5303),
    [aux_sym_implicit_statement_token1] = ACTIONS(5303),
    [aux_sym_implicit_statement_token3] = ACTIONS(5303),
    [aux_sym_implicit_statement_token4] = ACTIONS(5303),
    [aux_sym_save_statement_token1] = ACTIONS(5303),
    [aux_sym_private_statement_token1] = ACTIONS(5303),
    [aux_sym_public_statement_token1] = ACTIONS(5303),
    [aux_sym_namelist_statement_token1] = ACTIONS(5303),
    [aux_sym_common_statement_token1] = ACTIONS(5303),
    [aux_sym_import_statement_token1] = ACTIONS(5303),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5303),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5303),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5303),
    [aux_sym_variable_attributes_token1] = ACTIONS(5303),
    [aux_sym_variable_attributes_token2] = ACTIONS(5303),
    [aux_sym_variable_attributes_token3] = ACTIONS(5303),
    [aux_sym_variable_attributes_token4] = ACTIONS(5303),
    [aux_sym_variable_attributes_token5] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5303),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5303),
    [aux_sym_derived_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token1] = ACTIONS(5303),
    [aux_sym_declared_type_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5303),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5303),
    [aux_sym_type_qualifier_token1] = ACTIONS(5303),
    [aux_sym_type_qualifier_token2] = ACTIONS(5303),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5307),
    [aux_sym_stop_statement_token1] = ACTIONS(5303),
    [aux_sym_stop_statement_token2] = ACTIONS(5303),
    [aux_sym_subroutine_call_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token1] = ACTIONS(5303),
    [aux_sym_keyword_statement_token2] = ACTIONS(5303),
    [aux_sym_keyword_statement_token3] = ACTIONS(5303),
    [aux_sym_keyword_statement_token4] = ACTIONS(5303),
    [aux_sym_keyword_statement_token6] = ACTIONS(5303),
    [aux_sym_keyword_statement_token7] = ACTIONS(5303),
    [aux_sym_include_statement_token1] = ACTIONS(5303),
    [aux_sym_data_statement_token1] = ACTIONS(5303),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5303),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5303),
    [aux_sym_end_if_statement_token1] = ACTIONS(5303),
    [aux_sym_elseif_clause_token2] = ACTIONS(5303),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5303),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token1] = ACTIONS(5303),
    [aux_sym_select_case_statement_token3] = ACTIONS(5303),
    [aux_sym_select_type_statement_token1] = ACTIONS(5303),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5303),
    [aux_sym_block_construct_token1] = ACTIONS(5303),
    [aux_sym_associate_statement_token1] = ACTIONS(5303),
    [aux_sym_format_statement_token1] = ACTIONS(5303),
    [aux_sym_print_statement_token1] = ACTIONS(5303),
    [aux_sym_open_statement_token1] = ACTIONS(5303),
    [aux_sym_close_statement_token1] = ACTIONS(5303),
    [aux_sym_inquire_statement_token1] = ACTIONS(5303),
    [aux_sym_enum_statement_token1] = ACTIONS(5303),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token1] = ACTIONS(5303),
    [aux_sym_file_position_statement_token2] = ACTIONS(5303),
    [aux_sym_file_position_statement_token3] = ACTIONS(5303),
    [aux_sym_file_position_statement_token4] = ACTIONS(5303),
    [aux_sym_allocate_statement_token1] = ACTIONS(5303),
    [aux_sym_entry_statement_token1] = ACTIONS(5303),
    [aux_sym_logical_expression_token5] = ACTIONS(5307),
    [anon_sym_DOT] = ACTIONS(5303),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5307),
    [aux_sym_boolean_literal_token1] = ACTIONS(5307),
    [aux_sym_boolean_literal_token2] = ACTIONS(5307),
    [aux_sym_null_literal_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_statement_token2] = ACTIONS(5303),
    [aux_sym_coarray_statement_token6] = ACTIONS(5303),
    [aux_sym_coarray_statement_token8] = ACTIONS(5303),
    [aux_sym_coarray_statement_token11] = ACTIONS(5303),
    [aux_sym_coarray_statement_token12] = ACTIONS(5303),
    [aux_sym_coarray_statement_token13] = ACTIONS(5303),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5303),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5303),
    [aux_sym_identifier_token1] = ACTIONS(5303),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5307),
    [sym__float_literal] = ACTIONS(5307),
    [sym__boz_literal] = ACTIONS(5307),
    [sym__string_literal] = ACTIONS(5307),
    [sym__string_literal_kind] = ACTIONS(5307),
  },
  [1328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [sym_preproc_comment] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4305),
    [aux_sym_preproc_def_token1] = ACTIONS(4305),
    [aux_sym_preproc_if_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4305),
    [sym_preproc_directive] = ACTIONS(4305),
    [anon_sym_LPAREN2] = ACTIONS(4305),
    [sym_preproc_comment] = ACTIONS(5419),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4305),
    [aux_sym_interface_statement_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4305),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4305),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4305),
    [aux_sym_language_binding_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4305),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4305),
    [aux_sym_contains_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token1] = ACTIONS(4305),
    [aux_sym_use_statement_token2] = ACTIONS(4305),
    [aux_sym_implicit_statement_token1] = ACTIONS(4305),
    [aux_sym_implicit_statement_token3] = ACTIONS(4305),
    [aux_sym_implicit_statement_token4] = ACTIONS(4305),
    [aux_sym_save_statement_token1] = ACTIONS(4305),
    [aux_sym_private_statement_token1] = ACTIONS(4305),
    [aux_sym_public_statement_token1] = ACTIONS(4305),
    [aux_sym_namelist_statement_token1] = ACTIONS(4305),
    [aux_sym_common_statement_token1] = ACTIONS(4305),
    [aux_sym_import_statement_token1] = ACTIONS(4305),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4305),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4305),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4305),
    [aux_sym_variable_attributes_token1] = ACTIONS(4305),
    [aux_sym_variable_attributes_token2] = ACTIONS(4305),
    [aux_sym_variable_attributes_token3] = ACTIONS(4305),
    [aux_sym_variable_attributes_token4] = ACTIONS(4305),
    [aux_sym_variable_attributes_token5] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4305),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4305),
    [aux_sym_derived_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token1] = ACTIONS(4305),
    [aux_sym_declared_type_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4305),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4305),
    [aux_sym_type_qualifier_token1] = ACTIONS(4305),
    [aux_sym_type_qualifier_token2] = ACTIONS(4305),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4305),
    [anon_sym_SEMI] = ACTIONS(4311),
    [aux_sym_stop_statement_token1] = ACTIONS(4305),
    [aux_sym_stop_statement_token2] = ACTIONS(4305),
    [aux_sym_subroutine_call_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token1] = ACTIONS(4305),
    [aux_sym_keyword_statement_token2] = ACTIONS(4305),
    [aux_sym_keyword_statement_token3] = ACTIONS(4305),
    [aux_sym_keyword_statement_token4] = ACTIONS(4305),
    [aux_sym_keyword_statement_token6] = ACTIONS(4305),
    [aux_sym_keyword_statement_token7] = ACTIONS(4305),
    [aux_sym_include_statement_token1] = ACTIONS(4305),
    [aux_sym_data_statement_token1] = ACTIONS(4305),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4305),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4305),
    [aux_sym_end_if_statement_token1] = ACTIONS(4305),
    [aux_sym_elseif_clause_token2] = ACTIONS(4305),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4305),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token1] = ACTIONS(4305),
    [aux_sym_select_case_statement_token3] = ACTIONS(4305),
    [aux_sym_select_type_statement_token1] = ACTIONS(4305),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4305),
    [aux_sym_block_construct_token1] = ACTIONS(4305),
    [aux_sym_associate_statement_token1] = ACTIONS(4305),
    [aux_sym_format_statement_token1] = ACTIONS(4305),
    [aux_sym_print_statement_token1] = ACTIONS(4305),
    [aux_sym_open_statement_token1] = ACTIONS(4305),
    [aux_sym_close_statement_token1] = ACTIONS(4305),
    [aux_sym_inquire_statement_token1] = ACTIONS(4305),
    [aux_sym_enum_statement_token1] = ACTIONS(4305),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token1] = ACTIONS(4305),
    [aux_sym_file_position_statement_token2] = ACTIONS(4305),
    [aux_sym_file_position_statement_token3] = ACTIONS(4305),
    [aux_sym_file_position_statement_token4] = ACTIONS(4305),
    [aux_sym_allocate_statement_token1] = ACTIONS(4305),
    [aux_sym_entry_statement_token1] = ACTIONS(4305),
    [aux_sym_logical_expression_token5] = ACTIONS(4311),
    [anon_sym_DOT] = ACTIONS(4305),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [aux_sym_boolean_literal_token1] = ACTIONS(4311),
    [aux_sym_boolean_literal_token2] = ACTIONS(4311),
    [aux_sym_null_literal_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_statement_token2] = ACTIONS(4305),
    [aux_sym_coarray_statement_token6] = ACTIONS(4305),
    [aux_sym_coarray_statement_token8] = ACTIONS(4305),
    [aux_sym_coarray_statement_token11] = ACTIONS(4305),
    [aux_sym_coarray_statement_token12] = ACTIONS(4305),
    [aux_sym_coarray_statement_token13] = ACTIONS(4305),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4305),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4305),
    [aux_sym_identifier_token1] = ACTIONS(4305),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4311),
    [sym__float_literal] = ACTIONS(4311),
    [sym__boz_literal] = ACTIONS(4311),
    [sym__string_literal] = ACTIONS(4311),
    [sym__string_literal_kind] = ACTIONS(4311),
  },
  [1330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [sym_preproc_comment] = ACTIONS(5421),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_end_function_statement_token1] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5271),
    [aux_sym_preproc_def_token1] = ACTIONS(5271),
    [aux_sym_preproc_if_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5271),
    [sym_preproc_directive] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5271),
    [sym_preproc_comment] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5275),
    [anon_sym_DASH] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5271),
    [aux_sym_interface_statement_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5271),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5271),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5271),
    [aux_sym_language_binding_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5271),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5271),
    [aux_sym_end_function_statement_token1] = ACTIONS(5271),
    [aux_sym_contains_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token1] = ACTIONS(5271),
    [aux_sym_use_statement_token2] = ACTIONS(5271),
    [aux_sym_implicit_statement_token1] = ACTIONS(5271),
    [aux_sym_implicit_statement_token3] = ACTIONS(5271),
    [aux_sym_implicit_statement_token4] = ACTIONS(5271),
    [aux_sym_save_statement_token1] = ACTIONS(5271),
    [aux_sym_private_statement_token1] = ACTIONS(5271),
    [aux_sym_public_statement_token1] = ACTIONS(5271),
    [aux_sym_namelist_statement_token1] = ACTIONS(5271),
    [aux_sym_common_statement_token1] = ACTIONS(5271),
    [aux_sym_import_statement_token1] = ACTIONS(5271),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5271),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5271),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5271),
    [aux_sym_variable_attributes_token1] = ACTIONS(5271),
    [aux_sym_variable_attributes_token2] = ACTIONS(5271),
    [aux_sym_variable_attributes_token3] = ACTIONS(5271),
    [aux_sym_variable_attributes_token4] = ACTIONS(5271),
    [aux_sym_variable_attributes_token5] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5271),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5271),
    [aux_sym_derived_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token1] = ACTIONS(5271),
    [aux_sym_declared_type_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5271),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5271),
    [aux_sym_type_qualifier_token1] = ACTIONS(5271),
    [aux_sym_type_qualifier_token2] = ACTIONS(5271),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5271),
    [anon_sym_SEMI] = ACTIONS(5275),
    [aux_sym_stop_statement_token1] = ACTIONS(5271),
    [aux_sym_stop_statement_token2] = ACTIONS(5271),
    [aux_sym_subroutine_call_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token1] = ACTIONS(5271),
    [aux_sym_keyword_statement_token2] = ACTIONS(5271),
    [aux_sym_keyword_statement_token3] = ACTIONS(5271),
    [aux_sym_keyword_statement_token4] = ACTIONS(5271),
    [aux_sym_keyword_statement_token6] = ACTIONS(5271),
    [aux_sym_keyword_statement_token7] = ACTIONS(5271),
    [aux_sym_include_statement_token1] = ACTIONS(5271),
    [aux_sym_data_statement_token1] = ACTIONS(5271),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5271),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5271),
    [aux_sym_end_if_statement_token1] = ACTIONS(5271),
    [aux_sym_elseif_clause_token2] = ACTIONS(5271),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5271),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token1] = ACTIONS(5271),
    [aux_sym_select_case_statement_token3] = ACTIONS(5271),
    [aux_sym_select_type_statement_token1] = ACTIONS(5271),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5271),
    [aux_sym_block_construct_token1] = ACTIONS(5271),
    [aux_sym_associate_statement_token1] = ACTIONS(5271),
    [aux_sym_format_statement_token1] = ACTIONS(5271),
    [aux_sym_print_statement_token1] = ACTIONS(5271),
    [aux_sym_open_statement_token1] = ACTIONS(5271),
    [aux_sym_close_statement_token1] = ACTIONS(5271),
    [aux_sym_inquire_statement_token1] = ACTIONS(5271),
    [aux_sym_enum_statement_token1] = ACTIONS(5271),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token1] = ACTIONS(5271),
    [aux_sym_file_position_statement_token2] = ACTIONS(5271),
    [aux_sym_file_position_statement_token3] = ACTIONS(5271),
    [aux_sym_file_position_statement_token4] = ACTIONS(5271),
    [aux_sym_allocate_statement_token1] = ACTIONS(5271),
    [aux_sym_entry_statement_token1] = ACTIONS(5271),
    [aux_sym_logical_expression_token5] = ACTIONS(5275),
    [anon_sym_DOT] = ACTIONS(5271),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5275),
    [aux_sym_boolean_literal_token1] = ACTIONS(5275),
    [aux_sym_boolean_literal_token2] = ACTIONS(5275),
    [aux_sym_null_literal_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_statement_token2] = ACTIONS(5271),
    [aux_sym_coarray_statement_token6] = ACTIONS(5271),
    [aux_sym_coarray_statement_token8] = ACTIONS(5271),
    [aux_sym_coarray_statement_token11] = ACTIONS(5271),
    [aux_sym_coarray_statement_token12] = ACTIONS(5271),
    [aux_sym_coarray_statement_token13] = ACTIONS(5271),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5271),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5271),
    [aux_sym_identifier_token1] = ACTIONS(5271),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5275),
    [sym__float_literal] = ACTIONS(5275),
    [sym__boz_literal] = ACTIONS(5275),
    [sym__string_literal] = ACTIONS(5275),
    [sym__string_literal_kind] = ACTIONS(5275),
  },
  [1332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [sym_preproc_comment] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_end_function_statement_token1] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_end_program_statement_token2] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5427),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4277),
    [aux_sym_preproc_def_token1] = ACTIONS(4277),
    [aux_sym_preproc_if_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4277),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4277),
    [sym_preproc_directive] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(4277),
    [sym_preproc_comment] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(4283),
    [anon_sym_DASH] = ACTIONS(4283),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4277),
    [aux_sym_interface_statement_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4277),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4277),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4277),
    [aux_sym_language_binding_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4277),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4277),
    [aux_sym_end_function_statement_token1] = ACTIONS(4277),
    [aux_sym_contains_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token1] = ACTIONS(4277),
    [aux_sym_use_statement_token2] = ACTIONS(4277),
    [aux_sym_implicit_statement_token1] = ACTIONS(4277),
    [aux_sym_implicit_statement_token3] = ACTIONS(4277),
    [aux_sym_implicit_statement_token4] = ACTIONS(4277),
    [aux_sym_save_statement_token1] = ACTIONS(4277),
    [aux_sym_private_statement_token1] = ACTIONS(4277),
    [aux_sym_public_statement_token1] = ACTIONS(4277),
    [aux_sym_namelist_statement_token1] = ACTIONS(4277),
    [aux_sym_common_statement_token1] = ACTIONS(4277),
    [aux_sym_import_statement_token1] = ACTIONS(4277),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4277),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4277),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4277),
    [aux_sym_variable_attributes_token1] = ACTIONS(4277),
    [aux_sym_variable_attributes_token2] = ACTIONS(4277),
    [aux_sym_variable_attributes_token3] = ACTIONS(4277),
    [aux_sym_variable_attributes_token4] = ACTIONS(4277),
    [aux_sym_variable_attributes_token5] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4277),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4277),
    [aux_sym_derived_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token1] = ACTIONS(4277),
    [aux_sym_declared_type_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4277),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4277),
    [aux_sym_type_qualifier_token1] = ACTIONS(4277),
    [aux_sym_type_qualifier_token2] = ACTIONS(4277),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4277),
    [anon_sym_SEMI] = ACTIONS(4283),
    [aux_sym_stop_statement_token1] = ACTIONS(4277),
    [aux_sym_stop_statement_token2] = ACTIONS(4277),
    [aux_sym_subroutine_call_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token1] = ACTIONS(4277),
    [aux_sym_keyword_statement_token2] = ACTIONS(4277),
    [aux_sym_keyword_statement_token3] = ACTIONS(4277),
    [aux_sym_keyword_statement_token4] = ACTIONS(4277),
    [aux_sym_keyword_statement_token6] = ACTIONS(4277),
    [aux_sym_keyword_statement_token7] = ACTIONS(4277),
    [aux_sym_include_statement_token1] = ACTIONS(4277),
    [aux_sym_data_statement_token1] = ACTIONS(4277),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4277),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4277),
    [aux_sym_end_if_statement_token1] = ACTIONS(4277),
    [aux_sym_elseif_clause_token2] = ACTIONS(4277),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4277),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token1] = ACTIONS(4277),
    [aux_sym_select_case_statement_token3] = ACTIONS(4277),
    [aux_sym_select_type_statement_token1] = ACTIONS(4277),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4277),
    [aux_sym_block_construct_token1] = ACTIONS(4277),
    [aux_sym_associate_statement_token1] = ACTIONS(4277),
    [aux_sym_format_statement_token1] = ACTIONS(4277),
    [aux_sym_print_statement_token1] = ACTIONS(4277),
    [aux_sym_open_statement_token1] = ACTIONS(4277),
    [aux_sym_close_statement_token1] = ACTIONS(4277),
    [aux_sym_inquire_statement_token1] = ACTIONS(4277),
    [aux_sym_enum_statement_token1] = ACTIONS(4277),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token1] = ACTIONS(4277),
    [aux_sym_file_position_statement_token2] = ACTIONS(4277),
    [aux_sym_file_position_statement_token3] = ACTIONS(4277),
    [aux_sym_file_position_statement_token4] = ACTIONS(4277),
    [aux_sym_allocate_statement_token1] = ACTIONS(4277),
    [aux_sym_entry_statement_token1] = ACTIONS(4277),
    [aux_sym_logical_expression_token5] = ACTIONS(4283),
    [anon_sym_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4283),
    [anon_sym_LBRACK] = ACTIONS(4283),
    [aux_sym_boolean_literal_token1] = ACTIONS(4283),
    [aux_sym_boolean_literal_token2] = ACTIONS(4283),
    [aux_sym_null_literal_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_statement_token2] = ACTIONS(4277),
    [aux_sym_coarray_statement_token6] = ACTIONS(4277),
    [aux_sym_coarray_statement_token8] = ACTIONS(4277),
    [aux_sym_coarray_statement_token11] = ACTIONS(4277),
    [aux_sym_coarray_statement_token12] = ACTIONS(4277),
    [aux_sym_coarray_statement_token13] = ACTIONS(4277),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4277),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4277),
    [aux_sym_identifier_token1] = ACTIONS(4277),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4283),
    [sym__float_literal] = ACTIONS(4283),
    [sym__boz_literal] = ACTIONS(4283),
    [sym__string_literal] = ACTIONS(4283),
    [sym__string_literal_kind] = ACTIONS(4283),
  },
  [1337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5173),
    [aux_sym_preproc_def_token1] = ACTIONS(5173),
    [aux_sym_preproc_if_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5173),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5173),
    [sym_preproc_directive] = ACTIONS(5173),
    [anon_sym_LPAREN2] = ACTIONS(5173),
    [sym_preproc_comment] = ACTIONS(5431),
    [anon_sym_PLUS] = ACTIONS(5177),
    [anon_sym_DASH] = ACTIONS(5177),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5173),
    [aux_sym_interface_statement_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5173),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5173),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5173),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5173),
    [aux_sym_language_binding_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5173),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5173),
    [aux_sym_contains_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token1] = ACTIONS(5173),
    [aux_sym_use_statement_token2] = ACTIONS(5173),
    [aux_sym_implicit_statement_token1] = ACTIONS(5173),
    [aux_sym_implicit_statement_token3] = ACTIONS(5173),
    [aux_sym_implicit_statement_token4] = ACTIONS(5173),
    [aux_sym_save_statement_token1] = ACTIONS(5173),
    [aux_sym_private_statement_token1] = ACTIONS(5173),
    [aux_sym_public_statement_token1] = ACTIONS(5173),
    [aux_sym_namelist_statement_token1] = ACTIONS(5173),
    [aux_sym_common_statement_token1] = ACTIONS(5173),
    [aux_sym_import_statement_token1] = ACTIONS(5173),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5173),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5173),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5173),
    [aux_sym_variable_attributes_token1] = ACTIONS(5173),
    [aux_sym_variable_attributes_token2] = ACTIONS(5173),
    [aux_sym_variable_attributes_token3] = ACTIONS(5173),
    [aux_sym_variable_attributes_token4] = ACTIONS(5173),
    [aux_sym_variable_attributes_token5] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5173),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5173),
    [aux_sym_derived_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token1] = ACTIONS(5173),
    [aux_sym_declared_type_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5173),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5173),
    [aux_sym_type_qualifier_token1] = ACTIONS(5173),
    [aux_sym_type_qualifier_token2] = ACTIONS(5173),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5173),
    [anon_sym_SEMI] = ACTIONS(5177),
    [aux_sym_stop_statement_token1] = ACTIONS(5173),
    [aux_sym_stop_statement_token2] = ACTIONS(5173),
    [aux_sym_subroutine_call_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token1] = ACTIONS(5173),
    [aux_sym_keyword_statement_token2] = ACTIONS(5173),
    [aux_sym_keyword_statement_token3] = ACTIONS(5173),
    [aux_sym_keyword_statement_token4] = ACTIONS(5173),
    [aux_sym_keyword_statement_token6] = ACTIONS(5173),
    [aux_sym_keyword_statement_token7] = ACTIONS(5173),
    [aux_sym_include_statement_token1] = ACTIONS(5173),
    [aux_sym_data_statement_token1] = ACTIONS(5173),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5173),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5173),
    [aux_sym_end_if_statement_token1] = ACTIONS(5173),
    [aux_sym_elseif_clause_token2] = ACTIONS(5173),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5173),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token1] = ACTIONS(5173),
    [aux_sym_select_case_statement_token3] = ACTIONS(5173),
    [aux_sym_select_type_statement_token1] = ACTIONS(5173),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5173),
    [aux_sym_block_construct_token1] = ACTIONS(5173),
    [aux_sym_associate_statement_token1] = ACTIONS(5173),
    [aux_sym_format_statement_token1] = ACTIONS(5173),
    [aux_sym_print_statement_token1] = ACTIONS(5173),
    [aux_sym_open_statement_token1] = ACTIONS(5173),
    [aux_sym_close_statement_token1] = ACTIONS(5173),
    [aux_sym_inquire_statement_token1] = ACTIONS(5173),
    [aux_sym_enum_statement_token1] = ACTIONS(5173),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token1] = ACTIONS(5173),
    [aux_sym_file_position_statement_token2] = ACTIONS(5173),
    [aux_sym_file_position_statement_token3] = ACTIONS(5173),
    [aux_sym_file_position_statement_token4] = ACTIONS(5173),
    [aux_sym_allocate_statement_token1] = ACTIONS(5173),
    [aux_sym_entry_statement_token1] = ACTIONS(5173),
    [aux_sym_logical_expression_token5] = ACTIONS(5177),
    [anon_sym_DOT] = ACTIONS(5173),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5177),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [aux_sym_boolean_literal_token1] = ACTIONS(5177),
    [aux_sym_boolean_literal_token2] = ACTIONS(5177),
    [aux_sym_null_literal_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_statement_token2] = ACTIONS(5173),
    [aux_sym_coarray_statement_token6] = ACTIONS(5173),
    [aux_sym_coarray_statement_token8] = ACTIONS(5173),
    [aux_sym_coarray_statement_token11] = ACTIONS(5173),
    [aux_sym_coarray_statement_token12] = ACTIONS(5173),
    [aux_sym_coarray_statement_token13] = ACTIONS(5173),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5173),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5173),
    [aux_sym_identifier_token1] = ACTIONS(5173),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5177),
    [sym__float_literal] = ACTIONS(5177),
    [sym__boz_literal] = ACTIONS(5177),
    [sym__string_literal] = ACTIONS(5177),
    [sym__string_literal_kind] = ACTIONS(5177),
  },
  [1338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5433),
    [aux_sym_interface_statement_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5433),
    [aux_sym_language_binding_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5433),
    [aux_sym_end_function_statement_token1] = ACTIONS(5433),
    [aux_sym_contains_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token2] = ACTIONS(5433),
    [aux_sym_implicit_statement_token1] = ACTIONS(5433),
    [aux_sym_implicit_statement_token3] = ACTIONS(5433),
    [aux_sym_implicit_statement_token4] = ACTIONS(5433),
    [aux_sym_save_statement_token1] = ACTIONS(5433),
    [aux_sym_private_statement_token1] = ACTIONS(5433),
    [aux_sym_public_statement_token1] = ACTIONS(5433),
    [aux_sym_namelist_statement_token1] = ACTIONS(5433),
    [aux_sym_common_statement_token1] = ACTIONS(5433),
    [aux_sym_import_statement_token1] = ACTIONS(5433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5433),
    [aux_sym_variable_attributes_token1] = ACTIONS(5433),
    [aux_sym_variable_attributes_token2] = ACTIONS(5433),
    [aux_sym_variable_attributes_token3] = ACTIONS(5433),
    [aux_sym_variable_attributes_token4] = ACTIONS(5433),
    [aux_sym_variable_attributes_token5] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5433),
    [aux_sym_derived_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5433),
    [aux_sym_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5433),
    [anon_sym_SEMI] = ACTIONS(5435),
    [aux_sym_stop_statement_token1] = ACTIONS(5433),
    [aux_sym_stop_statement_token2] = ACTIONS(5433),
    [aux_sym_subroutine_call_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token2] = ACTIONS(5433),
    [aux_sym_keyword_statement_token3] = ACTIONS(5433),
    [aux_sym_keyword_statement_token4] = ACTIONS(5433),
    [aux_sym_keyword_statement_token6] = ACTIONS(5433),
    [aux_sym_keyword_statement_token7] = ACTIONS(5433),
    [aux_sym_include_statement_token1] = ACTIONS(5433),
    [aux_sym_data_statement_token1] = ACTIONS(5433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5433),
    [aux_sym_end_if_statement_token1] = ACTIONS(5433),
    [aux_sym_elseif_clause_token2] = ACTIONS(5433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token3] = ACTIONS(5433),
    [aux_sym_select_type_statement_token1] = ACTIONS(5433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5433),
    [aux_sym_block_construct_token1] = ACTIONS(5433),
    [aux_sym_associate_statement_token1] = ACTIONS(5433),
    [aux_sym_format_statement_token1] = ACTIONS(5433),
    [aux_sym_print_statement_token1] = ACTIONS(5433),
    [aux_sym_open_statement_token1] = ACTIONS(5433),
    [aux_sym_close_statement_token1] = ACTIONS(5433),
    [aux_sym_inquire_statement_token1] = ACTIONS(5433),
    [aux_sym_enum_statement_token1] = ACTIONS(5433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token2] = ACTIONS(5433),
    [aux_sym_file_position_statement_token3] = ACTIONS(5433),
    [aux_sym_file_position_statement_token4] = ACTIONS(5433),
    [aux_sym_allocate_statement_token1] = ACTIONS(5433),
    [aux_sym_entry_statement_token1] = ACTIONS(5433),
    [aux_sym_logical_expression_token5] = ACTIONS(5435),
    [anon_sym_DOT] = ACTIONS(5433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [aux_sym_boolean_literal_token1] = ACTIONS(5435),
    [aux_sym_boolean_literal_token2] = ACTIONS(5435),
    [aux_sym_null_literal_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token2] = ACTIONS(5433),
    [aux_sym_coarray_statement_token6] = ACTIONS(5433),
    [aux_sym_coarray_statement_token8] = ACTIONS(5433),
    [aux_sym_coarray_statement_token11] = ACTIONS(5433),
    [aux_sym_coarray_statement_token12] = ACTIONS(5433),
    [aux_sym_coarray_statement_token13] = ACTIONS(5433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5433),
    [aux_sym_identifier_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5435),
    [sym__float_literal] = ACTIONS(5435),
    [sym__boz_literal] = ACTIONS(5435),
    [sym__string_literal] = ACTIONS(5435),
    [sym__string_literal_kind] = ACTIONS(5435),
  },
  [1342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_end_function_statement_token1] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5437),
    [aux_sym_preproc_def_token1] = ACTIONS(5437),
    [aux_sym_preproc_if_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5437),
    [sym_preproc_directive] = ACTIONS(5437),
    [anon_sym_LPAREN2] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5439),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5437),
    [aux_sym_end_program_statement_token2] = ACTIONS(5437),
    [aux_sym_interface_statement_token1] = ACTIONS(5437),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5437),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5437),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5437),
    [aux_sym_language_binding_token1] = ACTIONS(5437),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5437),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5437),
    [aux_sym_contains_statement_token1] = ACTIONS(5437),
    [aux_sym_use_statement_token1] = ACTIONS(5437),
    [aux_sym_use_statement_token2] = ACTIONS(5437),
    [aux_sym_implicit_statement_token1] = ACTIONS(5437),
    [aux_sym_implicit_statement_token3] = ACTIONS(5437),
    [aux_sym_implicit_statement_token4] = ACTIONS(5437),
    [aux_sym_save_statement_token1] = ACTIONS(5437),
    [aux_sym_private_statement_token1] = ACTIONS(5437),
    [aux_sym_public_statement_token1] = ACTIONS(5437),
    [aux_sym_namelist_statement_token1] = ACTIONS(5437),
    [aux_sym_common_statement_token1] = ACTIONS(5437),
    [aux_sym_import_statement_token1] = ACTIONS(5437),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5437),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5437),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5437),
    [aux_sym_variable_attributes_token1] = ACTIONS(5437),
    [aux_sym_variable_attributes_token2] = ACTIONS(5437),
    [aux_sym_variable_attributes_token3] = ACTIONS(5437),
    [aux_sym_variable_attributes_token4] = ACTIONS(5437),
    [aux_sym_variable_attributes_token5] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5437),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5437),
    [aux_sym_derived_type_token1] = ACTIONS(5437),
    [aux_sym_declared_type_token1] = ACTIONS(5437),
    [aux_sym_declared_type_token2] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5437),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5437),
    [aux_sym_type_qualifier_token1] = ACTIONS(5437),
    [aux_sym_type_qualifier_token2] = ACTIONS(5437),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5437),
    [anon_sym_SEMI] = ACTIONS(5439),
    [aux_sym_stop_statement_token1] = ACTIONS(5437),
    [aux_sym_stop_statement_token2] = ACTIONS(5437),
    [aux_sym_subroutine_call_token1] = ACTIONS(5437),
    [aux_sym_keyword_statement_token1] = ACTIONS(5437),
    [aux_sym_keyword_statement_token2] = ACTIONS(5437),
    [aux_sym_keyword_statement_token3] = ACTIONS(5437),
    [aux_sym_keyword_statement_token4] = ACTIONS(5437),
    [aux_sym_keyword_statement_token6] = ACTIONS(5437),
    [aux_sym_keyword_statement_token7] = ACTIONS(5437),
    [aux_sym_include_statement_token1] = ACTIONS(5437),
    [aux_sym_data_statement_token1] = ACTIONS(5437),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5437),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5437),
    [aux_sym_end_if_statement_token1] = ACTIONS(5437),
    [aux_sym_elseif_clause_token2] = ACTIONS(5437),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5437),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5437),
    [aux_sym_select_case_statement_token1] = ACTIONS(5437),
    [aux_sym_select_case_statement_token3] = ACTIONS(5437),
    [aux_sym_select_type_statement_token1] = ACTIONS(5437),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5437),
    [aux_sym_block_construct_token1] = ACTIONS(5437),
    [aux_sym_associate_statement_token1] = ACTIONS(5437),
    [aux_sym_format_statement_token1] = ACTIONS(5437),
    [aux_sym_print_statement_token1] = ACTIONS(5437),
    [aux_sym_open_statement_token1] = ACTIONS(5437),
    [aux_sym_close_statement_token1] = ACTIONS(5437),
    [aux_sym_inquire_statement_token1] = ACTIONS(5437),
    [aux_sym_enum_statement_token1] = ACTIONS(5437),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5437),
    [aux_sym_file_position_statement_token1] = ACTIONS(5437),
    [aux_sym_file_position_statement_token2] = ACTIONS(5437),
    [aux_sym_file_position_statement_token3] = ACTIONS(5437),
    [aux_sym_file_position_statement_token4] = ACTIONS(5437),
    [aux_sym_allocate_statement_token1] = ACTIONS(5437),
    [aux_sym_entry_statement_token1] = ACTIONS(5437),
    [aux_sym_logical_expression_token5] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [aux_sym_boolean_literal_token1] = ACTIONS(5439),
    [aux_sym_boolean_literal_token2] = ACTIONS(5439),
    [aux_sym_null_literal_token1] = ACTIONS(5437),
    [aux_sym_coarray_statement_token1] = ACTIONS(5437),
    [aux_sym_coarray_statement_token2] = ACTIONS(5437),
    [aux_sym_coarray_statement_token6] = ACTIONS(5437),
    [aux_sym_coarray_statement_token8] = ACTIONS(5437),
    [aux_sym_coarray_statement_token11] = ACTIONS(5437),
    [aux_sym_coarray_statement_token12] = ACTIONS(5437),
    [aux_sym_coarray_statement_token13] = ACTIONS(5437),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5437),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5437),
    [aux_sym_identifier_token1] = ACTIONS(5437),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5439),
    [sym__float_literal] = ACTIONS(5439),
    [sym__boz_literal] = ACTIONS(5439),
    [sym__string_literal] = ACTIONS(5439),
    [sym__string_literal_kind] = ACTIONS(5439),
  },
  [1345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5441),
    [aux_sym_preproc_def_token1] = ACTIONS(5441),
    [aux_sym_preproc_if_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5441),
    [sym_preproc_directive] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5443),
    [anon_sym_DASH] = ACTIONS(5443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5441),
    [aux_sym_interface_statement_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5441),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5441),
    [aux_sym_language_binding_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5441),
    [aux_sym_contains_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token2] = ACTIONS(5441),
    [aux_sym_implicit_statement_token1] = ACTIONS(5441),
    [aux_sym_implicit_statement_token3] = ACTIONS(5441),
    [aux_sym_implicit_statement_token4] = ACTIONS(5441),
    [aux_sym_save_statement_token1] = ACTIONS(5441),
    [aux_sym_private_statement_token1] = ACTIONS(5441),
    [aux_sym_public_statement_token1] = ACTIONS(5441),
    [aux_sym_namelist_statement_token1] = ACTIONS(5441),
    [aux_sym_common_statement_token1] = ACTIONS(5441),
    [aux_sym_import_statement_token1] = ACTIONS(5441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5441),
    [aux_sym_variable_attributes_token1] = ACTIONS(5441),
    [aux_sym_variable_attributes_token2] = ACTIONS(5441),
    [aux_sym_variable_attributes_token3] = ACTIONS(5441),
    [aux_sym_variable_attributes_token4] = ACTIONS(5441),
    [aux_sym_variable_attributes_token5] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5441),
    [aux_sym_derived_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5441),
    [aux_sym_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5443),
    [aux_sym_stop_statement_token1] = ACTIONS(5441),
    [aux_sym_stop_statement_token2] = ACTIONS(5441),
    [aux_sym_subroutine_call_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token2] = ACTIONS(5441),
    [aux_sym_keyword_statement_token3] = ACTIONS(5441),
    [aux_sym_keyword_statement_token4] = ACTIONS(5441),
    [aux_sym_keyword_statement_token6] = ACTIONS(5441),
    [aux_sym_keyword_statement_token7] = ACTIONS(5441),
    [aux_sym_include_statement_token1] = ACTIONS(5441),
    [aux_sym_data_statement_token1] = ACTIONS(5441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5441),
    [aux_sym_end_if_statement_token1] = ACTIONS(5441),
    [aux_sym_elseif_clause_token2] = ACTIONS(5441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token3] = ACTIONS(5441),
    [aux_sym_select_type_statement_token1] = ACTIONS(5441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5441),
    [aux_sym_block_construct_token1] = ACTIONS(5441),
    [aux_sym_associate_statement_token1] = ACTIONS(5441),
    [aux_sym_format_statement_token1] = ACTIONS(5441),
    [aux_sym_print_statement_token1] = ACTIONS(5441),
    [aux_sym_open_statement_token1] = ACTIONS(5441),
    [aux_sym_close_statement_token1] = ACTIONS(5441),
    [aux_sym_inquire_statement_token1] = ACTIONS(5441),
    [aux_sym_enum_statement_token1] = ACTIONS(5441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token2] = ACTIONS(5441),
    [aux_sym_file_position_statement_token3] = ACTIONS(5441),
    [aux_sym_file_position_statement_token4] = ACTIONS(5441),
    [aux_sym_allocate_statement_token1] = ACTIONS(5441),
    [aux_sym_entry_statement_token1] = ACTIONS(5441),
    [aux_sym_logical_expression_token5] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [aux_sym_boolean_literal_token1] = ACTIONS(5443),
    [aux_sym_boolean_literal_token2] = ACTIONS(5443),
    [aux_sym_null_literal_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token2] = ACTIONS(5441),
    [aux_sym_coarray_statement_token6] = ACTIONS(5441),
    [aux_sym_coarray_statement_token8] = ACTIONS(5441),
    [aux_sym_coarray_statement_token11] = ACTIONS(5441),
    [aux_sym_coarray_statement_token12] = ACTIONS(5441),
    [aux_sym_coarray_statement_token13] = ACTIONS(5441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5441),
    [aux_sym_identifier_token1] = ACTIONS(5441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5443),
    [sym__float_literal] = ACTIONS(5443),
    [sym__boz_literal] = ACTIONS(5443),
    [sym__string_literal] = ACTIONS(5443),
    [sym__string_literal_kind] = ACTIONS(5443),
  },
  [1346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5445),
    [aux_sym_interface_statement_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5445),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5445),
    [aux_sym_language_binding_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5445),
    [aux_sym_contains_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token2] = ACTIONS(5445),
    [aux_sym_implicit_statement_token1] = ACTIONS(5445),
    [aux_sym_implicit_statement_token3] = ACTIONS(5445),
    [aux_sym_implicit_statement_token4] = ACTIONS(5445),
    [aux_sym_save_statement_token1] = ACTIONS(5445),
    [aux_sym_private_statement_token1] = ACTIONS(5445),
    [aux_sym_public_statement_token1] = ACTIONS(5445),
    [aux_sym_namelist_statement_token1] = ACTIONS(5445),
    [aux_sym_common_statement_token1] = ACTIONS(5445),
    [aux_sym_import_statement_token1] = ACTIONS(5445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5445),
    [aux_sym_variable_attributes_token1] = ACTIONS(5445),
    [aux_sym_variable_attributes_token2] = ACTIONS(5445),
    [aux_sym_variable_attributes_token3] = ACTIONS(5445),
    [aux_sym_variable_attributes_token4] = ACTIONS(5445),
    [aux_sym_variable_attributes_token5] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5445),
    [aux_sym_derived_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5445),
    [aux_sym_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5445),
    [anon_sym_SEMI] = ACTIONS(5447),
    [aux_sym_stop_statement_token1] = ACTIONS(5445),
    [aux_sym_stop_statement_token2] = ACTIONS(5445),
    [aux_sym_subroutine_call_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token2] = ACTIONS(5445),
    [aux_sym_keyword_statement_token3] = ACTIONS(5445),
    [aux_sym_keyword_statement_token4] = ACTIONS(5445),
    [aux_sym_keyword_statement_token6] = ACTIONS(5445),
    [aux_sym_keyword_statement_token7] = ACTIONS(5445),
    [aux_sym_include_statement_token1] = ACTIONS(5445),
    [aux_sym_data_statement_token1] = ACTIONS(5445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5445),
    [aux_sym_end_if_statement_token1] = ACTIONS(5445),
    [aux_sym_elseif_clause_token2] = ACTIONS(5445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token3] = ACTIONS(5445),
    [aux_sym_select_type_statement_token1] = ACTIONS(5445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5445),
    [aux_sym_block_construct_token1] = ACTIONS(5445),
    [aux_sym_associate_statement_token1] = ACTIONS(5445),
    [aux_sym_format_statement_token1] = ACTIONS(5445),
    [aux_sym_print_statement_token1] = ACTIONS(5445),
    [aux_sym_open_statement_token1] = ACTIONS(5445),
    [aux_sym_close_statement_token1] = ACTIONS(5445),
    [aux_sym_inquire_statement_token1] = ACTIONS(5445),
    [aux_sym_enum_statement_token1] = ACTIONS(5445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token2] = ACTIONS(5445),
    [aux_sym_file_position_statement_token3] = ACTIONS(5445),
    [aux_sym_file_position_statement_token4] = ACTIONS(5445),
    [aux_sym_allocate_statement_token1] = ACTIONS(5445),
    [aux_sym_entry_statement_token1] = ACTIONS(5445),
    [aux_sym_logical_expression_token5] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [aux_sym_boolean_literal_token1] = ACTIONS(5447),
    [aux_sym_boolean_literal_token2] = ACTIONS(5447),
    [aux_sym_null_literal_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token2] = ACTIONS(5445),
    [aux_sym_coarray_statement_token6] = ACTIONS(5445),
    [aux_sym_coarray_statement_token8] = ACTIONS(5445),
    [aux_sym_coarray_statement_token11] = ACTIONS(5445),
    [aux_sym_coarray_statement_token12] = ACTIONS(5445),
    [aux_sym_coarray_statement_token13] = ACTIONS(5445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5445),
    [aux_sym_identifier_token1] = ACTIONS(5445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5447),
    [sym__float_literal] = ACTIONS(5447),
    [sym__boz_literal] = ACTIONS(5447),
    [sym__string_literal] = ACTIONS(5447),
    [sym__string_literal_kind] = ACTIONS(5447),
  },
  [1347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token2] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_end_program_statement_token2] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [anon_sym_SEMI] = ACTIONS(4291),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_subroutine_call_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_keyword_statement_token4] = ACTIONS(4289),
    [aux_sym_keyword_statement_token6] = ACTIONS(4289),
    [aux_sym_keyword_statement_token7] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4289),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token3] = ACTIONS(4289),
    [aux_sym_select_type_statement_token1] = ACTIONS(4289),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_associate_statement_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_print_statement_token1] = ACTIONS(4289),
    [aux_sym_open_statement_token1] = ACTIONS(4289),
    [aux_sym_close_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token2] = ACTIONS(4289),
    [aux_sym_file_position_statement_token3] = ACTIONS(4289),
    [aux_sym_file_position_statement_token4] = ACTIONS(4289),
    [aux_sym_allocate_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_logical_expression_token5] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4291),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_boolean_literal_token1] = ACTIONS(4291),
    [aux_sym_boolean_literal_token2] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_statement_token13] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
    [sym__float_literal] = ACTIONS(4291),
    [sym__boz_literal] = ACTIONS(4291),
    [sym__string_literal] = ACTIONS(4291),
    [sym__string_literal_kind] = ACTIONS(4291),
  },
  [1352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5449),
    [aux_sym_preproc_def_token1] = ACTIONS(5449),
    [aux_sym_preproc_if_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5449),
    [sym_preproc_directive] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5449),
    [aux_sym_interface_statement_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5449),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5449),
    [aux_sym_language_binding_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5449),
    [aux_sym_contains_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token2] = ACTIONS(5449),
    [aux_sym_implicit_statement_token1] = ACTIONS(5449),
    [aux_sym_implicit_statement_token3] = ACTIONS(5449),
    [aux_sym_implicit_statement_token4] = ACTIONS(5449),
    [aux_sym_save_statement_token1] = ACTIONS(5449),
    [aux_sym_private_statement_token1] = ACTIONS(5449),
    [aux_sym_public_statement_token1] = ACTIONS(5449),
    [aux_sym_namelist_statement_token1] = ACTIONS(5449),
    [aux_sym_common_statement_token1] = ACTIONS(5449),
    [aux_sym_import_statement_token1] = ACTIONS(5449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5449),
    [aux_sym_variable_attributes_token1] = ACTIONS(5449),
    [aux_sym_variable_attributes_token2] = ACTIONS(5449),
    [aux_sym_variable_attributes_token3] = ACTIONS(5449),
    [aux_sym_variable_attributes_token4] = ACTIONS(5449),
    [aux_sym_variable_attributes_token5] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5449),
    [aux_sym_derived_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5449),
    [aux_sym_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [aux_sym_stop_statement_token1] = ACTIONS(5449),
    [aux_sym_stop_statement_token2] = ACTIONS(5449),
    [aux_sym_subroutine_call_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token2] = ACTIONS(5449),
    [aux_sym_keyword_statement_token3] = ACTIONS(5449),
    [aux_sym_keyword_statement_token4] = ACTIONS(5449),
    [aux_sym_keyword_statement_token6] = ACTIONS(5449),
    [aux_sym_keyword_statement_token7] = ACTIONS(5449),
    [aux_sym_include_statement_token1] = ACTIONS(5449),
    [aux_sym_data_statement_token1] = ACTIONS(5449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5449),
    [aux_sym_end_if_statement_token1] = ACTIONS(5449),
    [aux_sym_elseif_clause_token2] = ACTIONS(5449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token3] = ACTIONS(5449),
    [aux_sym_select_type_statement_token1] = ACTIONS(5449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5449),
    [aux_sym_block_construct_token1] = ACTIONS(5449),
    [aux_sym_associate_statement_token1] = ACTIONS(5449),
    [aux_sym_format_statement_token1] = ACTIONS(5449),
    [aux_sym_print_statement_token1] = ACTIONS(5449),
    [aux_sym_open_statement_token1] = ACTIONS(5449),
    [aux_sym_close_statement_token1] = ACTIONS(5449),
    [aux_sym_inquire_statement_token1] = ACTIONS(5449),
    [aux_sym_enum_statement_token1] = ACTIONS(5449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token2] = ACTIONS(5449),
    [aux_sym_file_position_statement_token3] = ACTIONS(5449),
    [aux_sym_file_position_statement_token4] = ACTIONS(5449),
    [aux_sym_allocate_statement_token1] = ACTIONS(5449),
    [aux_sym_entry_statement_token1] = ACTIONS(5449),
    [aux_sym_logical_expression_token5] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [aux_sym_boolean_literal_token1] = ACTIONS(5451),
    [aux_sym_boolean_literal_token2] = ACTIONS(5451),
    [aux_sym_null_literal_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token2] = ACTIONS(5449),
    [aux_sym_coarray_statement_token6] = ACTIONS(5449),
    [aux_sym_coarray_statement_token8] = ACTIONS(5449),
    [aux_sym_coarray_statement_token11] = ACTIONS(5449),
    [aux_sym_coarray_statement_token12] = ACTIONS(5449),
    [aux_sym_coarray_statement_token13] = ACTIONS(5449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5449),
    [aux_sym_identifier_token1] = ACTIONS(5449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5451),
    [sym__float_literal] = ACTIONS(5451),
    [sym__boz_literal] = ACTIONS(5451),
    [sym__string_literal] = ACTIONS(5451),
    [sym__string_literal_kind] = ACTIONS(5451),
  },
  [1353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_LPAREN2] = ACTIONS(4293),
    [anon_sym_PLUS] = ACTIONS(4295),
    [anon_sym_DASH] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_end_program_statement_token2] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [anon_sym_SEMI] = ACTIONS(4295),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_subroutine_call_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_keyword_statement_token4] = ACTIONS(4293),
    [aux_sym_keyword_statement_token6] = ACTIONS(4293),
    [aux_sym_keyword_statement_token7] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4293),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token3] = ACTIONS(4293),
    [aux_sym_select_type_statement_token1] = ACTIONS(4293),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_associate_statement_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_print_statement_token1] = ACTIONS(4293),
    [aux_sym_open_statement_token1] = ACTIONS(4293),
    [aux_sym_close_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token2] = ACTIONS(4293),
    [aux_sym_file_position_statement_token3] = ACTIONS(4293),
    [aux_sym_file_position_statement_token4] = ACTIONS(4293),
    [aux_sym_allocate_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_logical_expression_token5] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4293),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4295),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [aux_sym_boolean_literal_token1] = ACTIONS(4295),
    [aux_sym_boolean_literal_token2] = ACTIONS(4295),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_statement_token13] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
    [sym__float_literal] = ACTIONS(4295),
    [sym__boz_literal] = ACTIONS(4295),
    [sym__string_literal] = ACTIONS(4295),
    [sym__string_literal_kind] = ACTIONS(4295),
  },
  [1354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5453),
    [aux_sym_preproc_def_token1] = ACTIONS(5453),
    [aux_sym_preproc_if_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5453),
    [sym_preproc_directive] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5453),
    [aux_sym_end_program_statement_token2] = ACTIONS(5453),
    [aux_sym_interface_statement_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5453),
    [aux_sym_language_binding_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5453),
    [aux_sym_contains_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token2] = ACTIONS(5453),
    [aux_sym_implicit_statement_token1] = ACTIONS(5453),
    [aux_sym_implicit_statement_token3] = ACTIONS(5453),
    [aux_sym_implicit_statement_token4] = ACTIONS(5453),
    [aux_sym_save_statement_token1] = ACTIONS(5453),
    [aux_sym_private_statement_token1] = ACTIONS(5453),
    [aux_sym_public_statement_token1] = ACTIONS(5453),
    [aux_sym_namelist_statement_token1] = ACTIONS(5453),
    [aux_sym_common_statement_token1] = ACTIONS(5453),
    [aux_sym_import_statement_token1] = ACTIONS(5453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5453),
    [aux_sym_variable_attributes_token1] = ACTIONS(5453),
    [aux_sym_variable_attributes_token2] = ACTIONS(5453),
    [aux_sym_variable_attributes_token3] = ACTIONS(5453),
    [aux_sym_variable_attributes_token4] = ACTIONS(5453),
    [aux_sym_variable_attributes_token5] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5453),
    [aux_sym_derived_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5453),
    [aux_sym_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [aux_sym_stop_statement_token1] = ACTIONS(5453),
    [aux_sym_stop_statement_token2] = ACTIONS(5453),
    [aux_sym_subroutine_call_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token2] = ACTIONS(5453),
    [aux_sym_keyword_statement_token3] = ACTIONS(5453),
    [aux_sym_keyword_statement_token4] = ACTIONS(5453),
    [aux_sym_keyword_statement_token6] = ACTIONS(5453),
    [aux_sym_keyword_statement_token7] = ACTIONS(5453),
    [aux_sym_include_statement_token1] = ACTIONS(5453),
    [aux_sym_data_statement_token1] = ACTIONS(5453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5453),
    [aux_sym_end_if_statement_token1] = ACTIONS(5453),
    [aux_sym_elseif_clause_token2] = ACTIONS(5453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token3] = ACTIONS(5453),
    [aux_sym_select_type_statement_token1] = ACTIONS(5453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5453),
    [aux_sym_block_construct_token1] = ACTIONS(5453),
    [aux_sym_associate_statement_token1] = ACTIONS(5453),
    [aux_sym_format_statement_token1] = ACTIONS(5453),
    [aux_sym_print_statement_token1] = ACTIONS(5453),
    [aux_sym_open_statement_token1] = ACTIONS(5453),
    [aux_sym_close_statement_token1] = ACTIONS(5453),
    [aux_sym_inquire_statement_token1] = ACTIONS(5453),
    [aux_sym_enum_statement_token1] = ACTIONS(5453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token2] = ACTIONS(5453),
    [aux_sym_file_position_statement_token3] = ACTIONS(5453),
    [aux_sym_file_position_statement_token4] = ACTIONS(5453),
    [aux_sym_allocate_statement_token1] = ACTIONS(5453),
    [aux_sym_entry_statement_token1] = ACTIONS(5453),
    [aux_sym_logical_expression_token5] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [aux_sym_boolean_literal_token1] = ACTIONS(5455),
    [aux_sym_boolean_literal_token2] = ACTIONS(5455),
    [aux_sym_null_literal_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token2] = ACTIONS(5453),
    [aux_sym_coarray_statement_token6] = ACTIONS(5453),
    [aux_sym_coarray_statement_token8] = ACTIONS(5453),
    [aux_sym_coarray_statement_token11] = ACTIONS(5453),
    [aux_sym_coarray_statement_token12] = ACTIONS(5453),
    [aux_sym_coarray_statement_token13] = ACTIONS(5453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5453),
    [aux_sym_identifier_token1] = ACTIONS(5453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5455),
    [sym__float_literal] = ACTIONS(5455),
    [sym__boz_literal] = ACTIONS(5455),
    [sym__string_literal] = ACTIONS(5455),
    [sym__string_literal_kind] = ACTIONS(5455),
  },
  [1355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_program_statement_token2] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(4297),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_end_program_statement_token2] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [anon_sym_SEMI] = ACTIONS(4299),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_subroutine_call_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_keyword_statement_token4] = ACTIONS(4297),
    [aux_sym_keyword_statement_token6] = ACTIONS(4297),
    [aux_sym_keyword_statement_token7] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token3] = ACTIONS(4297),
    [aux_sym_select_type_statement_token1] = ACTIONS(4297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_associate_statement_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_print_statement_token1] = ACTIONS(4297),
    [aux_sym_open_statement_token1] = ACTIONS(4297),
    [aux_sym_close_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token2] = ACTIONS(4297),
    [aux_sym_file_position_statement_token3] = ACTIONS(4297),
    [aux_sym_file_position_statement_token4] = ACTIONS(4297),
    [aux_sym_allocate_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_logical_expression_token5] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4299),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [aux_sym_boolean_literal_token1] = ACTIONS(4299),
    [aux_sym_boolean_literal_token2] = ACTIONS(4299),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_statement_token13] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
    [sym__float_literal] = ACTIONS(4299),
    [sym__boz_literal] = ACTIONS(4299),
    [sym__string_literal] = ACTIONS(4299),
    [sym__string_literal_kind] = ACTIONS(4299),
  },
  [1357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5457),
    [aux_sym_end_program_statement_token2] = ACTIONS(5457),
    [aux_sym_interface_statement_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5457),
    [aux_sym_language_binding_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5457),
    [aux_sym_contains_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token2] = ACTIONS(5457),
    [aux_sym_implicit_statement_token1] = ACTIONS(5457),
    [aux_sym_implicit_statement_token3] = ACTIONS(5457),
    [aux_sym_implicit_statement_token4] = ACTIONS(5457),
    [aux_sym_save_statement_token1] = ACTIONS(5457),
    [aux_sym_private_statement_token1] = ACTIONS(5457),
    [aux_sym_public_statement_token1] = ACTIONS(5457),
    [aux_sym_namelist_statement_token1] = ACTIONS(5457),
    [aux_sym_common_statement_token1] = ACTIONS(5457),
    [aux_sym_import_statement_token1] = ACTIONS(5457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5457),
    [aux_sym_variable_attributes_token1] = ACTIONS(5457),
    [aux_sym_variable_attributes_token2] = ACTIONS(5457),
    [aux_sym_variable_attributes_token3] = ACTIONS(5457),
    [aux_sym_variable_attributes_token4] = ACTIONS(5457),
    [aux_sym_variable_attributes_token5] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5457),
    [aux_sym_derived_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5457),
    [aux_sym_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5459),
    [aux_sym_stop_statement_token1] = ACTIONS(5457),
    [aux_sym_stop_statement_token2] = ACTIONS(5457),
    [aux_sym_subroutine_call_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token2] = ACTIONS(5457),
    [aux_sym_keyword_statement_token3] = ACTIONS(5457),
    [aux_sym_keyword_statement_token4] = ACTIONS(5457),
    [aux_sym_keyword_statement_token6] = ACTIONS(5457),
    [aux_sym_keyword_statement_token7] = ACTIONS(5457),
    [aux_sym_include_statement_token1] = ACTIONS(5457),
    [aux_sym_data_statement_token1] = ACTIONS(5457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5457),
    [aux_sym_end_if_statement_token1] = ACTIONS(5457),
    [aux_sym_elseif_clause_token2] = ACTIONS(5457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token3] = ACTIONS(5457),
    [aux_sym_select_type_statement_token1] = ACTIONS(5457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5457),
    [aux_sym_block_construct_token1] = ACTIONS(5457),
    [aux_sym_associate_statement_token1] = ACTIONS(5457),
    [aux_sym_format_statement_token1] = ACTIONS(5457),
    [aux_sym_print_statement_token1] = ACTIONS(5457),
    [aux_sym_open_statement_token1] = ACTIONS(5457),
    [aux_sym_close_statement_token1] = ACTIONS(5457),
    [aux_sym_inquire_statement_token1] = ACTIONS(5457),
    [aux_sym_enum_statement_token1] = ACTIONS(5457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token2] = ACTIONS(5457),
    [aux_sym_file_position_statement_token3] = ACTIONS(5457),
    [aux_sym_file_position_statement_token4] = ACTIONS(5457),
    [aux_sym_allocate_statement_token1] = ACTIONS(5457),
    [aux_sym_entry_statement_token1] = ACTIONS(5457),
    [aux_sym_logical_expression_token5] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [aux_sym_boolean_literal_token1] = ACTIONS(5459),
    [aux_sym_boolean_literal_token2] = ACTIONS(5459),
    [aux_sym_null_literal_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token2] = ACTIONS(5457),
    [aux_sym_coarray_statement_token6] = ACTIONS(5457),
    [aux_sym_coarray_statement_token8] = ACTIONS(5457),
    [aux_sym_coarray_statement_token11] = ACTIONS(5457),
    [aux_sym_coarray_statement_token12] = ACTIONS(5457),
    [aux_sym_coarray_statement_token13] = ACTIONS(5457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5457),
    [aux_sym_identifier_token1] = ACTIONS(5457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5459),
    [sym__float_literal] = ACTIONS(5459),
    [sym__boz_literal] = ACTIONS(5459),
    [sym__string_literal] = ACTIONS(5459),
    [sym__string_literal_kind] = ACTIONS(5459),
  },
  [1358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_end_program_statement_token2] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_end_program_statement_token2] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_end_program_statement_token2] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_end_function_statement_token1] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_program_statement_token2] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_program_statement_token2] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_program_statement_token2] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_end_function_statement_token1] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_end_function_statement_token1] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_end_function_statement_token1] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_end_function_statement_token1] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_end_function_statement_token1] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_end_function_statement_token1] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_end_function_statement_token1] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_program_statement_token2] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_program_statement_token2] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5461),
    [aux_sym_end_program_statement_token2] = ACTIONS(5461),
    [aux_sym_interface_statement_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5461),
    [aux_sym_language_binding_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5461),
    [aux_sym_contains_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token2] = ACTIONS(5461),
    [aux_sym_implicit_statement_token1] = ACTIONS(5461),
    [aux_sym_implicit_statement_token3] = ACTIONS(5461),
    [aux_sym_implicit_statement_token4] = ACTIONS(5461),
    [aux_sym_save_statement_token1] = ACTIONS(5461),
    [aux_sym_private_statement_token1] = ACTIONS(5461),
    [aux_sym_public_statement_token1] = ACTIONS(5461),
    [aux_sym_namelist_statement_token1] = ACTIONS(5461),
    [aux_sym_common_statement_token1] = ACTIONS(5461),
    [aux_sym_import_statement_token1] = ACTIONS(5461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5461),
    [aux_sym_variable_attributes_token1] = ACTIONS(5461),
    [aux_sym_variable_attributes_token2] = ACTIONS(5461),
    [aux_sym_variable_attributes_token3] = ACTIONS(5461),
    [aux_sym_variable_attributes_token4] = ACTIONS(5461),
    [aux_sym_variable_attributes_token5] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5461),
    [aux_sym_derived_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5461),
    [aux_sym_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5463),
    [aux_sym_stop_statement_token1] = ACTIONS(5461),
    [aux_sym_stop_statement_token2] = ACTIONS(5461),
    [aux_sym_subroutine_call_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token2] = ACTIONS(5461),
    [aux_sym_keyword_statement_token3] = ACTIONS(5461),
    [aux_sym_keyword_statement_token4] = ACTIONS(5461),
    [aux_sym_keyword_statement_token6] = ACTIONS(5461),
    [aux_sym_keyword_statement_token7] = ACTIONS(5461),
    [aux_sym_include_statement_token1] = ACTIONS(5461),
    [aux_sym_data_statement_token1] = ACTIONS(5461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5461),
    [aux_sym_end_if_statement_token1] = ACTIONS(5461),
    [aux_sym_elseif_clause_token2] = ACTIONS(5461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token3] = ACTIONS(5461),
    [aux_sym_select_type_statement_token1] = ACTIONS(5461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5461),
    [aux_sym_block_construct_token1] = ACTIONS(5461),
    [aux_sym_associate_statement_token1] = ACTIONS(5461),
    [aux_sym_format_statement_token1] = ACTIONS(5461),
    [aux_sym_print_statement_token1] = ACTIONS(5461),
    [aux_sym_open_statement_token1] = ACTIONS(5461),
    [aux_sym_close_statement_token1] = ACTIONS(5461),
    [aux_sym_inquire_statement_token1] = ACTIONS(5461),
    [aux_sym_enum_statement_token1] = ACTIONS(5461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token2] = ACTIONS(5461),
    [aux_sym_file_position_statement_token3] = ACTIONS(5461),
    [aux_sym_file_position_statement_token4] = ACTIONS(5461),
    [aux_sym_allocate_statement_token1] = ACTIONS(5461),
    [aux_sym_entry_statement_token1] = ACTIONS(5461),
    [aux_sym_logical_expression_token5] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [aux_sym_boolean_literal_token1] = ACTIONS(5463),
    [aux_sym_boolean_literal_token2] = ACTIONS(5463),
    [aux_sym_null_literal_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token2] = ACTIONS(5461),
    [aux_sym_coarray_statement_token6] = ACTIONS(5461),
    [aux_sym_coarray_statement_token8] = ACTIONS(5461),
    [aux_sym_coarray_statement_token11] = ACTIONS(5461),
    [aux_sym_coarray_statement_token12] = ACTIONS(5461),
    [aux_sym_coarray_statement_token13] = ACTIONS(5461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5461),
    [aux_sym_identifier_token1] = ACTIONS(5461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5463),
    [sym__float_literal] = ACTIONS(5463),
    [sym__boz_literal] = ACTIONS(5463),
    [sym__string_literal] = ACTIONS(5463),
    [sym__string_literal_kind] = ACTIONS(5463),
  },
  [1411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_end_function_statement_token1] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_end_function_statement_token1] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_end_function_statement_token1] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_end_function_statement_token1] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_end_function_statement_token1] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_end_function_statement_token1] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5465),
    [aux_sym_preproc_def_token1] = ACTIONS(5465),
    [aux_sym_preproc_if_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5465),
    [sym_preproc_directive] = ACTIONS(5465),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5465),
    [aux_sym_interface_statement_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5465),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5465),
    [aux_sym_language_binding_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5465),
    [aux_sym_contains_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token2] = ACTIONS(5465),
    [aux_sym_implicit_statement_token1] = ACTIONS(5465),
    [aux_sym_implicit_statement_token3] = ACTIONS(5465),
    [aux_sym_implicit_statement_token4] = ACTIONS(5465),
    [aux_sym_save_statement_token1] = ACTIONS(5465),
    [aux_sym_private_statement_token1] = ACTIONS(5465),
    [aux_sym_public_statement_token1] = ACTIONS(5465),
    [aux_sym_namelist_statement_token1] = ACTIONS(5465),
    [aux_sym_common_statement_token1] = ACTIONS(5465),
    [aux_sym_import_statement_token1] = ACTIONS(5465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5465),
    [aux_sym_variable_attributes_token1] = ACTIONS(5465),
    [aux_sym_variable_attributes_token2] = ACTIONS(5465),
    [aux_sym_variable_attributes_token3] = ACTIONS(5465),
    [aux_sym_variable_attributes_token4] = ACTIONS(5465),
    [aux_sym_variable_attributes_token5] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5465),
    [aux_sym_derived_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5465),
    [aux_sym_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5465),
    [anon_sym_SEMI] = ACTIONS(5467),
    [aux_sym_stop_statement_token1] = ACTIONS(5465),
    [aux_sym_stop_statement_token2] = ACTIONS(5465),
    [aux_sym_subroutine_call_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token2] = ACTIONS(5465),
    [aux_sym_keyword_statement_token3] = ACTIONS(5465),
    [aux_sym_keyword_statement_token4] = ACTIONS(5465),
    [aux_sym_keyword_statement_token6] = ACTIONS(5465),
    [aux_sym_keyword_statement_token7] = ACTIONS(5465),
    [aux_sym_include_statement_token1] = ACTIONS(5465),
    [aux_sym_data_statement_token1] = ACTIONS(5465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5465),
    [aux_sym_end_if_statement_token1] = ACTIONS(5465),
    [aux_sym_elseif_clause_token2] = ACTIONS(5465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token3] = ACTIONS(5465),
    [aux_sym_select_type_statement_token1] = ACTIONS(5465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5465),
    [aux_sym_block_construct_token1] = ACTIONS(5465),
    [aux_sym_associate_statement_token1] = ACTIONS(5465),
    [aux_sym_format_statement_token1] = ACTIONS(5465),
    [aux_sym_print_statement_token1] = ACTIONS(5465),
    [aux_sym_open_statement_token1] = ACTIONS(5465),
    [aux_sym_close_statement_token1] = ACTIONS(5465),
    [aux_sym_inquire_statement_token1] = ACTIONS(5465),
    [aux_sym_enum_statement_token1] = ACTIONS(5465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token2] = ACTIONS(5465),
    [aux_sym_file_position_statement_token3] = ACTIONS(5465),
    [aux_sym_file_position_statement_token4] = ACTIONS(5465),
    [aux_sym_allocate_statement_token1] = ACTIONS(5465),
    [aux_sym_entry_statement_token1] = ACTIONS(5465),
    [aux_sym_logical_expression_token5] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [aux_sym_boolean_literal_token1] = ACTIONS(5467),
    [aux_sym_boolean_literal_token2] = ACTIONS(5467),
    [aux_sym_null_literal_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token2] = ACTIONS(5465),
    [aux_sym_coarray_statement_token6] = ACTIONS(5465),
    [aux_sym_coarray_statement_token8] = ACTIONS(5465),
    [aux_sym_coarray_statement_token11] = ACTIONS(5465),
    [aux_sym_coarray_statement_token12] = ACTIONS(5465),
    [aux_sym_coarray_statement_token13] = ACTIONS(5465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5465),
    [aux_sym_identifier_token1] = ACTIONS(5465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5467),
    [sym__float_literal] = ACTIONS(5467),
    [sym__boz_literal] = ACTIONS(5467),
    [sym__string_literal] = ACTIONS(5467),
    [sym__string_literal_kind] = ACTIONS(5467),
  },
  [1429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_end_function_statement_token1] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_end_function_statement_token1] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_end_function_statement_token1] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_program_statement_token2] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5469),
    [aux_sym_preproc_def_token1] = ACTIONS(5469),
    [aux_sym_preproc_if_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5469),
    [sym_preproc_directive] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_PLUS] = ACTIONS(5471),
    [anon_sym_DASH] = ACTIONS(5471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5469),
    [aux_sym_interface_statement_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5469),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5469),
    [aux_sym_language_binding_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5469),
    [aux_sym_contains_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token2] = ACTIONS(5469),
    [aux_sym_implicit_statement_token1] = ACTIONS(5469),
    [aux_sym_implicit_statement_token3] = ACTIONS(5469),
    [aux_sym_implicit_statement_token4] = ACTIONS(5469),
    [aux_sym_save_statement_token1] = ACTIONS(5469),
    [aux_sym_private_statement_token1] = ACTIONS(5469),
    [aux_sym_public_statement_token1] = ACTIONS(5469),
    [aux_sym_namelist_statement_token1] = ACTIONS(5469),
    [aux_sym_common_statement_token1] = ACTIONS(5469),
    [aux_sym_import_statement_token1] = ACTIONS(5469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5469),
    [aux_sym_variable_attributes_token1] = ACTIONS(5469),
    [aux_sym_variable_attributes_token2] = ACTIONS(5469),
    [aux_sym_variable_attributes_token3] = ACTIONS(5469),
    [aux_sym_variable_attributes_token4] = ACTIONS(5469),
    [aux_sym_variable_attributes_token5] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5469),
    [aux_sym_derived_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5469),
    [aux_sym_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5471),
    [aux_sym_stop_statement_token1] = ACTIONS(5469),
    [aux_sym_stop_statement_token2] = ACTIONS(5469),
    [aux_sym_subroutine_call_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token2] = ACTIONS(5469),
    [aux_sym_keyword_statement_token3] = ACTIONS(5469),
    [aux_sym_keyword_statement_token4] = ACTIONS(5469),
    [aux_sym_keyword_statement_token6] = ACTIONS(5469),
    [aux_sym_keyword_statement_token7] = ACTIONS(5469),
    [aux_sym_include_statement_token1] = ACTIONS(5469),
    [aux_sym_data_statement_token1] = ACTIONS(5469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5469),
    [aux_sym_end_if_statement_token1] = ACTIONS(5469),
    [aux_sym_elseif_clause_token2] = ACTIONS(5469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token3] = ACTIONS(5469),
    [aux_sym_select_type_statement_token1] = ACTIONS(5469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5469),
    [aux_sym_block_construct_token1] = ACTIONS(5469),
    [aux_sym_associate_statement_token1] = ACTIONS(5469),
    [aux_sym_format_statement_token1] = ACTIONS(5469),
    [aux_sym_print_statement_token1] = ACTIONS(5469),
    [aux_sym_open_statement_token1] = ACTIONS(5469),
    [aux_sym_close_statement_token1] = ACTIONS(5469),
    [aux_sym_inquire_statement_token1] = ACTIONS(5469),
    [aux_sym_enum_statement_token1] = ACTIONS(5469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token2] = ACTIONS(5469),
    [aux_sym_file_position_statement_token3] = ACTIONS(5469),
    [aux_sym_file_position_statement_token4] = ACTIONS(5469),
    [aux_sym_allocate_statement_token1] = ACTIONS(5469),
    [aux_sym_entry_statement_token1] = ACTIONS(5469),
    [aux_sym_logical_expression_token5] = ACTIONS(5471),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5471),
    [anon_sym_LBRACK] = ACTIONS(5471),
    [aux_sym_boolean_literal_token1] = ACTIONS(5471),
    [aux_sym_boolean_literal_token2] = ACTIONS(5471),
    [aux_sym_null_literal_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token2] = ACTIONS(5469),
    [aux_sym_coarray_statement_token6] = ACTIONS(5469),
    [aux_sym_coarray_statement_token8] = ACTIONS(5469),
    [aux_sym_coarray_statement_token11] = ACTIONS(5469),
    [aux_sym_coarray_statement_token12] = ACTIONS(5469),
    [aux_sym_coarray_statement_token13] = ACTIONS(5469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5469),
    [aux_sym_identifier_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5471),
    [sym__float_literal] = ACTIONS(5471),
    [sym__boz_literal] = ACTIONS(5471),
    [sym__string_literal] = ACTIONS(5471),
    [sym__string_literal_kind] = ACTIONS(5471),
  },
  [1439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_end_program_statement_token2] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_end_function_statement_token1] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5457),
    [aux_sym_interface_statement_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5457),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5457),
    [aux_sym_language_binding_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5457),
    [aux_sym_contains_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token2] = ACTIONS(5457),
    [aux_sym_implicit_statement_token1] = ACTIONS(5457),
    [aux_sym_implicit_statement_token3] = ACTIONS(5457),
    [aux_sym_implicit_statement_token4] = ACTIONS(5457),
    [aux_sym_save_statement_token1] = ACTIONS(5457),
    [aux_sym_private_statement_token1] = ACTIONS(5457),
    [aux_sym_public_statement_token1] = ACTIONS(5457),
    [aux_sym_namelist_statement_token1] = ACTIONS(5457),
    [aux_sym_common_statement_token1] = ACTIONS(5457),
    [aux_sym_import_statement_token1] = ACTIONS(5457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5457),
    [aux_sym_variable_attributes_token1] = ACTIONS(5457),
    [aux_sym_variable_attributes_token2] = ACTIONS(5457),
    [aux_sym_variable_attributes_token3] = ACTIONS(5457),
    [aux_sym_variable_attributes_token4] = ACTIONS(5457),
    [aux_sym_variable_attributes_token5] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5457),
    [aux_sym_derived_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5457),
    [aux_sym_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5459),
    [aux_sym_stop_statement_token1] = ACTIONS(5457),
    [aux_sym_stop_statement_token2] = ACTIONS(5457),
    [aux_sym_subroutine_call_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token2] = ACTIONS(5457),
    [aux_sym_keyword_statement_token3] = ACTIONS(5457),
    [aux_sym_keyword_statement_token4] = ACTIONS(5457),
    [aux_sym_keyword_statement_token6] = ACTIONS(5457),
    [aux_sym_keyword_statement_token7] = ACTIONS(5457),
    [aux_sym_include_statement_token1] = ACTIONS(5457),
    [aux_sym_data_statement_token1] = ACTIONS(5457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5457),
    [aux_sym_end_if_statement_token1] = ACTIONS(5457),
    [aux_sym_elseif_clause_token2] = ACTIONS(5457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token3] = ACTIONS(5457),
    [aux_sym_select_type_statement_token1] = ACTIONS(5457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5457),
    [aux_sym_block_construct_token1] = ACTIONS(5457),
    [aux_sym_associate_statement_token1] = ACTIONS(5457),
    [aux_sym_format_statement_token1] = ACTIONS(5457),
    [aux_sym_print_statement_token1] = ACTIONS(5457),
    [aux_sym_open_statement_token1] = ACTIONS(5457),
    [aux_sym_close_statement_token1] = ACTIONS(5457),
    [aux_sym_inquire_statement_token1] = ACTIONS(5457),
    [aux_sym_enum_statement_token1] = ACTIONS(5457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token2] = ACTIONS(5457),
    [aux_sym_file_position_statement_token3] = ACTIONS(5457),
    [aux_sym_file_position_statement_token4] = ACTIONS(5457),
    [aux_sym_allocate_statement_token1] = ACTIONS(5457),
    [aux_sym_entry_statement_token1] = ACTIONS(5457),
    [aux_sym_logical_expression_token5] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [aux_sym_boolean_literal_token1] = ACTIONS(5459),
    [aux_sym_boolean_literal_token2] = ACTIONS(5459),
    [aux_sym_null_literal_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token2] = ACTIONS(5457),
    [aux_sym_coarray_statement_token6] = ACTIONS(5457),
    [aux_sym_coarray_statement_token8] = ACTIONS(5457),
    [aux_sym_coarray_statement_token11] = ACTIONS(5457),
    [aux_sym_coarray_statement_token12] = ACTIONS(5457),
    [aux_sym_coarray_statement_token13] = ACTIONS(5457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5457),
    [aux_sym_identifier_token1] = ACTIONS(5457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5459),
    [sym__float_literal] = ACTIONS(5459),
    [sym__boz_literal] = ACTIONS(5459),
    [sym__string_literal] = ACTIONS(5459),
    [sym__string_literal_kind] = ACTIONS(5459),
  },
  [1443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5473),
    [aux_sym_preproc_def_token1] = ACTIONS(5473),
    [aux_sym_preproc_if_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5473),
    [sym_preproc_directive] = ACTIONS(5473),
    [anon_sym_LPAREN2] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5473),
    [aux_sym_interface_statement_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5473),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5473),
    [aux_sym_language_binding_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5473),
    [aux_sym_contains_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token2] = ACTIONS(5473),
    [aux_sym_implicit_statement_token1] = ACTIONS(5473),
    [aux_sym_implicit_statement_token3] = ACTIONS(5473),
    [aux_sym_implicit_statement_token4] = ACTIONS(5473),
    [aux_sym_save_statement_token1] = ACTIONS(5473),
    [aux_sym_private_statement_token1] = ACTIONS(5473),
    [aux_sym_public_statement_token1] = ACTIONS(5473),
    [aux_sym_namelist_statement_token1] = ACTIONS(5473),
    [aux_sym_common_statement_token1] = ACTIONS(5473),
    [aux_sym_import_statement_token1] = ACTIONS(5473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5473),
    [aux_sym_variable_attributes_token1] = ACTIONS(5473),
    [aux_sym_variable_attributes_token2] = ACTIONS(5473),
    [aux_sym_variable_attributes_token3] = ACTIONS(5473),
    [aux_sym_variable_attributes_token4] = ACTIONS(5473),
    [aux_sym_variable_attributes_token5] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5473),
    [aux_sym_derived_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5473),
    [aux_sym_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5473),
    [anon_sym_SEMI] = ACTIONS(5475),
    [aux_sym_stop_statement_token1] = ACTIONS(5473),
    [aux_sym_stop_statement_token2] = ACTIONS(5473),
    [aux_sym_subroutine_call_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token2] = ACTIONS(5473),
    [aux_sym_keyword_statement_token3] = ACTIONS(5473),
    [aux_sym_keyword_statement_token4] = ACTIONS(5473),
    [aux_sym_keyword_statement_token6] = ACTIONS(5473),
    [aux_sym_keyword_statement_token7] = ACTIONS(5473),
    [aux_sym_include_statement_token1] = ACTIONS(5473),
    [aux_sym_data_statement_token1] = ACTIONS(5473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5473),
    [aux_sym_end_if_statement_token1] = ACTIONS(5473),
    [aux_sym_elseif_clause_token2] = ACTIONS(5473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token3] = ACTIONS(5473),
    [aux_sym_select_type_statement_token1] = ACTIONS(5473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5473),
    [aux_sym_block_construct_token1] = ACTIONS(5473),
    [aux_sym_associate_statement_token1] = ACTIONS(5473),
    [aux_sym_format_statement_token1] = ACTIONS(5473),
    [aux_sym_print_statement_token1] = ACTIONS(5473),
    [aux_sym_open_statement_token1] = ACTIONS(5473),
    [aux_sym_close_statement_token1] = ACTIONS(5473),
    [aux_sym_inquire_statement_token1] = ACTIONS(5473),
    [aux_sym_enum_statement_token1] = ACTIONS(5473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token2] = ACTIONS(5473),
    [aux_sym_file_position_statement_token3] = ACTIONS(5473),
    [aux_sym_file_position_statement_token4] = ACTIONS(5473),
    [aux_sym_allocate_statement_token1] = ACTIONS(5473),
    [aux_sym_entry_statement_token1] = ACTIONS(5473),
    [aux_sym_logical_expression_token5] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [aux_sym_boolean_literal_token1] = ACTIONS(5475),
    [aux_sym_boolean_literal_token2] = ACTIONS(5475),
    [aux_sym_null_literal_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token2] = ACTIONS(5473),
    [aux_sym_coarray_statement_token6] = ACTIONS(5473),
    [aux_sym_coarray_statement_token8] = ACTIONS(5473),
    [aux_sym_coarray_statement_token11] = ACTIONS(5473),
    [aux_sym_coarray_statement_token12] = ACTIONS(5473),
    [aux_sym_coarray_statement_token13] = ACTIONS(5473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5473),
    [aux_sym_identifier_token1] = ACTIONS(5473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5475),
    [sym__float_literal] = ACTIONS(5475),
    [sym__boz_literal] = ACTIONS(5475),
    [sym__string_literal] = ACTIONS(5475),
    [sym__string_literal_kind] = ACTIONS(5475),
  },
  [1444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_end_program_statement_token2] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_end_function_statement_token1] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_end_function_statement_token1] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_end_function_statement_token1] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_end_function_statement_token1] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5453),
    [aux_sym_preproc_def_token1] = ACTIONS(5453),
    [aux_sym_preproc_if_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5453),
    [sym_preproc_directive] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5453),
    [aux_sym_interface_statement_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5453),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5453),
    [aux_sym_language_binding_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5453),
    [aux_sym_contains_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token2] = ACTIONS(5453),
    [aux_sym_implicit_statement_token1] = ACTIONS(5453),
    [aux_sym_implicit_statement_token3] = ACTIONS(5453),
    [aux_sym_implicit_statement_token4] = ACTIONS(5453),
    [aux_sym_save_statement_token1] = ACTIONS(5453),
    [aux_sym_private_statement_token1] = ACTIONS(5453),
    [aux_sym_public_statement_token1] = ACTIONS(5453),
    [aux_sym_namelist_statement_token1] = ACTIONS(5453),
    [aux_sym_common_statement_token1] = ACTIONS(5453),
    [aux_sym_import_statement_token1] = ACTIONS(5453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5453),
    [aux_sym_variable_attributes_token1] = ACTIONS(5453),
    [aux_sym_variable_attributes_token2] = ACTIONS(5453),
    [aux_sym_variable_attributes_token3] = ACTIONS(5453),
    [aux_sym_variable_attributes_token4] = ACTIONS(5453),
    [aux_sym_variable_attributes_token5] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5453),
    [aux_sym_derived_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5453),
    [aux_sym_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [aux_sym_stop_statement_token1] = ACTIONS(5453),
    [aux_sym_stop_statement_token2] = ACTIONS(5453),
    [aux_sym_subroutine_call_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token2] = ACTIONS(5453),
    [aux_sym_keyword_statement_token3] = ACTIONS(5453),
    [aux_sym_keyword_statement_token4] = ACTIONS(5453),
    [aux_sym_keyword_statement_token6] = ACTIONS(5453),
    [aux_sym_keyword_statement_token7] = ACTIONS(5453),
    [aux_sym_include_statement_token1] = ACTIONS(5453),
    [aux_sym_data_statement_token1] = ACTIONS(5453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5453),
    [aux_sym_end_if_statement_token1] = ACTIONS(5453),
    [aux_sym_elseif_clause_token2] = ACTIONS(5453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token3] = ACTIONS(5453),
    [aux_sym_select_type_statement_token1] = ACTIONS(5453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5453),
    [aux_sym_block_construct_token1] = ACTIONS(5453),
    [aux_sym_associate_statement_token1] = ACTIONS(5453),
    [aux_sym_format_statement_token1] = ACTIONS(5453),
    [aux_sym_print_statement_token1] = ACTIONS(5453),
    [aux_sym_open_statement_token1] = ACTIONS(5453),
    [aux_sym_close_statement_token1] = ACTIONS(5453),
    [aux_sym_inquire_statement_token1] = ACTIONS(5453),
    [aux_sym_enum_statement_token1] = ACTIONS(5453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token2] = ACTIONS(5453),
    [aux_sym_file_position_statement_token3] = ACTIONS(5453),
    [aux_sym_file_position_statement_token4] = ACTIONS(5453),
    [aux_sym_allocate_statement_token1] = ACTIONS(5453),
    [aux_sym_entry_statement_token1] = ACTIONS(5453),
    [aux_sym_logical_expression_token5] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [aux_sym_boolean_literal_token1] = ACTIONS(5455),
    [aux_sym_boolean_literal_token2] = ACTIONS(5455),
    [aux_sym_null_literal_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token2] = ACTIONS(5453),
    [aux_sym_coarray_statement_token6] = ACTIONS(5453),
    [aux_sym_coarray_statement_token8] = ACTIONS(5453),
    [aux_sym_coarray_statement_token11] = ACTIONS(5453),
    [aux_sym_coarray_statement_token12] = ACTIONS(5453),
    [aux_sym_coarray_statement_token13] = ACTIONS(5453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5453),
    [aux_sym_identifier_token1] = ACTIONS(5453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5455),
    [sym__float_literal] = ACTIONS(5455),
    [sym__boz_literal] = ACTIONS(5455),
    [sym__string_literal] = ACTIONS(5455),
    [sym__string_literal_kind] = ACTIONS(5455),
  },
  [1453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5461),
    [aux_sym_interface_statement_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5461),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5461),
    [aux_sym_language_binding_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5461),
    [aux_sym_contains_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token2] = ACTIONS(5461),
    [aux_sym_implicit_statement_token1] = ACTIONS(5461),
    [aux_sym_implicit_statement_token3] = ACTIONS(5461),
    [aux_sym_implicit_statement_token4] = ACTIONS(5461),
    [aux_sym_save_statement_token1] = ACTIONS(5461),
    [aux_sym_private_statement_token1] = ACTIONS(5461),
    [aux_sym_public_statement_token1] = ACTIONS(5461),
    [aux_sym_namelist_statement_token1] = ACTIONS(5461),
    [aux_sym_common_statement_token1] = ACTIONS(5461),
    [aux_sym_import_statement_token1] = ACTIONS(5461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5461),
    [aux_sym_variable_attributes_token1] = ACTIONS(5461),
    [aux_sym_variable_attributes_token2] = ACTIONS(5461),
    [aux_sym_variable_attributes_token3] = ACTIONS(5461),
    [aux_sym_variable_attributes_token4] = ACTIONS(5461),
    [aux_sym_variable_attributes_token5] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5461),
    [aux_sym_derived_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5461),
    [aux_sym_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5463),
    [aux_sym_stop_statement_token1] = ACTIONS(5461),
    [aux_sym_stop_statement_token2] = ACTIONS(5461),
    [aux_sym_subroutine_call_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token2] = ACTIONS(5461),
    [aux_sym_keyword_statement_token3] = ACTIONS(5461),
    [aux_sym_keyword_statement_token4] = ACTIONS(5461),
    [aux_sym_keyword_statement_token6] = ACTIONS(5461),
    [aux_sym_keyword_statement_token7] = ACTIONS(5461),
    [aux_sym_include_statement_token1] = ACTIONS(5461),
    [aux_sym_data_statement_token1] = ACTIONS(5461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5461),
    [aux_sym_end_if_statement_token1] = ACTIONS(5461),
    [aux_sym_elseif_clause_token2] = ACTIONS(5461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token3] = ACTIONS(5461),
    [aux_sym_select_type_statement_token1] = ACTIONS(5461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5461),
    [aux_sym_block_construct_token1] = ACTIONS(5461),
    [aux_sym_associate_statement_token1] = ACTIONS(5461),
    [aux_sym_format_statement_token1] = ACTIONS(5461),
    [aux_sym_print_statement_token1] = ACTIONS(5461),
    [aux_sym_open_statement_token1] = ACTIONS(5461),
    [aux_sym_close_statement_token1] = ACTIONS(5461),
    [aux_sym_inquire_statement_token1] = ACTIONS(5461),
    [aux_sym_enum_statement_token1] = ACTIONS(5461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token2] = ACTIONS(5461),
    [aux_sym_file_position_statement_token3] = ACTIONS(5461),
    [aux_sym_file_position_statement_token4] = ACTIONS(5461),
    [aux_sym_allocate_statement_token1] = ACTIONS(5461),
    [aux_sym_entry_statement_token1] = ACTIONS(5461),
    [aux_sym_logical_expression_token5] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [aux_sym_boolean_literal_token1] = ACTIONS(5463),
    [aux_sym_boolean_literal_token2] = ACTIONS(5463),
    [aux_sym_null_literal_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token2] = ACTIONS(5461),
    [aux_sym_coarray_statement_token6] = ACTIONS(5461),
    [aux_sym_coarray_statement_token8] = ACTIONS(5461),
    [aux_sym_coarray_statement_token11] = ACTIONS(5461),
    [aux_sym_coarray_statement_token12] = ACTIONS(5461),
    [aux_sym_coarray_statement_token13] = ACTIONS(5461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5461),
    [aux_sym_identifier_token1] = ACTIONS(5461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5463),
    [sym__float_literal] = ACTIONS(5463),
    [sym__boz_literal] = ACTIONS(5463),
    [sym__string_literal] = ACTIONS(5463),
    [sym__string_literal_kind] = ACTIONS(5463),
  },
  [1454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5445),
    [aux_sym_interface_statement_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5445),
    [aux_sym_language_binding_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5445),
    [aux_sym_end_function_statement_token1] = ACTIONS(5445),
    [aux_sym_contains_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token2] = ACTIONS(5445),
    [aux_sym_implicit_statement_token1] = ACTIONS(5445),
    [aux_sym_implicit_statement_token3] = ACTIONS(5445),
    [aux_sym_implicit_statement_token4] = ACTIONS(5445),
    [aux_sym_save_statement_token1] = ACTIONS(5445),
    [aux_sym_private_statement_token1] = ACTIONS(5445),
    [aux_sym_public_statement_token1] = ACTIONS(5445),
    [aux_sym_namelist_statement_token1] = ACTIONS(5445),
    [aux_sym_common_statement_token1] = ACTIONS(5445),
    [aux_sym_import_statement_token1] = ACTIONS(5445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5445),
    [aux_sym_variable_attributes_token1] = ACTIONS(5445),
    [aux_sym_variable_attributes_token2] = ACTIONS(5445),
    [aux_sym_variable_attributes_token3] = ACTIONS(5445),
    [aux_sym_variable_attributes_token4] = ACTIONS(5445),
    [aux_sym_variable_attributes_token5] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5445),
    [aux_sym_derived_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5445),
    [aux_sym_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5445),
    [anon_sym_SEMI] = ACTIONS(5447),
    [aux_sym_stop_statement_token1] = ACTIONS(5445),
    [aux_sym_stop_statement_token2] = ACTIONS(5445),
    [aux_sym_subroutine_call_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token2] = ACTIONS(5445),
    [aux_sym_keyword_statement_token3] = ACTIONS(5445),
    [aux_sym_keyword_statement_token4] = ACTIONS(5445),
    [aux_sym_keyword_statement_token6] = ACTIONS(5445),
    [aux_sym_keyword_statement_token7] = ACTIONS(5445),
    [aux_sym_include_statement_token1] = ACTIONS(5445),
    [aux_sym_data_statement_token1] = ACTIONS(5445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5445),
    [aux_sym_end_if_statement_token1] = ACTIONS(5445),
    [aux_sym_elseif_clause_token2] = ACTIONS(5445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token3] = ACTIONS(5445),
    [aux_sym_select_type_statement_token1] = ACTIONS(5445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5445),
    [aux_sym_block_construct_token1] = ACTIONS(5445),
    [aux_sym_associate_statement_token1] = ACTIONS(5445),
    [aux_sym_format_statement_token1] = ACTIONS(5445),
    [aux_sym_print_statement_token1] = ACTIONS(5445),
    [aux_sym_open_statement_token1] = ACTIONS(5445),
    [aux_sym_close_statement_token1] = ACTIONS(5445),
    [aux_sym_inquire_statement_token1] = ACTIONS(5445),
    [aux_sym_enum_statement_token1] = ACTIONS(5445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token2] = ACTIONS(5445),
    [aux_sym_file_position_statement_token3] = ACTIONS(5445),
    [aux_sym_file_position_statement_token4] = ACTIONS(5445),
    [aux_sym_allocate_statement_token1] = ACTIONS(5445),
    [aux_sym_entry_statement_token1] = ACTIONS(5445),
    [aux_sym_logical_expression_token5] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [aux_sym_boolean_literal_token1] = ACTIONS(5447),
    [aux_sym_boolean_literal_token2] = ACTIONS(5447),
    [aux_sym_null_literal_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token2] = ACTIONS(5445),
    [aux_sym_coarray_statement_token6] = ACTIONS(5445),
    [aux_sym_coarray_statement_token8] = ACTIONS(5445),
    [aux_sym_coarray_statement_token11] = ACTIONS(5445),
    [aux_sym_coarray_statement_token12] = ACTIONS(5445),
    [aux_sym_coarray_statement_token13] = ACTIONS(5445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5445),
    [aux_sym_identifier_token1] = ACTIONS(5445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5447),
    [sym__float_literal] = ACTIONS(5447),
    [sym__boz_literal] = ACTIONS(5447),
    [sym__string_literal] = ACTIONS(5447),
    [sym__string_literal_kind] = ACTIONS(5447),
  },
  [1455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_LPAREN2] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5477),
    [aux_sym_interface_statement_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5477),
    [aux_sym_language_binding_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5477),
    [aux_sym_end_function_statement_token1] = ACTIONS(5477),
    [aux_sym_contains_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token2] = ACTIONS(5477),
    [aux_sym_implicit_statement_token1] = ACTIONS(5477),
    [aux_sym_implicit_statement_token3] = ACTIONS(5477),
    [aux_sym_implicit_statement_token4] = ACTIONS(5477),
    [aux_sym_save_statement_token1] = ACTIONS(5477),
    [aux_sym_private_statement_token1] = ACTIONS(5477),
    [aux_sym_public_statement_token1] = ACTIONS(5477),
    [aux_sym_namelist_statement_token1] = ACTIONS(5477),
    [aux_sym_common_statement_token1] = ACTIONS(5477),
    [aux_sym_import_statement_token1] = ACTIONS(5477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5477),
    [aux_sym_variable_attributes_token1] = ACTIONS(5477),
    [aux_sym_variable_attributes_token2] = ACTIONS(5477),
    [aux_sym_variable_attributes_token3] = ACTIONS(5477),
    [aux_sym_variable_attributes_token4] = ACTIONS(5477),
    [aux_sym_variable_attributes_token5] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5477),
    [aux_sym_derived_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5477),
    [aux_sym_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5477),
    [anon_sym_SEMI] = ACTIONS(5479),
    [aux_sym_stop_statement_token1] = ACTIONS(5477),
    [aux_sym_stop_statement_token2] = ACTIONS(5477),
    [aux_sym_subroutine_call_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token2] = ACTIONS(5477),
    [aux_sym_keyword_statement_token3] = ACTIONS(5477),
    [aux_sym_keyword_statement_token4] = ACTIONS(5477),
    [aux_sym_keyword_statement_token6] = ACTIONS(5477),
    [aux_sym_keyword_statement_token7] = ACTIONS(5477),
    [aux_sym_include_statement_token1] = ACTIONS(5477),
    [aux_sym_data_statement_token1] = ACTIONS(5477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5477),
    [aux_sym_end_if_statement_token1] = ACTIONS(5477),
    [aux_sym_elseif_clause_token2] = ACTIONS(5477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token3] = ACTIONS(5477),
    [aux_sym_select_type_statement_token1] = ACTIONS(5477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5477),
    [aux_sym_block_construct_token1] = ACTIONS(5477),
    [aux_sym_associate_statement_token1] = ACTIONS(5477),
    [aux_sym_format_statement_token1] = ACTIONS(5477),
    [aux_sym_print_statement_token1] = ACTIONS(5477),
    [aux_sym_open_statement_token1] = ACTIONS(5477),
    [aux_sym_close_statement_token1] = ACTIONS(5477),
    [aux_sym_inquire_statement_token1] = ACTIONS(5477),
    [aux_sym_enum_statement_token1] = ACTIONS(5477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token2] = ACTIONS(5477),
    [aux_sym_file_position_statement_token3] = ACTIONS(5477),
    [aux_sym_file_position_statement_token4] = ACTIONS(5477),
    [aux_sym_allocate_statement_token1] = ACTIONS(5477),
    [aux_sym_entry_statement_token1] = ACTIONS(5477),
    [aux_sym_logical_expression_token5] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [aux_sym_boolean_literal_token1] = ACTIONS(5479),
    [aux_sym_boolean_literal_token2] = ACTIONS(5479),
    [aux_sym_null_literal_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token2] = ACTIONS(5477),
    [aux_sym_coarray_statement_token6] = ACTIONS(5477),
    [aux_sym_coarray_statement_token8] = ACTIONS(5477),
    [aux_sym_coarray_statement_token11] = ACTIONS(5477),
    [aux_sym_coarray_statement_token12] = ACTIONS(5477),
    [aux_sym_coarray_statement_token13] = ACTIONS(5477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5477),
    [aux_sym_identifier_token1] = ACTIONS(5477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5479),
    [sym__float_literal] = ACTIONS(5479),
    [sym__boz_literal] = ACTIONS(5479),
    [sym__string_literal] = ACTIONS(5479),
    [sym__string_literal_kind] = ACTIONS(5479),
  },
  [1462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5461),
    [aux_sym_interface_statement_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5461),
    [aux_sym_language_binding_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5461),
    [aux_sym_end_function_statement_token1] = ACTIONS(5461),
    [aux_sym_contains_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token2] = ACTIONS(5461),
    [aux_sym_implicit_statement_token1] = ACTIONS(5461),
    [aux_sym_implicit_statement_token3] = ACTIONS(5461),
    [aux_sym_implicit_statement_token4] = ACTIONS(5461),
    [aux_sym_save_statement_token1] = ACTIONS(5461),
    [aux_sym_private_statement_token1] = ACTIONS(5461),
    [aux_sym_public_statement_token1] = ACTIONS(5461),
    [aux_sym_namelist_statement_token1] = ACTIONS(5461),
    [aux_sym_common_statement_token1] = ACTIONS(5461),
    [aux_sym_import_statement_token1] = ACTIONS(5461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5461),
    [aux_sym_variable_attributes_token1] = ACTIONS(5461),
    [aux_sym_variable_attributes_token2] = ACTIONS(5461),
    [aux_sym_variable_attributes_token3] = ACTIONS(5461),
    [aux_sym_variable_attributes_token4] = ACTIONS(5461),
    [aux_sym_variable_attributes_token5] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5461),
    [aux_sym_derived_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5461),
    [aux_sym_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5463),
    [aux_sym_stop_statement_token1] = ACTIONS(5461),
    [aux_sym_stop_statement_token2] = ACTIONS(5461),
    [aux_sym_subroutine_call_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token2] = ACTIONS(5461),
    [aux_sym_keyword_statement_token3] = ACTIONS(5461),
    [aux_sym_keyword_statement_token4] = ACTIONS(5461),
    [aux_sym_keyword_statement_token6] = ACTIONS(5461),
    [aux_sym_keyword_statement_token7] = ACTIONS(5461),
    [aux_sym_include_statement_token1] = ACTIONS(5461),
    [aux_sym_data_statement_token1] = ACTIONS(5461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5461),
    [aux_sym_end_if_statement_token1] = ACTIONS(5461),
    [aux_sym_elseif_clause_token2] = ACTIONS(5461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token3] = ACTIONS(5461),
    [aux_sym_select_type_statement_token1] = ACTIONS(5461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5461),
    [aux_sym_block_construct_token1] = ACTIONS(5461),
    [aux_sym_associate_statement_token1] = ACTIONS(5461),
    [aux_sym_format_statement_token1] = ACTIONS(5461),
    [aux_sym_print_statement_token1] = ACTIONS(5461),
    [aux_sym_open_statement_token1] = ACTIONS(5461),
    [aux_sym_close_statement_token1] = ACTIONS(5461),
    [aux_sym_inquire_statement_token1] = ACTIONS(5461),
    [aux_sym_enum_statement_token1] = ACTIONS(5461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token2] = ACTIONS(5461),
    [aux_sym_file_position_statement_token3] = ACTIONS(5461),
    [aux_sym_file_position_statement_token4] = ACTIONS(5461),
    [aux_sym_allocate_statement_token1] = ACTIONS(5461),
    [aux_sym_entry_statement_token1] = ACTIONS(5461),
    [aux_sym_logical_expression_token5] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [aux_sym_boolean_literal_token1] = ACTIONS(5463),
    [aux_sym_boolean_literal_token2] = ACTIONS(5463),
    [aux_sym_null_literal_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token2] = ACTIONS(5461),
    [aux_sym_coarray_statement_token6] = ACTIONS(5461),
    [aux_sym_coarray_statement_token8] = ACTIONS(5461),
    [aux_sym_coarray_statement_token11] = ACTIONS(5461),
    [aux_sym_coarray_statement_token12] = ACTIONS(5461),
    [aux_sym_coarray_statement_token13] = ACTIONS(5461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5461),
    [aux_sym_identifier_token1] = ACTIONS(5461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5463),
    [sym__float_literal] = ACTIONS(5463),
    [sym__boz_literal] = ACTIONS(5463),
    [sym__string_literal] = ACTIONS(5463),
    [sym__string_literal_kind] = ACTIONS(5463),
  },
  [1463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_end_function_statement_token1] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_end_program_statement_token2] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_end_function_statement_token1] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_end_function_statement_token1] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5433),
    [aux_sym_interface_statement_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5433),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5433),
    [aux_sym_language_binding_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5433),
    [aux_sym_contains_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token2] = ACTIONS(5433),
    [aux_sym_implicit_statement_token1] = ACTIONS(5433),
    [aux_sym_implicit_statement_token3] = ACTIONS(5433),
    [aux_sym_implicit_statement_token4] = ACTIONS(5433),
    [aux_sym_save_statement_token1] = ACTIONS(5433),
    [aux_sym_private_statement_token1] = ACTIONS(5433),
    [aux_sym_public_statement_token1] = ACTIONS(5433),
    [aux_sym_namelist_statement_token1] = ACTIONS(5433),
    [aux_sym_common_statement_token1] = ACTIONS(5433),
    [aux_sym_import_statement_token1] = ACTIONS(5433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5433),
    [aux_sym_variable_attributes_token1] = ACTIONS(5433),
    [aux_sym_variable_attributes_token2] = ACTIONS(5433),
    [aux_sym_variable_attributes_token3] = ACTIONS(5433),
    [aux_sym_variable_attributes_token4] = ACTIONS(5433),
    [aux_sym_variable_attributes_token5] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5433),
    [aux_sym_derived_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5433),
    [aux_sym_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5433),
    [anon_sym_SEMI] = ACTIONS(5435),
    [aux_sym_stop_statement_token1] = ACTIONS(5433),
    [aux_sym_stop_statement_token2] = ACTIONS(5433),
    [aux_sym_subroutine_call_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token2] = ACTIONS(5433),
    [aux_sym_keyword_statement_token3] = ACTIONS(5433),
    [aux_sym_keyword_statement_token4] = ACTIONS(5433),
    [aux_sym_keyword_statement_token6] = ACTIONS(5433),
    [aux_sym_keyword_statement_token7] = ACTIONS(5433),
    [aux_sym_include_statement_token1] = ACTIONS(5433),
    [aux_sym_data_statement_token1] = ACTIONS(5433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5433),
    [aux_sym_end_if_statement_token1] = ACTIONS(5433),
    [aux_sym_elseif_clause_token2] = ACTIONS(5433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token3] = ACTIONS(5433),
    [aux_sym_select_type_statement_token1] = ACTIONS(5433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5433),
    [aux_sym_block_construct_token1] = ACTIONS(5433),
    [aux_sym_associate_statement_token1] = ACTIONS(5433),
    [aux_sym_format_statement_token1] = ACTIONS(5433),
    [aux_sym_print_statement_token1] = ACTIONS(5433),
    [aux_sym_open_statement_token1] = ACTIONS(5433),
    [aux_sym_close_statement_token1] = ACTIONS(5433),
    [aux_sym_inquire_statement_token1] = ACTIONS(5433),
    [aux_sym_enum_statement_token1] = ACTIONS(5433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token2] = ACTIONS(5433),
    [aux_sym_file_position_statement_token3] = ACTIONS(5433),
    [aux_sym_file_position_statement_token4] = ACTIONS(5433),
    [aux_sym_allocate_statement_token1] = ACTIONS(5433),
    [aux_sym_entry_statement_token1] = ACTIONS(5433),
    [aux_sym_logical_expression_token5] = ACTIONS(5435),
    [anon_sym_DOT] = ACTIONS(5433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [aux_sym_boolean_literal_token1] = ACTIONS(5435),
    [aux_sym_boolean_literal_token2] = ACTIONS(5435),
    [aux_sym_null_literal_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token2] = ACTIONS(5433),
    [aux_sym_coarray_statement_token6] = ACTIONS(5433),
    [aux_sym_coarray_statement_token8] = ACTIONS(5433),
    [aux_sym_coarray_statement_token11] = ACTIONS(5433),
    [aux_sym_coarray_statement_token12] = ACTIONS(5433),
    [aux_sym_coarray_statement_token13] = ACTIONS(5433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5433),
    [aux_sym_identifier_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5435),
    [sym__float_literal] = ACTIONS(5435),
    [sym__boz_literal] = ACTIONS(5435),
    [sym__string_literal] = ACTIONS(5435),
    [sym__string_literal_kind] = ACTIONS(5435),
  },
  [1471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_end_function_statement_token1] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1474] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_end_program_statement_token2] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_end_function_statement_token1] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5481),
    [aux_sym_preproc_def_token1] = ACTIONS(5481),
    [aux_sym_preproc_if_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5481),
    [sym_preproc_directive] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5481),
    [aux_sym_end_program_statement_token2] = ACTIONS(5481),
    [aux_sym_interface_statement_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5481),
    [aux_sym_language_binding_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5481),
    [aux_sym_contains_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token2] = ACTIONS(5481),
    [aux_sym_implicit_statement_token1] = ACTIONS(5481),
    [aux_sym_implicit_statement_token3] = ACTIONS(5481),
    [aux_sym_implicit_statement_token4] = ACTIONS(5481),
    [aux_sym_save_statement_token1] = ACTIONS(5481),
    [aux_sym_private_statement_token1] = ACTIONS(5481),
    [aux_sym_public_statement_token1] = ACTIONS(5481),
    [aux_sym_namelist_statement_token1] = ACTIONS(5481),
    [aux_sym_common_statement_token1] = ACTIONS(5481),
    [aux_sym_import_statement_token1] = ACTIONS(5481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5481),
    [aux_sym_variable_attributes_token1] = ACTIONS(5481),
    [aux_sym_variable_attributes_token2] = ACTIONS(5481),
    [aux_sym_variable_attributes_token3] = ACTIONS(5481),
    [aux_sym_variable_attributes_token4] = ACTIONS(5481),
    [aux_sym_variable_attributes_token5] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5481),
    [aux_sym_derived_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5481),
    [aux_sym_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [aux_sym_stop_statement_token1] = ACTIONS(5481),
    [aux_sym_stop_statement_token2] = ACTIONS(5481),
    [aux_sym_subroutine_call_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token2] = ACTIONS(5481),
    [aux_sym_keyword_statement_token3] = ACTIONS(5481),
    [aux_sym_keyword_statement_token4] = ACTIONS(5481),
    [aux_sym_keyword_statement_token6] = ACTIONS(5481),
    [aux_sym_keyword_statement_token7] = ACTIONS(5481),
    [aux_sym_include_statement_token1] = ACTIONS(5481),
    [aux_sym_data_statement_token1] = ACTIONS(5481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5481),
    [aux_sym_end_if_statement_token1] = ACTIONS(5481),
    [aux_sym_elseif_clause_token2] = ACTIONS(5481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token3] = ACTIONS(5481),
    [aux_sym_select_type_statement_token1] = ACTIONS(5481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5481),
    [aux_sym_block_construct_token1] = ACTIONS(5481),
    [aux_sym_associate_statement_token1] = ACTIONS(5481),
    [aux_sym_format_statement_token1] = ACTIONS(5481),
    [aux_sym_print_statement_token1] = ACTIONS(5481),
    [aux_sym_open_statement_token1] = ACTIONS(5481),
    [aux_sym_close_statement_token1] = ACTIONS(5481),
    [aux_sym_inquire_statement_token1] = ACTIONS(5481),
    [aux_sym_enum_statement_token1] = ACTIONS(5481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token2] = ACTIONS(5481),
    [aux_sym_file_position_statement_token3] = ACTIONS(5481),
    [aux_sym_file_position_statement_token4] = ACTIONS(5481),
    [aux_sym_allocate_statement_token1] = ACTIONS(5481),
    [aux_sym_entry_statement_token1] = ACTIONS(5481),
    [aux_sym_logical_expression_token5] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [aux_sym_boolean_literal_token1] = ACTIONS(5483),
    [aux_sym_boolean_literal_token2] = ACTIONS(5483),
    [aux_sym_null_literal_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token2] = ACTIONS(5481),
    [aux_sym_coarray_statement_token6] = ACTIONS(5481),
    [aux_sym_coarray_statement_token8] = ACTIONS(5481),
    [aux_sym_coarray_statement_token11] = ACTIONS(5481),
    [aux_sym_coarray_statement_token12] = ACTIONS(5481),
    [aux_sym_coarray_statement_token13] = ACTIONS(5481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5481),
    [aux_sym_identifier_token1] = ACTIONS(5481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5483),
    [sym__float_literal] = ACTIONS(5483),
    [sym__boz_literal] = ACTIONS(5483),
    [sym__string_literal] = ACTIONS(5483),
    [sym__string_literal_kind] = ACTIONS(5483),
  },
  [1478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_end_program_statement_token2] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_LPAREN2] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5477),
    [aux_sym_interface_statement_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5477),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5477),
    [aux_sym_language_binding_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5477),
    [aux_sym_contains_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token2] = ACTIONS(5477),
    [aux_sym_implicit_statement_token1] = ACTIONS(5477),
    [aux_sym_implicit_statement_token3] = ACTIONS(5477),
    [aux_sym_implicit_statement_token4] = ACTIONS(5477),
    [aux_sym_save_statement_token1] = ACTIONS(5477),
    [aux_sym_private_statement_token1] = ACTIONS(5477),
    [aux_sym_public_statement_token1] = ACTIONS(5477),
    [aux_sym_namelist_statement_token1] = ACTIONS(5477),
    [aux_sym_common_statement_token1] = ACTIONS(5477),
    [aux_sym_import_statement_token1] = ACTIONS(5477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5477),
    [aux_sym_variable_attributes_token1] = ACTIONS(5477),
    [aux_sym_variable_attributes_token2] = ACTIONS(5477),
    [aux_sym_variable_attributes_token3] = ACTIONS(5477),
    [aux_sym_variable_attributes_token4] = ACTIONS(5477),
    [aux_sym_variable_attributes_token5] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5477),
    [aux_sym_derived_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5477),
    [aux_sym_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5477),
    [anon_sym_SEMI] = ACTIONS(5479),
    [aux_sym_stop_statement_token1] = ACTIONS(5477),
    [aux_sym_stop_statement_token2] = ACTIONS(5477),
    [aux_sym_subroutine_call_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token2] = ACTIONS(5477),
    [aux_sym_keyword_statement_token3] = ACTIONS(5477),
    [aux_sym_keyword_statement_token4] = ACTIONS(5477),
    [aux_sym_keyword_statement_token6] = ACTIONS(5477),
    [aux_sym_keyword_statement_token7] = ACTIONS(5477),
    [aux_sym_include_statement_token1] = ACTIONS(5477),
    [aux_sym_data_statement_token1] = ACTIONS(5477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5477),
    [aux_sym_end_if_statement_token1] = ACTIONS(5477),
    [aux_sym_elseif_clause_token2] = ACTIONS(5477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token3] = ACTIONS(5477),
    [aux_sym_select_type_statement_token1] = ACTIONS(5477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5477),
    [aux_sym_block_construct_token1] = ACTIONS(5477),
    [aux_sym_associate_statement_token1] = ACTIONS(5477),
    [aux_sym_format_statement_token1] = ACTIONS(5477),
    [aux_sym_print_statement_token1] = ACTIONS(5477),
    [aux_sym_open_statement_token1] = ACTIONS(5477),
    [aux_sym_close_statement_token1] = ACTIONS(5477),
    [aux_sym_inquire_statement_token1] = ACTIONS(5477),
    [aux_sym_enum_statement_token1] = ACTIONS(5477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token2] = ACTIONS(5477),
    [aux_sym_file_position_statement_token3] = ACTIONS(5477),
    [aux_sym_file_position_statement_token4] = ACTIONS(5477),
    [aux_sym_allocate_statement_token1] = ACTIONS(5477),
    [aux_sym_entry_statement_token1] = ACTIONS(5477),
    [aux_sym_logical_expression_token5] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [aux_sym_boolean_literal_token1] = ACTIONS(5479),
    [aux_sym_boolean_literal_token2] = ACTIONS(5479),
    [aux_sym_null_literal_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token2] = ACTIONS(5477),
    [aux_sym_coarray_statement_token6] = ACTIONS(5477),
    [aux_sym_coarray_statement_token8] = ACTIONS(5477),
    [aux_sym_coarray_statement_token11] = ACTIONS(5477),
    [aux_sym_coarray_statement_token12] = ACTIONS(5477),
    [aux_sym_coarray_statement_token13] = ACTIONS(5477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5477),
    [aux_sym_identifier_token1] = ACTIONS(5477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5479),
    [sym__float_literal] = ACTIONS(5479),
    [sym__boz_literal] = ACTIONS(5479),
    [sym__string_literal] = ACTIONS(5479),
    [sym__string_literal_kind] = ACTIONS(5479),
  },
  [1480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_end_program_statement_token2] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_end_function_statement_token1] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_end_function_statement_token1] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_end_function_statement_token1] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_end_function_statement_token1] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1490] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_end_function_statement_token1] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_end_function_statement_token1] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5481),
    [aux_sym_preproc_def_token1] = ACTIONS(5481),
    [aux_sym_preproc_if_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5481),
    [sym_preproc_directive] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5481),
    [aux_sym_interface_statement_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5481),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5481),
    [aux_sym_language_binding_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5481),
    [aux_sym_contains_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token2] = ACTIONS(5481),
    [aux_sym_implicit_statement_token1] = ACTIONS(5481),
    [aux_sym_implicit_statement_token3] = ACTIONS(5481),
    [aux_sym_implicit_statement_token4] = ACTIONS(5481),
    [aux_sym_save_statement_token1] = ACTIONS(5481),
    [aux_sym_private_statement_token1] = ACTIONS(5481),
    [aux_sym_public_statement_token1] = ACTIONS(5481),
    [aux_sym_namelist_statement_token1] = ACTIONS(5481),
    [aux_sym_common_statement_token1] = ACTIONS(5481),
    [aux_sym_import_statement_token1] = ACTIONS(5481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5481),
    [aux_sym_variable_attributes_token1] = ACTIONS(5481),
    [aux_sym_variable_attributes_token2] = ACTIONS(5481),
    [aux_sym_variable_attributes_token3] = ACTIONS(5481),
    [aux_sym_variable_attributes_token4] = ACTIONS(5481),
    [aux_sym_variable_attributes_token5] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5481),
    [aux_sym_derived_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5481),
    [aux_sym_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [aux_sym_stop_statement_token1] = ACTIONS(5481),
    [aux_sym_stop_statement_token2] = ACTIONS(5481),
    [aux_sym_subroutine_call_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token2] = ACTIONS(5481),
    [aux_sym_keyword_statement_token3] = ACTIONS(5481),
    [aux_sym_keyword_statement_token4] = ACTIONS(5481),
    [aux_sym_keyword_statement_token6] = ACTIONS(5481),
    [aux_sym_keyword_statement_token7] = ACTIONS(5481),
    [aux_sym_include_statement_token1] = ACTIONS(5481),
    [aux_sym_data_statement_token1] = ACTIONS(5481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5481),
    [aux_sym_end_if_statement_token1] = ACTIONS(5481),
    [aux_sym_elseif_clause_token2] = ACTIONS(5481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token3] = ACTIONS(5481),
    [aux_sym_select_type_statement_token1] = ACTIONS(5481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5481),
    [aux_sym_block_construct_token1] = ACTIONS(5481),
    [aux_sym_associate_statement_token1] = ACTIONS(5481),
    [aux_sym_format_statement_token1] = ACTIONS(5481),
    [aux_sym_print_statement_token1] = ACTIONS(5481),
    [aux_sym_open_statement_token1] = ACTIONS(5481),
    [aux_sym_close_statement_token1] = ACTIONS(5481),
    [aux_sym_inquire_statement_token1] = ACTIONS(5481),
    [aux_sym_enum_statement_token1] = ACTIONS(5481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token2] = ACTIONS(5481),
    [aux_sym_file_position_statement_token3] = ACTIONS(5481),
    [aux_sym_file_position_statement_token4] = ACTIONS(5481),
    [aux_sym_allocate_statement_token1] = ACTIONS(5481),
    [aux_sym_entry_statement_token1] = ACTIONS(5481),
    [aux_sym_logical_expression_token5] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [aux_sym_boolean_literal_token1] = ACTIONS(5483),
    [aux_sym_boolean_literal_token2] = ACTIONS(5483),
    [aux_sym_null_literal_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token2] = ACTIONS(5481),
    [aux_sym_coarray_statement_token6] = ACTIONS(5481),
    [aux_sym_coarray_statement_token8] = ACTIONS(5481),
    [aux_sym_coarray_statement_token11] = ACTIONS(5481),
    [aux_sym_coarray_statement_token12] = ACTIONS(5481),
    [aux_sym_coarray_statement_token13] = ACTIONS(5481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5481),
    [aux_sym_identifier_token1] = ACTIONS(5481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5483),
    [sym__float_literal] = ACTIONS(5483),
    [sym__boz_literal] = ACTIONS(5483),
    [sym__string_literal] = ACTIONS(5483),
    [sym__string_literal_kind] = ACTIONS(5483),
  },
  [1496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5441),
    [aux_sym_preproc_def_token1] = ACTIONS(5441),
    [aux_sym_preproc_if_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5441),
    [sym_preproc_directive] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5443),
    [anon_sym_DASH] = ACTIONS(5443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5441),
    [aux_sym_end_program_statement_token2] = ACTIONS(5441),
    [aux_sym_interface_statement_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5441),
    [aux_sym_language_binding_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5441),
    [aux_sym_contains_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token2] = ACTIONS(5441),
    [aux_sym_implicit_statement_token1] = ACTIONS(5441),
    [aux_sym_implicit_statement_token3] = ACTIONS(5441),
    [aux_sym_implicit_statement_token4] = ACTIONS(5441),
    [aux_sym_save_statement_token1] = ACTIONS(5441),
    [aux_sym_private_statement_token1] = ACTIONS(5441),
    [aux_sym_public_statement_token1] = ACTIONS(5441),
    [aux_sym_namelist_statement_token1] = ACTIONS(5441),
    [aux_sym_common_statement_token1] = ACTIONS(5441),
    [aux_sym_import_statement_token1] = ACTIONS(5441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5441),
    [aux_sym_variable_attributes_token1] = ACTIONS(5441),
    [aux_sym_variable_attributes_token2] = ACTIONS(5441),
    [aux_sym_variable_attributes_token3] = ACTIONS(5441),
    [aux_sym_variable_attributes_token4] = ACTIONS(5441),
    [aux_sym_variable_attributes_token5] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5441),
    [aux_sym_derived_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5441),
    [aux_sym_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5443),
    [aux_sym_stop_statement_token1] = ACTIONS(5441),
    [aux_sym_stop_statement_token2] = ACTIONS(5441),
    [aux_sym_subroutine_call_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token2] = ACTIONS(5441),
    [aux_sym_keyword_statement_token3] = ACTIONS(5441),
    [aux_sym_keyword_statement_token4] = ACTIONS(5441),
    [aux_sym_keyword_statement_token6] = ACTIONS(5441),
    [aux_sym_keyword_statement_token7] = ACTIONS(5441),
    [aux_sym_include_statement_token1] = ACTIONS(5441),
    [aux_sym_data_statement_token1] = ACTIONS(5441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5441),
    [aux_sym_end_if_statement_token1] = ACTIONS(5441),
    [aux_sym_elseif_clause_token2] = ACTIONS(5441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token3] = ACTIONS(5441),
    [aux_sym_select_type_statement_token1] = ACTIONS(5441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5441),
    [aux_sym_block_construct_token1] = ACTIONS(5441),
    [aux_sym_associate_statement_token1] = ACTIONS(5441),
    [aux_sym_format_statement_token1] = ACTIONS(5441),
    [aux_sym_print_statement_token1] = ACTIONS(5441),
    [aux_sym_open_statement_token1] = ACTIONS(5441),
    [aux_sym_close_statement_token1] = ACTIONS(5441),
    [aux_sym_inquire_statement_token1] = ACTIONS(5441),
    [aux_sym_enum_statement_token1] = ACTIONS(5441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token2] = ACTIONS(5441),
    [aux_sym_file_position_statement_token3] = ACTIONS(5441),
    [aux_sym_file_position_statement_token4] = ACTIONS(5441),
    [aux_sym_allocate_statement_token1] = ACTIONS(5441),
    [aux_sym_entry_statement_token1] = ACTIONS(5441),
    [aux_sym_logical_expression_token5] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [aux_sym_boolean_literal_token1] = ACTIONS(5443),
    [aux_sym_boolean_literal_token2] = ACTIONS(5443),
    [aux_sym_null_literal_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token2] = ACTIONS(5441),
    [aux_sym_coarray_statement_token6] = ACTIONS(5441),
    [aux_sym_coarray_statement_token8] = ACTIONS(5441),
    [aux_sym_coarray_statement_token11] = ACTIONS(5441),
    [aux_sym_coarray_statement_token12] = ACTIONS(5441),
    [aux_sym_coarray_statement_token13] = ACTIONS(5441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5441),
    [aux_sym_identifier_token1] = ACTIONS(5441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5443),
    [sym__float_literal] = ACTIONS(5443),
    [sym__boz_literal] = ACTIONS(5443),
    [sym__string_literal] = ACTIONS(5443),
    [sym__string_literal_kind] = ACTIONS(5443),
  },
  [1499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5445),
    [aux_sym_end_program_statement_token2] = ACTIONS(5445),
    [aux_sym_interface_statement_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5445),
    [aux_sym_language_binding_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5445),
    [aux_sym_contains_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token2] = ACTIONS(5445),
    [aux_sym_implicit_statement_token1] = ACTIONS(5445),
    [aux_sym_implicit_statement_token3] = ACTIONS(5445),
    [aux_sym_implicit_statement_token4] = ACTIONS(5445),
    [aux_sym_save_statement_token1] = ACTIONS(5445),
    [aux_sym_private_statement_token1] = ACTIONS(5445),
    [aux_sym_public_statement_token1] = ACTIONS(5445),
    [aux_sym_namelist_statement_token1] = ACTIONS(5445),
    [aux_sym_common_statement_token1] = ACTIONS(5445),
    [aux_sym_import_statement_token1] = ACTIONS(5445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5445),
    [aux_sym_variable_attributes_token1] = ACTIONS(5445),
    [aux_sym_variable_attributes_token2] = ACTIONS(5445),
    [aux_sym_variable_attributes_token3] = ACTIONS(5445),
    [aux_sym_variable_attributes_token4] = ACTIONS(5445),
    [aux_sym_variable_attributes_token5] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5445),
    [aux_sym_derived_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5445),
    [aux_sym_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5445),
    [anon_sym_SEMI] = ACTIONS(5447),
    [aux_sym_stop_statement_token1] = ACTIONS(5445),
    [aux_sym_stop_statement_token2] = ACTIONS(5445),
    [aux_sym_subroutine_call_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token2] = ACTIONS(5445),
    [aux_sym_keyword_statement_token3] = ACTIONS(5445),
    [aux_sym_keyword_statement_token4] = ACTIONS(5445),
    [aux_sym_keyword_statement_token6] = ACTIONS(5445),
    [aux_sym_keyword_statement_token7] = ACTIONS(5445),
    [aux_sym_include_statement_token1] = ACTIONS(5445),
    [aux_sym_data_statement_token1] = ACTIONS(5445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5445),
    [aux_sym_end_if_statement_token1] = ACTIONS(5445),
    [aux_sym_elseif_clause_token2] = ACTIONS(5445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token3] = ACTIONS(5445),
    [aux_sym_select_type_statement_token1] = ACTIONS(5445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5445),
    [aux_sym_block_construct_token1] = ACTIONS(5445),
    [aux_sym_associate_statement_token1] = ACTIONS(5445),
    [aux_sym_format_statement_token1] = ACTIONS(5445),
    [aux_sym_print_statement_token1] = ACTIONS(5445),
    [aux_sym_open_statement_token1] = ACTIONS(5445),
    [aux_sym_close_statement_token1] = ACTIONS(5445),
    [aux_sym_inquire_statement_token1] = ACTIONS(5445),
    [aux_sym_enum_statement_token1] = ACTIONS(5445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token2] = ACTIONS(5445),
    [aux_sym_file_position_statement_token3] = ACTIONS(5445),
    [aux_sym_file_position_statement_token4] = ACTIONS(5445),
    [aux_sym_allocate_statement_token1] = ACTIONS(5445),
    [aux_sym_entry_statement_token1] = ACTIONS(5445),
    [aux_sym_logical_expression_token5] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [aux_sym_boolean_literal_token1] = ACTIONS(5447),
    [aux_sym_boolean_literal_token2] = ACTIONS(5447),
    [aux_sym_null_literal_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token2] = ACTIONS(5445),
    [aux_sym_coarray_statement_token6] = ACTIONS(5445),
    [aux_sym_coarray_statement_token8] = ACTIONS(5445),
    [aux_sym_coarray_statement_token11] = ACTIONS(5445),
    [aux_sym_coarray_statement_token12] = ACTIONS(5445),
    [aux_sym_coarray_statement_token13] = ACTIONS(5445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5445),
    [aux_sym_identifier_token1] = ACTIONS(5445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5447),
    [sym__float_literal] = ACTIONS(5447),
    [sym__boz_literal] = ACTIONS(5447),
    [sym__string_literal] = ACTIONS(5447),
    [sym__string_literal_kind] = ACTIONS(5447),
  },
  [1501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5441),
    [aux_sym_preproc_def_token1] = ACTIONS(5441),
    [aux_sym_preproc_if_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5441),
    [sym_preproc_directive] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5443),
    [anon_sym_DASH] = ACTIONS(5443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5441),
    [aux_sym_interface_statement_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5441),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5441),
    [aux_sym_language_binding_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5441),
    [aux_sym_contains_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token2] = ACTIONS(5441),
    [aux_sym_implicit_statement_token1] = ACTIONS(5441),
    [aux_sym_implicit_statement_token3] = ACTIONS(5441),
    [aux_sym_implicit_statement_token4] = ACTIONS(5441),
    [aux_sym_save_statement_token1] = ACTIONS(5441),
    [aux_sym_private_statement_token1] = ACTIONS(5441),
    [aux_sym_public_statement_token1] = ACTIONS(5441),
    [aux_sym_namelist_statement_token1] = ACTIONS(5441),
    [aux_sym_common_statement_token1] = ACTIONS(5441),
    [aux_sym_import_statement_token1] = ACTIONS(5441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5441),
    [aux_sym_variable_attributes_token1] = ACTIONS(5441),
    [aux_sym_variable_attributes_token2] = ACTIONS(5441),
    [aux_sym_variable_attributes_token3] = ACTIONS(5441),
    [aux_sym_variable_attributes_token4] = ACTIONS(5441),
    [aux_sym_variable_attributes_token5] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5441),
    [aux_sym_derived_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5441),
    [aux_sym_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5443),
    [aux_sym_stop_statement_token1] = ACTIONS(5441),
    [aux_sym_stop_statement_token2] = ACTIONS(5441),
    [aux_sym_subroutine_call_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token2] = ACTIONS(5441),
    [aux_sym_keyword_statement_token3] = ACTIONS(5441),
    [aux_sym_keyword_statement_token4] = ACTIONS(5441),
    [aux_sym_keyword_statement_token6] = ACTIONS(5441),
    [aux_sym_keyword_statement_token7] = ACTIONS(5441),
    [aux_sym_include_statement_token1] = ACTIONS(5441),
    [aux_sym_data_statement_token1] = ACTIONS(5441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5441),
    [aux_sym_end_if_statement_token1] = ACTIONS(5441),
    [aux_sym_elseif_clause_token2] = ACTIONS(5441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token3] = ACTIONS(5441),
    [aux_sym_select_type_statement_token1] = ACTIONS(5441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5441),
    [aux_sym_block_construct_token1] = ACTIONS(5441),
    [aux_sym_associate_statement_token1] = ACTIONS(5441),
    [aux_sym_format_statement_token1] = ACTIONS(5441),
    [aux_sym_print_statement_token1] = ACTIONS(5441),
    [aux_sym_open_statement_token1] = ACTIONS(5441),
    [aux_sym_close_statement_token1] = ACTIONS(5441),
    [aux_sym_inquire_statement_token1] = ACTIONS(5441),
    [aux_sym_enum_statement_token1] = ACTIONS(5441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token2] = ACTIONS(5441),
    [aux_sym_file_position_statement_token3] = ACTIONS(5441),
    [aux_sym_file_position_statement_token4] = ACTIONS(5441),
    [aux_sym_allocate_statement_token1] = ACTIONS(5441),
    [aux_sym_entry_statement_token1] = ACTIONS(5441),
    [aux_sym_logical_expression_token5] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [aux_sym_boolean_literal_token1] = ACTIONS(5443),
    [aux_sym_boolean_literal_token2] = ACTIONS(5443),
    [aux_sym_null_literal_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token2] = ACTIONS(5441),
    [aux_sym_coarray_statement_token6] = ACTIONS(5441),
    [aux_sym_coarray_statement_token8] = ACTIONS(5441),
    [aux_sym_coarray_statement_token11] = ACTIONS(5441),
    [aux_sym_coarray_statement_token12] = ACTIONS(5441),
    [aux_sym_coarray_statement_token13] = ACTIONS(5441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5441),
    [aux_sym_identifier_token1] = ACTIONS(5441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5443),
    [sym__float_literal] = ACTIONS(5443),
    [sym__boz_literal] = ACTIONS(5443),
    [sym__string_literal] = ACTIONS(5443),
    [sym__string_literal_kind] = ACTIONS(5443),
  },
  [1502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_LPAREN2] = ACTIONS(5445),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5445),
    [aux_sym_interface_statement_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5445),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5445),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5445),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5445),
    [aux_sym_language_binding_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5445),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5445),
    [aux_sym_contains_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token1] = ACTIONS(5445),
    [aux_sym_use_statement_token2] = ACTIONS(5445),
    [aux_sym_implicit_statement_token1] = ACTIONS(5445),
    [aux_sym_implicit_statement_token3] = ACTIONS(5445),
    [aux_sym_implicit_statement_token4] = ACTIONS(5445),
    [aux_sym_save_statement_token1] = ACTIONS(5445),
    [aux_sym_private_statement_token1] = ACTIONS(5445),
    [aux_sym_public_statement_token1] = ACTIONS(5445),
    [aux_sym_namelist_statement_token1] = ACTIONS(5445),
    [aux_sym_common_statement_token1] = ACTIONS(5445),
    [aux_sym_import_statement_token1] = ACTIONS(5445),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5445),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5445),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5445),
    [aux_sym_variable_attributes_token1] = ACTIONS(5445),
    [aux_sym_variable_attributes_token2] = ACTIONS(5445),
    [aux_sym_variable_attributes_token3] = ACTIONS(5445),
    [aux_sym_variable_attributes_token4] = ACTIONS(5445),
    [aux_sym_variable_attributes_token5] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5445),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5445),
    [aux_sym_derived_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token1] = ACTIONS(5445),
    [aux_sym_declared_type_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5445),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5445),
    [aux_sym_type_qualifier_token1] = ACTIONS(5445),
    [aux_sym_type_qualifier_token2] = ACTIONS(5445),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5445),
    [anon_sym_SEMI] = ACTIONS(5447),
    [aux_sym_stop_statement_token1] = ACTIONS(5445),
    [aux_sym_stop_statement_token2] = ACTIONS(5445),
    [aux_sym_subroutine_call_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token1] = ACTIONS(5445),
    [aux_sym_keyword_statement_token2] = ACTIONS(5445),
    [aux_sym_keyword_statement_token3] = ACTIONS(5445),
    [aux_sym_keyword_statement_token4] = ACTIONS(5445),
    [aux_sym_keyword_statement_token6] = ACTIONS(5445),
    [aux_sym_keyword_statement_token7] = ACTIONS(5445),
    [aux_sym_include_statement_token1] = ACTIONS(5445),
    [aux_sym_data_statement_token1] = ACTIONS(5445),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5445),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5445),
    [aux_sym_end_if_statement_token1] = ACTIONS(5445),
    [aux_sym_elseif_clause_token2] = ACTIONS(5445),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5445),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token1] = ACTIONS(5445),
    [aux_sym_select_case_statement_token3] = ACTIONS(5445),
    [aux_sym_select_type_statement_token1] = ACTIONS(5445),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5445),
    [aux_sym_block_construct_token1] = ACTIONS(5445),
    [aux_sym_associate_statement_token1] = ACTIONS(5445),
    [aux_sym_format_statement_token1] = ACTIONS(5445),
    [aux_sym_print_statement_token1] = ACTIONS(5445),
    [aux_sym_open_statement_token1] = ACTIONS(5445),
    [aux_sym_close_statement_token1] = ACTIONS(5445),
    [aux_sym_inquire_statement_token1] = ACTIONS(5445),
    [aux_sym_enum_statement_token1] = ACTIONS(5445),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token1] = ACTIONS(5445),
    [aux_sym_file_position_statement_token2] = ACTIONS(5445),
    [aux_sym_file_position_statement_token3] = ACTIONS(5445),
    [aux_sym_file_position_statement_token4] = ACTIONS(5445),
    [aux_sym_allocate_statement_token1] = ACTIONS(5445),
    [aux_sym_entry_statement_token1] = ACTIONS(5445),
    [aux_sym_logical_expression_token5] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [aux_sym_boolean_literal_token1] = ACTIONS(5447),
    [aux_sym_boolean_literal_token2] = ACTIONS(5447),
    [aux_sym_null_literal_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_statement_token2] = ACTIONS(5445),
    [aux_sym_coarray_statement_token6] = ACTIONS(5445),
    [aux_sym_coarray_statement_token8] = ACTIONS(5445),
    [aux_sym_coarray_statement_token11] = ACTIONS(5445),
    [aux_sym_coarray_statement_token12] = ACTIONS(5445),
    [aux_sym_coarray_statement_token13] = ACTIONS(5445),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5445),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5445),
    [aux_sym_identifier_token1] = ACTIONS(5445),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5447),
    [sym__float_literal] = ACTIONS(5447),
    [sym__boz_literal] = ACTIONS(5447),
    [sym__string_literal] = ACTIONS(5447),
    [sym__string_literal_kind] = ACTIONS(5447),
  },
  [1503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_end_program_statement_token2] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_program_statement_token2] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_program_statement_token2] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_end_function_statement_token1] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_end_function_statement_token1] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5449),
    [aux_sym_preproc_def_token1] = ACTIONS(5449),
    [aux_sym_preproc_if_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5449),
    [sym_preproc_directive] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5449),
    [aux_sym_interface_statement_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5449),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5449),
    [aux_sym_language_binding_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5449),
    [aux_sym_contains_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token2] = ACTIONS(5449),
    [aux_sym_implicit_statement_token1] = ACTIONS(5449),
    [aux_sym_implicit_statement_token3] = ACTIONS(5449),
    [aux_sym_implicit_statement_token4] = ACTIONS(5449),
    [aux_sym_save_statement_token1] = ACTIONS(5449),
    [aux_sym_private_statement_token1] = ACTIONS(5449),
    [aux_sym_public_statement_token1] = ACTIONS(5449),
    [aux_sym_namelist_statement_token1] = ACTIONS(5449),
    [aux_sym_common_statement_token1] = ACTIONS(5449),
    [aux_sym_import_statement_token1] = ACTIONS(5449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5449),
    [aux_sym_variable_attributes_token1] = ACTIONS(5449),
    [aux_sym_variable_attributes_token2] = ACTIONS(5449),
    [aux_sym_variable_attributes_token3] = ACTIONS(5449),
    [aux_sym_variable_attributes_token4] = ACTIONS(5449),
    [aux_sym_variable_attributes_token5] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5449),
    [aux_sym_derived_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5449),
    [aux_sym_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [aux_sym_stop_statement_token1] = ACTIONS(5449),
    [aux_sym_stop_statement_token2] = ACTIONS(5449),
    [aux_sym_subroutine_call_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token2] = ACTIONS(5449),
    [aux_sym_keyword_statement_token3] = ACTIONS(5449),
    [aux_sym_keyword_statement_token4] = ACTIONS(5449),
    [aux_sym_keyword_statement_token6] = ACTIONS(5449),
    [aux_sym_keyword_statement_token7] = ACTIONS(5449),
    [aux_sym_include_statement_token1] = ACTIONS(5449),
    [aux_sym_data_statement_token1] = ACTIONS(5449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5449),
    [aux_sym_end_if_statement_token1] = ACTIONS(5449),
    [aux_sym_elseif_clause_token2] = ACTIONS(5449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token3] = ACTIONS(5449),
    [aux_sym_select_type_statement_token1] = ACTIONS(5449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5449),
    [aux_sym_block_construct_token1] = ACTIONS(5449),
    [aux_sym_associate_statement_token1] = ACTIONS(5449),
    [aux_sym_format_statement_token1] = ACTIONS(5449),
    [aux_sym_print_statement_token1] = ACTIONS(5449),
    [aux_sym_open_statement_token1] = ACTIONS(5449),
    [aux_sym_close_statement_token1] = ACTIONS(5449),
    [aux_sym_inquire_statement_token1] = ACTIONS(5449),
    [aux_sym_enum_statement_token1] = ACTIONS(5449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token2] = ACTIONS(5449),
    [aux_sym_file_position_statement_token3] = ACTIONS(5449),
    [aux_sym_file_position_statement_token4] = ACTIONS(5449),
    [aux_sym_allocate_statement_token1] = ACTIONS(5449),
    [aux_sym_entry_statement_token1] = ACTIONS(5449),
    [aux_sym_logical_expression_token5] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [aux_sym_boolean_literal_token1] = ACTIONS(5451),
    [aux_sym_boolean_literal_token2] = ACTIONS(5451),
    [aux_sym_null_literal_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token2] = ACTIONS(5449),
    [aux_sym_coarray_statement_token6] = ACTIONS(5449),
    [aux_sym_coarray_statement_token8] = ACTIONS(5449),
    [aux_sym_coarray_statement_token11] = ACTIONS(5449),
    [aux_sym_coarray_statement_token12] = ACTIONS(5449),
    [aux_sym_coarray_statement_token13] = ACTIONS(5449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5449),
    [aux_sym_identifier_token1] = ACTIONS(5449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5451),
    [sym__float_literal] = ACTIONS(5451),
    [sym__boz_literal] = ACTIONS(5451),
    [sym__string_literal] = ACTIONS(5451),
    [sym__string_literal_kind] = ACTIONS(5451),
  },
  [1511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5469),
    [aux_sym_preproc_def_token1] = ACTIONS(5469),
    [aux_sym_preproc_if_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5469),
    [sym_preproc_directive] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_PLUS] = ACTIONS(5471),
    [anon_sym_DASH] = ACTIONS(5471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5469),
    [aux_sym_interface_statement_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5469),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5469),
    [aux_sym_language_binding_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5469),
    [aux_sym_contains_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token2] = ACTIONS(5469),
    [aux_sym_implicit_statement_token1] = ACTIONS(5469),
    [aux_sym_implicit_statement_token3] = ACTIONS(5469),
    [aux_sym_implicit_statement_token4] = ACTIONS(5469),
    [aux_sym_save_statement_token1] = ACTIONS(5469),
    [aux_sym_private_statement_token1] = ACTIONS(5469),
    [aux_sym_public_statement_token1] = ACTIONS(5469),
    [aux_sym_namelist_statement_token1] = ACTIONS(5469),
    [aux_sym_common_statement_token1] = ACTIONS(5469),
    [aux_sym_import_statement_token1] = ACTIONS(5469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5469),
    [aux_sym_variable_attributes_token1] = ACTIONS(5469),
    [aux_sym_variable_attributes_token2] = ACTIONS(5469),
    [aux_sym_variable_attributes_token3] = ACTIONS(5469),
    [aux_sym_variable_attributes_token4] = ACTIONS(5469),
    [aux_sym_variable_attributes_token5] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5469),
    [aux_sym_derived_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5469),
    [aux_sym_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5471),
    [aux_sym_stop_statement_token1] = ACTIONS(5469),
    [aux_sym_stop_statement_token2] = ACTIONS(5469),
    [aux_sym_subroutine_call_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token2] = ACTIONS(5469),
    [aux_sym_keyword_statement_token3] = ACTIONS(5469),
    [aux_sym_keyword_statement_token4] = ACTIONS(5469),
    [aux_sym_keyword_statement_token6] = ACTIONS(5469),
    [aux_sym_keyword_statement_token7] = ACTIONS(5469),
    [aux_sym_include_statement_token1] = ACTIONS(5469),
    [aux_sym_data_statement_token1] = ACTIONS(5469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5469),
    [aux_sym_end_if_statement_token1] = ACTIONS(5469),
    [aux_sym_elseif_clause_token2] = ACTIONS(5469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token3] = ACTIONS(5469),
    [aux_sym_select_type_statement_token1] = ACTIONS(5469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5469),
    [aux_sym_block_construct_token1] = ACTIONS(5469),
    [aux_sym_associate_statement_token1] = ACTIONS(5469),
    [aux_sym_format_statement_token1] = ACTIONS(5469),
    [aux_sym_print_statement_token1] = ACTIONS(5469),
    [aux_sym_open_statement_token1] = ACTIONS(5469),
    [aux_sym_close_statement_token1] = ACTIONS(5469),
    [aux_sym_inquire_statement_token1] = ACTIONS(5469),
    [aux_sym_enum_statement_token1] = ACTIONS(5469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token2] = ACTIONS(5469),
    [aux_sym_file_position_statement_token3] = ACTIONS(5469),
    [aux_sym_file_position_statement_token4] = ACTIONS(5469),
    [aux_sym_allocate_statement_token1] = ACTIONS(5469),
    [aux_sym_entry_statement_token1] = ACTIONS(5469),
    [aux_sym_logical_expression_token5] = ACTIONS(5471),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5471),
    [anon_sym_LBRACK] = ACTIONS(5471),
    [aux_sym_boolean_literal_token1] = ACTIONS(5471),
    [aux_sym_boolean_literal_token2] = ACTIONS(5471),
    [aux_sym_null_literal_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token2] = ACTIONS(5469),
    [aux_sym_coarray_statement_token6] = ACTIONS(5469),
    [aux_sym_coarray_statement_token8] = ACTIONS(5469),
    [aux_sym_coarray_statement_token11] = ACTIONS(5469),
    [aux_sym_coarray_statement_token12] = ACTIONS(5469),
    [aux_sym_coarray_statement_token13] = ACTIONS(5469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5469),
    [aux_sym_identifier_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5471),
    [sym__float_literal] = ACTIONS(5471),
    [sym__boz_literal] = ACTIONS(5471),
    [sym__string_literal] = ACTIONS(5471),
    [sym__string_literal_kind] = ACTIONS(5471),
  },
  [1512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5473),
    [aux_sym_preproc_def_token1] = ACTIONS(5473),
    [aux_sym_preproc_if_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5473),
    [sym_preproc_directive] = ACTIONS(5473),
    [anon_sym_LPAREN2] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5473),
    [aux_sym_interface_statement_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5473),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5473),
    [aux_sym_language_binding_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5473),
    [aux_sym_contains_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token2] = ACTIONS(5473),
    [aux_sym_implicit_statement_token1] = ACTIONS(5473),
    [aux_sym_implicit_statement_token3] = ACTIONS(5473),
    [aux_sym_implicit_statement_token4] = ACTIONS(5473),
    [aux_sym_save_statement_token1] = ACTIONS(5473),
    [aux_sym_private_statement_token1] = ACTIONS(5473),
    [aux_sym_public_statement_token1] = ACTIONS(5473),
    [aux_sym_namelist_statement_token1] = ACTIONS(5473),
    [aux_sym_common_statement_token1] = ACTIONS(5473),
    [aux_sym_import_statement_token1] = ACTIONS(5473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5473),
    [aux_sym_variable_attributes_token1] = ACTIONS(5473),
    [aux_sym_variable_attributes_token2] = ACTIONS(5473),
    [aux_sym_variable_attributes_token3] = ACTIONS(5473),
    [aux_sym_variable_attributes_token4] = ACTIONS(5473),
    [aux_sym_variable_attributes_token5] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5473),
    [aux_sym_derived_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5473),
    [aux_sym_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5473),
    [anon_sym_SEMI] = ACTIONS(5475),
    [aux_sym_stop_statement_token1] = ACTIONS(5473),
    [aux_sym_stop_statement_token2] = ACTIONS(5473),
    [aux_sym_subroutine_call_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token2] = ACTIONS(5473),
    [aux_sym_keyword_statement_token3] = ACTIONS(5473),
    [aux_sym_keyword_statement_token4] = ACTIONS(5473),
    [aux_sym_keyword_statement_token6] = ACTIONS(5473),
    [aux_sym_keyword_statement_token7] = ACTIONS(5473),
    [aux_sym_include_statement_token1] = ACTIONS(5473),
    [aux_sym_data_statement_token1] = ACTIONS(5473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5473),
    [aux_sym_end_if_statement_token1] = ACTIONS(5473),
    [aux_sym_elseif_clause_token2] = ACTIONS(5473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token3] = ACTIONS(5473),
    [aux_sym_select_type_statement_token1] = ACTIONS(5473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5473),
    [aux_sym_block_construct_token1] = ACTIONS(5473),
    [aux_sym_associate_statement_token1] = ACTIONS(5473),
    [aux_sym_format_statement_token1] = ACTIONS(5473),
    [aux_sym_print_statement_token1] = ACTIONS(5473),
    [aux_sym_open_statement_token1] = ACTIONS(5473),
    [aux_sym_close_statement_token1] = ACTIONS(5473),
    [aux_sym_inquire_statement_token1] = ACTIONS(5473),
    [aux_sym_enum_statement_token1] = ACTIONS(5473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token2] = ACTIONS(5473),
    [aux_sym_file_position_statement_token3] = ACTIONS(5473),
    [aux_sym_file_position_statement_token4] = ACTIONS(5473),
    [aux_sym_allocate_statement_token1] = ACTIONS(5473),
    [aux_sym_entry_statement_token1] = ACTIONS(5473),
    [aux_sym_logical_expression_token5] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [aux_sym_boolean_literal_token1] = ACTIONS(5475),
    [aux_sym_boolean_literal_token2] = ACTIONS(5475),
    [aux_sym_null_literal_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token2] = ACTIONS(5473),
    [aux_sym_coarray_statement_token6] = ACTIONS(5473),
    [aux_sym_coarray_statement_token8] = ACTIONS(5473),
    [aux_sym_coarray_statement_token11] = ACTIONS(5473),
    [aux_sym_coarray_statement_token12] = ACTIONS(5473),
    [aux_sym_coarray_statement_token13] = ACTIONS(5473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5473),
    [aux_sym_identifier_token1] = ACTIONS(5473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5475),
    [sym__float_literal] = ACTIONS(5475),
    [sym__boz_literal] = ACTIONS(5475),
    [sym__string_literal] = ACTIONS(5475),
    [sym__string_literal_kind] = ACTIONS(5475),
  },
  [1513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_program_statement_token2] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_end_program_statement_token2] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_program_statement_token2] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_program_statement_token2] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_end_program_statement_token2] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5449),
    [aux_sym_preproc_def_token1] = ACTIONS(5449),
    [aux_sym_preproc_if_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5449),
    [sym_preproc_directive] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5449),
    [aux_sym_interface_statement_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5449),
    [aux_sym_language_binding_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5449),
    [aux_sym_end_function_statement_token1] = ACTIONS(5449),
    [aux_sym_contains_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token2] = ACTIONS(5449),
    [aux_sym_implicit_statement_token1] = ACTIONS(5449),
    [aux_sym_implicit_statement_token3] = ACTIONS(5449),
    [aux_sym_implicit_statement_token4] = ACTIONS(5449),
    [aux_sym_save_statement_token1] = ACTIONS(5449),
    [aux_sym_private_statement_token1] = ACTIONS(5449),
    [aux_sym_public_statement_token1] = ACTIONS(5449),
    [aux_sym_namelist_statement_token1] = ACTIONS(5449),
    [aux_sym_common_statement_token1] = ACTIONS(5449),
    [aux_sym_import_statement_token1] = ACTIONS(5449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5449),
    [aux_sym_variable_attributes_token1] = ACTIONS(5449),
    [aux_sym_variable_attributes_token2] = ACTIONS(5449),
    [aux_sym_variable_attributes_token3] = ACTIONS(5449),
    [aux_sym_variable_attributes_token4] = ACTIONS(5449),
    [aux_sym_variable_attributes_token5] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5449),
    [aux_sym_derived_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5449),
    [aux_sym_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [aux_sym_stop_statement_token1] = ACTIONS(5449),
    [aux_sym_stop_statement_token2] = ACTIONS(5449),
    [aux_sym_subroutine_call_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token2] = ACTIONS(5449),
    [aux_sym_keyword_statement_token3] = ACTIONS(5449),
    [aux_sym_keyword_statement_token4] = ACTIONS(5449),
    [aux_sym_keyword_statement_token6] = ACTIONS(5449),
    [aux_sym_keyword_statement_token7] = ACTIONS(5449),
    [aux_sym_include_statement_token1] = ACTIONS(5449),
    [aux_sym_data_statement_token1] = ACTIONS(5449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5449),
    [aux_sym_end_if_statement_token1] = ACTIONS(5449),
    [aux_sym_elseif_clause_token2] = ACTIONS(5449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token3] = ACTIONS(5449),
    [aux_sym_select_type_statement_token1] = ACTIONS(5449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5449),
    [aux_sym_block_construct_token1] = ACTIONS(5449),
    [aux_sym_associate_statement_token1] = ACTIONS(5449),
    [aux_sym_format_statement_token1] = ACTIONS(5449),
    [aux_sym_print_statement_token1] = ACTIONS(5449),
    [aux_sym_open_statement_token1] = ACTIONS(5449),
    [aux_sym_close_statement_token1] = ACTIONS(5449),
    [aux_sym_inquire_statement_token1] = ACTIONS(5449),
    [aux_sym_enum_statement_token1] = ACTIONS(5449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token2] = ACTIONS(5449),
    [aux_sym_file_position_statement_token3] = ACTIONS(5449),
    [aux_sym_file_position_statement_token4] = ACTIONS(5449),
    [aux_sym_allocate_statement_token1] = ACTIONS(5449),
    [aux_sym_entry_statement_token1] = ACTIONS(5449),
    [aux_sym_logical_expression_token5] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [aux_sym_boolean_literal_token1] = ACTIONS(5451),
    [aux_sym_boolean_literal_token2] = ACTIONS(5451),
    [aux_sym_null_literal_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token2] = ACTIONS(5449),
    [aux_sym_coarray_statement_token6] = ACTIONS(5449),
    [aux_sym_coarray_statement_token8] = ACTIONS(5449),
    [aux_sym_coarray_statement_token11] = ACTIONS(5449),
    [aux_sym_coarray_statement_token12] = ACTIONS(5449),
    [aux_sym_coarray_statement_token13] = ACTIONS(5449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5449),
    [aux_sym_identifier_token1] = ACTIONS(5449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5451),
    [sym__float_literal] = ACTIONS(5451),
    [sym__boz_literal] = ACTIONS(5451),
    [sym__string_literal] = ACTIONS(5451),
    [sym__string_literal_kind] = ACTIONS(5451),
  },
  [1519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5469),
    [aux_sym_preproc_def_token1] = ACTIONS(5469),
    [aux_sym_preproc_if_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5469),
    [sym_preproc_directive] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_PLUS] = ACTIONS(5471),
    [anon_sym_DASH] = ACTIONS(5471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5469),
    [aux_sym_interface_statement_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5469),
    [aux_sym_language_binding_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5469),
    [aux_sym_end_function_statement_token1] = ACTIONS(5469),
    [aux_sym_contains_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token2] = ACTIONS(5469),
    [aux_sym_implicit_statement_token1] = ACTIONS(5469),
    [aux_sym_implicit_statement_token3] = ACTIONS(5469),
    [aux_sym_implicit_statement_token4] = ACTIONS(5469),
    [aux_sym_save_statement_token1] = ACTIONS(5469),
    [aux_sym_private_statement_token1] = ACTIONS(5469),
    [aux_sym_public_statement_token1] = ACTIONS(5469),
    [aux_sym_namelist_statement_token1] = ACTIONS(5469),
    [aux_sym_common_statement_token1] = ACTIONS(5469),
    [aux_sym_import_statement_token1] = ACTIONS(5469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5469),
    [aux_sym_variable_attributes_token1] = ACTIONS(5469),
    [aux_sym_variable_attributes_token2] = ACTIONS(5469),
    [aux_sym_variable_attributes_token3] = ACTIONS(5469),
    [aux_sym_variable_attributes_token4] = ACTIONS(5469),
    [aux_sym_variable_attributes_token5] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5469),
    [aux_sym_derived_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5469),
    [aux_sym_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5471),
    [aux_sym_stop_statement_token1] = ACTIONS(5469),
    [aux_sym_stop_statement_token2] = ACTIONS(5469),
    [aux_sym_subroutine_call_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token2] = ACTIONS(5469),
    [aux_sym_keyword_statement_token3] = ACTIONS(5469),
    [aux_sym_keyword_statement_token4] = ACTIONS(5469),
    [aux_sym_keyword_statement_token6] = ACTIONS(5469),
    [aux_sym_keyword_statement_token7] = ACTIONS(5469),
    [aux_sym_include_statement_token1] = ACTIONS(5469),
    [aux_sym_data_statement_token1] = ACTIONS(5469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5469),
    [aux_sym_end_if_statement_token1] = ACTIONS(5469),
    [aux_sym_elseif_clause_token2] = ACTIONS(5469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token3] = ACTIONS(5469),
    [aux_sym_select_type_statement_token1] = ACTIONS(5469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5469),
    [aux_sym_block_construct_token1] = ACTIONS(5469),
    [aux_sym_associate_statement_token1] = ACTIONS(5469),
    [aux_sym_format_statement_token1] = ACTIONS(5469),
    [aux_sym_print_statement_token1] = ACTIONS(5469),
    [aux_sym_open_statement_token1] = ACTIONS(5469),
    [aux_sym_close_statement_token1] = ACTIONS(5469),
    [aux_sym_inquire_statement_token1] = ACTIONS(5469),
    [aux_sym_enum_statement_token1] = ACTIONS(5469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token2] = ACTIONS(5469),
    [aux_sym_file_position_statement_token3] = ACTIONS(5469),
    [aux_sym_file_position_statement_token4] = ACTIONS(5469),
    [aux_sym_allocate_statement_token1] = ACTIONS(5469),
    [aux_sym_entry_statement_token1] = ACTIONS(5469),
    [aux_sym_logical_expression_token5] = ACTIONS(5471),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5471),
    [anon_sym_LBRACK] = ACTIONS(5471),
    [aux_sym_boolean_literal_token1] = ACTIONS(5471),
    [aux_sym_boolean_literal_token2] = ACTIONS(5471),
    [aux_sym_null_literal_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token2] = ACTIONS(5469),
    [aux_sym_coarray_statement_token6] = ACTIONS(5469),
    [aux_sym_coarray_statement_token8] = ACTIONS(5469),
    [aux_sym_coarray_statement_token11] = ACTIONS(5469),
    [aux_sym_coarray_statement_token12] = ACTIONS(5469),
    [aux_sym_coarray_statement_token13] = ACTIONS(5469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5469),
    [aux_sym_identifier_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5471),
    [sym__float_literal] = ACTIONS(5471),
    [sym__boz_literal] = ACTIONS(5471),
    [sym__string_literal] = ACTIONS(5471),
    [sym__string_literal_kind] = ACTIONS(5471),
  },
  [1520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_end_program_statement_token2] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_end_program_statement_token2] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5433),
    [aux_sym_end_program_statement_token2] = ACTIONS(5433),
    [aux_sym_interface_statement_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5433),
    [aux_sym_language_binding_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5433),
    [aux_sym_contains_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token2] = ACTIONS(5433),
    [aux_sym_implicit_statement_token1] = ACTIONS(5433),
    [aux_sym_implicit_statement_token3] = ACTIONS(5433),
    [aux_sym_implicit_statement_token4] = ACTIONS(5433),
    [aux_sym_save_statement_token1] = ACTIONS(5433),
    [aux_sym_private_statement_token1] = ACTIONS(5433),
    [aux_sym_public_statement_token1] = ACTIONS(5433),
    [aux_sym_namelist_statement_token1] = ACTIONS(5433),
    [aux_sym_common_statement_token1] = ACTIONS(5433),
    [aux_sym_import_statement_token1] = ACTIONS(5433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5433),
    [aux_sym_variable_attributes_token1] = ACTIONS(5433),
    [aux_sym_variable_attributes_token2] = ACTIONS(5433),
    [aux_sym_variable_attributes_token3] = ACTIONS(5433),
    [aux_sym_variable_attributes_token4] = ACTIONS(5433),
    [aux_sym_variable_attributes_token5] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5433),
    [aux_sym_derived_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5433),
    [aux_sym_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5433),
    [anon_sym_SEMI] = ACTIONS(5435),
    [aux_sym_stop_statement_token1] = ACTIONS(5433),
    [aux_sym_stop_statement_token2] = ACTIONS(5433),
    [aux_sym_subroutine_call_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token2] = ACTIONS(5433),
    [aux_sym_keyword_statement_token3] = ACTIONS(5433),
    [aux_sym_keyword_statement_token4] = ACTIONS(5433),
    [aux_sym_keyword_statement_token6] = ACTIONS(5433),
    [aux_sym_keyword_statement_token7] = ACTIONS(5433),
    [aux_sym_include_statement_token1] = ACTIONS(5433),
    [aux_sym_data_statement_token1] = ACTIONS(5433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5433),
    [aux_sym_end_if_statement_token1] = ACTIONS(5433),
    [aux_sym_elseif_clause_token2] = ACTIONS(5433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token3] = ACTIONS(5433),
    [aux_sym_select_type_statement_token1] = ACTIONS(5433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5433),
    [aux_sym_block_construct_token1] = ACTIONS(5433),
    [aux_sym_associate_statement_token1] = ACTIONS(5433),
    [aux_sym_format_statement_token1] = ACTIONS(5433),
    [aux_sym_print_statement_token1] = ACTIONS(5433),
    [aux_sym_open_statement_token1] = ACTIONS(5433),
    [aux_sym_close_statement_token1] = ACTIONS(5433),
    [aux_sym_inquire_statement_token1] = ACTIONS(5433),
    [aux_sym_enum_statement_token1] = ACTIONS(5433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token2] = ACTIONS(5433),
    [aux_sym_file_position_statement_token3] = ACTIONS(5433),
    [aux_sym_file_position_statement_token4] = ACTIONS(5433),
    [aux_sym_allocate_statement_token1] = ACTIONS(5433),
    [aux_sym_entry_statement_token1] = ACTIONS(5433),
    [aux_sym_logical_expression_token5] = ACTIONS(5435),
    [anon_sym_DOT] = ACTIONS(5433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [aux_sym_boolean_literal_token1] = ACTIONS(5435),
    [aux_sym_boolean_literal_token2] = ACTIONS(5435),
    [aux_sym_null_literal_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token2] = ACTIONS(5433),
    [aux_sym_coarray_statement_token6] = ACTIONS(5433),
    [aux_sym_coarray_statement_token8] = ACTIONS(5433),
    [aux_sym_coarray_statement_token11] = ACTIONS(5433),
    [aux_sym_coarray_statement_token12] = ACTIONS(5433),
    [aux_sym_coarray_statement_token13] = ACTIONS(5433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5433),
    [aux_sym_identifier_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5435),
    [sym__float_literal] = ACTIONS(5435),
    [sym__boz_literal] = ACTIONS(5435),
    [sym__string_literal] = ACTIONS(5435),
    [sym__string_literal_kind] = ACTIONS(5435),
  },
  [1523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_end_function_statement_token1] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_end_function_statement_token1] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5453),
    [aux_sym_preproc_def_token1] = ACTIONS(5453),
    [aux_sym_preproc_if_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5453),
    [sym_preproc_directive] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5453),
    [aux_sym_interface_statement_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5453),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5453),
    [aux_sym_language_binding_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5453),
    [aux_sym_contains_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token2] = ACTIONS(5453),
    [aux_sym_implicit_statement_token1] = ACTIONS(5453),
    [aux_sym_implicit_statement_token3] = ACTIONS(5453),
    [aux_sym_implicit_statement_token4] = ACTIONS(5453),
    [aux_sym_save_statement_token1] = ACTIONS(5453),
    [aux_sym_private_statement_token1] = ACTIONS(5453),
    [aux_sym_public_statement_token1] = ACTIONS(5453),
    [aux_sym_namelist_statement_token1] = ACTIONS(5453),
    [aux_sym_common_statement_token1] = ACTIONS(5453),
    [aux_sym_import_statement_token1] = ACTIONS(5453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5453),
    [aux_sym_variable_attributes_token1] = ACTIONS(5453),
    [aux_sym_variable_attributes_token2] = ACTIONS(5453),
    [aux_sym_variable_attributes_token3] = ACTIONS(5453),
    [aux_sym_variable_attributes_token4] = ACTIONS(5453),
    [aux_sym_variable_attributes_token5] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5453),
    [aux_sym_derived_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5453),
    [aux_sym_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [aux_sym_stop_statement_token1] = ACTIONS(5453),
    [aux_sym_stop_statement_token2] = ACTIONS(5453),
    [aux_sym_subroutine_call_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token2] = ACTIONS(5453),
    [aux_sym_keyword_statement_token3] = ACTIONS(5453),
    [aux_sym_keyword_statement_token4] = ACTIONS(5453),
    [aux_sym_keyword_statement_token6] = ACTIONS(5453),
    [aux_sym_keyword_statement_token7] = ACTIONS(5453),
    [aux_sym_include_statement_token1] = ACTIONS(5453),
    [aux_sym_data_statement_token1] = ACTIONS(5453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5453),
    [aux_sym_end_if_statement_token1] = ACTIONS(5453),
    [aux_sym_elseif_clause_token2] = ACTIONS(5453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token3] = ACTIONS(5453),
    [aux_sym_select_type_statement_token1] = ACTIONS(5453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5453),
    [aux_sym_block_construct_token1] = ACTIONS(5453),
    [aux_sym_associate_statement_token1] = ACTIONS(5453),
    [aux_sym_format_statement_token1] = ACTIONS(5453),
    [aux_sym_print_statement_token1] = ACTIONS(5453),
    [aux_sym_open_statement_token1] = ACTIONS(5453),
    [aux_sym_close_statement_token1] = ACTIONS(5453),
    [aux_sym_inquire_statement_token1] = ACTIONS(5453),
    [aux_sym_enum_statement_token1] = ACTIONS(5453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token2] = ACTIONS(5453),
    [aux_sym_file_position_statement_token3] = ACTIONS(5453),
    [aux_sym_file_position_statement_token4] = ACTIONS(5453),
    [aux_sym_allocate_statement_token1] = ACTIONS(5453),
    [aux_sym_entry_statement_token1] = ACTIONS(5453),
    [aux_sym_logical_expression_token5] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [aux_sym_boolean_literal_token1] = ACTIONS(5455),
    [aux_sym_boolean_literal_token2] = ACTIONS(5455),
    [aux_sym_null_literal_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token2] = ACTIONS(5453),
    [aux_sym_coarray_statement_token6] = ACTIONS(5453),
    [aux_sym_coarray_statement_token8] = ACTIONS(5453),
    [aux_sym_coarray_statement_token11] = ACTIONS(5453),
    [aux_sym_coarray_statement_token12] = ACTIONS(5453),
    [aux_sym_coarray_statement_token13] = ACTIONS(5453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5453),
    [aux_sym_identifier_token1] = ACTIONS(5453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5455),
    [sym__float_literal] = ACTIONS(5455),
    [sym__boz_literal] = ACTIONS(5455),
    [sym__string_literal] = ACTIONS(5455),
    [sym__string_literal_kind] = ACTIONS(5455),
  },
  [1527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5473),
    [aux_sym_preproc_def_token1] = ACTIONS(5473),
    [aux_sym_preproc_if_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5473),
    [sym_preproc_directive] = ACTIONS(5473),
    [anon_sym_LPAREN2] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5473),
    [aux_sym_interface_statement_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5473),
    [aux_sym_language_binding_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5473),
    [aux_sym_end_function_statement_token1] = ACTIONS(5473),
    [aux_sym_contains_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token2] = ACTIONS(5473),
    [aux_sym_implicit_statement_token1] = ACTIONS(5473),
    [aux_sym_implicit_statement_token3] = ACTIONS(5473),
    [aux_sym_implicit_statement_token4] = ACTIONS(5473),
    [aux_sym_save_statement_token1] = ACTIONS(5473),
    [aux_sym_private_statement_token1] = ACTIONS(5473),
    [aux_sym_public_statement_token1] = ACTIONS(5473),
    [aux_sym_namelist_statement_token1] = ACTIONS(5473),
    [aux_sym_common_statement_token1] = ACTIONS(5473),
    [aux_sym_import_statement_token1] = ACTIONS(5473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5473),
    [aux_sym_variable_attributes_token1] = ACTIONS(5473),
    [aux_sym_variable_attributes_token2] = ACTIONS(5473),
    [aux_sym_variable_attributes_token3] = ACTIONS(5473),
    [aux_sym_variable_attributes_token4] = ACTIONS(5473),
    [aux_sym_variable_attributes_token5] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5473),
    [aux_sym_derived_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5473),
    [aux_sym_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5473),
    [anon_sym_SEMI] = ACTIONS(5475),
    [aux_sym_stop_statement_token1] = ACTIONS(5473),
    [aux_sym_stop_statement_token2] = ACTIONS(5473),
    [aux_sym_subroutine_call_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token2] = ACTIONS(5473),
    [aux_sym_keyword_statement_token3] = ACTIONS(5473),
    [aux_sym_keyword_statement_token4] = ACTIONS(5473),
    [aux_sym_keyword_statement_token6] = ACTIONS(5473),
    [aux_sym_keyword_statement_token7] = ACTIONS(5473),
    [aux_sym_include_statement_token1] = ACTIONS(5473),
    [aux_sym_data_statement_token1] = ACTIONS(5473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5473),
    [aux_sym_end_if_statement_token1] = ACTIONS(5473),
    [aux_sym_elseif_clause_token2] = ACTIONS(5473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token3] = ACTIONS(5473),
    [aux_sym_select_type_statement_token1] = ACTIONS(5473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5473),
    [aux_sym_block_construct_token1] = ACTIONS(5473),
    [aux_sym_associate_statement_token1] = ACTIONS(5473),
    [aux_sym_format_statement_token1] = ACTIONS(5473),
    [aux_sym_print_statement_token1] = ACTIONS(5473),
    [aux_sym_open_statement_token1] = ACTIONS(5473),
    [aux_sym_close_statement_token1] = ACTIONS(5473),
    [aux_sym_inquire_statement_token1] = ACTIONS(5473),
    [aux_sym_enum_statement_token1] = ACTIONS(5473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token2] = ACTIONS(5473),
    [aux_sym_file_position_statement_token3] = ACTIONS(5473),
    [aux_sym_file_position_statement_token4] = ACTIONS(5473),
    [aux_sym_allocate_statement_token1] = ACTIONS(5473),
    [aux_sym_entry_statement_token1] = ACTIONS(5473),
    [aux_sym_logical_expression_token5] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [aux_sym_boolean_literal_token1] = ACTIONS(5475),
    [aux_sym_boolean_literal_token2] = ACTIONS(5475),
    [aux_sym_null_literal_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token2] = ACTIONS(5473),
    [aux_sym_coarray_statement_token6] = ACTIONS(5473),
    [aux_sym_coarray_statement_token8] = ACTIONS(5473),
    [aux_sym_coarray_statement_token11] = ACTIONS(5473),
    [aux_sym_coarray_statement_token12] = ACTIONS(5473),
    [aux_sym_coarray_statement_token13] = ACTIONS(5473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5473),
    [aux_sym_identifier_token1] = ACTIONS(5473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5475),
    [sym__float_literal] = ACTIONS(5475),
    [sym__boz_literal] = ACTIONS(5475),
    [sym__string_literal] = ACTIONS(5475),
    [sym__string_literal_kind] = ACTIONS(5475),
  },
  [1529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1532] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_end_program_statement_token2] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_end_function_statement_token1] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_end_function_statement_token1] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5481),
    [aux_sym_preproc_def_token1] = ACTIONS(5481),
    [aux_sym_preproc_if_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5481),
    [sym_preproc_directive] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5481),
    [aux_sym_interface_statement_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5481),
    [aux_sym_language_binding_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5481),
    [aux_sym_end_function_statement_token1] = ACTIONS(5481),
    [aux_sym_contains_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token2] = ACTIONS(5481),
    [aux_sym_implicit_statement_token1] = ACTIONS(5481),
    [aux_sym_implicit_statement_token3] = ACTIONS(5481),
    [aux_sym_implicit_statement_token4] = ACTIONS(5481),
    [aux_sym_save_statement_token1] = ACTIONS(5481),
    [aux_sym_private_statement_token1] = ACTIONS(5481),
    [aux_sym_public_statement_token1] = ACTIONS(5481),
    [aux_sym_namelist_statement_token1] = ACTIONS(5481),
    [aux_sym_common_statement_token1] = ACTIONS(5481),
    [aux_sym_import_statement_token1] = ACTIONS(5481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5481),
    [aux_sym_variable_attributes_token1] = ACTIONS(5481),
    [aux_sym_variable_attributes_token2] = ACTIONS(5481),
    [aux_sym_variable_attributes_token3] = ACTIONS(5481),
    [aux_sym_variable_attributes_token4] = ACTIONS(5481),
    [aux_sym_variable_attributes_token5] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5481),
    [aux_sym_derived_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5481),
    [aux_sym_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [aux_sym_stop_statement_token1] = ACTIONS(5481),
    [aux_sym_stop_statement_token2] = ACTIONS(5481),
    [aux_sym_subroutine_call_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token2] = ACTIONS(5481),
    [aux_sym_keyword_statement_token3] = ACTIONS(5481),
    [aux_sym_keyword_statement_token4] = ACTIONS(5481),
    [aux_sym_keyword_statement_token6] = ACTIONS(5481),
    [aux_sym_keyword_statement_token7] = ACTIONS(5481),
    [aux_sym_include_statement_token1] = ACTIONS(5481),
    [aux_sym_data_statement_token1] = ACTIONS(5481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5481),
    [aux_sym_end_if_statement_token1] = ACTIONS(5481),
    [aux_sym_elseif_clause_token2] = ACTIONS(5481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token3] = ACTIONS(5481),
    [aux_sym_select_type_statement_token1] = ACTIONS(5481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5481),
    [aux_sym_block_construct_token1] = ACTIONS(5481),
    [aux_sym_associate_statement_token1] = ACTIONS(5481),
    [aux_sym_format_statement_token1] = ACTIONS(5481),
    [aux_sym_print_statement_token1] = ACTIONS(5481),
    [aux_sym_open_statement_token1] = ACTIONS(5481),
    [aux_sym_close_statement_token1] = ACTIONS(5481),
    [aux_sym_inquire_statement_token1] = ACTIONS(5481),
    [aux_sym_enum_statement_token1] = ACTIONS(5481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token2] = ACTIONS(5481),
    [aux_sym_file_position_statement_token3] = ACTIONS(5481),
    [aux_sym_file_position_statement_token4] = ACTIONS(5481),
    [aux_sym_allocate_statement_token1] = ACTIONS(5481),
    [aux_sym_entry_statement_token1] = ACTIONS(5481),
    [aux_sym_logical_expression_token5] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [aux_sym_boolean_literal_token1] = ACTIONS(5483),
    [aux_sym_boolean_literal_token2] = ACTIONS(5483),
    [aux_sym_null_literal_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token2] = ACTIONS(5481),
    [aux_sym_coarray_statement_token6] = ACTIONS(5481),
    [aux_sym_coarray_statement_token8] = ACTIONS(5481),
    [aux_sym_coarray_statement_token11] = ACTIONS(5481),
    [aux_sym_coarray_statement_token12] = ACTIONS(5481),
    [aux_sym_coarray_statement_token13] = ACTIONS(5481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5481),
    [aux_sym_identifier_token1] = ACTIONS(5481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5483),
    [sym__float_literal] = ACTIONS(5483),
    [sym__boz_literal] = ACTIONS(5483),
    [sym__string_literal] = ACTIONS(5483),
    [sym__string_literal_kind] = ACTIONS(5483),
  },
  [1537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_LPAREN2] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5487),
    [anon_sym_DASH] = ACTIONS(5487),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5485),
    [aux_sym_end_program_statement_token2] = ACTIONS(5485),
    [aux_sym_interface_statement_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5485),
    [aux_sym_language_binding_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5485),
    [aux_sym_contains_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token2] = ACTIONS(5485),
    [aux_sym_implicit_statement_token1] = ACTIONS(5485),
    [aux_sym_implicit_statement_token3] = ACTIONS(5485),
    [aux_sym_implicit_statement_token4] = ACTIONS(5485),
    [aux_sym_save_statement_token1] = ACTIONS(5485),
    [aux_sym_private_statement_token1] = ACTIONS(5485),
    [aux_sym_public_statement_token1] = ACTIONS(5485),
    [aux_sym_namelist_statement_token1] = ACTIONS(5485),
    [aux_sym_common_statement_token1] = ACTIONS(5485),
    [aux_sym_import_statement_token1] = ACTIONS(5485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5485),
    [aux_sym_variable_attributes_token1] = ACTIONS(5485),
    [aux_sym_variable_attributes_token2] = ACTIONS(5485),
    [aux_sym_variable_attributes_token3] = ACTIONS(5485),
    [aux_sym_variable_attributes_token4] = ACTIONS(5485),
    [aux_sym_variable_attributes_token5] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5485),
    [aux_sym_derived_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5485),
    [aux_sym_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5487),
    [aux_sym_stop_statement_token1] = ACTIONS(5485),
    [aux_sym_stop_statement_token2] = ACTIONS(5485),
    [aux_sym_subroutine_call_token1] = ACTIONS(5485),
    [aux_sym_keyword_statement_token1] = ACTIONS(5485),
    [aux_sym_keyword_statement_token2] = ACTIONS(5485),
    [aux_sym_keyword_statement_token3] = ACTIONS(5485),
    [aux_sym_keyword_statement_token4] = ACTIONS(5485),
    [aux_sym_keyword_statement_token6] = ACTIONS(5485),
    [aux_sym_keyword_statement_token7] = ACTIONS(5485),
    [aux_sym_include_statement_token1] = ACTIONS(5485),
    [aux_sym_data_statement_token1] = ACTIONS(5485),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5485),
    [aux_sym_end_if_statement_token1] = ACTIONS(5485),
    [aux_sym_elseif_clause_token2] = ACTIONS(5485),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5485),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5485),
    [aux_sym_select_case_statement_token1] = ACTIONS(5485),
    [aux_sym_select_case_statement_token3] = ACTIONS(5485),
    [aux_sym_select_type_statement_token1] = ACTIONS(5485),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5485),
    [aux_sym_block_construct_token1] = ACTIONS(5485),
    [aux_sym_associate_statement_token1] = ACTIONS(5485),
    [aux_sym_format_statement_token1] = ACTIONS(5485),
    [aux_sym_print_statement_token1] = ACTIONS(5485),
    [aux_sym_open_statement_token1] = ACTIONS(5485),
    [aux_sym_close_statement_token1] = ACTIONS(5485),
    [aux_sym_inquire_statement_token1] = ACTIONS(5485),
    [aux_sym_enum_statement_token1] = ACTIONS(5485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5485),
    [aux_sym_file_position_statement_token1] = ACTIONS(5485),
    [aux_sym_file_position_statement_token2] = ACTIONS(5485),
    [aux_sym_file_position_statement_token3] = ACTIONS(5485),
    [aux_sym_file_position_statement_token4] = ACTIONS(5485),
    [aux_sym_allocate_statement_token1] = ACTIONS(5485),
    [aux_sym_entry_statement_token1] = ACTIONS(5485),
    [aux_sym_logical_expression_token5] = ACTIONS(5487),
    [anon_sym_DOT] = ACTIONS(5485),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5487),
    [anon_sym_LBRACK] = ACTIONS(5487),
    [aux_sym_boolean_literal_token1] = ACTIONS(5487),
    [aux_sym_boolean_literal_token2] = ACTIONS(5487),
    [aux_sym_null_literal_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token2] = ACTIONS(5485),
    [aux_sym_coarray_statement_token6] = ACTIONS(5485),
    [aux_sym_coarray_statement_token8] = ACTIONS(5485),
    [aux_sym_coarray_statement_token11] = ACTIONS(5485),
    [aux_sym_coarray_statement_token12] = ACTIONS(5485),
    [aux_sym_coarray_statement_token13] = ACTIONS(5485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5485),
    [aux_sym_identifier_token1] = ACTIONS(5485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5487),
    [sym__float_literal] = ACTIONS(5487),
    [sym__boz_literal] = ACTIONS(5487),
    [sym__string_literal] = ACTIONS(5487),
    [sym__string_literal_kind] = ACTIONS(5487),
  },
  [1538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_program_statement_token2] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5098),
    [aux_sym_preproc_def_token1] = ACTIONS(5098),
    [aux_sym_preproc_if_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5098),
    [sym_preproc_directive] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5102),
    [anon_sym_DASH] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5098),
    [aux_sym_interface_statement_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5098),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5098),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5098),
    [aux_sym_language_binding_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5098),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5098),
    [aux_sym_end_function_statement_token1] = ACTIONS(5098),
    [aux_sym_contains_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token1] = ACTIONS(5098),
    [aux_sym_use_statement_token2] = ACTIONS(5098),
    [aux_sym_implicit_statement_token1] = ACTIONS(5098),
    [aux_sym_implicit_statement_token3] = ACTIONS(5098),
    [aux_sym_implicit_statement_token4] = ACTIONS(5098),
    [aux_sym_save_statement_token1] = ACTIONS(5098),
    [aux_sym_private_statement_token1] = ACTIONS(5098),
    [aux_sym_public_statement_token1] = ACTIONS(5098),
    [aux_sym_namelist_statement_token1] = ACTIONS(5098),
    [aux_sym_common_statement_token1] = ACTIONS(5098),
    [aux_sym_import_statement_token1] = ACTIONS(5098),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5098),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5098),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5098),
    [aux_sym_variable_attributes_token1] = ACTIONS(5098),
    [aux_sym_variable_attributes_token2] = ACTIONS(5098),
    [aux_sym_variable_attributes_token3] = ACTIONS(5098),
    [aux_sym_variable_attributes_token4] = ACTIONS(5098),
    [aux_sym_variable_attributes_token5] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5098),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5098),
    [aux_sym_derived_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token1] = ACTIONS(5098),
    [aux_sym_declared_type_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5098),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5098),
    [aux_sym_type_qualifier_token1] = ACTIONS(5098),
    [aux_sym_type_qualifier_token2] = ACTIONS(5098),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5102),
    [aux_sym_stop_statement_token1] = ACTIONS(5098),
    [aux_sym_stop_statement_token2] = ACTIONS(5098),
    [aux_sym_subroutine_call_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token1] = ACTIONS(5098),
    [aux_sym_keyword_statement_token2] = ACTIONS(5098),
    [aux_sym_keyword_statement_token3] = ACTIONS(5098),
    [aux_sym_keyword_statement_token4] = ACTIONS(5098),
    [aux_sym_keyword_statement_token6] = ACTIONS(5098),
    [aux_sym_keyword_statement_token7] = ACTIONS(5098),
    [aux_sym_include_statement_token1] = ACTIONS(5098),
    [aux_sym_data_statement_token1] = ACTIONS(5098),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5098),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5098),
    [aux_sym_end_if_statement_token1] = ACTIONS(5098),
    [aux_sym_elseif_clause_token2] = ACTIONS(5098),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5098),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token1] = ACTIONS(5098),
    [aux_sym_select_case_statement_token3] = ACTIONS(5098),
    [aux_sym_select_type_statement_token1] = ACTIONS(5098),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5098),
    [aux_sym_block_construct_token1] = ACTIONS(5098),
    [aux_sym_associate_statement_token1] = ACTIONS(5098),
    [aux_sym_format_statement_token1] = ACTIONS(5098),
    [aux_sym_print_statement_token1] = ACTIONS(5098),
    [aux_sym_open_statement_token1] = ACTIONS(5098),
    [aux_sym_close_statement_token1] = ACTIONS(5098),
    [aux_sym_inquire_statement_token1] = ACTIONS(5098),
    [aux_sym_enum_statement_token1] = ACTIONS(5098),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token1] = ACTIONS(5098),
    [aux_sym_file_position_statement_token2] = ACTIONS(5098),
    [aux_sym_file_position_statement_token3] = ACTIONS(5098),
    [aux_sym_file_position_statement_token4] = ACTIONS(5098),
    [aux_sym_allocate_statement_token1] = ACTIONS(5098),
    [aux_sym_entry_statement_token1] = ACTIONS(5098),
    [aux_sym_logical_expression_token5] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5102),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [aux_sym_boolean_literal_token1] = ACTIONS(5102),
    [aux_sym_boolean_literal_token2] = ACTIONS(5102),
    [aux_sym_null_literal_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_statement_token2] = ACTIONS(5098),
    [aux_sym_coarray_statement_token6] = ACTIONS(5098),
    [aux_sym_coarray_statement_token8] = ACTIONS(5098),
    [aux_sym_coarray_statement_token11] = ACTIONS(5098),
    [aux_sym_coarray_statement_token12] = ACTIONS(5098),
    [aux_sym_coarray_statement_token13] = ACTIONS(5098),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5098),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5098),
    [aux_sym_identifier_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5102),
    [sym__float_literal] = ACTIONS(5102),
    [sym__boz_literal] = ACTIONS(5102),
    [sym__string_literal] = ACTIONS(5102),
    [sym__string_literal_kind] = ACTIONS(5102),
  },
  [1541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_program_statement_token2] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5465),
    [aux_sym_preproc_def_token1] = ACTIONS(5465),
    [aux_sym_preproc_if_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5465),
    [sym_preproc_directive] = ACTIONS(5465),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5465),
    [aux_sym_interface_statement_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5465),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5465),
    [aux_sym_language_binding_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5465),
    [aux_sym_contains_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token2] = ACTIONS(5465),
    [aux_sym_implicit_statement_token1] = ACTIONS(5465),
    [aux_sym_implicit_statement_token3] = ACTIONS(5465),
    [aux_sym_implicit_statement_token4] = ACTIONS(5465),
    [aux_sym_save_statement_token1] = ACTIONS(5465),
    [aux_sym_private_statement_token1] = ACTIONS(5465),
    [aux_sym_public_statement_token1] = ACTIONS(5465),
    [aux_sym_namelist_statement_token1] = ACTIONS(5465),
    [aux_sym_common_statement_token1] = ACTIONS(5465),
    [aux_sym_import_statement_token1] = ACTIONS(5465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5465),
    [aux_sym_variable_attributes_token1] = ACTIONS(5465),
    [aux_sym_variable_attributes_token2] = ACTIONS(5465),
    [aux_sym_variable_attributes_token3] = ACTIONS(5465),
    [aux_sym_variable_attributes_token4] = ACTIONS(5465),
    [aux_sym_variable_attributes_token5] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5465),
    [aux_sym_derived_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5465),
    [aux_sym_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5465),
    [anon_sym_SEMI] = ACTIONS(5467),
    [aux_sym_stop_statement_token1] = ACTIONS(5465),
    [aux_sym_stop_statement_token2] = ACTIONS(5465),
    [aux_sym_subroutine_call_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token2] = ACTIONS(5465),
    [aux_sym_keyword_statement_token3] = ACTIONS(5465),
    [aux_sym_keyword_statement_token4] = ACTIONS(5465),
    [aux_sym_keyword_statement_token6] = ACTIONS(5465),
    [aux_sym_keyword_statement_token7] = ACTIONS(5465),
    [aux_sym_include_statement_token1] = ACTIONS(5465),
    [aux_sym_data_statement_token1] = ACTIONS(5465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5465),
    [aux_sym_end_if_statement_token1] = ACTIONS(5465),
    [aux_sym_elseif_clause_token2] = ACTIONS(5465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token3] = ACTIONS(5465),
    [aux_sym_select_type_statement_token1] = ACTIONS(5465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5465),
    [aux_sym_block_construct_token1] = ACTIONS(5465),
    [aux_sym_associate_statement_token1] = ACTIONS(5465),
    [aux_sym_format_statement_token1] = ACTIONS(5465),
    [aux_sym_print_statement_token1] = ACTIONS(5465),
    [aux_sym_open_statement_token1] = ACTIONS(5465),
    [aux_sym_close_statement_token1] = ACTIONS(5465),
    [aux_sym_inquire_statement_token1] = ACTIONS(5465),
    [aux_sym_enum_statement_token1] = ACTIONS(5465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token2] = ACTIONS(5465),
    [aux_sym_file_position_statement_token3] = ACTIONS(5465),
    [aux_sym_file_position_statement_token4] = ACTIONS(5465),
    [aux_sym_allocate_statement_token1] = ACTIONS(5465),
    [aux_sym_entry_statement_token1] = ACTIONS(5465),
    [aux_sym_logical_expression_token5] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [aux_sym_boolean_literal_token1] = ACTIONS(5467),
    [aux_sym_boolean_literal_token2] = ACTIONS(5467),
    [aux_sym_null_literal_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token2] = ACTIONS(5465),
    [aux_sym_coarray_statement_token6] = ACTIONS(5465),
    [aux_sym_coarray_statement_token8] = ACTIONS(5465),
    [aux_sym_coarray_statement_token11] = ACTIONS(5465),
    [aux_sym_coarray_statement_token12] = ACTIONS(5465),
    [aux_sym_coarray_statement_token13] = ACTIONS(5465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5465),
    [aux_sym_identifier_token1] = ACTIONS(5465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5467),
    [sym__float_literal] = ACTIONS(5467),
    [sym__boz_literal] = ACTIONS(5467),
    [sym__string_literal] = ACTIONS(5467),
    [sym__string_literal_kind] = ACTIONS(5467),
  },
  [1547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_end_function_statement_token1] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_LPAREN2] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5477),
    [aux_sym_interface_statement_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5477),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5477),
    [aux_sym_language_binding_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5477),
    [aux_sym_contains_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token2] = ACTIONS(5477),
    [aux_sym_implicit_statement_token1] = ACTIONS(5477),
    [aux_sym_implicit_statement_token3] = ACTIONS(5477),
    [aux_sym_implicit_statement_token4] = ACTIONS(5477),
    [aux_sym_save_statement_token1] = ACTIONS(5477),
    [aux_sym_private_statement_token1] = ACTIONS(5477),
    [aux_sym_public_statement_token1] = ACTIONS(5477),
    [aux_sym_namelist_statement_token1] = ACTIONS(5477),
    [aux_sym_common_statement_token1] = ACTIONS(5477),
    [aux_sym_import_statement_token1] = ACTIONS(5477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5477),
    [aux_sym_variable_attributes_token1] = ACTIONS(5477),
    [aux_sym_variable_attributes_token2] = ACTIONS(5477),
    [aux_sym_variable_attributes_token3] = ACTIONS(5477),
    [aux_sym_variable_attributes_token4] = ACTIONS(5477),
    [aux_sym_variable_attributes_token5] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5477),
    [aux_sym_derived_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5477),
    [aux_sym_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5477),
    [anon_sym_SEMI] = ACTIONS(5479),
    [aux_sym_stop_statement_token1] = ACTIONS(5477),
    [aux_sym_stop_statement_token2] = ACTIONS(5477),
    [aux_sym_subroutine_call_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token2] = ACTIONS(5477),
    [aux_sym_keyword_statement_token3] = ACTIONS(5477),
    [aux_sym_keyword_statement_token4] = ACTIONS(5477),
    [aux_sym_keyword_statement_token6] = ACTIONS(5477),
    [aux_sym_keyword_statement_token7] = ACTIONS(5477),
    [aux_sym_include_statement_token1] = ACTIONS(5477),
    [aux_sym_data_statement_token1] = ACTIONS(5477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5477),
    [aux_sym_end_if_statement_token1] = ACTIONS(5477),
    [aux_sym_elseif_clause_token2] = ACTIONS(5477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token3] = ACTIONS(5477),
    [aux_sym_select_type_statement_token1] = ACTIONS(5477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5477),
    [aux_sym_block_construct_token1] = ACTIONS(5477),
    [aux_sym_associate_statement_token1] = ACTIONS(5477),
    [aux_sym_format_statement_token1] = ACTIONS(5477),
    [aux_sym_print_statement_token1] = ACTIONS(5477),
    [aux_sym_open_statement_token1] = ACTIONS(5477),
    [aux_sym_close_statement_token1] = ACTIONS(5477),
    [aux_sym_inquire_statement_token1] = ACTIONS(5477),
    [aux_sym_enum_statement_token1] = ACTIONS(5477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token2] = ACTIONS(5477),
    [aux_sym_file_position_statement_token3] = ACTIONS(5477),
    [aux_sym_file_position_statement_token4] = ACTIONS(5477),
    [aux_sym_allocate_statement_token1] = ACTIONS(5477),
    [aux_sym_entry_statement_token1] = ACTIONS(5477),
    [aux_sym_logical_expression_token5] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [aux_sym_boolean_literal_token1] = ACTIONS(5479),
    [aux_sym_boolean_literal_token2] = ACTIONS(5479),
    [aux_sym_null_literal_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token2] = ACTIONS(5477),
    [aux_sym_coarray_statement_token6] = ACTIONS(5477),
    [aux_sym_coarray_statement_token8] = ACTIONS(5477),
    [aux_sym_coarray_statement_token11] = ACTIONS(5477),
    [aux_sym_coarray_statement_token12] = ACTIONS(5477),
    [aux_sym_coarray_statement_token13] = ACTIONS(5477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5477),
    [aux_sym_identifier_token1] = ACTIONS(5477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5479),
    [sym__float_literal] = ACTIONS(5479),
    [sym__boz_literal] = ACTIONS(5479),
    [sym__string_literal] = ACTIONS(5479),
    [sym__string_literal_kind] = ACTIONS(5479),
  },
  [1550] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_LPAREN2] = ACTIONS(5477),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5477),
    [aux_sym_end_program_statement_token2] = ACTIONS(5477),
    [aux_sym_interface_statement_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5477),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5477),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5477),
    [aux_sym_language_binding_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5477),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5477),
    [aux_sym_contains_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token1] = ACTIONS(5477),
    [aux_sym_use_statement_token2] = ACTIONS(5477),
    [aux_sym_implicit_statement_token1] = ACTIONS(5477),
    [aux_sym_implicit_statement_token3] = ACTIONS(5477),
    [aux_sym_implicit_statement_token4] = ACTIONS(5477),
    [aux_sym_save_statement_token1] = ACTIONS(5477),
    [aux_sym_private_statement_token1] = ACTIONS(5477),
    [aux_sym_public_statement_token1] = ACTIONS(5477),
    [aux_sym_namelist_statement_token1] = ACTIONS(5477),
    [aux_sym_common_statement_token1] = ACTIONS(5477),
    [aux_sym_import_statement_token1] = ACTIONS(5477),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5477),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5477),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5477),
    [aux_sym_variable_attributes_token1] = ACTIONS(5477),
    [aux_sym_variable_attributes_token2] = ACTIONS(5477),
    [aux_sym_variable_attributes_token3] = ACTIONS(5477),
    [aux_sym_variable_attributes_token4] = ACTIONS(5477),
    [aux_sym_variable_attributes_token5] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5477),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5477),
    [aux_sym_derived_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token1] = ACTIONS(5477),
    [aux_sym_declared_type_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5477),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5477),
    [aux_sym_type_qualifier_token1] = ACTIONS(5477),
    [aux_sym_type_qualifier_token2] = ACTIONS(5477),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5477),
    [anon_sym_SEMI] = ACTIONS(5479),
    [aux_sym_stop_statement_token1] = ACTIONS(5477),
    [aux_sym_stop_statement_token2] = ACTIONS(5477),
    [aux_sym_subroutine_call_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token1] = ACTIONS(5477),
    [aux_sym_keyword_statement_token2] = ACTIONS(5477),
    [aux_sym_keyword_statement_token3] = ACTIONS(5477),
    [aux_sym_keyword_statement_token4] = ACTIONS(5477),
    [aux_sym_keyword_statement_token6] = ACTIONS(5477),
    [aux_sym_keyword_statement_token7] = ACTIONS(5477),
    [aux_sym_include_statement_token1] = ACTIONS(5477),
    [aux_sym_data_statement_token1] = ACTIONS(5477),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5477),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5477),
    [aux_sym_end_if_statement_token1] = ACTIONS(5477),
    [aux_sym_elseif_clause_token2] = ACTIONS(5477),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5477),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token1] = ACTIONS(5477),
    [aux_sym_select_case_statement_token3] = ACTIONS(5477),
    [aux_sym_select_type_statement_token1] = ACTIONS(5477),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5477),
    [aux_sym_block_construct_token1] = ACTIONS(5477),
    [aux_sym_associate_statement_token1] = ACTIONS(5477),
    [aux_sym_format_statement_token1] = ACTIONS(5477),
    [aux_sym_print_statement_token1] = ACTIONS(5477),
    [aux_sym_open_statement_token1] = ACTIONS(5477),
    [aux_sym_close_statement_token1] = ACTIONS(5477),
    [aux_sym_inquire_statement_token1] = ACTIONS(5477),
    [aux_sym_enum_statement_token1] = ACTIONS(5477),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token1] = ACTIONS(5477),
    [aux_sym_file_position_statement_token2] = ACTIONS(5477),
    [aux_sym_file_position_statement_token3] = ACTIONS(5477),
    [aux_sym_file_position_statement_token4] = ACTIONS(5477),
    [aux_sym_allocate_statement_token1] = ACTIONS(5477),
    [aux_sym_entry_statement_token1] = ACTIONS(5477),
    [aux_sym_logical_expression_token5] = ACTIONS(5479),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [aux_sym_boolean_literal_token1] = ACTIONS(5479),
    [aux_sym_boolean_literal_token2] = ACTIONS(5479),
    [aux_sym_null_literal_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_statement_token2] = ACTIONS(5477),
    [aux_sym_coarray_statement_token6] = ACTIONS(5477),
    [aux_sym_coarray_statement_token8] = ACTIONS(5477),
    [aux_sym_coarray_statement_token11] = ACTIONS(5477),
    [aux_sym_coarray_statement_token12] = ACTIONS(5477),
    [aux_sym_coarray_statement_token13] = ACTIONS(5477),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5477),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5477),
    [aux_sym_identifier_token1] = ACTIONS(5477),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5479),
    [sym__float_literal] = ACTIONS(5479),
    [sym__boz_literal] = ACTIONS(5479),
    [sym__string_literal] = ACTIONS(5479),
    [sym__string_literal_kind] = ACTIONS(5479),
  },
  [1551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5465),
    [aux_sym_preproc_def_token1] = ACTIONS(5465),
    [aux_sym_preproc_if_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5465),
    [sym_preproc_directive] = ACTIONS(5465),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5465),
    [aux_sym_end_program_statement_token2] = ACTIONS(5465),
    [aux_sym_interface_statement_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5465),
    [aux_sym_language_binding_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5465),
    [aux_sym_contains_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token2] = ACTIONS(5465),
    [aux_sym_implicit_statement_token1] = ACTIONS(5465),
    [aux_sym_implicit_statement_token3] = ACTIONS(5465),
    [aux_sym_implicit_statement_token4] = ACTIONS(5465),
    [aux_sym_save_statement_token1] = ACTIONS(5465),
    [aux_sym_private_statement_token1] = ACTIONS(5465),
    [aux_sym_public_statement_token1] = ACTIONS(5465),
    [aux_sym_namelist_statement_token1] = ACTIONS(5465),
    [aux_sym_common_statement_token1] = ACTIONS(5465),
    [aux_sym_import_statement_token1] = ACTIONS(5465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5465),
    [aux_sym_variable_attributes_token1] = ACTIONS(5465),
    [aux_sym_variable_attributes_token2] = ACTIONS(5465),
    [aux_sym_variable_attributes_token3] = ACTIONS(5465),
    [aux_sym_variable_attributes_token4] = ACTIONS(5465),
    [aux_sym_variable_attributes_token5] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5465),
    [aux_sym_derived_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5465),
    [aux_sym_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5465),
    [anon_sym_SEMI] = ACTIONS(5467),
    [aux_sym_stop_statement_token1] = ACTIONS(5465),
    [aux_sym_stop_statement_token2] = ACTIONS(5465),
    [aux_sym_subroutine_call_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token2] = ACTIONS(5465),
    [aux_sym_keyword_statement_token3] = ACTIONS(5465),
    [aux_sym_keyword_statement_token4] = ACTIONS(5465),
    [aux_sym_keyword_statement_token6] = ACTIONS(5465),
    [aux_sym_keyword_statement_token7] = ACTIONS(5465),
    [aux_sym_include_statement_token1] = ACTIONS(5465),
    [aux_sym_data_statement_token1] = ACTIONS(5465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5465),
    [aux_sym_end_if_statement_token1] = ACTIONS(5465),
    [aux_sym_elseif_clause_token2] = ACTIONS(5465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token3] = ACTIONS(5465),
    [aux_sym_select_type_statement_token1] = ACTIONS(5465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5465),
    [aux_sym_block_construct_token1] = ACTIONS(5465),
    [aux_sym_associate_statement_token1] = ACTIONS(5465),
    [aux_sym_format_statement_token1] = ACTIONS(5465),
    [aux_sym_print_statement_token1] = ACTIONS(5465),
    [aux_sym_open_statement_token1] = ACTIONS(5465),
    [aux_sym_close_statement_token1] = ACTIONS(5465),
    [aux_sym_inquire_statement_token1] = ACTIONS(5465),
    [aux_sym_enum_statement_token1] = ACTIONS(5465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token2] = ACTIONS(5465),
    [aux_sym_file_position_statement_token3] = ACTIONS(5465),
    [aux_sym_file_position_statement_token4] = ACTIONS(5465),
    [aux_sym_allocate_statement_token1] = ACTIONS(5465),
    [aux_sym_entry_statement_token1] = ACTIONS(5465),
    [aux_sym_logical_expression_token5] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [aux_sym_boolean_literal_token1] = ACTIONS(5467),
    [aux_sym_boolean_literal_token2] = ACTIONS(5467),
    [aux_sym_null_literal_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token2] = ACTIONS(5465),
    [aux_sym_coarray_statement_token6] = ACTIONS(5465),
    [aux_sym_coarray_statement_token8] = ACTIONS(5465),
    [aux_sym_coarray_statement_token11] = ACTIONS(5465),
    [aux_sym_coarray_statement_token12] = ACTIONS(5465),
    [aux_sym_coarray_statement_token13] = ACTIONS(5465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5465),
    [aux_sym_identifier_token1] = ACTIONS(5465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5467),
    [sym__float_literal] = ACTIONS(5467),
    [sym__boz_literal] = ACTIONS(5467),
    [sym__string_literal] = ACTIONS(5467),
    [sym__string_literal_kind] = ACTIONS(5467),
  },
  [1553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_end_program_statement_token2] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5457),
    [aux_sym_interface_statement_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5457),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5457),
    [aux_sym_language_binding_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5457),
    [aux_sym_contains_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token2] = ACTIONS(5457),
    [aux_sym_implicit_statement_token1] = ACTIONS(5457),
    [aux_sym_implicit_statement_token3] = ACTIONS(5457),
    [aux_sym_implicit_statement_token4] = ACTIONS(5457),
    [aux_sym_save_statement_token1] = ACTIONS(5457),
    [aux_sym_private_statement_token1] = ACTIONS(5457),
    [aux_sym_public_statement_token1] = ACTIONS(5457),
    [aux_sym_namelist_statement_token1] = ACTIONS(5457),
    [aux_sym_common_statement_token1] = ACTIONS(5457),
    [aux_sym_import_statement_token1] = ACTIONS(5457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5457),
    [aux_sym_variable_attributes_token1] = ACTIONS(5457),
    [aux_sym_variable_attributes_token2] = ACTIONS(5457),
    [aux_sym_variable_attributes_token3] = ACTIONS(5457),
    [aux_sym_variable_attributes_token4] = ACTIONS(5457),
    [aux_sym_variable_attributes_token5] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5457),
    [aux_sym_derived_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5457),
    [aux_sym_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5459),
    [aux_sym_stop_statement_token1] = ACTIONS(5457),
    [aux_sym_stop_statement_token2] = ACTIONS(5457),
    [aux_sym_subroutine_call_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token2] = ACTIONS(5457),
    [aux_sym_keyword_statement_token3] = ACTIONS(5457),
    [aux_sym_keyword_statement_token4] = ACTIONS(5457),
    [aux_sym_keyword_statement_token6] = ACTIONS(5457),
    [aux_sym_keyword_statement_token7] = ACTIONS(5457),
    [aux_sym_include_statement_token1] = ACTIONS(5457),
    [aux_sym_data_statement_token1] = ACTIONS(5457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5457),
    [aux_sym_end_if_statement_token1] = ACTIONS(5457),
    [aux_sym_elseif_clause_token2] = ACTIONS(5457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token3] = ACTIONS(5457),
    [aux_sym_select_type_statement_token1] = ACTIONS(5457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5457),
    [aux_sym_block_construct_token1] = ACTIONS(5457),
    [aux_sym_associate_statement_token1] = ACTIONS(5457),
    [aux_sym_format_statement_token1] = ACTIONS(5457),
    [aux_sym_print_statement_token1] = ACTIONS(5457),
    [aux_sym_open_statement_token1] = ACTIONS(5457),
    [aux_sym_close_statement_token1] = ACTIONS(5457),
    [aux_sym_inquire_statement_token1] = ACTIONS(5457),
    [aux_sym_enum_statement_token1] = ACTIONS(5457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token2] = ACTIONS(5457),
    [aux_sym_file_position_statement_token3] = ACTIONS(5457),
    [aux_sym_file_position_statement_token4] = ACTIONS(5457),
    [aux_sym_allocate_statement_token1] = ACTIONS(5457),
    [aux_sym_entry_statement_token1] = ACTIONS(5457),
    [aux_sym_logical_expression_token5] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [aux_sym_boolean_literal_token1] = ACTIONS(5459),
    [aux_sym_boolean_literal_token2] = ACTIONS(5459),
    [aux_sym_null_literal_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token2] = ACTIONS(5457),
    [aux_sym_coarray_statement_token6] = ACTIONS(5457),
    [aux_sym_coarray_statement_token8] = ACTIONS(5457),
    [aux_sym_coarray_statement_token11] = ACTIONS(5457),
    [aux_sym_coarray_statement_token12] = ACTIONS(5457),
    [aux_sym_coarray_statement_token13] = ACTIONS(5457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5457),
    [aux_sym_identifier_token1] = ACTIONS(5457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5459),
    [sym__float_literal] = ACTIONS(5459),
    [sym__boz_literal] = ACTIONS(5459),
    [sym__string_literal] = ACTIONS(5459),
    [sym__string_literal_kind] = ACTIONS(5459),
  },
  [1556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_end_program_statement_token2] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_end_program_statement_token2] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5024),
    [aux_sym_preproc_def_token1] = ACTIONS(5024),
    [aux_sym_preproc_if_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5024),
    [sym_preproc_directive] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(5024),
    [anon_sym_PLUS] = ACTIONS(5030),
    [anon_sym_DASH] = ACTIONS(5030),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5024),
    [aux_sym_interface_statement_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5024),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5024),
    [aux_sym_language_binding_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5024),
    [aux_sym_contains_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token1] = ACTIONS(5024),
    [aux_sym_use_statement_token2] = ACTIONS(5024),
    [aux_sym_implicit_statement_token1] = ACTIONS(5024),
    [aux_sym_implicit_statement_token3] = ACTIONS(5024),
    [aux_sym_implicit_statement_token4] = ACTIONS(5024),
    [aux_sym_save_statement_token1] = ACTIONS(5024),
    [aux_sym_private_statement_token1] = ACTIONS(5024),
    [aux_sym_public_statement_token1] = ACTIONS(5024),
    [aux_sym_namelist_statement_token1] = ACTIONS(5024),
    [aux_sym_common_statement_token1] = ACTIONS(5024),
    [aux_sym_import_statement_token1] = ACTIONS(5024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5024),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5024),
    [aux_sym_variable_attributes_token1] = ACTIONS(5024),
    [aux_sym_variable_attributes_token2] = ACTIONS(5024),
    [aux_sym_variable_attributes_token3] = ACTIONS(5024),
    [aux_sym_variable_attributes_token4] = ACTIONS(5024),
    [aux_sym_variable_attributes_token5] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5024),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5024),
    [aux_sym_derived_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token1] = ACTIONS(5024),
    [aux_sym_declared_type_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5024),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5024),
    [aux_sym_type_qualifier_token1] = ACTIONS(5024),
    [aux_sym_type_qualifier_token2] = ACTIONS(5024),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5024),
    [anon_sym_SEMI] = ACTIONS(5030),
    [aux_sym_stop_statement_token1] = ACTIONS(5024),
    [aux_sym_stop_statement_token2] = ACTIONS(5024),
    [aux_sym_subroutine_call_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token1] = ACTIONS(5024),
    [aux_sym_keyword_statement_token2] = ACTIONS(5024),
    [aux_sym_keyword_statement_token3] = ACTIONS(5024),
    [aux_sym_keyword_statement_token4] = ACTIONS(5024),
    [aux_sym_keyword_statement_token6] = ACTIONS(5024),
    [aux_sym_keyword_statement_token7] = ACTIONS(5024),
    [aux_sym_include_statement_token1] = ACTIONS(5024),
    [aux_sym_data_statement_token1] = ACTIONS(5024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5024),
    [aux_sym_end_if_statement_token1] = ACTIONS(5024),
    [aux_sym_elseif_clause_token2] = ACTIONS(5024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token1] = ACTIONS(5024),
    [aux_sym_select_case_statement_token3] = ACTIONS(5024),
    [aux_sym_select_type_statement_token1] = ACTIONS(5024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5024),
    [aux_sym_block_construct_token1] = ACTIONS(5024),
    [aux_sym_associate_statement_token1] = ACTIONS(5024),
    [aux_sym_format_statement_token1] = ACTIONS(5024),
    [aux_sym_print_statement_token1] = ACTIONS(5024),
    [aux_sym_open_statement_token1] = ACTIONS(5024),
    [aux_sym_close_statement_token1] = ACTIONS(5024),
    [aux_sym_inquire_statement_token1] = ACTIONS(5024),
    [aux_sym_enum_statement_token1] = ACTIONS(5024),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token1] = ACTIONS(5024),
    [aux_sym_file_position_statement_token2] = ACTIONS(5024),
    [aux_sym_file_position_statement_token3] = ACTIONS(5024),
    [aux_sym_file_position_statement_token4] = ACTIONS(5024),
    [aux_sym_allocate_statement_token1] = ACTIONS(5024),
    [aux_sym_entry_statement_token1] = ACTIONS(5024),
    [aux_sym_logical_expression_token5] = ACTIONS(5030),
    [anon_sym_DOT] = ACTIONS(5024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5030),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [aux_sym_boolean_literal_token1] = ACTIONS(5030),
    [aux_sym_boolean_literal_token2] = ACTIONS(5030),
    [aux_sym_null_literal_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_statement_token2] = ACTIONS(5024),
    [aux_sym_coarray_statement_token6] = ACTIONS(5024),
    [aux_sym_coarray_statement_token8] = ACTIONS(5024),
    [aux_sym_coarray_statement_token11] = ACTIONS(5024),
    [aux_sym_coarray_statement_token12] = ACTIONS(5024),
    [aux_sym_coarray_statement_token13] = ACTIONS(5024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5024),
    [aux_sym_identifier_token1] = ACTIONS(5024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5030),
    [sym__float_literal] = ACTIONS(5030),
    [sym__boz_literal] = ACTIONS(5030),
    [sym__string_literal] = ACTIONS(5030),
    [sym__string_literal_kind] = ACTIONS(5030),
  },
  [1559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4523),
    [aux_sym_preproc_def_token1] = ACTIONS(4523),
    [aux_sym_preproc_if_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4523),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4523),
    [sym_preproc_directive] = ACTIONS(4523),
    [anon_sym_LPAREN2] = ACTIONS(4523),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4523),
    [aux_sym_interface_statement_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4523),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4523),
    [aux_sym_language_binding_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4523),
    [aux_sym_contains_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token1] = ACTIONS(4523),
    [aux_sym_use_statement_token2] = ACTIONS(4523),
    [aux_sym_implicit_statement_token1] = ACTIONS(4523),
    [aux_sym_implicit_statement_token3] = ACTIONS(4523),
    [aux_sym_implicit_statement_token4] = ACTIONS(4523),
    [aux_sym_save_statement_token1] = ACTIONS(4523),
    [aux_sym_private_statement_token1] = ACTIONS(4523),
    [aux_sym_public_statement_token1] = ACTIONS(4523),
    [aux_sym_namelist_statement_token1] = ACTIONS(4523),
    [aux_sym_common_statement_token1] = ACTIONS(4523),
    [aux_sym_import_statement_token1] = ACTIONS(4523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4523),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4523),
    [aux_sym_variable_attributes_token1] = ACTIONS(4523),
    [aux_sym_variable_attributes_token2] = ACTIONS(4523),
    [aux_sym_variable_attributes_token3] = ACTIONS(4523),
    [aux_sym_variable_attributes_token4] = ACTIONS(4523),
    [aux_sym_variable_attributes_token5] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4523),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4523),
    [aux_sym_derived_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token1] = ACTIONS(4523),
    [aux_sym_declared_type_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4523),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4523),
    [aux_sym_type_qualifier_token1] = ACTIONS(4523),
    [aux_sym_type_qualifier_token2] = ACTIONS(4523),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4523),
    [anon_sym_SEMI] = ACTIONS(4527),
    [aux_sym_stop_statement_token1] = ACTIONS(4523),
    [aux_sym_stop_statement_token2] = ACTIONS(4523),
    [aux_sym_subroutine_call_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token1] = ACTIONS(4523),
    [aux_sym_keyword_statement_token2] = ACTIONS(4523),
    [aux_sym_keyword_statement_token3] = ACTIONS(4523),
    [aux_sym_keyword_statement_token4] = ACTIONS(4523),
    [aux_sym_keyword_statement_token6] = ACTIONS(4523),
    [aux_sym_keyword_statement_token7] = ACTIONS(4523),
    [aux_sym_include_statement_token1] = ACTIONS(4523),
    [aux_sym_data_statement_token1] = ACTIONS(4523),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4523),
    [aux_sym_end_if_statement_token1] = ACTIONS(4523),
    [aux_sym_elseif_clause_token2] = ACTIONS(4523),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4523),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token1] = ACTIONS(4523),
    [aux_sym_select_case_statement_token3] = ACTIONS(4523),
    [aux_sym_select_type_statement_token1] = ACTIONS(4523),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4523),
    [aux_sym_block_construct_token1] = ACTIONS(4523),
    [aux_sym_associate_statement_token1] = ACTIONS(4523),
    [aux_sym_format_statement_token1] = ACTIONS(4523),
    [aux_sym_print_statement_token1] = ACTIONS(4523),
    [aux_sym_open_statement_token1] = ACTIONS(4523),
    [aux_sym_close_statement_token1] = ACTIONS(4523),
    [aux_sym_inquire_statement_token1] = ACTIONS(4523),
    [aux_sym_enum_statement_token1] = ACTIONS(4523),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token1] = ACTIONS(4523),
    [aux_sym_file_position_statement_token2] = ACTIONS(4523),
    [aux_sym_file_position_statement_token3] = ACTIONS(4523),
    [aux_sym_file_position_statement_token4] = ACTIONS(4523),
    [aux_sym_allocate_statement_token1] = ACTIONS(4523),
    [aux_sym_entry_statement_token1] = ACTIONS(4523),
    [aux_sym_logical_expression_token5] = ACTIONS(4527),
    [anon_sym_DOT] = ACTIONS(4523),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4527),
    [aux_sym_boolean_literal_token1] = ACTIONS(4527),
    [aux_sym_boolean_literal_token2] = ACTIONS(4527),
    [aux_sym_null_literal_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_statement_token2] = ACTIONS(4523),
    [aux_sym_coarray_statement_token6] = ACTIONS(4523),
    [aux_sym_coarray_statement_token8] = ACTIONS(4523),
    [aux_sym_coarray_statement_token11] = ACTIONS(4523),
    [aux_sym_coarray_statement_token12] = ACTIONS(4523),
    [aux_sym_coarray_statement_token13] = ACTIONS(4523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4523),
    [aux_sym_identifier_token1] = ACTIONS(4523),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4527),
    [sym__float_literal] = ACTIONS(4527),
    [sym__boz_literal] = ACTIONS(4527),
    [sym__string_literal] = ACTIONS(4527),
    [sym__string_literal_kind] = ACTIONS(4527),
  },
  [1560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5449),
    [aux_sym_preproc_def_token1] = ACTIONS(5449),
    [aux_sym_preproc_if_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5449),
    [sym_preproc_directive] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5449),
    [aux_sym_end_program_statement_token2] = ACTIONS(5449),
    [aux_sym_interface_statement_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5449),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5449),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5449),
    [aux_sym_language_binding_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5449),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5449),
    [aux_sym_contains_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token1] = ACTIONS(5449),
    [aux_sym_use_statement_token2] = ACTIONS(5449),
    [aux_sym_implicit_statement_token1] = ACTIONS(5449),
    [aux_sym_implicit_statement_token3] = ACTIONS(5449),
    [aux_sym_implicit_statement_token4] = ACTIONS(5449),
    [aux_sym_save_statement_token1] = ACTIONS(5449),
    [aux_sym_private_statement_token1] = ACTIONS(5449),
    [aux_sym_public_statement_token1] = ACTIONS(5449),
    [aux_sym_namelist_statement_token1] = ACTIONS(5449),
    [aux_sym_common_statement_token1] = ACTIONS(5449),
    [aux_sym_import_statement_token1] = ACTIONS(5449),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5449),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5449),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5449),
    [aux_sym_variable_attributes_token1] = ACTIONS(5449),
    [aux_sym_variable_attributes_token2] = ACTIONS(5449),
    [aux_sym_variable_attributes_token3] = ACTIONS(5449),
    [aux_sym_variable_attributes_token4] = ACTIONS(5449),
    [aux_sym_variable_attributes_token5] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5449),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5449),
    [aux_sym_derived_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token1] = ACTIONS(5449),
    [aux_sym_declared_type_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5449),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5449),
    [aux_sym_type_qualifier_token1] = ACTIONS(5449),
    [aux_sym_type_qualifier_token2] = ACTIONS(5449),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [aux_sym_stop_statement_token1] = ACTIONS(5449),
    [aux_sym_stop_statement_token2] = ACTIONS(5449),
    [aux_sym_subroutine_call_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token1] = ACTIONS(5449),
    [aux_sym_keyword_statement_token2] = ACTIONS(5449),
    [aux_sym_keyword_statement_token3] = ACTIONS(5449),
    [aux_sym_keyword_statement_token4] = ACTIONS(5449),
    [aux_sym_keyword_statement_token6] = ACTIONS(5449),
    [aux_sym_keyword_statement_token7] = ACTIONS(5449),
    [aux_sym_include_statement_token1] = ACTIONS(5449),
    [aux_sym_data_statement_token1] = ACTIONS(5449),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5449),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5449),
    [aux_sym_end_if_statement_token1] = ACTIONS(5449),
    [aux_sym_elseif_clause_token2] = ACTIONS(5449),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5449),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token1] = ACTIONS(5449),
    [aux_sym_select_case_statement_token3] = ACTIONS(5449),
    [aux_sym_select_type_statement_token1] = ACTIONS(5449),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5449),
    [aux_sym_block_construct_token1] = ACTIONS(5449),
    [aux_sym_associate_statement_token1] = ACTIONS(5449),
    [aux_sym_format_statement_token1] = ACTIONS(5449),
    [aux_sym_print_statement_token1] = ACTIONS(5449),
    [aux_sym_open_statement_token1] = ACTIONS(5449),
    [aux_sym_close_statement_token1] = ACTIONS(5449),
    [aux_sym_inquire_statement_token1] = ACTIONS(5449),
    [aux_sym_enum_statement_token1] = ACTIONS(5449),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token1] = ACTIONS(5449),
    [aux_sym_file_position_statement_token2] = ACTIONS(5449),
    [aux_sym_file_position_statement_token3] = ACTIONS(5449),
    [aux_sym_file_position_statement_token4] = ACTIONS(5449),
    [aux_sym_allocate_statement_token1] = ACTIONS(5449),
    [aux_sym_entry_statement_token1] = ACTIONS(5449),
    [aux_sym_logical_expression_token5] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [aux_sym_boolean_literal_token1] = ACTIONS(5451),
    [aux_sym_boolean_literal_token2] = ACTIONS(5451),
    [aux_sym_null_literal_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_statement_token2] = ACTIONS(5449),
    [aux_sym_coarray_statement_token6] = ACTIONS(5449),
    [aux_sym_coarray_statement_token8] = ACTIONS(5449),
    [aux_sym_coarray_statement_token11] = ACTIONS(5449),
    [aux_sym_coarray_statement_token12] = ACTIONS(5449),
    [aux_sym_coarray_statement_token13] = ACTIONS(5449),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5449),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5449),
    [aux_sym_identifier_token1] = ACTIONS(5449),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5451),
    [sym__float_literal] = ACTIONS(5451),
    [sym__boz_literal] = ACTIONS(5451),
    [sym__string_literal] = ACTIONS(5451),
    [sym__string_literal_kind] = ACTIONS(5451),
  },
  [1562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_LPAREN2] = ACTIONS(5461),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5461),
    [aux_sym_interface_statement_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5461),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5461),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5461),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5461),
    [aux_sym_language_binding_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5461),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5461),
    [aux_sym_contains_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token1] = ACTIONS(5461),
    [aux_sym_use_statement_token2] = ACTIONS(5461),
    [aux_sym_implicit_statement_token1] = ACTIONS(5461),
    [aux_sym_implicit_statement_token3] = ACTIONS(5461),
    [aux_sym_implicit_statement_token4] = ACTIONS(5461),
    [aux_sym_save_statement_token1] = ACTIONS(5461),
    [aux_sym_private_statement_token1] = ACTIONS(5461),
    [aux_sym_public_statement_token1] = ACTIONS(5461),
    [aux_sym_namelist_statement_token1] = ACTIONS(5461),
    [aux_sym_common_statement_token1] = ACTIONS(5461),
    [aux_sym_import_statement_token1] = ACTIONS(5461),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5461),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5461),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5461),
    [aux_sym_variable_attributes_token1] = ACTIONS(5461),
    [aux_sym_variable_attributes_token2] = ACTIONS(5461),
    [aux_sym_variable_attributes_token3] = ACTIONS(5461),
    [aux_sym_variable_attributes_token4] = ACTIONS(5461),
    [aux_sym_variable_attributes_token5] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5461),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5461),
    [aux_sym_derived_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token1] = ACTIONS(5461),
    [aux_sym_declared_type_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5461),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5461),
    [aux_sym_type_qualifier_token1] = ACTIONS(5461),
    [aux_sym_type_qualifier_token2] = ACTIONS(5461),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5461),
    [anon_sym_SEMI] = ACTIONS(5463),
    [aux_sym_stop_statement_token1] = ACTIONS(5461),
    [aux_sym_stop_statement_token2] = ACTIONS(5461),
    [aux_sym_subroutine_call_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token1] = ACTIONS(5461),
    [aux_sym_keyword_statement_token2] = ACTIONS(5461),
    [aux_sym_keyword_statement_token3] = ACTIONS(5461),
    [aux_sym_keyword_statement_token4] = ACTIONS(5461),
    [aux_sym_keyword_statement_token6] = ACTIONS(5461),
    [aux_sym_keyword_statement_token7] = ACTIONS(5461),
    [aux_sym_include_statement_token1] = ACTIONS(5461),
    [aux_sym_data_statement_token1] = ACTIONS(5461),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5461),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5461),
    [aux_sym_end_if_statement_token1] = ACTIONS(5461),
    [aux_sym_elseif_clause_token2] = ACTIONS(5461),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5461),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token1] = ACTIONS(5461),
    [aux_sym_select_case_statement_token3] = ACTIONS(5461),
    [aux_sym_select_type_statement_token1] = ACTIONS(5461),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5461),
    [aux_sym_block_construct_token1] = ACTIONS(5461),
    [aux_sym_associate_statement_token1] = ACTIONS(5461),
    [aux_sym_format_statement_token1] = ACTIONS(5461),
    [aux_sym_print_statement_token1] = ACTIONS(5461),
    [aux_sym_open_statement_token1] = ACTIONS(5461),
    [aux_sym_close_statement_token1] = ACTIONS(5461),
    [aux_sym_inquire_statement_token1] = ACTIONS(5461),
    [aux_sym_enum_statement_token1] = ACTIONS(5461),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token1] = ACTIONS(5461),
    [aux_sym_file_position_statement_token2] = ACTIONS(5461),
    [aux_sym_file_position_statement_token3] = ACTIONS(5461),
    [aux_sym_file_position_statement_token4] = ACTIONS(5461),
    [aux_sym_allocate_statement_token1] = ACTIONS(5461),
    [aux_sym_entry_statement_token1] = ACTIONS(5461),
    [aux_sym_logical_expression_token5] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [aux_sym_boolean_literal_token1] = ACTIONS(5463),
    [aux_sym_boolean_literal_token2] = ACTIONS(5463),
    [aux_sym_null_literal_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_statement_token2] = ACTIONS(5461),
    [aux_sym_coarray_statement_token6] = ACTIONS(5461),
    [aux_sym_coarray_statement_token8] = ACTIONS(5461),
    [aux_sym_coarray_statement_token11] = ACTIONS(5461),
    [aux_sym_coarray_statement_token12] = ACTIONS(5461),
    [aux_sym_coarray_statement_token13] = ACTIONS(5461),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5461),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5461),
    [aux_sym_identifier_token1] = ACTIONS(5461),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5463),
    [sym__float_literal] = ACTIONS(5463),
    [sym__boz_literal] = ACTIONS(5463),
    [sym__string_literal] = ACTIONS(5463),
    [sym__string_literal_kind] = ACTIONS(5463),
  },
  [1565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5469),
    [aux_sym_preproc_def_token1] = ACTIONS(5469),
    [aux_sym_preproc_if_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5469),
    [sym_preproc_directive] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(5469),
    [anon_sym_PLUS] = ACTIONS(5471),
    [anon_sym_DASH] = ACTIONS(5471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5469),
    [aux_sym_end_program_statement_token2] = ACTIONS(5469),
    [aux_sym_interface_statement_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5469),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5469),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5469),
    [aux_sym_language_binding_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5469),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5469),
    [aux_sym_contains_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token1] = ACTIONS(5469),
    [aux_sym_use_statement_token2] = ACTIONS(5469),
    [aux_sym_implicit_statement_token1] = ACTIONS(5469),
    [aux_sym_implicit_statement_token3] = ACTIONS(5469),
    [aux_sym_implicit_statement_token4] = ACTIONS(5469),
    [aux_sym_save_statement_token1] = ACTIONS(5469),
    [aux_sym_private_statement_token1] = ACTIONS(5469),
    [aux_sym_public_statement_token1] = ACTIONS(5469),
    [aux_sym_namelist_statement_token1] = ACTIONS(5469),
    [aux_sym_common_statement_token1] = ACTIONS(5469),
    [aux_sym_import_statement_token1] = ACTIONS(5469),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5469),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5469),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5469),
    [aux_sym_variable_attributes_token1] = ACTIONS(5469),
    [aux_sym_variable_attributes_token2] = ACTIONS(5469),
    [aux_sym_variable_attributes_token3] = ACTIONS(5469),
    [aux_sym_variable_attributes_token4] = ACTIONS(5469),
    [aux_sym_variable_attributes_token5] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5469),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5469),
    [aux_sym_derived_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token1] = ACTIONS(5469),
    [aux_sym_declared_type_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5469),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5469),
    [aux_sym_type_qualifier_token1] = ACTIONS(5469),
    [aux_sym_type_qualifier_token2] = ACTIONS(5469),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5471),
    [aux_sym_stop_statement_token1] = ACTIONS(5469),
    [aux_sym_stop_statement_token2] = ACTIONS(5469),
    [aux_sym_subroutine_call_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token1] = ACTIONS(5469),
    [aux_sym_keyword_statement_token2] = ACTIONS(5469),
    [aux_sym_keyword_statement_token3] = ACTIONS(5469),
    [aux_sym_keyword_statement_token4] = ACTIONS(5469),
    [aux_sym_keyword_statement_token6] = ACTIONS(5469),
    [aux_sym_keyword_statement_token7] = ACTIONS(5469),
    [aux_sym_include_statement_token1] = ACTIONS(5469),
    [aux_sym_data_statement_token1] = ACTIONS(5469),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5469),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5469),
    [aux_sym_end_if_statement_token1] = ACTIONS(5469),
    [aux_sym_elseif_clause_token2] = ACTIONS(5469),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5469),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token1] = ACTIONS(5469),
    [aux_sym_select_case_statement_token3] = ACTIONS(5469),
    [aux_sym_select_type_statement_token1] = ACTIONS(5469),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5469),
    [aux_sym_block_construct_token1] = ACTIONS(5469),
    [aux_sym_associate_statement_token1] = ACTIONS(5469),
    [aux_sym_format_statement_token1] = ACTIONS(5469),
    [aux_sym_print_statement_token1] = ACTIONS(5469),
    [aux_sym_open_statement_token1] = ACTIONS(5469),
    [aux_sym_close_statement_token1] = ACTIONS(5469),
    [aux_sym_inquire_statement_token1] = ACTIONS(5469),
    [aux_sym_enum_statement_token1] = ACTIONS(5469),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token1] = ACTIONS(5469),
    [aux_sym_file_position_statement_token2] = ACTIONS(5469),
    [aux_sym_file_position_statement_token3] = ACTIONS(5469),
    [aux_sym_file_position_statement_token4] = ACTIONS(5469),
    [aux_sym_allocate_statement_token1] = ACTIONS(5469),
    [aux_sym_entry_statement_token1] = ACTIONS(5469),
    [aux_sym_logical_expression_token5] = ACTIONS(5471),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5471),
    [anon_sym_LBRACK] = ACTIONS(5471),
    [aux_sym_boolean_literal_token1] = ACTIONS(5471),
    [aux_sym_boolean_literal_token2] = ACTIONS(5471),
    [aux_sym_null_literal_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_statement_token2] = ACTIONS(5469),
    [aux_sym_coarray_statement_token6] = ACTIONS(5469),
    [aux_sym_coarray_statement_token8] = ACTIONS(5469),
    [aux_sym_coarray_statement_token11] = ACTIONS(5469),
    [aux_sym_coarray_statement_token12] = ACTIONS(5469),
    [aux_sym_coarray_statement_token13] = ACTIONS(5469),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5469),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5469),
    [aux_sym_identifier_token1] = ACTIONS(5469),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5471),
    [sym__float_literal] = ACTIONS(5471),
    [sym__boz_literal] = ACTIONS(5471),
    [sym__string_literal] = ACTIONS(5471),
    [sym__string_literal_kind] = ACTIONS(5471),
  },
  [1566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5000),
    [aux_sym_preproc_def_token1] = ACTIONS(5000),
    [aux_sym_preproc_if_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5000),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5000),
    [sym_preproc_directive] = ACTIONS(5000),
    [anon_sym_LPAREN2] = ACTIONS(5000),
    [anon_sym_PLUS] = ACTIONS(5006),
    [anon_sym_DASH] = ACTIONS(5006),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5000),
    [aux_sym_interface_statement_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5000),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5000),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5000),
    [aux_sym_language_binding_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5000),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5000),
    [aux_sym_contains_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token1] = ACTIONS(5000),
    [aux_sym_use_statement_token2] = ACTIONS(5000),
    [aux_sym_implicit_statement_token1] = ACTIONS(5000),
    [aux_sym_implicit_statement_token3] = ACTIONS(5000),
    [aux_sym_implicit_statement_token4] = ACTIONS(5000),
    [aux_sym_save_statement_token1] = ACTIONS(5000),
    [aux_sym_private_statement_token1] = ACTIONS(5000),
    [aux_sym_public_statement_token1] = ACTIONS(5000),
    [aux_sym_namelist_statement_token1] = ACTIONS(5000),
    [aux_sym_common_statement_token1] = ACTIONS(5000),
    [aux_sym_import_statement_token1] = ACTIONS(5000),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5000),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5000),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5000),
    [aux_sym_variable_attributes_token1] = ACTIONS(5000),
    [aux_sym_variable_attributes_token2] = ACTIONS(5000),
    [aux_sym_variable_attributes_token3] = ACTIONS(5000),
    [aux_sym_variable_attributes_token4] = ACTIONS(5000),
    [aux_sym_variable_attributes_token5] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5000),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5000),
    [aux_sym_derived_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token1] = ACTIONS(5000),
    [aux_sym_declared_type_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5000),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5000),
    [aux_sym_type_qualifier_token1] = ACTIONS(5000),
    [aux_sym_type_qualifier_token2] = ACTIONS(5000),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5000),
    [anon_sym_SEMI] = ACTIONS(5006),
    [aux_sym_stop_statement_token1] = ACTIONS(5000),
    [aux_sym_stop_statement_token2] = ACTIONS(5000),
    [aux_sym_subroutine_call_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token1] = ACTIONS(5000),
    [aux_sym_keyword_statement_token2] = ACTIONS(5000),
    [aux_sym_keyword_statement_token3] = ACTIONS(5000),
    [aux_sym_keyword_statement_token4] = ACTIONS(5000),
    [aux_sym_keyword_statement_token6] = ACTIONS(5000),
    [aux_sym_keyword_statement_token7] = ACTIONS(5000),
    [aux_sym_include_statement_token1] = ACTIONS(5000),
    [aux_sym_data_statement_token1] = ACTIONS(5000),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5000),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5000),
    [aux_sym_end_if_statement_token1] = ACTIONS(5000),
    [aux_sym_elseif_clause_token2] = ACTIONS(5000),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5000),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token1] = ACTIONS(5000),
    [aux_sym_select_case_statement_token3] = ACTIONS(5000),
    [aux_sym_select_type_statement_token1] = ACTIONS(5000),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5000),
    [aux_sym_block_construct_token1] = ACTIONS(5000),
    [aux_sym_associate_statement_token1] = ACTIONS(5000),
    [aux_sym_format_statement_token1] = ACTIONS(5000),
    [aux_sym_print_statement_token1] = ACTIONS(5000),
    [aux_sym_open_statement_token1] = ACTIONS(5000),
    [aux_sym_close_statement_token1] = ACTIONS(5000),
    [aux_sym_inquire_statement_token1] = ACTIONS(5000),
    [aux_sym_enum_statement_token1] = ACTIONS(5000),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token1] = ACTIONS(5000),
    [aux_sym_file_position_statement_token2] = ACTIONS(5000),
    [aux_sym_file_position_statement_token3] = ACTIONS(5000),
    [aux_sym_file_position_statement_token4] = ACTIONS(5000),
    [aux_sym_allocate_statement_token1] = ACTIONS(5000),
    [aux_sym_entry_statement_token1] = ACTIONS(5000),
    [aux_sym_logical_expression_token5] = ACTIONS(5006),
    [anon_sym_DOT] = ACTIONS(5000),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5006),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [aux_sym_boolean_literal_token1] = ACTIONS(5006),
    [aux_sym_boolean_literal_token2] = ACTIONS(5006),
    [aux_sym_null_literal_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_statement_token2] = ACTIONS(5000),
    [aux_sym_coarray_statement_token6] = ACTIONS(5000),
    [aux_sym_coarray_statement_token8] = ACTIONS(5000),
    [aux_sym_coarray_statement_token11] = ACTIONS(5000),
    [aux_sym_coarray_statement_token12] = ACTIONS(5000),
    [aux_sym_coarray_statement_token13] = ACTIONS(5000),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5000),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5000),
    [aux_sym_identifier_token1] = ACTIONS(5000),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5006),
    [sym__float_literal] = ACTIONS(5006),
    [sym__boz_literal] = ACTIONS(5006),
    [sym__string_literal] = ACTIONS(5006),
    [sym__string_literal_kind] = ACTIONS(5006),
  },
  [1568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5453),
    [aux_sym_preproc_def_token1] = ACTIONS(5453),
    [aux_sym_preproc_if_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5453),
    [sym_preproc_directive] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5453),
    [aux_sym_interface_statement_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5453),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5453),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5453),
    [aux_sym_language_binding_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5453),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5453),
    [aux_sym_end_function_statement_token1] = ACTIONS(5453),
    [aux_sym_contains_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token1] = ACTIONS(5453),
    [aux_sym_use_statement_token2] = ACTIONS(5453),
    [aux_sym_implicit_statement_token1] = ACTIONS(5453),
    [aux_sym_implicit_statement_token3] = ACTIONS(5453),
    [aux_sym_implicit_statement_token4] = ACTIONS(5453),
    [aux_sym_save_statement_token1] = ACTIONS(5453),
    [aux_sym_private_statement_token1] = ACTIONS(5453),
    [aux_sym_public_statement_token1] = ACTIONS(5453),
    [aux_sym_namelist_statement_token1] = ACTIONS(5453),
    [aux_sym_common_statement_token1] = ACTIONS(5453),
    [aux_sym_import_statement_token1] = ACTIONS(5453),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5453),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5453),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5453),
    [aux_sym_variable_attributes_token1] = ACTIONS(5453),
    [aux_sym_variable_attributes_token2] = ACTIONS(5453),
    [aux_sym_variable_attributes_token3] = ACTIONS(5453),
    [aux_sym_variable_attributes_token4] = ACTIONS(5453),
    [aux_sym_variable_attributes_token5] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5453),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5453),
    [aux_sym_derived_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token1] = ACTIONS(5453),
    [aux_sym_declared_type_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5453),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5453),
    [aux_sym_type_qualifier_token1] = ACTIONS(5453),
    [aux_sym_type_qualifier_token2] = ACTIONS(5453),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [aux_sym_stop_statement_token1] = ACTIONS(5453),
    [aux_sym_stop_statement_token2] = ACTIONS(5453),
    [aux_sym_subroutine_call_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token1] = ACTIONS(5453),
    [aux_sym_keyword_statement_token2] = ACTIONS(5453),
    [aux_sym_keyword_statement_token3] = ACTIONS(5453),
    [aux_sym_keyword_statement_token4] = ACTIONS(5453),
    [aux_sym_keyword_statement_token6] = ACTIONS(5453),
    [aux_sym_keyword_statement_token7] = ACTIONS(5453),
    [aux_sym_include_statement_token1] = ACTIONS(5453),
    [aux_sym_data_statement_token1] = ACTIONS(5453),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5453),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5453),
    [aux_sym_end_if_statement_token1] = ACTIONS(5453),
    [aux_sym_elseif_clause_token2] = ACTIONS(5453),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5453),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token1] = ACTIONS(5453),
    [aux_sym_select_case_statement_token3] = ACTIONS(5453),
    [aux_sym_select_type_statement_token1] = ACTIONS(5453),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5453),
    [aux_sym_block_construct_token1] = ACTIONS(5453),
    [aux_sym_associate_statement_token1] = ACTIONS(5453),
    [aux_sym_format_statement_token1] = ACTIONS(5453),
    [aux_sym_print_statement_token1] = ACTIONS(5453),
    [aux_sym_open_statement_token1] = ACTIONS(5453),
    [aux_sym_close_statement_token1] = ACTIONS(5453),
    [aux_sym_inquire_statement_token1] = ACTIONS(5453),
    [aux_sym_enum_statement_token1] = ACTIONS(5453),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token1] = ACTIONS(5453),
    [aux_sym_file_position_statement_token2] = ACTIONS(5453),
    [aux_sym_file_position_statement_token3] = ACTIONS(5453),
    [aux_sym_file_position_statement_token4] = ACTIONS(5453),
    [aux_sym_allocate_statement_token1] = ACTIONS(5453),
    [aux_sym_entry_statement_token1] = ACTIONS(5453),
    [aux_sym_logical_expression_token5] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [aux_sym_boolean_literal_token1] = ACTIONS(5455),
    [aux_sym_boolean_literal_token2] = ACTIONS(5455),
    [aux_sym_null_literal_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_statement_token2] = ACTIONS(5453),
    [aux_sym_coarray_statement_token6] = ACTIONS(5453),
    [aux_sym_coarray_statement_token8] = ACTIONS(5453),
    [aux_sym_coarray_statement_token11] = ACTIONS(5453),
    [aux_sym_coarray_statement_token12] = ACTIONS(5453),
    [aux_sym_coarray_statement_token13] = ACTIONS(5453),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5453),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5453),
    [aux_sym_identifier_token1] = ACTIONS(5453),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5455),
    [sym__float_literal] = ACTIONS(5455),
    [sym__boz_literal] = ACTIONS(5455),
    [sym__string_literal] = ACTIONS(5455),
    [sym__string_literal_kind] = ACTIONS(5455),
  },
  [1575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5473),
    [aux_sym_preproc_def_token1] = ACTIONS(5473),
    [aux_sym_preproc_if_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5473),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5473),
    [sym_preproc_directive] = ACTIONS(5473),
    [anon_sym_LPAREN2] = ACTIONS(5473),
    [anon_sym_PLUS] = ACTIONS(5475),
    [anon_sym_DASH] = ACTIONS(5475),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5473),
    [aux_sym_end_program_statement_token2] = ACTIONS(5473),
    [aux_sym_interface_statement_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5473),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5473),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5473),
    [aux_sym_language_binding_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5473),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5473),
    [aux_sym_contains_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token1] = ACTIONS(5473),
    [aux_sym_use_statement_token2] = ACTIONS(5473),
    [aux_sym_implicit_statement_token1] = ACTIONS(5473),
    [aux_sym_implicit_statement_token3] = ACTIONS(5473),
    [aux_sym_implicit_statement_token4] = ACTIONS(5473),
    [aux_sym_save_statement_token1] = ACTIONS(5473),
    [aux_sym_private_statement_token1] = ACTIONS(5473),
    [aux_sym_public_statement_token1] = ACTIONS(5473),
    [aux_sym_namelist_statement_token1] = ACTIONS(5473),
    [aux_sym_common_statement_token1] = ACTIONS(5473),
    [aux_sym_import_statement_token1] = ACTIONS(5473),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5473),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5473),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5473),
    [aux_sym_variable_attributes_token1] = ACTIONS(5473),
    [aux_sym_variable_attributes_token2] = ACTIONS(5473),
    [aux_sym_variable_attributes_token3] = ACTIONS(5473),
    [aux_sym_variable_attributes_token4] = ACTIONS(5473),
    [aux_sym_variable_attributes_token5] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5473),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5473),
    [aux_sym_derived_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token1] = ACTIONS(5473),
    [aux_sym_declared_type_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5473),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5473),
    [aux_sym_type_qualifier_token1] = ACTIONS(5473),
    [aux_sym_type_qualifier_token2] = ACTIONS(5473),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5473),
    [anon_sym_SEMI] = ACTIONS(5475),
    [aux_sym_stop_statement_token1] = ACTIONS(5473),
    [aux_sym_stop_statement_token2] = ACTIONS(5473),
    [aux_sym_subroutine_call_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token1] = ACTIONS(5473),
    [aux_sym_keyword_statement_token2] = ACTIONS(5473),
    [aux_sym_keyword_statement_token3] = ACTIONS(5473),
    [aux_sym_keyword_statement_token4] = ACTIONS(5473),
    [aux_sym_keyword_statement_token6] = ACTIONS(5473),
    [aux_sym_keyword_statement_token7] = ACTIONS(5473),
    [aux_sym_include_statement_token1] = ACTIONS(5473),
    [aux_sym_data_statement_token1] = ACTIONS(5473),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5473),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5473),
    [aux_sym_end_if_statement_token1] = ACTIONS(5473),
    [aux_sym_elseif_clause_token2] = ACTIONS(5473),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5473),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token1] = ACTIONS(5473),
    [aux_sym_select_case_statement_token3] = ACTIONS(5473),
    [aux_sym_select_type_statement_token1] = ACTIONS(5473),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5473),
    [aux_sym_block_construct_token1] = ACTIONS(5473),
    [aux_sym_associate_statement_token1] = ACTIONS(5473),
    [aux_sym_format_statement_token1] = ACTIONS(5473),
    [aux_sym_print_statement_token1] = ACTIONS(5473),
    [aux_sym_open_statement_token1] = ACTIONS(5473),
    [aux_sym_close_statement_token1] = ACTIONS(5473),
    [aux_sym_inquire_statement_token1] = ACTIONS(5473),
    [aux_sym_enum_statement_token1] = ACTIONS(5473),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token1] = ACTIONS(5473),
    [aux_sym_file_position_statement_token2] = ACTIONS(5473),
    [aux_sym_file_position_statement_token3] = ACTIONS(5473),
    [aux_sym_file_position_statement_token4] = ACTIONS(5473),
    [aux_sym_allocate_statement_token1] = ACTIONS(5473),
    [aux_sym_entry_statement_token1] = ACTIONS(5473),
    [aux_sym_logical_expression_token5] = ACTIONS(5475),
    [anon_sym_DOT] = ACTIONS(5473),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(5475),
    [aux_sym_boolean_literal_token1] = ACTIONS(5475),
    [aux_sym_boolean_literal_token2] = ACTIONS(5475),
    [aux_sym_null_literal_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_statement_token2] = ACTIONS(5473),
    [aux_sym_coarray_statement_token6] = ACTIONS(5473),
    [aux_sym_coarray_statement_token8] = ACTIONS(5473),
    [aux_sym_coarray_statement_token11] = ACTIONS(5473),
    [aux_sym_coarray_statement_token12] = ACTIONS(5473),
    [aux_sym_coarray_statement_token13] = ACTIONS(5473),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5473),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5473),
    [aux_sym_identifier_token1] = ACTIONS(5473),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5475),
    [sym__float_literal] = ACTIONS(5475),
    [sym__boz_literal] = ACTIONS(5475),
    [sym__string_literal] = ACTIONS(5475),
    [sym__string_literal_kind] = ACTIONS(5475),
  },
  [1576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_program_statement_token2] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1580] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_end_program_statement_token2] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1583] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_end_program_statement_token2] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4347),
    [aux_sym_preproc_def_token1] = ACTIONS(4347),
    [aux_sym_preproc_if_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4347),
    [sym_preproc_directive] = ACTIONS(4347),
    [anon_sym_LPAREN2] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4347),
    [aux_sym_interface_statement_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4347),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4347),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4347),
    [aux_sym_language_binding_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4347),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4347),
    [aux_sym_contains_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token1] = ACTIONS(4347),
    [aux_sym_use_statement_token2] = ACTIONS(4347),
    [aux_sym_implicit_statement_token1] = ACTIONS(4347),
    [aux_sym_implicit_statement_token3] = ACTIONS(4347),
    [aux_sym_implicit_statement_token4] = ACTIONS(4347),
    [aux_sym_save_statement_token1] = ACTIONS(4347),
    [aux_sym_private_statement_token1] = ACTIONS(4347),
    [aux_sym_public_statement_token1] = ACTIONS(4347),
    [aux_sym_namelist_statement_token1] = ACTIONS(4347),
    [aux_sym_common_statement_token1] = ACTIONS(4347),
    [aux_sym_import_statement_token1] = ACTIONS(4347),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4347),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4347),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4347),
    [aux_sym_variable_attributes_token1] = ACTIONS(4347),
    [aux_sym_variable_attributes_token2] = ACTIONS(4347),
    [aux_sym_variable_attributes_token3] = ACTIONS(4347),
    [aux_sym_variable_attributes_token4] = ACTIONS(4347),
    [aux_sym_variable_attributes_token5] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4347),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4347),
    [aux_sym_derived_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token1] = ACTIONS(4347),
    [aux_sym_declared_type_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4347),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4347),
    [aux_sym_type_qualifier_token1] = ACTIONS(4347),
    [aux_sym_type_qualifier_token2] = ACTIONS(4347),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4353),
    [aux_sym_stop_statement_token1] = ACTIONS(4347),
    [aux_sym_stop_statement_token2] = ACTIONS(4347),
    [aux_sym_subroutine_call_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token1] = ACTIONS(4347),
    [aux_sym_keyword_statement_token2] = ACTIONS(4347),
    [aux_sym_keyword_statement_token3] = ACTIONS(4347),
    [aux_sym_keyword_statement_token4] = ACTIONS(4347),
    [aux_sym_keyword_statement_token6] = ACTIONS(4347),
    [aux_sym_keyword_statement_token7] = ACTIONS(4347),
    [aux_sym_include_statement_token1] = ACTIONS(4347),
    [aux_sym_data_statement_token1] = ACTIONS(4347),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4347),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4347),
    [aux_sym_end_if_statement_token1] = ACTIONS(4347),
    [aux_sym_elseif_clause_token2] = ACTIONS(4347),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4347),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token1] = ACTIONS(4347),
    [aux_sym_select_case_statement_token3] = ACTIONS(4347),
    [aux_sym_select_type_statement_token1] = ACTIONS(4347),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4347),
    [aux_sym_block_construct_token1] = ACTIONS(4347),
    [aux_sym_associate_statement_token1] = ACTIONS(4347),
    [aux_sym_format_statement_token1] = ACTIONS(4347),
    [aux_sym_print_statement_token1] = ACTIONS(4347),
    [aux_sym_open_statement_token1] = ACTIONS(4347),
    [aux_sym_close_statement_token1] = ACTIONS(4347),
    [aux_sym_inquire_statement_token1] = ACTIONS(4347),
    [aux_sym_enum_statement_token1] = ACTIONS(4347),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token1] = ACTIONS(4347),
    [aux_sym_file_position_statement_token2] = ACTIONS(4347),
    [aux_sym_file_position_statement_token3] = ACTIONS(4347),
    [aux_sym_file_position_statement_token4] = ACTIONS(4347),
    [aux_sym_allocate_statement_token1] = ACTIONS(4347),
    [aux_sym_entry_statement_token1] = ACTIONS(4347),
    [aux_sym_logical_expression_token5] = ACTIONS(4353),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4353),
    [anon_sym_LBRACK] = ACTIONS(4353),
    [aux_sym_boolean_literal_token1] = ACTIONS(4353),
    [aux_sym_boolean_literal_token2] = ACTIONS(4353),
    [aux_sym_null_literal_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_statement_token2] = ACTIONS(4347),
    [aux_sym_coarray_statement_token6] = ACTIONS(4347),
    [aux_sym_coarray_statement_token8] = ACTIONS(4347),
    [aux_sym_coarray_statement_token11] = ACTIONS(4347),
    [aux_sym_coarray_statement_token12] = ACTIONS(4347),
    [aux_sym_coarray_statement_token13] = ACTIONS(4347),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4347),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4347),
    [aux_sym_identifier_token1] = ACTIONS(4347),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4353),
    [sym__float_literal] = ACTIONS(4353),
    [sym__boz_literal] = ACTIONS(4353),
    [sym__string_literal] = ACTIONS(4353),
    [sym__string_literal_kind] = ACTIONS(4353),
  },
  [1585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5465),
    [aux_sym_preproc_def_token1] = ACTIONS(5465),
    [aux_sym_preproc_if_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5465),
    [sym_preproc_directive] = ACTIONS(5465),
    [anon_sym_LPAREN2] = ACTIONS(5465),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5465),
    [aux_sym_interface_statement_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5465),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5465),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5465),
    [aux_sym_language_binding_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5465),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5465),
    [aux_sym_end_function_statement_token1] = ACTIONS(5465),
    [aux_sym_contains_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token1] = ACTIONS(5465),
    [aux_sym_use_statement_token2] = ACTIONS(5465),
    [aux_sym_implicit_statement_token1] = ACTIONS(5465),
    [aux_sym_implicit_statement_token3] = ACTIONS(5465),
    [aux_sym_implicit_statement_token4] = ACTIONS(5465),
    [aux_sym_save_statement_token1] = ACTIONS(5465),
    [aux_sym_private_statement_token1] = ACTIONS(5465),
    [aux_sym_public_statement_token1] = ACTIONS(5465),
    [aux_sym_namelist_statement_token1] = ACTIONS(5465),
    [aux_sym_common_statement_token1] = ACTIONS(5465),
    [aux_sym_import_statement_token1] = ACTIONS(5465),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5465),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5465),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5465),
    [aux_sym_variable_attributes_token1] = ACTIONS(5465),
    [aux_sym_variable_attributes_token2] = ACTIONS(5465),
    [aux_sym_variable_attributes_token3] = ACTIONS(5465),
    [aux_sym_variable_attributes_token4] = ACTIONS(5465),
    [aux_sym_variable_attributes_token5] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5465),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5465),
    [aux_sym_derived_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token1] = ACTIONS(5465),
    [aux_sym_declared_type_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5465),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5465),
    [aux_sym_type_qualifier_token1] = ACTIONS(5465),
    [aux_sym_type_qualifier_token2] = ACTIONS(5465),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5465),
    [anon_sym_SEMI] = ACTIONS(5467),
    [aux_sym_stop_statement_token1] = ACTIONS(5465),
    [aux_sym_stop_statement_token2] = ACTIONS(5465),
    [aux_sym_subroutine_call_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token1] = ACTIONS(5465),
    [aux_sym_keyword_statement_token2] = ACTIONS(5465),
    [aux_sym_keyword_statement_token3] = ACTIONS(5465),
    [aux_sym_keyword_statement_token4] = ACTIONS(5465),
    [aux_sym_keyword_statement_token6] = ACTIONS(5465),
    [aux_sym_keyword_statement_token7] = ACTIONS(5465),
    [aux_sym_include_statement_token1] = ACTIONS(5465),
    [aux_sym_data_statement_token1] = ACTIONS(5465),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5465),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5465),
    [aux_sym_end_if_statement_token1] = ACTIONS(5465),
    [aux_sym_elseif_clause_token2] = ACTIONS(5465),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5465),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token1] = ACTIONS(5465),
    [aux_sym_select_case_statement_token3] = ACTIONS(5465),
    [aux_sym_select_type_statement_token1] = ACTIONS(5465),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5465),
    [aux_sym_block_construct_token1] = ACTIONS(5465),
    [aux_sym_associate_statement_token1] = ACTIONS(5465),
    [aux_sym_format_statement_token1] = ACTIONS(5465),
    [aux_sym_print_statement_token1] = ACTIONS(5465),
    [aux_sym_open_statement_token1] = ACTIONS(5465),
    [aux_sym_close_statement_token1] = ACTIONS(5465),
    [aux_sym_inquire_statement_token1] = ACTIONS(5465),
    [aux_sym_enum_statement_token1] = ACTIONS(5465),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token1] = ACTIONS(5465),
    [aux_sym_file_position_statement_token2] = ACTIONS(5465),
    [aux_sym_file_position_statement_token3] = ACTIONS(5465),
    [aux_sym_file_position_statement_token4] = ACTIONS(5465),
    [aux_sym_allocate_statement_token1] = ACTIONS(5465),
    [aux_sym_entry_statement_token1] = ACTIONS(5465),
    [aux_sym_logical_expression_token5] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [aux_sym_boolean_literal_token1] = ACTIONS(5467),
    [aux_sym_boolean_literal_token2] = ACTIONS(5467),
    [aux_sym_null_literal_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_statement_token2] = ACTIONS(5465),
    [aux_sym_coarray_statement_token6] = ACTIONS(5465),
    [aux_sym_coarray_statement_token8] = ACTIONS(5465),
    [aux_sym_coarray_statement_token11] = ACTIONS(5465),
    [aux_sym_coarray_statement_token12] = ACTIONS(5465),
    [aux_sym_coarray_statement_token13] = ACTIONS(5465),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5465),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5465),
    [aux_sym_identifier_token1] = ACTIONS(5465),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5467),
    [sym__float_literal] = ACTIONS(5467),
    [sym__boz_literal] = ACTIONS(5467),
    [sym__string_literal] = ACTIONS(5467),
    [sym__string_literal_kind] = ACTIONS(5467),
  },
  [1586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5481),
    [aux_sym_preproc_def_token1] = ACTIONS(5481),
    [aux_sym_preproc_if_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5481),
    [sym_preproc_directive] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_PLUS] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5483),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5481),
    [aux_sym_interface_statement_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5481),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5481),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5481),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5481),
    [aux_sym_language_binding_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5481),
    [aux_sym_contains_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token1] = ACTIONS(5481),
    [aux_sym_use_statement_token2] = ACTIONS(5481),
    [aux_sym_implicit_statement_token1] = ACTIONS(5481),
    [aux_sym_implicit_statement_token3] = ACTIONS(5481),
    [aux_sym_implicit_statement_token4] = ACTIONS(5481),
    [aux_sym_save_statement_token1] = ACTIONS(5481),
    [aux_sym_private_statement_token1] = ACTIONS(5481),
    [aux_sym_public_statement_token1] = ACTIONS(5481),
    [aux_sym_namelist_statement_token1] = ACTIONS(5481),
    [aux_sym_common_statement_token1] = ACTIONS(5481),
    [aux_sym_import_statement_token1] = ACTIONS(5481),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5481),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5481),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5481),
    [aux_sym_variable_attributes_token1] = ACTIONS(5481),
    [aux_sym_variable_attributes_token2] = ACTIONS(5481),
    [aux_sym_variable_attributes_token3] = ACTIONS(5481),
    [aux_sym_variable_attributes_token4] = ACTIONS(5481),
    [aux_sym_variable_attributes_token5] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5481),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5481),
    [aux_sym_derived_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token1] = ACTIONS(5481),
    [aux_sym_declared_type_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5481),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5481),
    [aux_sym_type_qualifier_token1] = ACTIONS(5481),
    [aux_sym_type_qualifier_token2] = ACTIONS(5481),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5481),
    [anon_sym_SEMI] = ACTIONS(5483),
    [aux_sym_stop_statement_token1] = ACTIONS(5481),
    [aux_sym_stop_statement_token2] = ACTIONS(5481),
    [aux_sym_subroutine_call_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token1] = ACTIONS(5481),
    [aux_sym_keyword_statement_token2] = ACTIONS(5481),
    [aux_sym_keyword_statement_token3] = ACTIONS(5481),
    [aux_sym_keyword_statement_token4] = ACTIONS(5481),
    [aux_sym_keyword_statement_token6] = ACTIONS(5481),
    [aux_sym_keyword_statement_token7] = ACTIONS(5481),
    [aux_sym_include_statement_token1] = ACTIONS(5481),
    [aux_sym_data_statement_token1] = ACTIONS(5481),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5481),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5481),
    [aux_sym_end_if_statement_token1] = ACTIONS(5481),
    [aux_sym_elseif_clause_token2] = ACTIONS(5481),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5481),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token1] = ACTIONS(5481),
    [aux_sym_select_case_statement_token3] = ACTIONS(5481),
    [aux_sym_select_type_statement_token1] = ACTIONS(5481),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5481),
    [aux_sym_block_construct_token1] = ACTIONS(5481),
    [aux_sym_associate_statement_token1] = ACTIONS(5481),
    [aux_sym_format_statement_token1] = ACTIONS(5481),
    [aux_sym_print_statement_token1] = ACTIONS(5481),
    [aux_sym_open_statement_token1] = ACTIONS(5481),
    [aux_sym_close_statement_token1] = ACTIONS(5481),
    [aux_sym_inquire_statement_token1] = ACTIONS(5481),
    [aux_sym_enum_statement_token1] = ACTIONS(5481),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token1] = ACTIONS(5481),
    [aux_sym_file_position_statement_token2] = ACTIONS(5481),
    [aux_sym_file_position_statement_token3] = ACTIONS(5481),
    [aux_sym_file_position_statement_token4] = ACTIONS(5481),
    [aux_sym_allocate_statement_token1] = ACTIONS(5481),
    [aux_sym_entry_statement_token1] = ACTIONS(5481),
    [aux_sym_logical_expression_token5] = ACTIONS(5483),
    [anon_sym_DOT] = ACTIONS(5481),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5483),
    [aux_sym_boolean_literal_token1] = ACTIONS(5483),
    [aux_sym_boolean_literal_token2] = ACTIONS(5483),
    [aux_sym_null_literal_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_statement_token2] = ACTIONS(5481),
    [aux_sym_coarray_statement_token6] = ACTIONS(5481),
    [aux_sym_coarray_statement_token8] = ACTIONS(5481),
    [aux_sym_coarray_statement_token11] = ACTIONS(5481),
    [aux_sym_coarray_statement_token12] = ACTIONS(5481),
    [aux_sym_coarray_statement_token13] = ACTIONS(5481),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5481),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5481),
    [aux_sym_identifier_token1] = ACTIONS(5481),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5483),
    [sym__float_literal] = ACTIONS(5483),
    [sym__boz_literal] = ACTIONS(5483),
    [sym__string_literal] = ACTIONS(5483),
    [sym__string_literal_kind] = ACTIONS(5483),
  },
  [1587] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5441),
    [aux_sym_preproc_def_token1] = ACTIONS(5441),
    [aux_sym_preproc_if_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5441),
    [sym_preproc_directive] = ACTIONS(5441),
    [anon_sym_LPAREN2] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5443),
    [anon_sym_DASH] = ACTIONS(5443),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5441),
    [aux_sym_interface_statement_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5441),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5441),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5441),
    [aux_sym_language_binding_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5441),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5441),
    [aux_sym_end_function_statement_token1] = ACTIONS(5441),
    [aux_sym_contains_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token1] = ACTIONS(5441),
    [aux_sym_use_statement_token2] = ACTIONS(5441),
    [aux_sym_implicit_statement_token1] = ACTIONS(5441),
    [aux_sym_implicit_statement_token3] = ACTIONS(5441),
    [aux_sym_implicit_statement_token4] = ACTIONS(5441),
    [aux_sym_save_statement_token1] = ACTIONS(5441),
    [aux_sym_private_statement_token1] = ACTIONS(5441),
    [aux_sym_public_statement_token1] = ACTIONS(5441),
    [aux_sym_namelist_statement_token1] = ACTIONS(5441),
    [aux_sym_common_statement_token1] = ACTIONS(5441),
    [aux_sym_import_statement_token1] = ACTIONS(5441),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5441),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5441),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5441),
    [aux_sym_variable_attributes_token1] = ACTIONS(5441),
    [aux_sym_variable_attributes_token2] = ACTIONS(5441),
    [aux_sym_variable_attributes_token3] = ACTIONS(5441),
    [aux_sym_variable_attributes_token4] = ACTIONS(5441),
    [aux_sym_variable_attributes_token5] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5441),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5441),
    [aux_sym_derived_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token1] = ACTIONS(5441),
    [aux_sym_declared_type_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5441),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5441),
    [aux_sym_type_qualifier_token1] = ACTIONS(5441),
    [aux_sym_type_qualifier_token2] = ACTIONS(5441),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5443),
    [aux_sym_stop_statement_token1] = ACTIONS(5441),
    [aux_sym_stop_statement_token2] = ACTIONS(5441),
    [aux_sym_subroutine_call_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token1] = ACTIONS(5441),
    [aux_sym_keyword_statement_token2] = ACTIONS(5441),
    [aux_sym_keyword_statement_token3] = ACTIONS(5441),
    [aux_sym_keyword_statement_token4] = ACTIONS(5441),
    [aux_sym_keyword_statement_token6] = ACTIONS(5441),
    [aux_sym_keyword_statement_token7] = ACTIONS(5441),
    [aux_sym_include_statement_token1] = ACTIONS(5441),
    [aux_sym_data_statement_token1] = ACTIONS(5441),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5441),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5441),
    [aux_sym_end_if_statement_token1] = ACTIONS(5441),
    [aux_sym_elseif_clause_token2] = ACTIONS(5441),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5441),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token1] = ACTIONS(5441),
    [aux_sym_select_case_statement_token3] = ACTIONS(5441),
    [aux_sym_select_type_statement_token1] = ACTIONS(5441),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5441),
    [aux_sym_block_construct_token1] = ACTIONS(5441),
    [aux_sym_associate_statement_token1] = ACTIONS(5441),
    [aux_sym_format_statement_token1] = ACTIONS(5441),
    [aux_sym_print_statement_token1] = ACTIONS(5441),
    [aux_sym_open_statement_token1] = ACTIONS(5441),
    [aux_sym_close_statement_token1] = ACTIONS(5441),
    [aux_sym_inquire_statement_token1] = ACTIONS(5441),
    [aux_sym_enum_statement_token1] = ACTIONS(5441),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token1] = ACTIONS(5441),
    [aux_sym_file_position_statement_token2] = ACTIONS(5441),
    [aux_sym_file_position_statement_token3] = ACTIONS(5441),
    [aux_sym_file_position_statement_token4] = ACTIONS(5441),
    [aux_sym_allocate_statement_token1] = ACTIONS(5441),
    [aux_sym_entry_statement_token1] = ACTIONS(5441),
    [aux_sym_logical_expression_token5] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [aux_sym_boolean_literal_token1] = ACTIONS(5443),
    [aux_sym_boolean_literal_token2] = ACTIONS(5443),
    [aux_sym_null_literal_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_statement_token2] = ACTIONS(5441),
    [aux_sym_coarray_statement_token6] = ACTIONS(5441),
    [aux_sym_coarray_statement_token8] = ACTIONS(5441),
    [aux_sym_coarray_statement_token11] = ACTIONS(5441),
    [aux_sym_coarray_statement_token12] = ACTIONS(5441),
    [aux_sym_coarray_statement_token13] = ACTIONS(5441),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5441),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5441),
    [aux_sym_identifier_token1] = ACTIONS(5441),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5443),
    [sym__float_literal] = ACTIONS(5443),
    [sym__boz_literal] = ACTIONS(5443),
    [sym__string_literal] = ACTIONS(5443),
    [sym__string_literal_kind] = ACTIONS(5443),
  },
  [1588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4497),
    [aux_sym_preproc_def_token1] = ACTIONS(4497),
    [aux_sym_preproc_if_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4497),
    [sym_preproc_directive] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4501),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4497),
    [aux_sym_interface_statement_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4497),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4497),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4497),
    [aux_sym_language_binding_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4497),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4497),
    [aux_sym_end_function_statement_token1] = ACTIONS(4497),
    [aux_sym_contains_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token1] = ACTIONS(4497),
    [aux_sym_use_statement_token2] = ACTIONS(4497),
    [aux_sym_implicit_statement_token1] = ACTIONS(4497),
    [aux_sym_implicit_statement_token3] = ACTIONS(4497),
    [aux_sym_implicit_statement_token4] = ACTIONS(4497),
    [aux_sym_save_statement_token1] = ACTIONS(4497),
    [aux_sym_private_statement_token1] = ACTIONS(4497),
    [aux_sym_public_statement_token1] = ACTIONS(4497),
    [aux_sym_namelist_statement_token1] = ACTIONS(4497),
    [aux_sym_common_statement_token1] = ACTIONS(4497),
    [aux_sym_import_statement_token1] = ACTIONS(4497),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4497),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4497),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4497),
    [aux_sym_variable_attributes_token1] = ACTIONS(4497),
    [aux_sym_variable_attributes_token2] = ACTIONS(4497),
    [aux_sym_variable_attributes_token3] = ACTIONS(4497),
    [aux_sym_variable_attributes_token4] = ACTIONS(4497),
    [aux_sym_variable_attributes_token5] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4497),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4497),
    [aux_sym_derived_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token1] = ACTIONS(4497),
    [aux_sym_declared_type_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4497),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4497),
    [aux_sym_type_qualifier_token1] = ACTIONS(4497),
    [aux_sym_type_qualifier_token2] = ACTIONS(4497),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4501),
    [aux_sym_stop_statement_token1] = ACTIONS(4497),
    [aux_sym_stop_statement_token2] = ACTIONS(4497),
    [aux_sym_subroutine_call_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token1] = ACTIONS(4497),
    [aux_sym_keyword_statement_token2] = ACTIONS(4497),
    [aux_sym_keyword_statement_token3] = ACTIONS(4497),
    [aux_sym_keyword_statement_token4] = ACTIONS(4497),
    [aux_sym_keyword_statement_token6] = ACTIONS(4497),
    [aux_sym_keyword_statement_token7] = ACTIONS(4497),
    [aux_sym_include_statement_token1] = ACTIONS(4497),
    [aux_sym_data_statement_token1] = ACTIONS(4497),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4497),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4497),
    [aux_sym_end_if_statement_token1] = ACTIONS(4497),
    [aux_sym_elseif_clause_token2] = ACTIONS(4497),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4497),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token1] = ACTIONS(4497),
    [aux_sym_select_case_statement_token3] = ACTIONS(4497),
    [aux_sym_select_type_statement_token1] = ACTIONS(4497),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4497),
    [aux_sym_block_construct_token1] = ACTIONS(4497),
    [aux_sym_associate_statement_token1] = ACTIONS(4497),
    [aux_sym_format_statement_token1] = ACTIONS(4497),
    [aux_sym_print_statement_token1] = ACTIONS(4497),
    [aux_sym_open_statement_token1] = ACTIONS(4497),
    [aux_sym_close_statement_token1] = ACTIONS(4497),
    [aux_sym_inquire_statement_token1] = ACTIONS(4497),
    [aux_sym_enum_statement_token1] = ACTIONS(4497),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token1] = ACTIONS(4497),
    [aux_sym_file_position_statement_token2] = ACTIONS(4497),
    [aux_sym_file_position_statement_token3] = ACTIONS(4497),
    [aux_sym_file_position_statement_token4] = ACTIONS(4497),
    [aux_sym_allocate_statement_token1] = ACTIONS(4497),
    [aux_sym_entry_statement_token1] = ACTIONS(4497),
    [aux_sym_logical_expression_token5] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4497),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [aux_sym_boolean_literal_token1] = ACTIONS(4501),
    [aux_sym_boolean_literal_token2] = ACTIONS(4501),
    [aux_sym_null_literal_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_statement_token2] = ACTIONS(4497),
    [aux_sym_coarray_statement_token6] = ACTIONS(4497),
    [aux_sym_coarray_statement_token8] = ACTIONS(4497),
    [aux_sym_coarray_statement_token11] = ACTIONS(4497),
    [aux_sym_coarray_statement_token12] = ACTIONS(4497),
    [aux_sym_coarray_statement_token13] = ACTIONS(4497),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4497),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4497),
    [aux_sym_identifier_token1] = ACTIONS(4497),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4501),
    [sym__float_literal] = ACTIONS(4501),
    [sym__boz_literal] = ACTIONS(4501),
    [sym__string_literal] = ACTIONS(4501),
    [sym__string_literal_kind] = ACTIONS(4501),
  },
  [1589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5457),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5457),
    [aux_sym_interface_statement_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5457),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5457),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5457),
    [aux_sym_language_binding_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5457),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5457),
    [aux_sym_end_function_statement_token1] = ACTIONS(5457),
    [aux_sym_contains_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token1] = ACTIONS(5457),
    [aux_sym_use_statement_token2] = ACTIONS(5457),
    [aux_sym_implicit_statement_token1] = ACTIONS(5457),
    [aux_sym_implicit_statement_token3] = ACTIONS(5457),
    [aux_sym_implicit_statement_token4] = ACTIONS(5457),
    [aux_sym_save_statement_token1] = ACTIONS(5457),
    [aux_sym_private_statement_token1] = ACTIONS(5457),
    [aux_sym_public_statement_token1] = ACTIONS(5457),
    [aux_sym_namelist_statement_token1] = ACTIONS(5457),
    [aux_sym_common_statement_token1] = ACTIONS(5457),
    [aux_sym_import_statement_token1] = ACTIONS(5457),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5457),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5457),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5457),
    [aux_sym_variable_attributes_token1] = ACTIONS(5457),
    [aux_sym_variable_attributes_token2] = ACTIONS(5457),
    [aux_sym_variable_attributes_token3] = ACTIONS(5457),
    [aux_sym_variable_attributes_token4] = ACTIONS(5457),
    [aux_sym_variable_attributes_token5] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5457),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5457),
    [aux_sym_derived_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token1] = ACTIONS(5457),
    [aux_sym_declared_type_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5457),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5457),
    [aux_sym_type_qualifier_token1] = ACTIONS(5457),
    [aux_sym_type_qualifier_token2] = ACTIONS(5457),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5457),
    [anon_sym_SEMI] = ACTIONS(5459),
    [aux_sym_stop_statement_token1] = ACTIONS(5457),
    [aux_sym_stop_statement_token2] = ACTIONS(5457),
    [aux_sym_subroutine_call_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token1] = ACTIONS(5457),
    [aux_sym_keyword_statement_token2] = ACTIONS(5457),
    [aux_sym_keyword_statement_token3] = ACTIONS(5457),
    [aux_sym_keyword_statement_token4] = ACTIONS(5457),
    [aux_sym_keyword_statement_token6] = ACTIONS(5457),
    [aux_sym_keyword_statement_token7] = ACTIONS(5457),
    [aux_sym_include_statement_token1] = ACTIONS(5457),
    [aux_sym_data_statement_token1] = ACTIONS(5457),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5457),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5457),
    [aux_sym_end_if_statement_token1] = ACTIONS(5457),
    [aux_sym_elseif_clause_token2] = ACTIONS(5457),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5457),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token1] = ACTIONS(5457),
    [aux_sym_select_case_statement_token3] = ACTIONS(5457),
    [aux_sym_select_type_statement_token1] = ACTIONS(5457),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5457),
    [aux_sym_block_construct_token1] = ACTIONS(5457),
    [aux_sym_associate_statement_token1] = ACTIONS(5457),
    [aux_sym_format_statement_token1] = ACTIONS(5457),
    [aux_sym_print_statement_token1] = ACTIONS(5457),
    [aux_sym_open_statement_token1] = ACTIONS(5457),
    [aux_sym_close_statement_token1] = ACTIONS(5457),
    [aux_sym_inquire_statement_token1] = ACTIONS(5457),
    [aux_sym_enum_statement_token1] = ACTIONS(5457),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token1] = ACTIONS(5457),
    [aux_sym_file_position_statement_token2] = ACTIONS(5457),
    [aux_sym_file_position_statement_token3] = ACTIONS(5457),
    [aux_sym_file_position_statement_token4] = ACTIONS(5457),
    [aux_sym_allocate_statement_token1] = ACTIONS(5457),
    [aux_sym_entry_statement_token1] = ACTIONS(5457),
    [aux_sym_logical_expression_token5] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5457),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [aux_sym_boolean_literal_token1] = ACTIONS(5459),
    [aux_sym_boolean_literal_token2] = ACTIONS(5459),
    [aux_sym_null_literal_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_statement_token2] = ACTIONS(5457),
    [aux_sym_coarray_statement_token6] = ACTIONS(5457),
    [aux_sym_coarray_statement_token8] = ACTIONS(5457),
    [aux_sym_coarray_statement_token11] = ACTIONS(5457),
    [aux_sym_coarray_statement_token12] = ACTIONS(5457),
    [aux_sym_coarray_statement_token13] = ACTIONS(5457),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5457),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5457),
    [aux_sym_identifier_token1] = ACTIONS(5457),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5459),
    [sym__float_literal] = ACTIONS(5459),
    [sym__boz_literal] = ACTIONS(5459),
    [sym__string_literal] = ACTIONS(5459),
    [sym__string_literal_kind] = ACTIONS(5459),
  },
  [1591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_end_program_statement_token2] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1595] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_end_program_statement_token2] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4315),
    [aux_sym_preproc_def_token1] = ACTIONS(4315),
    [aux_sym_preproc_if_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4315),
    [sym_preproc_directive] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(4315),
    [anon_sym_PLUS] = ACTIONS(4321),
    [anon_sym_DASH] = ACTIONS(4321),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4315),
    [aux_sym_interface_statement_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4315),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4315),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4315),
    [aux_sym_language_binding_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4315),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4315),
    [aux_sym_end_function_statement_token1] = ACTIONS(4315),
    [aux_sym_contains_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token1] = ACTIONS(4315),
    [aux_sym_use_statement_token2] = ACTIONS(4315),
    [aux_sym_implicit_statement_token1] = ACTIONS(4315),
    [aux_sym_implicit_statement_token3] = ACTIONS(4315),
    [aux_sym_implicit_statement_token4] = ACTIONS(4315),
    [aux_sym_save_statement_token1] = ACTIONS(4315),
    [aux_sym_private_statement_token1] = ACTIONS(4315),
    [aux_sym_public_statement_token1] = ACTIONS(4315),
    [aux_sym_namelist_statement_token1] = ACTIONS(4315),
    [aux_sym_common_statement_token1] = ACTIONS(4315),
    [aux_sym_import_statement_token1] = ACTIONS(4315),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4315),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4315),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4315),
    [aux_sym_variable_attributes_token1] = ACTIONS(4315),
    [aux_sym_variable_attributes_token2] = ACTIONS(4315),
    [aux_sym_variable_attributes_token3] = ACTIONS(4315),
    [aux_sym_variable_attributes_token4] = ACTIONS(4315),
    [aux_sym_variable_attributes_token5] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4315),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4315),
    [aux_sym_derived_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token1] = ACTIONS(4315),
    [aux_sym_declared_type_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4315),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4315),
    [aux_sym_type_qualifier_token1] = ACTIONS(4315),
    [aux_sym_type_qualifier_token2] = ACTIONS(4315),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4315),
    [anon_sym_SEMI] = ACTIONS(4321),
    [aux_sym_stop_statement_token1] = ACTIONS(4315),
    [aux_sym_stop_statement_token2] = ACTIONS(4315),
    [aux_sym_subroutine_call_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token1] = ACTIONS(4315),
    [aux_sym_keyword_statement_token2] = ACTIONS(4315),
    [aux_sym_keyword_statement_token3] = ACTIONS(4315),
    [aux_sym_keyword_statement_token4] = ACTIONS(4315),
    [aux_sym_keyword_statement_token6] = ACTIONS(4315),
    [aux_sym_keyword_statement_token7] = ACTIONS(4315),
    [aux_sym_include_statement_token1] = ACTIONS(4315),
    [aux_sym_data_statement_token1] = ACTIONS(4315),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4315),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4315),
    [aux_sym_end_if_statement_token1] = ACTIONS(4315),
    [aux_sym_elseif_clause_token2] = ACTIONS(4315),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4315),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token1] = ACTIONS(4315),
    [aux_sym_select_case_statement_token3] = ACTIONS(4315),
    [aux_sym_select_type_statement_token1] = ACTIONS(4315),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4315),
    [aux_sym_block_construct_token1] = ACTIONS(4315),
    [aux_sym_associate_statement_token1] = ACTIONS(4315),
    [aux_sym_format_statement_token1] = ACTIONS(4315),
    [aux_sym_print_statement_token1] = ACTIONS(4315),
    [aux_sym_open_statement_token1] = ACTIONS(4315),
    [aux_sym_close_statement_token1] = ACTIONS(4315),
    [aux_sym_inquire_statement_token1] = ACTIONS(4315),
    [aux_sym_enum_statement_token1] = ACTIONS(4315),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token1] = ACTIONS(4315),
    [aux_sym_file_position_statement_token2] = ACTIONS(4315),
    [aux_sym_file_position_statement_token3] = ACTIONS(4315),
    [aux_sym_file_position_statement_token4] = ACTIONS(4315),
    [aux_sym_allocate_statement_token1] = ACTIONS(4315),
    [aux_sym_entry_statement_token1] = ACTIONS(4315),
    [aux_sym_logical_expression_token5] = ACTIONS(4321),
    [anon_sym_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(4321),
    [aux_sym_boolean_literal_token1] = ACTIONS(4321),
    [aux_sym_boolean_literal_token2] = ACTIONS(4321),
    [aux_sym_null_literal_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_statement_token2] = ACTIONS(4315),
    [aux_sym_coarray_statement_token6] = ACTIONS(4315),
    [aux_sym_coarray_statement_token8] = ACTIONS(4315),
    [aux_sym_coarray_statement_token11] = ACTIONS(4315),
    [aux_sym_coarray_statement_token12] = ACTIONS(4315),
    [aux_sym_coarray_statement_token13] = ACTIONS(4315),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4315),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4315),
    [aux_sym_identifier_token1] = ACTIONS(4315),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4321),
    [sym__float_literal] = ACTIONS(4321),
    [sym__boz_literal] = ACTIONS(4321),
    [sym__string_literal] = ACTIONS(4321),
    [sym__string_literal_kind] = ACTIONS(4321),
  },
  [1602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_end_program_statement_token2] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_end_function_statement_token1] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_LPAREN2] = ACTIONS(5433),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5433),
    [aux_sym_interface_statement_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5433),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5433),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5433),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5433),
    [aux_sym_language_binding_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5433),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5433),
    [aux_sym_contains_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token1] = ACTIONS(5433),
    [aux_sym_use_statement_token2] = ACTIONS(5433),
    [aux_sym_implicit_statement_token1] = ACTIONS(5433),
    [aux_sym_implicit_statement_token3] = ACTIONS(5433),
    [aux_sym_implicit_statement_token4] = ACTIONS(5433),
    [aux_sym_save_statement_token1] = ACTIONS(5433),
    [aux_sym_private_statement_token1] = ACTIONS(5433),
    [aux_sym_public_statement_token1] = ACTIONS(5433),
    [aux_sym_namelist_statement_token1] = ACTIONS(5433),
    [aux_sym_common_statement_token1] = ACTIONS(5433),
    [aux_sym_import_statement_token1] = ACTIONS(5433),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5433),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5433),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5433),
    [aux_sym_variable_attributes_token1] = ACTIONS(5433),
    [aux_sym_variable_attributes_token2] = ACTIONS(5433),
    [aux_sym_variable_attributes_token3] = ACTIONS(5433),
    [aux_sym_variable_attributes_token4] = ACTIONS(5433),
    [aux_sym_variable_attributes_token5] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5433),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5433),
    [aux_sym_derived_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token1] = ACTIONS(5433),
    [aux_sym_declared_type_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5433),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5433),
    [aux_sym_type_qualifier_token1] = ACTIONS(5433),
    [aux_sym_type_qualifier_token2] = ACTIONS(5433),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5433),
    [anon_sym_SEMI] = ACTIONS(5435),
    [aux_sym_stop_statement_token1] = ACTIONS(5433),
    [aux_sym_stop_statement_token2] = ACTIONS(5433),
    [aux_sym_subroutine_call_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token1] = ACTIONS(5433),
    [aux_sym_keyword_statement_token2] = ACTIONS(5433),
    [aux_sym_keyword_statement_token3] = ACTIONS(5433),
    [aux_sym_keyword_statement_token4] = ACTIONS(5433),
    [aux_sym_keyword_statement_token6] = ACTIONS(5433),
    [aux_sym_keyword_statement_token7] = ACTIONS(5433),
    [aux_sym_include_statement_token1] = ACTIONS(5433),
    [aux_sym_data_statement_token1] = ACTIONS(5433),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5433),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5433),
    [aux_sym_end_if_statement_token1] = ACTIONS(5433),
    [aux_sym_elseif_clause_token2] = ACTIONS(5433),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5433),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token1] = ACTIONS(5433),
    [aux_sym_select_case_statement_token3] = ACTIONS(5433),
    [aux_sym_select_type_statement_token1] = ACTIONS(5433),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5433),
    [aux_sym_block_construct_token1] = ACTIONS(5433),
    [aux_sym_associate_statement_token1] = ACTIONS(5433),
    [aux_sym_format_statement_token1] = ACTIONS(5433),
    [aux_sym_print_statement_token1] = ACTIONS(5433),
    [aux_sym_open_statement_token1] = ACTIONS(5433),
    [aux_sym_close_statement_token1] = ACTIONS(5433),
    [aux_sym_inquire_statement_token1] = ACTIONS(5433),
    [aux_sym_enum_statement_token1] = ACTIONS(5433),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token1] = ACTIONS(5433),
    [aux_sym_file_position_statement_token2] = ACTIONS(5433),
    [aux_sym_file_position_statement_token3] = ACTIONS(5433),
    [aux_sym_file_position_statement_token4] = ACTIONS(5433),
    [aux_sym_allocate_statement_token1] = ACTIONS(5433),
    [aux_sym_entry_statement_token1] = ACTIONS(5433),
    [aux_sym_logical_expression_token5] = ACTIONS(5435),
    [anon_sym_DOT] = ACTIONS(5433),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5435),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [aux_sym_boolean_literal_token1] = ACTIONS(5435),
    [aux_sym_boolean_literal_token2] = ACTIONS(5435),
    [aux_sym_null_literal_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_statement_token2] = ACTIONS(5433),
    [aux_sym_coarray_statement_token6] = ACTIONS(5433),
    [aux_sym_coarray_statement_token8] = ACTIONS(5433),
    [aux_sym_coarray_statement_token11] = ACTIONS(5433),
    [aux_sym_coarray_statement_token12] = ACTIONS(5433),
    [aux_sym_coarray_statement_token13] = ACTIONS(5433),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5433),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5433),
    [aux_sym_identifier_token1] = ACTIONS(5433),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5435),
    [sym__float_literal] = ACTIONS(5435),
    [sym__boz_literal] = ACTIONS(5435),
    [sym__string_literal] = ACTIONS(5435),
    [sym__string_literal_kind] = ACTIONS(5435),
  },
  [1614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_end_function_statement_token1] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_end_function_statement_token1] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_end_function_statement_token1] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_end_function_statement_token1] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_end_function_statement_token1] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5066),
    [aux_sym_preproc_def_token1] = ACTIONS(5066),
    [aux_sym_preproc_if_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5066),
    [sym_preproc_directive] = ACTIONS(5066),
    [anon_sym_LPAREN2] = ACTIONS(5066),
    [anon_sym_PLUS] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5066),
    [aux_sym_interface_statement_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5066),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5066),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5066),
    [aux_sym_language_binding_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5066),
    [aux_sym_contains_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token1] = ACTIONS(5066),
    [aux_sym_use_statement_token2] = ACTIONS(5066),
    [aux_sym_implicit_statement_token1] = ACTIONS(5066),
    [aux_sym_implicit_statement_token3] = ACTIONS(5066),
    [aux_sym_implicit_statement_token4] = ACTIONS(5066),
    [aux_sym_save_statement_token1] = ACTIONS(5066),
    [aux_sym_private_statement_token1] = ACTIONS(5066),
    [aux_sym_public_statement_token1] = ACTIONS(5066),
    [aux_sym_namelist_statement_token1] = ACTIONS(5066),
    [aux_sym_common_statement_token1] = ACTIONS(5066),
    [aux_sym_import_statement_token1] = ACTIONS(5066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5066),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5066),
    [aux_sym_variable_attributes_token1] = ACTIONS(5066),
    [aux_sym_variable_attributes_token2] = ACTIONS(5066),
    [aux_sym_variable_attributes_token3] = ACTIONS(5066),
    [aux_sym_variable_attributes_token4] = ACTIONS(5066),
    [aux_sym_variable_attributes_token5] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5066),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5066),
    [aux_sym_derived_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token1] = ACTIONS(5066),
    [aux_sym_declared_type_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5066),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5066),
    [aux_sym_type_qualifier_token1] = ACTIONS(5066),
    [aux_sym_type_qualifier_token2] = ACTIONS(5066),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(5070),
    [aux_sym_stop_statement_token1] = ACTIONS(5066),
    [aux_sym_stop_statement_token2] = ACTIONS(5066),
    [aux_sym_subroutine_call_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token1] = ACTIONS(5066),
    [aux_sym_keyword_statement_token2] = ACTIONS(5066),
    [aux_sym_keyword_statement_token3] = ACTIONS(5066),
    [aux_sym_keyword_statement_token4] = ACTIONS(5066),
    [aux_sym_keyword_statement_token6] = ACTIONS(5066),
    [aux_sym_keyword_statement_token7] = ACTIONS(5066),
    [aux_sym_include_statement_token1] = ACTIONS(5066),
    [aux_sym_data_statement_token1] = ACTIONS(5066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5066),
    [aux_sym_end_if_statement_token1] = ACTIONS(5066),
    [aux_sym_elseif_clause_token2] = ACTIONS(5066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token1] = ACTIONS(5066),
    [aux_sym_select_case_statement_token3] = ACTIONS(5066),
    [aux_sym_select_type_statement_token1] = ACTIONS(5066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5066),
    [aux_sym_block_construct_token1] = ACTIONS(5066),
    [aux_sym_associate_statement_token1] = ACTIONS(5066),
    [aux_sym_format_statement_token1] = ACTIONS(5066),
    [aux_sym_print_statement_token1] = ACTIONS(5066),
    [aux_sym_open_statement_token1] = ACTIONS(5066),
    [aux_sym_close_statement_token1] = ACTIONS(5066),
    [aux_sym_inquire_statement_token1] = ACTIONS(5066),
    [aux_sym_enum_statement_token1] = ACTIONS(5066),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token1] = ACTIONS(5066),
    [aux_sym_file_position_statement_token2] = ACTIONS(5066),
    [aux_sym_file_position_statement_token3] = ACTIONS(5066),
    [aux_sym_file_position_statement_token4] = ACTIONS(5066),
    [aux_sym_allocate_statement_token1] = ACTIONS(5066),
    [aux_sym_entry_statement_token1] = ACTIONS(5066),
    [aux_sym_logical_expression_token5] = ACTIONS(5070),
    [anon_sym_DOT] = ACTIONS(5066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [aux_sym_boolean_literal_token1] = ACTIONS(5070),
    [aux_sym_boolean_literal_token2] = ACTIONS(5070),
    [aux_sym_null_literal_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_statement_token2] = ACTIONS(5066),
    [aux_sym_coarray_statement_token6] = ACTIONS(5066),
    [aux_sym_coarray_statement_token8] = ACTIONS(5066),
    [aux_sym_coarray_statement_token11] = ACTIONS(5066),
    [aux_sym_coarray_statement_token12] = ACTIONS(5066),
    [aux_sym_coarray_statement_token13] = ACTIONS(5066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5066),
    [aux_sym_identifier_token1] = ACTIONS(5066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5070),
    [sym__float_literal] = ACTIONS(5070),
    [sym__boz_literal] = ACTIONS(5070),
    [sym__string_literal] = ACTIONS(5070),
    [sym__string_literal_kind] = ACTIONS(5070),
  },
  [1627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_subroutine_call_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token1] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_keyword_statement_token4] = ACTIONS(5094),
    [aux_sym_keyword_statement_token6] = ACTIONS(5094),
    [aux_sym_keyword_statement_token7] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5094),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_select_case_statement_token3] = ACTIONS(5094),
    [aux_sym_select_type_statement_token1] = ACTIONS(5094),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5094),
    [aux_sym_associate_statement_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_print_statement_token1] = ACTIONS(5094),
    [aux_sym_open_statement_token1] = ACTIONS(5094),
    [aux_sym_close_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token1] = ACTIONS(5094),
    [aux_sym_file_position_statement_token2] = ACTIONS(5094),
    [aux_sym_file_position_statement_token3] = ACTIONS(5094),
    [aux_sym_file_position_statement_token4] = ACTIONS(5094),
    [aux_sym_allocate_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_logical_expression_token5] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [aux_sym_boolean_literal_token1] = ACTIONS(5096),
    [aux_sym_boolean_literal_token2] = ACTIONS(5096),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_statement_token13] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
    [sym__float_literal] = ACTIONS(5096),
    [sym__boz_literal] = ACTIONS(5096),
    [sym__string_literal] = ACTIONS(5096),
    [sym__string_literal_kind] = ACTIONS(5096),
  },
  [1628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5130),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_subroutine_call_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token1] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_keyword_statement_token4] = ACTIONS(5128),
    [aux_sym_keyword_statement_token6] = ACTIONS(5128),
    [aux_sym_keyword_statement_token7] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5128),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_select_case_statement_token3] = ACTIONS(5128),
    [aux_sym_select_type_statement_token1] = ACTIONS(5128),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5128),
    [aux_sym_associate_statement_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_print_statement_token1] = ACTIONS(5128),
    [aux_sym_open_statement_token1] = ACTIONS(5128),
    [aux_sym_close_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token1] = ACTIONS(5128),
    [aux_sym_file_position_statement_token2] = ACTIONS(5128),
    [aux_sym_file_position_statement_token3] = ACTIONS(5128),
    [aux_sym_file_position_statement_token4] = ACTIONS(5128),
    [aux_sym_allocate_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_logical_expression_token5] = ACTIONS(5130),
    [anon_sym_DOT] = ACTIONS(5128),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5130),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [aux_sym_boolean_literal_token1] = ACTIONS(5130),
    [aux_sym_boolean_literal_token2] = ACTIONS(5130),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_statement_token13] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
    [sym__float_literal] = ACTIONS(5130),
    [sym__boz_literal] = ACTIONS(5130),
    [sym__string_literal] = ACTIONS(5130),
    [sym__string_literal_kind] = ACTIONS(5130),
  },
  [1629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_LPAREN2] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5140),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_subroutine_call_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token1] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_keyword_statement_token4] = ACTIONS(5138),
    [aux_sym_keyword_statement_token6] = ACTIONS(5138),
    [aux_sym_keyword_statement_token7] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5138),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_select_case_statement_token3] = ACTIONS(5138),
    [aux_sym_select_type_statement_token1] = ACTIONS(5138),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5138),
    [aux_sym_associate_statement_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_print_statement_token1] = ACTIONS(5138),
    [aux_sym_open_statement_token1] = ACTIONS(5138),
    [aux_sym_close_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token1] = ACTIONS(5138),
    [aux_sym_file_position_statement_token2] = ACTIONS(5138),
    [aux_sym_file_position_statement_token3] = ACTIONS(5138),
    [aux_sym_file_position_statement_token4] = ACTIONS(5138),
    [aux_sym_allocate_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_logical_expression_token5] = ACTIONS(5140),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [aux_sym_boolean_literal_token1] = ACTIONS(5140),
    [aux_sym_boolean_literal_token2] = ACTIONS(5140),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_statement_token13] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
    [sym__float_literal] = ACTIONS(5140),
    [sym__boz_literal] = ACTIONS(5140),
    [sym__string_literal] = ACTIONS(5140),
    [sym__string_literal_kind] = ACTIONS(5140),
  },
  [1630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(5032),
    [anon_sym_PLUS] = ACTIONS(5034),
    [anon_sym_DASH] = ACTIONS(5034),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [anon_sym_SEMI] = ACTIONS(5034),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_subroutine_call_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token1] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_keyword_statement_token4] = ACTIONS(5032),
    [aux_sym_keyword_statement_token6] = ACTIONS(5032),
    [aux_sym_keyword_statement_token7] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5032),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_select_case_statement_token3] = ACTIONS(5032),
    [aux_sym_select_type_statement_token1] = ACTIONS(5032),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5032),
    [aux_sym_associate_statement_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_print_statement_token1] = ACTIONS(5032),
    [aux_sym_open_statement_token1] = ACTIONS(5032),
    [aux_sym_close_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token1] = ACTIONS(5032),
    [aux_sym_file_position_statement_token2] = ACTIONS(5032),
    [aux_sym_file_position_statement_token3] = ACTIONS(5032),
    [aux_sym_file_position_statement_token4] = ACTIONS(5032),
    [aux_sym_allocate_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_logical_expression_token5] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(5032),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5034),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [aux_sym_boolean_literal_token1] = ACTIONS(5034),
    [aux_sym_boolean_literal_token2] = ACTIONS(5034),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_statement_token13] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
    [sym__float_literal] = ACTIONS(5034),
    [sym__boz_literal] = ACTIONS(5034),
    [sym__string_literal] = ACTIONS(5034),
    [sym__string_literal_kind] = ACTIONS(5034),
  },
  [1631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_LPAREN2] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_subroutine_call_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token1] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_keyword_statement_token4] = ACTIONS(5082),
    [aux_sym_keyword_statement_token6] = ACTIONS(5082),
    [aux_sym_keyword_statement_token7] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5082),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_select_case_statement_token3] = ACTIONS(5082),
    [aux_sym_select_type_statement_token1] = ACTIONS(5082),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5082),
    [aux_sym_associate_statement_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_print_statement_token1] = ACTIONS(5082),
    [aux_sym_open_statement_token1] = ACTIONS(5082),
    [aux_sym_close_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token1] = ACTIONS(5082),
    [aux_sym_file_position_statement_token2] = ACTIONS(5082),
    [aux_sym_file_position_statement_token3] = ACTIONS(5082),
    [aux_sym_file_position_statement_token4] = ACTIONS(5082),
    [aux_sym_allocate_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_logical_expression_token5] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [aux_sym_boolean_literal_token1] = ACTIONS(5084),
    [aux_sym_boolean_literal_token2] = ACTIONS(5084),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_statement_token13] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
    [sym__float_literal] = ACTIONS(5084),
    [sym__boz_literal] = ACTIONS(5084),
    [sym__string_literal] = ACTIONS(5084),
    [sym__string_literal_kind] = ACTIONS(5084),
  },
  [1632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_subroutine_call_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token1] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_keyword_statement_token4] = ACTIONS(5086),
    [aux_sym_keyword_statement_token6] = ACTIONS(5086),
    [aux_sym_keyword_statement_token7] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5086),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_select_case_statement_token3] = ACTIONS(5086),
    [aux_sym_select_type_statement_token1] = ACTIONS(5086),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5086),
    [aux_sym_associate_statement_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_print_statement_token1] = ACTIONS(5086),
    [aux_sym_open_statement_token1] = ACTIONS(5086),
    [aux_sym_close_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token1] = ACTIONS(5086),
    [aux_sym_file_position_statement_token2] = ACTIONS(5086),
    [aux_sym_file_position_statement_token3] = ACTIONS(5086),
    [aux_sym_file_position_statement_token4] = ACTIONS(5086),
    [aux_sym_allocate_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_logical_expression_token5] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [aux_sym_boolean_literal_token1] = ACTIONS(5088),
    [aux_sym_boolean_literal_token2] = ACTIONS(5088),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_statement_token13] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
    [sym__float_literal] = ACTIONS(5088),
    [sym__boz_literal] = ACTIONS(5088),
    [sym__string_literal] = ACTIONS(5088),
    [sym__string_literal_kind] = ACTIONS(5088),
  },
  [1633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(4605),
    [anon_sym_PLUS] = ACTIONS(4607),
    [anon_sym_DASH] = ACTIONS(4607),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [anon_sym_SEMI] = ACTIONS(4607),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_subroutine_call_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token1] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_keyword_statement_token4] = ACTIONS(4605),
    [aux_sym_keyword_statement_token6] = ACTIONS(4605),
    [aux_sym_keyword_statement_token7] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4605),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_select_case_statement_token3] = ACTIONS(4605),
    [aux_sym_select_type_statement_token1] = ACTIONS(4605),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4605),
    [aux_sym_associate_statement_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_print_statement_token1] = ACTIONS(4605),
    [aux_sym_open_statement_token1] = ACTIONS(4605),
    [aux_sym_close_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token1] = ACTIONS(4605),
    [aux_sym_file_position_statement_token2] = ACTIONS(4605),
    [aux_sym_file_position_statement_token3] = ACTIONS(4605),
    [aux_sym_file_position_statement_token4] = ACTIONS(4605),
    [aux_sym_allocate_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_logical_expression_token5] = ACTIONS(4607),
    [anon_sym_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4607),
    [anon_sym_LBRACK] = ACTIONS(4607),
    [aux_sym_boolean_literal_token1] = ACTIONS(4607),
    [aux_sym_boolean_literal_token2] = ACTIONS(4607),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_statement_token13] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
    [sym__float_literal] = ACTIONS(4607),
    [sym__boz_literal] = ACTIONS(4607),
    [sym__string_literal] = ACTIONS(4607),
    [sym__string_literal_kind] = ACTIONS(4607),
  },
  [1634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5060),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5060),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_subroutine_call_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token1] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_keyword_statement_token4] = ACTIONS(5058),
    [aux_sym_keyword_statement_token6] = ACTIONS(5058),
    [aux_sym_keyword_statement_token7] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5058),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_select_case_statement_token3] = ACTIONS(5058),
    [aux_sym_select_type_statement_token1] = ACTIONS(5058),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5058),
    [aux_sym_associate_statement_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_print_statement_token1] = ACTIONS(5058),
    [aux_sym_open_statement_token1] = ACTIONS(5058),
    [aux_sym_close_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token1] = ACTIONS(5058),
    [aux_sym_file_position_statement_token2] = ACTIONS(5058),
    [aux_sym_file_position_statement_token3] = ACTIONS(5058),
    [aux_sym_file_position_statement_token4] = ACTIONS(5058),
    [aux_sym_allocate_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_logical_expression_token5] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [aux_sym_boolean_literal_token1] = ACTIONS(5060),
    [aux_sym_boolean_literal_token2] = ACTIONS(5060),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_statement_token13] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
    [sym__float_literal] = ACTIONS(5060),
    [sym__boz_literal] = ACTIONS(5060),
    [sym__string_literal] = ACTIONS(5060),
    [sym__string_literal_kind] = ACTIONS(5060),
  },
  [1635] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5056),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5056),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_subroutine_call_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token1] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_keyword_statement_token4] = ACTIONS(5054),
    [aux_sym_keyword_statement_token6] = ACTIONS(5054),
    [aux_sym_keyword_statement_token7] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5054),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_select_case_statement_token3] = ACTIONS(5054),
    [aux_sym_select_type_statement_token1] = ACTIONS(5054),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5054),
    [aux_sym_associate_statement_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_print_statement_token1] = ACTIONS(5054),
    [aux_sym_open_statement_token1] = ACTIONS(5054),
    [aux_sym_close_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token1] = ACTIONS(5054),
    [aux_sym_file_position_statement_token2] = ACTIONS(5054),
    [aux_sym_file_position_statement_token3] = ACTIONS(5054),
    [aux_sym_file_position_statement_token4] = ACTIONS(5054),
    [aux_sym_allocate_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_logical_expression_token5] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [aux_sym_boolean_literal_token1] = ACTIONS(5056),
    [aux_sym_boolean_literal_token2] = ACTIONS(5056),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_statement_token13] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
    [sym__float_literal] = ACTIONS(5056),
    [sym__boz_literal] = ACTIONS(5056),
    [sym__string_literal] = ACTIONS(5056),
    [sym__string_literal_kind] = ACTIONS(5056),
  },
  [1636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_LPAREN2] = ACTIONS(5038),
    [anon_sym_PLUS] = ACTIONS(5040),
    [anon_sym_DASH] = ACTIONS(5040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [anon_sym_SEMI] = ACTIONS(5040),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_subroutine_call_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token1] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_keyword_statement_token4] = ACTIONS(5038),
    [aux_sym_keyword_statement_token6] = ACTIONS(5038),
    [aux_sym_keyword_statement_token7] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5038),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_select_case_statement_token3] = ACTIONS(5038),
    [aux_sym_select_type_statement_token1] = ACTIONS(5038),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5038),
    [aux_sym_associate_statement_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_print_statement_token1] = ACTIONS(5038),
    [aux_sym_open_statement_token1] = ACTIONS(5038),
    [aux_sym_close_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token1] = ACTIONS(5038),
    [aux_sym_file_position_statement_token2] = ACTIONS(5038),
    [aux_sym_file_position_statement_token3] = ACTIONS(5038),
    [aux_sym_file_position_statement_token4] = ACTIONS(5038),
    [aux_sym_allocate_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_logical_expression_token5] = ACTIONS(5040),
    [anon_sym_DOT] = ACTIONS(5038),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5040),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [aux_sym_boolean_literal_token1] = ACTIONS(5040),
    [aux_sym_boolean_literal_token2] = ACTIONS(5040),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_statement_token13] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
    [sym__float_literal] = ACTIONS(5040),
    [sym__boz_literal] = ACTIONS(5040),
    [sym__string_literal] = ACTIONS(5040),
    [sym__string_literal_kind] = ACTIONS(5040),
  },
  [1637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5114),
    [anon_sym_DASH] = ACTIONS(5114),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5114),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_subroutine_call_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token1] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_keyword_statement_token4] = ACTIONS(5112),
    [aux_sym_keyword_statement_token6] = ACTIONS(5112),
    [aux_sym_keyword_statement_token7] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_select_case_statement_token3] = ACTIONS(5112),
    [aux_sym_select_type_statement_token1] = ACTIONS(5112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5112),
    [aux_sym_associate_statement_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_print_statement_token1] = ACTIONS(5112),
    [aux_sym_open_statement_token1] = ACTIONS(5112),
    [aux_sym_close_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token1] = ACTIONS(5112),
    [aux_sym_file_position_statement_token2] = ACTIONS(5112),
    [aux_sym_file_position_statement_token3] = ACTIONS(5112),
    [aux_sym_file_position_statement_token4] = ACTIONS(5112),
    [aux_sym_allocate_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_logical_expression_token5] = ACTIONS(5114),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5114),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [aux_sym_boolean_literal_token1] = ACTIONS(5114),
    [aux_sym_boolean_literal_token2] = ACTIONS(5114),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_statement_token13] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
    [sym__float_literal] = ACTIONS(5114),
    [sym__boz_literal] = ACTIONS(5114),
    [sym__string_literal] = ACTIONS(5114),
    [sym__string_literal_kind] = ACTIONS(5114),
  },
  [1638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5122),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_subroutine_call_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token1] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_keyword_statement_token4] = ACTIONS(5120),
    [aux_sym_keyword_statement_token6] = ACTIONS(5120),
    [aux_sym_keyword_statement_token7] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5120),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_select_case_statement_token3] = ACTIONS(5120),
    [aux_sym_select_type_statement_token1] = ACTIONS(5120),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5120),
    [aux_sym_associate_statement_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_print_statement_token1] = ACTIONS(5120),
    [aux_sym_open_statement_token1] = ACTIONS(5120),
    [aux_sym_close_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token1] = ACTIONS(5120),
    [aux_sym_file_position_statement_token2] = ACTIONS(5120),
    [aux_sym_file_position_statement_token3] = ACTIONS(5120),
    [aux_sym_file_position_statement_token4] = ACTIONS(5120),
    [aux_sym_allocate_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_logical_expression_token5] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [aux_sym_boolean_literal_token1] = ACTIONS(5122),
    [aux_sym_boolean_literal_token2] = ACTIONS(5122),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_statement_token13] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
    [sym__float_literal] = ACTIONS(5122),
    [sym__boz_literal] = ACTIONS(5122),
    [sym__string_literal] = ACTIONS(5122),
    [sym__string_literal_kind] = ACTIONS(5122),
  },
  [1639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_LPAREN2] = ACTIONS(4621),
    [anon_sym_PLUS] = ACTIONS(4623),
    [anon_sym_DASH] = ACTIONS(4623),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [anon_sym_SEMI] = ACTIONS(4623),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_subroutine_call_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token1] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_keyword_statement_token4] = ACTIONS(4621),
    [aux_sym_keyword_statement_token6] = ACTIONS(4621),
    [aux_sym_keyword_statement_token7] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4621),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_select_case_statement_token3] = ACTIONS(4621),
    [aux_sym_select_type_statement_token1] = ACTIONS(4621),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4621),
    [aux_sym_associate_statement_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_print_statement_token1] = ACTIONS(4621),
    [aux_sym_open_statement_token1] = ACTIONS(4621),
    [aux_sym_close_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token1] = ACTIONS(4621),
    [aux_sym_file_position_statement_token2] = ACTIONS(4621),
    [aux_sym_file_position_statement_token3] = ACTIONS(4621),
    [aux_sym_file_position_statement_token4] = ACTIONS(4621),
    [aux_sym_allocate_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_logical_expression_token5] = ACTIONS(4623),
    [anon_sym_DOT] = ACTIONS(4621),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4623),
    [anon_sym_LBRACK] = ACTIONS(4623),
    [aux_sym_boolean_literal_token1] = ACTIONS(4623),
    [aux_sym_boolean_literal_token2] = ACTIONS(4623),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_statement_token13] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
    [sym__float_literal] = ACTIONS(4623),
    [sym__boz_literal] = ACTIONS(4623),
    [sym__string_literal] = ACTIONS(4623),
    [sym__string_literal_kind] = ACTIONS(4623),
  },
  [1641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(4601),
    [anon_sym_PLUS] = ACTIONS(4603),
    [anon_sym_DASH] = ACTIONS(4603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4603),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_subroutine_call_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token1] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_keyword_statement_token4] = ACTIONS(4601),
    [aux_sym_keyword_statement_token6] = ACTIONS(4601),
    [aux_sym_keyword_statement_token7] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4601),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_select_case_statement_token3] = ACTIONS(4601),
    [aux_sym_select_type_statement_token1] = ACTIONS(4601),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4601),
    [aux_sym_associate_statement_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_print_statement_token1] = ACTIONS(4601),
    [aux_sym_open_statement_token1] = ACTIONS(4601),
    [aux_sym_close_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token1] = ACTIONS(4601),
    [aux_sym_file_position_statement_token2] = ACTIONS(4601),
    [aux_sym_file_position_statement_token3] = ACTIONS(4601),
    [aux_sym_file_position_statement_token4] = ACTIONS(4601),
    [aux_sym_allocate_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_logical_expression_token5] = ACTIONS(4603),
    [anon_sym_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4603),
    [anon_sym_LBRACK] = ACTIONS(4603),
    [aux_sym_boolean_literal_token1] = ACTIONS(4603),
    [aux_sym_boolean_literal_token2] = ACTIONS(4603),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_statement_token13] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
    [sym__float_literal] = ACTIONS(4603),
    [sym__boz_literal] = ACTIONS(4603),
    [sym__string_literal] = ACTIONS(4603),
    [sym__string_literal_kind] = ACTIONS(4603),
  },
  [1642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_LPAREN2] = ACTIONS(4609),
    [anon_sym_PLUS] = ACTIONS(4611),
    [anon_sym_DASH] = ACTIONS(4611),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [anon_sym_SEMI] = ACTIONS(4611),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_subroutine_call_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token1] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_keyword_statement_token4] = ACTIONS(4609),
    [aux_sym_keyword_statement_token6] = ACTIONS(4609),
    [aux_sym_keyword_statement_token7] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4609),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_select_case_statement_token3] = ACTIONS(4609),
    [aux_sym_select_type_statement_token1] = ACTIONS(4609),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4609),
    [aux_sym_associate_statement_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_print_statement_token1] = ACTIONS(4609),
    [aux_sym_open_statement_token1] = ACTIONS(4609),
    [aux_sym_close_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token1] = ACTIONS(4609),
    [aux_sym_file_position_statement_token2] = ACTIONS(4609),
    [aux_sym_file_position_statement_token3] = ACTIONS(4609),
    [aux_sym_file_position_statement_token4] = ACTIONS(4609),
    [aux_sym_allocate_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_logical_expression_token5] = ACTIONS(4611),
    [anon_sym_DOT] = ACTIONS(4609),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4611),
    [anon_sym_LBRACK] = ACTIONS(4611),
    [aux_sym_boolean_literal_token1] = ACTIONS(4611),
    [aux_sym_boolean_literal_token2] = ACTIONS(4611),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_statement_token13] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
    [sym__float_literal] = ACTIONS(4611),
    [sym__boz_literal] = ACTIONS(4611),
    [sym__string_literal] = ACTIONS(4611),
    [sym__string_literal_kind] = ACTIONS(4611),
  },
  [1643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1644] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5126),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_subroutine_call_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token1] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_keyword_statement_token4] = ACTIONS(5124),
    [aux_sym_keyword_statement_token6] = ACTIONS(5124),
    [aux_sym_keyword_statement_token7] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_select_case_statement_token3] = ACTIONS(5124),
    [aux_sym_select_type_statement_token1] = ACTIONS(5124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5124),
    [aux_sym_associate_statement_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_print_statement_token1] = ACTIONS(5124),
    [aux_sym_open_statement_token1] = ACTIONS(5124),
    [aux_sym_close_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token1] = ACTIONS(5124),
    [aux_sym_file_position_statement_token2] = ACTIONS(5124),
    [aux_sym_file_position_statement_token3] = ACTIONS(5124),
    [aux_sym_file_position_statement_token4] = ACTIONS(5124),
    [aux_sym_allocate_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_logical_expression_token5] = ACTIONS(5126),
    [anon_sym_DOT] = ACTIONS(5124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5126),
    [aux_sym_boolean_literal_token1] = ACTIONS(5126),
    [aux_sym_boolean_literal_token2] = ACTIONS(5126),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_statement_token13] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
    [sym__float_literal] = ACTIONS(5126),
    [sym__boz_literal] = ACTIONS(5126),
    [sym__string_literal] = ACTIONS(5126),
    [sym__string_literal_kind] = ACTIONS(5126),
  },
  [1647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_LPAREN2] = ACTIONS(5050),
    [anon_sym_PLUS] = ACTIONS(5052),
    [anon_sym_DASH] = ACTIONS(5052),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [anon_sym_SEMI] = ACTIONS(5052),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_subroutine_call_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token1] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_keyword_statement_token4] = ACTIONS(5050),
    [aux_sym_keyword_statement_token6] = ACTIONS(5050),
    [aux_sym_keyword_statement_token7] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5050),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_select_case_statement_token3] = ACTIONS(5050),
    [aux_sym_select_type_statement_token1] = ACTIONS(5050),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5050),
    [aux_sym_associate_statement_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_print_statement_token1] = ACTIONS(5050),
    [aux_sym_open_statement_token1] = ACTIONS(5050),
    [aux_sym_close_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token1] = ACTIONS(5050),
    [aux_sym_file_position_statement_token2] = ACTIONS(5050),
    [aux_sym_file_position_statement_token3] = ACTIONS(5050),
    [aux_sym_file_position_statement_token4] = ACTIONS(5050),
    [aux_sym_allocate_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_logical_expression_token5] = ACTIONS(5052),
    [anon_sym_DOT] = ACTIONS(5050),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5052),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [aux_sym_boolean_literal_token1] = ACTIONS(5052),
    [aux_sym_boolean_literal_token2] = ACTIONS(5052),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_statement_token13] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
    [sym__float_literal] = ACTIONS(5052),
    [sym__boz_literal] = ACTIONS(5052),
    [sym__string_literal] = ACTIONS(5052),
    [sym__string_literal_kind] = ACTIONS(5052),
  },
  [1648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5048),
    [anon_sym_DASH] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5048),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_subroutine_call_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token1] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_keyword_statement_token4] = ACTIONS(5046),
    [aux_sym_keyword_statement_token6] = ACTIONS(5046),
    [aux_sym_keyword_statement_token7] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5046),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_select_case_statement_token3] = ACTIONS(5046),
    [aux_sym_select_type_statement_token1] = ACTIONS(5046),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5046),
    [aux_sym_associate_statement_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_print_statement_token1] = ACTIONS(5046),
    [aux_sym_open_statement_token1] = ACTIONS(5046),
    [aux_sym_close_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token1] = ACTIONS(5046),
    [aux_sym_file_position_statement_token2] = ACTIONS(5046),
    [aux_sym_file_position_statement_token3] = ACTIONS(5046),
    [aux_sym_file_position_statement_token4] = ACTIONS(5046),
    [aux_sym_allocate_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_logical_expression_token5] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5048),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [aux_sym_boolean_literal_token1] = ACTIONS(5048),
    [aux_sym_boolean_literal_token2] = ACTIONS(5048),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_statement_token13] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
    [sym__float_literal] = ACTIONS(5048),
    [sym__boz_literal] = ACTIONS(5048),
    [sym__string_literal] = ACTIONS(5048),
    [sym__string_literal_kind] = ACTIONS(5048),
  },
  [1649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [anon_sym_SEMI] = ACTIONS(5134),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_subroutine_call_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token1] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_keyword_statement_token4] = ACTIONS(5132),
    [aux_sym_keyword_statement_token6] = ACTIONS(5132),
    [aux_sym_keyword_statement_token7] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5132),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_select_case_statement_token3] = ACTIONS(5132),
    [aux_sym_select_type_statement_token1] = ACTIONS(5132),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5132),
    [aux_sym_associate_statement_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_print_statement_token1] = ACTIONS(5132),
    [aux_sym_open_statement_token1] = ACTIONS(5132),
    [aux_sym_close_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token1] = ACTIONS(5132),
    [aux_sym_file_position_statement_token2] = ACTIONS(5132),
    [aux_sym_file_position_statement_token3] = ACTIONS(5132),
    [aux_sym_file_position_statement_token4] = ACTIONS(5132),
    [aux_sym_allocate_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_logical_expression_token5] = ACTIONS(5134),
    [anon_sym_DOT] = ACTIONS(5132),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5134),
    [anon_sym_LBRACK] = ACTIONS(5134),
    [aux_sym_boolean_literal_token1] = ACTIONS(5134),
    [aux_sym_boolean_literal_token2] = ACTIONS(5134),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_statement_token13] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
    [sym__float_literal] = ACTIONS(5134),
    [sym__boz_literal] = ACTIONS(5134),
    [sym__string_literal] = ACTIONS(5134),
    [sym__string_literal_kind] = ACTIONS(5134),
  },
  [1650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_LPAREN2] = ACTIONS(4613),
    [anon_sym_PLUS] = ACTIONS(4615),
    [anon_sym_DASH] = ACTIONS(4615),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [anon_sym_SEMI] = ACTIONS(4615),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_subroutine_call_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token1] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_keyword_statement_token4] = ACTIONS(4613),
    [aux_sym_keyword_statement_token6] = ACTIONS(4613),
    [aux_sym_keyword_statement_token7] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4613),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_select_case_statement_token3] = ACTIONS(4613),
    [aux_sym_select_type_statement_token1] = ACTIONS(4613),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4613),
    [aux_sym_associate_statement_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_print_statement_token1] = ACTIONS(4613),
    [aux_sym_open_statement_token1] = ACTIONS(4613),
    [aux_sym_close_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token1] = ACTIONS(4613),
    [aux_sym_file_position_statement_token2] = ACTIONS(4613),
    [aux_sym_file_position_statement_token3] = ACTIONS(4613),
    [aux_sym_file_position_statement_token4] = ACTIONS(4613),
    [aux_sym_allocate_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_logical_expression_token5] = ACTIONS(4615),
    [anon_sym_DOT] = ACTIONS(4613),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4615),
    [anon_sym_LBRACK] = ACTIONS(4615),
    [aux_sym_boolean_literal_token1] = ACTIONS(4615),
    [aux_sym_boolean_literal_token2] = ACTIONS(4615),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_statement_token13] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
    [sym__float_literal] = ACTIONS(4615),
    [sym__boz_literal] = ACTIONS(4615),
    [sym__string_literal] = ACTIONS(4615),
    [sym__string_literal_kind] = ACTIONS(4615),
  },
  [1653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_LPAREN2] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_subroutine_call_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token1] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_keyword_statement_token4] = ACTIONS(5090),
    [aux_sym_keyword_statement_token6] = ACTIONS(5090),
    [aux_sym_keyword_statement_token7] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_select_case_statement_token3] = ACTIONS(5090),
    [aux_sym_select_type_statement_token1] = ACTIONS(5090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5090),
    [aux_sym_associate_statement_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_print_statement_token1] = ACTIONS(5090),
    [aux_sym_open_statement_token1] = ACTIONS(5090),
    [aux_sym_close_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token1] = ACTIONS(5090),
    [aux_sym_file_position_statement_token2] = ACTIONS(5090),
    [aux_sym_file_position_statement_token3] = ACTIONS(5090),
    [aux_sym_file_position_statement_token4] = ACTIONS(5090),
    [aux_sym_allocate_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_logical_expression_token5] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [aux_sym_boolean_literal_token1] = ACTIONS(5092),
    [aux_sym_boolean_literal_token2] = ACTIONS(5092),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_statement_token13] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
    [sym__float_literal] = ACTIONS(5092),
    [sym__boz_literal] = ACTIONS(5092),
    [sym__string_literal] = ACTIONS(5092),
    [sym__string_literal_kind] = ACTIONS(5092),
  },
  [1654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(4617),
    [anon_sym_PLUS] = ACTIONS(4619),
    [anon_sym_DASH] = ACTIONS(4619),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [anon_sym_SEMI] = ACTIONS(4619),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_subroutine_call_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token1] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_keyword_statement_token4] = ACTIONS(4617),
    [aux_sym_keyword_statement_token6] = ACTIONS(4617),
    [aux_sym_keyword_statement_token7] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4617),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_select_case_statement_token3] = ACTIONS(4617),
    [aux_sym_select_type_statement_token1] = ACTIONS(4617),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4617),
    [aux_sym_associate_statement_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_print_statement_token1] = ACTIONS(4617),
    [aux_sym_open_statement_token1] = ACTIONS(4617),
    [aux_sym_close_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token1] = ACTIONS(4617),
    [aux_sym_file_position_statement_token2] = ACTIONS(4617),
    [aux_sym_file_position_statement_token3] = ACTIONS(4617),
    [aux_sym_file_position_statement_token4] = ACTIONS(4617),
    [aux_sym_allocate_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_logical_expression_token5] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4619),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [aux_sym_boolean_literal_token1] = ACTIONS(4619),
    [aux_sym_boolean_literal_token2] = ACTIONS(4619),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_statement_token13] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
    [sym__float_literal] = ACTIONS(4619),
    [sym__boz_literal] = ACTIONS(4619),
    [sym__string_literal] = ACTIONS(4619),
    [sym__string_literal_kind] = ACTIONS(4619),
  },
  [1655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5104),
    [anon_sym_PLUS] = ACTIONS(5106),
    [anon_sym_DASH] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [anon_sym_SEMI] = ACTIONS(5106),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_subroutine_call_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token1] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_keyword_statement_token4] = ACTIONS(5104),
    [aux_sym_keyword_statement_token6] = ACTIONS(5104),
    [aux_sym_keyword_statement_token7] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5104),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_select_case_statement_token3] = ACTIONS(5104),
    [aux_sym_select_type_statement_token1] = ACTIONS(5104),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5104),
    [aux_sym_associate_statement_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_print_statement_token1] = ACTIONS(5104),
    [aux_sym_open_statement_token1] = ACTIONS(5104),
    [aux_sym_close_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token1] = ACTIONS(5104),
    [aux_sym_file_position_statement_token2] = ACTIONS(5104),
    [aux_sym_file_position_statement_token3] = ACTIONS(5104),
    [aux_sym_file_position_statement_token4] = ACTIONS(5104),
    [aux_sym_allocate_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_logical_expression_token5] = ACTIONS(5106),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5106),
    [anon_sym_LBRACK] = ACTIONS(5106),
    [aux_sym_boolean_literal_token1] = ACTIONS(5106),
    [aux_sym_boolean_literal_token2] = ACTIONS(5106),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_statement_token13] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
    [sym__float_literal] = ACTIONS(5106),
    [sym__boz_literal] = ACTIONS(5106),
    [sym__string_literal] = ACTIONS(5106),
    [sym__string_literal_kind] = ACTIONS(5106),
  },
  [1656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_PLUS] = ACTIONS(5064),
    [anon_sym_DASH] = ACTIONS(5064),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [anon_sym_SEMI] = ACTIONS(5064),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_subroutine_call_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token1] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_keyword_statement_token4] = ACTIONS(5062),
    [aux_sym_keyword_statement_token6] = ACTIONS(5062),
    [aux_sym_keyword_statement_token7] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5062),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_select_case_statement_token3] = ACTIONS(5062),
    [aux_sym_select_type_statement_token1] = ACTIONS(5062),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5062),
    [aux_sym_associate_statement_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_print_statement_token1] = ACTIONS(5062),
    [aux_sym_open_statement_token1] = ACTIONS(5062),
    [aux_sym_close_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token1] = ACTIONS(5062),
    [aux_sym_file_position_statement_token2] = ACTIONS(5062),
    [aux_sym_file_position_statement_token3] = ACTIONS(5062),
    [aux_sym_file_position_statement_token4] = ACTIONS(5062),
    [aux_sym_allocate_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_logical_expression_token5] = ACTIONS(5064),
    [anon_sym_DOT] = ACTIONS(5062),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5064),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [aux_sym_boolean_literal_token1] = ACTIONS(5064),
    [aux_sym_boolean_literal_token2] = ACTIONS(5064),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_statement_token13] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
    [sym__float_literal] = ACTIONS(5064),
    [sym__boz_literal] = ACTIONS(5064),
    [sym__string_literal] = ACTIONS(5064),
    [sym__string_literal_kind] = ACTIONS(5064),
  },
  [1657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5108),
    [anon_sym_PLUS] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [anon_sym_SEMI] = ACTIONS(5110),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_subroutine_call_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token1] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_keyword_statement_token4] = ACTIONS(5108),
    [aux_sym_keyword_statement_token6] = ACTIONS(5108),
    [aux_sym_keyword_statement_token7] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5108),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_select_case_statement_token3] = ACTIONS(5108),
    [aux_sym_select_type_statement_token1] = ACTIONS(5108),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5108),
    [aux_sym_associate_statement_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_print_statement_token1] = ACTIONS(5108),
    [aux_sym_open_statement_token1] = ACTIONS(5108),
    [aux_sym_close_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token1] = ACTIONS(5108),
    [aux_sym_file_position_statement_token2] = ACTIONS(5108),
    [aux_sym_file_position_statement_token3] = ACTIONS(5108),
    [aux_sym_file_position_statement_token4] = ACTIONS(5108),
    [aux_sym_allocate_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_logical_expression_token5] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5108),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [aux_sym_boolean_literal_token1] = ACTIONS(5110),
    [aux_sym_boolean_literal_token2] = ACTIONS(5110),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_statement_token13] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
    [sym__float_literal] = ACTIONS(5110),
    [sym__boz_literal] = ACTIONS(5110),
    [sym__string_literal] = ACTIONS(5110),
    [sym__string_literal_kind] = ACTIONS(5110),
  },
  [1659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_LPAREN2] = ACTIONS(5116),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(5118),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_subroutine_call_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token1] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_keyword_statement_token4] = ACTIONS(5116),
    [aux_sym_keyword_statement_token6] = ACTIONS(5116),
    [aux_sym_keyword_statement_token7] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5116),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_select_case_statement_token3] = ACTIONS(5116),
    [aux_sym_select_type_statement_token1] = ACTIONS(5116),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5116),
    [aux_sym_associate_statement_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_print_statement_token1] = ACTIONS(5116),
    [aux_sym_open_statement_token1] = ACTIONS(5116),
    [aux_sym_close_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token1] = ACTIONS(5116),
    [aux_sym_file_position_statement_token2] = ACTIONS(5116),
    [aux_sym_file_position_statement_token3] = ACTIONS(5116),
    [aux_sym_file_position_statement_token4] = ACTIONS(5116),
    [aux_sym_allocate_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_logical_expression_token5] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5116),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [aux_sym_boolean_literal_token1] = ACTIONS(5118),
    [aux_sym_boolean_literal_token2] = ACTIONS(5118),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_statement_token13] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
    [sym__float_literal] = ACTIONS(5118),
    [sym__boz_literal] = ACTIONS(5118),
    [sym__string_literal] = ACTIONS(5118),
    [sym__string_literal_kind] = ACTIONS(5118),
  },
  [1660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_LPAREN2] = ACTIONS(5042),
    [anon_sym_PLUS] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [anon_sym_SEMI] = ACTIONS(5044),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_subroutine_call_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token1] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_keyword_statement_token4] = ACTIONS(5042),
    [aux_sym_keyword_statement_token6] = ACTIONS(5042),
    [aux_sym_keyword_statement_token7] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5042),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_select_case_statement_token3] = ACTIONS(5042),
    [aux_sym_select_type_statement_token1] = ACTIONS(5042),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5042),
    [aux_sym_associate_statement_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_print_statement_token1] = ACTIONS(5042),
    [aux_sym_open_statement_token1] = ACTIONS(5042),
    [aux_sym_close_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token1] = ACTIONS(5042),
    [aux_sym_file_position_statement_token2] = ACTIONS(5042),
    [aux_sym_file_position_statement_token3] = ACTIONS(5042),
    [aux_sym_file_position_statement_token4] = ACTIONS(5042),
    [aux_sym_allocate_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_logical_expression_token5] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5042),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [aux_sym_boolean_literal_token1] = ACTIONS(5044),
    [aux_sym_boolean_literal_token2] = ACTIONS(5044),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_statement_token13] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
    [sym__float_literal] = ACTIONS(5044),
    [sym__boz_literal] = ACTIONS(5044),
    [sym__string_literal] = ACTIONS(5044),
    [sym__string_literal_kind] = ACTIONS(5044),
  },
  [1661] = {
    [sym_statement_label] = STATE(6542),
    [sym_statement_label_reference] = STATE(6729),
    [sym__io_arguments] = STATE(2831),
    [sym_format_identifier] = STATE(6757),
    [sym__io_expressions] = STATE(6729),
    [sym__expression] = STATE(4690),
    [sym_parenthesized_expression] = STATE(4850),
    [sym_derived_type_member_expression] = STATE(4850),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4850),
    [sym_math_expression] = STATE(4850),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4850),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4850),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4850),
    [anon_sym_LPAREN2] = ACTIONS(5489),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(5491),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(5503),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5505),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [1662] = {
    [sym__kind] = STATE(3711),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5517),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5517),
    [anon_sym_LT] = ACTIONS(5515),
    [aux_sym_end_program_statement_token1] = ACTIONS(5511),
    [anon_sym_EQ] = ACTIONS(5515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5511),
    [aux_sym_use_statement_token2] = ACTIONS(5511),
    [anon_sym_EQ_GT] = ACTIONS(5517),
    [aux_sym_implicit_statement_token3] = ACTIONS(5511),
    [aux_sym_implicit_statement_token4] = ACTIONS(5511),
    [aux_sym_save_statement_token1] = ACTIONS(5511),
    [aux_sym_private_statement_token1] = ACTIONS(5511),
    [aux_sym_public_statement_token1] = ACTIONS(5511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5511),
    [aux_sym_variable_attributes_token2] = ACTIONS(5511),
    [aux_sym_variable_attributes_token3] = ACTIONS(5511),
    [aux_sym_variable_attributes_token5] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5511),
    [aux_sym_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym_stop_statement_token1] = ACTIONS(5511),
    [aux_sym_stop_statement_token2] = ACTIONS(5511),
    [aux_sym_subroutine_call_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token2] = ACTIONS(5511),
    [aux_sym_keyword_statement_token3] = ACTIONS(5511),
    [aux_sym_keyword_statement_token4] = ACTIONS(5511),
    [aux_sym_keyword_statement_token6] = ACTIONS(5511),
    [aux_sym_keyword_statement_token7] = ACTIONS(5511),
    [aux_sym_include_statement_token1] = ACTIONS(5511),
    [aux_sym_data_statement_token1] = ACTIONS(5511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5511),
    [aux_sym_end_if_statement_token1] = ACTIONS(5511),
    [aux_sym_elseif_clause_token2] = ACTIONS(5511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token3] = ACTIONS(5511),
    [aux_sym_select_type_statement_token1] = ACTIONS(5511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5511),
    [aux_sym_block_construct_token1] = ACTIONS(5511),
    [aux_sym_associate_statement_token1] = ACTIONS(5511),
    [aux_sym_format_statement_token1] = ACTIONS(5511),
    [aux_sym_print_statement_token1] = ACTIONS(5511),
    [aux_sym_open_statement_token1] = ACTIONS(5511),
    [aux_sym_close_statement_token1] = ACTIONS(5511),
    [aux_sym_inquire_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token2] = ACTIONS(5511),
    [aux_sym_file_position_statement_token3] = ACTIONS(5511),
    [aux_sym_file_position_statement_token4] = ACTIONS(5511),
    [aux_sym_allocate_statement_token1] = ACTIONS(5511),
    [aux_sym_entry_statement_token1] = ACTIONS(5511),
    [aux_sym_logical_expression_token1] = ACTIONS(5517),
    [aux_sym_logical_expression_token2] = ACTIONS(5517),
    [aux_sym_logical_expression_token3] = ACTIONS(5517),
    [aux_sym_logical_expression_token4] = ACTIONS(5517),
    [aux_sym_logical_expression_token5] = ACTIONS(5513),
    [aux_sym_relational_expression_token1] = ACTIONS(5517),
    [aux_sym_relational_expression_token2] = ACTIONS(5517),
    [aux_sym_relational_expression_token3] = ACTIONS(5517),
    [aux_sym_relational_expression_token4] = ACTIONS(5517),
    [aux_sym_relational_expression_token5] = ACTIONS(5517),
    [anon_sym_SLASH_EQ] = ACTIONS(5517),
    [aux_sym_relational_expression_token6] = ACTIONS(5517),
    [anon_sym_SLASH_SLASH] = ACTIONS(5517),
    [anon_sym_STAR_STAR] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [aux_sym_boolean_literal_token1] = ACTIONS(5513),
    [aux_sym_boolean_literal_token2] = ACTIONS(5513),
    [anon_sym__] = ACTIONS(5519),
    [aux_sym_null_literal_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token2] = ACTIONS(5511),
    [aux_sym_coarray_statement_token6] = ACTIONS(5511),
    [aux_sym_coarray_statement_token8] = ACTIONS(5511),
    [aux_sym_coarray_statement_token11] = ACTIONS(5511),
    [aux_sym_coarray_statement_token12] = ACTIONS(5511),
    [aux_sym_coarray_statement_token13] = ACTIONS(5511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5511),
    [anon_sym_QMARK] = ACTIONS(5517),
    [aux_sym_identifier_token1] = ACTIONS(5511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5513),
    [sym__float_literal] = ACTIONS(5513),
    [sym__boz_literal] = ACTIONS(5513),
    [sym__string_literal] = ACTIONS(5513),
    [sym__string_literal_kind] = ACTIONS(5513),
  },
  [1663] = {
    [sym__expression] = STATE(4475),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_PLUS] = ACTIONS(5526),
    [anon_sym_DASH] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5529),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(5533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(5529),
  },
  [1664] = {
    [sym__kind] = STATE(3711),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5517),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5517),
    [anon_sym_LT] = ACTIONS(5515),
    [aux_sym_end_program_statement_token1] = ACTIONS(5511),
    [anon_sym_EQ] = ACTIONS(5515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5511),
    [aux_sym_use_statement_token2] = ACTIONS(5511),
    [anon_sym_EQ_GT] = ACTIONS(5517),
    [aux_sym_implicit_statement_token4] = ACTIONS(5511),
    [aux_sym_save_statement_token1] = ACTIONS(5511),
    [aux_sym_private_statement_token1] = ACTIONS(5511),
    [aux_sym_public_statement_token1] = ACTIONS(5511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5511),
    [aux_sym_variable_attributes_token2] = ACTIONS(5511),
    [aux_sym_variable_attributes_token3] = ACTIONS(5511),
    [aux_sym_variable_attributes_token5] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5511),
    [aux_sym_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym_stop_statement_token1] = ACTIONS(5511),
    [aux_sym_stop_statement_token2] = ACTIONS(5511),
    [aux_sym_subroutine_call_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token2] = ACTIONS(5511),
    [aux_sym_keyword_statement_token3] = ACTIONS(5511),
    [aux_sym_keyword_statement_token4] = ACTIONS(5511),
    [aux_sym_keyword_statement_token6] = ACTIONS(5511),
    [aux_sym_keyword_statement_token7] = ACTIONS(5511),
    [aux_sym_include_statement_token1] = ACTIONS(5511),
    [aux_sym_data_statement_token1] = ACTIONS(5511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5511),
    [aux_sym_end_if_statement_token1] = ACTIONS(5511),
    [aux_sym_elseif_clause_token2] = ACTIONS(5511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5511),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token3] = ACTIONS(5511),
    [aux_sym_select_type_statement_token1] = ACTIONS(5511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5511),
    [aux_sym_block_construct_token1] = ACTIONS(5511),
    [aux_sym_associate_statement_token1] = ACTIONS(5511),
    [aux_sym_format_statement_token1] = ACTIONS(5511),
    [aux_sym_print_statement_token1] = ACTIONS(5511),
    [aux_sym_open_statement_token1] = ACTIONS(5511),
    [aux_sym_close_statement_token1] = ACTIONS(5511),
    [aux_sym_inquire_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token2] = ACTIONS(5511),
    [aux_sym_file_position_statement_token3] = ACTIONS(5511),
    [aux_sym_file_position_statement_token4] = ACTIONS(5511),
    [aux_sym_allocate_statement_token1] = ACTIONS(5511),
    [aux_sym_entry_statement_token1] = ACTIONS(5511),
    [aux_sym_logical_expression_token1] = ACTIONS(5517),
    [aux_sym_logical_expression_token2] = ACTIONS(5517),
    [aux_sym_logical_expression_token3] = ACTIONS(5517),
    [aux_sym_logical_expression_token4] = ACTIONS(5517),
    [aux_sym_logical_expression_token5] = ACTIONS(5513),
    [aux_sym_relational_expression_token1] = ACTIONS(5517),
    [aux_sym_relational_expression_token2] = ACTIONS(5517),
    [aux_sym_relational_expression_token3] = ACTIONS(5517),
    [aux_sym_relational_expression_token4] = ACTIONS(5517),
    [aux_sym_relational_expression_token5] = ACTIONS(5517),
    [anon_sym_SLASH_EQ] = ACTIONS(5517),
    [aux_sym_relational_expression_token6] = ACTIONS(5517),
    [anon_sym_SLASH_SLASH] = ACTIONS(5517),
    [anon_sym_STAR_STAR] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [aux_sym_boolean_literal_token1] = ACTIONS(5513),
    [aux_sym_boolean_literal_token2] = ACTIONS(5513),
    [anon_sym__] = ACTIONS(5519),
    [aux_sym_null_literal_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token2] = ACTIONS(5511),
    [aux_sym_coarray_statement_token6] = ACTIONS(5511),
    [aux_sym_coarray_statement_token8] = ACTIONS(5511),
    [aux_sym_coarray_statement_token11] = ACTIONS(5511),
    [aux_sym_coarray_statement_token12] = ACTIONS(5511),
    [aux_sym_coarray_statement_token13] = ACTIONS(5511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5511),
    [anon_sym_QMARK] = ACTIONS(5517),
    [aux_sym_identifier_token1] = ACTIONS(5511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5513),
    [sym__float_literal] = ACTIONS(5513),
    [sym__boz_literal] = ACTIONS(5513),
    [sym__string_literal] = ACTIONS(5513),
    [sym__string_literal_kind] = ACTIONS(5513),
  },
  [1665] = {
    [sym__kind] = STATE(3711),
    [anon_sym_LPAREN2] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5515),
    [anon_sym_PERCENT] = ACTIONS(5517),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(5517),
    [anon_sym_GT] = ACTIONS(5515),
    [anon_sym_GT_EQ] = ACTIONS(5517),
    [anon_sym_LT_EQ] = ACTIONS(5517),
    [anon_sym_LT] = ACTIONS(5515),
    [aux_sym_end_program_statement_token1] = ACTIONS(5511),
    [anon_sym_EQ] = ACTIONS(5515),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5511),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5511),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5511),
    [aux_sym_use_statement_token2] = ACTIONS(5511),
    [anon_sym_EQ_GT] = ACTIONS(5517),
    [aux_sym_implicit_statement_token4] = ACTIONS(5511),
    [aux_sym_save_statement_token1] = ACTIONS(5511),
    [aux_sym_private_statement_token1] = ACTIONS(5511),
    [aux_sym_public_statement_token1] = ACTIONS(5511),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5511),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5511),
    [aux_sym_variable_attributes_token2] = ACTIONS(5511),
    [aux_sym_variable_attributes_token3] = ACTIONS(5511),
    [aux_sym_variable_attributes_token5] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5511),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5511),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5511),
    [aux_sym_type_qualifier_token1] = ACTIONS(5511),
    [aux_sym_type_qualifier_token2] = ACTIONS(5511),
    [aux_sym_stop_statement_token1] = ACTIONS(5511),
    [aux_sym_stop_statement_token2] = ACTIONS(5511),
    [aux_sym_subroutine_call_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token1] = ACTIONS(5511),
    [aux_sym_keyword_statement_token2] = ACTIONS(5511),
    [aux_sym_keyword_statement_token3] = ACTIONS(5511),
    [aux_sym_keyword_statement_token4] = ACTIONS(5511),
    [aux_sym_keyword_statement_token6] = ACTIONS(5511),
    [aux_sym_keyword_statement_token7] = ACTIONS(5511),
    [aux_sym_include_statement_token1] = ACTIONS(5511),
    [aux_sym_data_statement_token1] = ACTIONS(5511),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5511),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5511),
    [aux_sym_end_if_statement_token1] = ACTIONS(5511),
    [aux_sym_elseif_clause_token2] = ACTIONS(5511),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5511),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token1] = ACTIONS(5511),
    [aux_sym_select_case_statement_token3] = ACTIONS(5511),
    [aux_sym_select_type_statement_token1] = ACTIONS(5511),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5511),
    [aux_sym_block_construct_token1] = ACTIONS(5511),
    [aux_sym_associate_statement_token1] = ACTIONS(5511),
    [aux_sym_format_statement_token1] = ACTIONS(5511),
    [aux_sym_print_statement_token1] = ACTIONS(5511),
    [aux_sym_open_statement_token1] = ACTIONS(5511),
    [aux_sym_close_statement_token1] = ACTIONS(5511),
    [aux_sym_inquire_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token1] = ACTIONS(5511),
    [aux_sym_file_position_statement_token2] = ACTIONS(5511),
    [aux_sym_file_position_statement_token3] = ACTIONS(5511),
    [aux_sym_file_position_statement_token4] = ACTIONS(5511),
    [aux_sym_allocate_statement_token1] = ACTIONS(5511),
    [aux_sym_entry_statement_token1] = ACTIONS(5511),
    [aux_sym_logical_expression_token1] = ACTIONS(5517),
    [aux_sym_logical_expression_token2] = ACTIONS(5517),
    [aux_sym_logical_expression_token3] = ACTIONS(5517),
    [aux_sym_logical_expression_token4] = ACTIONS(5517),
    [aux_sym_logical_expression_token5] = ACTIONS(5513),
    [aux_sym_relational_expression_token1] = ACTIONS(5517),
    [aux_sym_relational_expression_token2] = ACTIONS(5517),
    [aux_sym_relational_expression_token3] = ACTIONS(5517),
    [aux_sym_relational_expression_token4] = ACTIONS(5517),
    [aux_sym_relational_expression_token5] = ACTIONS(5517),
    [anon_sym_SLASH_EQ] = ACTIONS(5517),
    [aux_sym_relational_expression_token6] = ACTIONS(5517),
    [anon_sym_SLASH_SLASH] = ACTIONS(5517),
    [anon_sym_STAR_STAR] = ACTIONS(5517),
    [anon_sym_DOT] = ACTIONS(5511),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5513),
    [aux_sym_boolean_literal_token1] = ACTIONS(5513),
    [aux_sym_boolean_literal_token2] = ACTIONS(5513),
    [anon_sym__] = ACTIONS(5519),
    [aux_sym_null_literal_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_statement_token2] = ACTIONS(5511),
    [aux_sym_coarray_statement_token6] = ACTIONS(5511),
    [aux_sym_coarray_statement_token8] = ACTIONS(5511),
    [aux_sym_coarray_statement_token11] = ACTIONS(5511),
    [aux_sym_coarray_statement_token12] = ACTIONS(5511),
    [aux_sym_coarray_statement_token13] = ACTIONS(5511),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5511),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5511),
    [anon_sym_QMARK] = ACTIONS(5517),
    [aux_sym_identifier_token1] = ACTIONS(5511),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5513),
    [sym__float_literal] = ACTIONS(5513),
    [sym__boz_literal] = ACTIONS(5513),
    [sym__string_literal] = ACTIONS(5513),
    [sym__string_literal_kind] = ACTIONS(5513),
  },
  [1666] = {
    [sym_data_set] = STATE(6340),
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(4824),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4824),
    [sym_implied_do_loop_expression] = STATE(4824),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4824),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(5533),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(5553),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5558),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [aux_sym_preproc_else_token1] = ACTIONS(4301),
    [aux_sym_preproc_elif_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5562),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_end_program_statement_token2] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_contains_statement_token1] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1669] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [aux_sym_preproc_else_token1] = ACTIONS(4307),
    [aux_sym_preproc_elif_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_end_program_statement_token2] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_contains_statement_token1] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1670] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5570),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5574),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1672] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5586),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1675] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_end_program_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1677] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_end_program_statement_token2] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_end_program_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5614),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [aux_sym_preproc_else_token1] = ACTIONS(5618),
    [aux_sym_preproc_elif_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_end_program_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_end_program_statement_token2] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [aux_sym_preproc_else_token1] = ACTIONS(5630),
    [aux_sym_preproc_elif_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_end_program_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1683] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5636),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token3] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym_derived_type_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_end_select_statement_token1] = ACTIONS(5556),
    [aux_sym_type_statement_token2] = ACTIONS(5556),
    [aux_sym_type_statement_token3] = ACTIONS(5556),
    [aux_sym__class_default_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [1685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [aux_sym_preproc_else_token1] = ACTIONS(5618),
    [aux_sym_preproc_elif_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [aux_sym_preproc_else_token1] = ACTIONS(5630),
    [aux_sym_preproc_elif_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1694] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token2] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [aux_sym_preproc_else_token1] = ACTIONS(4289),
    [aux_sym_preproc_elif_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4289),
    [sym_preproc_comment] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [anon_sym_SEMI] = ACTIONS(4291),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_subroutine_call_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token1] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_keyword_statement_token4] = ACTIONS(4289),
    [aux_sym_keyword_statement_token6] = ACTIONS(4289),
    [aux_sym_keyword_statement_token7] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4289),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_select_case_statement_token3] = ACTIONS(4289),
    [aux_sym_select_type_statement_token1] = ACTIONS(4289),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_associate_statement_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_print_statement_token1] = ACTIONS(4289),
    [aux_sym_open_statement_token1] = ACTIONS(4289),
    [aux_sym_close_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token1] = ACTIONS(4289),
    [aux_sym_file_position_statement_token2] = ACTIONS(4289),
    [aux_sym_file_position_statement_token3] = ACTIONS(4289),
    [aux_sym_file_position_statement_token4] = ACTIONS(4289),
    [aux_sym_allocate_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_logical_expression_token5] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4291),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_boolean_literal_token1] = ACTIONS(4291),
    [aux_sym_boolean_literal_token2] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_statement_token13] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
    [sym__float_literal] = ACTIONS(4291),
    [sym__boz_literal] = ACTIONS(4291),
    [sym__string_literal] = ACTIONS(4291),
    [sym__string_literal_kind] = ACTIONS(4291),
  },
  [1695] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token2] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [aux_sym_preproc_else_token1] = ACTIONS(4293),
    [aux_sym_preproc_elif_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_LPAREN2] = ACTIONS(4293),
    [sym_preproc_comment] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4295),
    [anon_sym_DASH] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [anon_sym_SEMI] = ACTIONS(4295),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_subroutine_call_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token1] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_keyword_statement_token4] = ACTIONS(4293),
    [aux_sym_keyword_statement_token6] = ACTIONS(4293),
    [aux_sym_keyword_statement_token7] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4293),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_select_case_statement_token3] = ACTIONS(4293),
    [aux_sym_select_type_statement_token1] = ACTIONS(4293),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_associate_statement_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_print_statement_token1] = ACTIONS(4293),
    [aux_sym_open_statement_token1] = ACTIONS(4293),
    [aux_sym_close_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token1] = ACTIONS(4293),
    [aux_sym_file_position_statement_token2] = ACTIONS(4293),
    [aux_sym_file_position_statement_token3] = ACTIONS(4293),
    [aux_sym_file_position_statement_token4] = ACTIONS(4293),
    [aux_sym_allocate_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_logical_expression_token5] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4293),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4295),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [aux_sym_boolean_literal_token1] = ACTIONS(4295),
    [aux_sym_boolean_literal_token2] = ACTIONS(4295),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_statement_token13] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
    [sym__float_literal] = ACTIONS(4295),
    [sym__boz_literal] = ACTIONS(4295),
    [sym__string_literal] = ACTIONS(4295),
    [sym__string_literal_kind] = ACTIONS(4295),
  },
  [1696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token2] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [aux_sym_preproc_else_token1] = ACTIONS(4297),
    [aux_sym_preproc_elif_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(4297),
    [sym_preproc_comment] = ACTIONS(4299),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [anon_sym_SEMI] = ACTIONS(4299),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_subroutine_call_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token1] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_keyword_statement_token4] = ACTIONS(4297),
    [aux_sym_keyword_statement_token6] = ACTIONS(4297),
    [aux_sym_keyword_statement_token7] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4297),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_select_case_statement_token3] = ACTIONS(4297),
    [aux_sym_select_type_statement_token1] = ACTIONS(4297),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_associate_statement_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_print_statement_token1] = ACTIONS(4297),
    [aux_sym_open_statement_token1] = ACTIONS(4297),
    [aux_sym_close_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token1] = ACTIONS(4297),
    [aux_sym_file_position_statement_token2] = ACTIONS(4297),
    [aux_sym_file_position_statement_token3] = ACTIONS(4297),
    [aux_sym_file_position_statement_token4] = ACTIONS(4297),
    [aux_sym_allocate_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_logical_expression_token5] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4299),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [aux_sym_boolean_literal_token1] = ACTIONS(4299),
    [aux_sym_boolean_literal_token2] = ACTIONS(4299),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_statement_token13] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
    [sym__float_literal] = ACTIONS(4299),
    [sym__boz_literal] = ACTIONS(4299),
    [sym__string_literal] = ACTIONS(4299),
    [sym__string_literal_kind] = ACTIONS(4299),
  },
  [1698] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_subroutine_call_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token1] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_keyword_statement_token4] = ACTIONS(4285),
    [aux_sym_keyword_statement_token6] = ACTIONS(4285),
    [aux_sym_keyword_statement_token7] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4285),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_select_case_statement_token3] = ACTIONS(4285),
    [aux_sym_select_type_statement_token1] = ACTIONS(4285),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_associate_statement_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_print_statement_token1] = ACTIONS(4285),
    [aux_sym_open_statement_token1] = ACTIONS(4285),
    [aux_sym_close_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token1] = ACTIONS(4285),
    [aux_sym_file_position_statement_token2] = ACTIONS(4285),
    [aux_sym_file_position_statement_token3] = ACTIONS(4285),
    [aux_sym_file_position_statement_token4] = ACTIONS(4285),
    [aux_sym_allocate_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_logical_expression_token5] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_boolean_literal_token1] = ACTIONS(4287),
    [aux_sym_boolean_literal_token2] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_statement_token13] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
    [sym__float_literal] = ACTIONS(4287),
    [sym__boz_literal] = ACTIONS(4287),
    [sym__string_literal] = ACTIONS(4287),
    [sym__string_literal_kind] = ACTIONS(4287),
  },
  [1699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token3] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym_derived_type_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_end_select_statement_token1] = ACTIONS(4301),
    [aux_sym_type_statement_token2] = ACTIONS(4301),
    [aux_sym_type_statement_token3] = ACTIONS(4301),
    [aux_sym__class_default_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token3] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym_derived_type_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_end_select_statement_token1] = ACTIONS(4307),
    [aux_sym_type_statement_token2] = ACTIONS(4307),
    [aux_sym_type_statement_token3] = ACTIONS(4307),
    [aux_sym__class_default_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token3] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym_derived_type_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_type_statement_token2] = ACTIONS(4317),
    [aux_sym_type_statement_token3] = ACTIONS(4317),
    [aux_sym__class_default_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token3] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym_derived_type_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_type_statement_token2] = ACTIONS(4349),
    [aux_sym_type_statement_token3] = ACTIONS(4349),
    [aux_sym__class_default_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5666),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token3] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym_derived_type_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_type_statement_token2] = ACTIONS(4499),
    [aux_sym_type_statement_token3] = ACTIONS(4499),
    [aux_sym__class_default_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1704] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token3] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym_derived_type_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_type_statement_token2] = ACTIONS(4525),
    [aux_sym_type_statement_token3] = ACTIONS(4525),
    [aux_sym__class_default_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5670),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token3] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym_derived_type_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_type_statement_token2] = ACTIONS(5002),
    [aux_sym_type_statement_token3] = ACTIONS(5002),
    [aux_sym__class_default_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token3] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym_derived_type_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_type_statement_token2] = ACTIONS(5026),
    [aux_sym_type_statement_token3] = ACTIONS(5026),
    [aux_sym__class_default_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token3] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym_derived_type_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_end_select_statement_token1] = ACTIONS(5618),
    [aux_sym_type_statement_token2] = ACTIONS(5618),
    [aux_sym_type_statement_token3] = ACTIONS(5618),
    [aux_sym__class_default_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1708] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token3] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym_derived_type_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_end_select_statement_token1] = ACTIONS(5600),
    [aux_sym_type_statement_token2] = ACTIONS(5600),
    [aux_sym_type_statement_token3] = ACTIONS(5600),
    [aux_sym__class_default_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5678),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token3] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym_derived_type_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_end_select_statement_token1] = ACTIONS(5594),
    [aux_sym_type_statement_token2] = ACTIONS(5594),
    [aux_sym_type_statement_token3] = ACTIONS(5594),
    [aux_sym__class_default_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token3] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym_derived_type_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_end_select_statement_token1] = ACTIONS(5606),
    [aux_sym_type_statement_token2] = ACTIONS(5606),
    [aux_sym_type_statement_token3] = ACTIONS(5606),
    [aux_sym__class_default_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1711] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5682),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token3] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym_derived_type_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_end_select_statement_token1] = ACTIONS(5612),
    [aux_sym_type_statement_token2] = ACTIONS(5612),
    [aux_sym_type_statement_token3] = ACTIONS(5612),
    [aux_sym__class_default_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1712] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token3] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym_derived_type_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_end_select_statement_token1] = ACTIONS(5624),
    [aux_sym_type_statement_token2] = ACTIONS(5624),
    [aux_sym_type_statement_token3] = ACTIONS(5624),
    [aux_sym__class_default_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1713] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token3] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym_derived_type_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_end_select_statement_token1] = ACTIONS(5630),
    [aux_sym_type_statement_token2] = ACTIONS(5630),
    [aux_sym_type_statement_token3] = ACTIONS(5630),
    [aux_sym__class_default_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1714] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [aux_sym_preproc_else_token1] = ACTIONS(4301),
    [aux_sym_preproc_elif_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_contains_statement_token1] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1718] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [aux_sym_preproc_else_token1] = ACTIONS(4307),
    [aux_sym_preproc_elif_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_contains_statement_token1] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1724] = {
    [sym_assignment] = STATE(6162),
    [sym_operator] = STATE(6162),
    [sym_defined_io_procedure] = STATE(6162),
    [sym__generic_procedure] = STATE(6162),
    [sym_identifier] = STATE(6162),
    [sym__end_of_statement] = STATE(1514),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5702),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5704),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5704),
  },
  [1725] = {
    [sym_assignment] = STATE(6126),
    [sym_operator] = STATE(6126),
    [sym_defined_io_procedure] = STATE(6126),
    [sym__generic_procedure] = STATE(6126),
    [sym_identifier] = STATE(6126),
    [sym__end_of_statement] = STATE(1538),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5706),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5708),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5708),
  },
  [1726] = {
    [anon_sym_COMMA] = ACTIONS(5710),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5718),
    [aux_sym_module_statement_token1] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5718),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5718),
    [aux_sym_function_statement_token1] = ACTIONS(5718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5718),
    [aux_sym_use_statement_token2] = ACTIONS(5718),
    [anon_sym_COLON_COLON] = ACTIONS(5710),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token3] = ACTIONS(5718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5718),
    [aux_sym_save_statement_token1] = ACTIONS(5718),
    [aux_sym_private_statement_token1] = ACTIONS(5718),
    [aux_sym_public_statement_token1] = ACTIONS(5718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5718),
    [aux_sym_variable_attributes_token2] = ACTIONS(5718),
    [aux_sym_variable_attributes_token3] = ACTIONS(5718),
    [aux_sym_variable_attributes_token5] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5718),
    [aux_sym_derived_type_token1] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5718),
    [aux_sym_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5718),
    [aux_sym_stop_statement_token1] = ACTIONS(5718),
    [aux_sym_stop_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token3] = ACTIONS(5718),
    [aux_sym_data_statement_token1] = ACTIONS(5718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5718),
    [aux_sym_end_if_statement_token1] = ACTIONS(5718),
    [aux_sym_elseif_clause_token2] = ACTIONS(5718),
    [aux_sym_select_case_statement_token1] = ACTIONS(5718),
    [aux_sym_block_construct_token1] = ACTIONS(5718),
    [aux_sym_format_statement_token1] = ACTIONS(5718),
    [aux_sym_inquire_statement_token1] = ACTIONS(5718),
    [aux_sym_entry_statement_token1] = ACTIONS(5718),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token2] = ACTIONS(5718),
    [aux_sym_coarray_statement_token6] = ACTIONS(5718),
    [aux_sym_coarray_statement_token8] = ACTIONS(5718),
    [aux_sym_coarray_statement_token11] = ACTIONS(5718),
    [aux_sym_coarray_statement_token12] = ACTIONS(5718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5718),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5718),
    [sym_comment] = ACTIONS(21),
  },
  [1727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5720),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1731] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5724),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1732] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [aux_sym_preproc_else_token1] = ACTIONS(5726),
    [aux_sym_preproc_elif_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_end_program_statement_token2] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [1734] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5730),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1735] = {
    [sym_assignment] = STATE(6127),
    [sym_operator] = STATE(6127),
    [sym_defined_io_procedure] = STATE(6127),
    [sym__generic_procedure] = STATE(6127),
    [sym_identifier] = STATE(6127),
    [sym__end_of_statement] = STATE(1155),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5732),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5734),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5734),
  },
  [1736] = {
    [sym_assignment] = STATE(6130),
    [sym_operator] = STATE(6130),
    [sym_defined_io_procedure] = STATE(6130),
    [sym__generic_procedure] = STATE(6130),
    [sym_identifier] = STATE(6130),
    [sym__end_of_statement] = STATE(1122),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5736),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5738),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5738),
  },
  [1737] = {
    [sym_assignment] = STATE(6232),
    [sym_operator] = STATE(6232),
    [sym_defined_io_procedure] = STATE(6232),
    [sym__generic_procedure] = STATE(6232),
    [sym_identifier] = STATE(6232),
    [sym__end_of_statement] = STATE(1629),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5740),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5742),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5742),
  },
  [1738] = {
    [sym_assignment] = STATE(6237),
    [sym_operator] = STATE(6237),
    [sym_defined_io_procedure] = STATE(6237),
    [sym__generic_procedure] = STATE(6237),
    [sym_identifier] = STATE(6237),
    [sym__end_of_statement] = STATE(1630),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5744),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5746),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5746),
  },
  [1739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [aux_sym_preproc_else_token1] = ACTIONS(5748),
    [aux_sym_preproc_elif_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_end_program_statement_token2] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [1740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1741] = {
    [sym_assignment] = STATE(6117),
    [sym_operator] = STATE(6117),
    [sym_defined_io_procedure] = STATE(6117),
    [sym__generic_procedure] = STATE(6117),
    [sym_identifier] = STATE(6117),
    [sym__end_of_statement] = STATE(1386),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5752),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5754),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5754),
  },
  [1742] = {
    [sym_assignment] = STATE(6120),
    [sym_operator] = STATE(6120),
    [sym_defined_io_procedure] = STATE(6120),
    [sym__generic_procedure] = STATE(6120),
    [sym_identifier] = STATE(6120),
    [sym__end_of_statement] = STATE(1387),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5756),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5758),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5758),
  },
  [1743] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_end_program_statement_token2] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [1744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_end_program_statement_token2] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1745] = {
    [sym_assignment] = STATE(6092),
    [sym_operator] = STATE(6092),
    [sym_defined_io_procedure] = STATE(6092),
    [sym__generic_procedure] = STATE(6092),
    [sym_identifier] = STATE(6092),
    [sym__end_of_statement] = STATE(1430),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5768),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5770),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5770),
  },
  [1746] = {
    [sym_assignment] = STATE(6093),
    [sym_operator] = STATE(6093),
    [sym_defined_io_procedure] = STATE(6093),
    [sym__generic_procedure] = STATE(6093),
    [sym_identifier] = STATE(6093),
    [sym__end_of_statement] = STATE(1432),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5772),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5774),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5774),
  },
  [1747] = {
    [sym_assignment] = STATE(6188),
    [sym_operator] = STATE(6188),
    [sym_defined_io_procedure] = STATE(6188),
    [sym__generic_procedure] = STATE(6188),
    [sym_identifier] = STATE(6188),
    [sym__end_of_statement] = STATE(1309),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5776),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5778),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5778),
  },
  [1748] = {
    [sym_assignment] = STATE(6191),
    [sym_operator] = STATE(6191),
    [sym_defined_io_procedure] = STATE(6191),
    [sym__generic_procedure] = STATE(6191),
    [sym_identifier] = STATE(6191),
    [sym__end_of_statement] = STATE(1310),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5780),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5782),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5782),
  },
  [1749] = {
    [sym_assignment] = STATE(6233),
    [sym_operator] = STATE(6233),
    [sym_defined_io_procedure] = STATE(6233),
    [sym__generic_procedure] = STATE(6233),
    [sym_identifier] = STATE(6233),
    [sym__end_of_statement] = STATE(1187),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5784),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5786),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5786),
  },
  [1750] = {
    [sym_assignment] = STATE(6234),
    [sym_operator] = STATE(6234),
    [sym_defined_io_procedure] = STATE(6234),
    [sym__generic_procedure] = STATE(6234),
    [sym_identifier] = STATE(6234),
    [sym__end_of_statement] = STATE(1188),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5788),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5790),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5790),
  },
  [1751] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [aux_sym_preproc_else_token1] = ACTIONS(5792),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_end_program_statement_token2] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [1753] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5796),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1754] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1755] = {
    [sym_assignment] = STATE(6227),
    [sym_operator] = STATE(6227),
    [sym_defined_io_procedure] = STATE(6227),
    [sym__generic_procedure] = STATE(6227),
    [sym_identifier] = STATE(6227),
    [sym__end_of_statement] = STATE(1609),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5802),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5804),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5804),
  },
  [1756] = {
    [sym_assignment] = STATE(6271),
    [sym_operator] = STATE(6271),
    [sym_defined_io_procedure] = STATE(6271),
    [sym__generic_procedure] = STATE(6271),
    [sym_identifier] = STATE(6271),
    [sym__end_of_statement] = STATE(1610),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5806),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5808),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5808),
  },
  [1757] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1758] = {
    [sym_assignment] = STATE(6182),
    [sym_operator] = STATE(6182),
    [sym_defined_io_procedure] = STATE(6182),
    [sym__generic_procedure] = STATE(6182),
    [sym_identifier] = STATE(6182),
    [sym__end_of_statement] = STATE(1482),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5810),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5812),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5812),
  },
  [1759] = {
    [sym_assignment] = STATE(6184),
    [sym_operator] = STATE(6184),
    [sym_defined_io_procedure] = STATE(6184),
    [sym__generic_procedure] = STATE(6184),
    [sym_identifier] = STATE(6184),
    [sym__end_of_statement] = STATE(1483),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(5814),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(5816),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(5816),
  },
  [1760] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [aux_sym_preproc_else_token1] = ACTIONS(5818),
    [aux_sym_preproc_elif_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_end_program_statement_token2] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [1761] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_end_program_statement_token2] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [1763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [aux_sym_preproc_else_token1] = ACTIONS(5828),
    [aux_sym_preproc_elif_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_end_program_statement_token2] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_contains_statement_token1] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [1764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5832),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [aux_sym_preproc_else_token1] = ACTIONS(5726),
    [aux_sym_preproc_elif_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [1766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [aux_sym_preproc_else_token1] = ACTIONS(5748),
    [aux_sym_preproc_elif_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [1767] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [1768] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [aux_sym_preproc_else_token1] = ACTIONS(5792),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [1769] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1770] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [aux_sym_preproc_else_token1] = ACTIONS(5818),
    [aux_sym_preproc_elif_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [1771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [1772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token3] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym_derived_type_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_type_statement_token2] = ACTIONS(2079),
    [aux_sym_type_statement_token3] = ACTIONS(2079),
    [aux_sym__class_default_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token3] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym_derived_type_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_end_select_statement_token1] = ACTIONS(5828),
    [aux_sym_type_statement_token2] = ACTIONS(5828),
    [aux_sym_type_statement_token3] = ACTIONS(5828),
    [aux_sym__class_default_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [1778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token3] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym_derived_type_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_type_statement_token2] = ACTIONS(4317),
    [aux_sym_type_statement_token3] = ACTIONS(4317),
    [aux_sym__class_default_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token3] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym_derived_type_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_type_statement_token2] = ACTIONS(4349),
    [aux_sym_type_statement_token3] = ACTIONS(4349),
    [aux_sym__class_default_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token3] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym_derived_type_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_type_statement_token2] = ACTIONS(4499),
    [aux_sym_type_statement_token3] = ACTIONS(4499),
    [aux_sym__class_default_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token3] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym_derived_type_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_type_statement_token2] = ACTIONS(4525),
    [aux_sym_type_statement_token3] = ACTIONS(4525),
    [aux_sym__class_default_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1783] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token3] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym_derived_type_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_type_statement_token2] = ACTIONS(5002),
    [aux_sym_type_statement_token3] = ACTIONS(5002),
    [aux_sym__class_default_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1785] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [1786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token3] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym_derived_type_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_type_statement_token2] = ACTIONS(5026),
    [aux_sym_type_statement_token3] = ACTIONS(5026),
    [aux_sym__class_default_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token3] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym_derived_type_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_select_statement_token1] = ACTIONS(5068),
    [aux_sym_type_statement_token2] = ACTIONS(5068),
    [aux_sym_type_statement_token3] = ACTIONS(5068),
    [aux_sym__class_default_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [1789] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token3] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym_derived_type_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_end_select_statement_token1] = ACTIONS(5100),
    [aux_sym_type_statement_token2] = ACTIONS(5100),
    [aux_sym_type_statement_token3] = ACTIONS(5100),
    [aux_sym__class_default_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token3] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym_derived_type_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_end_select_statement_token1] = ACTIONS(5726),
    [aux_sym_type_statement_token2] = ACTIONS(5726),
    [aux_sym_type_statement_token3] = ACTIONS(5726),
    [aux_sym__class_default_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [1791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token3] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym_derived_type_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_end_select_statement_token1] = ACTIONS(5748),
    [aux_sym_type_statement_token2] = ACTIONS(5748),
    [aux_sym_type_statement_token3] = ACTIONS(5748),
    [aux_sym__class_default_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [1792] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token3] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym_derived_type_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_end_select_statement_token1] = ACTIONS(5760),
    [aux_sym_type_statement_token2] = ACTIONS(5760),
    [aux_sym_type_statement_token3] = ACTIONS(5760),
    [aux_sym__class_default_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [1793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token3] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym_derived_type_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_end_select_statement_token1] = ACTIONS(5792),
    [aux_sym_type_statement_token2] = ACTIONS(5792),
    [aux_sym_type_statement_token3] = ACTIONS(5792),
    [aux_sym__class_default_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [1794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token3] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym_derived_type_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_end_select_statement_token1] = ACTIONS(5798),
    [aux_sym_type_statement_token2] = ACTIONS(5798),
    [aux_sym_type_statement_token3] = ACTIONS(5798),
    [aux_sym__class_default_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token3] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym_derived_type_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_end_select_statement_token1] = ACTIONS(5818),
    [aux_sym_type_statement_token2] = ACTIONS(5818),
    [aux_sym_type_statement_token3] = ACTIONS(5818),
    [aux_sym__class_default_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [1796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token3] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym_derived_type_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_end_select_statement_token1] = ACTIONS(5824),
    [aux_sym_type_statement_token2] = ACTIONS(5824),
    [aux_sym_type_statement_token3] = ACTIONS(5824),
    [aux_sym__class_default_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [1797] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token3] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym_derived_type_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_end_select_statement_token1] = ACTIONS(5764),
    [aux_sym_type_statement_token2] = ACTIONS(5764),
    [aux_sym_type_statement_token3] = ACTIONS(5764),
    [aux_sym__class_default_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [aux_sym_preproc_else_token1] = ACTIONS(5828),
    [aux_sym_preproc_elif_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_contains_statement_token1] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [1800] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(8452),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [aux_sym_preproc_else_token1] = ACTIONS(4307),
    [aux_sym_preproc_elif_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5844),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1803] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5848),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5852),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1806] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [aux_sym_preproc_else_token1] = ACTIONS(5618),
    [aux_sym_preproc_elif_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [aux_sym_preproc_else_token1] = ACTIONS(5630),
    [aux_sym_preproc_elif_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5868),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_end_select_statement_token1] = ACTIONS(4629),
    [aux_sym_type_statement_token2] = ACTIONS(4629),
    [aux_sym_type_statement_token3] = ACTIONS(4629),
    [aux_sym__class_default_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_end_select_statement_token1] = ACTIONS(4637),
    [aux_sym_type_statement_token2] = ACTIONS(4637),
    [aux_sym_type_statement_token3] = ACTIONS(4637),
    [aux_sym__class_default_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1825] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_end_select_statement_token1] = ACTIONS(4401),
    [aux_sym_type_statement_token2] = ACTIONS(4401),
    [aux_sym_type_statement_token3] = ACTIONS(4401),
    [aux_sym__class_default_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_end_select_statement_token1] = ACTIONS(4529),
    [aux_sym_type_statement_token2] = ACTIONS(4529),
    [aux_sym_type_statement_token3] = ACTIONS(4529),
    [aux_sym__class_default_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_end_select_statement_token1] = ACTIONS(4405),
    [aux_sym_type_statement_token2] = ACTIONS(4405),
    [aux_sym_type_statement_token3] = ACTIONS(4405),
    [aux_sym__class_default_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_end_select_statement_token1] = ACTIONS(4409),
    [aux_sym_type_statement_token2] = ACTIONS(4409),
    [aux_sym_type_statement_token3] = ACTIONS(4409),
    [aux_sym__class_default_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_end_select_statement_token1] = ACTIONS(4413),
    [aux_sym_type_statement_token2] = ACTIONS(4413),
    [aux_sym_type_statement_token3] = ACTIONS(4413),
    [aux_sym__class_default_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1830] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(7786),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1831] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(7838),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1832] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(7788),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1833] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(7797),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1834] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8661),
    [sym_derived_type] = STATE(8661),
    [sym__expression] = STATE(4409),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym__type_spec] = STATE(2930),
    [sym__ac_value_list] = STATE(8450),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token3] = ACTIONS(5836),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5838),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym_derived_type_token1] = ACTIONS(83),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [aux_sym_preproc_else_token1] = ACTIONS(4301),
    [aux_sym_preproc_elif_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5872),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1836] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [aux_sym_preproc_else_token1] = ACTIONS(5748),
    [aux_sym_preproc_elif_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [1837] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [aux_sym_preproc_else_token1] = ACTIONS(5828),
    [aux_sym_preproc_elif_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [1840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [aux_sym_preproc_else_token1] = ACTIONS(4317),
    [aux_sym_preproc_elif_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [aux_sym_preproc_else_token1] = ACTIONS(4499),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [aux_sym_preproc_else_token1] = ACTIONS(4525),
    [aux_sym_preproc_elif_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [aux_sym_preproc_else_token1] = ACTIONS(5002),
    [aux_sym_preproc_elif_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [aux_sym_preproc_else_token1] = ACTIONS(5068),
    [aux_sym_preproc_elif_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [1847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1848] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [aux_sym_preproc_else_token1] = ACTIONS(5726),
    [aux_sym_preproc_elif_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [1849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [1850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [aux_sym_preproc_else_token1] = ACTIONS(5792),
    [aux_sym_preproc_elif_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [1851] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [aux_sym_preproc_else_token1] = ACTIONS(5798),
    [aux_sym_preproc_elif_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [aux_sym_preproc_else_token1] = ACTIONS(5818),
    [aux_sym_preproc_elif_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [1853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [1854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_end_program_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5876),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym_end_where_statement_token1] = ACTIONS(5630),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1863] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym_end_where_statement_token1] = ACTIONS(5594),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5880),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_end_program_statement_token2] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_contains_statement_token1] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym_end_where_statement_token1] = ACTIONS(5556),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5884),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5888),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym_end_where_statement_token1] = ACTIONS(5606),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym_end_where_statement_token1] = ACTIONS(5618),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5892),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_end_program_statement_token2] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_contains_statement_token1] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym_end_where_statement_token1] = ACTIONS(4301),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5898),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5900),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym_end_where_statement_token1] = ACTIONS(5600),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5902),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym_end_where_statement_token1] = ACTIONS(5612),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5904),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym_end_where_statement_token1] = ACTIONS(5624),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5906),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1878] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym_end_where_statement_token1] = ACTIONS(4307),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1879] = {
    [sym__expression] = STATE(4372),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6916),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6916),
    [sym_multiple_subscript] = STATE(6916),
    [sym_multiple_subscript_triplet] = STATE(6916),
    [sym_assumed_size] = STATE(6916),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5922),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1880] = {
    [sym__expression] = STATE(4432),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6528),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6528),
    [sym_multiple_subscript] = STATE(6528),
    [sym_multiple_subscript_triplet] = STATE(6528),
    [sym_assumed_size] = STATE(6528),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5926),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5928),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1882] = {
    [sym__expression] = STATE(4389),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7216),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7216),
    [sym_multiple_subscript] = STATE(7216),
    [sym_multiple_subscript_triplet] = STATE(7216),
    [sym_assumed_size] = STATE(7216),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5932),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym_end_where_statement_token1] = ACTIONS(4349),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(5936),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym_end_where_statement_token1] = ACTIONS(4499),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1885] = {
    [sym__expression] = STATE(4423),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7272),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7272),
    [sym_multiple_subscript] = STATE(7272),
    [sym_multiple_subscript_triplet] = STATE(7272),
    [sym_assumed_size] = STATE(7272),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5940),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1886] = {
    [sym__expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6603),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6603),
    [sym_multiple_subscript] = STATE(6603),
    [sym_multiple_subscript_triplet] = STATE(6603),
    [sym_assumed_size] = STATE(6603),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1887] = {
    [sym__expression] = STATE(4404),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7272),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7272),
    [sym_multiple_subscript] = STATE(7272),
    [sym_multiple_subscript_triplet] = STATE(7272),
    [sym_assumed_size] = STATE(7272),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5938),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5940),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym_end_where_statement_token1] = ACTIONS(4525),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1889] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym_end_where_statement_token1] = ACTIONS(5002),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(5950),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym_end_where_statement_token1] = ACTIONS(5026),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1891] = {
    [sym__expression] = STATE(4378),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6528),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6528),
    [sym_multiple_subscript] = STATE(6528),
    [sym_multiple_subscript_triplet] = STATE(6528),
    [sym_assumed_size] = STATE(6528),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5926),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1892] = {
    [sym__expression] = STATE(4392),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6603),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6603),
    [sym_multiple_subscript] = STATE(6603),
    [sym_multiple_subscript_triplet] = STATE(6603),
    [sym_assumed_size] = STATE(6603),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5942),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5944),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_end_program_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1894] = {
    [sym__expression] = STATE(4381),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6669),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6669),
    [sym_multiple_subscript] = STATE(6669),
    [sym_multiple_subscript_triplet] = STATE(6669),
    [sym_assumed_size] = STATE(6669),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5956),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_end_program_statement_token2] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1896] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1897] = {
    [sym__expression] = STATE(4419),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7216),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7216),
    [sym_multiple_subscript] = STATE(7216),
    [sym_multiple_subscript_triplet] = STATE(7216),
    [sym_assumed_size] = STATE(7216),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_RPAREN] = ACTIONS(5930),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(5932),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [1898] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_end_program_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1899] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5964),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_end_program_statement_token2] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(5968),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_end_program_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym_end_where_statement_token1] = ACTIONS(4317),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_end_function_statement_token1] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym_end_where_statement_token1] = ACTIONS(5748),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [1905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(5974),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5976),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5978),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1908] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5980),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1909] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5982),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1910] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym_end_where_statement_token1] = ACTIONS(5760),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [1911] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5984),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1912] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1913] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym_end_where_statement_token1] = ACTIONS(4629),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1914] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym_end_where_statement_token1] = ACTIONS(4637),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1915] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym_end_where_statement_token1] = ACTIONS(4401),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1916] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym_end_where_statement_token1] = ACTIONS(4529),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1917] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym_end_where_statement_token1] = ACTIONS(4405),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1918] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym_end_where_statement_token1] = ACTIONS(4409),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1919] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(5988),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token2] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_end_select_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1920] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym_end_where_statement_token1] = ACTIONS(4413),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1921] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(5990),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token2] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_end_select_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1922] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(5992),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token2] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_end_select_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1923] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token2] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_end_select_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1924] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(5996),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token2] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_end_select_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1925] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(5998),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token2] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_end_select_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1926] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6000),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token2] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_end_select_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1927] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6002),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token2] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_end_select_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1928] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6004),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1929] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym_end_where_statement_token1] = ACTIONS(5792),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [1930] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6006),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1931] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [sym_preproc_comment] = ACTIONS(6010),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_end_function_statement_token1] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [1932] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym_end_where_statement_token1] = ACTIONS(5798),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [1933] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token2] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_end_select_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [1934] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6016),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_end_function_statement_token1] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1935] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym_end_where_statement_token1] = ACTIONS(5818),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [1936] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [1937] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6018),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1938] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6020),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token2] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_end_select_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [1939] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym_end_where_statement_token1] = ACTIONS(5824),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [1940] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6022),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token2] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1941] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym_end_where_statement_token1] = ACTIONS(5764),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1942] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1943] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6024),
    [aux_sym_preproc_def_token1] = ACTIONS(6024),
    [aux_sym_preproc_if_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6024),
    [sym_preproc_directive] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [sym_preproc_comment] = ACTIONS(6026),
    [anon_sym_PLUS] = ACTIONS(6028),
    [anon_sym_DASH] = ACTIONS(6028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6024),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6024),
    [aux_sym_contains_statement_token1] = ACTIONS(6024),
    [aux_sym_use_statement_token2] = ACTIONS(6024),
    [aux_sym_implicit_statement_token4] = ACTIONS(6024),
    [aux_sym_save_statement_token1] = ACTIONS(6024),
    [aux_sym_private_statement_token1] = ACTIONS(6024),
    [aux_sym_public_statement_token1] = ACTIONS(6024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6024),
    [aux_sym_variable_attributes_token2] = ACTIONS(6024),
    [aux_sym_variable_attributes_token3] = ACTIONS(6024),
    [aux_sym_variable_attributes_token5] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6024),
    [aux_sym_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym_type_qualifier_token2] = ACTIONS(6024),
    [anon_sym_SEMI] = ACTIONS(6028),
    [aux_sym_stop_statement_token1] = ACTIONS(6024),
    [aux_sym_stop_statement_token2] = ACTIONS(6024),
    [aux_sym_subroutine_call_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token2] = ACTIONS(6024),
    [aux_sym_keyword_statement_token3] = ACTIONS(6024),
    [aux_sym_keyword_statement_token4] = ACTIONS(6024),
    [aux_sym_keyword_statement_token6] = ACTIONS(6024),
    [aux_sym_keyword_statement_token7] = ACTIONS(6024),
    [aux_sym_include_statement_token1] = ACTIONS(6024),
    [aux_sym_data_statement_token1] = ACTIONS(6024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6024),
    [aux_sym_end_if_statement_token1] = ACTIONS(6024),
    [aux_sym_elseif_clause_token2] = ACTIONS(6024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token3] = ACTIONS(6024),
    [aux_sym_select_type_statement_token1] = ACTIONS(6024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6024),
    [aux_sym_block_construct_token1] = ACTIONS(6024),
    [aux_sym_associate_statement_token1] = ACTIONS(6024),
    [aux_sym_format_statement_token1] = ACTIONS(6024),
    [aux_sym_print_statement_token1] = ACTIONS(6024),
    [aux_sym_open_statement_token1] = ACTIONS(6024),
    [aux_sym_close_statement_token1] = ACTIONS(6024),
    [aux_sym_inquire_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token2] = ACTIONS(6024),
    [aux_sym_file_position_statement_token3] = ACTIONS(6024),
    [aux_sym_file_position_statement_token4] = ACTIONS(6024),
    [aux_sym_allocate_statement_token1] = ACTIONS(6024),
    [aux_sym_entry_statement_token1] = ACTIONS(6024),
    [aux_sym_logical_expression_token5] = ACTIONS(6028),
    [anon_sym_DOT] = ACTIONS(6024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [aux_sym_boolean_literal_token1] = ACTIONS(6028),
    [aux_sym_boolean_literal_token2] = ACTIONS(6028),
    [aux_sym_null_literal_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token2] = ACTIONS(6024),
    [aux_sym_coarray_statement_token6] = ACTIONS(6024),
    [aux_sym_coarray_statement_token8] = ACTIONS(6024),
    [aux_sym_coarray_statement_token11] = ACTIONS(6024),
    [aux_sym_coarray_statement_token12] = ACTIONS(6024),
    [aux_sym_coarray_statement_token13] = ACTIONS(6024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6024),
    [aux_sym_identifier_token1] = ACTIONS(6024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6028),
    [sym__float_literal] = ACTIONS(6028),
    [sym__boz_literal] = ACTIONS(6028),
    [sym__string_literal] = ACTIONS(6028),
    [sym__string_literal_kind] = ACTIONS(6028),
  },
  [1944] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1945] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1946] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6032),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_end_function_statement_token1] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1947] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6034),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_end_function_statement_token1] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1948] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [sym_preproc_comment] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [1949] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6042),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [1950] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6044),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [1951] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [1952] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [1953] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [1954] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [1955] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [1956] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [1957] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [1958] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6046),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [1959] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6048),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [1960] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6050),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1961] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6052),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1962] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6054),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1963] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6056),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [1964] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_end_program_statement_token2] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [1965] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6058),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [1966] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6060),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token2] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1967] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6062),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token2] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6064),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_end_function_statement_token1] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1969] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_end_program_statement_token2] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_contains_statement_token1] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [1970] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [1971] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6066),
    [aux_sym_preproc_def_token1] = ACTIONS(6066),
    [aux_sym_preproc_if_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6066),
    [sym_preproc_directive] = ACTIONS(6066),
    [anon_sym_LPAREN2] = ACTIONS(6066),
    [sym_preproc_comment] = ACTIONS(6068),
    [anon_sym_PLUS] = ACTIONS(6070),
    [anon_sym_DASH] = ACTIONS(6070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6066),
    [aux_sym_end_function_statement_token1] = ACTIONS(6066),
    [aux_sym_contains_statement_token1] = ACTIONS(6066),
    [aux_sym_use_statement_token2] = ACTIONS(6066),
    [aux_sym_implicit_statement_token4] = ACTIONS(6066),
    [aux_sym_save_statement_token1] = ACTIONS(6066),
    [aux_sym_private_statement_token1] = ACTIONS(6066),
    [aux_sym_public_statement_token1] = ACTIONS(6066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6066),
    [aux_sym_variable_attributes_token2] = ACTIONS(6066),
    [aux_sym_variable_attributes_token3] = ACTIONS(6066),
    [aux_sym_variable_attributes_token5] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6066),
    [aux_sym_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym_type_qualifier_token2] = ACTIONS(6066),
    [anon_sym_SEMI] = ACTIONS(6070),
    [aux_sym_stop_statement_token1] = ACTIONS(6066),
    [aux_sym_stop_statement_token2] = ACTIONS(6066),
    [aux_sym_subroutine_call_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token2] = ACTIONS(6066),
    [aux_sym_keyword_statement_token3] = ACTIONS(6066),
    [aux_sym_keyword_statement_token4] = ACTIONS(6066),
    [aux_sym_keyword_statement_token6] = ACTIONS(6066),
    [aux_sym_keyword_statement_token7] = ACTIONS(6066),
    [aux_sym_include_statement_token1] = ACTIONS(6066),
    [aux_sym_data_statement_token1] = ACTIONS(6066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6066),
    [aux_sym_end_if_statement_token1] = ACTIONS(6066),
    [aux_sym_elseif_clause_token2] = ACTIONS(6066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token3] = ACTIONS(6066),
    [aux_sym_select_type_statement_token1] = ACTIONS(6066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6066),
    [aux_sym_block_construct_token1] = ACTIONS(6066),
    [aux_sym_associate_statement_token1] = ACTIONS(6066),
    [aux_sym_format_statement_token1] = ACTIONS(6066),
    [aux_sym_print_statement_token1] = ACTIONS(6066),
    [aux_sym_open_statement_token1] = ACTIONS(6066),
    [aux_sym_close_statement_token1] = ACTIONS(6066),
    [aux_sym_inquire_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token2] = ACTIONS(6066),
    [aux_sym_file_position_statement_token3] = ACTIONS(6066),
    [aux_sym_file_position_statement_token4] = ACTIONS(6066),
    [aux_sym_allocate_statement_token1] = ACTIONS(6066),
    [aux_sym_entry_statement_token1] = ACTIONS(6066),
    [aux_sym_logical_expression_token5] = ACTIONS(6070),
    [anon_sym_DOT] = ACTIONS(6066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6070),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [aux_sym_boolean_literal_token1] = ACTIONS(6070),
    [aux_sym_boolean_literal_token2] = ACTIONS(6070),
    [aux_sym_null_literal_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token2] = ACTIONS(6066),
    [aux_sym_coarray_statement_token6] = ACTIONS(6066),
    [aux_sym_coarray_statement_token8] = ACTIONS(6066),
    [aux_sym_coarray_statement_token11] = ACTIONS(6066),
    [aux_sym_coarray_statement_token12] = ACTIONS(6066),
    [aux_sym_coarray_statement_token13] = ACTIONS(6066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6066),
    [aux_sym_identifier_token1] = ACTIONS(6066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6070),
    [sym__float_literal] = ACTIONS(6070),
    [sym__boz_literal] = ACTIONS(6070),
    [sym__string_literal] = ACTIONS(6070),
    [sym__string_literal_kind] = ACTIONS(6070),
  },
  [1972] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6072),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6074),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token2] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1974] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6076),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token2] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [1975] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6078),
    [aux_sym_preproc_def_token1] = ACTIONS(6078),
    [aux_sym_preproc_if_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6078),
    [sym_preproc_directive] = ACTIONS(6078),
    [anon_sym_LPAREN2] = ACTIONS(6078),
    [sym_preproc_comment] = ACTIONS(6080),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6078),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6078),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6078),
    [aux_sym_contains_statement_token1] = ACTIONS(6078),
    [aux_sym_use_statement_token2] = ACTIONS(6078),
    [aux_sym_implicit_statement_token4] = ACTIONS(6078),
    [aux_sym_save_statement_token1] = ACTIONS(6078),
    [aux_sym_private_statement_token1] = ACTIONS(6078),
    [aux_sym_public_statement_token1] = ACTIONS(6078),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6078),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6078),
    [aux_sym_variable_attributes_token2] = ACTIONS(6078),
    [aux_sym_variable_attributes_token3] = ACTIONS(6078),
    [aux_sym_variable_attributes_token5] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6078),
    [aux_sym_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym_type_qualifier_token2] = ACTIONS(6078),
    [anon_sym_SEMI] = ACTIONS(6082),
    [aux_sym_stop_statement_token1] = ACTIONS(6078),
    [aux_sym_stop_statement_token2] = ACTIONS(6078),
    [aux_sym_subroutine_call_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token2] = ACTIONS(6078),
    [aux_sym_keyword_statement_token3] = ACTIONS(6078),
    [aux_sym_keyword_statement_token4] = ACTIONS(6078),
    [aux_sym_keyword_statement_token6] = ACTIONS(6078),
    [aux_sym_keyword_statement_token7] = ACTIONS(6078),
    [aux_sym_include_statement_token1] = ACTIONS(6078),
    [aux_sym_data_statement_token1] = ACTIONS(6078),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6078),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6078),
    [aux_sym_end_if_statement_token1] = ACTIONS(6078),
    [aux_sym_elseif_clause_token2] = ACTIONS(6078),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6078),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token3] = ACTIONS(6078),
    [aux_sym_select_type_statement_token1] = ACTIONS(6078),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6078),
    [aux_sym_block_construct_token1] = ACTIONS(6078),
    [aux_sym_associate_statement_token1] = ACTIONS(6078),
    [aux_sym_format_statement_token1] = ACTIONS(6078),
    [aux_sym_print_statement_token1] = ACTIONS(6078),
    [aux_sym_open_statement_token1] = ACTIONS(6078),
    [aux_sym_close_statement_token1] = ACTIONS(6078),
    [aux_sym_inquire_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token2] = ACTIONS(6078),
    [aux_sym_file_position_statement_token3] = ACTIONS(6078),
    [aux_sym_file_position_statement_token4] = ACTIONS(6078),
    [aux_sym_allocate_statement_token1] = ACTIONS(6078),
    [aux_sym_entry_statement_token1] = ACTIONS(6078),
    [aux_sym_logical_expression_token5] = ACTIONS(6082),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6082),
    [anon_sym_LBRACK] = ACTIONS(6082),
    [aux_sym_boolean_literal_token1] = ACTIONS(6082),
    [aux_sym_boolean_literal_token2] = ACTIONS(6082),
    [aux_sym_null_literal_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token2] = ACTIONS(6078),
    [aux_sym_coarray_statement_token6] = ACTIONS(6078),
    [aux_sym_coarray_statement_token8] = ACTIONS(6078),
    [aux_sym_coarray_statement_token11] = ACTIONS(6078),
    [aux_sym_coarray_statement_token12] = ACTIONS(6078),
    [aux_sym_coarray_statement_token13] = ACTIONS(6078),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6078),
    [aux_sym_identifier_token1] = ACTIONS(6078),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6082),
    [sym__float_literal] = ACTIONS(6082),
    [sym__boz_literal] = ACTIONS(6082),
    [sym__string_literal] = ACTIONS(6082),
    [sym__string_literal_kind] = ACTIONS(6082),
  },
  [1976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6084),
    [aux_sym_preproc_def_token1] = ACTIONS(6084),
    [aux_sym_preproc_if_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6084),
    [sym_preproc_directive] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [sym_preproc_comment] = ACTIONS(6086),
    [anon_sym_PLUS] = ACTIONS(6088),
    [anon_sym_DASH] = ACTIONS(6088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6084),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6084),
    [aux_sym_contains_statement_token1] = ACTIONS(6084),
    [aux_sym_use_statement_token2] = ACTIONS(6084),
    [aux_sym_implicit_statement_token4] = ACTIONS(6084),
    [aux_sym_save_statement_token1] = ACTIONS(6084),
    [aux_sym_private_statement_token1] = ACTIONS(6084),
    [aux_sym_public_statement_token1] = ACTIONS(6084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6084),
    [aux_sym_variable_attributes_token2] = ACTIONS(6084),
    [aux_sym_variable_attributes_token3] = ACTIONS(6084),
    [aux_sym_variable_attributes_token5] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6084),
    [aux_sym_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym_type_qualifier_token2] = ACTIONS(6084),
    [anon_sym_SEMI] = ACTIONS(6088),
    [aux_sym_stop_statement_token1] = ACTIONS(6084),
    [aux_sym_stop_statement_token2] = ACTIONS(6084),
    [aux_sym_subroutine_call_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token2] = ACTIONS(6084),
    [aux_sym_keyword_statement_token3] = ACTIONS(6084),
    [aux_sym_keyword_statement_token4] = ACTIONS(6084),
    [aux_sym_keyword_statement_token6] = ACTIONS(6084),
    [aux_sym_keyword_statement_token7] = ACTIONS(6084),
    [aux_sym_include_statement_token1] = ACTIONS(6084),
    [aux_sym_data_statement_token1] = ACTIONS(6084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6084),
    [aux_sym_end_if_statement_token1] = ACTIONS(6084),
    [aux_sym_elseif_clause_token2] = ACTIONS(6084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token3] = ACTIONS(6084),
    [aux_sym_select_type_statement_token1] = ACTIONS(6084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6084),
    [aux_sym_block_construct_token1] = ACTIONS(6084),
    [aux_sym_associate_statement_token1] = ACTIONS(6084),
    [aux_sym_format_statement_token1] = ACTIONS(6084),
    [aux_sym_print_statement_token1] = ACTIONS(6084),
    [aux_sym_open_statement_token1] = ACTIONS(6084),
    [aux_sym_close_statement_token1] = ACTIONS(6084),
    [aux_sym_inquire_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token2] = ACTIONS(6084),
    [aux_sym_file_position_statement_token3] = ACTIONS(6084),
    [aux_sym_file_position_statement_token4] = ACTIONS(6084),
    [aux_sym_allocate_statement_token1] = ACTIONS(6084),
    [aux_sym_entry_statement_token1] = ACTIONS(6084),
    [aux_sym_logical_expression_token5] = ACTIONS(6088),
    [anon_sym_DOT] = ACTIONS(6084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(6088),
    [aux_sym_boolean_literal_token1] = ACTIONS(6088),
    [aux_sym_boolean_literal_token2] = ACTIONS(6088),
    [aux_sym_null_literal_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token2] = ACTIONS(6084),
    [aux_sym_coarray_statement_token6] = ACTIONS(6084),
    [aux_sym_coarray_statement_token8] = ACTIONS(6084),
    [aux_sym_coarray_statement_token11] = ACTIONS(6084),
    [aux_sym_coarray_statement_token12] = ACTIONS(6084),
    [aux_sym_coarray_statement_token13] = ACTIONS(6084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6084),
    [aux_sym_identifier_token1] = ACTIONS(6084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6088),
    [sym__float_literal] = ACTIONS(6088),
    [sym__boz_literal] = ACTIONS(6088),
    [sym__string_literal] = ACTIONS(6088),
    [sym__string_literal_kind] = ACTIONS(6088),
  },
  [1977] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [sym_preproc_comment] = ACTIONS(6092),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [1978] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym_end_where_statement_token1] = ACTIONS(4317),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [1979] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [sym_preproc_comment] = ACTIONS(6098),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_end_function_statement_token1] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [1980] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6102),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_end_program_statement_token2] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_contains_statement_token1] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [1981] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [1982] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym_end_where_statement_token1] = ACTIONS(4349),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1983] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6104),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token2] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [1984] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6106),
    [aux_sym_preproc_def_token1] = ACTIONS(6106),
    [aux_sym_preproc_if_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6106),
    [sym_preproc_directive] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [sym_preproc_comment] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(6110),
    [anon_sym_DASH] = ACTIONS(6110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6106),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6106),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6106),
    [aux_sym_contains_statement_token1] = ACTIONS(6106),
    [aux_sym_use_statement_token2] = ACTIONS(6106),
    [aux_sym_implicit_statement_token4] = ACTIONS(6106),
    [aux_sym_save_statement_token1] = ACTIONS(6106),
    [aux_sym_private_statement_token1] = ACTIONS(6106),
    [aux_sym_public_statement_token1] = ACTIONS(6106),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6106),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6106),
    [aux_sym_variable_attributes_token2] = ACTIONS(6106),
    [aux_sym_variable_attributes_token3] = ACTIONS(6106),
    [aux_sym_variable_attributes_token5] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6106),
    [aux_sym_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym_type_qualifier_token2] = ACTIONS(6106),
    [anon_sym_SEMI] = ACTIONS(6110),
    [aux_sym_stop_statement_token1] = ACTIONS(6106),
    [aux_sym_stop_statement_token2] = ACTIONS(6106),
    [aux_sym_subroutine_call_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token2] = ACTIONS(6106),
    [aux_sym_keyword_statement_token3] = ACTIONS(6106),
    [aux_sym_keyword_statement_token4] = ACTIONS(6106),
    [aux_sym_keyword_statement_token6] = ACTIONS(6106),
    [aux_sym_keyword_statement_token7] = ACTIONS(6106),
    [aux_sym_include_statement_token1] = ACTIONS(6106),
    [aux_sym_data_statement_token1] = ACTIONS(6106),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6106),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6106),
    [aux_sym_end_if_statement_token1] = ACTIONS(6106),
    [aux_sym_elseif_clause_token2] = ACTIONS(6106),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6106),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token3] = ACTIONS(6106),
    [aux_sym_select_type_statement_token1] = ACTIONS(6106),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6106),
    [aux_sym_block_construct_token1] = ACTIONS(6106),
    [aux_sym_associate_statement_token1] = ACTIONS(6106),
    [aux_sym_format_statement_token1] = ACTIONS(6106),
    [aux_sym_print_statement_token1] = ACTIONS(6106),
    [aux_sym_open_statement_token1] = ACTIONS(6106),
    [aux_sym_close_statement_token1] = ACTIONS(6106),
    [aux_sym_inquire_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token2] = ACTIONS(6106),
    [aux_sym_file_position_statement_token3] = ACTIONS(6106),
    [aux_sym_file_position_statement_token4] = ACTIONS(6106),
    [aux_sym_allocate_statement_token1] = ACTIONS(6106),
    [aux_sym_entry_statement_token1] = ACTIONS(6106),
    [aux_sym_logical_expression_token5] = ACTIONS(6110),
    [anon_sym_DOT] = ACTIONS(6106),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [aux_sym_boolean_literal_token1] = ACTIONS(6110),
    [aux_sym_boolean_literal_token2] = ACTIONS(6110),
    [aux_sym_null_literal_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token2] = ACTIONS(6106),
    [aux_sym_coarray_statement_token6] = ACTIONS(6106),
    [aux_sym_coarray_statement_token8] = ACTIONS(6106),
    [aux_sym_coarray_statement_token11] = ACTIONS(6106),
    [aux_sym_coarray_statement_token12] = ACTIONS(6106),
    [aux_sym_coarray_statement_token13] = ACTIONS(6106),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6106),
    [aux_sym_identifier_token1] = ACTIONS(6106),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6110),
    [sym__float_literal] = ACTIONS(6110),
    [sym__boz_literal] = ACTIONS(6110),
    [sym__string_literal] = ACTIONS(6110),
    [sym__string_literal_kind] = ACTIONS(6110),
  },
  [1985] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym_end_where_statement_token1] = ACTIONS(4499),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [1986] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6112),
    [aux_sym_preproc_def_token1] = ACTIONS(6112),
    [aux_sym_preproc_if_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6112),
    [sym_preproc_directive] = ACTIONS(6112),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [sym_preproc_comment] = ACTIONS(6114),
    [anon_sym_PLUS] = ACTIONS(6116),
    [anon_sym_DASH] = ACTIONS(6116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6112),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6112),
    [aux_sym_contains_statement_token1] = ACTIONS(6112),
    [aux_sym_use_statement_token2] = ACTIONS(6112),
    [aux_sym_implicit_statement_token4] = ACTIONS(6112),
    [aux_sym_save_statement_token1] = ACTIONS(6112),
    [aux_sym_private_statement_token1] = ACTIONS(6112),
    [aux_sym_public_statement_token1] = ACTIONS(6112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6112),
    [aux_sym_variable_attributes_token2] = ACTIONS(6112),
    [aux_sym_variable_attributes_token3] = ACTIONS(6112),
    [aux_sym_variable_attributes_token5] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6112),
    [aux_sym_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym_type_qualifier_token2] = ACTIONS(6112),
    [anon_sym_SEMI] = ACTIONS(6116),
    [aux_sym_stop_statement_token1] = ACTIONS(6112),
    [aux_sym_stop_statement_token2] = ACTIONS(6112),
    [aux_sym_subroutine_call_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token2] = ACTIONS(6112),
    [aux_sym_keyword_statement_token3] = ACTIONS(6112),
    [aux_sym_keyword_statement_token4] = ACTIONS(6112),
    [aux_sym_keyword_statement_token6] = ACTIONS(6112),
    [aux_sym_keyword_statement_token7] = ACTIONS(6112),
    [aux_sym_include_statement_token1] = ACTIONS(6112),
    [aux_sym_data_statement_token1] = ACTIONS(6112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6112),
    [aux_sym_end_if_statement_token1] = ACTIONS(6112),
    [aux_sym_elseif_clause_token2] = ACTIONS(6112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token3] = ACTIONS(6112),
    [aux_sym_select_type_statement_token1] = ACTIONS(6112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6112),
    [aux_sym_block_construct_token1] = ACTIONS(6112),
    [aux_sym_associate_statement_token1] = ACTIONS(6112),
    [aux_sym_format_statement_token1] = ACTIONS(6112),
    [aux_sym_print_statement_token1] = ACTIONS(6112),
    [aux_sym_open_statement_token1] = ACTIONS(6112),
    [aux_sym_close_statement_token1] = ACTIONS(6112),
    [aux_sym_inquire_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token2] = ACTIONS(6112),
    [aux_sym_file_position_statement_token3] = ACTIONS(6112),
    [aux_sym_file_position_statement_token4] = ACTIONS(6112),
    [aux_sym_allocate_statement_token1] = ACTIONS(6112),
    [aux_sym_entry_statement_token1] = ACTIONS(6112),
    [aux_sym_logical_expression_token5] = ACTIONS(6116),
    [anon_sym_DOT] = ACTIONS(6112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6116),
    [anon_sym_LBRACK] = ACTIONS(6116),
    [aux_sym_boolean_literal_token1] = ACTIONS(6116),
    [aux_sym_boolean_literal_token2] = ACTIONS(6116),
    [aux_sym_null_literal_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token2] = ACTIONS(6112),
    [aux_sym_coarray_statement_token6] = ACTIONS(6112),
    [aux_sym_coarray_statement_token8] = ACTIONS(6112),
    [aux_sym_coarray_statement_token11] = ACTIONS(6112),
    [aux_sym_coarray_statement_token12] = ACTIONS(6112),
    [aux_sym_coarray_statement_token13] = ACTIONS(6112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6112),
    [aux_sym_identifier_token1] = ACTIONS(6112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6116),
    [sym__float_literal] = ACTIONS(6116),
    [sym__boz_literal] = ACTIONS(6116),
    [sym__string_literal] = ACTIONS(6116),
    [sym__string_literal_kind] = ACTIONS(6116),
  },
  [1987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6118),
    [aux_sym_preproc_def_token1] = ACTIONS(6118),
    [aux_sym_preproc_if_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6118),
    [sym_preproc_directive] = ACTIONS(6118),
    [anon_sym_LPAREN2] = ACTIONS(6118),
    [sym_preproc_comment] = ACTIONS(6120),
    [anon_sym_PLUS] = ACTIONS(6122),
    [anon_sym_DASH] = ACTIONS(6122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6118),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6118),
    [aux_sym_contains_statement_token1] = ACTIONS(6118),
    [aux_sym_use_statement_token2] = ACTIONS(6118),
    [aux_sym_implicit_statement_token4] = ACTIONS(6118),
    [aux_sym_save_statement_token1] = ACTIONS(6118),
    [aux_sym_private_statement_token1] = ACTIONS(6118),
    [aux_sym_public_statement_token1] = ACTIONS(6118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6118),
    [aux_sym_variable_attributes_token2] = ACTIONS(6118),
    [aux_sym_variable_attributes_token3] = ACTIONS(6118),
    [aux_sym_variable_attributes_token5] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6118),
    [aux_sym_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym_type_qualifier_token2] = ACTIONS(6118),
    [anon_sym_SEMI] = ACTIONS(6122),
    [aux_sym_stop_statement_token1] = ACTIONS(6118),
    [aux_sym_stop_statement_token2] = ACTIONS(6118),
    [aux_sym_subroutine_call_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token2] = ACTIONS(6118),
    [aux_sym_keyword_statement_token3] = ACTIONS(6118),
    [aux_sym_keyword_statement_token4] = ACTIONS(6118),
    [aux_sym_keyword_statement_token6] = ACTIONS(6118),
    [aux_sym_keyword_statement_token7] = ACTIONS(6118),
    [aux_sym_include_statement_token1] = ACTIONS(6118),
    [aux_sym_data_statement_token1] = ACTIONS(6118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6118),
    [aux_sym_end_if_statement_token1] = ACTIONS(6118),
    [aux_sym_elseif_clause_token2] = ACTIONS(6118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token3] = ACTIONS(6118),
    [aux_sym_select_type_statement_token1] = ACTIONS(6118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6118),
    [aux_sym_block_construct_token1] = ACTIONS(6118),
    [aux_sym_associate_statement_token1] = ACTIONS(6118),
    [aux_sym_format_statement_token1] = ACTIONS(6118),
    [aux_sym_print_statement_token1] = ACTIONS(6118),
    [aux_sym_open_statement_token1] = ACTIONS(6118),
    [aux_sym_close_statement_token1] = ACTIONS(6118),
    [aux_sym_inquire_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token2] = ACTIONS(6118),
    [aux_sym_file_position_statement_token3] = ACTIONS(6118),
    [aux_sym_file_position_statement_token4] = ACTIONS(6118),
    [aux_sym_allocate_statement_token1] = ACTIONS(6118),
    [aux_sym_entry_statement_token1] = ACTIONS(6118),
    [aux_sym_logical_expression_token5] = ACTIONS(6122),
    [anon_sym_DOT] = ACTIONS(6118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6122),
    [anon_sym_LBRACK] = ACTIONS(6122),
    [aux_sym_boolean_literal_token1] = ACTIONS(6122),
    [aux_sym_boolean_literal_token2] = ACTIONS(6122),
    [aux_sym_null_literal_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token2] = ACTIONS(6118),
    [aux_sym_coarray_statement_token6] = ACTIONS(6118),
    [aux_sym_coarray_statement_token8] = ACTIONS(6118),
    [aux_sym_coarray_statement_token11] = ACTIONS(6118),
    [aux_sym_coarray_statement_token12] = ACTIONS(6118),
    [aux_sym_coarray_statement_token13] = ACTIONS(6118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6118),
    [aux_sym_identifier_token1] = ACTIONS(6118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6122),
    [sym__float_literal] = ACTIONS(6122),
    [sym__boz_literal] = ACTIONS(6122),
    [sym__string_literal] = ACTIONS(6122),
    [sym__string_literal_kind] = ACTIONS(6122),
  },
  [1988] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [sym_preproc_comment] = ACTIONS(6126),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [1989] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6130),
    [aux_sym_preproc_def_token1] = ACTIONS(6130),
    [aux_sym_preproc_if_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6130),
    [sym_preproc_directive] = ACTIONS(6130),
    [anon_sym_LPAREN2] = ACTIONS(6130),
    [sym_preproc_comment] = ACTIONS(6132),
    [anon_sym_PLUS] = ACTIONS(6134),
    [anon_sym_DASH] = ACTIONS(6134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6130),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6130),
    [aux_sym_contains_statement_token1] = ACTIONS(6130),
    [aux_sym_use_statement_token2] = ACTIONS(6130),
    [aux_sym_implicit_statement_token4] = ACTIONS(6130),
    [aux_sym_save_statement_token1] = ACTIONS(6130),
    [aux_sym_private_statement_token1] = ACTIONS(6130),
    [aux_sym_public_statement_token1] = ACTIONS(6130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6130),
    [aux_sym_variable_attributes_token2] = ACTIONS(6130),
    [aux_sym_variable_attributes_token3] = ACTIONS(6130),
    [aux_sym_variable_attributes_token5] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6130),
    [aux_sym_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym_type_qualifier_token2] = ACTIONS(6130),
    [anon_sym_SEMI] = ACTIONS(6134),
    [aux_sym_stop_statement_token1] = ACTIONS(6130),
    [aux_sym_stop_statement_token2] = ACTIONS(6130),
    [aux_sym_subroutine_call_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token2] = ACTIONS(6130),
    [aux_sym_keyword_statement_token3] = ACTIONS(6130),
    [aux_sym_keyword_statement_token4] = ACTIONS(6130),
    [aux_sym_keyword_statement_token6] = ACTIONS(6130),
    [aux_sym_keyword_statement_token7] = ACTIONS(6130),
    [aux_sym_include_statement_token1] = ACTIONS(6130),
    [aux_sym_data_statement_token1] = ACTIONS(6130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6130),
    [aux_sym_end_if_statement_token1] = ACTIONS(6130),
    [aux_sym_elseif_clause_token2] = ACTIONS(6130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token3] = ACTIONS(6130),
    [aux_sym_select_type_statement_token1] = ACTIONS(6130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6130),
    [aux_sym_block_construct_token1] = ACTIONS(6130),
    [aux_sym_associate_statement_token1] = ACTIONS(6130),
    [aux_sym_format_statement_token1] = ACTIONS(6130),
    [aux_sym_print_statement_token1] = ACTIONS(6130),
    [aux_sym_open_statement_token1] = ACTIONS(6130),
    [aux_sym_close_statement_token1] = ACTIONS(6130),
    [aux_sym_inquire_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token2] = ACTIONS(6130),
    [aux_sym_file_position_statement_token3] = ACTIONS(6130),
    [aux_sym_file_position_statement_token4] = ACTIONS(6130),
    [aux_sym_allocate_statement_token1] = ACTIONS(6130),
    [aux_sym_entry_statement_token1] = ACTIONS(6130),
    [aux_sym_logical_expression_token5] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(6134),
    [aux_sym_boolean_literal_token1] = ACTIONS(6134),
    [aux_sym_boolean_literal_token2] = ACTIONS(6134),
    [aux_sym_null_literal_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token2] = ACTIONS(6130),
    [aux_sym_coarray_statement_token6] = ACTIONS(6130),
    [aux_sym_coarray_statement_token8] = ACTIONS(6130),
    [aux_sym_coarray_statement_token11] = ACTIONS(6130),
    [aux_sym_coarray_statement_token12] = ACTIONS(6130),
    [aux_sym_coarray_statement_token13] = ACTIONS(6130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6130),
    [aux_sym_identifier_token1] = ACTIONS(6130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6134),
    [sym__float_literal] = ACTIONS(6134),
    [sym__boz_literal] = ACTIONS(6134),
    [sym__string_literal] = ACTIONS(6134),
    [sym__string_literal_kind] = ACTIONS(6134),
  },
  [1990] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6136),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_end_program_statement_token2] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1991] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6024),
    [aux_sym_preproc_def_token1] = ACTIONS(6024),
    [aux_sym_preproc_if_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6024),
    [sym_preproc_directive] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [sym_preproc_comment] = ACTIONS(6138),
    [anon_sym_PLUS] = ACTIONS(6028),
    [anon_sym_DASH] = ACTIONS(6028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6024),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6024),
    [aux_sym_contains_statement_token1] = ACTIONS(6024),
    [aux_sym_use_statement_token2] = ACTIONS(6024),
    [aux_sym_implicit_statement_token4] = ACTIONS(6024),
    [aux_sym_save_statement_token1] = ACTIONS(6024),
    [aux_sym_private_statement_token1] = ACTIONS(6024),
    [aux_sym_public_statement_token1] = ACTIONS(6024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6024),
    [aux_sym_variable_attributes_token2] = ACTIONS(6024),
    [aux_sym_variable_attributes_token3] = ACTIONS(6024),
    [aux_sym_variable_attributes_token5] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6024),
    [aux_sym_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym_type_qualifier_token2] = ACTIONS(6024),
    [anon_sym_SEMI] = ACTIONS(6028),
    [aux_sym_stop_statement_token1] = ACTIONS(6024),
    [aux_sym_stop_statement_token2] = ACTIONS(6024),
    [aux_sym_subroutine_call_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token2] = ACTIONS(6024),
    [aux_sym_keyword_statement_token3] = ACTIONS(6024),
    [aux_sym_keyword_statement_token4] = ACTIONS(6024),
    [aux_sym_keyword_statement_token6] = ACTIONS(6024),
    [aux_sym_keyword_statement_token7] = ACTIONS(6024),
    [aux_sym_include_statement_token1] = ACTIONS(6024),
    [aux_sym_data_statement_token1] = ACTIONS(6024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6024),
    [aux_sym_end_if_statement_token1] = ACTIONS(6024),
    [aux_sym_elseif_clause_token2] = ACTIONS(6024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token3] = ACTIONS(6024),
    [aux_sym_select_type_statement_token1] = ACTIONS(6024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6024),
    [aux_sym_block_construct_token1] = ACTIONS(6024),
    [aux_sym_associate_statement_token1] = ACTIONS(6024),
    [aux_sym_format_statement_token1] = ACTIONS(6024),
    [aux_sym_print_statement_token1] = ACTIONS(6024),
    [aux_sym_open_statement_token1] = ACTIONS(6024),
    [aux_sym_close_statement_token1] = ACTIONS(6024),
    [aux_sym_inquire_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token2] = ACTIONS(6024),
    [aux_sym_file_position_statement_token3] = ACTIONS(6024),
    [aux_sym_file_position_statement_token4] = ACTIONS(6024),
    [aux_sym_allocate_statement_token1] = ACTIONS(6024),
    [aux_sym_entry_statement_token1] = ACTIONS(6024),
    [aux_sym_logical_expression_token5] = ACTIONS(6028),
    [anon_sym_DOT] = ACTIONS(6024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [aux_sym_boolean_literal_token1] = ACTIONS(6028),
    [aux_sym_boolean_literal_token2] = ACTIONS(6028),
    [aux_sym_null_literal_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token2] = ACTIONS(6024),
    [aux_sym_coarray_statement_token6] = ACTIONS(6024),
    [aux_sym_coarray_statement_token8] = ACTIONS(6024),
    [aux_sym_coarray_statement_token11] = ACTIONS(6024),
    [aux_sym_coarray_statement_token12] = ACTIONS(6024),
    [aux_sym_coarray_statement_token13] = ACTIONS(6024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6024),
    [aux_sym_identifier_token1] = ACTIONS(6024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6028),
    [sym__float_literal] = ACTIONS(6028),
    [sym__boz_literal] = ACTIONS(6028),
    [sym__string_literal] = ACTIONS(6028),
    [sym__string_literal_kind] = ACTIONS(6028),
  },
  [1992] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_end_function_statement_token1] = ACTIONS(5630),
    [aux_sym_contains_statement_token1] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [1993] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6142),
    [aux_sym_preproc_def_token1] = ACTIONS(6142),
    [aux_sym_preproc_if_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6142),
    [sym_preproc_directive] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6142),
    [sym_preproc_comment] = ACTIONS(6144),
    [anon_sym_PLUS] = ACTIONS(6146),
    [anon_sym_DASH] = ACTIONS(6146),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6142),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6142),
    [aux_sym_contains_statement_token1] = ACTIONS(6142),
    [aux_sym_use_statement_token2] = ACTIONS(6142),
    [aux_sym_implicit_statement_token4] = ACTIONS(6142),
    [aux_sym_save_statement_token1] = ACTIONS(6142),
    [aux_sym_private_statement_token1] = ACTIONS(6142),
    [aux_sym_public_statement_token1] = ACTIONS(6142),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6142),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6142),
    [aux_sym_variable_attributes_token2] = ACTIONS(6142),
    [aux_sym_variable_attributes_token3] = ACTIONS(6142),
    [aux_sym_variable_attributes_token5] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6142),
    [aux_sym_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym_type_qualifier_token2] = ACTIONS(6142),
    [anon_sym_SEMI] = ACTIONS(6146),
    [aux_sym_stop_statement_token1] = ACTIONS(6142),
    [aux_sym_stop_statement_token2] = ACTIONS(6142),
    [aux_sym_subroutine_call_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token2] = ACTIONS(6142),
    [aux_sym_keyword_statement_token3] = ACTIONS(6142),
    [aux_sym_keyword_statement_token4] = ACTIONS(6142),
    [aux_sym_keyword_statement_token6] = ACTIONS(6142),
    [aux_sym_keyword_statement_token7] = ACTIONS(6142),
    [aux_sym_include_statement_token1] = ACTIONS(6142),
    [aux_sym_data_statement_token1] = ACTIONS(6142),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6142),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6142),
    [aux_sym_end_if_statement_token1] = ACTIONS(6142),
    [aux_sym_elseif_clause_token2] = ACTIONS(6142),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6142),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token3] = ACTIONS(6142),
    [aux_sym_select_type_statement_token1] = ACTIONS(6142),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6142),
    [aux_sym_block_construct_token1] = ACTIONS(6142),
    [aux_sym_associate_statement_token1] = ACTIONS(6142),
    [aux_sym_format_statement_token1] = ACTIONS(6142),
    [aux_sym_print_statement_token1] = ACTIONS(6142),
    [aux_sym_open_statement_token1] = ACTIONS(6142),
    [aux_sym_close_statement_token1] = ACTIONS(6142),
    [aux_sym_inquire_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token2] = ACTIONS(6142),
    [aux_sym_file_position_statement_token3] = ACTIONS(6142),
    [aux_sym_file_position_statement_token4] = ACTIONS(6142),
    [aux_sym_allocate_statement_token1] = ACTIONS(6142),
    [aux_sym_entry_statement_token1] = ACTIONS(6142),
    [aux_sym_logical_expression_token5] = ACTIONS(6146),
    [anon_sym_DOT] = ACTIONS(6142),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6146),
    [aux_sym_boolean_literal_token1] = ACTIONS(6146),
    [aux_sym_boolean_literal_token2] = ACTIONS(6146),
    [aux_sym_null_literal_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token2] = ACTIONS(6142),
    [aux_sym_coarray_statement_token6] = ACTIONS(6142),
    [aux_sym_coarray_statement_token8] = ACTIONS(6142),
    [aux_sym_coarray_statement_token11] = ACTIONS(6142),
    [aux_sym_coarray_statement_token12] = ACTIONS(6142),
    [aux_sym_coarray_statement_token13] = ACTIONS(6142),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6142),
    [aux_sym_identifier_token1] = ACTIONS(6142),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6146),
    [sym__float_literal] = ACTIONS(6146),
    [sym__boz_literal] = ACTIONS(6146),
    [sym__string_literal] = ACTIONS(6146),
    [sym__string_literal_kind] = ACTIONS(6146),
  },
  [1994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [sym_preproc_comment] = ACTIONS(6148),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [1995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6084),
    [aux_sym_preproc_def_token1] = ACTIONS(6084),
    [aux_sym_preproc_if_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6084),
    [sym_preproc_directive] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [sym_preproc_comment] = ACTIONS(6150),
    [anon_sym_PLUS] = ACTIONS(6088),
    [anon_sym_DASH] = ACTIONS(6088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6084),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6084),
    [aux_sym_contains_statement_token1] = ACTIONS(6084),
    [aux_sym_use_statement_token2] = ACTIONS(6084),
    [aux_sym_implicit_statement_token4] = ACTIONS(6084),
    [aux_sym_save_statement_token1] = ACTIONS(6084),
    [aux_sym_private_statement_token1] = ACTIONS(6084),
    [aux_sym_public_statement_token1] = ACTIONS(6084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6084),
    [aux_sym_variable_attributes_token2] = ACTIONS(6084),
    [aux_sym_variable_attributes_token3] = ACTIONS(6084),
    [aux_sym_variable_attributes_token5] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6084),
    [aux_sym_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym_type_qualifier_token2] = ACTIONS(6084),
    [anon_sym_SEMI] = ACTIONS(6088),
    [aux_sym_stop_statement_token1] = ACTIONS(6084),
    [aux_sym_stop_statement_token2] = ACTIONS(6084),
    [aux_sym_subroutine_call_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token2] = ACTIONS(6084),
    [aux_sym_keyword_statement_token3] = ACTIONS(6084),
    [aux_sym_keyword_statement_token4] = ACTIONS(6084),
    [aux_sym_keyword_statement_token6] = ACTIONS(6084),
    [aux_sym_keyword_statement_token7] = ACTIONS(6084),
    [aux_sym_include_statement_token1] = ACTIONS(6084),
    [aux_sym_data_statement_token1] = ACTIONS(6084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6084),
    [aux_sym_end_if_statement_token1] = ACTIONS(6084),
    [aux_sym_elseif_clause_token2] = ACTIONS(6084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token3] = ACTIONS(6084),
    [aux_sym_select_type_statement_token1] = ACTIONS(6084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6084),
    [aux_sym_block_construct_token1] = ACTIONS(6084),
    [aux_sym_associate_statement_token1] = ACTIONS(6084),
    [aux_sym_format_statement_token1] = ACTIONS(6084),
    [aux_sym_print_statement_token1] = ACTIONS(6084),
    [aux_sym_open_statement_token1] = ACTIONS(6084),
    [aux_sym_close_statement_token1] = ACTIONS(6084),
    [aux_sym_inquire_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token2] = ACTIONS(6084),
    [aux_sym_file_position_statement_token3] = ACTIONS(6084),
    [aux_sym_file_position_statement_token4] = ACTIONS(6084),
    [aux_sym_allocate_statement_token1] = ACTIONS(6084),
    [aux_sym_entry_statement_token1] = ACTIONS(6084),
    [aux_sym_logical_expression_token5] = ACTIONS(6088),
    [anon_sym_DOT] = ACTIONS(6084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(6088),
    [aux_sym_boolean_literal_token1] = ACTIONS(6088),
    [aux_sym_boolean_literal_token2] = ACTIONS(6088),
    [aux_sym_null_literal_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token2] = ACTIONS(6084),
    [aux_sym_coarray_statement_token6] = ACTIONS(6084),
    [aux_sym_coarray_statement_token8] = ACTIONS(6084),
    [aux_sym_coarray_statement_token11] = ACTIONS(6084),
    [aux_sym_coarray_statement_token12] = ACTIONS(6084),
    [aux_sym_coarray_statement_token13] = ACTIONS(6084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6084),
    [aux_sym_identifier_token1] = ACTIONS(6084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6088),
    [sym__float_literal] = ACTIONS(6088),
    [sym__boz_literal] = ACTIONS(6088),
    [sym__string_literal] = ACTIONS(6088),
    [sym__string_literal_kind] = ACTIONS(6088),
  },
  [1996] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6152),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [1997] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym_end_where_statement_token1] = ACTIONS(4525),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [1998] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6130),
    [aux_sym_preproc_def_token1] = ACTIONS(6130),
    [aux_sym_preproc_if_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6130),
    [sym_preproc_directive] = ACTIONS(6130),
    [anon_sym_LPAREN2] = ACTIONS(6130),
    [sym_preproc_comment] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(6134),
    [anon_sym_DASH] = ACTIONS(6134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6130),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6130),
    [aux_sym_contains_statement_token1] = ACTIONS(6130),
    [aux_sym_use_statement_token2] = ACTIONS(6130),
    [aux_sym_implicit_statement_token4] = ACTIONS(6130),
    [aux_sym_save_statement_token1] = ACTIONS(6130),
    [aux_sym_private_statement_token1] = ACTIONS(6130),
    [aux_sym_public_statement_token1] = ACTIONS(6130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6130),
    [aux_sym_variable_attributes_token2] = ACTIONS(6130),
    [aux_sym_variable_attributes_token3] = ACTIONS(6130),
    [aux_sym_variable_attributes_token5] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6130),
    [aux_sym_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym_type_qualifier_token2] = ACTIONS(6130),
    [anon_sym_SEMI] = ACTIONS(6134),
    [aux_sym_stop_statement_token1] = ACTIONS(6130),
    [aux_sym_stop_statement_token2] = ACTIONS(6130),
    [aux_sym_subroutine_call_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token2] = ACTIONS(6130),
    [aux_sym_keyword_statement_token3] = ACTIONS(6130),
    [aux_sym_keyword_statement_token4] = ACTIONS(6130),
    [aux_sym_keyword_statement_token6] = ACTIONS(6130),
    [aux_sym_keyword_statement_token7] = ACTIONS(6130),
    [aux_sym_include_statement_token1] = ACTIONS(6130),
    [aux_sym_data_statement_token1] = ACTIONS(6130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6130),
    [aux_sym_end_if_statement_token1] = ACTIONS(6130),
    [aux_sym_elseif_clause_token2] = ACTIONS(6130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token3] = ACTIONS(6130),
    [aux_sym_select_type_statement_token1] = ACTIONS(6130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6130),
    [aux_sym_block_construct_token1] = ACTIONS(6130),
    [aux_sym_associate_statement_token1] = ACTIONS(6130),
    [aux_sym_format_statement_token1] = ACTIONS(6130),
    [aux_sym_print_statement_token1] = ACTIONS(6130),
    [aux_sym_open_statement_token1] = ACTIONS(6130),
    [aux_sym_close_statement_token1] = ACTIONS(6130),
    [aux_sym_inquire_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token2] = ACTIONS(6130),
    [aux_sym_file_position_statement_token3] = ACTIONS(6130),
    [aux_sym_file_position_statement_token4] = ACTIONS(6130),
    [aux_sym_allocate_statement_token1] = ACTIONS(6130),
    [aux_sym_entry_statement_token1] = ACTIONS(6130),
    [aux_sym_logical_expression_token5] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(6134),
    [aux_sym_boolean_literal_token1] = ACTIONS(6134),
    [aux_sym_boolean_literal_token2] = ACTIONS(6134),
    [aux_sym_null_literal_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token2] = ACTIONS(6130),
    [aux_sym_coarray_statement_token6] = ACTIONS(6130),
    [aux_sym_coarray_statement_token8] = ACTIONS(6130),
    [aux_sym_coarray_statement_token11] = ACTIONS(6130),
    [aux_sym_coarray_statement_token12] = ACTIONS(6130),
    [aux_sym_coarray_statement_token13] = ACTIONS(6130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6130),
    [aux_sym_identifier_token1] = ACTIONS(6130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6134),
    [sym__float_literal] = ACTIONS(6134),
    [sym__boz_literal] = ACTIONS(6134),
    [sym__string_literal] = ACTIONS(6134),
    [sym__string_literal_kind] = ACTIONS(6134),
  },
  [1999] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [sym_preproc_comment] = ACTIONS(6156),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_end_function_statement_token1] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [2000] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6066),
    [aux_sym_preproc_def_token1] = ACTIONS(6066),
    [aux_sym_preproc_if_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6066),
    [sym_preproc_directive] = ACTIONS(6066),
    [anon_sym_LPAREN2] = ACTIONS(6066),
    [sym_preproc_comment] = ACTIONS(6158),
    [anon_sym_PLUS] = ACTIONS(6070),
    [anon_sym_DASH] = ACTIONS(6070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6066),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6066),
    [aux_sym_contains_statement_token1] = ACTIONS(6066),
    [aux_sym_use_statement_token2] = ACTIONS(6066),
    [aux_sym_implicit_statement_token4] = ACTIONS(6066),
    [aux_sym_save_statement_token1] = ACTIONS(6066),
    [aux_sym_private_statement_token1] = ACTIONS(6066),
    [aux_sym_public_statement_token1] = ACTIONS(6066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6066),
    [aux_sym_variable_attributes_token2] = ACTIONS(6066),
    [aux_sym_variable_attributes_token3] = ACTIONS(6066),
    [aux_sym_variable_attributes_token5] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6066),
    [aux_sym_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym_type_qualifier_token2] = ACTIONS(6066),
    [anon_sym_SEMI] = ACTIONS(6070),
    [aux_sym_stop_statement_token1] = ACTIONS(6066),
    [aux_sym_stop_statement_token2] = ACTIONS(6066),
    [aux_sym_subroutine_call_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token2] = ACTIONS(6066),
    [aux_sym_keyword_statement_token3] = ACTIONS(6066),
    [aux_sym_keyword_statement_token4] = ACTIONS(6066),
    [aux_sym_keyword_statement_token6] = ACTIONS(6066),
    [aux_sym_keyword_statement_token7] = ACTIONS(6066),
    [aux_sym_include_statement_token1] = ACTIONS(6066),
    [aux_sym_data_statement_token1] = ACTIONS(6066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6066),
    [aux_sym_end_if_statement_token1] = ACTIONS(6066),
    [aux_sym_elseif_clause_token2] = ACTIONS(6066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token3] = ACTIONS(6066),
    [aux_sym_select_type_statement_token1] = ACTIONS(6066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6066),
    [aux_sym_block_construct_token1] = ACTIONS(6066),
    [aux_sym_associate_statement_token1] = ACTIONS(6066),
    [aux_sym_format_statement_token1] = ACTIONS(6066),
    [aux_sym_print_statement_token1] = ACTIONS(6066),
    [aux_sym_open_statement_token1] = ACTIONS(6066),
    [aux_sym_close_statement_token1] = ACTIONS(6066),
    [aux_sym_inquire_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token2] = ACTIONS(6066),
    [aux_sym_file_position_statement_token3] = ACTIONS(6066),
    [aux_sym_file_position_statement_token4] = ACTIONS(6066),
    [aux_sym_allocate_statement_token1] = ACTIONS(6066),
    [aux_sym_entry_statement_token1] = ACTIONS(6066),
    [aux_sym_logical_expression_token5] = ACTIONS(6070),
    [anon_sym_DOT] = ACTIONS(6066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6070),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [aux_sym_boolean_literal_token1] = ACTIONS(6070),
    [aux_sym_boolean_literal_token2] = ACTIONS(6070),
    [aux_sym_null_literal_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token2] = ACTIONS(6066),
    [aux_sym_coarray_statement_token6] = ACTIONS(6066),
    [aux_sym_coarray_statement_token8] = ACTIONS(6066),
    [aux_sym_coarray_statement_token11] = ACTIONS(6066),
    [aux_sym_coarray_statement_token12] = ACTIONS(6066),
    [aux_sym_coarray_statement_token13] = ACTIONS(6066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6066),
    [aux_sym_identifier_token1] = ACTIONS(6066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6070),
    [sym__float_literal] = ACTIONS(6070),
    [sym__boz_literal] = ACTIONS(6070),
    [sym__string_literal] = ACTIONS(6070),
    [sym__string_literal_kind] = ACTIONS(6070),
  },
  [2001] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [sym_preproc_comment] = ACTIONS(6160),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [2002] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [sym_preproc_comment] = ACTIONS(6162),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [2003] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6164),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_end_function_statement_token1] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2004] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6166),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_end_program_statement_token2] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_contains_statement_token1] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2005] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6168),
    [aux_sym_preproc_def_token1] = ACTIONS(6168),
    [aux_sym_preproc_if_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6168),
    [sym_preproc_directive] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [sym_preproc_comment] = ACTIONS(6170),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6168),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6168),
    [aux_sym_contains_statement_token1] = ACTIONS(6168),
    [aux_sym_use_statement_token2] = ACTIONS(6168),
    [aux_sym_implicit_statement_token4] = ACTIONS(6168),
    [aux_sym_save_statement_token1] = ACTIONS(6168),
    [aux_sym_private_statement_token1] = ACTIONS(6168),
    [aux_sym_public_statement_token1] = ACTIONS(6168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6168),
    [aux_sym_variable_attributes_token2] = ACTIONS(6168),
    [aux_sym_variable_attributes_token3] = ACTIONS(6168),
    [aux_sym_variable_attributes_token5] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6168),
    [aux_sym_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym_type_qualifier_token2] = ACTIONS(6168),
    [anon_sym_SEMI] = ACTIONS(6172),
    [aux_sym_stop_statement_token1] = ACTIONS(6168),
    [aux_sym_stop_statement_token2] = ACTIONS(6168),
    [aux_sym_subroutine_call_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token2] = ACTIONS(6168),
    [aux_sym_keyword_statement_token3] = ACTIONS(6168),
    [aux_sym_keyword_statement_token4] = ACTIONS(6168),
    [aux_sym_keyword_statement_token6] = ACTIONS(6168),
    [aux_sym_keyword_statement_token7] = ACTIONS(6168),
    [aux_sym_include_statement_token1] = ACTIONS(6168),
    [aux_sym_data_statement_token1] = ACTIONS(6168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6168),
    [aux_sym_end_if_statement_token1] = ACTIONS(6168),
    [aux_sym_elseif_clause_token2] = ACTIONS(6168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token3] = ACTIONS(6168),
    [aux_sym_select_type_statement_token1] = ACTIONS(6168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6168),
    [aux_sym_block_construct_token1] = ACTIONS(6168),
    [aux_sym_associate_statement_token1] = ACTIONS(6168),
    [aux_sym_format_statement_token1] = ACTIONS(6168),
    [aux_sym_print_statement_token1] = ACTIONS(6168),
    [aux_sym_open_statement_token1] = ACTIONS(6168),
    [aux_sym_close_statement_token1] = ACTIONS(6168),
    [aux_sym_inquire_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token2] = ACTIONS(6168),
    [aux_sym_file_position_statement_token3] = ACTIONS(6168),
    [aux_sym_file_position_statement_token4] = ACTIONS(6168),
    [aux_sym_allocate_statement_token1] = ACTIONS(6168),
    [aux_sym_entry_statement_token1] = ACTIONS(6168),
    [aux_sym_logical_expression_token5] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [aux_sym_boolean_literal_token1] = ACTIONS(6172),
    [aux_sym_boolean_literal_token2] = ACTIONS(6172),
    [aux_sym_null_literal_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token2] = ACTIONS(6168),
    [aux_sym_coarray_statement_token6] = ACTIONS(6168),
    [aux_sym_coarray_statement_token8] = ACTIONS(6168),
    [aux_sym_coarray_statement_token11] = ACTIONS(6168),
    [aux_sym_coarray_statement_token12] = ACTIONS(6168),
    [aux_sym_coarray_statement_token13] = ACTIONS(6168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6168),
    [aux_sym_identifier_token1] = ACTIONS(6168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6172),
    [sym__float_literal] = ACTIONS(6172),
    [sym__boz_literal] = ACTIONS(6172),
    [sym__string_literal] = ACTIONS(6172),
    [sym__string_literal_kind] = ACTIONS(6172),
  },
  [2006] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [sym_preproc_comment] = ACTIONS(6176),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2007] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym_end_where_statement_token1] = ACTIONS(5002),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2008] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [sym_preproc_comment] = ACTIONS(6180),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [2009] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym_end_where_statement_token1] = ACTIONS(5026),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2010] = {
    [sym__expression] = STATE(4481),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7491),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7491),
    [sym_multiple_subscript] = STATE(7491),
    [sym_multiple_subscript_triplet] = STATE(7491),
    [sym_assumed_size] = STATE(7491),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_AT] = ACTIONS(5920),
    [sym_assumed_rank] = ACTIONS(6182),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2011] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6184),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2012] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym_end_where_statement_token1] = ACTIONS(5068),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2013] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym_end_where_statement_token1] = ACTIONS(5100),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2014] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6142),
    [aux_sym_preproc_def_token1] = ACTIONS(6142),
    [aux_sym_preproc_if_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6142),
    [sym_preproc_directive] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6142),
    [sym_preproc_comment] = ACTIONS(6186),
    [anon_sym_PLUS] = ACTIONS(6146),
    [anon_sym_DASH] = ACTIONS(6146),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6142),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6142),
    [aux_sym_contains_statement_token1] = ACTIONS(6142),
    [aux_sym_use_statement_token2] = ACTIONS(6142),
    [aux_sym_implicit_statement_token4] = ACTIONS(6142),
    [aux_sym_save_statement_token1] = ACTIONS(6142),
    [aux_sym_private_statement_token1] = ACTIONS(6142),
    [aux_sym_public_statement_token1] = ACTIONS(6142),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6142),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6142),
    [aux_sym_variable_attributes_token2] = ACTIONS(6142),
    [aux_sym_variable_attributes_token3] = ACTIONS(6142),
    [aux_sym_variable_attributes_token5] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6142),
    [aux_sym_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym_type_qualifier_token2] = ACTIONS(6142),
    [anon_sym_SEMI] = ACTIONS(6146),
    [aux_sym_stop_statement_token1] = ACTIONS(6142),
    [aux_sym_stop_statement_token2] = ACTIONS(6142),
    [aux_sym_subroutine_call_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token2] = ACTIONS(6142),
    [aux_sym_keyword_statement_token3] = ACTIONS(6142),
    [aux_sym_keyword_statement_token4] = ACTIONS(6142),
    [aux_sym_keyword_statement_token6] = ACTIONS(6142),
    [aux_sym_keyword_statement_token7] = ACTIONS(6142),
    [aux_sym_include_statement_token1] = ACTIONS(6142),
    [aux_sym_data_statement_token1] = ACTIONS(6142),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6142),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6142),
    [aux_sym_end_if_statement_token1] = ACTIONS(6142),
    [aux_sym_elseif_clause_token2] = ACTIONS(6142),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6142),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token3] = ACTIONS(6142),
    [aux_sym_select_type_statement_token1] = ACTIONS(6142),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6142),
    [aux_sym_block_construct_token1] = ACTIONS(6142),
    [aux_sym_associate_statement_token1] = ACTIONS(6142),
    [aux_sym_format_statement_token1] = ACTIONS(6142),
    [aux_sym_print_statement_token1] = ACTIONS(6142),
    [aux_sym_open_statement_token1] = ACTIONS(6142),
    [aux_sym_close_statement_token1] = ACTIONS(6142),
    [aux_sym_inquire_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token2] = ACTIONS(6142),
    [aux_sym_file_position_statement_token3] = ACTIONS(6142),
    [aux_sym_file_position_statement_token4] = ACTIONS(6142),
    [aux_sym_allocate_statement_token1] = ACTIONS(6142),
    [aux_sym_entry_statement_token1] = ACTIONS(6142),
    [aux_sym_logical_expression_token5] = ACTIONS(6146),
    [anon_sym_DOT] = ACTIONS(6142),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6146),
    [aux_sym_boolean_literal_token1] = ACTIONS(6146),
    [aux_sym_boolean_literal_token2] = ACTIONS(6146),
    [aux_sym_null_literal_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token2] = ACTIONS(6142),
    [aux_sym_coarray_statement_token6] = ACTIONS(6142),
    [aux_sym_coarray_statement_token8] = ACTIONS(6142),
    [aux_sym_coarray_statement_token11] = ACTIONS(6142),
    [aux_sym_coarray_statement_token12] = ACTIONS(6142),
    [aux_sym_coarray_statement_token13] = ACTIONS(6142),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6142),
    [aux_sym_identifier_token1] = ACTIONS(6142),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6146),
    [sym__float_literal] = ACTIONS(6146),
    [sym__boz_literal] = ACTIONS(6146),
    [sym__string_literal] = ACTIONS(6146),
    [sym__string_literal_kind] = ACTIONS(6146),
  },
  [2015] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6188),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2016] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym_end_where_statement_token1] = ACTIONS(2079),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2017] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym_end_where_statement_token1] = ACTIONS(5828),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2018] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6066),
    [aux_sym_preproc_def_token1] = ACTIONS(6066),
    [aux_sym_preproc_if_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6066),
    [sym_preproc_directive] = ACTIONS(6066),
    [anon_sym_LPAREN2] = ACTIONS(6066),
    [sym_preproc_comment] = ACTIONS(6190),
    [anon_sym_PLUS] = ACTIONS(6070),
    [anon_sym_DASH] = ACTIONS(6070),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6066),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6066),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6066),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6066),
    [aux_sym_contains_statement_token1] = ACTIONS(6066),
    [aux_sym_use_statement_token2] = ACTIONS(6066),
    [aux_sym_implicit_statement_token4] = ACTIONS(6066),
    [aux_sym_save_statement_token1] = ACTIONS(6066),
    [aux_sym_private_statement_token1] = ACTIONS(6066),
    [aux_sym_public_statement_token1] = ACTIONS(6066),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6066),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6066),
    [aux_sym_variable_attributes_token2] = ACTIONS(6066),
    [aux_sym_variable_attributes_token3] = ACTIONS(6066),
    [aux_sym_variable_attributes_token5] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6066),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6066),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6066),
    [aux_sym_type_qualifier_token1] = ACTIONS(6066),
    [aux_sym_type_qualifier_token2] = ACTIONS(6066),
    [anon_sym_SEMI] = ACTIONS(6070),
    [aux_sym_stop_statement_token1] = ACTIONS(6066),
    [aux_sym_stop_statement_token2] = ACTIONS(6066),
    [aux_sym_subroutine_call_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token1] = ACTIONS(6066),
    [aux_sym_keyword_statement_token2] = ACTIONS(6066),
    [aux_sym_keyword_statement_token3] = ACTIONS(6066),
    [aux_sym_keyword_statement_token4] = ACTIONS(6066),
    [aux_sym_keyword_statement_token6] = ACTIONS(6066),
    [aux_sym_keyword_statement_token7] = ACTIONS(6066),
    [aux_sym_include_statement_token1] = ACTIONS(6066),
    [aux_sym_data_statement_token1] = ACTIONS(6066),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6066),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6066),
    [aux_sym_end_if_statement_token1] = ACTIONS(6066),
    [aux_sym_elseif_clause_token2] = ACTIONS(6066),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6066),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token1] = ACTIONS(6066),
    [aux_sym_select_case_statement_token3] = ACTIONS(6066),
    [aux_sym_select_type_statement_token1] = ACTIONS(6066),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6066),
    [aux_sym_block_construct_token1] = ACTIONS(6066),
    [aux_sym_associate_statement_token1] = ACTIONS(6066),
    [aux_sym_format_statement_token1] = ACTIONS(6066),
    [aux_sym_print_statement_token1] = ACTIONS(6066),
    [aux_sym_open_statement_token1] = ACTIONS(6066),
    [aux_sym_close_statement_token1] = ACTIONS(6066),
    [aux_sym_inquire_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token1] = ACTIONS(6066),
    [aux_sym_file_position_statement_token2] = ACTIONS(6066),
    [aux_sym_file_position_statement_token3] = ACTIONS(6066),
    [aux_sym_file_position_statement_token4] = ACTIONS(6066),
    [aux_sym_allocate_statement_token1] = ACTIONS(6066),
    [aux_sym_entry_statement_token1] = ACTIONS(6066),
    [aux_sym_logical_expression_token5] = ACTIONS(6070),
    [anon_sym_DOT] = ACTIONS(6066),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6070),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [aux_sym_boolean_literal_token1] = ACTIONS(6070),
    [aux_sym_boolean_literal_token2] = ACTIONS(6070),
    [aux_sym_null_literal_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_statement_token2] = ACTIONS(6066),
    [aux_sym_coarray_statement_token6] = ACTIONS(6066),
    [aux_sym_coarray_statement_token8] = ACTIONS(6066),
    [aux_sym_coarray_statement_token11] = ACTIONS(6066),
    [aux_sym_coarray_statement_token12] = ACTIONS(6066),
    [aux_sym_coarray_statement_token13] = ACTIONS(6066),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6066),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6066),
    [aux_sym_identifier_token1] = ACTIONS(6066),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6070),
    [sym__float_literal] = ACTIONS(6070),
    [sym__boz_literal] = ACTIONS(6070),
    [sym__string_literal] = ACTIONS(6070),
    [sym__string_literal_kind] = ACTIONS(6070),
  },
  [2019] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6192),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_contains_statement_token1] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2020] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6168),
    [aux_sym_preproc_def_token1] = ACTIONS(6168),
    [aux_sym_preproc_if_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6168),
    [sym_preproc_directive] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [sym_preproc_comment] = ACTIONS(6194),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6168),
    [aux_sym_end_function_statement_token1] = ACTIONS(6168),
    [aux_sym_contains_statement_token1] = ACTIONS(6168),
    [aux_sym_use_statement_token2] = ACTIONS(6168),
    [aux_sym_implicit_statement_token4] = ACTIONS(6168),
    [aux_sym_save_statement_token1] = ACTIONS(6168),
    [aux_sym_private_statement_token1] = ACTIONS(6168),
    [aux_sym_public_statement_token1] = ACTIONS(6168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6168),
    [aux_sym_variable_attributes_token2] = ACTIONS(6168),
    [aux_sym_variable_attributes_token3] = ACTIONS(6168),
    [aux_sym_variable_attributes_token5] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6168),
    [aux_sym_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym_type_qualifier_token2] = ACTIONS(6168),
    [anon_sym_SEMI] = ACTIONS(6172),
    [aux_sym_stop_statement_token1] = ACTIONS(6168),
    [aux_sym_stop_statement_token2] = ACTIONS(6168),
    [aux_sym_subroutine_call_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token2] = ACTIONS(6168),
    [aux_sym_keyword_statement_token3] = ACTIONS(6168),
    [aux_sym_keyword_statement_token4] = ACTIONS(6168),
    [aux_sym_keyword_statement_token6] = ACTIONS(6168),
    [aux_sym_keyword_statement_token7] = ACTIONS(6168),
    [aux_sym_include_statement_token1] = ACTIONS(6168),
    [aux_sym_data_statement_token1] = ACTIONS(6168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6168),
    [aux_sym_end_if_statement_token1] = ACTIONS(6168),
    [aux_sym_elseif_clause_token2] = ACTIONS(6168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token3] = ACTIONS(6168),
    [aux_sym_select_type_statement_token1] = ACTIONS(6168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6168),
    [aux_sym_block_construct_token1] = ACTIONS(6168),
    [aux_sym_associate_statement_token1] = ACTIONS(6168),
    [aux_sym_format_statement_token1] = ACTIONS(6168),
    [aux_sym_print_statement_token1] = ACTIONS(6168),
    [aux_sym_open_statement_token1] = ACTIONS(6168),
    [aux_sym_close_statement_token1] = ACTIONS(6168),
    [aux_sym_inquire_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token2] = ACTIONS(6168),
    [aux_sym_file_position_statement_token3] = ACTIONS(6168),
    [aux_sym_file_position_statement_token4] = ACTIONS(6168),
    [aux_sym_allocate_statement_token1] = ACTIONS(6168),
    [aux_sym_entry_statement_token1] = ACTIONS(6168),
    [aux_sym_logical_expression_token5] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [aux_sym_boolean_literal_token1] = ACTIONS(6172),
    [aux_sym_boolean_literal_token2] = ACTIONS(6172),
    [aux_sym_null_literal_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token2] = ACTIONS(6168),
    [aux_sym_coarray_statement_token6] = ACTIONS(6168),
    [aux_sym_coarray_statement_token8] = ACTIONS(6168),
    [aux_sym_coarray_statement_token11] = ACTIONS(6168),
    [aux_sym_coarray_statement_token12] = ACTIONS(6168),
    [aux_sym_coarray_statement_token13] = ACTIONS(6168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6168),
    [aux_sym_identifier_token1] = ACTIONS(6168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6172),
    [sym__float_literal] = ACTIONS(6172),
    [sym__boz_literal] = ACTIONS(6172),
    [sym__string_literal] = ACTIONS(6172),
    [sym__string_literal_kind] = ACTIONS(6172),
  },
  [2021] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6106),
    [aux_sym_preproc_def_token1] = ACTIONS(6106),
    [aux_sym_preproc_if_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6106),
    [sym_preproc_directive] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [sym_preproc_comment] = ACTIONS(6196),
    [anon_sym_PLUS] = ACTIONS(6110),
    [anon_sym_DASH] = ACTIONS(6110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6106),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6106),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6106),
    [aux_sym_contains_statement_token1] = ACTIONS(6106),
    [aux_sym_use_statement_token2] = ACTIONS(6106),
    [aux_sym_implicit_statement_token4] = ACTIONS(6106),
    [aux_sym_save_statement_token1] = ACTIONS(6106),
    [aux_sym_private_statement_token1] = ACTIONS(6106),
    [aux_sym_public_statement_token1] = ACTIONS(6106),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6106),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6106),
    [aux_sym_variable_attributes_token2] = ACTIONS(6106),
    [aux_sym_variable_attributes_token3] = ACTIONS(6106),
    [aux_sym_variable_attributes_token5] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6106),
    [aux_sym_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym_type_qualifier_token2] = ACTIONS(6106),
    [anon_sym_SEMI] = ACTIONS(6110),
    [aux_sym_stop_statement_token1] = ACTIONS(6106),
    [aux_sym_stop_statement_token2] = ACTIONS(6106),
    [aux_sym_subroutine_call_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token2] = ACTIONS(6106),
    [aux_sym_keyword_statement_token3] = ACTIONS(6106),
    [aux_sym_keyword_statement_token4] = ACTIONS(6106),
    [aux_sym_keyword_statement_token6] = ACTIONS(6106),
    [aux_sym_keyword_statement_token7] = ACTIONS(6106),
    [aux_sym_include_statement_token1] = ACTIONS(6106),
    [aux_sym_data_statement_token1] = ACTIONS(6106),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6106),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6106),
    [aux_sym_end_if_statement_token1] = ACTIONS(6106),
    [aux_sym_elseif_clause_token2] = ACTIONS(6106),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6106),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token3] = ACTIONS(6106),
    [aux_sym_select_type_statement_token1] = ACTIONS(6106),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6106),
    [aux_sym_block_construct_token1] = ACTIONS(6106),
    [aux_sym_associate_statement_token1] = ACTIONS(6106),
    [aux_sym_format_statement_token1] = ACTIONS(6106),
    [aux_sym_print_statement_token1] = ACTIONS(6106),
    [aux_sym_open_statement_token1] = ACTIONS(6106),
    [aux_sym_close_statement_token1] = ACTIONS(6106),
    [aux_sym_inquire_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token2] = ACTIONS(6106),
    [aux_sym_file_position_statement_token3] = ACTIONS(6106),
    [aux_sym_file_position_statement_token4] = ACTIONS(6106),
    [aux_sym_allocate_statement_token1] = ACTIONS(6106),
    [aux_sym_entry_statement_token1] = ACTIONS(6106),
    [aux_sym_logical_expression_token5] = ACTIONS(6110),
    [anon_sym_DOT] = ACTIONS(6106),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [aux_sym_boolean_literal_token1] = ACTIONS(6110),
    [aux_sym_boolean_literal_token2] = ACTIONS(6110),
    [aux_sym_null_literal_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token2] = ACTIONS(6106),
    [aux_sym_coarray_statement_token6] = ACTIONS(6106),
    [aux_sym_coarray_statement_token8] = ACTIONS(6106),
    [aux_sym_coarray_statement_token11] = ACTIONS(6106),
    [aux_sym_coarray_statement_token12] = ACTIONS(6106),
    [aux_sym_coarray_statement_token13] = ACTIONS(6106),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6106),
    [aux_sym_identifier_token1] = ACTIONS(6106),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6110),
    [sym__float_literal] = ACTIONS(6110),
    [sym__boz_literal] = ACTIONS(6110),
    [sym__string_literal] = ACTIONS(6110),
    [sym__string_literal_kind] = ACTIONS(6110),
  },
  [2022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6198),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_end_program_statement_token2] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_contains_statement_token1] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [sym_preproc_comment] = ACTIONS(6200),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [2024] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6112),
    [aux_sym_preproc_def_token1] = ACTIONS(6112),
    [aux_sym_preproc_if_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6112),
    [sym_preproc_directive] = ACTIONS(6112),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [sym_preproc_comment] = ACTIONS(6202),
    [anon_sym_PLUS] = ACTIONS(6116),
    [anon_sym_DASH] = ACTIONS(6116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6112),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6112),
    [aux_sym_contains_statement_token1] = ACTIONS(6112),
    [aux_sym_use_statement_token2] = ACTIONS(6112),
    [aux_sym_implicit_statement_token4] = ACTIONS(6112),
    [aux_sym_save_statement_token1] = ACTIONS(6112),
    [aux_sym_private_statement_token1] = ACTIONS(6112),
    [aux_sym_public_statement_token1] = ACTIONS(6112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6112),
    [aux_sym_variable_attributes_token2] = ACTIONS(6112),
    [aux_sym_variable_attributes_token3] = ACTIONS(6112),
    [aux_sym_variable_attributes_token5] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6112),
    [aux_sym_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym_type_qualifier_token2] = ACTIONS(6112),
    [anon_sym_SEMI] = ACTIONS(6116),
    [aux_sym_stop_statement_token1] = ACTIONS(6112),
    [aux_sym_stop_statement_token2] = ACTIONS(6112),
    [aux_sym_subroutine_call_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token2] = ACTIONS(6112),
    [aux_sym_keyword_statement_token3] = ACTIONS(6112),
    [aux_sym_keyword_statement_token4] = ACTIONS(6112),
    [aux_sym_keyword_statement_token6] = ACTIONS(6112),
    [aux_sym_keyword_statement_token7] = ACTIONS(6112),
    [aux_sym_include_statement_token1] = ACTIONS(6112),
    [aux_sym_data_statement_token1] = ACTIONS(6112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6112),
    [aux_sym_end_if_statement_token1] = ACTIONS(6112),
    [aux_sym_elseif_clause_token2] = ACTIONS(6112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token3] = ACTIONS(6112),
    [aux_sym_select_type_statement_token1] = ACTIONS(6112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6112),
    [aux_sym_block_construct_token1] = ACTIONS(6112),
    [aux_sym_associate_statement_token1] = ACTIONS(6112),
    [aux_sym_format_statement_token1] = ACTIONS(6112),
    [aux_sym_print_statement_token1] = ACTIONS(6112),
    [aux_sym_open_statement_token1] = ACTIONS(6112),
    [aux_sym_close_statement_token1] = ACTIONS(6112),
    [aux_sym_inquire_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token2] = ACTIONS(6112),
    [aux_sym_file_position_statement_token3] = ACTIONS(6112),
    [aux_sym_file_position_statement_token4] = ACTIONS(6112),
    [aux_sym_allocate_statement_token1] = ACTIONS(6112),
    [aux_sym_entry_statement_token1] = ACTIONS(6112),
    [aux_sym_logical_expression_token5] = ACTIONS(6116),
    [anon_sym_DOT] = ACTIONS(6112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6116),
    [anon_sym_LBRACK] = ACTIONS(6116),
    [aux_sym_boolean_literal_token1] = ACTIONS(6116),
    [aux_sym_boolean_literal_token2] = ACTIONS(6116),
    [aux_sym_null_literal_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token2] = ACTIONS(6112),
    [aux_sym_coarray_statement_token6] = ACTIONS(6112),
    [aux_sym_coarray_statement_token8] = ACTIONS(6112),
    [aux_sym_coarray_statement_token11] = ACTIONS(6112),
    [aux_sym_coarray_statement_token12] = ACTIONS(6112),
    [aux_sym_coarray_statement_token13] = ACTIONS(6112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6112),
    [aux_sym_identifier_token1] = ACTIONS(6112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6116),
    [sym__float_literal] = ACTIONS(6116),
    [sym__boz_literal] = ACTIONS(6116),
    [sym__string_literal] = ACTIONS(6116),
    [sym__string_literal_kind] = ACTIONS(6116),
  },
  [2025] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [sym_preproc_comment] = ACTIONS(6204),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_end_function_statement_token1] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2026] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_end_program_statement_token2] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2027] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6206),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_contains_statement_token1] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2028] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6118),
    [aux_sym_preproc_def_token1] = ACTIONS(6118),
    [aux_sym_preproc_if_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6118),
    [sym_preproc_directive] = ACTIONS(6118),
    [anon_sym_LPAREN2] = ACTIONS(6118),
    [sym_preproc_comment] = ACTIONS(6208),
    [anon_sym_PLUS] = ACTIONS(6122),
    [anon_sym_DASH] = ACTIONS(6122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6118),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6118),
    [aux_sym_contains_statement_token1] = ACTIONS(6118),
    [aux_sym_use_statement_token2] = ACTIONS(6118),
    [aux_sym_implicit_statement_token4] = ACTIONS(6118),
    [aux_sym_save_statement_token1] = ACTIONS(6118),
    [aux_sym_private_statement_token1] = ACTIONS(6118),
    [aux_sym_public_statement_token1] = ACTIONS(6118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6118),
    [aux_sym_variable_attributes_token2] = ACTIONS(6118),
    [aux_sym_variable_attributes_token3] = ACTIONS(6118),
    [aux_sym_variable_attributes_token5] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6118),
    [aux_sym_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym_type_qualifier_token2] = ACTIONS(6118),
    [anon_sym_SEMI] = ACTIONS(6122),
    [aux_sym_stop_statement_token1] = ACTIONS(6118),
    [aux_sym_stop_statement_token2] = ACTIONS(6118),
    [aux_sym_subroutine_call_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token2] = ACTIONS(6118),
    [aux_sym_keyword_statement_token3] = ACTIONS(6118),
    [aux_sym_keyword_statement_token4] = ACTIONS(6118),
    [aux_sym_keyword_statement_token6] = ACTIONS(6118),
    [aux_sym_keyword_statement_token7] = ACTIONS(6118),
    [aux_sym_include_statement_token1] = ACTIONS(6118),
    [aux_sym_data_statement_token1] = ACTIONS(6118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6118),
    [aux_sym_end_if_statement_token1] = ACTIONS(6118),
    [aux_sym_elseif_clause_token2] = ACTIONS(6118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token3] = ACTIONS(6118),
    [aux_sym_select_type_statement_token1] = ACTIONS(6118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6118),
    [aux_sym_block_construct_token1] = ACTIONS(6118),
    [aux_sym_associate_statement_token1] = ACTIONS(6118),
    [aux_sym_format_statement_token1] = ACTIONS(6118),
    [aux_sym_print_statement_token1] = ACTIONS(6118),
    [aux_sym_open_statement_token1] = ACTIONS(6118),
    [aux_sym_close_statement_token1] = ACTIONS(6118),
    [aux_sym_inquire_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token2] = ACTIONS(6118),
    [aux_sym_file_position_statement_token3] = ACTIONS(6118),
    [aux_sym_file_position_statement_token4] = ACTIONS(6118),
    [aux_sym_allocate_statement_token1] = ACTIONS(6118),
    [aux_sym_entry_statement_token1] = ACTIONS(6118),
    [aux_sym_logical_expression_token5] = ACTIONS(6122),
    [anon_sym_DOT] = ACTIONS(6118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6122),
    [anon_sym_LBRACK] = ACTIONS(6122),
    [aux_sym_boolean_literal_token1] = ACTIONS(6122),
    [aux_sym_boolean_literal_token2] = ACTIONS(6122),
    [aux_sym_null_literal_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token2] = ACTIONS(6118),
    [aux_sym_coarray_statement_token6] = ACTIONS(6118),
    [aux_sym_coarray_statement_token8] = ACTIONS(6118),
    [aux_sym_coarray_statement_token11] = ACTIONS(6118),
    [aux_sym_coarray_statement_token12] = ACTIONS(6118),
    [aux_sym_coarray_statement_token13] = ACTIONS(6118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6118),
    [aux_sym_identifier_token1] = ACTIONS(6118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6122),
    [sym__float_literal] = ACTIONS(6122),
    [sym__boz_literal] = ACTIONS(6122),
    [sym__string_literal] = ACTIONS(6122),
    [sym__string_literal_kind] = ACTIONS(6122),
  },
  [2029] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6210),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_end_program_statement_token2] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2030] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6130),
    [aux_sym_preproc_def_token1] = ACTIONS(6130),
    [aux_sym_preproc_if_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6130),
    [sym_preproc_directive] = ACTIONS(6130),
    [anon_sym_LPAREN2] = ACTIONS(6130),
    [sym_preproc_comment] = ACTIONS(6212),
    [anon_sym_PLUS] = ACTIONS(6134),
    [anon_sym_DASH] = ACTIONS(6134),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6130),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6130),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6130),
    [aux_sym_end_function_statement_token1] = ACTIONS(6130),
    [aux_sym_contains_statement_token1] = ACTIONS(6130),
    [aux_sym_use_statement_token2] = ACTIONS(6130),
    [aux_sym_implicit_statement_token4] = ACTIONS(6130),
    [aux_sym_save_statement_token1] = ACTIONS(6130),
    [aux_sym_private_statement_token1] = ACTIONS(6130),
    [aux_sym_public_statement_token1] = ACTIONS(6130),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6130),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6130),
    [aux_sym_variable_attributes_token2] = ACTIONS(6130),
    [aux_sym_variable_attributes_token3] = ACTIONS(6130),
    [aux_sym_variable_attributes_token5] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6130),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6130),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6130),
    [aux_sym_type_qualifier_token1] = ACTIONS(6130),
    [aux_sym_type_qualifier_token2] = ACTIONS(6130),
    [anon_sym_SEMI] = ACTIONS(6134),
    [aux_sym_stop_statement_token1] = ACTIONS(6130),
    [aux_sym_stop_statement_token2] = ACTIONS(6130),
    [aux_sym_subroutine_call_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token1] = ACTIONS(6130),
    [aux_sym_keyword_statement_token2] = ACTIONS(6130),
    [aux_sym_keyword_statement_token3] = ACTIONS(6130),
    [aux_sym_keyword_statement_token4] = ACTIONS(6130),
    [aux_sym_keyword_statement_token6] = ACTIONS(6130),
    [aux_sym_keyword_statement_token7] = ACTIONS(6130),
    [aux_sym_include_statement_token1] = ACTIONS(6130),
    [aux_sym_data_statement_token1] = ACTIONS(6130),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6130),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6130),
    [aux_sym_end_if_statement_token1] = ACTIONS(6130),
    [aux_sym_elseif_clause_token2] = ACTIONS(6130),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6130),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token1] = ACTIONS(6130),
    [aux_sym_select_case_statement_token3] = ACTIONS(6130),
    [aux_sym_select_type_statement_token1] = ACTIONS(6130),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6130),
    [aux_sym_block_construct_token1] = ACTIONS(6130),
    [aux_sym_associate_statement_token1] = ACTIONS(6130),
    [aux_sym_format_statement_token1] = ACTIONS(6130),
    [aux_sym_print_statement_token1] = ACTIONS(6130),
    [aux_sym_open_statement_token1] = ACTIONS(6130),
    [aux_sym_close_statement_token1] = ACTIONS(6130),
    [aux_sym_inquire_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token1] = ACTIONS(6130),
    [aux_sym_file_position_statement_token2] = ACTIONS(6130),
    [aux_sym_file_position_statement_token3] = ACTIONS(6130),
    [aux_sym_file_position_statement_token4] = ACTIONS(6130),
    [aux_sym_allocate_statement_token1] = ACTIONS(6130),
    [aux_sym_entry_statement_token1] = ACTIONS(6130),
    [aux_sym_logical_expression_token5] = ACTIONS(6134),
    [anon_sym_DOT] = ACTIONS(6130),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6134),
    [anon_sym_LBRACK] = ACTIONS(6134),
    [aux_sym_boolean_literal_token1] = ACTIONS(6134),
    [aux_sym_boolean_literal_token2] = ACTIONS(6134),
    [aux_sym_null_literal_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_statement_token2] = ACTIONS(6130),
    [aux_sym_coarray_statement_token6] = ACTIONS(6130),
    [aux_sym_coarray_statement_token8] = ACTIONS(6130),
    [aux_sym_coarray_statement_token11] = ACTIONS(6130),
    [aux_sym_coarray_statement_token12] = ACTIONS(6130),
    [aux_sym_coarray_statement_token13] = ACTIONS(6130),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6130),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6130),
    [aux_sym_identifier_token1] = ACTIONS(6130),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6134),
    [sym__float_literal] = ACTIONS(6134),
    [sym__boz_literal] = ACTIONS(6134),
    [sym__string_literal] = ACTIONS(6134),
    [sym__string_literal_kind] = ACTIONS(6134),
  },
  [2031] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [sym_preproc_comment] = ACTIONS(6214),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [2032] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6216),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2033] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_end_program_statement_token2] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2034] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6218),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_end_program_statement_token2] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2035] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6078),
    [aux_sym_preproc_def_token1] = ACTIONS(6078),
    [aux_sym_preproc_if_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6078),
    [sym_preproc_directive] = ACTIONS(6078),
    [anon_sym_LPAREN2] = ACTIONS(6078),
    [sym_preproc_comment] = ACTIONS(6220),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6078),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6078),
    [aux_sym_end_function_statement_token1] = ACTIONS(6078),
    [aux_sym_contains_statement_token1] = ACTIONS(6078),
    [aux_sym_use_statement_token2] = ACTIONS(6078),
    [aux_sym_implicit_statement_token4] = ACTIONS(6078),
    [aux_sym_save_statement_token1] = ACTIONS(6078),
    [aux_sym_private_statement_token1] = ACTIONS(6078),
    [aux_sym_public_statement_token1] = ACTIONS(6078),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6078),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6078),
    [aux_sym_variable_attributes_token2] = ACTIONS(6078),
    [aux_sym_variable_attributes_token3] = ACTIONS(6078),
    [aux_sym_variable_attributes_token5] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6078),
    [aux_sym_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym_type_qualifier_token2] = ACTIONS(6078),
    [anon_sym_SEMI] = ACTIONS(6082),
    [aux_sym_stop_statement_token1] = ACTIONS(6078),
    [aux_sym_stop_statement_token2] = ACTIONS(6078),
    [aux_sym_subroutine_call_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token2] = ACTIONS(6078),
    [aux_sym_keyword_statement_token3] = ACTIONS(6078),
    [aux_sym_keyword_statement_token4] = ACTIONS(6078),
    [aux_sym_keyword_statement_token6] = ACTIONS(6078),
    [aux_sym_keyword_statement_token7] = ACTIONS(6078),
    [aux_sym_include_statement_token1] = ACTIONS(6078),
    [aux_sym_data_statement_token1] = ACTIONS(6078),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6078),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6078),
    [aux_sym_end_if_statement_token1] = ACTIONS(6078),
    [aux_sym_elseif_clause_token2] = ACTIONS(6078),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6078),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token3] = ACTIONS(6078),
    [aux_sym_select_type_statement_token1] = ACTIONS(6078),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6078),
    [aux_sym_block_construct_token1] = ACTIONS(6078),
    [aux_sym_associate_statement_token1] = ACTIONS(6078),
    [aux_sym_format_statement_token1] = ACTIONS(6078),
    [aux_sym_print_statement_token1] = ACTIONS(6078),
    [aux_sym_open_statement_token1] = ACTIONS(6078),
    [aux_sym_close_statement_token1] = ACTIONS(6078),
    [aux_sym_inquire_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token2] = ACTIONS(6078),
    [aux_sym_file_position_statement_token3] = ACTIONS(6078),
    [aux_sym_file_position_statement_token4] = ACTIONS(6078),
    [aux_sym_allocate_statement_token1] = ACTIONS(6078),
    [aux_sym_entry_statement_token1] = ACTIONS(6078),
    [aux_sym_logical_expression_token5] = ACTIONS(6082),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6082),
    [anon_sym_LBRACK] = ACTIONS(6082),
    [aux_sym_boolean_literal_token1] = ACTIONS(6082),
    [aux_sym_boolean_literal_token2] = ACTIONS(6082),
    [aux_sym_null_literal_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token2] = ACTIONS(6078),
    [aux_sym_coarray_statement_token6] = ACTIONS(6078),
    [aux_sym_coarray_statement_token8] = ACTIONS(6078),
    [aux_sym_coarray_statement_token11] = ACTIONS(6078),
    [aux_sym_coarray_statement_token12] = ACTIONS(6078),
    [aux_sym_coarray_statement_token13] = ACTIONS(6078),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6078),
    [aux_sym_identifier_token1] = ACTIONS(6078),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6082),
    [sym__float_literal] = ACTIONS(6082),
    [sym__boz_literal] = ACTIONS(6082),
    [sym__string_literal] = ACTIONS(6082),
    [sym__string_literal_kind] = ACTIONS(6082),
  },
  [2036] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6084),
    [aux_sym_preproc_def_token1] = ACTIONS(6084),
    [aux_sym_preproc_if_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6084),
    [sym_preproc_directive] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [sym_preproc_comment] = ACTIONS(6222),
    [anon_sym_PLUS] = ACTIONS(6088),
    [anon_sym_DASH] = ACTIONS(6088),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6084),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6084),
    [aux_sym_end_function_statement_token1] = ACTIONS(6084),
    [aux_sym_contains_statement_token1] = ACTIONS(6084),
    [aux_sym_use_statement_token2] = ACTIONS(6084),
    [aux_sym_implicit_statement_token4] = ACTIONS(6084),
    [aux_sym_save_statement_token1] = ACTIONS(6084),
    [aux_sym_private_statement_token1] = ACTIONS(6084),
    [aux_sym_public_statement_token1] = ACTIONS(6084),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6084),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6084),
    [aux_sym_variable_attributes_token2] = ACTIONS(6084),
    [aux_sym_variable_attributes_token3] = ACTIONS(6084),
    [aux_sym_variable_attributes_token5] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6084),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6084),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6084),
    [aux_sym_type_qualifier_token1] = ACTIONS(6084),
    [aux_sym_type_qualifier_token2] = ACTIONS(6084),
    [anon_sym_SEMI] = ACTIONS(6088),
    [aux_sym_stop_statement_token1] = ACTIONS(6084),
    [aux_sym_stop_statement_token2] = ACTIONS(6084),
    [aux_sym_subroutine_call_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token1] = ACTIONS(6084),
    [aux_sym_keyword_statement_token2] = ACTIONS(6084),
    [aux_sym_keyword_statement_token3] = ACTIONS(6084),
    [aux_sym_keyword_statement_token4] = ACTIONS(6084),
    [aux_sym_keyword_statement_token6] = ACTIONS(6084),
    [aux_sym_keyword_statement_token7] = ACTIONS(6084),
    [aux_sym_include_statement_token1] = ACTIONS(6084),
    [aux_sym_data_statement_token1] = ACTIONS(6084),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6084),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6084),
    [aux_sym_end_if_statement_token1] = ACTIONS(6084),
    [aux_sym_elseif_clause_token2] = ACTIONS(6084),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6084),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token1] = ACTIONS(6084),
    [aux_sym_select_case_statement_token3] = ACTIONS(6084),
    [aux_sym_select_type_statement_token1] = ACTIONS(6084),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6084),
    [aux_sym_block_construct_token1] = ACTIONS(6084),
    [aux_sym_associate_statement_token1] = ACTIONS(6084),
    [aux_sym_format_statement_token1] = ACTIONS(6084),
    [aux_sym_print_statement_token1] = ACTIONS(6084),
    [aux_sym_open_statement_token1] = ACTIONS(6084),
    [aux_sym_close_statement_token1] = ACTIONS(6084),
    [aux_sym_inquire_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token1] = ACTIONS(6084),
    [aux_sym_file_position_statement_token2] = ACTIONS(6084),
    [aux_sym_file_position_statement_token3] = ACTIONS(6084),
    [aux_sym_file_position_statement_token4] = ACTIONS(6084),
    [aux_sym_allocate_statement_token1] = ACTIONS(6084),
    [aux_sym_entry_statement_token1] = ACTIONS(6084),
    [aux_sym_logical_expression_token5] = ACTIONS(6088),
    [anon_sym_DOT] = ACTIONS(6084),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(6088),
    [aux_sym_boolean_literal_token1] = ACTIONS(6088),
    [aux_sym_boolean_literal_token2] = ACTIONS(6088),
    [aux_sym_null_literal_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_statement_token2] = ACTIONS(6084),
    [aux_sym_coarray_statement_token6] = ACTIONS(6084),
    [aux_sym_coarray_statement_token8] = ACTIONS(6084),
    [aux_sym_coarray_statement_token11] = ACTIONS(6084),
    [aux_sym_coarray_statement_token12] = ACTIONS(6084),
    [aux_sym_coarray_statement_token13] = ACTIONS(6084),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6084),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6084),
    [aux_sym_identifier_token1] = ACTIONS(6084),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6088),
    [sym__float_literal] = ACTIONS(6088),
    [sym__boz_literal] = ACTIONS(6088),
    [sym__string_literal] = ACTIONS(6088),
    [sym__string_literal_kind] = ACTIONS(6088),
  },
  [2037] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2038] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_end_program_statement_token2] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2039] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6224),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_contains_statement_token1] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2040] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6226),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2041] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6228),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2042] = {
    [sym__intrinsic_type] = STATE(6038),
    [sym_intrinsic_type] = STATE(8635),
    [sym_sized_allocation] = STATE(6121),
    [sym_coarray_allocation] = STATE(6816),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(4866),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4733),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6232),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6232),
    [aux_sym_use_statement_token2] = ACTIONS(6232),
    [aux_sym_implicit_statement_token4] = ACTIONS(6232),
    [aux_sym_save_statement_token1] = ACTIONS(6232),
    [aux_sym_private_statement_token1] = ACTIONS(6232),
    [aux_sym_public_statement_token1] = ACTIONS(6232),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6232),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6232),
    [aux_sym_variable_attributes_token2] = ACTIONS(6232),
    [aux_sym_variable_attributes_token3] = ACTIONS(6232),
    [aux_sym_variable_attributes_token5] = ACTIONS(6232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6234),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6236),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6232),
    [aux_sym_type_qualifier_token1] = ACTIONS(6232),
    [aux_sym_type_qualifier_token2] = ACTIONS(6232),
    [aux_sym_stop_statement_token1] = ACTIONS(6232),
    [aux_sym_stop_statement_token2] = ACTIONS(6232),
    [aux_sym_keyword_statement_token2] = ACTIONS(6232),
    [aux_sym_keyword_statement_token3] = ACTIONS(6232),
    [aux_sym_data_statement_token1] = ACTIONS(6232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6232),
    [aux_sym_end_if_statement_token1] = ACTIONS(6232),
    [aux_sym_elseif_clause_token2] = ACTIONS(6232),
    [aux_sym_select_case_statement_token1] = ACTIONS(6240),
    [aux_sym_block_construct_token1] = ACTIONS(6232),
    [aux_sym_format_statement_token1] = ACTIONS(6232),
    [aux_sym_inquire_statement_token1] = ACTIONS(6232),
    [aux_sym_entry_statement_token1] = ACTIONS(6232),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(6242),
    [aux_sym_coarray_statement_token1] = ACTIONS(6232),
    [aux_sym_coarray_statement_token2] = ACTIONS(6232),
    [aux_sym_coarray_statement_token6] = ACTIONS(6232),
    [aux_sym_coarray_statement_token8] = ACTIONS(6232),
    [aux_sym_coarray_statement_token11] = ACTIONS(6232),
    [aux_sym_coarray_statement_token12] = ACTIONS(6232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6232),
    [aux_sym_identifier_token1] = ACTIONS(6232),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6244),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6246),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2045] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6248),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_end_function_statement_token1] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2046] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6250),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_end_program_statement_token2] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2047] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_end_program_statement_token2] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2048] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6252),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_end_program_statement_token2] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_contains_statement_token1] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2049] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2050] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2051] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym_end_where_statement_token1] = ACTIONS(5726),
    [aux_sym_elsewhere_clause_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2052] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6254),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_end_program_statement_token2] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_contains_statement_token1] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2053] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6106),
    [aux_sym_preproc_def_token1] = ACTIONS(6106),
    [aux_sym_preproc_if_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6106),
    [sym_preproc_directive] = ACTIONS(6106),
    [anon_sym_LPAREN2] = ACTIONS(6106),
    [sym_preproc_comment] = ACTIONS(6256),
    [anon_sym_PLUS] = ACTIONS(6110),
    [anon_sym_DASH] = ACTIONS(6110),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6106),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6106),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6106),
    [aux_sym_end_function_statement_token1] = ACTIONS(6106),
    [aux_sym_contains_statement_token1] = ACTIONS(6106),
    [aux_sym_use_statement_token2] = ACTIONS(6106),
    [aux_sym_implicit_statement_token4] = ACTIONS(6106),
    [aux_sym_save_statement_token1] = ACTIONS(6106),
    [aux_sym_private_statement_token1] = ACTIONS(6106),
    [aux_sym_public_statement_token1] = ACTIONS(6106),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6106),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6106),
    [aux_sym_variable_attributes_token2] = ACTIONS(6106),
    [aux_sym_variable_attributes_token3] = ACTIONS(6106),
    [aux_sym_variable_attributes_token5] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6106),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6106),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6106),
    [aux_sym_type_qualifier_token1] = ACTIONS(6106),
    [aux_sym_type_qualifier_token2] = ACTIONS(6106),
    [anon_sym_SEMI] = ACTIONS(6110),
    [aux_sym_stop_statement_token1] = ACTIONS(6106),
    [aux_sym_stop_statement_token2] = ACTIONS(6106),
    [aux_sym_subroutine_call_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token1] = ACTIONS(6106),
    [aux_sym_keyword_statement_token2] = ACTIONS(6106),
    [aux_sym_keyword_statement_token3] = ACTIONS(6106),
    [aux_sym_keyword_statement_token4] = ACTIONS(6106),
    [aux_sym_keyword_statement_token6] = ACTIONS(6106),
    [aux_sym_keyword_statement_token7] = ACTIONS(6106),
    [aux_sym_include_statement_token1] = ACTIONS(6106),
    [aux_sym_data_statement_token1] = ACTIONS(6106),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6106),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6106),
    [aux_sym_end_if_statement_token1] = ACTIONS(6106),
    [aux_sym_elseif_clause_token2] = ACTIONS(6106),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6106),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token1] = ACTIONS(6106),
    [aux_sym_select_case_statement_token3] = ACTIONS(6106),
    [aux_sym_select_type_statement_token1] = ACTIONS(6106),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6106),
    [aux_sym_block_construct_token1] = ACTIONS(6106),
    [aux_sym_associate_statement_token1] = ACTIONS(6106),
    [aux_sym_format_statement_token1] = ACTIONS(6106),
    [aux_sym_print_statement_token1] = ACTIONS(6106),
    [aux_sym_open_statement_token1] = ACTIONS(6106),
    [aux_sym_close_statement_token1] = ACTIONS(6106),
    [aux_sym_inquire_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token1] = ACTIONS(6106),
    [aux_sym_file_position_statement_token2] = ACTIONS(6106),
    [aux_sym_file_position_statement_token3] = ACTIONS(6106),
    [aux_sym_file_position_statement_token4] = ACTIONS(6106),
    [aux_sym_allocate_statement_token1] = ACTIONS(6106),
    [aux_sym_entry_statement_token1] = ACTIONS(6106),
    [aux_sym_logical_expression_token5] = ACTIONS(6110),
    [anon_sym_DOT] = ACTIONS(6106),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [aux_sym_boolean_literal_token1] = ACTIONS(6110),
    [aux_sym_boolean_literal_token2] = ACTIONS(6110),
    [aux_sym_null_literal_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_statement_token2] = ACTIONS(6106),
    [aux_sym_coarray_statement_token6] = ACTIONS(6106),
    [aux_sym_coarray_statement_token8] = ACTIONS(6106),
    [aux_sym_coarray_statement_token11] = ACTIONS(6106),
    [aux_sym_coarray_statement_token12] = ACTIONS(6106),
    [aux_sym_coarray_statement_token13] = ACTIONS(6106),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6106),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6106),
    [aux_sym_identifier_token1] = ACTIONS(6106),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6110),
    [sym__float_literal] = ACTIONS(6110),
    [sym__boz_literal] = ACTIONS(6110),
    [sym__string_literal] = ACTIONS(6110),
    [sym__string_literal_kind] = ACTIONS(6110),
  },
  [2054] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6258),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2055] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6260),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2056] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6112),
    [aux_sym_preproc_def_token1] = ACTIONS(6112),
    [aux_sym_preproc_if_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6112),
    [sym_preproc_directive] = ACTIONS(6112),
    [anon_sym_LPAREN2] = ACTIONS(6112),
    [sym_preproc_comment] = ACTIONS(6262),
    [anon_sym_PLUS] = ACTIONS(6116),
    [anon_sym_DASH] = ACTIONS(6116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6112),
    [aux_sym_end_function_statement_token1] = ACTIONS(6112),
    [aux_sym_contains_statement_token1] = ACTIONS(6112),
    [aux_sym_use_statement_token2] = ACTIONS(6112),
    [aux_sym_implicit_statement_token4] = ACTIONS(6112),
    [aux_sym_save_statement_token1] = ACTIONS(6112),
    [aux_sym_private_statement_token1] = ACTIONS(6112),
    [aux_sym_public_statement_token1] = ACTIONS(6112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6112),
    [aux_sym_variable_attributes_token2] = ACTIONS(6112),
    [aux_sym_variable_attributes_token3] = ACTIONS(6112),
    [aux_sym_variable_attributes_token5] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6112),
    [aux_sym_type_qualifier_token1] = ACTIONS(6112),
    [aux_sym_type_qualifier_token2] = ACTIONS(6112),
    [anon_sym_SEMI] = ACTIONS(6116),
    [aux_sym_stop_statement_token1] = ACTIONS(6112),
    [aux_sym_stop_statement_token2] = ACTIONS(6112),
    [aux_sym_subroutine_call_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token1] = ACTIONS(6112),
    [aux_sym_keyword_statement_token2] = ACTIONS(6112),
    [aux_sym_keyword_statement_token3] = ACTIONS(6112),
    [aux_sym_keyword_statement_token4] = ACTIONS(6112),
    [aux_sym_keyword_statement_token6] = ACTIONS(6112),
    [aux_sym_keyword_statement_token7] = ACTIONS(6112),
    [aux_sym_include_statement_token1] = ACTIONS(6112),
    [aux_sym_data_statement_token1] = ACTIONS(6112),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6112),
    [aux_sym_end_if_statement_token1] = ACTIONS(6112),
    [aux_sym_elseif_clause_token2] = ACTIONS(6112),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6112),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token1] = ACTIONS(6112),
    [aux_sym_select_case_statement_token3] = ACTIONS(6112),
    [aux_sym_select_type_statement_token1] = ACTIONS(6112),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6112),
    [aux_sym_block_construct_token1] = ACTIONS(6112),
    [aux_sym_associate_statement_token1] = ACTIONS(6112),
    [aux_sym_format_statement_token1] = ACTIONS(6112),
    [aux_sym_print_statement_token1] = ACTIONS(6112),
    [aux_sym_open_statement_token1] = ACTIONS(6112),
    [aux_sym_close_statement_token1] = ACTIONS(6112),
    [aux_sym_inquire_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token1] = ACTIONS(6112),
    [aux_sym_file_position_statement_token2] = ACTIONS(6112),
    [aux_sym_file_position_statement_token3] = ACTIONS(6112),
    [aux_sym_file_position_statement_token4] = ACTIONS(6112),
    [aux_sym_allocate_statement_token1] = ACTIONS(6112),
    [aux_sym_entry_statement_token1] = ACTIONS(6112),
    [aux_sym_logical_expression_token5] = ACTIONS(6116),
    [anon_sym_DOT] = ACTIONS(6112),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6116),
    [anon_sym_LBRACK] = ACTIONS(6116),
    [aux_sym_boolean_literal_token1] = ACTIONS(6116),
    [aux_sym_boolean_literal_token2] = ACTIONS(6116),
    [aux_sym_null_literal_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_statement_token2] = ACTIONS(6112),
    [aux_sym_coarray_statement_token6] = ACTIONS(6112),
    [aux_sym_coarray_statement_token8] = ACTIONS(6112),
    [aux_sym_coarray_statement_token11] = ACTIONS(6112),
    [aux_sym_coarray_statement_token12] = ACTIONS(6112),
    [aux_sym_coarray_statement_token13] = ACTIONS(6112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6112),
    [aux_sym_identifier_token1] = ACTIONS(6112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6116),
    [sym__float_literal] = ACTIONS(6116),
    [sym__boz_literal] = ACTIONS(6116),
    [sym__string_literal] = ACTIONS(6116),
    [sym__string_literal_kind] = ACTIONS(6116),
  },
  [2057] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6118),
    [aux_sym_preproc_def_token1] = ACTIONS(6118),
    [aux_sym_preproc_if_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6118),
    [sym_preproc_directive] = ACTIONS(6118),
    [anon_sym_LPAREN2] = ACTIONS(6118),
    [sym_preproc_comment] = ACTIONS(6264),
    [anon_sym_PLUS] = ACTIONS(6122),
    [anon_sym_DASH] = ACTIONS(6122),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6118),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6118),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6118),
    [aux_sym_end_function_statement_token1] = ACTIONS(6118),
    [aux_sym_contains_statement_token1] = ACTIONS(6118),
    [aux_sym_use_statement_token2] = ACTIONS(6118),
    [aux_sym_implicit_statement_token4] = ACTIONS(6118),
    [aux_sym_save_statement_token1] = ACTIONS(6118),
    [aux_sym_private_statement_token1] = ACTIONS(6118),
    [aux_sym_public_statement_token1] = ACTIONS(6118),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6118),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6118),
    [aux_sym_variable_attributes_token2] = ACTIONS(6118),
    [aux_sym_variable_attributes_token3] = ACTIONS(6118),
    [aux_sym_variable_attributes_token5] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6118),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6118),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6118),
    [aux_sym_type_qualifier_token1] = ACTIONS(6118),
    [aux_sym_type_qualifier_token2] = ACTIONS(6118),
    [anon_sym_SEMI] = ACTIONS(6122),
    [aux_sym_stop_statement_token1] = ACTIONS(6118),
    [aux_sym_stop_statement_token2] = ACTIONS(6118),
    [aux_sym_subroutine_call_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token1] = ACTIONS(6118),
    [aux_sym_keyword_statement_token2] = ACTIONS(6118),
    [aux_sym_keyword_statement_token3] = ACTIONS(6118),
    [aux_sym_keyword_statement_token4] = ACTIONS(6118),
    [aux_sym_keyword_statement_token6] = ACTIONS(6118),
    [aux_sym_keyword_statement_token7] = ACTIONS(6118),
    [aux_sym_include_statement_token1] = ACTIONS(6118),
    [aux_sym_data_statement_token1] = ACTIONS(6118),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6118),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6118),
    [aux_sym_end_if_statement_token1] = ACTIONS(6118),
    [aux_sym_elseif_clause_token2] = ACTIONS(6118),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6118),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token1] = ACTIONS(6118),
    [aux_sym_select_case_statement_token3] = ACTIONS(6118),
    [aux_sym_select_type_statement_token1] = ACTIONS(6118),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6118),
    [aux_sym_block_construct_token1] = ACTIONS(6118),
    [aux_sym_associate_statement_token1] = ACTIONS(6118),
    [aux_sym_format_statement_token1] = ACTIONS(6118),
    [aux_sym_print_statement_token1] = ACTIONS(6118),
    [aux_sym_open_statement_token1] = ACTIONS(6118),
    [aux_sym_close_statement_token1] = ACTIONS(6118),
    [aux_sym_inquire_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token1] = ACTIONS(6118),
    [aux_sym_file_position_statement_token2] = ACTIONS(6118),
    [aux_sym_file_position_statement_token3] = ACTIONS(6118),
    [aux_sym_file_position_statement_token4] = ACTIONS(6118),
    [aux_sym_allocate_statement_token1] = ACTIONS(6118),
    [aux_sym_entry_statement_token1] = ACTIONS(6118),
    [aux_sym_logical_expression_token5] = ACTIONS(6122),
    [anon_sym_DOT] = ACTIONS(6118),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6122),
    [anon_sym_LBRACK] = ACTIONS(6122),
    [aux_sym_boolean_literal_token1] = ACTIONS(6122),
    [aux_sym_boolean_literal_token2] = ACTIONS(6122),
    [aux_sym_null_literal_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_statement_token2] = ACTIONS(6118),
    [aux_sym_coarray_statement_token6] = ACTIONS(6118),
    [aux_sym_coarray_statement_token8] = ACTIONS(6118),
    [aux_sym_coarray_statement_token11] = ACTIONS(6118),
    [aux_sym_coarray_statement_token12] = ACTIONS(6118),
    [aux_sym_coarray_statement_token13] = ACTIONS(6118),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6118),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6118),
    [aux_sym_identifier_token1] = ACTIONS(6118),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6122),
    [sym__float_literal] = ACTIONS(6122),
    [sym__boz_literal] = ACTIONS(6122),
    [sym__string_literal] = ACTIONS(6122),
    [sym__string_literal_kind] = ACTIONS(6122),
  },
  [2058] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [sym_preproc_comment] = ACTIONS(6266),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_end_function_statement_token1] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [2059] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6268),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_end_program_statement_token2] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2060] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_end_program_statement_token2] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2061] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_end_program_statement_token2] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2063] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6078),
    [aux_sym_preproc_def_token1] = ACTIONS(6078),
    [aux_sym_preproc_if_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6078),
    [sym_preproc_directive] = ACTIONS(6078),
    [anon_sym_LPAREN2] = ACTIONS(6078),
    [sym_preproc_comment] = ACTIONS(6270),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6078),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6078),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6078),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6078),
    [aux_sym_contains_statement_token1] = ACTIONS(6078),
    [aux_sym_use_statement_token2] = ACTIONS(6078),
    [aux_sym_implicit_statement_token4] = ACTIONS(6078),
    [aux_sym_save_statement_token1] = ACTIONS(6078),
    [aux_sym_private_statement_token1] = ACTIONS(6078),
    [aux_sym_public_statement_token1] = ACTIONS(6078),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6078),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6078),
    [aux_sym_variable_attributes_token2] = ACTIONS(6078),
    [aux_sym_variable_attributes_token3] = ACTIONS(6078),
    [aux_sym_variable_attributes_token5] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6078),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6078),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6078),
    [aux_sym_type_qualifier_token1] = ACTIONS(6078),
    [aux_sym_type_qualifier_token2] = ACTIONS(6078),
    [anon_sym_SEMI] = ACTIONS(6082),
    [aux_sym_stop_statement_token1] = ACTIONS(6078),
    [aux_sym_stop_statement_token2] = ACTIONS(6078),
    [aux_sym_subroutine_call_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token1] = ACTIONS(6078),
    [aux_sym_keyword_statement_token2] = ACTIONS(6078),
    [aux_sym_keyword_statement_token3] = ACTIONS(6078),
    [aux_sym_keyword_statement_token4] = ACTIONS(6078),
    [aux_sym_keyword_statement_token6] = ACTIONS(6078),
    [aux_sym_keyword_statement_token7] = ACTIONS(6078),
    [aux_sym_include_statement_token1] = ACTIONS(6078),
    [aux_sym_data_statement_token1] = ACTIONS(6078),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6078),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6078),
    [aux_sym_end_if_statement_token1] = ACTIONS(6078),
    [aux_sym_elseif_clause_token2] = ACTIONS(6078),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6078),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token1] = ACTIONS(6078),
    [aux_sym_select_case_statement_token3] = ACTIONS(6078),
    [aux_sym_select_type_statement_token1] = ACTIONS(6078),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6078),
    [aux_sym_block_construct_token1] = ACTIONS(6078),
    [aux_sym_associate_statement_token1] = ACTIONS(6078),
    [aux_sym_format_statement_token1] = ACTIONS(6078),
    [aux_sym_print_statement_token1] = ACTIONS(6078),
    [aux_sym_open_statement_token1] = ACTIONS(6078),
    [aux_sym_close_statement_token1] = ACTIONS(6078),
    [aux_sym_inquire_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token1] = ACTIONS(6078),
    [aux_sym_file_position_statement_token2] = ACTIONS(6078),
    [aux_sym_file_position_statement_token3] = ACTIONS(6078),
    [aux_sym_file_position_statement_token4] = ACTIONS(6078),
    [aux_sym_allocate_statement_token1] = ACTIONS(6078),
    [aux_sym_entry_statement_token1] = ACTIONS(6078),
    [aux_sym_logical_expression_token5] = ACTIONS(6082),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6082),
    [anon_sym_LBRACK] = ACTIONS(6082),
    [aux_sym_boolean_literal_token1] = ACTIONS(6082),
    [aux_sym_boolean_literal_token2] = ACTIONS(6082),
    [aux_sym_null_literal_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_statement_token2] = ACTIONS(6078),
    [aux_sym_coarray_statement_token6] = ACTIONS(6078),
    [aux_sym_coarray_statement_token8] = ACTIONS(6078),
    [aux_sym_coarray_statement_token11] = ACTIONS(6078),
    [aux_sym_coarray_statement_token12] = ACTIONS(6078),
    [aux_sym_coarray_statement_token13] = ACTIONS(6078),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6078),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6078),
    [aux_sym_identifier_token1] = ACTIONS(6078),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6082),
    [sym__float_literal] = ACTIONS(6082),
    [sym__boz_literal] = ACTIONS(6082),
    [sym__string_literal] = ACTIONS(6082),
    [sym__string_literal_kind] = ACTIONS(6082),
  },
  [2064] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2065] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6168),
    [aux_sym_preproc_def_token1] = ACTIONS(6168),
    [aux_sym_preproc_if_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6168),
    [sym_preproc_directive] = ACTIONS(6168),
    [anon_sym_LPAREN2] = ACTIONS(6168),
    [sym_preproc_comment] = ACTIONS(6272),
    [anon_sym_PLUS] = ACTIONS(6172),
    [anon_sym_DASH] = ACTIONS(6172),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6168),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6168),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6168),
    [aux_sym_contains_statement_token1] = ACTIONS(6168),
    [aux_sym_use_statement_token2] = ACTIONS(6168),
    [aux_sym_implicit_statement_token4] = ACTIONS(6168),
    [aux_sym_save_statement_token1] = ACTIONS(6168),
    [aux_sym_private_statement_token1] = ACTIONS(6168),
    [aux_sym_public_statement_token1] = ACTIONS(6168),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6168),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6168),
    [aux_sym_variable_attributes_token2] = ACTIONS(6168),
    [aux_sym_variable_attributes_token3] = ACTIONS(6168),
    [aux_sym_variable_attributes_token5] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6168),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6168),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6168),
    [aux_sym_type_qualifier_token1] = ACTIONS(6168),
    [aux_sym_type_qualifier_token2] = ACTIONS(6168),
    [anon_sym_SEMI] = ACTIONS(6172),
    [aux_sym_stop_statement_token1] = ACTIONS(6168),
    [aux_sym_stop_statement_token2] = ACTIONS(6168),
    [aux_sym_subroutine_call_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token1] = ACTIONS(6168),
    [aux_sym_keyword_statement_token2] = ACTIONS(6168),
    [aux_sym_keyword_statement_token3] = ACTIONS(6168),
    [aux_sym_keyword_statement_token4] = ACTIONS(6168),
    [aux_sym_keyword_statement_token6] = ACTIONS(6168),
    [aux_sym_keyword_statement_token7] = ACTIONS(6168),
    [aux_sym_include_statement_token1] = ACTIONS(6168),
    [aux_sym_data_statement_token1] = ACTIONS(6168),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6168),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6168),
    [aux_sym_end_if_statement_token1] = ACTIONS(6168),
    [aux_sym_elseif_clause_token2] = ACTIONS(6168),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6168),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token1] = ACTIONS(6168),
    [aux_sym_select_case_statement_token3] = ACTIONS(6168),
    [aux_sym_select_type_statement_token1] = ACTIONS(6168),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6168),
    [aux_sym_block_construct_token1] = ACTIONS(6168),
    [aux_sym_associate_statement_token1] = ACTIONS(6168),
    [aux_sym_format_statement_token1] = ACTIONS(6168),
    [aux_sym_print_statement_token1] = ACTIONS(6168),
    [aux_sym_open_statement_token1] = ACTIONS(6168),
    [aux_sym_close_statement_token1] = ACTIONS(6168),
    [aux_sym_inquire_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token1] = ACTIONS(6168),
    [aux_sym_file_position_statement_token2] = ACTIONS(6168),
    [aux_sym_file_position_statement_token3] = ACTIONS(6168),
    [aux_sym_file_position_statement_token4] = ACTIONS(6168),
    [aux_sym_allocate_statement_token1] = ACTIONS(6168),
    [aux_sym_entry_statement_token1] = ACTIONS(6168),
    [aux_sym_logical_expression_token5] = ACTIONS(6172),
    [anon_sym_DOT] = ACTIONS(6168),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6172),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [aux_sym_boolean_literal_token1] = ACTIONS(6172),
    [aux_sym_boolean_literal_token2] = ACTIONS(6172),
    [aux_sym_null_literal_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_statement_token2] = ACTIONS(6168),
    [aux_sym_coarray_statement_token6] = ACTIONS(6168),
    [aux_sym_coarray_statement_token8] = ACTIONS(6168),
    [aux_sym_coarray_statement_token11] = ACTIONS(6168),
    [aux_sym_coarray_statement_token12] = ACTIONS(6168),
    [aux_sym_coarray_statement_token13] = ACTIONS(6168),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6168),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6168),
    [aux_sym_identifier_token1] = ACTIONS(6168),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6172),
    [sym__float_literal] = ACTIONS(6172),
    [sym__boz_literal] = ACTIONS(6172),
    [sym__string_literal] = ACTIONS(6172),
    [sym__string_literal_kind] = ACTIONS(6172),
  },
  [2066] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [sym_preproc_comment] = ACTIONS(6274),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2067] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6276),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_contains_statement_token1] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2068] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6024),
    [aux_sym_preproc_def_token1] = ACTIONS(6024),
    [aux_sym_preproc_if_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6024),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6024),
    [sym_preproc_directive] = ACTIONS(6024),
    [anon_sym_LPAREN2] = ACTIONS(6024),
    [sym_preproc_comment] = ACTIONS(6278),
    [anon_sym_PLUS] = ACTIONS(6028),
    [anon_sym_DASH] = ACTIONS(6028),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6024),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6024),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6024),
    [aux_sym_end_function_statement_token1] = ACTIONS(6024),
    [aux_sym_contains_statement_token1] = ACTIONS(6024),
    [aux_sym_use_statement_token2] = ACTIONS(6024),
    [aux_sym_implicit_statement_token4] = ACTIONS(6024),
    [aux_sym_save_statement_token1] = ACTIONS(6024),
    [aux_sym_private_statement_token1] = ACTIONS(6024),
    [aux_sym_public_statement_token1] = ACTIONS(6024),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6024),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6024),
    [aux_sym_variable_attributes_token2] = ACTIONS(6024),
    [aux_sym_variable_attributes_token3] = ACTIONS(6024),
    [aux_sym_variable_attributes_token5] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6024),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6024),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6024),
    [aux_sym_type_qualifier_token1] = ACTIONS(6024),
    [aux_sym_type_qualifier_token2] = ACTIONS(6024),
    [anon_sym_SEMI] = ACTIONS(6028),
    [aux_sym_stop_statement_token1] = ACTIONS(6024),
    [aux_sym_stop_statement_token2] = ACTIONS(6024),
    [aux_sym_subroutine_call_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token1] = ACTIONS(6024),
    [aux_sym_keyword_statement_token2] = ACTIONS(6024),
    [aux_sym_keyword_statement_token3] = ACTIONS(6024),
    [aux_sym_keyword_statement_token4] = ACTIONS(6024),
    [aux_sym_keyword_statement_token6] = ACTIONS(6024),
    [aux_sym_keyword_statement_token7] = ACTIONS(6024),
    [aux_sym_include_statement_token1] = ACTIONS(6024),
    [aux_sym_data_statement_token1] = ACTIONS(6024),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6024),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6024),
    [aux_sym_end_if_statement_token1] = ACTIONS(6024),
    [aux_sym_elseif_clause_token2] = ACTIONS(6024),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6024),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token1] = ACTIONS(6024),
    [aux_sym_select_case_statement_token3] = ACTIONS(6024),
    [aux_sym_select_type_statement_token1] = ACTIONS(6024),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6024),
    [aux_sym_block_construct_token1] = ACTIONS(6024),
    [aux_sym_associate_statement_token1] = ACTIONS(6024),
    [aux_sym_format_statement_token1] = ACTIONS(6024),
    [aux_sym_print_statement_token1] = ACTIONS(6024),
    [aux_sym_open_statement_token1] = ACTIONS(6024),
    [aux_sym_close_statement_token1] = ACTIONS(6024),
    [aux_sym_inquire_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token1] = ACTIONS(6024),
    [aux_sym_file_position_statement_token2] = ACTIONS(6024),
    [aux_sym_file_position_statement_token3] = ACTIONS(6024),
    [aux_sym_file_position_statement_token4] = ACTIONS(6024),
    [aux_sym_allocate_statement_token1] = ACTIONS(6024),
    [aux_sym_entry_statement_token1] = ACTIONS(6024),
    [aux_sym_logical_expression_token5] = ACTIONS(6028),
    [anon_sym_DOT] = ACTIONS(6024),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(6028),
    [aux_sym_boolean_literal_token1] = ACTIONS(6028),
    [aux_sym_boolean_literal_token2] = ACTIONS(6028),
    [aux_sym_null_literal_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_statement_token2] = ACTIONS(6024),
    [aux_sym_coarray_statement_token6] = ACTIONS(6024),
    [aux_sym_coarray_statement_token8] = ACTIONS(6024),
    [aux_sym_coarray_statement_token11] = ACTIONS(6024),
    [aux_sym_coarray_statement_token12] = ACTIONS(6024),
    [aux_sym_coarray_statement_token13] = ACTIONS(6024),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6024),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6024),
    [aux_sym_identifier_token1] = ACTIONS(6024),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6028),
    [sym__float_literal] = ACTIONS(6028),
    [sym__boz_literal] = ACTIONS(6028),
    [sym__string_literal] = ACTIONS(6028),
    [sym__string_literal_kind] = ACTIONS(6028),
  },
  [2069] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6280),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6282),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_contains_statement_token1] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2071] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6284),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_contains_statement_token1] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2072] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6142),
    [aux_sym_preproc_def_token1] = ACTIONS(6142),
    [aux_sym_preproc_if_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6142),
    [sym_preproc_directive] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(6142),
    [sym_preproc_comment] = ACTIONS(6286),
    [anon_sym_PLUS] = ACTIONS(6146),
    [anon_sym_DASH] = ACTIONS(6146),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6142),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6142),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6142),
    [aux_sym_end_function_statement_token1] = ACTIONS(6142),
    [aux_sym_contains_statement_token1] = ACTIONS(6142),
    [aux_sym_use_statement_token2] = ACTIONS(6142),
    [aux_sym_implicit_statement_token4] = ACTIONS(6142),
    [aux_sym_save_statement_token1] = ACTIONS(6142),
    [aux_sym_private_statement_token1] = ACTIONS(6142),
    [aux_sym_public_statement_token1] = ACTIONS(6142),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6142),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6142),
    [aux_sym_variable_attributes_token2] = ACTIONS(6142),
    [aux_sym_variable_attributes_token3] = ACTIONS(6142),
    [aux_sym_variable_attributes_token5] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6142),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6142),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6142),
    [aux_sym_type_qualifier_token1] = ACTIONS(6142),
    [aux_sym_type_qualifier_token2] = ACTIONS(6142),
    [anon_sym_SEMI] = ACTIONS(6146),
    [aux_sym_stop_statement_token1] = ACTIONS(6142),
    [aux_sym_stop_statement_token2] = ACTIONS(6142),
    [aux_sym_subroutine_call_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token1] = ACTIONS(6142),
    [aux_sym_keyword_statement_token2] = ACTIONS(6142),
    [aux_sym_keyword_statement_token3] = ACTIONS(6142),
    [aux_sym_keyword_statement_token4] = ACTIONS(6142),
    [aux_sym_keyword_statement_token6] = ACTIONS(6142),
    [aux_sym_keyword_statement_token7] = ACTIONS(6142),
    [aux_sym_include_statement_token1] = ACTIONS(6142),
    [aux_sym_data_statement_token1] = ACTIONS(6142),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6142),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6142),
    [aux_sym_end_if_statement_token1] = ACTIONS(6142),
    [aux_sym_elseif_clause_token2] = ACTIONS(6142),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6142),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token1] = ACTIONS(6142),
    [aux_sym_select_case_statement_token3] = ACTIONS(6142),
    [aux_sym_select_type_statement_token1] = ACTIONS(6142),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6142),
    [aux_sym_block_construct_token1] = ACTIONS(6142),
    [aux_sym_associate_statement_token1] = ACTIONS(6142),
    [aux_sym_format_statement_token1] = ACTIONS(6142),
    [aux_sym_print_statement_token1] = ACTIONS(6142),
    [aux_sym_open_statement_token1] = ACTIONS(6142),
    [aux_sym_close_statement_token1] = ACTIONS(6142),
    [aux_sym_inquire_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token1] = ACTIONS(6142),
    [aux_sym_file_position_statement_token2] = ACTIONS(6142),
    [aux_sym_file_position_statement_token3] = ACTIONS(6142),
    [aux_sym_file_position_statement_token4] = ACTIONS(6142),
    [aux_sym_allocate_statement_token1] = ACTIONS(6142),
    [aux_sym_entry_statement_token1] = ACTIONS(6142),
    [aux_sym_logical_expression_token5] = ACTIONS(6146),
    [anon_sym_DOT] = ACTIONS(6142),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6146),
    [aux_sym_boolean_literal_token1] = ACTIONS(6146),
    [aux_sym_boolean_literal_token2] = ACTIONS(6146),
    [aux_sym_null_literal_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_statement_token2] = ACTIONS(6142),
    [aux_sym_coarray_statement_token6] = ACTIONS(6142),
    [aux_sym_coarray_statement_token8] = ACTIONS(6142),
    [aux_sym_coarray_statement_token11] = ACTIONS(6142),
    [aux_sym_coarray_statement_token12] = ACTIONS(6142),
    [aux_sym_coarray_statement_token13] = ACTIONS(6142),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6142),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6142),
    [aux_sym_identifier_token1] = ACTIONS(6142),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6146),
    [sym__float_literal] = ACTIONS(6146),
    [sym__boz_literal] = ACTIONS(6146),
    [sym__string_literal] = ACTIONS(6146),
    [sym__string_literal_kind] = ACTIONS(6146),
  },
  [2073] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [sym_preproc_comment] = ACTIONS(6288),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_end_function_statement_token1] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [2074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [sym_preproc_comment] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [2075] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_end_program_statement_token2] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6292),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2077] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_program_statement_token2] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2078] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2079] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6294),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2080] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6296),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2081] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2082] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6298),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2083] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2084] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6300),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2085] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6302),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2086] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2087] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_end_function_statement_token1] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2088] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2089] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_program_statement_token2] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6304),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2091] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6306),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2092] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_program_statement_token2] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2094] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2095] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6308),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2096] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2097] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6310),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2098] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6312),
    [aux_sym_preproc_def_token1] = ACTIONS(6312),
    [aux_sym_preproc_if_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6312),
    [sym_preproc_directive] = ACTIONS(6312),
    [anon_sym_LPAREN2] = ACTIONS(6312),
    [anon_sym_PLUS] = ACTIONS(6314),
    [anon_sym_DASH] = ACTIONS(6314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6312),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6312),
    [aux_sym_contains_statement_token1] = ACTIONS(6312),
    [aux_sym_use_statement_token2] = ACTIONS(6312),
    [aux_sym_implicit_statement_token4] = ACTIONS(6312),
    [aux_sym_save_statement_token1] = ACTIONS(6312),
    [aux_sym_private_statement_token1] = ACTIONS(6312),
    [aux_sym_public_statement_token1] = ACTIONS(6312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6312),
    [aux_sym_variable_attributes_token2] = ACTIONS(6312),
    [aux_sym_variable_attributes_token3] = ACTIONS(6312),
    [aux_sym_variable_attributes_token5] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6312),
    [aux_sym_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym_type_qualifier_token2] = ACTIONS(6312),
    [anon_sym_SEMI] = ACTIONS(6314),
    [aux_sym_stop_statement_token1] = ACTIONS(6312),
    [aux_sym_stop_statement_token2] = ACTIONS(6312),
    [aux_sym_subroutine_call_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token2] = ACTIONS(6312),
    [aux_sym_keyword_statement_token3] = ACTIONS(6312),
    [aux_sym_keyword_statement_token4] = ACTIONS(6312),
    [aux_sym_keyword_statement_token6] = ACTIONS(6312),
    [aux_sym_keyword_statement_token7] = ACTIONS(6312),
    [aux_sym_include_statement_token1] = ACTIONS(6312),
    [aux_sym_data_statement_token1] = ACTIONS(6312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6312),
    [aux_sym_end_if_statement_token1] = ACTIONS(6312),
    [aux_sym_elseif_clause_token2] = ACTIONS(6312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token3] = ACTIONS(6312),
    [aux_sym_select_type_statement_token1] = ACTIONS(6312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6312),
    [aux_sym_block_construct_token1] = ACTIONS(6312),
    [aux_sym_associate_statement_token1] = ACTIONS(6312),
    [aux_sym_format_statement_token1] = ACTIONS(6312),
    [aux_sym_print_statement_token1] = ACTIONS(6312),
    [aux_sym_open_statement_token1] = ACTIONS(6312),
    [aux_sym_close_statement_token1] = ACTIONS(6312),
    [aux_sym_inquire_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token2] = ACTIONS(6312),
    [aux_sym_file_position_statement_token3] = ACTIONS(6312),
    [aux_sym_file_position_statement_token4] = ACTIONS(6312),
    [aux_sym_allocate_statement_token1] = ACTIONS(6312),
    [aux_sym_entry_statement_token1] = ACTIONS(6312),
    [aux_sym_logical_expression_token5] = ACTIONS(6314),
    [anon_sym_DOT] = ACTIONS(6312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6314),
    [anon_sym_LBRACK] = ACTIONS(6314),
    [aux_sym_boolean_literal_token1] = ACTIONS(6314),
    [aux_sym_boolean_literal_token2] = ACTIONS(6314),
    [aux_sym_null_literal_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token2] = ACTIONS(6312),
    [aux_sym_coarray_statement_token6] = ACTIONS(6312),
    [aux_sym_coarray_statement_token8] = ACTIONS(6312),
    [aux_sym_coarray_statement_token11] = ACTIONS(6312),
    [aux_sym_coarray_statement_token12] = ACTIONS(6312),
    [aux_sym_coarray_statement_token13] = ACTIONS(6312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6312),
    [aux_sym_identifier_token1] = ACTIONS(6312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6314),
    [sym__float_literal] = ACTIONS(6314),
    [sym__boz_literal] = ACTIONS(6314),
    [sym__string_literal] = ACTIONS(6314),
    [sym__string_literal_kind] = ACTIONS(6314),
  },
  [2099] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6316),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2100] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6318),
    [aux_sym_preproc_def_token1] = ACTIONS(6318),
    [aux_sym_preproc_if_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6318),
    [sym_preproc_directive] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_PLUS] = ACTIONS(6320),
    [anon_sym_DASH] = ACTIONS(6320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6318),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6318),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6318),
    [aux_sym_contains_statement_token1] = ACTIONS(6318),
    [aux_sym_use_statement_token2] = ACTIONS(6318),
    [aux_sym_implicit_statement_token4] = ACTIONS(6318),
    [aux_sym_save_statement_token1] = ACTIONS(6318),
    [aux_sym_private_statement_token1] = ACTIONS(6318),
    [aux_sym_public_statement_token1] = ACTIONS(6318),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6318),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6318),
    [aux_sym_variable_attributes_token2] = ACTIONS(6318),
    [aux_sym_variable_attributes_token3] = ACTIONS(6318),
    [aux_sym_variable_attributes_token5] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6318),
    [aux_sym_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym_type_qualifier_token2] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6320),
    [aux_sym_stop_statement_token1] = ACTIONS(6318),
    [aux_sym_stop_statement_token2] = ACTIONS(6318),
    [aux_sym_subroutine_call_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token2] = ACTIONS(6318),
    [aux_sym_keyword_statement_token3] = ACTIONS(6318),
    [aux_sym_keyword_statement_token4] = ACTIONS(6318),
    [aux_sym_keyword_statement_token6] = ACTIONS(6318),
    [aux_sym_keyword_statement_token7] = ACTIONS(6318),
    [aux_sym_include_statement_token1] = ACTIONS(6318),
    [aux_sym_data_statement_token1] = ACTIONS(6318),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6318),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6318),
    [aux_sym_end_if_statement_token1] = ACTIONS(6318),
    [aux_sym_elseif_clause_token2] = ACTIONS(6318),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6318),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token3] = ACTIONS(6318),
    [aux_sym_select_type_statement_token1] = ACTIONS(6318),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6318),
    [aux_sym_block_construct_token1] = ACTIONS(6318),
    [aux_sym_associate_statement_token1] = ACTIONS(6318),
    [aux_sym_format_statement_token1] = ACTIONS(6318),
    [aux_sym_print_statement_token1] = ACTIONS(6318),
    [aux_sym_open_statement_token1] = ACTIONS(6318),
    [aux_sym_close_statement_token1] = ACTIONS(6318),
    [aux_sym_inquire_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token2] = ACTIONS(6318),
    [aux_sym_file_position_statement_token3] = ACTIONS(6318),
    [aux_sym_file_position_statement_token4] = ACTIONS(6318),
    [aux_sym_allocate_statement_token1] = ACTIONS(6318),
    [aux_sym_entry_statement_token1] = ACTIONS(6318),
    [aux_sym_logical_expression_token5] = ACTIONS(6320),
    [anon_sym_DOT] = ACTIONS(6318),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6320),
    [anon_sym_LBRACK] = ACTIONS(6320),
    [aux_sym_boolean_literal_token1] = ACTIONS(6320),
    [aux_sym_boolean_literal_token2] = ACTIONS(6320),
    [aux_sym_null_literal_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token2] = ACTIONS(6318),
    [aux_sym_coarray_statement_token6] = ACTIONS(6318),
    [aux_sym_coarray_statement_token8] = ACTIONS(6318),
    [aux_sym_coarray_statement_token11] = ACTIONS(6318),
    [aux_sym_coarray_statement_token12] = ACTIONS(6318),
    [aux_sym_coarray_statement_token13] = ACTIONS(6318),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6318),
    [aux_sym_identifier_token1] = ACTIONS(6318),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6320),
    [sym__float_literal] = ACTIONS(6320),
    [sym__boz_literal] = ACTIONS(6320),
    [sym__string_literal] = ACTIONS(6320),
    [sym__string_literal_kind] = ACTIONS(6320),
  },
  [2101] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6322),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2102] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6324),
    [aux_sym_preproc_def_token1] = ACTIONS(6324),
    [aux_sym_preproc_if_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6324),
    [sym_preproc_directive] = ACTIONS(6324),
    [anon_sym_LPAREN2] = ACTIONS(6324),
    [anon_sym_PLUS] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6324),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6324),
    [aux_sym_contains_statement_token1] = ACTIONS(6324),
    [aux_sym_use_statement_token2] = ACTIONS(6324),
    [aux_sym_implicit_statement_token4] = ACTIONS(6324),
    [aux_sym_save_statement_token1] = ACTIONS(6324),
    [aux_sym_private_statement_token1] = ACTIONS(6324),
    [aux_sym_public_statement_token1] = ACTIONS(6324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6324),
    [aux_sym_variable_attributes_token2] = ACTIONS(6324),
    [aux_sym_variable_attributes_token3] = ACTIONS(6324),
    [aux_sym_variable_attributes_token5] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6324),
    [aux_sym_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym_type_qualifier_token2] = ACTIONS(6324),
    [anon_sym_SEMI] = ACTIONS(6326),
    [aux_sym_stop_statement_token1] = ACTIONS(6324),
    [aux_sym_stop_statement_token2] = ACTIONS(6324),
    [aux_sym_subroutine_call_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token2] = ACTIONS(6324),
    [aux_sym_keyword_statement_token3] = ACTIONS(6324),
    [aux_sym_keyword_statement_token4] = ACTIONS(6324),
    [aux_sym_keyword_statement_token6] = ACTIONS(6324),
    [aux_sym_keyword_statement_token7] = ACTIONS(6324),
    [aux_sym_include_statement_token1] = ACTIONS(6324),
    [aux_sym_data_statement_token1] = ACTIONS(6324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6324),
    [aux_sym_end_if_statement_token1] = ACTIONS(6324),
    [aux_sym_elseif_clause_token2] = ACTIONS(6324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token3] = ACTIONS(6324),
    [aux_sym_select_type_statement_token1] = ACTIONS(6324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6324),
    [aux_sym_block_construct_token1] = ACTIONS(6324),
    [aux_sym_associate_statement_token1] = ACTIONS(6324),
    [aux_sym_format_statement_token1] = ACTIONS(6324),
    [aux_sym_print_statement_token1] = ACTIONS(6324),
    [aux_sym_open_statement_token1] = ACTIONS(6324),
    [aux_sym_close_statement_token1] = ACTIONS(6324),
    [aux_sym_inquire_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token2] = ACTIONS(6324),
    [aux_sym_file_position_statement_token3] = ACTIONS(6324),
    [aux_sym_file_position_statement_token4] = ACTIONS(6324),
    [aux_sym_allocate_statement_token1] = ACTIONS(6324),
    [aux_sym_entry_statement_token1] = ACTIONS(6324),
    [aux_sym_logical_expression_token5] = ACTIONS(6326),
    [anon_sym_DOT] = ACTIONS(6324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6326),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [aux_sym_boolean_literal_token1] = ACTIONS(6326),
    [aux_sym_boolean_literal_token2] = ACTIONS(6326),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token2] = ACTIONS(6324),
    [aux_sym_coarray_statement_token6] = ACTIONS(6324),
    [aux_sym_coarray_statement_token8] = ACTIONS(6324),
    [aux_sym_coarray_statement_token11] = ACTIONS(6324),
    [aux_sym_coarray_statement_token12] = ACTIONS(6324),
    [aux_sym_coarray_statement_token13] = ACTIONS(6324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6324),
    [aux_sym_identifier_token1] = ACTIONS(6324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6326),
    [sym__string_literal_kind] = ACTIONS(6326),
  },
  [2104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6328),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2105] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6330),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2106] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6332),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2107] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6334),
    [aux_sym_preproc_def_token1] = ACTIONS(6334),
    [aux_sym_preproc_if_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6334),
    [sym_preproc_directive] = ACTIONS(6334),
    [anon_sym_LPAREN2] = ACTIONS(6334),
    [anon_sym_PLUS] = ACTIONS(6336),
    [anon_sym_DASH] = ACTIONS(6336),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6334),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6334),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6334),
    [aux_sym_contains_statement_token1] = ACTIONS(6334),
    [aux_sym_use_statement_token2] = ACTIONS(6334),
    [aux_sym_implicit_statement_token4] = ACTIONS(6334),
    [aux_sym_save_statement_token1] = ACTIONS(6334),
    [aux_sym_private_statement_token1] = ACTIONS(6334),
    [aux_sym_public_statement_token1] = ACTIONS(6334),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6334),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6334),
    [aux_sym_variable_attributes_token2] = ACTIONS(6334),
    [aux_sym_variable_attributes_token3] = ACTIONS(6334),
    [aux_sym_variable_attributes_token5] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6334),
    [aux_sym_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym_type_qualifier_token2] = ACTIONS(6334),
    [anon_sym_SEMI] = ACTIONS(6336),
    [aux_sym_stop_statement_token1] = ACTIONS(6334),
    [aux_sym_stop_statement_token2] = ACTIONS(6334),
    [aux_sym_subroutine_call_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token2] = ACTIONS(6334),
    [aux_sym_keyword_statement_token3] = ACTIONS(6334),
    [aux_sym_keyword_statement_token4] = ACTIONS(6334),
    [aux_sym_keyword_statement_token6] = ACTIONS(6334),
    [aux_sym_keyword_statement_token7] = ACTIONS(6334),
    [aux_sym_include_statement_token1] = ACTIONS(6334),
    [aux_sym_data_statement_token1] = ACTIONS(6334),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6334),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6334),
    [aux_sym_end_if_statement_token1] = ACTIONS(6334),
    [aux_sym_elseif_clause_token2] = ACTIONS(6334),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6334),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token3] = ACTIONS(6334),
    [aux_sym_select_type_statement_token1] = ACTIONS(6334),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6334),
    [aux_sym_block_construct_token1] = ACTIONS(6334),
    [aux_sym_associate_statement_token1] = ACTIONS(6334),
    [aux_sym_format_statement_token1] = ACTIONS(6334),
    [aux_sym_print_statement_token1] = ACTIONS(6334),
    [aux_sym_open_statement_token1] = ACTIONS(6334),
    [aux_sym_close_statement_token1] = ACTIONS(6334),
    [aux_sym_inquire_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token2] = ACTIONS(6334),
    [aux_sym_file_position_statement_token3] = ACTIONS(6334),
    [aux_sym_file_position_statement_token4] = ACTIONS(6334),
    [aux_sym_allocate_statement_token1] = ACTIONS(6334),
    [aux_sym_entry_statement_token1] = ACTIONS(6334),
    [aux_sym_logical_expression_token5] = ACTIONS(6336),
    [anon_sym_DOT] = ACTIONS(6334),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6336),
    [anon_sym_LBRACK] = ACTIONS(6336),
    [aux_sym_boolean_literal_token1] = ACTIONS(6336),
    [aux_sym_boolean_literal_token2] = ACTIONS(6336),
    [aux_sym_null_literal_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token2] = ACTIONS(6334),
    [aux_sym_coarray_statement_token6] = ACTIONS(6334),
    [aux_sym_coarray_statement_token8] = ACTIONS(6334),
    [aux_sym_coarray_statement_token11] = ACTIONS(6334),
    [aux_sym_coarray_statement_token12] = ACTIONS(6334),
    [aux_sym_coarray_statement_token13] = ACTIONS(6334),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6334),
    [aux_sym_identifier_token1] = ACTIONS(6334),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6336),
    [sym__float_literal] = ACTIONS(6336),
    [sym__boz_literal] = ACTIONS(6336),
    [sym__string_literal] = ACTIONS(6336),
    [sym__string_literal_kind] = ACTIONS(6336),
  },
  [2108] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6338),
    [aux_sym_preproc_def_token1] = ACTIONS(6338),
    [aux_sym_preproc_if_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6338),
    [sym_preproc_directive] = ACTIONS(6338),
    [anon_sym_LPAREN2] = ACTIONS(6338),
    [anon_sym_PLUS] = ACTIONS(6340),
    [anon_sym_DASH] = ACTIONS(6340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6338),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6338),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6338),
    [aux_sym_contains_statement_token1] = ACTIONS(6338),
    [aux_sym_use_statement_token2] = ACTIONS(6338),
    [aux_sym_implicit_statement_token4] = ACTIONS(6338),
    [aux_sym_save_statement_token1] = ACTIONS(6338),
    [aux_sym_private_statement_token1] = ACTIONS(6338),
    [aux_sym_public_statement_token1] = ACTIONS(6338),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6338),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6338),
    [aux_sym_variable_attributes_token2] = ACTIONS(6338),
    [aux_sym_variable_attributes_token3] = ACTIONS(6338),
    [aux_sym_variable_attributes_token5] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6338),
    [aux_sym_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym_type_qualifier_token2] = ACTIONS(6338),
    [anon_sym_SEMI] = ACTIONS(6340),
    [aux_sym_stop_statement_token1] = ACTIONS(6338),
    [aux_sym_stop_statement_token2] = ACTIONS(6338),
    [aux_sym_subroutine_call_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token2] = ACTIONS(6338),
    [aux_sym_keyword_statement_token3] = ACTIONS(6338),
    [aux_sym_keyword_statement_token4] = ACTIONS(6338),
    [aux_sym_keyword_statement_token6] = ACTIONS(6338),
    [aux_sym_keyword_statement_token7] = ACTIONS(6338),
    [aux_sym_include_statement_token1] = ACTIONS(6338),
    [aux_sym_data_statement_token1] = ACTIONS(6338),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6338),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6338),
    [aux_sym_end_if_statement_token1] = ACTIONS(6338),
    [aux_sym_elseif_clause_token2] = ACTIONS(6338),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6338),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token3] = ACTIONS(6338),
    [aux_sym_select_type_statement_token1] = ACTIONS(6338),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6338),
    [aux_sym_block_construct_token1] = ACTIONS(6338),
    [aux_sym_associate_statement_token1] = ACTIONS(6338),
    [aux_sym_format_statement_token1] = ACTIONS(6338),
    [aux_sym_print_statement_token1] = ACTIONS(6338),
    [aux_sym_open_statement_token1] = ACTIONS(6338),
    [aux_sym_close_statement_token1] = ACTIONS(6338),
    [aux_sym_inquire_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token2] = ACTIONS(6338),
    [aux_sym_file_position_statement_token3] = ACTIONS(6338),
    [aux_sym_file_position_statement_token4] = ACTIONS(6338),
    [aux_sym_allocate_statement_token1] = ACTIONS(6338),
    [aux_sym_entry_statement_token1] = ACTIONS(6338),
    [aux_sym_logical_expression_token5] = ACTIONS(6340),
    [anon_sym_DOT] = ACTIONS(6338),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6340),
    [anon_sym_LBRACK] = ACTIONS(6340),
    [aux_sym_boolean_literal_token1] = ACTIONS(6340),
    [aux_sym_boolean_literal_token2] = ACTIONS(6340),
    [aux_sym_null_literal_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token2] = ACTIONS(6338),
    [aux_sym_coarray_statement_token6] = ACTIONS(6338),
    [aux_sym_coarray_statement_token8] = ACTIONS(6338),
    [aux_sym_coarray_statement_token11] = ACTIONS(6338),
    [aux_sym_coarray_statement_token12] = ACTIONS(6338),
    [aux_sym_coarray_statement_token13] = ACTIONS(6338),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6338),
    [aux_sym_identifier_token1] = ACTIONS(6338),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6340),
    [sym__float_literal] = ACTIONS(6340),
    [sym__boz_literal] = ACTIONS(6340),
    [sym__string_literal] = ACTIONS(6340),
    [sym__string_literal_kind] = ACTIONS(6340),
  },
  [2109] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6342),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6344),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2112] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6346),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2113] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6348),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2114] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6350),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2115] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_end_function_statement_token1] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2116] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6352),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6354),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2118] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6356),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2119] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6358),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2120] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6360),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2121] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6362),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6364),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6366),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6368),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2125] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6370),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2126] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6372),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2127] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6374),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2128] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6376),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6378),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2130] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6380),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6382),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2132] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6384),
    [aux_sym_preproc_def_token1] = ACTIONS(6384),
    [aux_sym_preproc_if_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6384),
    [sym_preproc_directive] = ACTIONS(6384),
    [anon_sym_LPAREN2] = ACTIONS(6384),
    [anon_sym_PLUS] = ACTIONS(6386),
    [anon_sym_DASH] = ACTIONS(6386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6384),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6384),
    [aux_sym_contains_statement_token1] = ACTIONS(6384),
    [aux_sym_use_statement_token2] = ACTIONS(6384),
    [aux_sym_implicit_statement_token4] = ACTIONS(6384),
    [aux_sym_save_statement_token1] = ACTIONS(6384),
    [aux_sym_private_statement_token1] = ACTIONS(6384),
    [aux_sym_public_statement_token1] = ACTIONS(6384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6384),
    [aux_sym_variable_attributes_token2] = ACTIONS(6384),
    [aux_sym_variable_attributes_token3] = ACTIONS(6384),
    [aux_sym_variable_attributes_token5] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6384),
    [aux_sym_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym_type_qualifier_token2] = ACTIONS(6384),
    [anon_sym_SEMI] = ACTIONS(6386),
    [aux_sym_stop_statement_token1] = ACTIONS(6384),
    [aux_sym_stop_statement_token2] = ACTIONS(6384),
    [aux_sym_subroutine_call_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token2] = ACTIONS(6384),
    [aux_sym_keyword_statement_token3] = ACTIONS(6384),
    [aux_sym_keyword_statement_token4] = ACTIONS(6384),
    [aux_sym_keyword_statement_token6] = ACTIONS(6384),
    [aux_sym_keyword_statement_token7] = ACTIONS(6384),
    [aux_sym_include_statement_token1] = ACTIONS(6384),
    [aux_sym_data_statement_token1] = ACTIONS(6384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6384),
    [aux_sym_end_if_statement_token1] = ACTIONS(6384),
    [aux_sym_elseif_clause_token2] = ACTIONS(6384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token3] = ACTIONS(6384),
    [aux_sym_select_type_statement_token1] = ACTIONS(6384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6384),
    [aux_sym_block_construct_token1] = ACTIONS(6384),
    [aux_sym_associate_statement_token1] = ACTIONS(6384),
    [aux_sym_format_statement_token1] = ACTIONS(6384),
    [aux_sym_print_statement_token1] = ACTIONS(6384),
    [aux_sym_open_statement_token1] = ACTIONS(6384),
    [aux_sym_close_statement_token1] = ACTIONS(6384),
    [aux_sym_inquire_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token2] = ACTIONS(6384),
    [aux_sym_file_position_statement_token3] = ACTIONS(6384),
    [aux_sym_file_position_statement_token4] = ACTIONS(6384),
    [aux_sym_allocate_statement_token1] = ACTIONS(6384),
    [aux_sym_entry_statement_token1] = ACTIONS(6384),
    [aux_sym_logical_expression_token5] = ACTIONS(6386),
    [anon_sym_DOT] = ACTIONS(6384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6386),
    [anon_sym_LBRACK] = ACTIONS(6386),
    [aux_sym_boolean_literal_token1] = ACTIONS(6386),
    [aux_sym_boolean_literal_token2] = ACTIONS(6386),
    [aux_sym_null_literal_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token2] = ACTIONS(6384),
    [aux_sym_coarray_statement_token6] = ACTIONS(6384),
    [aux_sym_coarray_statement_token8] = ACTIONS(6384),
    [aux_sym_coarray_statement_token11] = ACTIONS(6384),
    [aux_sym_coarray_statement_token12] = ACTIONS(6384),
    [aux_sym_coarray_statement_token13] = ACTIONS(6384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6384),
    [aux_sym_identifier_token1] = ACTIONS(6384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6386),
    [sym__float_literal] = ACTIONS(6386),
    [sym__boz_literal] = ACTIONS(6386),
    [sym__string_literal] = ACTIONS(6386),
    [sym__string_literal_kind] = ACTIONS(6386),
  },
  [2133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2135] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2138] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2139] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_end_function_statement_token1] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2141] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token2] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6388),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2144] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token2] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_end_select_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2145] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6390),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2146] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6392),
    [aux_sym_preproc_def_token1] = ACTIONS(6392),
    [aux_sym_preproc_if_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6392),
    [sym_preproc_directive] = ACTIONS(6392),
    [anon_sym_LPAREN2] = ACTIONS(6392),
    [anon_sym_PLUS] = ACTIONS(6394),
    [anon_sym_DASH] = ACTIONS(6394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6392),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6392),
    [aux_sym_contains_statement_token1] = ACTIONS(6392),
    [aux_sym_use_statement_token2] = ACTIONS(6392),
    [aux_sym_implicit_statement_token4] = ACTIONS(6392),
    [aux_sym_save_statement_token1] = ACTIONS(6392),
    [aux_sym_private_statement_token1] = ACTIONS(6392),
    [aux_sym_public_statement_token1] = ACTIONS(6392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6392),
    [aux_sym_variable_attributes_token2] = ACTIONS(6392),
    [aux_sym_variable_attributes_token3] = ACTIONS(6392),
    [aux_sym_variable_attributes_token5] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6392),
    [aux_sym_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym_type_qualifier_token2] = ACTIONS(6392),
    [anon_sym_SEMI] = ACTIONS(6394),
    [aux_sym_stop_statement_token1] = ACTIONS(6392),
    [aux_sym_stop_statement_token2] = ACTIONS(6392),
    [aux_sym_subroutine_call_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token2] = ACTIONS(6392),
    [aux_sym_keyword_statement_token3] = ACTIONS(6392),
    [aux_sym_keyword_statement_token4] = ACTIONS(6392),
    [aux_sym_keyword_statement_token6] = ACTIONS(6392),
    [aux_sym_keyword_statement_token7] = ACTIONS(6392),
    [aux_sym_include_statement_token1] = ACTIONS(6392),
    [aux_sym_data_statement_token1] = ACTIONS(6392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6392),
    [aux_sym_end_if_statement_token1] = ACTIONS(6392),
    [aux_sym_elseif_clause_token2] = ACTIONS(6392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token3] = ACTIONS(6392),
    [aux_sym_select_type_statement_token1] = ACTIONS(6392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6392),
    [aux_sym_block_construct_token1] = ACTIONS(6392),
    [aux_sym_associate_statement_token1] = ACTIONS(6392),
    [aux_sym_format_statement_token1] = ACTIONS(6392),
    [aux_sym_print_statement_token1] = ACTIONS(6392),
    [aux_sym_open_statement_token1] = ACTIONS(6392),
    [aux_sym_close_statement_token1] = ACTIONS(6392),
    [aux_sym_inquire_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token2] = ACTIONS(6392),
    [aux_sym_file_position_statement_token3] = ACTIONS(6392),
    [aux_sym_file_position_statement_token4] = ACTIONS(6392),
    [aux_sym_allocate_statement_token1] = ACTIONS(6392),
    [aux_sym_entry_statement_token1] = ACTIONS(6392),
    [aux_sym_logical_expression_token5] = ACTIONS(6394),
    [anon_sym_DOT] = ACTIONS(6392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6394),
    [anon_sym_LBRACK] = ACTIONS(6394),
    [aux_sym_boolean_literal_token1] = ACTIONS(6394),
    [aux_sym_boolean_literal_token2] = ACTIONS(6394),
    [aux_sym_null_literal_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token2] = ACTIONS(6392),
    [aux_sym_coarray_statement_token6] = ACTIONS(6392),
    [aux_sym_coarray_statement_token8] = ACTIONS(6392),
    [aux_sym_coarray_statement_token11] = ACTIONS(6392),
    [aux_sym_coarray_statement_token12] = ACTIONS(6392),
    [aux_sym_coarray_statement_token13] = ACTIONS(6392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6392),
    [aux_sym_identifier_token1] = ACTIONS(6392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6394),
    [sym__float_literal] = ACTIONS(6394),
    [sym__boz_literal] = ACTIONS(6394),
    [sym__string_literal] = ACTIONS(6394),
    [sym__string_literal_kind] = ACTIONS(6394),
  },
  [2147] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_end_program_statement_token2] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2148] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2149] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2150] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token2] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2151] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2152] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_end_function_statement_token1] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_end_function_statement_token1] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2154] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token2] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2155] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_contains_statement_token1] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2156] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token2] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2157] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_program_statement_token2] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2158] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2159] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_program_statement_token2] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2160] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2161] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_end_function_statement_token1] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2162] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token2] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2163] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [2164] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token2] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2165] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_contains_statement_token1] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2166] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2167] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token2] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2168] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token2] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_select_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2169] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token2] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_end_select_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2170] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6396),
    [aux_sym_preproc_def_token1] = ACTIONS(6396),
    [aux_sym_preproc_if_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6396),
    [sym_preproc_directive] = ACTIONS(6396),
    [anon_sym_LPAREN2] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6396),
    [aux_sym_end_function_statement_token1] = ACTIONS(6396),
    [aux_sym_contains_statement_token1] = ACTIONS(6396),
    [aux_sym_use_statement_token2] = ACTIONS(6396),
    [aux_sym_implicit_statement_token4] = ACTIONS(6396),
    [aux_sym_save_statement_token1] = ACTIONS(6396),
    [aux_sym_private_statement_token1] = ACTIONS(6396),
    [aux_sym_public_statement_token1] = ACTIONS(6396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6396),
    [aux_sym_variable_attributes_token2] = ACTIONS(6396),
    [aux_sym_variable_attributes_token3] = ACTIONS(6396),
    [aux_sym_variable_attributes_token5] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6396),
    [aux_sym_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym_type_qualifier_token2] = ACTIONS(6396),
    [anon_sym_SEMI] = ACTIONS(6398),
    [aux_sym_stop_statement_token1] = ACTIONS(6396),
    [aux_sym_stop_statement_token2] = ACTIONS(6396),
    [aux_sym_subroutine_call_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token2] = ACTIONS(6396),
    [aux_sym_keyword_statement_token3] = ACTIONS(6396),
    [aux_sym_keyword_statement_token4] = ACTIONS(6396),
    [aux_sym_keyword_statement_token6] = ACTIONS(6396),
    [aux_sym_keyword_statement_token7] = ACTIONS(6396),
    [aux_sym_include_statement_token1] = ACTIONS(6396),
    [aux_sym_data_statement_token1] = ACTIONS(6396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6396),
    [aux_sym_end_if_statement_token1] = ACTIONS(6396),
    [aux_sym_elseif_clause_token2] = ACTIONS(6396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token3] = ACTIONS(6396),
    [aux_sym_select_type_statement_token1] = ACTIONS(6396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6396),
    [aux_sym_block_construct_token1] = ACTIONS(6396),
    [aux_sym_associate_statement_token1] = ACTIONS(6396),
    [aux_sym_format_statement_token1] = ACTIONS(6396),
    [aux_sym_print_statement_token1] = ACTIONS(6396),
    [aux_sym_open_statement_token1] = ACTIONS(6396),
    [aux_sym_close_statement_token1] = ACTIONS(6396),
    [aux_sym_inquire_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token2] = ACTIONS(6396),
    [aux_sym_file_position_statement_token3] = ACTIONS(6396),
    [aux_sym_file_position_statement_token4] = ACTIONS(6396),
    [aux_sym_allocate_statement_token1] = ACTIONS(6396),
    [aux_sym_entry_statement_token1] = ACTIONS(6396),
    [aux_sym_logical_expression_token5] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6398),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [aux_sym_boolean_literal_token1] = ACTIONS(6398),
    [aux_sym_boolean_literal_token2] = ACTIONS(6398),
    [aux_sym_null_literal_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token2] = ACTIONS(6396),
    [aux_sym_coarray_statement_token6] = ACTIONS(6396),
    [aux_sym_coarray_statement_token8] = ACTIONS(6396),
    [aux_sym_coarray_statement_token11] = ACTIONS(6396),
    [aux_sym_coarray_statement_token12] = ACTIONS(6396),
    [aux_sym_coarray_statement_token13] = ACTIONS(6396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6396),
    [aux_sym_identifier_token1] = ACTIONS(6396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6398),
    [sym__float_literal] = ACTIONS(6398),
    [sym__boz_literal] = ACTIONS(6398),
    [sym__string_literal] = ACTIONS(6398),
    [sym__string_literal_kind] = ACTIONS(6398),
  },
  [2171] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6400),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2172] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6402),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2173] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6404),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_end_select_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2174] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6406),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2175] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6408),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2176] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6410),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_end_select_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2177] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6412),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2178] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6414),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2179] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6416),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2180] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6418),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2181] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6420),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2182] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6422),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2183] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6424),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2184] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6426),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2185] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6428),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2186] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6430),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2187] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6432),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2188] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2189] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [2190] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2191] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_program_statement_token2] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2192] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2193] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2194] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_contains_statement_token1] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2195] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token2] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6434),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2196] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_end_function_statement_token1] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [2197] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token2] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_end_select_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2198] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token2] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6436),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2199] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6438),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2200] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token2] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_end_select_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2201] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token2] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_end_select_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2202] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6440),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2203] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6442),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2204] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token2] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_end_select_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2205] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token2] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_end_select_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2206] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6444),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2207] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6446),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2208] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token2] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_end_select_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2209] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token2] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_end_select_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2210] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6448),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2211] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token2] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_end_select_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2212] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6450),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_end_select_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2213] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6452),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_end_select_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2214] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6454),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_end_select_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2215] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6456),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_end_select_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2216] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6458),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_end_select_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2217] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6460),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_end_select_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2218] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6462),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_end_select_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2219] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6464),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_end_select_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2220] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_end_function_statement_token1] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [2221] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6466),
    [aux_sym_preproc_def_token1] = ACTIONS(6466),
    [aux_sym_preproc_if_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6466),
    [sym_preproc_directive] = ACTIONS(6466),
    [anon_sym_LPAREN2] = ACTIONS(6466),
    [anon_sym_PLUS] = ACTIONS(6468),
    [anon_sym_DASH] = ACTIONS(6468),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6466),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6466),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6466),
    [aux_sym_contains_statement_token1] = ACTIONS(6466),
    [aux_sym_use_statement_token2] = ACTIONS(6466),
    [aux_sym_implicit_statement_token4] = ACTIONS(6466),
    [aux_sym_save_statement_token1] = ACTIONS(6466),
    [aux_sym_private_statement_token1] = ACTIONS(6466),
    [aux_sym_public_statement_token1] = ACTIONS(6466),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6466),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6466),
    [aux_sym_variable_attributes_token2] = ACTIONS(6466),
    [aux_sym_variable_attributes_token3] = ACTIONS(6466),
    [aux_sym_variable_attributes_token5] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6466),
    [aux_sym_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym_type_qualifier_token2] = ACTIONS(6466),
    [anon_sym_SEMI] = ACTIONS(6468),
    [aux_sym_stop_statement_token1] = ACTIONS(6466),
    [aux_sym_stop_statement_token2] = ACTIONS(6466),
    [aux_sym_subroutine_call_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token2] = ACTIONS(6466),
    [aux_sym_keyword_statement_token3] = ACTIONS(6466),
    [aux_sym_keyword_statement_token4] = ACTIONS(6466),
    [aux_sym_keyword_statement_token6] = ACTIONS(6466),
    [aux_sym_keyword_statement_token7] = ACTIONS(6466),
    [aux_sym_include_statement_token1] = ACTIONS(6466),
    [aux_sym_data_statement_token1] = ACTIONS(6466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6466),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6466),
    [aux_sym_end_if_statement_token1] = ACTIONS(6466),
    [aux_sym_elseif_clause_token2] = ACTIONS(6466),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token3] = ACTIONS(6466),
    [aux_sym_select_type_statement_token1] = ACTIONS(6466),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6466),
    [aux_sym_block_construct_token1] = ACTIONS(6466),
    [aux_sym_associate_statement_token1] = ACTIONS(6466),
    [aux_sym_format_statement_token1] = ACTIONS(6466),
    [aux_sym_print_statement_token1] = ACTIONS(6466),
    [aux_sym_open_statement_token1] = ACTIONS(6466),
    [aux_sym_close_statement_token1] = ACTIONS(6466),
    [aux_sym_inquire_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token2] = ACTIONS(6466),
    [aux_sym_file_position_statement_token3] = ACTIONS(6466),
    [aux_sym_file_position_statement_token4] = ACTIONS(6466),
    [aux_sym_allocate_statement_token1] = ACTIONS(6466),
    [aux_sym_entry_statement_token1] = ACTIONS(6466),
    [aux_sym_logical_expression_token5] = ACTIONS(6468),
    [anon_sym_DOT] = ACTIONS(6466),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6468),
    [anon_sym_LBRACK] = ACTIONS(6468),
    [aux_sym_boolean_literal_token1] = ACTIONS(6468),
    [aux_sym_boolean_literal_token2] = ACTIONS(6468),
    [aux_sym_null_literal_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token2] = ACTIONS(6466),
    [aux_sym_coarray_statement_token6] = ACTIONS(6466),
    [aux_sym_coarray_statement_token8] = ACTIONS(6466),
    [aux_sym_coarray_statement_token11] = ACTIONS(6466),
    [aux_sym_coarray_statement_token12] = ACTIONS(6466),
    [aux_sym_coarray_statement_token13] = ACTIONS(6466),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6466),
    [aux_sym_identifier_token1] = ACTIONS(6466),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6468),
    [sym__float_literal] = ACTIONS(6468),
    [sym__boz_literal] = ACTIONS(6468),
    [sym__string_literal] = ACTIONS(6468),
    [sym__string_literal_kind] = ACTIONS(6468),
  },
  [2222] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_end_program_statement_token2] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_contains_statement_token1] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2223] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token2] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6470),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2224] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6472),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2225] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6474),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2226] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6476),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2227] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token2] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6478),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2228] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6480),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2229] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token2] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6482),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2230] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6484),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2231] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2232] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2233] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2234] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_end_function_statement_token1] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [2235] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2236] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2237] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2238] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_end_function_statement_token1] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2239] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_end_function_statement_token1] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2240] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_end_function_statement_token1] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2241] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_end_function_statement_token1] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2242] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_end_function_statement_token1] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2243] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_end_function_statement_token1] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2244] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_end_function_statement_token1] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2245] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_end_program_statement_token2] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_contains_statement_token1] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2246] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6312),
    [aux_sym_preproc_def_token1] = ACTIONS(6312),
    [aux_sym_preproc_if_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6312),
    [sym_preproc_directive] = ACTIONS(6312),
    [anon_sym_LPAREN2] = ACTIONS(6312),
    [anon_sym_PLUS] = ACTIONS(6314),
    [anon_sym_DASH] = ACTIONS(6314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6312),
    [aux_sym_end_function_statement_token1] = ACTIONS(6312),
    [aux_sym_contains_statement_token1] = ACTIONS(6312),
    [aux_sym_use_statement_token2] = ACTIONS(6312),
    [aux_sym_implicit_statement_token4] = ACTIONS(6312),
    [aux_sym_save_statement_token1] = ACTIONS(6312),
    [aux_sym_private_statement_token1] = ACTIONS(6312),
    [aux_sym_public_statement_token1] = ACTIONS(6312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6312),
    [aux_sym_variable_attributes_token2] = ACTIONS(6312),
    [aux_sym_variable_attributes_token3] = ACTIONS(6312),
    [aux_sym_variable_attributes_token5] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6312),
    [aux_sym_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym_type_qualifier_token2] = ACTIONS(6312),
    [anon_sym_SEMI] = ACTIONS(6314),
    [aux_sym_stop_statement_token1] = ACTIONS(6312),
    [aux_sym_stop_statement_token2] = ACTIONS(6312),
    [aux_sym_subroutine_call_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token2] = ACTIONS(6312),
    [aux_sym_keyword_statement_token3] = ACTIONS(6312),
    [aux_sym_keyword_statement_token4] = ACTIONS(6312),
    [aux_sym_keyword_statement_token6] = ACTIONS(6312),
    [aux_sym_keyword_statement_token7] = ACTIONS(6312),
    [aux_sym_include_statement_token1] = ACTIONS(6312),
    [aux_sym_data_statement_token1] = ACTIONS(6312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6312),
    [aux_sym_end_if_statement_token1] = ACTIONS(6312),
    [aux_sym_elseif_clause_token2] = ACTIONS(6312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token3] = ACTIONS(6312),
    [aux_sym_select_type_statement_token1] = ACTIONS(6312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6312),
    [aux_sym_block_construct_token1] = ACTIONS(6312),
    [aux_sym_associate_statement_token1] = ACTIONS(6312),
    [aux_sym_format_statement_token1] = ACTIONS(6312),
    [aux_sym_print_statement_token1] = ACTIONS(6312),
    [aux_sym_open_statement_token1] = ACTIONS(6312),
    [aux_sym_close_statement_token1] = ACTIONS(6312),
    [aux_sym_inquire_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token2] = ACTIONS(6312),
    [aux_sym_file_position_statement_token3] = ACTIONS(6312),
    [aux_sym_file_position_statement_token4] = ACTIONS(6312),
    [aux_sym_allocate_statement_token1] = ACTIONS(6312),
    [aux_sym_entry_statement_token1] = ACTIONS(6312),
    [aux_sym_logical_expression_token5] = ACTIONS(6314),
    [anon_sym_DOT] = ACTIONS(6312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6314),
    [anon_sym_LBRACK] = ACTIONS(6314),
    [aux_sym_boolean_literal_token1] = ACTIONS(6314),
    [aux_sym_boolean_literal_token2] = ACTIONS(6314),
    [aux_sym_null_literal_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token2] = ACTIONS(6312),
    [aux_sym_coarray_statement_token6] = ACTIONS(6312),
    [aux_sym_coarray_statement_token8] = ACTIONS(6312),
    [aux_sym_coarray_statement_token11] = ACTIONS(6312),
    [aux_sym_coarray_statement_token12] = ACTIONS(6312),
    [aux_sym_coarray_statement_token13] = ACTIONS(6312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6312),
    [aux_sym_identifier_token1] = ACTIONS(6312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6314),
    [sym__float_literal] = ACTIONS(6314),
    [sym__boz_literal] = ACTIONS(6314),
    [sym__string_literal] = ACTIONS(6314),
    [sym__string_literal_kind] = ACTIONS(6314),
  },
  [2247] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_end_function_statement_token1] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [2248] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6486),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2249] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6318),
    [aux_sym_preproc_def_token1] = ACTIONS(6318),
    [aux_sym_preproc_if_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6318),
    [sym_preproc_directive] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_PLUS] = ACTIONS(6320),
    [anon_sym_DASH] = ACTIONS(6320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6318),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6318),
    [aux_sym_end_function_statement_token1] = ACTIONS(6318),
    [aux_sym_contains_statement_token1] = ACTIONS(6318),
    [aux_sym_use_statement_token2] = ACTIONS(6318),
    [aux_sym_implicit_statement_token4] = ACTIONS(6318),
    [aux_sym_save_statement_token1] = ACTIONS(6318),
    [aux_sym_private_statement_token1] = ACTIONS(6318),
    [aux_sym_public_statement_token1] = ACTIONS(6318),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6318),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6318),
    [aux_sym_variable_attributes_token2] = ACTIONS(6318),
    [aux_sym_variable_attributes_token3] = ACTIONS(6318),
    [aux_sym_variable_attributes_token5] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6318),
    [aux_sym_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym_type_qualifier_token2] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6320),
    [aux_sym_stop_statement_token1] = ACTIONS(6318),
    [aux_sym_stop_statement_token2] = ACTIONS(6318),
    [aux_sym_subroutine_call_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token2] = ACTIONS(6318),
    [aux_sym_keyword_statement_token3] = ACTIONS(6318),
    [aux_sym_keyword_statement_token4] = ACTIONS(6318),
    [aux_sym_keyword_statement_token6] = ACTIONS(6318),
    [aux_sym_keyword_statement_token7] = ACTIONS(6318),
    [aux_sym_include_statement_token1] = ACTIONS(6318),
    [aux_sym_data_statement_token1] = ACTIONS(6318),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6318),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6318),
    [aux_sym_end_if_statement_token1] = ACTIONS(6318),
    [aux_sym_elseif_clause_token2] = ACTIONS(6318),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6318),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token3] = ACTIONS(6318),
    [aux_sym_select_type_statement_token1] = ACTIONS(6318),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6318),
    [aux_sym_block_construct_token1] = ACTIONS(6318),
    [aux_sym_associate_statement_token1] = ACTIONS(6318),
    [aux_sym_format_statement_token1] = ACTIONS(6318),
    [aux_sym_print_statement_token1] = ACTIONS(6318),
    [aux_sym_open_statement_token1] = ACTIONS(6318),
    [aux_sym_close_statement_token1] = ACTIONS(6318),
    [aux_sym_inquire_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token2] = ACTIONS(6318),
    [aux_sym_file_position_statement_token3] = ACTIONS(6318),
    [aux_sym_file_position_statement_token4] = ACTIONS(6318),
    [aux_sym_allocate_statement_token1] = ACTIONS(6318),
    [aux_sym_entry_statement_token1] = ACTIONS(6318),
    [aux_sym_logical_expression_token5] = ACTIONS(6320),
    [anon_sym_DOT] = ACTIONS(6318),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6320),
    [anon_sym_LBRACK] = ACTIONS(6320),
    [aux_sym_boolean_literal_token1] = ACTIONS(6320),
    [aux_sym_boolean_literal_token2] = ACTIONS(6320),
    [aux_sym_null_literal_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token2] = ACTIONS(6318),
    [aux_sym_coarray_statement_token6] = ACTIONS(6318),
    [aux_sym_coarray_statement_token8] = ACTIONS(6318),
    [aux_sym_coarray_statement_token11] = ACTIONS(6318),
    [aux_sym_coarray_statement_token12] = ACTIONS(6318),
    [aux_sym_coarray_statement_token13] = ACTIONS(6318),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6318),
    [aux_sym_identifier_token1] = ACTIONS(6318),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6320),
    [sym__float_literal] = ACTIONS(6320),
    [sym__boz_literal] = ACTIONS(6320),
    [sym__string_literal] = ACTIONS(6320),
    [sym__string_literal_kind] = ACTIONS(6320),
  },
  [2250] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_end_function_statement_token1] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2251] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_program_statement_token2] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2252] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6488),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2253] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_end_program_statement_token2] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_contains_statement_token1] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2254] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2255] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2256] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2257] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2258] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2259] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2260] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2261] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6324),
    [aux_sym_preproc_def_token1] = ACTIONS(6324),
    [aux_sym_preproc_if_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6324),
    [sym_preproc_directive] = ACTIONS(6324),
    [anon_sym_LPAREN2] = ACTIONS(6324),
    [anon_sym_PLUS] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6324),
    [aux_sym_end_function_statement_token1] = ACTIONS(6324),
    [aux_sym_contains_statement_token1] = ACTIONS(6324),
    [aux_sym_use_statement_token2] = ACTIONS(6324),
    [aux_sym_implicit_statement_token4] = ACTIONS(6324),
    [aux_sym_save_statement_token1] = ACTIONS(6324),
    [aux_sym_private_statement_token1] = ACTIONS(6324),
    [aux_sym_public_statement_token1] = ACTIONS(6324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6324),
    [aux_sym_variable_attributes_token2] = ACTIONS(6324),
    [aux_sym_variable_attributes_token3] = ACTIONS(6324),
    [aux_sym_variable_attributes_token5] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6324),
    [aux_sym_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym_type_qualifier_token2] = ACTIONS(6324),
    [anon_sym_SEMI] = ACTIONS(6326),
    [aux_sym_stop_statement_token1] = ACTIONS(6324),
    [aux_sym_stop_statement_token2] = ACTIONS(6324),
    [aux_sym_subroutine_call_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token2] = ACTIONS(6324),
    [aux_sym_keyword_statement_token3] = ACTIONS(6324),
    [aux_sym_keyword_statement_token4] = ACTIONS(6324),
    [aux_sym_keyword_statement_token6] = ACTIONS(6324),
    [aux_sym_keyword_statement_token7] = ACTIONS(6324),
    [aux_sym_include_statement_token1] = ACTIONS(6324),
    [aux_sym_data_statement_token1] = ACTIONS(6324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6324),
    [aux_sym_end_if_statement_token1] = ACTIONS(6324),
    [aux_sym_elseif_clause_token2] = ACTIONS(6324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token3] = ACTIONS(6324),
    [aux_sym_select_type_statement_token1] = ACTIONS(6324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6324),
    [aux_sym_block_construct_token1] = ACTIONS(6324),
    [aux_sym_associate_statement_token1] = ACTIONS(6324),
    [aux_sym_format_statement_token1] = ACTIONS(6324),
    [aux_sym_print_statement_token1] = ACTIONS(6324),
    [aux_sym_open_statement_token1] = ACTIONS(6324),
    [aux_sym_close_statement_token1] = ACTIONS(6324),
    [aux_sym_inquire_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token2] = ACTIONS(6324),
    [aux_sym_file_position_statement_token3] = ACTIONS(6324),
    [aux_sym_file_position_statement_token4] = ACTIONS(6324),
    [aux_sym_allocate_statement_token1] = ACTIONS(6324),
    [aux_sym_entry_statement_token1] = ACTIONS(6324),
    [aux_sym_logical_expression_token5] = ACTIONS(6326),
    [anon_sym_DOT] = ACTIONS(6324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6326),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [aux_sym_boolean_literal_token1] = ACTIONS(6326),
    [aux_sym_boolean_literal_token2] = ACTIONS(6326),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token2] = ACTIONS(6324),
    [aux_sym_coarray_statement_token6] = ACTIONS(6324),
    [aux_sym_coarray_statement_token8] = ACTIONS(6324),
    [aux_sym_coarray_statement_token11] = ACTIONS(6324),
    [aux_sym_coarray_statement_token12] = ACTIONS(6324),
    [aux_sym_coarray_statement_token13] = ACTIONS(6324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6324),
    [aux_sym_identifier_token1] = ACTIONS(6324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6326),
    [sym__string_literal_kind] = ACTIONS(6326),
  },
  [2262] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_end_program_statement_token2] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_contains_statement_token1] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2263] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6334),
    [aux_sym_preproc_def_token1] = ACTIONS(6334),
    [aux_sym_preproc_if_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6334),
    [sym_preproc_directive] = ACTIONS(6334),
    [anon_sym_LPAREN2] = ACTIONS(6334),
    [anon_sym_PLUS] = ACTIONS(6336),
    [anon_sym_DASH] = ACTIONS(6336),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6334),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6334),
    [aux_sym_end_function_statement_token1] = ACTIONS(6334),
    [aux_sym_contains_statement_token1] = ACTIONS(6334),
    [aux_sym_use_statement_token2] = ACTIONS(6334),
    [aux_sym_implicit_statement_token4] = ACTIONS(6334),
    [aux_sym_save_statement_token1] = ACTIONS(6334),
    [aux_sym_private_statement_token1] = ACTIONS(6334),
    [aux_sym_public_statement_token1] = ACTIONS(6334),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6334),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6334),
    [aux_sym_variable_attributes_token2] = ACTIONS(6334),
    [aux_sym_variable_attributes_token3] = ACTIONS(6334),
    [aux_sym_variable_attributes_token5] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6334),
    [aux_sym_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym_type_qualifier_token2] = ACTIONS(6334),
    [anon_sym_SEMI] = ACTIONS(6336),
    [aux_sym_stop_statement_token1] = ACTIONS(6334),
    [aux_sym_stop_statement_token2] = ACTIONS(6334),
    [aux_sym_subroutine_call_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token2] = ACTIONS(6334),
    [aux_sym_keyword_statement_token3] = ACTIONS(6334),
    [aux_sym_keyword_statement_token4] = ACTIONS(6334),
    [aux_sym_keyword_statement_token6] = ACTIONS(6334),
    [aux_sym_keyword_statement_token7] = ACTIONS(6334),
    [aux_sym_include_statement_token1] = ACTIONS(6334),
    [aux_sym_data_statement_token1] = ACTIONS(6334),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6334),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6334),
    [aux_sym_end_if_statement_token1] = ACTIONS(6334),
    [aux_sym_elseif_clause_token2] = ACTIONS(6334),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6334),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token3] = ACTIONS(6334),
    [aux_sym_select_type_statement_token1] = ACTIONS(6334),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6334),
    [aux_sym_block_construct_token1] = ACTIONS(6334),
    [aux_sym_associate_statement_token1] = ACTIONS(6334),
    [aux_sym_format_statement_token1] = ACTIONS(6334),
    [aux_sym_print_statement_token1] = ACTIONS(6334),
    [aux_sym_open_statement_token1] = ACTIONS(6334),
    [aux_sym_close_statement_token1] = ACTIONS(6334),
    [aux_sym_inquire_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token2] = ACTIONS(6334),
    [aux_sym_file_position_statement_token3] = ACTIONS(6334),
    [aux_sym_file_position_statement_token4] = ACTIONS(6334),
    [aux_sym_allocate_statement_token1] = ACTIONS(6334),
    [aux_sym_entry_statement_token1] = ACTIONS(6334),
    [aux_sym_logical_expression_token5] = ACTIONS(6336),
    [anon_sym_DOT] = ACTIONS(6334),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6336),
    [anon_sym_LBRACK] = ACTIONS(6336),
    [aux_sym_boolean_literal_token1] = ACTIONS(6336),
    [aux_sym_boolean_literal_token2] = ACTIONS(6336),
    [aux_sym_null_literal_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token2] = ACTIONS(6334),
    [aux_sym_coarray_statement_token6] = ACTIONS(6334),
    [aux_sym_coarray_statement_token8] = ACTIONS(6334),
    [aux_sym_coarray_statement_token11] = ACTIONS(6334),
    [aux_sym_coarray_statement_token12] = ACTIONS(6334),
    [aux_sym_coarray_statement_token13] = ACTIONS(6334),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6334),
    [aux_sym_identifier_token1] = ACTIONS(6334),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6336),
    [sym__float_literal] = ACTIONS(6336),
    [sym__boz_literal] = ACTIONS(6336),
    [sym__string_literal] = ACTIONS(6336),
    [sym__string_literal_kind] = ACTIONS(6336),
  },
  [2264] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6338),
    [aux_sym_preproc_def_token1] = ACTIONS(6338),
    [aux_sym_preproc_if_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6338),
    [sym_preproc_directive] = ACTIONS(6338),
    [anon_sym_LPAREN2] = ACTIONS(6338),
    [anon_sym_PLUS] = ACTIONS(6340),
    [anon_sym_DASH] = ACTIONS(6340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6338),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6338),
    [aux_sym_end_function_statement_token1] = ACTIONS(6338),
    [aux_sym_contains_statement_token1] = ACTIONS(6338),
    [aux_sym_use_statement_token2] = ACTIONS(6338),
    [aux_sym_implicit_statement_token4] = ACTIONS(6338),
    [aux_sym_save_statement_token1] = ACTIONS(6338),
    [aux_sym_private_statement_token1] = ACTIONS(6338),
    [aux_sym_public_statement_token1] = ACTIONS(6338),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6338),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6338),
    [aux_sym_variable_attributes_token2] = ACTIONS(6338),
    [aux_sym_variable_attributes_token3] = ACTIONS(6338),
    [aux_sym_variable_attributes_token5] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6338),
    [aux_sym_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym_type_qualifier_token2] = ACTIONS(6338),
    [anon_sym_SEMI] = ACTIONS(6340),
    [aux_sym_stop_statement_token1] = ACTIONS(6338),
    [aux_sym_stop_statement_token2] = ACTIONS(6338),
    [aux_sym_subroutine_call_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token2] = ACTIONS(6338),
    [aux_sym_keyword_statement_token3] = ACTIONS(6338),
    [aux_sym_keyword_statement_token4] = ACTIONS(6338),
    [aux_sym_keyword_statement_token6] = ACTIONS(6338),
    [aux_sym_keyword_statement_token7] = ACTIONS(6338),
    [aux_sym_include_statement_token1] = ACTIONS(6338),
    [aux_sym_data_statement_token1] = ACTIONS(6338),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6338),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6338),
    [aux_sym_end_if_statement_token1] = ACTIONS(6338),
    [aux_sym_elseif_clause_token2] = ACTIONS(6338),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6338),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token3] = ACTIONS(6338),
    [aux_sym_select_type_statement_token1] = ACTIONS(6338),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6338),
    [aux_sym_block_construct_token1] = ACTIONS(6338),
    [aux_sym_associate_statement_token1] = ACTIONS(6338),
    [aux_sym_format_statement_token1] = ACTIONS(6338),
    [aux_sym_print_statement_token1] = ACTIONS(6338),
    [aux_sym_open_statement_token1] = ACTIONS(6338),
    [aux_sym_close_statement_token1] = ACTIONS(6338),
    [aux_sym_inquire_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token2] = ACTIONS(6338),
    [aux_sym_file_position_statement_token3] = ACTIONS(6338),
    [aux_sym_file_position_statement_token4] = ACTIONS(6338),
    [aux_sym_allocate_statement_token1] = ACTIONS(6338),
    [aux_sym_entry_statement_token1] = ACTIONS(6338),
    [aux_sym_logical_expression_token5] = ACTIONS(6340),
    [anon_sym_DOT] = ACTIONS(6338),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6340),
    [anon_sym_LBRACK] = ACTIONS(6340),
    [aux_sym_boolean_literal_token1] = ACTIONS(6340),
    [aux_sym_boolean_literal_token2] = ACTIONS(6340),
    [aux_sym_null_literal_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token2] = ACTIONS(6338),
    [aux_sym_coarray_statement_token6] = ACTIONS(6338),
    [aux_sym_coarray_statement_token8] = ACTIONS(6338),
    [aux_sym_coarray_statement_token11] = ACTIONS(6338),
    [aux_sym_coarray_statement_token12] = ACTIONS(6338),
    [aux_sym_coarray_statement_token13] = ACTIONS(6338),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6338),
    [aux_sym_identifier_token1] = ACTIONS(6338),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6340),
    [sym__float_literal] = ACTIONS(6340),
    [sym__boz_literal] = ACTIONS(6340),
    [sym__string_literal] = ACTIONS(6340),
    [sym__string_literal_kind] = ACTIONS(6340),
  },
  [2265] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2266] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2267] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2268] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2269] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2270] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2271] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2272] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2273] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token2] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_end_select_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2274] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token2] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_end_select_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2275] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token2] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_end_select_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2276] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token2] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_end_select_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2277] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token2] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_end_select_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2278] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token2] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_end_select_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2279] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token2] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_end_select_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2280] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6490),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2281] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_end_program_statement_token2] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_contains_statement_token1] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2282] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6492),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2283] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6494),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2284] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6496),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2285] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6498),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2286] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_end_program_statement_token2] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_contains_statement_token1] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2287] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_end_program_statement_token2] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_contains_statement_token1] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2288] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6500),
    [aux_sym_preproc_def_token1] = ACTIONS(6500),
    [aux_sym_preproc_if_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6500),
    [sym_preproc_directive] = ACTIONS(6500),
    [anon_sym_LPAREN2] = ACTIONS(6500),
    [anon_sym_PLUS] = ACTIONS(6502),
    [anon_sym_DASH] = ACTIONS(6502),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6500),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6500),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6500),
    [aux_sym_contains_statement_token1] = ACTIONS(6500),
    [aux_sym_use_statement_token2] = ACTIONS(6500),
    [aux_sym_implicit_statement_token4] = ACTIONS(6500),
    [aux_sym_save_statement_token1] = ACTIONS(6500),
    [aux_sym_private_statement_token1] = ACTIONS(6500),
    [aux_sym_public_statement_token1] = ACTIONS(6500),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6500),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6500),
    [aux_sym_variable_attributes_token2] = ACTIONS(6500),
    [aux_sym_variable_attributes_token3] = ACTIONS(6500),
    [aux_sym_variable_attributes_token5] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6500),
    [aux_sym_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym_type_qualifier_token2] = ACTIONS(6500),
    [anon_sym_SEMI] = ACTIONS(6502),
    [aux_sym_stop_statement_token1] = ACTIONS(6500),
    [aux_sym_stop_statement_token2] = ACTIONS(6500),
    [aux_sym_subroutine_call_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token2] = ACTIONS(6500),
    [aux_sym_keyword_statement_token3] = ACTIONS(6500),
    [aux_sym_keyword_statement_token4] = ACTIONS(6500),
    [aux_sym_keyword_statement_token6] = ACTIONS(6500),
    [aux_sym_keyword_statement_token7] = ACTIONS(6500),
    [aux_sym_include_statement_token1] = ACTIONS(6500),
    [aux_sym_data_statement_token1] = ACTIONS(6500),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6500),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6500),
    [aux_sym_end_if_statement_token1] = ACTIONS(6500),
    [aux_sym_elseif_clause_token2] = ACTIONS(6500),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6500),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token3] = ACTIONS(6500),
    [aux_sym_select_type_statement_token1] = ACTIONS(6500),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6500),
    [aux_sym_block_construct_token1] = ACTIONS(6500),
    [aux_sym_associate_statement_token1] = ACTIONS(6500),
    [aux_sym_format_statement_token1] = ACTIONS(6500),
    [aux_sym_print_statement_token1] = ACTIONS(6500),
    [aux_sym_open_statement_token1] = ACTIONS(6500),
    [aux_sym_close_statement_token1] = ACTIONS(6500),
    [aux_sym_inquire_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token2] = ACTIONS(6500),
    [aux_sym_file_position_statement_token3] = ACTIONS(6500),
    [aux_sym_file_position_statement_token4] = ACTIONS(6500),
    [aux_sym_allocate_statement_token1] = ACTIONS(6500),
    [aux_sym_entry_statement_token1] = ACTIONS(6500),
    [aux_sym_logical_expression_token5] = ACTIONS(6502),
    [anon_sym_DOT] = ACTIONS(6500),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6502),
    [anon_sym_LBRACK] = ACTIONS(6502),
    [aux_sym_boolean_literal_token1] = ACTIONS(6502),
    [aux_sym_boolean_literal_token2] = ACTIONS(6502),
    [aux_sym_null_literal_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token2] = ACTIONS(6500),
    [aux_sym_coarray_statement_token6] = ACTIONS(6500),
    [aux_sym_coarray_statement_token8] = ACTIONS(6500),
    [aux_sym_coarray_statement_token11] = ACTIONS(6500),
    [aux_sym_coarray_statement_token12] = ACTIONS(6500),
    [aux_sym_coarray_statement_token13] = ACTIONS(6500),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6500),
    [aux_sym_identifier_token1] = ACTIONS(6500),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6502),
    [sym__float_literal] = ACTIONS(6502),
    [sym__boz_literal] = ACTIONS(6502),
    [sym__string_literal] = ACTIONS(6502),
    [sym__string_literal_kind] = ACTIONS(6502),
  },
  [2289] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [2290] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6504),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2291] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6506),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2292] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6384),
    [aux_sym_preproc_def_token1] = ACTIONS(6384),
    [aux_sym_preproc_if_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6384),
    [sym_preproc_directive] = ACTIONS(6384),
    [anon_sym_LPAREN2] = ACTIONS(6384),
    [anon_sym_PLUS] = ACTIONS(6386),
    [anon_sym_DASH] = ACTIONS(6386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6384),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6384),
    [aux_sym_contains_statement_token1] = ACTIONS(6384),
    [aux_sym_use_statement_token2] = ACTIONS(6384),
    [aux_sym_implicit_statement_token4] = ACTIONS(6384),
    [aux_sym_save_statement_token1] = ACTIONS(6384),
    [aux_sym_private_statement_token1] = ACTIONS(6384),
    [aux_sym_public_statement_token1] = ACTIONS(6384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6384),
    [aux_sym_variable_attributes_token2] = ACTIONS(6384),
    [aux_sym_variable_attributes_token3] = ACTIONS(6384),
    [aux_sym_variable_attributes_token5] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6384),
    [aux_sym_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym_type_qualifier_token2] = ACTIONS(6384),
    [anon_sym_SEMI] = ACTIONS(6386),
    [aux_sym_stop_statement_token1] = ACTIONS(6384),
    [aux_sym_stop_statement_token2] = ACTIONS(6384),
    [aux_sym_subroutine_call_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token2] = ACTIONS(6384),
    [aux_sym_keyword_statement_token3] = ACTIONS(6384),
    [aux_sym_keyword_statement_token4] = ACTIONS(6384),
    [aux_sym_keyword_statement_token6] = ACTIONS(6384),
    [aux_sym_keyword_statement_token7] = ACTIONS(6384),
    [aux_sym_include_statement_token1] = ACTIONS(6384),
    [aux_sym_data_statement_token1] = ACTIONS(6384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6384),
    [aux_sym_end_if_statement_token1] = ACTIONS(6384),
    [aux_sym_elseif_clause_token2] = ACTIONS(6384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token3] = ACTIONS(6384),
    [aux_sym_select_type_statement_token1] = ACTIONS(6384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6384),
    [aux_sym_block_construct_token1] = ACTIONS(6384),
    [aux_sym_associate_statement_token1] = ACTIONS(6384),
    [aux_sym_format_statement_token1] = ACTIONS(6384),
    [aux_sym_print_statement_token1] = ACTIONS(6384),
    [aux_sym_open_statement_token1] = ACTIONS(6384),
    [aux_sym_close_statement_token1] = ACTIONS(6384),
    [aux_sym_inquire_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token2] = ACTIONS(6384),
    [aux_sym_file_position_statement_token3] = ACTIONS(6384),
    [aux_sym_file_position_statement_token4] = ACTIONS(6384),
    [aux_sym_allocate_statement_token1] = ACTIONS(6384),
    [aux_sym_entry_statement_token1] = ACTIONS(6384),
    [aux_sym_logical_expression_token5] = ACTIONS(6386),
    [anon_sym_DOT] = ACTIONS(6384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6386),
    [anon_sym_LBRACK] = ACTIONS(6386),
    [aux_sym_boolean_literal_token1] = ACTIONS(6386),
    [aux_sym_boolean_literal_token2] = ACTIONS(6386),
    [aux_sym_null_literal_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token2] = ACTIONS(6384),
    [aux_sym_coarray_statement_token6] = ACTIONS(6384),
    [aux_sym_coarray_statement_token8] = ACTIONS(6384),
    [aux_sym_coarray_statement_token11] = ACTIONS(6384),
    [aux_sym_coarray_statement_token12] = ACTIONS(6384),
    [aux_sym_coarray_statement_token13] = ACTIONS(6384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6384),
    [aux_sym_identifier_token1] = ACTIONS(6384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6386),
    [sym__float_literal] = ACTIONS(6386),
    [sym__boz_literal] = ACTIONS(6386),
    [sym__string_literal] = ACTIONS(6386),
    [sym__string_literal_kind] = ACTIONS(6386),
  },
  [2293] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6508),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2294] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(6510),
    [anon_sym_DASH] = ACTIONS(6510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2869),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(2869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2869),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2869),
    [aux_sym_implicit_statement_token4] = ACTIONS(2869),
    [aux_sym_save_statement_token1] = ACTIONS(2869),
    [aux_sym_private_statement_token1] = ACTIONS(2869),
    [aux_sym_public_statement_token1] = ACTIONS(2869),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2869),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2869),
    [aux_sym_variable_attributes_token2] = ACTIONS(2869),
    [aux_sym_variable_attributes_token3] = ACTIONS(2869),
    [aux_sym_variable_attributes_token5] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2869),
    [aux_sym_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym_type_qualifier_token2] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(6510),
    [aux_sym_stop_statement_token1] = ACTIONS(2869),
    [aux_sym_stop_statement_token2] = ACTIONS(2869),
    [aux_sym_subroutine_call_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token2] = ACTIONS(2869),
    [aux_sym_keyword_statement_token3] = ACTIONS(2869),
    [aux_sym_keyword_statement_token4] = ACTIONS(2869),
    [aux_sym_keyword_statement_token6] = ACTIONS(2869),
    [aux_sym_keyword_statement_token7] = ACTIONS(2869),
    [aux_sym_include_statement_token1] = ACTIONS(2869),
    [aux_sym_data_statement_token1] = ACTIONS(2869),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2869),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2869),
    [aux_sym_end_if_statement_token1] = ACTIONS(2869),
    [aux_sym_elseif_clause_token2] = ACTIONS(2869),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2869),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token3] = ACTIONS(2869),
    [aux_sym_select_type_statement_token1] = ACTIONS(2869),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2869),
    [aux_sym_block_construct_token1] = ACTIONS(2869),
    [aux_sym_associate_statement_token1] = ACTIONS(2869),
    [aux_sym_format_statement_token1] = ACTIONS(2869),
    [aux_sym_print_statement_token1] = ACTIONS(2869),
    [aux_sym_open_statement_token1] = ACTIONS(2869),
    [aux_sym_close_statement_token1] = ACTIONS(2869),
    [aux_sym_inquire_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token2] = ACTIONS(2869),
    [aux_sym_file_position_statement_token3] = ACTIONS(2869),
    [aux_sym_file_position_statement_token4] = ACTIONS(2869),
    [aux_sym_allocate_statement_token1] = ACTIONS(2869),
    [aux_sym_entry_statement_token1] = ACTIONS(2869),
    [aux_sym_logical_expression_token5] = ACTIONS(6510),
    [anon_sym_DOT] = ACTIONS(2869),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6510),
    [anon_sym_LBRACK] = ACTIONS(6510),
    [aux_sym_boolean_literal_token1] = ACTIONS(6510),
    [aux_sym_boolean_literal_token2] = ACTIONS(6510),
    [aux_sym_null_literal_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token2] = ACTIONS(2869),
    [aux_sym_coarray_statement_token6] = ACTIONS(2869),
    [aux_sym_coarray_statement_token8] = ACTIONS(2869),
    [aux_sym_coarray_statement_token11] = ACTIONS(2869),
    [aux_sym_coarray_statement_token12] = ACTIONS(2869),
    [aux_sym_coarray_statement_token13] = ACTIONS(2869),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2869),
    [aux_sym_identifier_token1] = ACTIONS(2869),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6510),
    [sym__float_literal] = ACTIONS(6510),
    [sym__boz_literal] = ACTIONS(6510),
    [sym__string_literal] = ACTIONS(6510),
    [sym__string_literal_kind] = ACTIONS(6510),
  },
  [2295] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6512),
    [aux_sym_preproc_def_token1] = ACTIONS(6512),
    [aux_sym_preproc_if_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6512),
    [sym_preproc_directive] = ACTIONS(6512),
    [anon_sym_LPAREN2] = ACTIONS(6512),
    [anon_sym_PLUS] = ACTIONS(6514),
    [anon_sym_DASH] = ACTIONS(6514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6512),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6512),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6512),
    [aux_sym_contains_statement_token1] = ACTIONS(6512),
    [aux_sym_use_statement_token2] = ACTIONS(6512),
    [aux_sym_implicit_statement_token4] = ACTIONS(6512),
    [aux_sym_save_statement_token1] = ACTIONS(6512),
    [aux_sym_private_statement_token1] = ACTIONS(6512),
    [aux_sym_public_statement_token1] = ACTIONS(6512),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6512),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6512),
    [aux_sym_variable_attributes_token2] = ACTIONS(6512),
    [aux_sym_variable_attributes_token3] = ACTIONS(6512),
    [aux_sym_variable_attributes_token5] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6512),
    [aux_sym_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym_type_qualifier_token2] = ACTIONS(6512),
    [anon_sym_SEMI] = ACTIONS(6514),
    [aux_sym_stop_statement_token1] = ACTIONS(6512),
    [aux_sym_stop_statement_token2] = ACTIONS(6512),
    [aux_sym_subroutine_call_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token2] = ACTIONS(6512),
    [aux_sym_keyword_statement_token3] = ACTIONS(6512),
    [aux_sym_keyword_statement_token4] = ACTIONS(6512),
    [aux_sym_keyword_statement_token6] = ACTIONS(6512),
    [aux_sym_keyword_statement_token7] = ACTIONS(6512),
    [aux_sym_include_statement_token1] = ACTIONS(6512),
    [aux_sym_data_statement_token1] = ACTIONS(6512),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6512),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6512),
    [aux_sym_end_if_statement_token1] = ACTIONS(6512),
    [aux_sym_elseif_clause_token2] = ACTIONS(6512),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6512),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token3] = ACTIONS(6512),
    [aux_sym_select_type_statement_token1] = ACTIONS(6512),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6512),
    [aux_sym_block_construct_token1] = ACTIONS(6512),
    [aux_sym_associate_statement_token1] = ACTIONS(6512),
    [aux_sym_format_statement_token1] = ACTIONS(6512),
    [aux_sym_print_statement_token1] = ACTIONS(6512),
    [aux_sym_open_statement_token1] = ACTIONS(6512),
    [aux_sym_close_statement_token1] = ACTIONS(6512),
    [aux_sym_inquire_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token2] = ACTIONS(6512),
    [aux_sym_file_position_statement_token3] = ACTIONS(6512),
    [aux_sym_file_position_statement_token4] = ACTIONS(6512),
    [aux_sym_allocate_statement_token1] = ACTIONS(6512),
    [aux_sym_entry_statement_token1] = ACTIONS(6512),
    [aux_sym_logical_expression_token5] = ACTIONS(6514),
    [anon_sym_DOT] = ACTIONS(6512),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6514),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [aux_sym_boolean_literal_token1] = ACTIONS(6514),
    [aux_sym_boolean_literal_token2] = ACTIONS(6514),
    [aux_sym_null_literal_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token2] = ACTIONS(6512),
    [aux_sym_coarray_statement_token6] = ACTIONS(6512),
    [aux_sym_coarray_statement_token8] = ACTIONS(6512),
    [aux_sym_coarray_statement_token11] = ACTIONS(6512),
    [aux_sym_coarray_statement_token12] = ACTIONS(6512),
    [aux_sym_coarray_statement_token13] = ACTIONS(6512),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6512),
    [aux_sym_identifier_token1] = ACTIONS(6512),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6514),
    [sym__float_literal] = ACTIONS(6514),
    [sym__boz_literal] = ACTIONS(6514),
    [sym__string_literal] = ACTIONS(6514),
    [sym__string_literal_kind] = ACTIONS(6514),
  },
  [2296] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6396),
    [aux_sym_preproc_def_token1] = ACTIONS(6396),
    [aux_sym_preproc_if_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6396),
    [sym_preproc_directive] = ACTIONS(6396),
    [anon_sym_LPAREN2] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6396),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6396),
    [aux_sym_contains_statement_token1] = ACTIONS(6396),
    [aux_sym_use_statement_token2] = ACTIONS(6396),
    [aux_sym_implicit_statement_token4] = ACTIONS(6396),
    [aux_sym_save_statement_token1] = ACTIONS(6396),
    [aux_sym_private_statement_token1] = ACTIONS(6396),
    [aux_sym_public_statement_token1] = ACTIONS(6396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6396),
    [aux_sym_variable_attributes_token2] = ACTIONS(6396),
    [aux_sym_variable_attributes_token3] = ACTIONS(6396),
    [aux_sym_variable_attributes_token5] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6396),
    [aux_sym_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym_type_qualifier_token2] = ACTIONS(6396),
    [anon_sym_SEMI] = ACTIONS(6398),
    [aux_sym_stop_statement_token1] = ACTIONS(6396),
    [aux_sym_stop_statement_token2] = ACTIONS(6396),
    [aux_sym_subroutine_call_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token2] = ACTIONS(6396),
    [aux_sym_keyword_statement_token3] = ACTIONS(6396),
    [aux_sym_keyword_statement_token4] = ACTIONS(6396),
    [aux_sym_keyword_statement_token6] = ACTIONS(6396),
    [aux_sym_keyword_statement_token7] = ACTIONS(6396),
    [aux_sym_include_statement_token1] = ACTIONS(6396),
    [aux_sym_data_statement_token1] = ACTIONS(6396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6396),
    [aux_sym_end_if_statement_token1] = ACTIONS(6396),
    [aux_sym_elseif_clause_token2] = ACTIONS(6396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token3] = ACTIONS(6396),
    [aux_sym_select_type_statement_token1] = ACTIONS(6396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6396),
    [aux_sym_block_construct_token1] = ACTIONS(6396),
    [aux_sym_associate_statement_token1] = ACTIONS(6396),
    [aux_sym_format_statement_token1] = ACTIONS(6396),
    [aux_sym_print_statement_token1] = ACTIONS(6396),
    [aux_sym_open_statement_token1] = ACTIONS(6396),
    [aux_sym_close_statement_token1] = ACTIONS(6396),
    [aux_sym_inquire_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token2] = ACTIONS(6396),
    [aux_sym_file_position_statement_token3] = ACTIONS(6396),
    [aux_sym_file_position_statement_token4] = ACTIONS(6396),
    [aux_sym_allocate_statement_token1] = ACTIONS(6396),
    [aux_sym_entry_statement_token1] = ACTIONS(6396),
    [aux_sym_logical_expression_token5] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6398),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [aux_sym_boolean_literal_token1] = ACTIONS(6398),
    [aux_sym_boolean_literal_token2] = ACTIONS(6398),
    [aux_sym_null_literal_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token2] = ACTIONS(6396),
    [aux_sym_coarray_statement_token6] = ACTIONS(6396),
    [aux_sym_coarray_statement_token8] = ACTIONS(6396),
    [aux_sym_coarray_statement_token11] = ACTIONS(6396),
    [aux_sym_coarray_statement_token12] = ACTIONS(6396),
    [aux_sym_coarray_statement_token13] = ACTIONS(6396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6396),
    [aux_sym_identifier_token1] = ACTIONS(6396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6398),
    [sym__float_literal] = ACTIONS(6398),
    [sym__boz_literal] = ACTIONS(6398),
    [sym__string_literal] = ACTIONS(6398),
    [sym__string_literal_kind] = ACTIONS(6398),
  },
  [2297] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6392),
    [aux_sym_preproc_def_token1] = ACTIONS(6392),
    [aux_sym_preproc_if_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6392),
    [sym_preproc_directive] = ACTIONS(6392),
    [anon_sym_LPAREN2] = ACTIONS(6392),
    [anon_sym_PLUS] = ACTIONS(6394),
    [anon_sym_DASH] = ACTIONS(6394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6392),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6392),
    [aux_sym_contains_statement_token1] = ACTIONS(6392),
    [aux_sym_use_statement_token2] = ACTIONS(6392),
    [aux_sym_implicit_statement_token4] = ACTIONS(6392),
    [aux_sym_save_statement_token1] = ACTIONS(6392),
    [aux_sym_private_statement_token1] = ACTIONS(6392),
    [aux_sym_public_statement_token1] = ACTIONS(6392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6392),
    [aux_sym_variable_attributes_token2] = ACTIONS(6392),
    [aux_sym_variable_attributes_token3] = ACTIONS(6392),
    [aux_sym_variable_attributes_token5] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6392),
    [aux_sym_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym_type_qualifier_token2] = ACTIONS(6392),
    [anon_sym_SEMI] = ACTIONS(6394),
    [aux_sym_stop_statement_token1] = ACTIONS(6392),
    [aux_sym_stop_statement_token2] = ACTIONS(6392),
    [aux_sym_subroutine_call_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token2] = ACTIONS(6392),
    [aux_sym_keyword_statement_token3] = ACTIONS(6392),
    [aux_sym_keyword_statement_token4] = ACTIONS(6392),
    [aux_sym_keyword_statement_token6] = ACTIONS(6392),
    [aux_sym_keyword_statement_token7] = ACTIONS(6392),
    [aux_sym_include_statement_token1] = ACTIONS(6392),
    [aux_sym_data_statement_token1] = ACTIONS(6392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6392),
    [aux_sym_end_if_statement_token1] = ACTIONS(6392),
    [aux_sym_elseif_clause_token2] = ACTIONS(6392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token3] = ACTIONS(6392),
    [aux_sym_select_type_statement_token1] = ACTIONS(6392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6392),
    [aux_sym_block_construct_token1] = ACTIONS(6392),
    [aux_sym_associate_statement_token1] = ACTIONS(6392),
    [aux_sym_format_statement_token1] = ACTIONS(6392),
    [aux_sym_print_statement_token1] = ACTIONS(6392),
    [aux_sym_open_statement_token1] = ACTIONS(6392),
    [aux_sym_close_statement_token1] = ACTIONS(6392),
    [aux_sym_inquire_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token2] = ACTIONS(6392),
    [aux_sym_file_position_statement_token3] = ACTIONS(6392),
    [aux_sym_file_position_statement_token4] = ACTIONS(6392),
    [aux_sym_allocate_statement_token1] = ACTIONS(6392),
    [aux_sym_entry_statement_token1] = ACTIONS(6392),
    [aux_sym_logical_expression_token5] = ACTIONS(6394),
    [anon_sym_DOT] = ACTIONS(6392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6394),
    [anon_sym_LBRACK] = ACTIONS(6394),
    [aux_sym_boolean_literal_token1] = ACTIONS(6394),
    [aux_sym_boolean_literal_token2] = ACTIONS(6394),
    [aux_sym_null_literal_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token2] = ACTIONS(6392),
    [aux_sym_coarray_statement_token6] = ACTIONS(6392),
    [aux_sym_coarray_statement_token8] = ACTIONS(6392),
    [aux_sym_coarray_statement_token11] = ACTIONS(6392),
    [aux_sym_coarray_statement_token12] = ACTIONS(6392),
    [aux_sym_coarray_statement_token13] = ACTIONS(6392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6392),
    [aux_sym_identifier_token1] = ACTIONS(6392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6394),
    [sym__float_literal] = ACTIONS(6394),
    [sym__boz_literal] = ACTIONS(6394),
    [sym__string_literal] = ACTIONS(6394),
    [sym__string_literal_kind] = ACTIONS(6394),
  },
  [2298] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(6510),
    [anon_sym_DASH] = ACTIONS(6510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2869),
    [aux_sym_end_function_statement_token1] = ACTIONS(2869),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2869),
    [aux_sym_implicit_statement_token4] = ACTIONS(2869),
    [aux_sym_save_statement_token1] = ACTIONS(2869),
    [aux_sym_private_statement_token1] = ACTIONS(2869),
    [aux_sym_public_statement_token1] = ACTIONS(2869),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2869),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2869),
    [aux_sym_variable_attributes_token2] = ACTIONS(2869),
    [aux_sym_variable_attributes_token3] = ACTIONS(2869),
    [aux_sym_variable_attributes_token5] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2869),
    [aux_sym_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym_type_qualifier_token2] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(6510),
    [aux_sym_stop_statement_token1] = ACTIONS(2869),
    [aux_sym_stop_statement_token2] = ACTIONS(2869),
    [aux_sym_subroutine_call_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token2] = ACTIONS(2869),
    [aux_sym_keyword_statement_token3] = ACTIONS(2869),
    [aux_sym_keyword_statement_token4] = ACTIONS(2869),
    [aux_sym_keyword_statement_token6] = ACTIONS(2869),
    [aux_sym_keyword_statement_token7] = ACTIONS(2869),
    [aux_sym_include_statement_token1] = ACTIONS(2869),
    [aux_sym_data_statement_token1] = ACTIONS(2869),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2869),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2869),
    [aux_sym_end_if_statement_token1] = ACTIONS(2869),
    [aux_sym_elseif_clause_token2] = ACTIONS(2869),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2869),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token3] = ACTIONS(2869),
    [aux_sym_select_type_statement_token1] = ACTIONS(2869),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2869),
    [aux_sym_block_construct_token1] = ACTIONS(2869),
    [aux_sym_associate_statement_token1] = ACTIONS(2869),
    [aux_sym_format_statement_token1] = ACTIONS(2869),
    [aux_sym_print_statement_token1] = ACTIONS(2869),
    [aux_sym_open_statement_token1] = ACTIONS(2869),
    [aux_sym_close_statement_token1] = ACTIONS(2869),
    [aux_sym_inquire_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token2] = ACTIONS(2869),
    [aux_sym_file_position_statement_token3] = ACTIONS(2869),
    [aux_sym_file_position_statement_token4] = ACTIONS(2869),
    [aux_sym_allocate_statement_token1] = ACTIONS(2869),
    [aux_sym_entry_statement_token1] = ACTIONS(2869),
    [aux_sym_logical_expression_token5] = ACTIONS(6510),
    [anon_sym_DOT] = ACTIONS(2869),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6510),
    [anon_sym_LBRACK] = ACTIONS(6510),
    [aux_sym_boolean_literal_token1] = ACTIONS(6510),
    [aux_sym_boolean_literal_token2] = ACTIONS(6510),
    [aux_sym_null_literal_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token2] = ACTIONS(2869),
    [aux_sym_coarray_statement_token6] = ACTIONS(2869),
    [aux_sym_coarray_statement_token8] = ACTIONS(2869),
    [aux_sym_coarray_statement_token11] = ACTIONS(2869),
    [aux_sym_coarray_statement_token12] = ACTIONS(2869),
    [aux_sym_coarray_statement_token13] = ACTIONS(2869),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2869),
    [aux_sym_identifier_token1] = ACTIONS(2869),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6510),
    [sym__float_literal] = ACTIONS(6510),
    [sym__boz_literal] = ACTIONS(6510),
    [sym__string_literal] = ACTIONS(6510),
    [sym__string_literal_kind] = ACTIONS(6510),
  },
  [2299] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6090),
    [aux_sym_preproc_def_token1] = ACTIONS(6090),
    [aux_sym_preproc_if_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6090),
    [sym_preproc_directive] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6090),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6090),
    [aux_sym_contains_statement_token1] = ACTIONS(6090),
    [aux_sym_use_statement_token2] = ACTIONS(6090),
    [aux_sym_implicit_statement_token4] = ACTIONS(6090),
    [aux_sym_save_statement_token1] = ACTIONS(6090),
    [aux_sym_private_statement_token1] = ACTIONS(6090),
    [aux_sym_public_statement_token1] = ACTIONS(6090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6090),
    [aux_sym_variable_attributes_token2] = ACTIONS(6090),
    [aux_sym_variable_attributes_token3] = ACTIONS(6090),
    [aux_sym_variable_attributes_token5] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6090),
    [aux_sym_type_qualifier_token1] = ACTIONS(6090),
    [aux_sym_type_qualifier_token2] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6094),
    [aux_sym_stop_statement_token1] = ACTIONS(6090),
    [aux_sym_stop_statement_token2] = ACTIONS(6090),
    [aux_sym_subroutine_call_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token1] = ACTIONS(6090),
    [aux_sym_keyword_statement_token2] = ACTIONS(6090),
    [aux_sym_keyword_statement_token3] = ACTIONS(6090),
    [aux_sym_keyword_statement_token4] = ACTIONS(6090),
    [aux_sym_keyword_statement_token6] = ACTIONS(6090),
    [aux_sym_keyword_statement_token7] = ACTIONS(6090),
    [aux_sym_include_statement_token1] = ACTIONS(6090),
    [aux_sym_data_statement_token1] = ACTIONS(6090),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6090),
    [aux_sym_end_if_statement_token1] = ACTIONS(6090),
    [aux_sym_elseif_clause_token2] = ACTIONS(6090),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6090),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token1] = ACTIONS(6090),
    [aux_sym_select_case_statement_token3] = ACTIONS(6090),
    [aux_sym_select_type_statement_token1] = ACTIONS(6090),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6090),
    [aux_sym_block_construct_token1] = ACTIONS(6090),
    [aux_sym_associate_statement_token1] = ACTIONS(6090),
    [aux_sym_format_statement_token1] = ACTIONS(6090),
    [aux_sym_print_statement_token1] = ACTIONS(6090),
    [aux_sym_open_statement_token1] = ACTIONS(6090),
    [aux_sym_close_statement_token1] = ACTIONS(6090),
    [aux_sym_inquire_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token1] = ACTIONS(6090),
    [aux_sym_file_position_statement_token2] = ACTIONS(6090),
    [aux_sym_file_position_statement_token3] = ACTIONS(6090),
    [aux_sym_file_position_statement_token4] = ACTIONS(6090),
    [aux_sym_allocate_statement_token1] = ACTIONS(6090),
    [aux_sym_entry_statement_token1] = ACTIONS(6090),
    [aux_sym_logical_expression_token5] = ACTIONS(6094),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [aux_sym_boolean_literal_token1] = ACTIONS(6094),
    [aux_sym_boolean_literal_token2] = ACTIONS(6094),
    [aux_sym_null_literal_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_statement_token2] = ACTIONS(6090),
    [aux_sym_coarray_statement_token6] = ACTIONS(6090),
    [aux_sym_coarray_statement_token8] = ACTIONS(6090),
    [aux_sym_coarray_statement_token11] = ACTIONS(6090),
    [aux_sym_coarray_statement_token12] = ACTIONS(6090),
    [aux_sym_coarray_statement_token13] = ACTIONS(6090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6090),
    [aux_sym_identifier_token1] = ACTIONS(6090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6094),
    [sym__float_literal] = ACTIONS(6094),
    [sym__boz_literal] = ACTIONS(6094),
    [sym__string_literal] = ACTIONS(6094),
    [sym__string_literal_kind] = ACTIONS(6094),
  },
  [2300] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6516),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2301] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6008),
    [aux_sym_preproc_def_token1] = ACTIONS(6008),
    [aux_sym_preproc_if_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6008),
    [sym_preproc_directive] = ACTIONS(6008),
    [anon_sym_LPAREN2] = ACTIONS(6008),
    [anon_sym_PLUS] = ACTIONS(6012),
    [anon_sym_DASH] = ACTIONS(6012),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6008),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6008),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6008),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6008),
    [aux_sym_contains_statement_token1] = ACTIONS(6008),
    [aux_sym_use_statement_token2] = ACTIONS(6008),
    [aux_sym_implicit_statement_token4] = ACTIONS(6008),
    [aux_sym_save_statement_token1] = ACTIONS(6008),
    [aux_sym_private_statement_token1] = ACTIONS(6008),
    [aux_sym_public_statement_token1] = ACTIONS(6008),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6008),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6008),
    [aux_sym_variable_attributes_token2] = ACTIONS(6008),
    [aux_sym_variable_attributes_token3] = ACTIONS(6008),
    [aux_sym_variable_attributes_token5] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6008),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6008),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6008),
    [aux_sym_type_qualifier_token1] = ACTIONS(6008),
    [aux_sym_type_qualifier_token2] = ACTIONS(6008),
    [anon_sym_SEMI] = ACTIONS(6012),
    [aux_sym_stop_statement_token1] = ACTIONS(6008),
    [aux_sym_stop_statement_token2] = ACTIONS(6008),
    [aux_sym_subroutine_call_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token1] = ACTIONS(6008),
    [aux_sym_keyword_statement_token2] = ACTIONS(6008),
    [aux_sym_keyword_statement_token3] = ACTIONS(6008),
    [aux_sym_keyword_statement_token4] = ACTIONS(6008),
    [aux_sym_keyword_statement_token6] = ACTIONS(6008),
    [aux_sym_keyword_statement_token7] = ACTIONS(6008),
    [aux_sym_include_statement_token1] = ACTIONS(6008),
    [aux_sym_data_statement_token1] = ACTIONS(6008),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6008),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6008),
    [aux_sym_end_if_statement_token1] = ACTIONS(6008),
    [aux_sym_elseif_clause_token2] = ACTIONS(6008),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6008),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token1] = ACTIONS(6008),
    [aux_sym_select_case_statement_token3] = ACTIONS(6008),
    [aux_sym_select_type_statement_token1] = ACTIONS(6008),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6008),
    [aux_sym_block_construct_token1] = ACTIONS(6008),
    [aux_sym_associate_statement_token1] = ACTIONS(6008),
    [aux_sym_format_statement_token1] = ACTIONS(6008),
    [aux_sym_print_statement_token1] = ACTIONS(6008),
    [aux_sym_open_statement_token1] = ACTIONS(6008),
    [aux_sym_close_statement_token1] = ACTIONS(6008),
    [aux_sym_inquire_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token1] = ACTIONS(6008),
    [aux_sym_file_position_statement_token2] = ACTIONS(6008),
    [aux_sym_file_position_statement_token3] = ACTIONS(6008),
    [aux_sym_file_position_statement_token4] = ACTIONS(6008),
    [aux_sym_allocate_statement_token1] = ACTIONS(6008),
    [aux_sym_entry_statement_token1] = ACTIONS(6008),
    [aux_sym_logical_expression_token5] = ACTIONS(6012),
    [anon_sym_DOT] = ACTIONS(6008),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(6012),
    [aux_sym_boolean_literal_token1] = ACTIONS(6012),
    [aux_sym_boolean_literal_token2] = ACTIONS(6012),
    [aux_sym_null_literal_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_statement_token2] = ACTIONS(6008),
    [aux_sym_coarray_statement_token6] = ACTIONS(6008),
    [aux_sym_coarray_statement_token8] = ACTIONS(6008),
    [aux_sym_coarray_statement_token11] = ACTIONS(6008),
    [aux_sym_coarray_statement_token12] = ACTIONS(6008),
    [aux_sym_coarray_statement_token13] = ACTIONS(6008),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6008),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6008),
    [aux_sym_identifier_token1] = ACTIONS(6008),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6012),
    [sym__float_literal] = ACTIONS(6012),
    [sym__boz_literal] = ACTIONS(6012),
    [sym__string_literal] = ACTIONS(6012),
    [sym__string_literal_kind] = ACTIONS(6012),
  },
  [2302] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6518),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2303] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6520),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2304] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6466),
    [aux_sym_preproc_def_token1] = ACTIONS(6466),
    [aux_sym_preproc_if_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6466),
    [sym_preproc_directive] = ACTIONS(6466),
    [anon_sym_LPAREN2] = ACTIONS(6466),
    [anon_sym_PLUS] = ACTIONS(6468),
    [anon_sym_DASH] = ACTIONS(6468),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6466),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6466),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6466),
    [aux_sym_contains_statement_token1] = ACTIONS(6466),
    [aux_sym_use_statement_token2] = ACTIONS(6466),
    [aux_sym_implicit_statement_token4] = ACTIONS(6466),
    [aux_sym_save_statement_token1] = ACTIONS(6466),
    [aux_sym_private_statement_token1] = ACTIONS(6466),
    [aux_sym_public_statement_token1] = ACTIONS(6466),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6466),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6466),
    [aux_sym_variable_attributes_token2] = ACTIONS(6466),
    [aux_sym_variable_attributes_token3] = ACTIONS(6466),
    [aux_sym_variable_attributes_token5] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6466),
    [aux_sym_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym_type_qualifier_token2] = ACTIONS(6466),
    [anon_sym_SEMI] = ACTIONS(6468),
    [aux_sym_stop_statement_token1] = ACTIONS(6466),
    [aux_sym_stop_statement_token2] = ACTIONS(6466),
    [aux_sym_subroutine_call_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token2] = ACTIONS(6466),
    [aux_sym_keyword_statement_token3] = ACTIONS(6466),
    [aux_sym_keyword_statement_token4] = ACTIONS(6466),
    [aux_sym_keyword_statement_token6] = ACTIONS(6466),
    [aux_sym_keyword_statement_token7] = ACTIONS(6466),
    [aux_sym_include_statement_token1] = ACTIONS(6466),
    [aux_sym_data_statement_token1] = ACTIONS(6466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6466),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6466),
    [aux_sym_end_if_statement_token1] = ACTIONS(6466),
    [aux_sym_elseif_clause_token2] = ACTIONS(6466),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token3] = ACTIONS(6466),
    [aux_sym_select_type_statement_token1] = ACTIONS(6466),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6466),
    [aux_sym_block_construct_token1] = ACTIONS(6466),
    [aux_sym_associate_statement_token1] = ACTIONS(6466),
    [aux_sym_format_statement_token1] = ACTIONS(6466),
    [aux_sym_print_statement_token1] = ACTIONS(6466),
    [aux_sym_open_statement_token1] = ACTIONS(6466),
    [aux_sym_close_statement_token1] = ACTIONS(6466),
    [aux_sym_inquire_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token2] = ACTIONS(6466),
    [aux_sym_file_position_statement_token3] = ACTIONS(6466),
    [aux_sym_file_position_statement_token4] = ACTIONS(6466),
    [aux_sym_allocate_statement_token1] = ACTIONS(6466),
    [aux_sym_entry_statement_token1] = ACTIONS(6466),
    [aux_sym_logical_expression_token5] = ACTIONS(6468),
    [anon_sym_DOT] = ACTIONS(6466),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6468),
    [anon_sym_LBRACK] = ACTIONS(6468),
    [aux_sym_boolean_literal_token1] = ACTIONS(6468),
    [aux_sym_boolean_literal_token2] = ACTIONS(6468),
    [aux_sym_null_literal_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token2] = ACTIONS(6466),
    [aux_sym_coarray_statement_token6] = ACTIONS(6466),
    [aux_sym_coarray_statement_token8] = ACTIONS(6466),
    [aux_sym_coarray_statement_token11] = ACTIONS(6466),
    [aux_sym_coarray_statement_token12] = ACTIONS(6466),
    [aux_sym_coarray_statement_token13] = ACTIONS(6466),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6466),
    [aux_sym_identifier_token1] = ACTIONS(6466),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6468),
    [sym__float_literal] = ACTIONS(6468),
    [sym__boz_literal] = ACTIONS(6468),
    [sym__string_literal] = ACTIONS(6468),
    [sym__string_literal_kind] = ACTIONS(6468),
  },
  [2305] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6522),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2306] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6396),
    [aux_sym_preproc_def_token1] = ACTIONS(6396),
    [aux_sym_preproc_if_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6396),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6396),
    [sym_preproc_directive] = ACTIONS(6396),
    [anon_sym_LPAREN2] = ACTIONS(6396),
    [anon_sym_PLUS] = ACTIONS(6398),
    [anon_sym_DASH] = ACTIONS(6398),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6396),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6396),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6396),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6396),
    [aux_sym_contains_statement_token1] = ACTIONS(6396),
    [aux_sym_use_statement_token2] = ACTIONS(6396),
    [aux_sym_implicit_statement_token4] = ACTIONS(6396),
    [aux_sym_save_statement_token1] = ACTIONS(6396),
    [aux_sym_private_statement_token1] = ACTIONS(6396),
    [aux_sym_public_statement_token1] = ACTIONS(6396),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6396),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6396),
    [aux_sym_variable_attributes_token2] = ACTIONS(6396),
    [aux_sym_variable_attributes_token3] = ACTIONS(6396),
    [aux_sym_variable_attributes_token5] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6396),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6396),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6396),
    [aux_sym_type_qualifier_token1] = ACTIONS(6396),
    [aux_sym_type_qualifier_token2] = ACTIONS(6396),
    [anon_sym_SEMI] = ACTIONS(6398),
    [aux_sym_stop_statement_token1] = ACTIONS(6396),
    [aux_sym_stop_statement_token2] = ACTIONS(6396),
    [aux_sym_subroutine_call_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token1] = ACTIONS(6396),
    [aux_sym_keyword_statement_token2] = ACTIONS(6396),
    [aux_sym_keyword_statement_token3] = ACTIONS(6396),
    [aux_sym_keyword_statement_token4] = ACTIONS(6396),
    [aux_sym_keyword_statement_token6] = ACTIONS(6396),
    [aux_sym_keyword_statement_token7] = ACTIONS(6396),
    [aux_sym_include_statement_token1] = ACTIONS(6396),
    [aux_sym_data_statement_token1] = ACTIONS(6396),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6396),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6396),
    [aux_sym_end_if_statement_token1] = ACTIONS(6396),
    [aux_sym_elseif_clause_token2] = ACTIONS(6396),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6396),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token1] = ACTIONS(6396),
    [aux_sym_select_case_statement_token3] = ACTIONS(6396),
    [aux_sym_select_type_statement_token1] = ACTIONS(6396),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6396),
    [aux_sym_block_construct_token1] = ACTIONS(6396),
    [aux_sym_associate_statement_token1] = ACTIONS(6396),
    [aux_sym_format_statement_token1] = ACTIONS(6396),
    [aux_sym_print_statement_token1] = ACTIONS(6396),
    [aux_sym_open_statement_token1] = ACTIONS(6396),
    [aux_sym_close_statement_token1] = ACTIONS(6396),
    [aux_sym_inquire_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token1] = ACTIONS(6396),
    [aux_sym_file_position_statement_token2] = ACTIONS(6396),
    [aux_sym_file_position_statement_token3] = ACTIONS(6396),
    [aux_sym_file_position_statement_token4] = ACTIONS(6396),
    [aux_sym_allocate_statement_token1] = ACTIONS(6396),
    [aux_sym_entry_statement_token1] = ACTIONS(6396),
    [aux_sym_logical_expression_token5] = ACTIONS(6398),
    [anon_sym_DOT] = ACTIONS(6396),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6398),
    [anon_sym_LBRACK] = ACTIONS(6398),
    [aux_sym_boolean_literal_token1] = ACTIONS(6398),
    [aux_sym_boolean_literal_token2] = ACTIONS(6398),
    [aux_sym_null_literal_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_statement_token2] = ACTIONS(6396),
    [aux_sym_coarray_statement_token6] = ACTIONS(6396),
    [aux_sym_coarray_statement_token8] = ACTIONS(6396),
    [aux_sym_coarray_statement_token11] = ACTIONS(6396),
    [aux_sym_coarray_statement_token12] = ACTIONS(6396),
    [aux_sym_coarray_statement_token13] = ACTIONS(6396),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6396),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6396),
    [aux_sym_identifier_token1] = ACTIONS(6396),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6398),
    [sym__float_literal] = ACTIONS(6398),
    [sym__boz_literal] = ACTIONS(6398),
    [sym__string_literal] = ACTIONS(6398),
    [sym__string_literal_kind] = ACTIONS(6398),
  },
  [2307] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_end_program_statement_token2] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_contains_statement_token1] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2308] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [2309] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6096),
    [aux_sym_preproc_def_token1] = ACTIONS(6096),
    [aux_sym_preproc_if_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6096),
    [sym_preproc_directive] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [anon_sym_PLUS] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6100),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6096),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6096),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6096),
    [aux_sym_contains_statement_token1] = ACTIONS(6096),
    [aux_sym_use_statement_token2] = ACTIONS(6096),
    [aux_sym_implicit_statement_token4] = ACTIONS(6096),
    [aux_sym_save_statement_token1] = ACTIONS(6096),
    [aux_sym_private_statement_token1] = ACTIONS(6096),
    [aux_sym_public_statement_token1] = ACTIONS(6096),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6096),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6096),
    [aux_sym_variable_attributes_token2] = ACTIONS(6096),
    [aux_sym_variable_attributes_token3] = ACTIONS(6096),
    [aux_sym_variable_attributes_token5] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6096),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6096),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6096),
    [aux_sym_type_qualifier_token1] = ACTIONS(6096),
    [aux_sym_type_qualifier_token2] = ACTIONS(6096),
    [anon_sym_SEMI] = ACTIONS(6100),
    [aux_sym_stop_statement_token1] = ACTIONS(6096),
    [aux_sym_stop_statement_token2] = ACTIONS(6096),
    [aux_sym_subroutine_call_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token1] = ACTIONS(6096),
    [aux_sym_keyword_statement_token2] = ACTIONS(6096),
    [aux_sym_keyword_statement_token3] = ACTIONS(6096),
    [aux_sym_keyword_statement_token4] = ACTIONS(6096),
    [aux_sym_keyword_statement_token6] = ACTIONS(6096),
    [aux_sym_keyword_statement_token7] = ACTIONS(6096),
    [aux_sym_include_statement_token1] = ACTIONS(6096),
    [aux_sym_data_statement_token1] = ACTIONS(6096),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6096),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6096),
    [aux_sym_end_if_statement_token1] = ACTIONS(6096),
    [aux_sym_elseif_clause_token2] = ACTIONS(6096),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6096),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token1] = ACTIONS(6096),
    [aux_sym_select_case_statement_token3] = ACTIONS(6096),
    [aux_sym_select_type_statement_token1] = ACTIONS(6096),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6096),
    [aux_sym_block_construct_token1] = ACTIONS(6096),
    [aux_sym_associate_statement_token1] = ACTIONS(6096),
    [aux_sym_format_statement_token1] = ACTIONS(6096),
    [aux_sym_print_statement_token1] = ACTIONS(6096),
    [aux_sym_open_statement_token1] = ACTIONS(6096),
    [aux_sym_close_statement_token1] = ACTIONS(6096),
    [aux_sym_inquire_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token1] = ACTIONS(6096),
    [aux_sym_file_position_statement_token2] = ACTIONS(6096),
    [aux_sym_file_position_statement_token3] = ACTIONS(6096),
    [aux_sym_file_position_statement_token4] = ACTIONS(6096),
    [aux_sym_allocate_statement_token1] = ACTIONS(6096),
    [aux_sym_entry_statement_token1] = ACTIONS(6096),
    [aux_sym_logical_expression_token5] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6096),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [aux_sym_boolean_literal_token1] = ACTIONS(6100),
    [aux_sym_boolean_literal_token2] = ACTIONS(6100),
    [aux_sym_null_literal_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_statement_token2] = ACTIONS(6096),
    [aux_sym_coarray_statement_token6] = ACTIONS(6096),
    [aux_sym_coarray_statement_token8] = ACTIONS(6096),
    [aux_sym_coarray_statement_token11] = ACTIONS(6096),
    [aux_sym_coarray_statement_token12] = ACTIONS(6096),
    [aux_sym_coarray_statement_token13] = ACTIONS(6096),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6096),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6096),
    [aux_sym_identifier_token1] = ACTIONS(6096),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6100),
    [sym__float_literal] = ACTIONS(6100),
    [sym__boz_literal] = ACTIONS(6100),
    [sym__string_literal] = ACTIONS(6100),
    [sym__string_literal_kind] = ACTIONS(6100),
  },
  [2310] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [2311] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6524),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2312] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6312),
    [aux_sym_preproc_def_token1] = ACTIONS(6312),
    [aux_sym_preproc_if_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6312),
    [sym_preproc_directive] = ACTIONS(6312),
    [anon_sym_LPAREN2] = ACTIONS(6312),
    [anon_sym_PLUS] = ACTIONS(6314),
    [anon_sym_DASH] = ACTIONS(6314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6312),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6312),
    [aux_sym_contains_statement_token1] = ACTIONS(6312),
    [aux_sym_use_statement_token2] = ACTIONS(6312),
    [aux_sym_implicit_statement_token4] = ACTIONS(6312),
    [aux_sym_save_statement_token1] = ACTIONS(6312),
    [aux_sym_private_statement_token1] = ACTIONS(6312),
    [aux_sym_public_statement_token1] = ACTIONS(6312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6312),
    [aux_sym_variable_attributes_token2] = ACTIONS(6312),
    [aux_sym_variable_attributes_token3] = ACTIONS(6312),
    [aux_sym_variable_attributes_token5] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6312),
    [aux_sym_type_qualifier_token1] = ACTIONS(6312),
    [aux_sym_type_qualifier_token2] = ACTIONS(6312),
    [anon_sym_SEMI] = ACTIONS(6314),
    [aux_sym_stop_statement_token1] = ACTIONS(6312),
    [aux_sym_stop_statement_token2] = ACTIONS(6312),
    [aux_sym_subroutine_call_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token1] = ACTIONS(6312),
    [aux_sym_keyword_statement_token2] = ACTIONS(6312),
    [aux_sym_keyword_statement_token3] = ACTIONS(6312),
    [aux_sym_keyword_statement_token4] = ACTIONS(6312),
    [aux_sym_keyword_statement_token6] = ACTIONS(6312),
    [aux_sym_keyword_statement_token7] = ACTIONS(6312),
    [aux_sym_include_statement_token1] = ACTIONS(6312),
    [aux_sym_data_statement_token1] = ACTIONS(6312),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6312),
    [aux_sym_end_if_statement_token1] = ACTIONS(6312),
    [aux_sym_elseif_clause_token2] = ACTIONS(6312),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6312),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token1] = ACTIONS(6312),
    [aux_sym_select_case_statement_token3] = ACTIONS(6312),
    [aux_sym_select_type_statement_token1] = ACTIONS(6312),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6312),
    [aux_sym_block_construct_token1] = ACTIONS(6312),
    [aux_sym_associate_statement_token1] = ACTIONS(6312),
    [aux_sym_format_statement_token1] = ACTIONS(6312),
    [aux_sym_print_statement_token1] = ACTIONS(6312),
    [aux_sym_open_statement_token1] = ACTIONS(6312),
    [aux_sym_close_statement_token1] = ACTIONS(6312),
    [aux_sym_inquire_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token1] = ACTIONS(6312),
    [aux_sym_file_position_statement_token2] = ACTIONS(6312),
    [aux_sym_file_position_statement_token3] = ACTIONS(6312),
    [aux_sym_file_position_statement_token4] = ACTIONS(6312),
    [aux_sym_allocate_statement_token1] = ACTIONS(6312),
    [aux_sym_entry_statement_token1] = ACTIONS(6312),
    [aux_sym_logical_expression_token5] = ACTIONS(6314),
    [anon_sym_DOT] = ACTIONS(6312),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6314),
    [anon_sym_LBRACK] = ACTIONS(6314),
    [aux_sym_boolean_literal_token1] = ACTIONS(6314),
    [aux_sym_boolean_literal_token2] = ACTIONS(6314),
    [aux_sym_null_literal_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_statement_token2] = ACTIONS(6312),
    [aux_sym_coarray_statement_token6] = ACTIONS(6312),
    [aux_sym_coarray_statement_token8] = ACTIONS(6312),
    [aux_sym_coarray_statement_token11] = ACTIONS(6312),
    [aux_sym_coarray_statement_token12] = ACTIONS(6312),
    [aux_sym_coarray_statement_token13] = ACTIONS(6312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6312),
    [aux_sym_identifier_token1] = ACTIONS(6312),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6314),
    [sym__float_literal] = ACTIONS(6314),
    [sym__boz_literal] = ACTIONS(6314),
    [sym__string_literal] = ACTIONS(6314),
    [sym__string_literal_kind] = ACTIONS(6314),
  },
  [2313] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6318),
    [aux_sym_preproc_def_token1] = ACTIONS(6318),
    [aux_sym_preproc_if_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6318),
    [sym_preproc_directive] = ACTIONS(6318),
    [anon_sym_LPAREN2] = ACTIONS(6318),
    [anon_sym_PLUS] = ACTIONS(6320),
    [anon_sym_DASH] = ACTIONS(6320),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6318),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6318),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6318),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6318),
    [aux_sym_contains_statement_token1] = ACTIONS(6318),
    [aux_sym_use_statement_token2] = ACTIONS(6318),
    [aux_sym_implicit_statement_token4] = ACTIONS(6318),
    [aux_sym_save_statement_token1] = ACTIONS(6318),
    [aux_sym_private_statement_token1] = ACTIONS(6318),
    [aux_sym_public_statement_token1] = ACTIONS(6318),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6318),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6318),
    [aux_sym_variable_attributes_token2] = ACTIONS(6318),
    [aux_sym_variable_attributes_token3] = ACTIONS(6318),
    [aux_sym_variable_attributes_token5] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6318),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6318),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6318),
    [aux_sym_type_qualifier_token1] = ACTIONS(6318),
    [aux_sym_type_qualifier_token2] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6320),
    [aux_sym_stop_statement_token1] = ACTIONS(6318),
    [aux_sym_stop_statement_token2] = ACTIONS(6318),
    [aux_sym_subroutine_call_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token1] = ACTIONS(6318),
    [aux_sym_keyword_statement_token2] = ACTIONS(6318),
    [aux_sym_keyword_statement_token3] = ACTIONS(6318),
    [aux_sym_keyword_statement_token4] = ACTIONS(6318),
    [aux_sym_keyword_statement_token6] = ACTIONS(6318),
    [aux_sym_keyword_statement_token7] = ACTIONS(6318),
    [aux_sym_include_statement_token1] = ACTIONS(6318),
    [aux_sym_data_statement_token1] = ACTIONS(6318),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6318),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6318),
    [aux_sym_end_if_statement_token1] = ACTIONS(6318),
    [aux_sym_elseif_clause_token2] = ACTIONS(6318),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6318),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token1] = ACTIONS(6318),
    [aux_sym_select_case_statement_token3] = ACTIONS(6318),
    [aux_sym_select_type_statement_token1] = ACTIONS(6318),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6318),
    [aux_sym_block_construct_token1] = ACTIONS(6318),
    [aux_sym_associate_statement_token1] = ACTIONS(6318),
    [aux_sym_format_statement_token1] = ACTIONS(6318),
    [aux_sym_print_statement_token1] = ACTIONS(6318),
    [aux_sym_open_statement_token1] = ACTIONS(6318),
    [aux_sym_close_statement_token1] = ACTIONS(6318),
    [aux_sym_inquire_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token1] = ACTIONS(6318),
    [aux_sym_file_position_statement_token2] = ACTIONS(6318),
    [aux_sym_file_position_statement_token3] = ACTIONS(6318),
    [aux_sym_file_position_statement_token4] = ACTIONS(6318),
    [aux_sym_allocate_statement_token1] = ACTIONS(6318),
    [aux_sym_entry_statement_token1] = ACTIONS(6318),
    [aux_sym_logical_expression_token5] = ACTIONS(6320),
    [anon_sym_DOT] = ACTIONS(6318),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6320),
    [anon_sym_LBRACK] = ACTIONS(6320),
    [aux_sym_boolean_literal_token1] = ACTIONS(6320),
    [aux_sym_boolean_literal_token2] = ACTIONS(6320),
    [aux_sym_null_literal_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_statement_token2] = ACTIONS(6318),
    [aux_sym_coarray_statement_token6] = ACTIONS(6318),
    [aux_sym_coarray_statement_token8] = ACTIONS(6318),
    [aux_sym_coarray_statement_token11] = ACTIONS(6318),
    [aux_sym_coarray_statement_token12] = ACTIONS(6318),
    [aux_sym_coarray_statement_token13] = ACTIONS(6318),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6318),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6318),
    [aux_sym_identifier_token1] = ACTIONS(6318),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6320),
    [sym__float_literal] = ACTIONS(6320),
    [sym__boz_literal] = ACTIONS(6320),
    [sym__string_literal] = ACTIONS(6320),
    [sym__string_literal_kind] = ACTIONS(6320),
  },
  [2314] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6174),
    [aux_sym_preproc_def_token1] = ACTIONS(6174),
    [aux_sym_preproc_if_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6174),
    [sym_preproc_directive] = ACTIONS(6174),
    [anon_sym_LPAREN2] = ACTIONS(6174),
    [anon_sym_PLUS] = ACTIONS(6178),
    [anon_sym_DASH] = ACTIONS(6178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6174),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6174),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6174),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6174),
    [aux_sym_contains_statement_token1] = ACTIONS(6174),
    [aux_sym_use_statement_token2] = ACTIONS(6174),
    [aux_sym_implicit_statement_token4] = ACTIONS(6174),
    [aux_sym_save_statement_token1] = ACTIONS(6174),
    [aux_sym_private_statement_token1] = ACTIONS(6174),
    [aux_sym_public_statement_token1] = ACTIONS(6174),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6174),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6174),
    [aux_sym_variable_attributes_token2] = ACTIONS(6174),
    [aux_sym_variable_attributes_token3] = ACTIONS(6174),
    [aux_sym_variable_attributes_token5] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6174),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6174),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6174),
    [aux_sym_type_qualifier_token1] = ACTIONS(6174),
    [aux_sym_type_qualifier_token2] = ACTIONS(6174),
    [anon_sym_SEMI] = ACTIONS(6178),
    [aux_sym_stop_statement_token1] = ACTIONS(6174),
    [aux_sym_stop_statement_token2] = ACTIONS(6174),
    [aux_sym_subroutine_call_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token1] = ACTIONS(6174),
    [aux_sym_keyword_statement_token2] = ACTIONS(6174),
    [aux_sym_keyword_statement_token3] = ACTIONS(6174),
    [aux_sym_keyword_statement_token4] = ACTIONS(6174),
    [aux_sym_keyword_statement_token6] = ACTIONS(6174),
    [aux_sym_keyword_statement_token7] = ACTIONS(6174),
    [aux_sym_include_statement_token1] = ACTIONS(6174),
    [aux_sym_data_statement_token1] = ACTIONS(6174),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6174),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6174),
    [aux_sym_end_if_statement_token1] = ACTIONS(6174),
    [aux_sym_elseif_clause_token2] = ACTIONS(6174),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6174),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token1] = ACTIONS(6174),
    [aux_sym_select_case_statement_token3] = ACTIONS(6174),
    [aux_sym_select_type_statement_token1] = ACTIONS(6174),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6174),
    [aux_sym_block_construct_token1] = ACTIONS(6174),
    [aux_sym_associate_statement_token1] = ACTIONS(6174),
    [aux_sym_format_statement_token1] = ACTIONS(6174),
    [aux_sym_print_statement_token1] = ACTIONS(6174),
    [aux_sym_open_statement_token1] = ACTIONS(6174),
    [aux_sym_close_statement_token1] = ACTIONS(6174),
    [aux_sym_inquire_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token1] = ACTIONS(6174),
    [aux_sym_file_position_statement_token2] = ACTIONS(6174),
    [aux_sym_file_position_statement_token3] = ACTIONS(6174),
    [aux_sym_file_position_statement_token4] = ACTIONS(6174),
    [aux_sym_allocate_statement_token1] = ACTIONS(6174),
    [aux_sym_entry_statement_token1] = ACTIONS(6174),
    [aux_sym_logical_expression_token5] = ACTIONS(6178),
    [anon_sym_DOT] = ACTIONS(6174),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6178),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [aux_sym_boolean_literal_token1] = ACTIONS(6178),
    [aux_sym_boolean_literal_token2] = ACTIONS(6178),
    [aux_sym_null_literal_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_statement_token2] = ACTIONS(6174),
    [aux_sym_coarray_statement_token6] = ACTIONS(6174),
    [aux_sym_coarray_statement_token8] = ACTIONS(6174),
    [aux_sym_coarray_statement_token11] = ACTIONS(6174),
    [aux_sym_coarray_statement_token12] = ACTIONS(6174),
    [aux_sym_coarray_statement_token13] = ACTIONS(6174),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6174),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6174),
    [aux_sym_identifier_token1] = ACTIONS(6174),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6178),
    [sym__float_literal] = ACTIONS(6178),
    [sym__boz_literal] = ACTIONS(6178),
    [sym__string_literal] = ACTIONS(6178),
    [sym__string_literal_kind] = ACTIONS(6178),
  },
  [2315] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6324),
    [aux_sym_preproc_def_token1] = ACTIONS(6324),
    [aux_sym_preproc_if_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6324),
    [sym_preproc_directive] = ACTIONS(6324),
    [anon_sym_LPAREN2] = ACTIONS(6324),
    [anon_sym_PLUS] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6324),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6324),
    [aux_sym_contains_statement_token1] = ACTIONS(6324),
    [aux_sym_use_statement_token2] = ACTIONS(6324),
    [aux_sym_implicit_statement_token4] = ACTIONS(6324),
    [aux_sym_save_statement_token1] = ACTIONS(6324),
    [aux_sym_private_statement_token1] = ACTIONS(6324),
    [aux_sym_public_statement_token1] = ACTIONS(6324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6324),
    [aux_sym_variable_attributes_token2] = ACTIONS(6324),
    [aux_sym_variable_attributes_token3] = ACTIONS(6324),
    [aux_sym_variable_attributes_token5] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6324),
    [aux_sym_type_qualifier_token1] = ACTIONS(6324),
    [aux_sym_type_qualifier_token2] = ACTIONS(6324),
    [anon_sym_SEMI] = ACTIONS(6326),
    [aux_sym_stop_statement_token1] = ACTIONS(6324),
    [aux_sym_stop_statement_token2] = ACTIONS(6324),
    [aux_sym_subroutine_call_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token1] = ACTIONS(6324),
    [aux_sym_keyword_statement_token2] = ACTIONS(6324),
    [aux_sym_keyword_statement_token3] = ACTIONS(6324),
    [aux_sym_keyword_statement_token4] = ACTIONS(6324),
    [aux_sym_keyword_statement_token6] = ACTIONS(6324),
    [aux_sym_keyword_statement_token7] = ACTIONS(6324),
    [aux_sym_include_statement_token1] = ACTIONS(6324),
    [aux_sym_data_statement_token1] = ACTIONS(6324),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6324),
    [aux_sym_end_if_statement_token1] = ACTIONS(6324),
    [aux_sym_elseif_clause_token2] = ACTIONS(6324),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6324),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token1] = ACTIONS(6324),
    [aux_sym_select_case_statement_token3] = ACTIONS(6324),
    [aux_sym_select_type_statement_token1] = ACTIONS(6324),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6324),
    [aux_sym_block_construct_token1] = ACTIONS(6324),
    [aux_sym_associate_statement_token1] = ACTIONS(6324),
    [aux_sym_format_statement_token1] = ACTIONS(6324),
    [aux_sym_print_statement_token1] = ACTIONS(6324),
    [aux_sym_open_statement_token1] = ACTIONS(6324),
    [aux_sym_close_statement_token1] = ACTIONS(6324),
    [aux_sym_inquire_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token1] = ACTIONS(6324),
    [aux_sym_file_position_statement_token2] = ACTIONS(6324),
    [aux_sym_file_position_statement_token3] = ACTIONS(6324),
    [aux_sym_file_position_statement_token4] = ACTIONS(6324),
    [aux_sym_allocate_statement_token1] = ACTIONS(6324),
    [aux_sym_entry_statement_token1] = ACTIONS(6324),
    [aux_sym_logical_expression_token5] = ACTIONS(6326),
    [anon_sym_DOT] = ACTIONS(6324),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6326),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [aux_sym_boolean_literal_token1] = ACTIONS(6326),
    [aux_sym_boolean_literal_token2] = ACTIONS(6326),
    [aux_sym_null_literal_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_statement_token2] = ACTIONS(6324),
    [aux_sym_coarray_statement_token6] = ACTIONS(6324),
    [aux_sym_coarray_statement_token8] = ACTIONS(6324),
    [aux_sym_coarray_statement_token11] = ACTIONS(6324),
    [aux_sym_coarray_statement_token12] = ACTIONS(6324),
    [aux_sym_coarray_statement_token13] = ACTIONS(6324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6324),
    [aux_sym_identifier_token1] = ACTIONS(6324),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6326),
    [sym__float_literal] = ACTIONS(6326),
    [sym__boz_literal] = ACTIONS(6326),
    [sym__string_literal] = ACTIONS(6326),
    [sym__string_literal_kind] = ACTIONS(6326),
  },
  [2316] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_end_program_statement_token2] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_contains_statement_token1] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2317] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6334),
    [aux_sym_preproc_def_token1] = ACTIONS(6334),
    [aux_sym_preproc_if_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6334),
    [sym_preproc_directive] = ACTIONS(6334),
    [anon_sym_LPAREN2] = ACTIONS(6334),
    [anon_sym_PLUS] = ACTIONS(6336),
    [anon_sym_DASH] = ACTIONS(6336),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6334),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6334),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6334),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6334),
    [aux_sym_contains_statement_token1] = ACTIONS(6334),
    [aux_sym_use_statement_token2] = ACTIONS(6334),
    [aux_sym_implicit_statement_token4] = ACTIONS(6334),
    [aux_sym_save_statement_token1] = ACTIONS(6334),
    [aux_sym_private_statement_token1] = ACTIONS(6334),
    [aux_sym_public_statement_token1] = ACTIONS(6334),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6334),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6334),
    [aux_sym_variable_attributes_token2] = ACTIONS(6334),
    [aux_sym_variable_attributes_token3] = ACTIONS(6334),
    [aux_sym_variable_attributes_token5] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6334),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6334),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6334),
    [aux_sym_type_qualifier_token1] = ACTIONS(6334),
    [aux_sym_type_qualifier_token2] = ACTIONS(6334),
    [anon_sym_SEMI] = ACTIONS(6336),
    [aux_sym_stop_statement_token1] = ACTIONS(6334),
    [aux_sym_stop_statement_token2] = ACTIONS(6334),
    [aux_sym_subroutine_call_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token1] = ACTIONS(6334),
    [aux_sym_keyword_statement_token2] = ACTIONS(6334),
    [aux_sym_keyword_statement_token3] = ACTIONS(6334),
    [aux_sym_keyword_statement_token4] = ACTIONS(6334),
    [aux_sym_keyword_statement_token6] = ACTIONS(6334),
    [aux_sym_keyword_statement_token7] = ACTIONS(6334),
    [aux_sym_include_statement_token1] = ACTIONS(6334),
    [aux_sym_data_statement_token1] = ACTIONS(6334),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6334),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6334),
    [aux_sym_end_if_statement_token1] = ACTIONS(6334),
    [aux_sym_elseif_clause_token2] = ACTIONS(6334),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6334),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token1] = ACTIONS(6334),
    [aux_sym_select_case_statement_token3] = ACTIONS(6334),
    [aux_sym_select_type_statement_token1] = ACTIONS(6334),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6334),
    [aux_sym_block_construct_token1] = ACTIONS(6334),
    [aux_sym_associate_statement_token1] = ACTIONS(6334),
    [aux_sym_format_statement_token1] = ACTIONS(6334),
    [aux_sym_print_statement_token1] = ACTIONS(6334),
    [aux_sym_open_statement_token1] = ACTIONS(6334),
    [aux_sym_close_statement_token1] = ACTIONS(6334),
    [aux_sym_inquire_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token1] = ACTIONS(6334),
    [aux_sym_file_position_statement_token2] = ACTIONS(6334),
    [aux_sym_file_position_statement_token3] = ACTIONS(6334),
    [aux_sym_file_position_statement_token4] = ACTIONS(6334),
    [aux_sym_allocate_statement_token1] = ACTIONS(6334),
    [aux_sym_entry_statement_token1] = ACTIONS(6334),
    [aux_sym_logical_expression_token5] = ACTIONS(6336),
    [anon_sym_DOT] = ACTIONS(6334),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6336),
    [anon_sym_LBRACK] = ACTIONS(6336),
    [aux_sym_boolean_literal_token1] = ACTIONS(6336),
    [aux_sym_boolean_literal_token2] = ACTIONS(6336),
    [aux_sym_null_literal_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_statement_token2] = ACTIONS(6334),
    [aux_sym_coarray_statement_token6] = ACTIONS(6334),
    [aux_sym_coarray_statement_token8] = ACTIONS(6334),
    [aux_sym_coarray_statement_token11] = ACTIONS(6334),
    [aux_sym_coarray_statement_token12] = ACTIONS(6334),
    [aux_sym_coarray_statement_token13] = ACTIONS(6334),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6334),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6334),
    [aux_sym_identifier_token1] = ACTIONS(6334),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6336),
    [sym__float_literal] = ACTIONS(6336),
    [sym__boz_literal] = ACTIONS(6336),
    [sym__string_literal] = ACTIONS(6336),
    [sym__string_literal_kind] = ACTIONS(6336),
  },
  [2318] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6338),
    [aux_sym_preproc_def_token1] = ACTIONS(6338),
    [aux_sym_preproc_if_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6338),
    [sym_preproc_directive] = ACTIONS(6338),
    [anon_sym_LPAREN2] = ACTIONS(6338),
    [anon_sym_PLUS] = ACTIONS(6340),
    [anon_sym_DASH] = ACTIONS(6340),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6338),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6338),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(6338),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6338),
    [aux_sym_contains_statement_token1] = ACTIONS(6338),
    [aux_sym_use_statement_token2] = ACTIONS(6338),
    [aux_sym_implicit_statement_token4] = ACTIONS(6338),
    [aux_sym_save_statement_token1] = ACTIONS(6338),
    [aux_sym_private_statement_token1] = ACTIONS(6338),
    [aux_sym_public_statement_token1] = ACTIONS(6338),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6338),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6338),
    [aux_sym_variable_attributes_token2] = ACTIONS(6338),
    [aux_sym_variable_attributes_token3] = ACTIONS(6338),
    [aux_sym_variable_attributes_token5] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6338),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6338),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6338),
    [aux_sym_type_qualifier_token1] = ACTIONS(6338),
    [aux_sym_type_qualifier_token2] = ACTIONS(6338),
    [anon_sym_SEMI] = ACTIONS(6340),
    [aux_sym_stop_statement_token1] = ACTIONS(6338),
    [aux_sym_stop_statement_token2] = ACTIONS(6338),
    [aux_sym_subroutine_call_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token1] = ACTIONS(6338),
    [aux_sym_keyword_statement_token2] = ACTIONS(6338),
    [aux_sym_keyword_statement_token3] = ACTIONS(6338),
    [aux_sym_keyword_statement_token4] = ACTIONS(6338),
    [aux_sym_keyword_statement_token6] = ACTIONS(6338),
    [aux_sym_keyword_statement_token7] = ACTIONS(6338),
    [aux_sym_include_statement_token1] = ACTIONS(6338),
    [aux_sym_data_statement_token1] = ACTIONS(6338),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6338),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6338),
    [aux_sym_end_if_statement_token1] = ACTIONS(6338),
    [aux_sym_elseif_clause_token2] = ACTIONS(6338),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6338),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token1] = ACTIONS(6338),
    [aux_sym_select_case_statement_token3] = ACTIONS(6338),
    [aux_sym_select_type_statement_token1] = ACTIONS(6338),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6338),
    [aux_sym_block_construct_token1] = ACTIONS(6338),
    [aux_sym_associate_statement_token1] = ACTIONS(6338),
    [aux_sym_format_statement_token1] = ACTIONS(6338),
    [aux_sym_print_statement_token1] = ACTIONS(6338),
    [aux_sym_open_statement_token1] = ACTIONS(6338),
    [aux_sym_close_statement_token1] = ACTIONS(6338),
    [aux_sym_inquire_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token1] = ACTIONS(6338),
    [aux_sym_file_position_statement_token2] = ACTIONS(6338),
    [aux_sym_file_position_statement_token3] = ACTIONS(6338),
    [aux_sym_file_position_statement_token4] = ACTIONS(6338),
    [aux_sym_allocate_statement_token1] = ACTIONS(6338),
    [aux_sym_entry_statement_token1] = ACTIONS(6338),
    [aux_sym_logical_expression_token5] = ACTIONS(6340),
    [anon_sym_DOT] = ACTIONS(6338),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6340),
    [anon_sym_LBRACK] = ACTIONS(6340),
    [aux_sym_boolean_literal_token1] = ACTIONS(6340),
    [aux_sym_boolean_literal_token2] = ACTIONS(6340),
    [aux_sym_null_literal_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_statement_token2] = ACTIONS(6338),
    [aux_sym_coarray_statement_token6] = ACTIONS(6338),
    [aux_sym_coarray_statement_token8] = ACTIONS(6338),
    [aux_sym_coarray_statement_token11] = ACTIONS(6338),
    [aux_sym_coarray_statement_token12] = ACTIONS(6338),
    [aux_sym_coarray_statement_token13] = ACTIONS(6338),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6338),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6338),
    [aux_sym_identifier_token1] = ACTIONS(6338),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6340),
    [sym__float_literal] = ACTIONS(6340),
    [sym__boz_literal] = ACTIONS(6340),
    [sym__string_literal] = ACTIONS(6340),
    [sym__string_literal_kind] = ACTIONS(6340),
  },
  [2319] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6526),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2320] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6384),
    [aux_sym_preproc_def_token1] = ACTIONS(6384),
    [aux_sym_preproc_if_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6384),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6384),
    [sym_preproc_directive] = ACTIONS(6384),
    [anon_sym_LPAREN2] = ACTIONS(6384),
    [anon_sym_PLUS] = ACTIONS(6386),
    [anon_sym_DASH] = ACTIONS(6386),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6384),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6384),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6384),
    [aux_sym_end_function_statement_token1] = ACTIONS(6384),
    [aux_sym_contains_statement_token1] = ACTIONS(6384),
    [aux_sym_use_statement_token2] = ACTIONS(6384),
    [aux_sym_implicit_statement_token4] = ACTIONS(6384),
    [aux_sym_save_statement_token1] = ACTIONS(6384),
    [aux_sym_private_statement_token1] = ACTIONS(6384),
    [aux_sym_public_statement_token1] = ACTIONS(6384),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6384),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6384),
    [aux_sym_variable_attributes_token2] = ACTIONS(6384),
    [aux_sym_variable_attributes_token3] = ACTIONS(6384),
    [aux_sym_variable_attributes_token5] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6384),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6384),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6384),
    [aux_sym_type_qualifier_token1] = ACTIONS(6384),
    [aux_sym_type_qualifier_token2] = ACTIONS(6384),
    [anon_sym_SEMI] = ACTIONS(6386),
    [aux_sym_stop_statement_token1] = ACTIONS(6384),
    [aux_sym_stop_statement_token2] = ACTIONS(6384),
    [aux_sym_subroutine_call_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token1] = ACTIONS(6384),
    [aux_sym_keyword_statement_token2] = ACTIONS(6384),
    [aux_sym_keyword_statement_token3] = ACTIONS(6384),
    [aux_sym_keyword_statement_token4] = ACTIONS(6384),
    [aux_sym_keyword_statement_token6] = ACTIONS(6384),
    [aux_sym_keyword_statement_token7] = ACTIONS(6384),
    [aux_sym_include_statement_token1] = ACTIONS(6384),
    [aux_sym_data_statement_token1] = ACTIONS(6384),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6384),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6384),
    [aux_sym_end_if_statement_token1] = ACTIONS(6384),
    [aux_sym_elseif_clause_token2] = ACTIONS(6384),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6384),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token1] = ACTIONS(6384),
    [aux_sym_select_case_statement_token3] = ACTIONS(6384),
    [aux_sym_select_type_statement_token1] = ACTIONS(6384),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6384),
    [aux_sym_block_construct_token1] = ACTIONS(6384),
    [aux_sym_associate_statement_token1] = ACTIONS(6384),
    [aux_sym_format_statement_token1] = ACTIONS(6384),
    [aux_sym_print_statement_token1] = ACTIONS(6384),
    [aux_sym_open_statement_token1] = ACTIONS(6384),
    [aux_sym_close_statement_token1] = ACTIONS(6384),
    [aux_sym_inquire_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token1] = ACTIONS(6384),
    [aux_sym_file_position_statement_token2] = ACTIONS(6384),
    [aux_sym_file_position_statement_token3] = ACTIONS(6384),
    [aux_sym_file_position_statement_token4] = ACTIONS(6384),
    [aux_sym_allocate_statement_token1] = ACTIONS(6384),
    [aux_sym_entry_statement_token1] = ACTIONS(6384),
    [aux_sym_logical_expression_token5] = ACTIONS(6386),
    [anon_sym_DOT] = ACTIONS(6384),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6386),
    [anon_sym_LBRACK] = ACTIONS(6386),
    [aux_sym_boolean_literal_token1] = ACTIONS(6386),
    [aux_sym_boolean_literal_token2] = ACTIONS(6386),
    [aux_sym_null_literal_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_statement_token2] = ACTIONS(6384),
    [aux_sym_coarray_statement_token6] = ACTIONS(6384),
    [aux_sym_coarray_statement_token8] = ACTIONS(6384),
    [aux_sym_coarray_statement_token11] = ACTIONS(6384),
    [aux_sym_coarray_statement_token12] = ACTIONS(6384),
    [aux_sym_coarray_statement_token13] = ACTIONS(6384),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6384),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6384),
    [aux_sym_identifier_token1] = ACTIONS(6384),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6386),
    [sym__float_literal] = ACTIONS(6386),
    [sym__boz_literal] = ACTIONS(6386),
    [sym__string_literal] = ACTIONS(6386),
    [sym__string_literal_kind] = ACTIONS(6386),
  },
  [2321] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6528),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2322] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6530),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2323] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6532),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2324] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6534),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2325] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6536),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2326] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6538),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2327] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_end_function_statement_token1] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2328] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6540),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2329] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6466),
    [aux_sym_preproc_def_token1] = ACTIONS(6466),
    [aux_sym_preproc_if_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6466),
    [sym_preproc_directive] = ACTIONS(6466),
    [anon_sym_LPAREN2] = ACTIONS(6466),
    [anon_sym_PLUS] = ACTIONS(6468),
    [anon_sym_DASH] = ACTIONS(6468),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6466),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6466),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6466),
    [aux_sym_end_function_statement_token1] = ACTIONS(6466),
    [aux_sym_contains_statement_token1] = ACTIONS(6466),
    [aux_sym_use_statement_token2] = ACTIONS(6466),
    [aux_sym_implicit_statement_token4] = ACTIONS(6466),
    [aux_sym_save_statement_token1] = ACTIONS(6466),
    [aux_sym_private_statement_token1] = ACTIONS(6466),
    [aux_sym_public_statement_token1] = ACTIONS(6466),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6466),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6466),
    [aux_sym_variable_attributes_token2] = ACTIONS(6466),
    [aux_sym_variable_attributes_token3] = ACTIONS(6466),
    [aux_sym_variable_attributes_token5] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6466),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6466),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6466),
    [aux_sym_type_qualifier_token1] = ACTIONS(6466),
    [aux_sym_type_qualifier_token2] = ACTIONS(6466),
    [anon_sym_SEMI] = ACTIONS(6468),
    [aux_sym_stop_statement_token1] = ACTIONS(6466),
    [aux_sym_stop_statement_token2] = ACTIONS(6466),
    [aux_sym_subroutine_call_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token1] = ACTIONS(6466),
    [aux_sym_keyword_statement_token2] = ACTIONS(6466),
    [aux_sym_keyword_statement_token3] = ACTIONS(6466),
    [aux_sym_keyword_statement_token4] = ACTIONS(6466),
    [aux_sym_keyword_statement_token6] = ACTIONS(6466),
    [aux_sym_keyword_statement_token7] = ACTIONS(6466),
    [aux_sym_include_statement_token1] = ACTIONS(6466),
    [aux_sym_data_statement_token1] = ACTIONS(6466),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6466),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6466),
    [aux_sym_end_if_statement_token1] = ACTIONS(6466),
    [aux_sym_elseif_clause_token2] = ACTIONS(6466),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6466),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token1] = ACTIONS(6466),
    [aux_sym_select_case_statement_token3] = ACTIONS(6466),
    [aux_sym_select_type_statement_token1] = ACTIONS(6466),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6466),
    [aux_sym_block_construct_token1] = ACTIONS(6466),
    [aux_sym_associate_statement_token1] = ACTIONS(6466),
    [aux_sym_format_statement_token1] = ACTIONS(6466),
    [aux_sym_print_statement_token1] = ACTIONS(6466),
    [aux_sym_open_statement_token1] = ACTIONS(6466),
    [aux_sym_close_statement_token1] = ACTIONS(6466),
    [aux_sym_inquire_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token1] = ACTIONS(6466),
    [aux_sym_file_position_statement_token2] = ACTIONS(6466),
    [aux_sym_file_position_statement_token3] = ACTIONS(6466),
    [aux_sym_file_position_statement_token4] = ACTIONS(6466),
    [aux_sym_allocate_statement_token1] = ACTIONS(6466),
    [aux_sym_entry_statement_token1] = ACTIONS(6466),
    [aux_sym_logical_expression_token5] = ACTIONS(6468),
    [anon_sym_DOT] = ACTIONS(6466),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6468),
    [anon_sym_LBRACK] = ACTIONS(6468),
    [aux_sym_boolean_literal_token1] = ACTIONS(6468),
    [aux_sym_boolean_literal_token2] = ACTIONS(6468),
    [aux_sym_null_literal_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_statement_token2] = ACTIONS(6466),
    [aux_sym_coarray_statement_token6] = ACTIONS(6466),
    [aux_sym_coarray_statement_token8] = ACTIONS(6466),
    [aux_sym_coarray_statement_token11] = ACTIONS(6466),
    [aux_sym_coarray_statement_token12] = ACTIONS(6466),
    [aux_sym_coarray_statement_token13] = ACTIONS(6466),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6466),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6466),
    [aux_sym_identifier_token1] = ACTIONS(6466),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6468),
    [sym__float_literal] = ACTIONS(6468),
    [sym__boz_literal] = ACTIONS(6468),
    [sym__string_literal] = ACTIONS(6468),
    [sym__string_literal_kind] = ACTIONS(6468),
  },
  [2330] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6542),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2331] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6544),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2332] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6546),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2333] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_end_program_statement_token2] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2334] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6548),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2335] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6550),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2336] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6552),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2337] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6554),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2338] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6500),
    [aux_sym_preproc_def_token1] = ACTIONS(6500),
    [aux_sym_preproc_if_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6500),
    [sym_preproc_directive] = ACTIONS(6500),
    [anon_sym_LPAREN2] = ACTIONS(6500),
    [anon_sym_PLUS] = ACTIONS(6502),
    [anon_sym_DASH] = ACTIONS(6502),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6500),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6500),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6500),
    [aux_sym_contains_statement_token1] = ACTIONS(6500),
    [aux_sym_use_statement_token2] = ACTIONS(6500),
    [aux_sym_implicit_statement_token4] = ACTIONS(6500),
    [aux_sym_save_statement_token1] = ACTIONS(6500),
    [aux_sym_private_statement_token1] = ACTIONS(6500),
    [aux_sym_public_statement_token1] = ACTIONS(6500),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6500),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6500),
    [aux_sym_variable_attributes_token2] = ACTIONS(6500),
    [aux_sym_variable_attributes_token3] = ACTIONS(6500),
    [aux_sym_variable_attributes_token5] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6500),
    [aux_sym_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym_type_qualifier_token2] = ACTIONS(6500),
    [anon_sym_SEMI] = ACTIONS(6502),
    [aux_sym_stop_statement_token1] = ACTIONS(6500),
    [aux_sym_stop_statement_token2] = ACTIONS(6500),
    [aux_sym_subroutine_call_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token2] = ACTIONS(6500),
    [aux_sym_keyword_statement_token3] = ACTIONS(6500),
    [aux_sym_keyword_statement_token4] = ACTIONS(6500),
    [aux_sym_keyword_statement_token6] = ACTIONS(6500),
    [aux_sym_keyword_statement_token7] = ACTIONS(6500),
    [aux_sym_include_statement_token1] = ACTIONS(6500),
    [aux_sym_data_statement_token1] = ACTIONS(6500),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6500),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6500),
    [aux_sym_end_if_statement_token1] = ACTIONS(6500),
    [aux_sym_elseif_clause_token2] = ACTIONS(6500),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6500),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token3] = ACTIONS(6500),
    [aux_sym_select_type_statement_token1] = ACTIONS(6500),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6500),
    [aux_sym_block_construct_token1] = ACTIONS(6500),
    [aux_sym_associate_statement_token1] = ACTIONS(6500),
    [aux_sym_format_statement_token1] = ACTIONS(6500),
    [aux_sym_print_statement_token1] = ACTIONS(6500),
    [aux_sym_open_statement_token1] = ACTIONS(6500),
    [aux_sym_close_statement_token1] = ACTIONS(6500),
    [aux_sym_inquire_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token2] = ACTIONS(6500),
    [aux_sym_file_position_statement_token3] = ACTIONS(6500),
    [aux_sym_file_position_statement_token4] = ACTIONS(6500),
    [aux_sym_allocate_statement_token1] = ACTIONS(6500),
    [aux_sym_entry_statement_token1] = ACTIONS(6500),
    [aux_sym_logical_expression_token5] = ACTIONS(6502),
    [anon_sym_DOT] = ACTIONS(6500),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6502),
    [anon_sym_LBRACK] = ACTIONS(6502),
    [aux_sym_boolean_literal_token1] = ACTIONS(6502),
    [aux_sym_boolean_literal_token2] = ACTIONS(6502),
    [aux_sym_null_literal_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token2] = ACTIONS(6500),
    [aux_sym_coarray_statement_token6] = ACTIONS(6500),
    [aux_sym_coarray_statement_token8] = ACTIONS(6500),
    [aux_sym_coarray_statement_token11] = ACTIONS(6500),
    [aux_sym_coarray_statement_token12] = ACTIONS(6500),
    [aux_sym_coarray_statement_token13] = ACTIONS(6500),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6500),
    [aux_sym_identifier_token1] = ACTIONS(6500),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6502),
    [sym__float_literal] = ACTIONS(6502),
    [sym__boz_literal] = ACTIONS(6502),
    [sym__string_literal] = ACTIONS(6502),
    [sym__string_literal_kind] = ACTIONS(6502),
  },
  [2339] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6556),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2340] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6558),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2341] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6560),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2342] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6562),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2343] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [2344] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6564),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2345] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6566),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2346] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6568),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2347] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6570),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2348] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6572),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2349] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6574),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6576),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6578),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6580),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2353] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6582),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6584),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6586),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2356] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_end_program_statement_token2] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_contains_statement_token1] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6588),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2358] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2359] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6036),
    [aux_sym_preproc_def_token1] = ACTIONS(6036),
    [aux_sym_preproc_if_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6036),
    [sym_preproc_directive] = ACTIONS(6036),
    [anon_sym_LPAREN2] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6040),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6036),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6036),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6036),
    [aux_sym_contains_statement_token1] = ACTIONS(6036),
    [aux_sym_use_statement_token2] = ACTIONS(6036),
    [aux_sym_implicit_statement_token4] = ACTIONS(6036),
    [aux_sym_save_statement_token1] = ACTIONS(6036),
    [aux_sym_private_statement_token1] = ACTIONS(6036),
    [aux_sym_public_statement_token1] = ACTIONS(6036),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6036),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6036),
    [aux_sym_variable_attributes_token2] = ACTIONS(6036),
    [aux_sym_variable_attributes_token3] = ACTIONS(6036),
    [aux_sym_variable_attributes_token5] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6036),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6036),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6036),
    [aux_sym_type_qualifier_token1] = ACTIONS(6036),
    [aux_sym_type_qualifier_token2] = ACTIONS(6036),
    [anon_sym_SEMI] = ACTIONS(6040),
    [aux_sym_stop_statement_token1] = ACTIONS(6036),
    [aux_sym_stop_statement_token2] = ACTIONS(6036),
    [aux_sym_subroutine_call_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token1] = ACTIONS(6036),
    [aux_sym_keyword_statement_token2] = ACTIONS(6036),
    [aux_sym_keyword_statement_token3] = ACTIONS(6036),
    [aux_sym_keyword_statement_token4] = ACTIONS(6036),
    [aux_sym_keyword_statement_token6] = ACTIONS(6036),
    [aux_sym_keyword_statement_token7] = ACTIONS(6036),
    [aux_sym_include_statement_token1] = ACTIONS(6036),
    [aux_sym_data_statement_token1] = ACTIONS(6036),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6036),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6036),
    [aux_sym_end_if_statement_token1] = ACTIONS(6036),
    [aux_sym_elseif_clause_token2] = ACTIONS(6036),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6036),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token1] = ACTIONS(6036),
    [aux_sym_select_case_statement_token3] = ACTIONS(6036),
    [aux_sym_select_type_statement_token1] = ACTIONS(6036),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6036),
    [aux_sym_block_construct_token1] = ACTIONS(6036),
    [aux_sym_associate_statement_token1] = ACTIONS(6036),
    [aux_sym_format_statement_token1] = ACTIONS(6036),
    [aux_sym_print_statement_token1] = ACTIONS(6036),
    [aux_sym_open_statement_token1] = ACTIONS(6036),
    [aux_sym_close_statement_token1] = ACTIONS(6036),
    [aux_sym_inquire_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token1] = ACTIONS(6036),
    [aux_sym_file_position_statement_token2] = ACTIONS(6036),
    [aux_sym_file_position_statement_token3] = ACTIONS(6036),
    [aux_sym_file_position_statement_token4] = ACTIONS(6036),
    [aux_sym_allocate_statement_token1] = ACTIONS(6036),
    [aux_sym_entry_statement_token1] = ACTIONS(6036),
    [aux_sym_logical_expression_token5] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6040),
    [aux_sym_boolean_literal_token1] = ACTIONS(6040),
    [aux_sym_boolean_literal_token2] = ACTIONS(6040),
    [aux_sym_null_literal_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_statement_token2] = ACTIONS(6036),
    [aux_sym_coarray_statement_token6] = ACTIONS(6036),
    [aux_sym_coarray_statement_token8] = ACTIONS(6036),
    [aux_sym_coarray_statement_token11] = ACTIONS(6036),
    [aux_sym_coarray_statement_token12] = ACTIONS(6036),
    [aux_sym_coarray_statement_token13] = ACTIONS(6036),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6036),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6036),
    [aux_sym_identifier_token1] = ACTIONS(6036),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6040),
    [sym__float_literal] = ACTIONS(6040),
    [sym__boz_literal] = ACTIONS(6040),
    [sym__string_literal] = ACTIONS(6040),
    [sym__string_literal_kind] = ACTIONS(6040),
  },
  [2360] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_end_program_statement_token2] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_contains_statement_token1] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2361] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2362] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6590),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2363] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_end_program_statement_token2] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_contains_statement_token1] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2364] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_end_program_statement_token2] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_contains_statement_token1] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2365] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_end_program_statement_token2] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_contains_statement_token1] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2366] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6592),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2367] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6594),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2368] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2369] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6500),
    [aux_sym_preproc_def_token1] = ACTIONS(6500),
    [aux_sym_preproc_if_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6500),
    [sym_preproc_directive] = ACTIONS(6500),
    [anon_sym_LPAREN2] = ACTIONS(6500),
    [anon_sym_PLUS] = ACTIONS(6502),
    [anon_sym_DASH] = ACTIONS(6502),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6500),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6500),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6500),
    [aux_sym_end_function_statement_token1] = ACTIONS(6500),
    [aux_sym_contains_statement_token1] = ACTIONS(6500),
    [aux_sym_use_statement_token2] = ACTIONS(6500),
    [aux_sym_implicit_statement_token4] = ACTIONS(6500),
    [aux_sym_save_statement_token1] = ACTIONS(6500),
    [aux_sym_private_statement_token1] = ACTIONS(6500),
    [aux_sym_public_statement_token1] = ACTIONS(6500),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6500),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6500),
    [aux_sym_variable_attributes_token2] = ACTIONS(6500),
    [aux_sym_variable_attributes_token3] = ACTIONS(6500),
    [aux_sym_variable_attributes_token5] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6500),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6500),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6500),
    [aux_sym_type_qualifier_token1] = ACTIONS(6500),
    [aux_sym_type_qualifier_token2] = ACTIONS(6500),
    [anon_sym_SEMI] = ACTIONS(6502),
    [aux_sym_stop_statement_token1] = ACTIONS(6500),
    [aux_sym_stop_statement_token2] = ACTIONS(6500),
    [aux_sym_subroutine_call_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token1] = ACTIONS(6500),
    [aux_sym_keyword_statement_token2] = ACTIONS(6500),
    [aux_sym_keyword_statement_token3] = ACTIONS(6500),
    [aux_sym_keyword_statement_token4] = ACTIONS(6500),
    [aux_sym_keyword_statement_token6] = ACTIONS(6500),
    [aux_sym_keyword_statement_token7] = ACTIONS(6500),
    [aux_sym_include_statement_token1] = ACTIONS(6500),
    [aux_sym_data_statement_token1] = ACTIONS(6500),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6500),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6500),
    [aux_sym_end_if_statement_token1] = ACTIONS(6500),
    [aux_sym_elseif_clause_token2] = ACTIONS(6500),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6500),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token1] = ACTIONS(6500),
    [aux_sym_select_case_statement_token3] = ACTIONS(6500),
    [aux_sym_select_type_statement_token1] = ACTIONS(6500),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6500),
    [aux_sym_block_construct_token1] = ACTIONS(6500),
    [aux_sym_associate_statement_token1] = ACTIONS(6500),
    [aux_sym_format_statement_token1] = ACTIONS(6500),
    [aux_sym_print_statement_token1] = ACTIONS(6500),
    [aux_sym_open_statement_token1] = ACTIONS(6500),
    [aux_sym_close_statement_token1] = ACTIONS(6500),
    [aux_sym_inquire_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token1] = ACTIONS(6500),
    [aux_sym_file_position_statement_token2] = ACTIONS(6500),
    [aux_sym_file_position_statement_token3] = ACTIONS(6500),
    [aux_sym_file_position_statement_token4] = ACTIONS(6500),
    [aux_sym_allocate_statement_token1] = ACTIONS(6500),
    [aux_sym_entry_statement_token1] = ACTIONS(6500),
    [aux_sym_logical_expression_token5] = ACTIONS(6502),
    [anon_sym_DOT] = ACTIONS(6500),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6502),
    [anon_sym_LBRACK] = ACTIONS(6502),
    [aux_sym_boolean_literal_token1] = ACTIONS(6502),
    [aux_sym_boolean_literal_token2] = ACTIONS(6502),
    [aux_sym_null_literal_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_statement_token2] = ACTIONS(6500),
    [aux_sym_coarray_statement_token6] = ACTIONS(6500),
    [aux_sym_coarray_statement_token8] = ACTIONS(6500),
    [aux_sym_coarray_statement_token11] = ACTIONS(6500),
    [aux_sym_coarray_statement_token12] = ACTIONS(6500),
    [aux_sym_coarray_statement_token13] = ACTIONS(6500),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6500),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6500),
    [aux_sym_identifier_token1] = ACTIONS(6500),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6502),
    [sym__float_literal] = ACTIONS(6502),
    [sym__boz_literal] = ACTIONS(6502),
    [sym__string_literal] = ACTIONS(6502),
    [sym__string_literal_kind] = ACTIONS(6502),
  },
  [2370] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6124),
    [aux_sym_preproc_def_token1] = ACTIONS(6124),
    [aux_sym_preproc_if_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6124),
    [sym_preproc_directive] = ACTIONS(6124),
    [anon_sym_LPAREN2] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6124),
    [aux_sym_end_function_statement_token1] = ACTIONS(6124),
    [aux_sym_contains_statement_token1] = ACTIONS(6124),
    [aux_sym_use_statement_token2] = ACTIONS(6124),
    [aux_sym_implicit_statement_token4] = ACTIONS(6124),
    [aux_sym_save_statement_token1] = ACTIONS(6124),
    [aux_sym_private_statement_token1] = ACTIONS(6124),
    [aux_sym_public_statement_token1] = ACTIONS(6124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6124),
    [aux_sym_variable_attributes_token2] = ACTIONS(6124),
    [aux_sym_variable_attributes_token3] = ACTIONS(6124),
    [aux_sym_variable_attributes_token5] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6124),
    [aux_sym_type_qualifier_token1] = ACTIONS(6124),
    [aux_sym_type_qualifier_token2] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6128),
    [aux_sym_stop_statement_token1] = ACTIONS(6124),
    [aux_sym_stop_statement_token2] = ACTIONS(6124),
    [aux_sym_subroutine_call_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token1] = ACTIONS(6124),
    [aux_sym_keyword_statement_token2] = ACTIONS(6124),
    [aux_sym_keyword_statement_token3] = ACTIONS(6124),
    [aux_sym_keyword_statement_token4] = ACTIONS(6124),
    [aux_sym_keyword_statement_token6] = ACTIONS(6124),
    [aux_sym_keyword_statement_token7] = ACTIONS(6124),
    [aux_sym_include_statement_token1] = ACTIONS(6124),
    [aux_sym_data_statement_token1] = ACTIONS(6124),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6124),
    [aux_sym_end_if_statement_token1] = ACTIONS(6124),
    [aux_sym_elseif_clause_token2] = ACTIONS(6124),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6124),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token1] = ACTIONS(6124),
    [aux_sym_select_case_statement_token3] = ACTIONS(6124),
    [aux_sym_select_type_statement_token1] = ACTIONS(6124),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6124),
    [aux_sym_block_construct_token1] = ACTIONS(6124),
    [aux_sym_associate_statement_token1] = ACTIONS(6124),
    [aux_sym_format_statement_token1] = ACTIONS(6124),
    [aux_sym_print_statement_token1] = ACTIONS(6124),
    [aux_sym_open_statement_token1] = ACTIONS(6124),
    [aux_sym_close_statement_token1] = ACTIONS(6124),
    [aux_sym_inquire_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token1] = ACTIONS(6124),
    [aux_sym_file_position_statement_token2] = ACTIONS(6124),
    [aux_sym_file_position_statement_token3] = ACTIONS(6124),
    [aux_sym_file_position_statement_token4] = ACTIONS(6124),
    [aux_sym_allocate_statement_token1] = ACTIONS(6124),
    [aux_sym_entry_statement_token1] = ACTIONS(6124),
    [aux_sym_logical_expression_token5] = ACTIONS(6128),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6128),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [aux_sym_boolean_literal_token1] = ACTIONS(6128),
    [aux_sym_boolean_literal_token2] = ACTIONS(6128),
    [aux_sym_null_literal_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_statement_token2] = ACTIONS(6124),
    [aux_sym_coarray_statement_token6] = ACTIONS(6124),
    [aux_sym_coarray_statement_token8] = ACTIONS(6124),
    [aux_sym_coarray_statement_token11] = ACTIONS(6124),
    [aux_sym_coarray_statement_token12] = ACTIONS(6124),
    [aux_sym_coarray_statement_token13] = ACTIONS(6124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6124),
    [aux_sym_identifier_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6128),
    [sym__float_literal] = ACTIONS(6128),
    [sym__boz_literal] = ACTIONS(6128),
    [sym__string_literal] = ACTIONS(6128),
    [sym__string_literal_kind] = ACTIONS(6128),
  },
  [2371] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6598),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2372] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6600),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2373] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6602),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2374] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6604),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2375] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6606),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6608),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2377] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6610),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2378] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6612),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2379] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6614),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6616),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2381] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6618),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2382] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6620),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2383] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6622),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2384] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6624),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2385] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_end_program_statement_token2] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2386] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6512),
    [aux_sym_preproc_def_token1] = ACTIONS(6512),
    [aux_sym_preproc_if_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6512),
    [sym_preproc_directive] = ACTIONS(6512),
    [anon_sym_LPAREN2] = ACTIONS(6512),
    [anon_sym_PLUS] = ACTIONS(6514),
    [anon_sym_DASH] = ACTIONS(6514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6512),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6512),
    [aux_sym_end_function_statement_token1] = ACTIONS(6512),
    [aux_sym_contains_statement_token1] = ACTIONS(6512),
    [aux_sym_use_statement_token2] = ACTIONS(6512),
    [aux_sym_implicit_statement_token4] = ACTIONS(6512),
    [aux_sym_save_statement_token1] = ACTIONS(6512),
    [aux_sym_private_statement_token1] = ACTIONS(6512),
    [aux_sym_public_statement_token1] = ACTIONS(6512),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6512),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6512),
    [aux_sym_variable_attributes_token2] = ACTIONS(6512),
    [aux_sym_variable_attributes_token3] = ACTIONS(6512),
    [aux_sym_variable_attributes_token5] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6512),
    [aux_sym_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym_type_qualifier_token2] = ACTIONS(6512),
    [anon_sym_SEMI] = ACTIONS(6514),
    [aux_sym_stop_statement_token1] = ACTIONS(6512),
    [aux_sym_stop_statement_token2] = ACTIONS(6512),
    [aux_sym_subroutine_call_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token2] = ACTIONS(6512),
    [aux_sym_keyword_statement_token3] = ACTIONS(6512),
    [aux_sym_keyword_statement_token4] = ACTIONS(6512),
    [aux_sym_keyword_statement_token6] = ACTIONS(6512),
    [aux_sym_keyword_statement_token7] = ACTIONS(6512),
    [aux_sym_include_statement_token1] = ACTIONS(6512),
    [aux_sym_data_statement_token1] = ACTIONS(6512),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6512),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6512),
    [aux_sym_end_if_statement_token1] = ACTIONS(6512),
    [aux_sym_elseif_clause_token2] = ACTIONS(6512),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6512),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token3] = ACTIONS(6512),
    [aux_sym_select_type_statement_token1] = ACTIONS(6512),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6512),
    [aux_sym_block_construct_token1] = ACTIONS(6512),
    [aux_sym_associate_statement_token1] = ACTIONS(6512),
    [aux_sym_format_statement_token1] = ACTIONS(6512),
    [aux_sym_print_statement_token1] = ACTIONS(6512),
    [aux_sym_open_statement_token1] = ACTIONS(6512),
    [aux_sym_close_statement_token1] = ACTIONS(6512),
    [aux_sym_inquire_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token2] = ACTIONS(6512),
    [aux_sym_file_position_statement_token3] = ACTIONS(6512),
    [aux_sym_file_position_statement_token4] = ACTIONS(6512),
    [aux_sym_allocate_statement_token1] = ACTIONS(6512),
    [aux_sym_entry_statement_token1] = ACTIONS(6512),
    [aux_sym_logical_expression_token5] = ACTIONS(6514),
    [anon_sym_DOT] = ACTIONS(6512),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6514),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [aux_sym_boolean_literal_token1] = ACTIONS(6514),
    [aux_sym_boolean_literal_token2] = ACTIONS(6514),
    [aux_sym_null_literal_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token2] = ACTIONS(6512),
    [aux_sym_coarray_statement_token6] = ACTIONS(6512),
    [aux_sym_coarray_statement_token8] = ACTIONS(6512),
    [aux_sym_coarray_statement_token11] = ACTIONS(6512),
    [aux_sym_coarray_statement_token12] = ACTIONS(6512),
    [aux_sym_coarray_statement_token13] = ACTIONS(6512),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6512),
    [aux_sym_identifier_token1] = ACTIONS(6512),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6514),
    [sym__float_literal] = ACTIONS(6514),
    [sym__boz_literal] = ACTIONS(6514),
    [sym__string_literal] = ACTIONS(6514),
    [sym__string_literal_kind] = ACTIONS(6514),
  },
  [2387] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_end_function_statement_token1] = ACTIONS(5748),
    [aux_sym_contains_statement_token1] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2388] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6392),
    [aux_sym_preproc_def_token1] = ACTIONS(6392),
    [aux_sym_preproc_if_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6392),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6392),
    [sym_preproc_directive] = ACTIONS(6392),
    [anon_sym_LPAREN2] = ACTIONS(6392),
    [anon_sym_PLUS] = ACTIONS(6394),
    [anon_sym_DASH] = ACTIONS(6394),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6392),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6392),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6392),
    [aux_sym_end_function_statement_token1] = ACTIONS(6392),
    [aux_sym_contains_statement_token1] = ACTIONS(6392),
    [aux_sym_use_statement_token2] = ACTIONS(6392),
    [aux_sym_implicit_statement_token4] = ACTIONS(6392),
    [aux_sym_save_statement_token1] = ACTIONS(6392),
    [aux_sym_private_statement_token1] = ACTIONS(6392),
    [aux_sym_public_statement_token1] = ACTIONS(6392),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6392),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6392),
    [aux_sym_variable_attributes_token2] = ACTIONS(6392),
    [aux_sym_variable_attributes_token3] = ACTIONS(6392),
    [aux_sym_variable_attributes_token5] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6392),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6392),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6392),
    [aux_sym_type_qualifier_token1] = ACTIONS(6392),
    [aux_sym_type_qualifier_token2] = ACTIONS(6392),
    [anon_sym_SEMI] = ACTIONS(6394),
    [aux_sym_stop_statement_token1] = ACTIONS(6392),
    [aux_sym_stop_statement_token2] = ACTIONS(6392),
    [aux_sym_subroutine_call_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token1] = ACTIONS(6392),
    [aux_sym_keyword_statement_token2] = ACTIONS(6392),
    [aux_sym_keyword_statement_token3] = ACTIONS(6392),
    [aux_sym_keyword_statement_token4] = ACTIONS(6392),
    [aux_sym_keyword_statement_token6] = ACTIONS(6392),
    [aux_sym_keyword_statement_token7] = ACTIONS(6392),
    [aux_sym_include_statement_token1] = ACTIONS(6392),
    [aux_sym_data_statement_token1] = ACTIONS(6392),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6392),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6392),
    [aux_sym_end_if_statement_token1] = ACTIONS(6392),
    [aux_sym_elseif_clause_token2] = ACTIONS(6392),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6392),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token1] = ACTIONS(6392),
    [aux_sym_select_case_statement_token3] = ACTIONS(6392),
    [aux_sym_select_type_statement_token1] = ACTIONS(6392),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6392),
    [aux_sym_block_construct_token1] = ACTIONS(6392),
    [aux_sym_associate_statement_token1] = ACTIONS(6392),
    [aux_sym_format_statement_token1] = ACTIONS(6392),
    [aux_sym_print_statement_token1] = ACTIONS(6392),
    [aux_sym_open_statement_token1] = ACTIONS(6392),
    [aux_sym_close_statement_token1] = ACTIONS(6392),
    [aux_sym_inquire_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token1] = ACTIONS(6392),
    [aux_sym_file_position_statement_token2] = ACTIONS(6392),
    [aux_sym_file_position_statement_token3] = ACTIONS(6392),
    [aux_sym_file_position_statement_token4] = ACTIONS(6392),
    [aux_sym_allocate_statement_token1] = ACTIONS(6392),
    [aux_sym_entry_statement_token1] = ACTIONS(6392),
    [aux_sym_logical_expression_token5] = ACTIONS(6394),
    [anon_sym_DOT] = ACTIONS(6392),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6394),
    [anon_sym_LBRACK] = ACTIONS(6394),
    [aux_sym_boolean_literal_token1] = ACTIONS(6394),
    [aux_sym_boolean_literal_token2] = ACTIONS(6394),
    [aux_sym_null_literal_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_statement_token2] = ACTIONS(6392),
    [aux_sym_coarray_statement_token6] = ACTIONS(6392),
    [aux_sym_coarray_statement_token8] = ACTIONS(6392),
    [aux_sym_coarray_statement_token11] = ACTIONS(6392),
    [aux_sym_coarray_statement_token12] = ACTIONS(6392),
    [aux_sym_coarray_statement_token13] = ACTIONS(6392),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6392),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6392),
    [aux_sym_identifier_token1] = ACTIONS(6392),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6394),
    [sym__float_literal] = ACTIONS(6394),
    [sym__boz_literal] = ACTIONS(6394),
    [sym__string_literal] = ACTIONS(6394),
    [sym__string_literal_kind] = ACTIONS(6394),
  },
  [2389] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6512),
    [aux_sym_preproc_def_token1] = ACTIONS(6512),
    [aux_sym_preproc_if_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6512),
    [sym_preproc_directive] = ACTIONS(6512),
    [anon_sym_LPAREN2] = ACTIONS(6512),
    [anon_sym_PLUS] = ACTIONS(6514),
    [anon_sym_DASH] = ACTIONS(6514),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6512),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6512),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(6512),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6512),
    [aux_sym_contains_statement_token1] = ACTIONS(6512),
    [aux_sym_use_statement_token2] = ACTIONS(6512),
    [aux_sym_implicit_statement_token4] = ACTIONS(6512),
    [aux_sym_save_statement_token1] = ACTIONS(6512),
    [aux_sym_private_statement_token1] = ACTIONS(6512),
    [aux_sym_public_statement_token1] = ACTIONS(6512),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6512),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6512),
    [aux_sym_variable_attributes_token2] = ACTIONS(6512),
    [aux_sym_variable_attributes_token3] = ACTIONS(6512),
    [aux_sym_variable_attributes_token5] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6512),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6512),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6512),
    [aux_sym_type_qualifier_token1] = ACTIONS(6512),
    [aux_sym_type_qualifier_token2] = ACTIONS(6512),
    [anon_sym_SEMI] = ACTIONS(6514),
    [aux_sym_stop_statement_token1] = ACTIONS(6512),
    [aux_sym_stop_statement_token2] = ACTIONS(6512),
    [aux_sym_subroutine_call_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token1] = ACTIONS(6512),
    [aux_sym_keyword_statement_token2] = ACTIONS(6512),
    [aux_sym_keyword_statement_token3] = ACTIONS(6512),
    [aux_sym_keyword_statement_token4] = ACTIONS(6512),
    [aux_sym_keyword_statement_token6] = ACTIONS(6512),
    [aux_sym_keyword_statement_token7] = ACTIONS(6512),
    [aux_sym_include_statement_token1] = ACTIONS(6512),
    [aux_sym_data_statement_token1] = ACTIONS(6512),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6512),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6512),
    [aux_sym_end_if_statement_token1] = ACTIONS(6512),
    [aux_sym_elseif_clause_token2] = ACTIONS(6512),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6512),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token1] = ACTIONS(6512),
    [aux_sym_select_case_statement_token3] = ACTIONS(6512),
    [aux_sym_select_type_statement_token1] = ACTIONS(6512),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6512),
    [aux_sym_block_construct_token1] = ACTIONS(6512),
    [aux_sym_associate_statement_token1] = ACTIONS(6512),
    [aux_sym_format_statement_token1] = ACTIONS(6512),
    [aux_sym_print_statement_token1] = ACTIONS(6512),
    [aux_sym_open_statement_token1] = ACTIONS(6512),
    [aux_sym_close_statement_token1] = ACTIONS(6512),
    [aux_sym_inquire_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token1] = ACTIONS(6512),
    [aux_sym_file_position_statement_token2] = ACTIONS(6512),
    [aux_sym_file_position_statement_token3] = ACTIONS(6512),
    [aux_sym_file_position_statement_token4] = ACTIONS(6512),
    [aux_sym_allocate_statement_token1] = ACTIONS(6512),
    [aux_sym_entry_statement_token1] = ACTIONS(6512),
    [aux_sym_logical_expression_token5] = ACTIONS(6514),
    [anon_sym_DOT] = ACTIONS(6512),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6514),
    [anon_sym_LBRACK] = ACTIONS(6514),
    [aux_sym_boolean_literal_token1] = ACTIONS(6514),
    [aux_sym_boolean_literal_token2] = ACTIONS(6514),
    [aux_sym_null_literal_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_statement_token2] = ACTIONS(6512),
    [aux_sym_coarray_statement_token6] = ACTIONS(6512),
    [aux_sym_coarray_statement_token8] = ACTIONS(6512),
    [aux_sym_coarray_statement_token11] = ACTIONS(6512),
    [aux_sym_coarray_statement_token12] = ACTIONS(6512),
    [aux_sym_coarray_statement_token13] = ACTIONS(6512),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6512),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6512),
    [aux_sym_identifier_token1] = ACTIONS(6512),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6514),
    [sym__float_literal] = ACTIONS(6514),
    [sym__boz_literal] = ACTIONS(6514),
    [sym__string_literal] = ACTIONS(6514),
    [sym__string_literal_kind] = ACTIONS(6514),
  },
  [2390] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_contains_statement_token1] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2391] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(6510),
    [anon_sym_DASH] = ACTIONS(6510),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2869),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2869),
    [aux_sym_end_module_procedure_statement_token1] = ACTIONS(2869),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2869),
    [aux_sym_contains_statement_token1] = ACTIONS(2869),
    [aux_sym_use_statement_token2] = ACTIONS(2869),
    [aux_sym_implicit_statement_token4] = ACTIONS(2869),
    [aux_sym_save_statement_token1] = ACTIONS(2869),
    [aux_sym_private_statement_token1] = ACTIONS(2869),
    [aux_sym_public_statement_token1] = ACTIONS(2869),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2869),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2869),
    [aux_sym_variable_attributes_token2] = ACTIONS(2869),
    [aux_sym_variable_attributes_token3] = ACTIONS(2869),
    [aux_sym_variable_attributes_token5] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2869),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2869),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2869),
    [aux_sym_type_qualifier_token1] = ACTIONS(2869),
    [aux_sym_type_qualifier_token2] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(6510),
    [aux_sym_stop_statement_token1] = ACTIONS(2869),
    [aux_sym_stop_statement_token2] = ACTIONS(2869),
    [aux_sym_subroutine_call_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token1] = ACTIONS(2869),
    [aux_sym_keyword_statement_token2] = ACTIONS(2869),
    [aux_sym_keyword_statement_token3] = ACTIONS(2869),
    [aux_sym_keyword_statement_token4] = ACTIONS(2869),
    [aux_sym_keyword_statement_token6] = ACTIONS(2869),
    [aux_sym_keyword_statement_token7] = ACTIONS(2869),
    [aux_sym_include_statement_token1] = ACTIONS(2869),
    [aux_sym_data_statement_token1] = ACTIONS(2869),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2869),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2869),
    [aux_sym_end_if_statement_token1] = ACTIONS(2869),
    [aux_sym_elseif_clause_token2] = ACTIONS(2869),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2869),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token1] = ACTIONS(2869),
    [aux_sym_select_case_statement_token3] = ACTIONS(2869),
    [aux_sym_select_type_statement_token1] = ACTIONS(2869),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2869),
    [aux_sym_block_construct_token1] = ACTIONS(2869),
    [aux_sym_associate_statement_token1] = ACTIONS(2869),
    [aux_sym_format_statement_token1] = ACTIONS(2869),
    [aux_sym_print_statement_token1] = ACTIONS(2869),
    [aux_sym_open_statement_token1] = ACTIONS(2869),
    [aux_sym_close_statement_token1] = ACTIONS(2869),
    [aux_sym_inquire_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token1] = ACTIONS(2869),
    [aux_sym_file_position_statement_token2] = ACTIONS(2869),
    [aux_sym_file_position_statement_token3] = ACTIONS(2869),
    [aux_sym_file_position_statement_token4] = ACTIONS(2869),
    [aux_sym_allocate_statement_token1] = ACTIONS(2869),
    [aux_sym_entry_statement_token1] = ACTIONS(2869),
    [aux_sym_logical_expression_token5] = ACTIONS(6510),
    [anon_sym_DOT] = ACTIONS(2869),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6510),
    [anon_sym_LBRACK] = ACTIONS(6510),
    [aux_sym_boolean_literal_token1] = ACTIONS(6510),
    [aux_sym_boolean_literal_token2] = ACTIONS(6510),
    [aux_sym_null_literal_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_statement_token2] = ACTIONS(2869),
    [aux_sym_coarray_statement_token6] = ACTIONS(2869),
    [aux_sym_coarray_statement_token8] = ACTIONS(2869),
    [aux_sym_coarray_statement_token11] = ACTIONS(2869),
    [aux_sym_coarray_statement_token12] = ACTIONS(2869),
    [aux_sym_coarray_statement_token13] = ACTIONS(2869),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2869),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2869),
    [aux_sym_identifier_token1] = ACTIONS(2869),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6510),
    [sym__float_literal] = ACTIONS(6510),
    [sym__boz_literal] = ACTIONS(6510),
    [sym__string_literal] = ACTIONS(6510),
    [sym__string_literal_kind] = ACTIONS(6510),
  },
  [2392] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_end_subroutine_statement_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2393] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2394] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2395] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2396] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2397] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2398] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2399] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2400] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2401] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2402] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2403] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2404] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2405] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2406] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2407] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2408] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2409] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_end_select_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2410] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2411] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2412] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2413] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2414] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2415] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_end_select_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2416] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2417] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2418] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2419] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2420] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_end_select_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2421] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2422] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_end_select_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2423] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2424] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2425] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2426] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2427] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2428] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2429] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2430] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2431] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2432] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2433] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2434] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_end_select_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2435] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2436] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_end_select_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2437] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2438] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2439] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2440] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2441] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_end_select_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2442] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4301),
    [aux_sym_preproc_def_token1] = ACTIONS(4301),
    [aux_sym_preproc_if_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4301),
    [sym_preproc_directive] = ACTIONS(4301),
    [anon_sym_LPAREN2] = ACTIONS(4301),
    [sym_preproc_comment] = ACTIONS(6626),
    [anon_sym_PLUS] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4301),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4301),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4301),
    [aux_sym_use_statement_token2] = ACTIONS(4301),
    [aux_sym_implicit_statement_token4] = ACTIONS(4301),
    [aux_sym_save_statement_token1] = ACTIONS(4301),
    [aux_sym_private_statement_token1] = ACTIONS(4301),
    [aux_sym_public_statement_token1] = ACTIONS(4301),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4301),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4301),
    [aux_sym_variable_attributes_token2] = ACTIONS(4301),
    [aux_sym_variable_attributes_token3] = ACTIONS(4301),
    [aux_sym_variable_attributes_token5] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4301),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4301),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4301),
    [aux_sym_type_qualifier_token1] = ACTIONS(4301),
    [aux_sym_type_qualifier_token2] = ACTIONS(4301),
    [anon_sym_SEMI] = ACTIONS(5564),
    [aux_sym_stop_statement_token1] = ACTIONS(4301),
    [aux_sym_stop_statement_token2] = ACTIONS(4301),
    [aux_sym_subroutine_call_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token1] = ACTIONS(4301),
    [aux_sym_keyword_statement_token2] = ACTIONS(4301),
    [aux_sym_keyword_statement_token3] = ACTIONS(4301),
    [aux_sym_keyword_statement_token4] = ACTIONS(4301),
    [aux_sym_keyword_statement_token6] = ACTIONS(4301),
    [aux_sym_keyword_statement_token7] = ACTIONS(4301),
    [aux_sym_include_statement_token1] = ACTIONS(4301),
    [aux_sym_data_statement_token1] = ACTIONS(4301),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4301),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4301),
    [aux_sym_end_if_statement_token1] = ACTIONS(4301),
    [aux_sym_elseif_clause_token2] = ACTIONS(4301),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4301),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token1] = ACTIONS(4301),
    [aux_sym_select_case_statement_token3] = ACTIONS(4301),
    [aux_sym_select_type_statement_token1] = ACTIONS(4301),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4301),
    [aux_sym_block_construct_token1] = ACTIONS(4301),
    [aux_sym_associate_statement_token1] = ACTIONS(4301),
    [aux_sym_format_statement_token1] = ACTIONS(4301),
    [aux_sym_print_statement_token1] = ACTIONS(4301),
    [aux_sym_open_statement_token1] = ACTIONS(4301),
    [aux_sym_close_statement_token1] = ACTIONS(4301),
    [aux_sym_inquire_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token1] = ACTIONS(4301),
    [aux_sym_file_position_statement_token2] = ACTIONS(4301),
    [aux_sym_file_position_statement_token3] = ACTIONS(4301),
    [aux_sym_file_position_statement_token4] = ACTIONS(4301),
    [aux_sym_allocate_statement_token1] = ACTIONS(4301),
    [aux_sym_entry_statement_token1] = ACTIONS(4301),
    [aux_sym_logical_expression_token5] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(4301),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [aux_sym_boolean_literal_token1] = ACTIONS(5564),
    [aux_sym_boolean_literal_token2] = ACTIONS(5564),
    [aux_sym_null_literal_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_statement_token2] = ACTIONS(4301),
    [aux_sym_coarray_statement_token6] = ACTIONS(4301),
    [aux_sym_coarray_statement_token8] = ACTIONS(4301),
    [aux_sym_coarray_statement_token11] = ACTIONS(4301),
    [aux_sym_coarray_statement_token12] = ACTIONS(4301),
    [aux_sym_coarray_statement_token13] = ACTIONS(4301),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4301),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4301),
    [aux_sym_identifier_token1] = ACTIONS(4301),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5564),
    [sym__float_literal] = ACTIONS(5564),
    [sym__boz_literal] = ACTIONS(5564),
    [sym__string_literal] = ACTIONS(5564),
    [sym__string_literal_kind] = ACTIONS(5564),
  },
  [2443] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_end_select_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2444] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2445] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_end_select_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2446] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_end_select_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2447] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_end_select_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2448] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_end_select_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2449] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_end_select_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2450] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_end_select_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2451] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_end_select_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2452] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_end_select_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2453] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2454] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2455] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2456] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2457] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2458] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2459] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2460] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2461] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2462] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2463] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2464] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2465] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4307),
    [aux_sym_preproc_def_token1] = ACTIONS(4307),
    [aux_sym_preproc_if_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4307),
    [sym_preproc_directive] = ACTIONS(4307),
    [anon_sym_LPAREN2] = ACTIONS(4307),
    [sym_preproc_comment] = ACTIONS(6628),
    [anon_sym_PLUS] = ACTIONS(5568),
    [anon_sym_DASH] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4307),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4307),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4307),
    [aux_sym_use_statement_token2] = ACTIONS(4307),
    [aux_sym_implicit_statement_token4] = ACTIONS(4307),
    [aux_sym_save_statement_token1] = ACTIONS(4307),
    [aux_sym_private_statement_token1] = ACTIONS(4307),
    [aux_sym_public_statement_token1] = ACTIONS(4307),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4307),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4307),
    [aux_sym_variable_attributes_token2] = ACTIONS(4307),
    [aux_sym_variable_attributes_token3] = ACTIONS(4307),
    [aux_sym_variable_attributes_token5] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4307),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4307),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4307),
    [aux_sym_type_qualifier_token1] = ACTIONS(4307),
    [aux_sym_type_qualifier_token2] = ACTIONS(4307),
    [anon_sym_SEMI] = ACTIONS(5568),
    [aux_sym_stop_statement_token1] = ACTIONS(4307),
    [aux_sym_stop_statement_token2] = ACTIONS(4307),
    [aux_sym_subroutine_call_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token1] = ACTIONS(4307),
    [aux_sym_keyword_statement_token2] = ACTIONS(4307),
    [aux_sym_keyword_statement_token3] = ACTIONS(4307),
    [aux_sym_keyword_statement_token4] = ACTIONS(4307),
    [aux_sym_keyword_statement_token6] = ACTIONS(4307),
    [aux_sym_keyword_statement_token7] = ACTIONS(4307),
    [aux_sym_include_statement_token1] = ACTIONS(4307),
    [aux_sym_data_statement_token1] = ACTIONS(4307),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4307),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4307),
    [aux_sym_end_if_statement_token1] = ACTIONS(4307),
    [aux_sym_elseif_clause_token2] = ACTIONS(4307),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4307),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token1] = ACTIONS(4307),
    [aux_sym_select_case_statement_token3] = ACTIONS(4307),
    [aux_sym_select_type_statement_token1] = ACTIONS(4307),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4307),
    [aux_sym_block_construct_token1] = ACTIONS(4307),
    [aux_sym_associate_statement_token1] = ACTIONS(4307),
    [aux_sym_format_statement_token1] = ACTIONS(4307),
    [aux_sym_print_statement_token1] = ACTIONS(4307),
    [aux_sym_open_statement_token1] = ACTIONS(4307),
    [aux_sym_close_statement_token1] = ACTIONS(4307),
    [aux_sym_inquire_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token1] = ACTIONS(4307),
    [aux_sym_file_position_statement_token2] = ACTIONS(4307),
    [aux_sym_file_position_statement_token3] = ACTIONS(4307),
    [aux_sym_file_position_statement_token4] = ACTIONS(4307),
    [aux_sym_allocate_statement_token1] = ACTIONS(4307),
    [aux_sym_entry_statement_token1] = ACTIONS(4307),
    [aux_sym_logical_expression_token5] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(4307),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [aux_sym_boolean_literal_token1] = ACTIONS(5568),
    [aux_sym_boolean_literal_token2] = ACTIONS(5568),
    [aux_sym_null_literal_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_statement_token2] = ACTIONS(4307),
    [aux_sym_coarray_statement_token6] = ACTIONS(4307),
    [aux_sym_coarray_statement_token8] = ACTIONS(4307),
    [aux_sym_coarray_statement_token11] = ACTIONS(4307),
    [aux_sym_coarray_statement_token12] = ACTIONS(4307),
    [aux_sym_coarray_statement_token13] = ACTIONS(4307),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4307),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4307),
    [aux_sym_identifier_token1] = ACTIONS(4307),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5568),
    [sym__float_literal] = ACTIONS(5568),
    [sym__boz_literal] = ACTIONS(5568),
    [sym__string_literal] = ACTIONS(5568),
    [sym__string_literal_kind] = ACTIONS(5568),
  },
  [2466] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2467] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2468] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2469] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2470] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2471] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [sym_preproc_comment] = ACTIONS(6630),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2472] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2473] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2474] = {
    [anon_sym_COMMA] = ACTIONS(6632),
    [anon_sym_RPAREN] = ACTIONS(6632),
    [anon_sym_LPAREN2] = ACTIONS(6632),
    [anon_sym_PLUS] = ACTIONS(6632),
    [anon_sym_DASH] = ACTIONS(6632),
    [anon_sym_STAR] = ACTIONS(6634),
    [anon_sym_SLASH] = ACTIONS(6634),
    [anon_sym_PERCENT] = ACTIONS(6632),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6632),
    [anon_sym_GT] = ACTIONS(6634),
    [anon_sym_GT_EQ] = ACTIONS(6632),
    [anon_sym_LT_EQ] = ACTIONS(6632),
    [anon_sym_LT] = ACTIONS(6634),
    [aux_sym_end_program_statement_token1] = ACTIONS(6634),
    [anon_sym_EQ] = ACTIONS(6634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6634),
    [aux_sym_language_binding_token1] = ACTIONS(6634),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6634),
    [aux_sym_use_statement_token2] = ACTIONS(6634),
    [anon_sym_COLON_COLON] = ACTIONS(6632),
    [anon_sym_EQ_GT] = ACTIONS(6632),
    [aux_sym_implicit_statement_token4] = ACTIONS(6634),
    [aux_sym_save_statement_token1] = ACTIONS(6634),
    [aux_sym_private_statement_token1] = ACTIONS(6634),
    [aux_sym_public_statement_token1] = ACTIONS(6634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6634),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6634),
    [aux_sym_variable_attributes_token1] = ACTIONS(6634),
    [aux_sym_variable_attributes_token2] = ACTIONS(6634),
    [aux_sym_variable_attributes_token3] = ACTIONS(6634),
    [aux_sym_variable_attributes_token4] = ACTIONS(6634),
    [aux_sym_variable_attributes_token5] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6634),
    [aux_sym_type_qualifier_token1] = ACTIONS(6634),
    [aux_sym_type_qualifier_token2] = ACTIONS(6634),
    [aux_sym_stop_statement_token1] = ACTIONS(6634),
    [aux_sym_stop_statement_token2] = ACTIONS(6634),
    [anon_sym_GT_GT_GT] = ACTIONS(6632),
    [aux_sym_keyword_statement_token2] = ACTIONS(6634),
    [aux_sym_keyword_statement_token3] = ACTIONS(6634),
    [aux_sym_data_statement_token1] = ACTIONS(6634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6634),
    [aux_sym_end_if_statement_token1] = ACTIONS(6634),
    [aux_sym_elseif_clause_token2] = ACTIONS(6634),
    [aux_sym_select_case_statement_token1] = ACTIONS(6634),
    [aux_sym_block_construct_token1] = ACTIONS(6634),
    [aux_sym_format_statement_token1] = ACTIONS(6634),
    [aux_sym_inquire_statement_token1] = ACTIONS(6634),
    [aux_sym_entry_statement_token1] = ACTIONS(6634),
    [aux_sym_logical_expression_token1] = ACTIONS(6632),
    [aux_sym_logical_expression_token2] = ACTIONS(6632),
    [aux_sym_logical_expression_token3] = ACTIONS(6632),
    [aux_sym_logical_expression_token4] = ACTIONS(6632),
    [aux_sym_relational_expression_token1] = ACTIONS(6632),
    [aux_sym_relational_expression_token2] = ACTIONS(6632),
    [aux_sym_relational_expression_token3] = ACTIONS(6632),
    [aux_sym_relational_expression_token4] = ACTIONS(6632),
    [aux_sym_relational_expression_token5] = ACTIONS(6632),
    [anon_sym_SLASH_EQ] = ACTIONS(6632),
    [aux_sym_relational_expression_token6] = ACTIONS(6632),
    [anon_sym_SLASH_SLASH] = ACTIONS(6632),
    [anon_sym_STAR_STAR] = ACTIONS(6632),
    [anon_sym_DOT] = ACTIONS(6634),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6632),
    [anon_sym_LBRACK] = ACTIONS(6632),
    [anon_sym_RBRACK] = ACTIONS(6632),
    [aux_sym_null_literal_token1] = ACTIONS(6634),
    [aux_sym_coarray_statement_token1] = ACTIONS(6634),
    [aux_sym_coarray_statement_token2] = ACTIONS(6634),
    [aux_sym_coarray_statement_token6] = ACTIONS(6634),
    [aux_sym_coarray_statement_token8] = ACTIONS(6634),
    [aux_sym_coarray_statement_token11] = ACTIONS(6634),
    [aux_sym_coarray_statement_token12] = ACTIONS(6634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6634),
    [anon_sym_QMARK] = ACTIONS(6632),
    [aux_sym_identifier_token1] = ACTIONS(6634),
    [sym_comment] = ACTIONS(21),
  },
  [2475] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5618),
    [aux_sym_preproc_def_token1] = ACTIONS(5618),
    [aux_sym_preproc_if_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5618),
    [sym_preproc_directive] = ACTIONS(5618),
    [anon_sym_LPAREN2] = ACTIONS(5618),
    [sym_preproc_comment] = ACTIONS(6636),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5618),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5618),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5618),
    [aux_sym_use_statement_token2] = ACTIONS(5618),
    [aux_sym_implicit_statement_token4] = ACTIONS(5618),
    [aux_sym_save_statement_token1] = ACTIONS(5618),
    [aux_sym_private_statement_token1] = ACTIONS(5618),
    [aux_sym_public_statement_token1] = ACTIONS(5618),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5618),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5618),
    [aux_sym_variable_attributes_token2] = ACTIONS(5618),
    [aux_sym_variable_attributes_token3] = ACTIONS(5618),
    [aux_sym_variable_attributes_token5] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5618),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5618),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5618),
    [aux_sym_type_qualifier_token1] = ACTIONS(5618),
    [aux_sym_type_qualifier_token2] = ACTIONS(5618),
    [anon_sym_SEMI] = ACTIONS(5622),
    [aux_sym_stop_statement_token1] = ACTIONS(5618),
    [aux_sym_stop_statement_token2] = ACTIONS(5618),
    [aux_sym_subroutine_call_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token1] = ACTIONS(5618),
    [aux_sym_keyword_statement_token2] = ACTIONS(5618),
    [aux_sym_keyword_statement_token3] = ACTIONS(5618),
    [aux_sym_keyword_statement_token4] = ACTIONS(5618),
    [aux_sym_keyword_statement_token6] = ACTIONS(5618),
    [aux_sym_keyword_statement_token7] = ACTIONS(5618),
    [aux_sym_include_statement_token1] = ACTIONS(5618),
    [aux_sym_data_statement_token1] = ACTIONS(5618),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5618),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5618),
    [aux_sym_end_if_statement_token1] = ACTIONS(5618),
    [aux_sym_elseif_clause_token2] = ACTIONS(5618),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5618),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token1] = ACTIONS(5618),
    [aux_sym_select_case_statement_token3] = ACTIONS(5618),
    [aux_sym_select_type_statement_token1] = ACTIONS(5618),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5618),
    [aux_sym_block_construct_token1] = ACTIONS(5618),
    [aux_sym_associate_statement_token1] = ACTIONS(5618),
    [aux_sym_format_statement_token1] = ACTIONS(5618),
    [aux_sym_print_statement_token1] = ACTIONS(5618),
    [aux_sym_open_statement_token1] = ACTIONS(5618),
    [aux_sym_close_statement_token1] = ACTIONS(5618),
    [aux_sym_inquire_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token1] = ACTIONS(5618),
    [aux_sym_file_position_statement_token2] = ACTIONS(5618),
    [aux_sym_file_position_statement_token3] = ACTIONS(5618),
    [aux_sym_file_position_statement_token4] = ACTIONS(5618),
    [aux_sym_allocate_statement_token1] = ACTIONS(5618),
    [aux_sym_entry_statement_token1] = ACTIONS(5618),
    [aux_sym_logical_expression_token5] = ACTIONS(5622),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5622),
    [aux_sym_boolean_literal_token1] = ACTIONS(5622),
    [aux_sym_boolean_literal_token2] = ACTIONS(5622),
    [aux_sym_null_literal_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_statement_token2] = ACTIONS(5618),
    [aux_sym_coarray_statement_token6] = ACTIONS(5618),
    [aux_sym_coarray_statement_token8] = ACTIONS(5618),
    [aux_sym_coarray_statement_token11] = ACTIONS(5618),
    [aux_sym_coarray_statement_token12] = ACTIONS(5618),
    [aux_sym_coarray_statement_token13] = ACTIONS(5618),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5618),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5618),
    [aux_sym_identifier_token1] = ACTIONS(5618),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5622),
    [sym__float_literal] = ACTIONS(5622),
    [sym__boz_literal] = ACTIONS(5622),
    [sym__string_literal] = ACTIONS(5622),
    [sym__string_literal_kind] = ACTIONS(5622),
  },
  [2476] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5600),
    [aux_sym_preproc_def_token1] = ACTIONS(5600),
    [aux_sym_preproc_if_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5600),
    [sym_preproc_directive] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [sym_preproc_comment] = ACTIONS(6638),
    [anon_sym_PLUS] = ACTIONS(5604),
    [anon_sym_DASH] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5600),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5600),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5600),
    [aux_sym_use_statement_token2] = ACTIONS(5600),
    [aux_sym_implicit_statement_token4] = ACTIONS(5600),
    [aux_sym_save_statement_token1] = ACTIONS(5600),
    [aux_sym_private_statement_token1] = ACTIONS(5600),
    [aux_sym_public_statement_token1] = ACTIONS(5600),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5600),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5600),
    [aux_sym_variable_attributes_token2] = ACTIONS(5600),
    [aux_sym_variable_attributes_token3] = ACTIONS(5600),
    [aux_sym_variable_attributes_token5] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5600),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5600),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5600),
    [aux_sym_type_qualifier_token1] = ACTIONS(5600),
    [aux_sym_type_qualifier_token2] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5604),
    [aux_sym_stop_statement_token1] = ACTIONS(5600),
    [aux_sym_stop_statement_token2] = ACTIONS(5600),
    [aux_sym_subroutine_call_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token1] = ACTIONS(5600),
    [aux_sym_keyword_statement_token2] = ACTIONS(5600),
    [aux_sym_keyword_statement_token3] = ACTIONS(5600),
    [aux_sym_keyword_statement_token4] = ACTIONS(5600),
    [aux_sym_keyword_statement_token6] = ACTIONS(5600),
    [aux_sym_keyword_statement_token7] = ACTIONS(5600),
    [aux_sym_include_statement_token1] = ACTIONS(5600),
    [aux_sym_data_statement_token1] = ACTIONS(5600),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5600),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5600),
    [aux_sym_end_if_statement_token1] = ACTIONS(5600),
    [aux_sym_elseif_clause_token2] = ACTIONS(5600),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5600),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token1] = ACTIONS(5600),
    [aux_sym_select_case_statement_token3] = ACTIONS(5600),
    [aux_sym_select_type_statement_token1] = ACTIONS(5600),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5600),
    [aux_sym_block_construct_token1] = ACTIONS(5600),
    [aux_sym_associate_statement_token1] = ACTIONS(5600),
    [aux_sym_format_statement_token1] = ACTIONS(5600),
    [aux_sym_print_statement_token1] = ACTIONS(5600),
    [aux_sym_open_statement_token1] = ACTIONS(5600),
    [aux_sym_close_statement_token1] = ACTIONS(5600),
    [aux_sym_inquire_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token1] = ACTIONS(5600),
    [aux_sym_file_position_statement_token2] = ACTIONS(5600),
    [aux_sym_file_position_statement_token3] = ACTIONS(5600),
    [aux_sym_file_position_statement_token4] = ACTIONS(5600),
    [aux_sym_allocate_statement_token1] = ACTIONS(5600),
    [aux_sym_entry_statement_token1] = ACTIONS(5600),
    [aux_sym_logical_expression_token5] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5600),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [aux_sym_boolean_literal_token1] = ACTIONS(5604),
    [aux_sym_boolean_literal_token2] = ACTIONS(5604),
    [aux_sym_null_literal_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_statement_token2] = ACTIONS(5600),
    [aux_sym_coarray_statement_token6] = ACTIONS(5600),
    [aux_sym_coarray_statement_token8] = ACTIONS(5600),
    [aux_sym_coarray_statement_token11] = ACTIONS(5600),
    [aux_sym_coarray_statement_token12] = ACTIONS(5600),
    [aux_sym_coarray_statement_token13] = ACTIONS(5600),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5600),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5600),
    [aux_sym_identifier_token1] = ACTIONS(5600),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5604),
    [sym__float_literal] = ACTIONS(5604),
    [sym__boz_literal] = ACTIONS(5604),
    [sym__string_literal] = ACTIONS(5604),
    [sym__string_literal_kind] = ACTIONS(5604),
  },
  [2477] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5594),
    [sym_preproc_comment] = ACTIONS(6640),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5594),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5594),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5594),
    [aux_sym_use_statement_token2] = ACTIONS(5594),
    [aux_sym_implicit_statement_token4] = ACTIONS(5594),
    [aux_sym_save_statement_token1] = ACTIONS(5594),
    [aux_sym_private_statement_token1] = ACTIONS(5594),
    [aux_sym_public_statement_token1] = ACTIONS(5594),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5594),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5594),
    [aux_sym_variable_attributes_token2] = ACTIONS(5594),
    [aux_sym_variable_attributes_token3] = ACTIONS(5594),
    [aux_sym_variable_attributes_token5] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5594),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5594),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5594),
    [aux_sym_type_qualifier_token1] = ACTIONS(5594),
    [aux_sym_type_qualifier_token2] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5598),
    [aux_sym_stop_statement_token1] = ACTIONS(5594),
    [aux_sym_stop_statement_token2] = ACTIONS(5594),
    [aux_sym_subroutine_call_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token1] = ACTIONS(5594),
    [aux_sym_keyword_statement_token2] = ACTIONS(5594),
    [aux_sym_keyword_statement_token3] = ACTIONS(5594),
    [aux_sym_keyword_statement_token4] = ACTIONS(5594),
    [aux_sym_keyword_statement_token6] = ACTIONS(5594),
    [aux_sym_keyword_statement_token7] = ACTIONS(5594),
    [aux_sym_include_statement_token1] = ACTIONS(5594),
    [aux_sym_data_statement_token1] = ACTIONS(5594),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5594),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5594),
    [aux_sym_end_if_statement_token1] = ACTIONS(5594),
    [aux_sym_elseif_clause_token2] = ACTIONS(5594),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5594),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token1] = ACTIONS(5594),
    [aux_sym_select_case_statement_token3] = ACTIONS(5594),
    [aux_sym_select_type_statement_token1] = ACTIONS(5594),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5594),
    [aux_sym_block_construct_token1] = ACTIONS(5594),
    [aux_sym_associate_statement_token1] = ACTIONS(5594),
    [aux_sym_format_statement_token1] = ACTIONS(5594),
    [aux_sym_print_statement_token1] = ACTIONS(5594),
    [aux_sym_open_statement_token1] = ACTIONS(5594),
    [aux_sym_close_statement_token1] = ACTIONS(5594),
    [aux_sym_inquire_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token1] = ACTIONS(5594),
    [aux_sym_file_position_statement_token2] = ACTIONS(5594),
    [aux_sym_file_position_statement_token3] = ACTIONS(5594),
    [aux_sym_file_position_statement_token4] = ACTIONS(5594),
    [aux_sym_allocate_statement_token1] = ACTIONS(5594),
    [aux_sym_entry_statement_token1] = ACTIONS(5594),
    [aux_sym_logical_expression_token5] = ACTIONS(5598),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [aux_sym_boolean_literal_token1] = ACTIONS(5598),
    [aux_sym_boolean_literal_token2] = ACTIONS(5598),
    [aux_sym_null_literal_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_statement_token2] = ACTIONS(5594),
    [aux_sym_coarray_statement_token6] = ACTIONS(5594),
    [aux_sym_coarray_statement_token8] = ACTIONS(5594),
    [aux_sym_coarray_statement_token11] = ACTIONS(5594),
    [aux_sym_coarray_statement_token12] = ACTIONS(5594),
    [aux_sym_coarray_statement_token13] = ACTIONS(5594),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5594),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5594),
    [aux_sym_identifier_token1] = ACTIONS(5594),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5598),
    [sym__float_literal] = ACTIONS(5598),
    [sym__boz_literal] = ACTIONS(5598),
    [sym__string_literal] = ACTIONS(5598),
    [sym__string_literal_kind] = ACTIONS(5598),
  },
  [2478] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2479] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2480] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2481] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5606),
    [sym_preproc_comment] = ACTIONS(6642),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5606),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5606),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5606),
    [aux_sym_use_statement_token2] = ACTIONS(5606),
    [aux_sym_implicit_statement_token4] = ACTIONS(5606),
    [aux_sym_save_statement_token1] = ACTIONS(5606),
    [aux_sym_private_statement_token1] = ACTIONS(5606),
    [aux_sym_public_statement_token1] = ACTIONS(5606),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5606),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5606),
    [aux_sym_variable_attributes_token2] = ACTIONS(5606),
    [aux_sym_variable_attributes_token3] = ACTIONS(5606),
    [aux_sym_variable_attributes_token5] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5606),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5606),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5606),
    [aux_sym_type_qualifier_token1] = ACTIONS(5606),
    [aux_sym_type_qualifier_token2] = ACTIONS(5606),
    [anon_sym_SEMI] = ACTIONS(5610),
    [aux_sym_stop_statement_token1] = ACTIONS(5606),
    [aux_sym_stop_statement_token2] = ACTIONS(5606),
    [aux_sym_subroutine_call_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token1] = ACTIONS(5606),
    [aux_sym_keyword_statement_token2] = ACTIONS(5606),
    [aux_sym_keyword_statement_token3] = ACTIONS(5606),
    [aux_sym_keyword_statement_token4] = ACTIONS(5606),
    [aux_sym_keyword_statement_token6] = ACTIONS(5606),
    [aux_sym_keyword_statement_token7] = ACTIONS(5606),
    [aux_sym_include_statement_token1] = ACTIONS(5606),
    [aux_sym_data_statement_token1] = ACTIONS(5606),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5606),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5606),
    [aux_sym_end_if_statement_token1] = ACTIONS(5606),
    [aux_sym_elseif_clause_token2] = ACTIONS(5606),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5606),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token1] = ACTIONS(5606),
    [aux_sym_select_case_statement_token3] = ACTIONS(5606),
    [aux_sym_select_type_statement_token1] = ACTIONS(5606),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5606),
    [aux_sym_block_construct_token1] = ACTIONS(5606),
    [aux_sym_associate_statement_token1] = ACTIONS(5606),
    [aux_sym_format_statement_token1] = ACTIONS(5606),
    [aux_sym_print_statement_token1] = ACTIONS(5606),
    [aux_sym_open_statement_token1] = ACTIONS(5606),
    [aux_sym_close_statement_token1] = ACTIONS(5606),
    [aux_sym_inquire_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token1] = ACTIONS(5606),
    [aux_sym_file_position_statement_token2] = ACTIONS(5606),
    [aux_sym_file_position_statement_token3] = ACTIONS(5606),
    [aux_sym_file_position_statement_token4] = ACTIONS(5606),
    [aux_sym_allocate_statement_token1] = ACTIONS(5606),
    [aux_sym_entry_statement_token1] = ACTIONS(5606),
    [aux_sym_logical_expression_token5] = ACTIONS(5610),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [aux_sym_boolean_literal_token1] = ACTIONS(5610),
    [aux_sym_boolean_literal_token2] = ACTIONS(5610),
    [aux_sym_null_literal_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_statement_token2] = ACTIONS(5606),
    [aux_sym_coarray_statement_token6] = ACTIONS(5606),
    [aux_sym_coarray_statement_token8] = ACTIONS(5606),
    [aux_sym_coarray_statement_token11] = ACTIONS(5606),
    [aux_sym_coarray_statement_token12] = ACTIONS(5606),
    [aux_sym_coarray_statement_token13] = ACTIONS(5606),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5606),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5606),
    [aux_sym_identifier_token1] = ACTIONS(5606),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5610),
    [sym__float_literal] = ACTIONS(5610),
    [sym__boz_literal] = ACTIONS(5610),
    [sym__string_literal] = ACTIONS(5610),
    [sym__string_literal_kind] = ACTIONS(5610),
  },
  [2482] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2483] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5612),
    [aux_sym_preproc_def_token1] = ACTIONS(5612),
    [aux_sym_preproc_if_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5612),
    [sym_preproc_directive] = ACTIONS(5612),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [sym_preproc_comment] = ACTIONS(6644),
    [anon_sym_PLUS] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5612),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5612),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5612),
    [aux_sym_use_statement_token2] = ACTIONS(5612),
    [aux_sym_implicit_statement_token4] = ACTIONS(5612),
    [aux_sym_save_statement_token1] = ACTIONS(5612),
    [aux_sym_private_statement_token1] = ACTIONS(5612),
    [aux_sym_public_statement_token1] = ACTIONS(5612),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5612),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5612),
    [aux_sym_variable_attributes_token2] = ACTIONS(5612),
    [aux_sym_variable_attributes_token3] = ACTIONS(5612),
    [aux_sym_variable_attributes_token5] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5612),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5612),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5612),
    [aux_sym_type_qualifier_token1] = ACTIONS(5612),
    [aux_sym_type_qualifier_token2] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5616),
    [aux_sym_stop_statement_token1] = ACTIONS(5612),
    [aux_sym_stop_statement_token2] = ACTIONS(5612),
    [aux_sym_subroutine_call_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token1] = ACTIONS(5612),
    [aux_sym_keyword_statement_token2] = ACTIONS(5612),
    [aux_sym_keyword_statement_token3] = ACTIONS(5612),
    [aux_sym_keyword_statement_token4] = ACTIONS(5612),
    [aux_sym_keyword_statement_token6] = ACTIONS(5612),
    [aux_sym_keyword_statement_token7] = ACTIONS(5612),
    [aux_sym_include_statement_token1] = ACTIONS(5612),
    [aux_sym_data_statement_token1] = ACTIONS(5612),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5612),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5612),
    [aux_sym_end_if_statement_token1] = ACTIONS(5612),
    [aux_sym_elseif_clause_token2] = ACTIONS(5612),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5612),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token1] = ACTIONS(5612),
    [aux_sym_select_case_statement_token3] = ACTIONS(5612),
    [aux_sym_select_type_statement_token1] = ACTIONS(5612),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5612),
    [aux_sym_block_construct_token1] = ACTIONS(5612),
    [aux_sym_associate_statement_token1] = ACTIONS(5612),
    [aux_sym_format_statement_token1] = ACTIONS(5612),
    [aux_sym_print_statement_token1] = ACTIONS(5612),
    [aux_sym_open_statement_token1] = ACTIONS(5612),
    [aux_sym_close_statement_token1] = ACTIONS(5612),
    [aux_sym_inquire_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token1] = ACTIONS(5612),
    [aux_sym_file_position_statement_token2] = ACTIONS(5612),
    [aux_sym_file_position_statement_token3] = ACTIONS(5612),
    [aux_sym_file_position_statement_token4] = ACTIONS(5612),
    [aux_sym_allocate_statement_token1] = ACTIONS(5612),
    [aux_sym_entry_statement_token1] = ACTIONS(5612),
    [aux_sym_logical_expression_token5] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5612),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [aux_sym_boolean_literal_token1] = ACTIONS(5616),
    [aux_sym_boolean_literal_token2] = ACTIONS(5616),
    [aux_sym_null_literal_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_statement_token2] = ACTIONS(5612),
    [aux_sym_coarray_statement_token6] = ACTIONS(5612),
    [aux_sym_coarray_statement_token8] = ACTIONS(5612),
    [aux_sym_coarray_statement_token11] = ACTIONS(5612),
    [aux_sym_coarray_statement_token12] = ACTIONS(5612),
    [aux_sym_coarray_statement_token13] = ACTIONS(5612),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5612),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5612),
    [aux_sym_identifier_token1] = ACTIONS(5612),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5616),
    [sym__float_literal] = ACTIONS(5616),
    [sym__boz_literal] = ACTIONS(5616),
    [sym__string_literal] = ACTIONS(5616),
    [sym__string_literal_kind] = ACTIONS(5616),
  },
  [2484] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2485] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2486] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5624),
    [aux_sym_preproc_def_token1] = ACTIONS(5624),
    [aux_sym_preproc_if_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5624),
    [sym_preproc_directive] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [sym_preproc_comment] = ACTIONS(6646),
    [anon_sym_PLUS] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5624),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5624),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5624),
    [aux_sym_use_statement_token2] = ACTIONS(5624),
    [aux_sym_implicit_statement_token4] = ACTIONS(5624),
    [aux_sym_save_statement_token1] = ACTIONS(5624),
    [aux_sym_private_statement_token1] = ACTIONS(5624),
    [aux_sym_public_statement_token1] = ACTIONS(5624),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5624),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5624),
    [aux_sym_variable_attributes_token2] = ACTIONS(5624),
    [aux_sym_variable_attributes_token3] = ACTIONS(5624),
    [aux_sym_variable_attributes_token5] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5624),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5624),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5624),
    [aux_sym_type_qualifier_token1] = ACTIONS(5624),
    [aux_sym_type_qualifier_token2] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5628),
    [aux_sym_stop_statement_token1] = ACTIONS(5624),
    [aux_sym_stop_statement_token2] = ACTIONS(5624),
    [aux_sym_subroutine_call_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token1] = ACTIONS(5624),
    [aux_sym_keyword_statement_token2] = ACTIONS(5624),
    [aux_sym_keyword_statement_token3] = ACTIONS(5624),
    [aux_sym_keyword_statement_token4] = ACTIONS(5624),
    [aux_sym_keyword_statement_token6] = ACTIONS(5624),
    [aux_sym_keyword_statement_token7] = ACTIONS(5624),
    [aux_sym_include_statement_token1] = ACTIONS(5624),
    [aux_sym_data_statement_token1] = ACTIONS(5624),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5624),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5624),
    [aux_sym_end_if_statement_token1] = ACTIONS(5624),
    [aux_sym_elseif_clause_token2] = ACTIONS(5624),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5624),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token1] = ACTIONS(5624),
    [aux_sym_select_case_statement_token3] = ACTIONS(5624),
    [aux_sym_select_type_statement_token1] = ACTIONS(5624),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5624),
    [aux_sym_block_construct_token1] = ACTIONS(5624),
    [aux_sym_associate_statement_token1] = ACTIONS(5624),
    [aux_sym_format_statement_token1] = ACTIONS(5624),
    [aux_sym_print_statement_token1] = ACTIONS(5624),
    [aux_sym_open_statement_token1] = ACTIONS(5624),
    [aux_sym_close_statement_token1] = ACTIONS(5624),
    [aux_sym_inquire_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token1] = ACTIONS(5624),
    [aux_sym_file_position_statement_token2] = ACTIONS(5624),
    [aux_sym_file_position_statement_token3] = ACTIONS(5624),
    [aux_sym_file_position_statement_token4] = ACTIONS(5624),
    [aux_sym_allocate_statement_token1] = ACTIONS(5624),
    [aux_sym_entry_statement_token1] = ACTIONS(5624),
    [aux_sym_logical_expression_token5] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5624),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [aux_sym_boolean_literal_token1] = ACTIONS(5628),
    [aux_sym_boolean_literal_token2] = ACTIONS(5628),
    [aux_sym_null_literal_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_statement_token2] = ACTIONS(5624),
    [aux_sym_coarray_statement_token6] = ACTIONS(5624),
    [aux_sym_coarray_statement_token8] = ACTIONS(5624),
    [aux_sym_coarray_statement_token11] = ACTIONS(5624),
    [aux_sym_coarray_statement_token12] = ACTIONS(5624),
    [aux_sym_coarray_statement_token13] = ACTIONS(5624),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5624),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5624),
    [aux_sym_identifier_token1] = ACTIONS(5624),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5628),
    [sym__float_literal] = ACTIONS(5628),
    [sym__boz_literal] = ACTIONS(5628),
    [sym__string_literal] = ACTIONS(5628),
    [sym__string_literal_kind] = ACTIONS(5628),
  },
  [2487] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2488] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5630),
    [aux_sym_preproc_def_token1] = ACTIONS(5630),
    [aux_sym_preproc_if_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5630),
    [sym_preproc_directive] = ACTIONS(5630),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [sym_preproc_comment] = ACTIONS(6648),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5630),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5630),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5630),
    [aux_sym_use_statement_token2] = ACTIONS(5630),
    [aux_sym_implicit_statement_token4] = ACTIONS(5630),
    [aux_sym_save_statement_token1] = ACTIONS(5630),
    [aux_sym_private_statement_token1] = ACTIONS(5630),
    [aux_sym_public_statement_token1] = ACTIONS(5630),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5630),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5630),
    [aux_sym_variable_attributes_token2] = ACTIONS(5630),
    [aux_sym_variable_attributes_token3] = ACTIONS(5630),
    [aux_sym_variable_attributes_token5] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5630),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5630),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5630),
    [aux_sym_type_qualifier_token1] = ACTIONS(5630),
    [aux_sym_type_qualifier_token2] = ACTIONS(5630),
    [anon_sym_SEMI] = ACTIONS(5634),
    [aux_sym_stop_statement_token1] = ACTIONS(5630),
    [aux_sym_stop_statement_token2] = ACTIONS(5630),
    [aux_sym_subroutine_call_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token1] = ACTIONS(5630),
    [aux_sym_keyword_statement_token2] = ACTIONS(5630),
    [aux_sym_keyword_statement_token3] = ACTIONS(5630),
    [aux_sym_keyword_statement_token4] = ACTIONS(5630),
    [aux_sym_keyword_statement_token6] = ACTIONS(5630),
    [aux_sym_keyword_statement_token7] = ACTIONS(5630),
    [aux_sym_include_statement_token1] = ACTIONS(5630),
    [aux_sym_data_statement_token1] = ACTIONS(5630),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5630),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5630),
    [aux_sym_end_if_statement_token1] = ACTIONS(5630),
    [aux_sym_elseif_clause_token2] = ACTIONS(5630),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5630),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token1] = ACTIONS(5630),
    [aux_sym_select_case_statement_token3] = ACTIONS(5630),
    [aux_sym_select_type_statement_token1] = ACTIONS(5630),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5630),
    [aux_sym_block_construct_token1] = ACTIONS(5630),
    [aux_sym_associate_statement_token1] = ACTIONS(5630),
    [aux_sym_format_statement_token1] = ACTIONS(5630),
    [aux_sym_print_statement_token1] = ACTIONS(5630),
    [aux_sym_open_statement_token1] = ACTIONS(5630),
    [aux_sym_close_statement_token1] = ACTIONS(5630),
    [aux_sym_inquire_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token1] = ACTIONS(5630),
    [aux_sym_file_position_statement_token2] = ACTIONS(5630),
    [aux_sym_file_position_statement_token3] = ACTIONS(5630),
    [aux_sym_file_position_statement_token4] = ACTIONS(5630),
    [aux_sym_allocate_statement_token1] = ACTIONS(5630),
    [aux_sym_entry_statement_token1] = ACTIONS(5630),
    [aux_sym_logical_expression_token5] = ACTIONS(5634),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5634),
    [aux_sym_boolean_literal_token1] = ACTIONS(5634),
    [aux_sym_boolean_literal_token2] = ACTIONS(5634),
    [aux_sym_null_literal_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_statement_token2] = ACTIONS(5630),
    [aux_sym_coarray_statement_token6] = ACTIONS(5630),
    [aux_sym_coarray_statement_token8] = ACTIONS(5630),
    [aux_sym_coarray_statement_token11] = ACTIONS(5630),
    [aux_sym_coarray_statement_token12] = ACTIONS(5630),
    [aux_sym_coarray_statement_token13] = ACTIONS(5630),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5630),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5630),
    [aux_sym_identifier_token1] = ACTIONS(5630),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5634),
    [sym__float_literal] = ACTIONS(5634),
    [sym__boz_literal] = ACTIONS(5634),
    [sym__string_literal] = ACTIONS(5634),
    [sym__string_literal_kind] = ACTIONS(5634),
  },
  [2489] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2490] = {
    [anon_sym_COMMA] = ACTIONS(6650),
    [anon_sym_RPAREN] = ACTIONS(6650),
    [anon_sym_LPAREN2] = ACTIONS(6650),
    [anon_sym_PLUS] = ACTIONS(6650),
    [anon_sym_DASH] = ACTIONS(6650),
    [anon_sym_STAR] = ACTIONS(6652),
    [anon_sym_SLASH] = ACTIONS(6652),
    [anon_sym_PERCENT] = ACTIONS(6650),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6650),
    [anon_sym_GT] = ACTIONS(6652),
    [anon_sym_GT_EQ] = ACTIONS(6650),
    [anon_sym_LT_EQ] = ACTIONS(6650),
    [anon_sym_LT] = ACTIONS(6652),
    [aux_sym_end_program_statement_token1] = ACTIONS(6652),
    [anon_sym_EQ] = ACTIONS(6652),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6652),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6652),
    [aux_sym_language_binding_token1] = ACTIONS(6652),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6652),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6652),
    [aux_sym_use_statement_token2] = ACTIONS(6652),
    [anon_sym_COLON_COLON] = ACTIONS(6650),
    [anon_sym_EQ_GT] = ACTIONS(6650),
    [aux_sym_implicit_statement_token4] = ACTIONS(6652),
    [aux_sym_save_statement_token1] = ACTIONS(6652),
    [aux_sym_private_statement_token1] = ACTIONS(6652),
    [aux_sym_public_statement_token1] = ACTIONS(6652),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6652),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6652),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6652),
    [aux_sym_variable_attributes_token1] = ACTIONS(6652),
    [aux_sym_variable_attributes_token2] = ACTIONS(6652),
    [aux_sym_variable_attributes_token3] = ACTIONS(6652),
    [aux_sym_variable_attributes_token4] = ACTIONS(6652),
    [aux_sym_variable_attributes_token5] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6652),
    [aux_sym_type_qualifier_token1] = ACTIONS(6652),
    [aux_sym_type_qualifier_token2] = ACTIONS(6652),
    [aux_sym_stop_statement_token1] = ACTIONS(6652),
    [aux_sym_stop_statement_token2] = ACTIONS(6652),
    [anon_sym_GT_GT_GT] = ACTIONS(6650),
    [aux_sym_keyword_statement_token2] = ACTIONS(6652),
    [aux_sym_keyword_statement_token3] = ACTIONS(6652),
    [aux_sym_data_statement_token1] = ACTIONS(6652),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6652),
    [aux_sym_end_if_statement_token1] = ACTIONS(6652),
    [aux_sym_elseif_clause_token2] = ACTIONS(6652),
    [aux_sym_select_case_statement_token1] = ACTIONS(6652),
    [aux_sym_block_construct_token1] = ACTIONS(6652),
    [aux_sym_format_statement_token1] = ACTIONS(6652),
    [aux_sym_inquire_statement_token1] = ACTIONS(6652),
    [aux_sym_entry_statement_token1] = ACTIONS(6652),
    [aux_sym_logical_expression_token1] = ACTIONS(6650),
    [aux_sym_logical_expression_token2] = ACTIONS(6650),
    [aux_sym_logical_expression_token3] = ACTIONS(6650),
    [aux_sym_logical_expression_token4] = ACTIONS(6650),
    [aux_sym_relational_expression_token1] = ACTIONS(6650),
    [aux_sym_relational_expression_token2] = ACTIONS(6650),
    [aux_sym_relational_expression_token3] = ACTIONS(6650),
    [aux_sym_relational_expression_token4] = ACTIONS(6650),
    [aux_sym_relational_expression_token5] = ACTIONS(6650),
    [anon_sym_SLASH_EQ] = ACTIONS(6650),
    [aux_sym_relational_expression_token6] = ACTIONS(6650),
    [anon_sym_SLASH_SLASH] = ACTIONS(6650),
    [anon_sym_STAR_STAR] = ACTIONS(6650),
    [anon_sym_DOT] = ACTIONS(6652),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6650),
    [anon_sym_LBRACK] = ACTIONS(6650),
    [anon_sym_RBRACK] = ACTIONS(6650),
    [aux_sym_null_literal_token1] = ACTIONS(6652),
    [aux_sym_coarray_statement_token1] = ACTIONS(6652),
    [aux_sym_coarray_statement_token2] = ACTIONS(6652),
    [aux_sym_coarray_statement_token6] = ACTIONS(6652),
    [aux_sym_coarray_statement_token8] = ACTIONS(6652),
    [aux_sym_coarray_statement_token11] = ACTIONS(6652),
    [aux_sym_coarray_statement_token12] = ACTIONS(6652),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6652),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6652),
    [anon_sym_QMARK] = ACTIONS(6650),
    [aux_sym_identifier_token1] = ACTIONS(6652),
    [sym_comment] = ACTIONS(21),
  },
  [2491] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5556),
    [sym_preproc_comment] = ACTIONS(6654),
    [anon_sym_PLUS] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5556),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5556),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5556),
    [aux_sym_use_statement_token2] = ACTIONS(5556),
    [aux_sym_implicit_statement_token4] = ACTIONS(5556),
    [aux_sym_save_statement_token1] = ACTIONS(5556),
    [aux_sym_private_statement_token1] = ACTIONS(5556),
    [aux_sym_public_statement_token1] = ACTIONS(5556),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5556),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5556),
    [aux_sym_variable_attributes_token2] = ACTIONS(5556),
    [aux_sym_variable_attributes_token3] = ACTIONS(5556),
    [aux_sym_variable_attributes_token5] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5556),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5556),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5556),
    [aux_sym_type_qualifier_token1] = ACTIONS(5556),
    [aux_sym_type_qualifier_token2] = ACTIONS(5556),
    [anon_sym_SEMI] = ACTIONS(5560),
    [aux_sym_stop_statement_token1] = ACTIONS(5556),
    [aux_sym_stop_statement_token2] = ACTIONS(5556),
    [aux_sym_subroutine_call_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token1] = ACTIONS(5556),
    [aux_sym_keyword_statement_token2] = ACTIONS(5556),
    [aux_sym_keyword_statement_token3] = ACTIONS(5556),
    [aux_sym_keyword_statement_token4] = ACTIONS(5556),
    [aux_sym_keyword_statement_token6] = ACTIONS(5556),
    [aux_sym_keyword_statement_token7] = ACTIONS(5556),
    [aux_sym_include_statement_token1] = ACTIONS(5556),
    [aux_sym_data_statement_token1] = ACTIONS(5556),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5556),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5556),
    [aux_sym_end_if_statement_token1] = ACTIONS(5556),
    [aux_sym_elseif_clause_token2] = ACTIONS(5556),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5556),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token1] = ACTIONS(5556),
    [aux_sym_select_case_statement_token3] = ACTIONS(5556),
    [aux_sym_select_type_statement_token1] = ACTIONS(5556),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5556),
    [aux_sym_block_construct_token1] = ACTIONS(5556),
    [aux_sym_associate_statement_token1] = ACTIONS(5556),
    [aux_sym_format_statement_token1] = ACTIONS(5556),
    [aux_sym_print_statement_token1] = ACTIONS(5556),
    [aux_sym_open_statement_token1] = ACTIONS(5556),
    [aux_sym_close_statement_token1] = ACTIONS(5556),
    [aux_sym_inquire_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token1] = ACTIONS(5556),
    [aux_sym_file_position_statement_token2] = ACTIONS(5556),
    [aux_sym_file_position_statement_token3] = ACTIONS(5556),
    [aux_sym_file_position_statement_token4] = ACTIONS(5556),
    [aux_sym_allocate_statement_token1] = ACTIONS(5556),
    [aux_sym_entry_statement_token1] = ACTIONS(5556),
    [aux_sym_logical_expression_token5] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [aux_sym_boolean_literal_token1] = ACTIONS(5560),
    [aux_sym_boolean_literal_token2] = ACTIONS(5560),
    [aux_sym_null_literal_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_statement_token2] = ACTIONS(5556),
    [aux_sym_coarray_statement_token6] = ACTIONS(5556),
    [aux_sym_coarray_statement_token8] = ACTIONS(5556),
    [aux_sym_coarray_statement_token11] = ACTIONS(5556),
    [aux_sym_coarray_statement_token12] = ACTIONS(5556),
    [aux_sym_coarray_statement_token13] = ACTIONS(5556),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5556),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5556),
    [aux_sym_identifier_token1] = ACTIONS(5556),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5560),
    [sym__float_literal] = ACTIONS(5560),
    [sym__boz_literal] = ACTIONS(5560),
    [sym__string_literal] = ACTIONS(5560),
    [sym__string_literal_kind] = ACTIONS(5560),
  },
  [2492] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2493] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2494] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2495] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2496] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token2] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2497] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2498] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2499] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [sym_preproc_comment] = ACTIONS(6656),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2500] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [sym_preproc_comment] = ACTIONS(6658),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2501] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token2] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2502] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2503] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2504] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2505] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2506] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2507] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2508] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token2] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2509] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [sym_preproc_comment] = ACTIONS(6660),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2510] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2511] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2512] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [sym_preproc_comment] = ACTIONS(6662),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2513] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2514] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token2] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2515] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2516] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token2] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2517] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2518] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2519] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2520] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2521] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2522] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [sym_preproc_comment] = ACTIONS(6664),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2523] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token2] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2524] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2525] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2526] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2527] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2528] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2529] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2530] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2531] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2532] = {
    [anon_sym_COMMA] = ACTIONS(6666),
    [anon_sym_RPAREN] = ACTIONS(6666),
    [anon_sym_LPAREN2] = ACTIONS(6666),
    [anon_sym_PLUS] = ACTIONS(6666),
    [anon_sym_DASH] = ACTIONS(6666),
    [anon_sym_STAR] = ACTIONS(6668),
    [anon_sym_SLASH] = ACTIONS(6668),
    [anon_sym_PERCENT] = ACTIONS(6666),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6666),
    [anon_sym_GT] = ACTIONS(6668),
    [anon_sym_GT_EQ] = ACTIONS(6666),
    [anon_sym_LT_EQ] = ACTIONS(6666),
    [anon_sym_LT] = ACTIONS(6668),
    [aux_sym_end_program_statement_token1] = ACTIONS(6668),
    [anon_sym_EQ] = ACTIONS(6668),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6668),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6668),
    [aux_sym_language_binding_token1] = ACTIONS(6668),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6668),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6668),
    [aux_sym_use_statement_token2] = ACTIONS(6668),
    [anon_sym_COLON_COLON] = ACTIONS(6666),
    [anon_sym_EQ_GT] = ACTIONS(6666),
    [aux_sym_implicit_statement_token4] = ACTIONS(6668),
    [aux_sym_save_statement_token1] = ACTIONS(6668),
    [aux_sym_private_statement_token1] = ACTIONS(6668),
    [aux_sym_public_statement_token1] = ACTIONS(6668),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6668),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6668),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6668),
    [aux_sym_variable_attributes_token1] = ACTIONS(6668),
    [aux_sym_variable_attributes_token2] = ACTIONS(6668),
    [aux_sym_variable_attributes_token3] = ACTIONS(6668),
    [aux_sym_variable_attributes_token4] = ACTIONS(6668),
    [aux_sym_variable_attributes_token5] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6668),
    [aux_sym_type_qualifier_token1] = ACTIONS(6668),
    [aux_sym_type_qualifier_token2] = ACTIONS(6668),
    [aux_sym_stop_statement_token1] = ACTIONS(6668),
    [aux_sym_stop_statement_token2] = ACTIONS(6668),
    [anon_sym_GT_GT_GT] = ACTIONS(6666),
    [aux_sym_keyword_statement_token2] = ACTIONS(6668),
    [aux_sym_keyword_statement_token3] = ACTIONS(6668),
    [aux_sym_data_statement_token1] = ACTIONS(6668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6668),
    [aux_sym_end_if_statement_token1] = ACTIONS(6668),
    [aux_sym_elseif_clause_token2] = ACTIONS(6668),
    [aux_sym_select_case_statement_token1] = ACTIONS(6668),
    [aux_sym_block_construct_token1] = ACTIONS(6668),
    [aux_sym_format_statement_token1] = ACTIONS(6668),
    [aux_sym_inquire_statement_token1] = ACTIONS(6668),
    [aux_sym_entry_statement_token1] = ACTIONS(6668),
    [aux_sym_logical_expression_token1] = ACTIONS(6666),
    [aux_sym_logical_expression_token2] = ACTIONS(6666),
    [aux_sym_logical_expression_token3] = ACTIONS(6666),
    [aux_sym_logical_expression_token4] = ACTIONS(6666),
    [aux_sym_relational_expression_token1] = ACTIONS(6666),
    [aux_sym_relational_expression_token2] = ACTIONS(6666),
    [aux_sym_relational_expression_token3] = ACTIONS(6666),
    [aux_sym_relational_expression_token4] = ACTIONS(6666),
    [aux_sym_relational_expression_token5] = ACTIONS(6666),
    [anon_sym_SLASH_EQ] = ACTIONS(6666),
    [aux_sym_relational_expression_token6] = ACTIONS(6666),
    [anon_sym_SLASH_SLASH] = ACTIONS(6666),
    [anon_sym_STAR_STAR] = ACTIONS(6666),
    [anon_sym_DOT] = ACTIONS(6668),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6666),
    [anon_sym_LBRACK] = ACTIONS(6666),
    [anon_sym_RBRACK] = ACTIONS(6666),
    [aux_sym_null_literal_token1] = ACTIONS(6668),
    [aux_sym_coarray_statement_token1] = ACTIONS(6668),
    [aux_sym_coarray_statement_token2] = ACTIONS(6668),
    [aux_sym_coarray_statement_token6] = ACTIONS(6668),
    [aux_sym_coarray_statement_token8] = ACTIONS(6668),
    [aux_sym_coarray_statement_token11] = ACTIONS(6668),
    [aux_sym_coarray_statement_token12] = ACTIONS(6668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6668),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6668),
    [anon_sym_QMARK] = ACTIONS(6666),
    [aux_sym_identifier_token1] = ACTIONS(6668),
    [sym_comment] = ACTIONS(21),
  },
  [2533] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_end_select_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2534] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_end_select_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2535] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2536] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2537] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_end_select_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2538] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2539] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2540] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_end_select_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2541] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2542] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2543] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_end_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2544] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2545] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_end_select_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2546] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2547] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_end_select_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2548] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2549] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2550] = {
    [anon_sym_COMMA] = ACTIONS(6670),
    [anon_sym_RPAREN] = ACTIONS(6670),
    [anon_sym_LPAREN2] = ACTIONS(6670),
    [anon_sym_PLUS] = ACTIONS(6670),
    [anon_sym_DASH] = ACTIONS(6670),
    [anon_sym_STAR] = ACTIONS(6672),
    [anon_sym_SLASH] = ACTIONS(6672),
    [anon_sym_PERCENT] = ACTIONS(6670),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6670),
    [anon_sym_GT] = ACTIONS(6672),
    [anon_sym_GT_EQ] = ACTIONS(6670),
    [anon_sym_LT_EQ] = ACTIONS(6670),
    [anon_sym_LT] = ACTIONS(6672),
    [aux_sym_end_program_statement_token1] = ACTIONS(6672),
    [anon_sym_EQ] = ACTIONS(6672),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6672),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6672),
    [aux_sym_language_binding_token1] = ACTIONS(6672),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6672),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6672),
    [aux_sym_use_statement_token2] = ACTIONS(6672),
    [anon_sym_COLON_COLON] = ACTIONS(6670),
    [anon_sym_EQ_GT] = ACTIONS(6670),
    [aux_sym_implicit_statement_token4] = ACTIONS(6672),
    [aux_sym_save_statement_token1] = ACTIONS(6672),
    [aux_sym_private_statement_token1] = ACTIONS(6672),
    [aux_sym_public_statement_token1] = ACTIONS(6672),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6672),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6672),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6672),
    [aux_sym_variable_attributes_token1] = ACTIONS(6672),
    [aux_sym_variable_attributes_token2] = ACTIONS(6672),
    [aux_sym_variable_attributes_token3] = ACTIONS(6672),
    [aux_sym_variable_attributes_token4] = ACTIONS(6672),
    [aux_sym_variable_attributes_token5] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6672),
    [aux_sym_type_qualifier_token1] = ACTIONS(6672),
    [aux_sym_type_qualifier_token2] = ACTIONS(6672),
    [aux_sym_stop_statement_token1] = ACTIONS(6672),
    [aux_sym_stop_statement_token2] = ACTIONS(6672),
    [anon_sym_GT_GT_GT] = ACTIONS(6670),
    [aux_sym_keyword_statement_token2] = ACTIONS(6672),
    [aux_sym_keyword_statement_token3] = ACTIONS(6672),
    [aux_sym_data_statement_token1] = ACTIONS(6672),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6672),
    [aux_sym_end_if_statement_token1] = ACTIONS(6672),
    [aux_sym_elseif_clause_token2] = ACTIONS(6672),
    [aux_sym_select_case_statement_token1] = ACTIONS(6672),
    [aux_sym_block_construct_token1] = ACTIONS(6672),
    [aux_sym_format_statement_token1] = ACTIONS(6672),
    [aux_sym_inquire_statement_token1] = ACTIONS(6672),
    [aux_sym_entry_statement_token1] = ACTIONS(6672),
    [aux_sym_logical_expression_token1] = ACTIONS(6670),
    [aux_sym_logical_expression_token2] = ACTIONS(6670),
    [aux_sym_logical_expression_token3] = ACTIONS(6670),
    [aux_sym_logical_expression_token4] = ACTIONS(6670),
    [aux_sym_relational_expression_token1] = ACTIONS(6670),
    [aux_sym_relational_expression_token2] = ACTIONS(6670),
    [aux_sym_relational_expression_token3] = ACTIONS(6670),
    [aux_sym_relational_expression_token4] = ACTIONS(6670),
    [aux_sym_relational_expression_token5] = ACTIONS(6670),
    [anon_sym_SLASH_EQ] = ACTIONS(6670),
    [aux_sym_relational_expression_token6] = ACTIONS(6670),
    [anon_sym_SLASH_SLASH] = ACTIONS(6670),
    [anon_sym_STAR_STAR] = ACTIONS(6670),
    [anon_sym_DOT] = ACTIONS(6672),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6670),
    [anon_sym_LBRACK] = ACTIONS(6670),
    [anon_sym_RBRACK] = ACTIONS(6670),
    [aux_sym_null_literal_token1] = ACTIONS(6672),
    [aux_sym_coarray_statement_token1] = ACTIONS(6672),
    [aux_sym_coarray_statement_token2] = ACTIONS(6672),
    [aux_sym_coarray_statement_token6] = ACTIONS(6672),
    [aux_sym_coarray_statement_token8] = ACTIONS(6672),
    [aux_sym_coarray_statement_token11] = ACTIONS(6672),
    [aux_sym_coarray_statement_token12] = ACTIONS(6672),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6672),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6672),
    [anon_sym_QMARK] = ACTIONS(6670),
    [aux_sym_identifier_token1] = ACTIONS(6672),
    [sym_comment] = ACTIONS(21),
  },
  [2551] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2552] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_end_select_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2553] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_end_select_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2554] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2555] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2556] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2557] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2558] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2559] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2560] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2561] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2562] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2563] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2564] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2565] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2566] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2567] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2568] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2569] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2570] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2571] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2572] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2573] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2574] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2575] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_end_block_construct_statement_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2576] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2577] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2578] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2579] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2580] = {
    [anon_sym_COMMA] = ACTIONS(6674),
    [anon_sym_RPAREN] = ACTIONS(6674),
    [anon_sym_LPAREN2] = ACTIONS(6674),
    [anon_sym_PLUS] = ACTIONS(6674),
    [anon_sym_DASH] = ACTIONS(6674),
    [anon_sym_STAR] = ACTIONS(6676),
    [anon_sym_SLASH] = ACTIONS(6676),
    [anon_sym_PERCENT] = ACTIONS(6674),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6674),
    [anon_sym_GT] = ACTIONS(6676),
    [anon_sym_GT_EQ] = ACTIONS(6674),
    [anon_sym_LT_EQ] = ACTIONS(6674),
    [anon_sym_LT] = ACTIONS(6676),
    [aux_sym_end_program_statement_token1] = ACTIONS(6676),
    [anon_sym_EQ] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6676),
    [aux_sym_language_binding_token1] = ACTIONS(6676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6676),
    [aux_sym_use_statement_token2] = ACTIONS(6676),
    [anon_sym_COLON_COLON] = ACTIONS(6674),
    [anon_sym_EQ_GT] = ACTIONS(6674),
    [aux_sym_implicit_statement_token4] = ACTIONS(6676),
    [aux_sym_save_statement_token1] = ACTIONS(6676),
    [aux_sym_private_statement_token1] = ACTIONS(6676),
    [aux_sym_public_statement_token1] = ACTIONS(6676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6676),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6676),
    [aux_sym_variable_attributes_token1] = ACTIONS(6676),
    [aux_sym_variable_attributes_token2] = ACTIONS(6676),
    [aux_sym_variable_attributes_token3] = ACTIONS(6676),
    [aux_sym_variable_attributes_token4] = ACTIONS(6676),
    [aux_sym_variable_attributes_token5] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6676),
    [aux_sym_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym_type_qualifier_token2] = ACTIONS(6676),
    [aux_sym_stop_statement_token1] = ACTIONS(6676),
    [aux_sym_stop_statement_token2] = ACTIONS(6676),
    [anon_sym_GT_GT_GT] = ACTIONS(6674),
    [aux_sym_keyword_statement_token2] = ACTIONS(6676),
    [aux_sym_keyword_statement_token3] = ACTIONS(6676),
    [aux_sym_data_statement_token1] = ACTIONS(6676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6676),
    [aux_sym_end_if_statement_token1] = ACTIONS(6676),
    [aux_sym_elseif_clause_token2] = ACTIONS(6676),
    [aux_sym_select_case_statement_token1] = ACTIONS(6676),
    [aux_sym_block_construct_token1] = ACTIONS(6676),
    [aux_sym_format_statement_token1] = ACTIONS(6676),
    [aux_sym_inquire_statement_token1] = ACTIONS(6676),
    [aux_sym_entry_statement_token1] = ACTIONS(6676),
    [aux_sym_logical_expression_token1] = ACTIONS(6674),
    [aux_sym_logical_expression_token2] = ACTIONS(6674),
    [aux_sym_logical_expression_token3] = ACTIONS(6674),
    [aux_sym_logical_expression_token4] = ACTIONS(6674),
    [aux_sym_relational_expression_token1] = ACTIONS(6674),
    [aux_sym_relational_expression_token2] = ACTIONS(6674),
    [aux_sym_relational_expression_token3] = ACTIONS(6674),
    [aux_sym_relational_expression_token4] = ACTIONS(6674),
    [aux_sym_relational_expression_token5] = ACTIONS(6674),
    [anon_sym_SLASH_EQ] = ACTIONS(6674),
    [aux_sym_relational_expression_token6] = ACTIONS(6674),
    [anon_sym_SLASH_SLASH] = ACTIONS(6674),
    [anon_sym_STAR_STAR] = ACTIONS(6674),
    [anon_sym_DOT] = ACTIONS(6676),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6674),
    [anon_sym_LBRACK] = ACTIONS(6674),
    [anon_sym_RBRACK] = ACTIONS(6674),
    [aux_sym_null_literal_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token2] = ACTIONS(6676),
    [aux_sym_coarray_statement_token6] = ACTIONS(6676),
    [aux_sym_coarray_statement_token8] = ACTIONS(6676),
    [aux_sym_coarray_statement_token11] = ACTIONS(6676),
    [aux_sym_coarray_statement_token12] = ACTIONS(6676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6676),
    [anon_sym_QMARK] = ACTIONS(6674),
    [aux_sym_identifier_token1] = ACTIONS(6676),
    [sym_comment] = ACTIONS(21),
  },
  [2581] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2582] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2583] = {
    [anon_sym_COMMA] = ACTIONS(6678),
    [anon_sym_RPAREN] = ACTIONS(6678),
    [anon_sym_LPAREN2] = ACTIONS(6678),
    [anon_sym_PLUS] = ACTIONS(6678),
    [anon_sym_DASH] = ACTIONS(6678),
    [anon_sym_STAR] = ACTIONS(6680),
    [anon_sym_SLASH] = ACTIONS(6680),
    [anon_sym_PERCENT] = ACTIONS(6678),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6678),
    [anon_sym_GT] = ACTIONS(6680),
    [anon_sym_GT_EQ] = ACTIONS(6678),
    [anon_sym_LT_EQ] = ACTIONS(6678),
    [anon_sym_LT] = ACTIONS(6680),
    [aux_sym_end_program_statement_token1] = ACTIONS(6680),
    [anon_sym_EQ] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6680),
    [aux_sym_language_binding_token1] = ACTIONS(6680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6680),
    [aux_sym_use_statement_token2] = ACTIONS(6680),
    [anon_sym_COLON_COLON] = ACTIONS(6678),
    [anon_sym_EQ_GT] = ACTIONS(6678),
    [aux_sym_implicit_statement_token4] = ACTIONS(6680),
    [aux_sym_save_statement_token1] = ACTIONS(6680),
    [aux_sym_private_statement_token1] = ACTIONS(6680),
    [aux_sym_public_statement_token1] = ACTIONS(6680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6680),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6680),
    [aux_sym_variable_attributes_token1] = ACTIONS(6680),
    [aux_sym_variable_attributes_token2] = ACTIONS(6680),
    [aux_sym_variable_attributes_token3] = ACTIONS(6680),
    [aux_sym_variable_attributes_token4] = ACTIONS(6680),
    [aux_sym_variable_attributes_token5] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6680),
    [aux_sym_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym_type_qualifier_token2] = ACTIONS(6680),
    [aux_sym_stop_statement_token1] = ACTIONS(6680),
    [aux_sym_stop_statement_token2] = ACTIONS(6680),
    [anon_sym_GT_GT_GT] = ACTIONS(6678),
    [aux_sym_keyword_statement_token2] = ACTIONS(6680),
    [aux_sym_keyword_statement_token3] = ACTIONS(6680),
    [aux_sym_data_statement_token1] = ACTIONS(6680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6680),
    [aux_sym_end_if_statement_token1] = ACTIONS(6680),
    [aux_sym_elseif_clause_token2] = ACTIONS(6680),
    [aux_sym_select_case_statement_token1] = ACTIONS(6680),
    [aux_sym_block_construct_token1] = ACTIONS(6680),
    [aux_sym_format_statement_token1] = ACTIONS(6680),
    [aux_sym_inquire_statement_token1] = ACTIONS(6680),
    [aux_sym_entry_statement_token1] = ACTIONS(6680),
    [aux_sym_logical_expression_token1] = ACTIONS(6678),
    [aux_sym_logical_expression_token2] = ACTIONS(6678),
    [aux_sym_logical_expression_token3] = ACTIONS(6678),
    [aux_sym_logical_expression_token4] = ACTIONS(6678),
    [aux_sym_relational_expression_token1] = ACTIONS(6678),
    [aux_sym_relational_expression_token2] = ACTIONS(6678),
    [aux_sym_relational_expression_token3] = ACTIONS(6678),
    [aux_sym_relational_expression_token4] = ACTIONS(6678),
    [aux_sym_relational_expression_token5] = ACTIONS(6678),
    [anon_sym_SLASH_EQ] = ACTIONS(6678),
    [aux_sym_relational_expression_token6] = ACTIONS(6678),
    [anon_sym_SLASH_SLASH] = ACTIONS(6678),
    [anon_sym_STAR_STAR] = ACTIONS(6678),
    [anon_sym_DOT] = ACTIONS(6680),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6678),
    [anon_sym_LBRACK] = ACTIONS(6678),
    [anon_sym_RBRACK] = ACTIONS(6678),
    [aux_sym_null_literal_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token2] = ACTIONS(6680),
    [aux_sym_coarray_statement_token6] = ACTIONS(6680),
    [aux_sym_coarray_statement_token8] = ACTIONS(6680),
    [aux_sym_coarray_statement_token11] = ACTIONS(6680),
    [aux_sym_coarray_statement_token12] = ACTIONS(6680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6680),
    [anon_sym_QMARK] = ACTIONS(6678),
    [aux_sym_identifier_token1] = ACTIONS(6680),
    [sym_comment] = ACTIONS(21),
  },
  [2584] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2585] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2586] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2587] = {
    [anon_sym_COMMA] = ACTIONS(6682),
    [anon_sym_RPAREN] = ACTIONS(6682),
    [anon_sym_LPAREN2] = ACTIONS(6682),
    [anon_sym_PLUS] = ACTIONS(6682),
    [anon_sym_DASH] = ACTIONS(6682),
    [anon_sym_STAR] = ACTIONS(6684),
    [anon_sym_SLASH] = ACTIONS(6684),
    [anon_sym_PERCENT] = ACTIONS(6682),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6682),
    [anon_sym_GT] = ACTIONS(6684),
    [anon_sym_GT_EQ] = ACTIONS(6682),
    [anon_sym_LT_EQ] = ACTIONS(6682),
    [anon_sym_LT] = ACTIONS(6684),
    [aux_sym_end_program_statement_token1] = ACTIONS(6684),
    [anon_sym_EQ] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6684),
    [aux_sym_language_binding_token1] = ACTIONS(6684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6684),
    [aux_sym_use_statement_token2] = ACTIONS(6684),
    [anon_sym_COLON_COLON] = ACTIONS(6682),
    [anon_sym_EQ_GT] = ACTIONS(6682),
    [aux_sym_implicit_statement_token4] = ACTIONS(6684),
    [aux_sym_save_statement_token1] = ACTIONS(6684),
    [aux_sym_private_statement_token1] = ACTIONS(6684),
    [aux_sym_public_statement_token1] = ACTIONS(6684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6684),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6684),
    [aux_sym_variable_attributes_token1] = ACTIONS(6684),
    [aux_sym_variable_attributes_token2] = ACTIONS(6684),
    [aux_sym_variable_attributes_token3] = ACTIONS(6684),
    [aux_sym_variable_attributes_token4] = ACTIONS(6684),
    [aux_sym_variable_attributes_token5] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6684),
    [aux_sym_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym_type_qualifier_token2] = ACTIONS(6684),
    [aux_sym_stop_statement_token1] = ACTIONS(6684),
    [aux_sym_stop_statement_token2] = ACTIONS(6684),
    [anon_sym_GT_GT_GT] = ACTIONS(6682),
    [aux_sym_keyword_statement_token2] = ACTIONS(6684),
    [aux_sym_keyword_statement_token3] = ACTIONS(6684),
    [aux_sym_data_statement_token1] = ACTIONS(6684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6684),
    [aux_sym_end_if_statement_token1] = ACTIONS(6684),
    [aux_sym_elseif_clause_token2] = ACTIONS(6684),
    [aux_sym_select_case_statement_token1] = ACTIONS(6684),
    [aux_sym_block_construct_token1] = ACTIONS(6684),
    [aux_sym_format_statement_token1] = ACTIONS(6684),
    [aux_sym_inquire_statement_token1] = ACTIONS(6684),
    [aux_sym_entry_statement_token1] = ACTIONS(6684),
    [aux_sym_logical_expression_token1] = ACTIONS(6682),
    [aux_sym_logical_expression_token2] = ACTIONS(6682),
    [aux_sym_logical_expression_token3] = ACTIONS(6682),
    [aux_sym_logical_expression_token4] = ACTIONS(6682),
    [aux_sym_relational_expression_token1] = ACTIONS(6682),
    [aux_sym_relational_expression_token2] = ACTIONS(6682),
    [aux_sym_relational_expression_token3] = ACTIONS(6682),
    [aux_sym_relational_expression_token4] = ACTIONS(6682),
    [aux_sym_relational_expression_token5] = ACTIONS(6682),
    [anon_sym_SLASH_EQ] = ACTIONS(6682),
    [aux_sym_relational_expression_token6] = ACTIONS(6682),
    [anon_sym_SLASH_SLASH] = ACTIONS(6682),
    [anon_sym_STAR_STAR] = ACTIONS(6682),
    [anon_sym_DOT] = ACTIONS(6684),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6682),
    [anon_sym_LBRACK] = ACTIONS(6682),
    [anon_sym_RBRACK] = ACTIONS(6682),
    [aux_sym_null_literal_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token2] = ACTIONS(6684),
    [aux_sym_coarray_statement_token6] = ACTIONS(6684),
    [aux_sym_coarray_statement_token8] = ACTIONS(6684),
    [aux_sym_coarray_statement_token11] = ACTIONS(6684),
    [aux_sym_coarray_statement_token12] = ACTIONS(6684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6684),
    [anon_sym_QMARK] = ACTIONS(6682),
    [aux_sym_identifier_token1] = ACTIONS(6684),
    [sym_comment] = ACTIONS(21),
  },
  [2588] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2589] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2590] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2591] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token2] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2592] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2593] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2594] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2595] = {
    [anon_sym_COMMA] = ACTIONS(6686),
    [anon_sym_RPAREN] = ACTIONS(6686),
    [anon_sym_LPAREN2] = ACTIONS(6686),
    [anon_sym_PLUS] = ACTIONS(6686),
    [anon_sym_DASH] = ACTIONS(6686),
    [anon_sym_STAR] = ACTIONS(6688),
    [anon_sym_SLASH] = ACTIONS(6688),
    [anon_sym_PERCENT] = ACTIONS(6686),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6686),
    [anon_sym_GT] = ACTIONS(6688),
    [anon_sym_GT_EQ] = ACTIONS(6686),
    [anon_sym_LT_EQ] = ACTIONS(6686),
    [anon_sym_LT] = ACTIONS(6688),
    [aux_sym_end_program_statement_token1] = ACTIONS(6688),
    [anon_sym_EQ] = ACTIONS(6688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6688),
    [aux_sym_language_binding_token1] = ACTIONS(6688),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6688),
    [aux_sym_use_statement_token2] = ACTIONS(6688),
    [anon_sym_COLON_COLON] = ACTIONS(6686),
    [anon_sym_EQ_GT] = ACTIONS(6686),
    [aux_sym_implicit_statement_token4] = ACTIONS(6688),
    [aux_sym_save_statement_token1] = ACTIONS(6688),
    [aux_sym_private_statement_token1] = ACTIONS(6688),
    [aux_sym_public_statement_token1] = ACTIONS(6688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6688),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6688),
    [aux_sym_variable_attributes_token1] = ACTIONS(6688),
    [aux_sym_variable_attributes_token2] = ACTIONS(6688),
    [aux_sym_variable_attributes_token3] = ACTIONS(6688),
    [aux_sym_variable_attributes_token4] = ACTIONS(6688),
    [aux_sym_variable_attributes_token5] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6688),
    [aux_sym_type_qualifier_token1] = ACTIONS(6688),
    [aux_sym_type_qualifier_token2] = ACTIONS(6688),
    [aux_sym_stop_statement_token1] = ACTIONS(6688),
    [aux_sym_stop_statement_token2] = ACTIONS(6688),
    [anon_sym_GT_GT_GT] = ACTIONS(6686),
    [aux_sym_keyword_statement_token2] = ACTIONS(6688),
    [aux_sym_keyword_statement_token3] = ACTIONS(6688),
    [aux_sym_data_statement_token1] = ACTIONS(6688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6688),
    [aux_sym_end_if_statement_token1] = ACTIONS(6688),
    [aux_sym_elseif_clause_token2] = ACTIONS(6688),
    [aux_sym_select_case_statement_token1] = ACTIONS(6688),
    [aux_sym_block_construct_token1] = ACTIONS(6688),
    [aux_sym_format_statement_token1] = ACTIONS(6688),
    [aux_sym_inquire_statement_token1] = ACTIONS(6688),
    [aux_sym_entry_statement_token1] = ACTIONS(6688),
    [aux_sym_logical_expression_token1] = ACTIONS(6686),
    [aux_sym_logical_expression_token2] = ACTIONS(6686),
    [aux_sym_logical_expression_token3] = ACTIONS(6686),
    [aux_sym_logical_expression_token4] = ACTIONS(6686),
    [aux_sym_relational_expression_token1] = ACTIONS(6686),
    [aux_sym_relational_expression_token2] = ACTIONS(6686),
    [aux_sym_relational_expression_token3] = ACTIONS(6686),
    [aux_sym_relational_expression_token4] = ACTIONS(6686),
    [aux_sym_relational_expression_token5] = ACTIONS(6686),
    [anon_sym_SLASH_EQ] = ACTIONS(6686),
    [aux_sym_relational_expression_token6] = ACTIONS(6686),
    [anon_sym_SLASH_SLASH] = ACTIONS(6686),
    [anon_sym_STAR_STAR] = ACTIONS(6686),
    [anon_sym_DOT] = ACTIONS(6688),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6686),
    [anon_sym_LBRACK] = ACTIONS(6686),
    [anon_sym_RBRACK] = ACTIONS(6686),
    [aux_sym_null_literal_token1] = ACTIONS(6688),
    [aux_sym_coarray_statement_token1] = ACTIONS(6688),
    [aux_sym_coarray_statement_token2] = ACTIONS(6688),
    [aux_sym_coarray_statement_token6] = ACTIONS(6688),
    [aux_sym_coarray_statement_token8] = ACTIONS(6688),
    [aux_sym_coarray_statement_token11] = ACTIONS(6688),
    [aux_sym_coarray_statement_token12] = ACTIONS(6688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6688),
    [anon_sym_QMARK] = ACTIONS(6686),
    [aux_sym_identifier_token1] = ACTIONS(6688),
    [sym_comment] = ACTIONS(21),
  },
  [2596] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2597] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token2] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2598] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2599] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2600] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token2] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2601] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2602] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2603] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2604] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token2] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2605] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2606] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2607] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2608] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2609] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2610] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2611] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2612] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2613] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2614] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2615] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2616] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2617] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2618] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2619] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2620] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_end_forall_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2621] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2622] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2623] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2624] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2625] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2626] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2627] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2628] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_end_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2629] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2630] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_end_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2631] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2632] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2633] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2634] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_end_forall_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2635] = {
    [anon_sym_COMMA] = ACTIONS(6690),
    [anon_sym_RPAREN] = ACTIONS(6690),
    [anon_sym_LPAREN2] = ACTIONS(6690),
    [anon_sym_PLUS] = ACTIONS(6690),
    [anon_sym_DASH] = ACTIONS(6690),
    [anon_sym_STAR] = ACTIONS(6692),
    [anon_sym_SLASH] = ACTIONS(6692),
    [anon_sym_PERCENT] = ACTIONS(6690),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6690),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_GT_EQ] = ACTIONS(6690),
    [anon_sym_LT_EQ] = ACTIONS(6690),
    [anon_sym_LT] = ACTIONS(6692),
    [aux_sym_end_program_statement_token1] = ACTIONS(6692),
    [anon_sym_EQ] = ACTIONS(6692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6692),
    [aux_sym_language_binding_token1] = ACTIONS(6692),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6692),
    [aux_sym_use_statement_token2] = ACTIONS(6692),
    [anon_sym_COLON_COLON] = ACTIONS(6690),
    [anon_sym_EQ_GT] = ACTIONS(6690),
    [aux_sym_implicit_statement_token4] = ACTIONS(6692),
    [aux_sym_save_statement_token1] = ACTIONS(6692),
    [aux_sym_private_statement_token1] = ACTIONS(6692),
    [aux_sym_public_statement_token1] = ACTIONS(6692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6692),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6692),
    [aux_sym_variable_attributes_token1] = ACTIONS(6692),
    [aux_sym_variable_attributes_token2] = ACTIONS(6692),
    [aux_sym_variable_attributes_token3] = ACTIONS(6692),
    [aux_sym_variable_attributes_token4] = ACTIONS(6692),
    [aux_sym_variable_attributes_token5] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6692),
    [aux_sym_type_qualifier_token1] = ACTIONS(6692),
    [aux_sym_type_qualifier_token2] = ACTIONS(6692),
    [aux_sym_stop_statement_token1] = ACTIONS(6692),
    [aux_sym_stop_statement_token2] = ACTIONS(6692),
    [anon_sym_GT_GT_GT] = ACTIONS(6690),
    [aux_sym_keyword_statement_token2] = ACTIONS(6692),
    [aux_sym_keyword_statement_token3] = ACTIONS(6692),
    [aux_sym_data_statement_token1] = ACTIONS(6692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6692),
    [aux_sym_end_if_statement_token1] = ACTIONS(6692),
    [aux_sym_elseif_clause_token2] = ACTIONS(6692),
    [aux_sym_select_case_statement_token1] = ACTIONS(6692),
    [aux_sym_block_construct_token1] = ACTIONS(6692),
    [aux_sym_format_statement_token1] = ACTIONS(6692),
    [aux_sym_inquire_statement_token1] = ACTIONS(6692),
    [aux_sym_entry_statement_token1] = ACTIONS(6692),
    [aux_sym_logical_expression_token1] = ACTIONS(6690),
    [aux_sym_logical_expression_token2] = ACTIONS(6690),
    [aux_sym_logical_expression_token3] = ACTIONS(6690),
    [aux_sym_logical_expression_token4] = ACTIONS(6690),
    [aux_sym_relational_expression_token1] = ACTIONS(6690),
    [aux_sym_relational_expression_token2] = ACTIONS(6690),
    [aux_sym_relational_expression_token3] = ACTIONS(6690),
    [aux_sym_relational_expression_token4] = ACTIONS(6690),
    [aux_sym_relational_expression_token5] = ACTIONS(6690),
    [anon_sym_SLASH_EQ] = ACTIONS(6690),
    [aux_sym_relational_expression_token6] = ACTIONS(6690),
    [anon_sym_SLASH_SLASH] = ACTIONS(6690),
    [anon_sym_STAR_STAR] = ACTIONS(6690),
    [anon_sym_DOT] = ACTIONS(6692),
    [anon_sym_SLASH_RPAREN] = ACTIONS(6690),
    [anon_sym_LBRACK] = ACTIONS(6690),
    [anon_sym_RBRACK] = ACTIONS(6690),
    [aux_sym_null_literal_token1] = ACTIONS(6692),
    [aux_sym_coarray_statement_token1] = ACTIONS(6692),
    [aux_sym_coarray_statement_token2] = ACTIONS(6692),
    [aux_sym_coarray_statement_token6] = ACTIONS(6692),
    [aux_sym_coarray_statement_token8] = ACTIONS(6692),
    [aux_sym_coarray_statement_token11] = ACTIONS(6692),
    [aux_sym_coarray_statement_token12] = ACTIONS(6692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6692),
    [anon_sym_QMARK] = ACTIONS(6690),
    [aux_sym_identifier_token1] = ACTIONS(6692),
    [sym_comment] = ACTIONS(21),
  },
  [2636] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_end_forall_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2637] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_end_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2638] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2639] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_end_select_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2640] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym_end_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2641] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2642] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_end_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2643] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4499),
    [aux_sym_preproc_def_token1] = ACTIONS(4499),
    [aux_sym_preproc_if_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4499),
    [sym_preproc_directive] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4499),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4499),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4499),
    [aux_sym_use_statement_token2] = ACTIONS(4499),
    [aux_sym_implicit_statement_token4] = ACTIONS(4499),
    [aux_sym_save_statement_token1] = ACTIONS(4499),
    [aux_sym_private_statement_token1] = ACTIONS(4499),
    [aux_sym_public_statement_token1] = ACTIONS(4499),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4499),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4499),
    [aux_sym_variable_attributes_token2] = ACTIONS(4499),
    [aux_sym_variable_attributes_token3] = ACTIONS(4499),
    [aux_sym_variable_attributes_token5] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4499),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4499),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4499),
    [aux_sym_type_qualifier_token1] = ACTIONS(4499),
    [aux_sym_type_qualifier_token2] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(5580),
    [aux_sym_stop_statement_token1] = ACTIONS(4499),
    [aux_sym_stop_statement_token2] = ACTIONS(4499),
    [aux_sym_subroutine_call_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token1] = ACTIONS(4499),
    [aux_sym_keyword_statement_token2] = ACTIONS(4499),
    [aux_sym_keyword_statement_token3] = ACTIONS(4499),
    [aux_sym_keyword_statement_token4] = ACTIONS(4499),
    [aux_sym_keyword_statement_token6] = ACTIONS(4499),
    [aux_sym_keyword_statement_token7] = ACTIONS(4499),
    [aux_sym_include_statement_token1] = ACTIONS(4499),
    [aux_sym_data_statement_token1] = ACTIONS(4499),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4499),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4499),
    [aux_sym_end_if_statement_token1] = ACTIONS(4499),
    [aux_sym_elseif_clause_token2] = ACTIONS(4499),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4499),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token1] = ACTIONS(4499),
    [aux_sym_select_case_statement_token3] = ACTIONS(4499),
    [aux_sym_select_type_statement_token1] = ACTIONS(4499),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4499),
    [aux_sym_block_construct_token1] = ACTIONS(4499),
    [aux_sym_associate_statement_token1] = ACTIONS(4499),
    [aux_sym_format_statement_token1] = ACTIONS(4499),
    [aux_sym_print_statement_token1] = ACTIONS(4499),
    [aux_sym_open_statement_token1] = ACTIONS(4499),
    [aux_sym_close_statement_token1] = ACTIONS(4499),
    [aux_sym_inquire_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token1] = ACTIONS(4499),
    [aux_sym_file_position_statement_token2] = ACTIONS(4499),
    [aux_sym_file_position_statement_token3] = ACTIONS(4499),
    [aux_sym_file_position_statement_token4] = ACTIONS(4499),
    [aux_sym_allocate_statement_token1] = ACTIONS(4499),
    [aux_sym_entry_statement_token1] = ACTIONS(4499),
    [aux_sym_logical_expression_token5] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [aux_sym_boolean_literal_token1] = ACTIONS(5580),
    [aux_sym_boolean_literal_token2] = ACTIONS(5580),
    [aux_sym_null_literal_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_statement_token2] = ACTIONS(4499),
    [aux_sym_coarray_statement_token6] = ACTIONS(4499),
    [aux_sym_coarray_statement_token8] = ACTIONS(4499),
    [aux_sym_coarray_statement_token11] = ACTIONS(4499),
    [aux_sym_coarray_statement_token12] = ACTIONS(4499),
    [aux_sym_coarray_statement_token13] = ACTIONS(4499),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4499),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4499),
    [aux_sym_identifier_token1] = ACTIONS(4499),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5580),
    [sym__float_literal] = ACTIONS(5580),
    [sym__boz_literal] = ACTIONS(5580),
    [sym__string_literal] = ACTIONS(5580),
    [sym__string_literal_kind] = ACTIONS(5580),
  },
  [2644] = {
    [sym_identifier] = STATE(6384),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(6696),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6698),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6698),
  },
  [2645] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5764),
    [aux_sym_preproc_def_token1] = ACTIONS(5764),
    [aux_sym_preproc_if_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5764),
    [sym_preproc_directive] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5764),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5764),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5764),
    [aux_sym_use_statement_token2] = ACTIONS(5764),
    [aux_sym_implicit_statement_token4] = ACTIONS(5764),
    [aux_sym_save_statement_token1] = ACTIONS(5764),
    [aux_sym_private_statement_token1] = ACTIONS(5764),
    [aux_sym_public_statement_token1] = ACTIONS(5764),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5764),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5764),
    [aux_sym_variable_attributes_token2] = ACTIONS(5764),
    [aux_sym_variable_attributes_token3] = ACTIONS(5764),
    [aux_sym_variable_attributes_token5] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5764),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5764),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5764),
    [aux_sym_type_qualifier_token1] = ACTIONS(5764),
    [aux_sym_type_qualifier_token2] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [aux_sym_stop_statement_token1] = ACTIONS(5764),
    [aux_sym_stop_statement_token2] = ACTIONS(5764),
    [aux_sym_subroutine_call_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token1] = ACTIONS(5764),
    [aux_sym_keyword_statement_token2] = ACTIONS(5764),
    [aux_sym_keyword_statement_token3] = ACTIONS(5764),
    [aux_sym_keyword_statement_token4] = ACTIONS(5764),
    [aux_sym_keyword_statement_token6] = ACTIONS(5764),
    [aux_sym_keyword_statement_token7] = ACTIONS(5764),
    [aux_sym_include_statement_token1] = ACTIONS(5764),
    [aux_sym_data_statement_token1] = ACTIONS(5764),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5764),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5764),
    [aux_sym_end_if_statement_token1] = ACTIONS(5764),
    [aux_sym_elseif_clause_token2] = ACTIONS(5764),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5764),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token1] = ACTIONS(5764),
    [aux_sym_select_case_statement_token3] = ACTIONS(5764),
    [aux_sym_select_type_statement_token1] = ACTIONS(5764),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5764),
    [aux_sym_block_construct_token1] = ACTIONS(5764),
    [aux_sym_associate_statement_token1] = ACTIONS(5764),
    [aux_sym_format_statement_token1] = ACTIONS(5764),
    [aux_sym_print_statement_token1] = ACTIONS(5764),
    [aux_sym_open_statement_token1] = ACTIONS(5764),
    [aux_sym_close_statement_token1] = ACTIONS(5764),
    [aux_sym_inquire_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token1] = ACTIONS(5764),
    [aux_sym_file_position_statement_token2] = ACTIONS(5764),
    [aux_sym_file_position_statement_token3] = ACTIONS(5764),
    [aux_sym_file_position_statement_token4] = ACTIONS(5764),
    [aux_sym_allocate_statement_token1] = ACTIONS(5764),
    [aux_sym_entry_statement_token1] = ACTIONS(5764),
    [aux_sym_logical_expression_token5] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [aux_sym_boolean_literal_token1] = ACTIONS(5766),
    [aux_sym_boolean_literal_token2] = ACTIONS(5766),
    [aux_sym_null_literal_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_statement_token2] = ACTIONS(5764),
    [aux_sym_coarray_statement_token6] = ACTIONS(5764),
    [aux_sym_coarray_statement_token8] = ACTIONS(5764),
    [aux_sym_coarray_statement_token11] = ACTIONS(5764),
    [aux_sym_coarray_statement_token12] = ACTIONS(5764),
    [aux_sym_coarray_statement_token13] = ACTIONS(5764),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5764),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5764),
    [aux_sym_identifier_token1] = ACTIONS(5764),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5766),
    [sym__float_literal] = ACTIONS(5766),
    [sym__boz_literal] = ACTIONS(5766),
    [sym__string_literal] = ACTIONS(5766),
    [sym__string_literal_kind] = ACTIONS(5766),
  },
  [2646] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5726),
    [aux_sym_preproc_def_token1] = ACTIONS(5726),
    [aux_sym_preproc_if_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5726),
    [sym_preproc_directive] = ACTIONS(5726),
    [anon_sym_LPAREN2] = ACTIONS(5726),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5726),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5726),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5726),
    [aux_sym_use_statement_token2] = ACTIONS(5726),
    [aux_sym_implicit_statement_token4] = ACTIONS(5726),
    [aux_sym_save_statement_token1] = ACTIONS(5726),
    [aux_sym_private_statement_token1] = ACTIONS(5726),
    [aux_sym_public_statement_token1] = ACTIONS(5726),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5726),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5726),
    [aux_sym_variable_attributes_token2] = ACTIONS(5726),
    [aux_sym_variable_attributes_token3] = ACTIONS(5726),
    [aux_sym_variable_attributes_token5] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5726),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5726),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5726),
    [aux_sym_type_qualifier_token1] = ACTIONS(5726),
    [aux_sym_type_qualifier_token2] = ACTIONS(5726),
    [anon_sym_SEMI] = ACTIONS(5728),
    [aux_sym_stop_statement_token1] = ACTIONS(5726),
    [aux_sym_stop_statement_token2] = ACTIONS(5726),
    [aux_sym_subroutine_call_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token1] = ACTIONS(5726),
    [aux_sym_keyword_statement_token2] = ACTIONS(5726),
    [aux_sym_keyword_statement_token3] = ACTIONS(5726),
    [aux_sym_keyword_statement_token4] = ACTIONS(5726),
    [aux_sym_keyword_statement_token6] = ACTIONS(5726),
    [aux_sym_keyword_statement_token7] = ACTIONS(5726),
    [aux_sym_include_statement_token1] = ACTIONS(5726),
    [aux_sym_data_statement_token1] = ACTIONS(5726),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5726),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5726),
    [aux_sym_end_if_statement_token1] = ACTIONS(5726),
    [aux_sym_elseif_clause_token2] = ACTIONS(5726),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5726),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token1] = ACTIONS(5726),
    [aux_sym_select_case_statement_token3] = ACTIONS(5726),
    [aux_sym_select_type_statement_token1] = ACTIONS(5726),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5726),
    [aux_sym_block_construct_token1] = ACTIONS(5726),
    [aux_sym_associate_statement_token1] = ACTIONS(5726),
    [aux_sym_format_statement_token1] = ACTIONS(5726),
    [aux_sym_print_statement_token1] = ACTIONS(5726),
    [aux_sym_open_statement_token1] = ACTIONS(5726),
    [aux_sym_close_statement_token1] = ACTIONS(5726),
    [aux_sym_inquire_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token1] = ACTIONS(5726),
    [aux_sym_file_position_statement_token2] = ACTIONS(5726),
    [aux_sym_file_position_statement_token3] = ACTIONS(5726),
    [aux_sym_file_position_statement_token4] = ACTIONS(5726),
    [aux_sym_allocate_statement_token1] = ACTIONS(5726),
    [aux_sym_entry_statement_token1] = ACTIONS(5726),
    [aux_sym_logical_expression_token5] = ACTIONS(5728),
    [anon_sym_DOT] = ACTIONS(5726),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5728),
    [aux_sym_boolean_literal_token1] = ACTIONS(5728),
    [aux_sym_boolean_literal_token2] = ACTIONS(5728),
    [aux_sym_null_literal_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_statement_token2] = ACTIONS(5726),
    [aux_sym_coarray_statement_token6] = ACTIONS(5726),
    [aux_sym_coarray_statement_token8] = ACTIONS(5726),
    [aux_sym_coarray_statement_token11] = ACTIONS(5726),
    [aux_sym_coarray_statement_token12] = ACTIONS(5726),
    [aux_sym_coarray_statement_token13] = ACTIONS(5726),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5726),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5726),
    [aux_sym_identifier_token1] = ACTIONS(5726),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5728),
    [sym__float_literal] = ACTIONS(5728),
    [sym__boz_literal] = ACTIONS(5728),
    [sym__string_literal] = ACTIONS(5728),
    [sym__string_literal_kind] = ACTIONS(5728),
  },
  [2647] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5026),
    [aux_sym_preproc_def_token1] = ACTIONS(5026),
    [aux_sym_preproc_if_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5026),
    [sym_preproc_directive] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_PLUS] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5026),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5026),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5026),
    [aux_sym_use_statement_token2] = ACTIONS(5026),
    [aux_sym_implicit_statement_token4] = ACTIONS(5026),
    [aux_sym_save_statement_token1] = ACTIONS(5026),
    [aux_sym_private_statement_token1] = ACTIONS(5026),
    [aux_sym_public_statement_token1] = ACTIONS(5026),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5026),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5026),
    [aux_sym_variable_attributes_token2] = ACTIONS(5026),
    [aux_sym_variable_attributes_token3] = ACTIONS(5026),
    [aux_sym_variable_attributes_token5] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5026),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5026),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5026),
    [aux_sym_type_qualifier_token1] = ACTIONS(5026),
    [aux_sym_type_qualifier_token2] = ACTIONS(5026),
    [anon_sym_SEMI] = ACTIONS(5592),
    [aux_sym_stop_statement_token1] = ACTIONS(5026),
    [aux_sym_stop_statement_token2] = ACTIONS(5026),
    [aux_sym_subroutine_call_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token1] = ACTIONS(5026),
    [aux_sym_keyword_statement_token2] = ACTIONS(5026),
    [aux_sym_keyword_statement_token3] = ACTIONS(5026),
    [aux_sym_keyword_statement_token4] = ACTIONS(5026),
    [aux_sym_keyword_statement_token6] = ACTIONS(5026),
    [aux_sym_keyword_statement_token7] = ACTIONS(5026),
    [aux_sym_include_statement_token1] = ACTIONS(5026),
    [aux_sym_data_statement_token1] = ACTIONS(5026),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5026),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5026),
    [aux_sym_end_if_statement_token1] = ACTIONS(5026),
    [aux_sym_elseif_clause_token2] = ACTIONS(5026),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5026),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token1] = ACTIONS(5026),
    [aux_sym_select_case_statement_token3] = ACTIONS(5026),
    [aux_sym_select_type_statement_token1] = ACTIONS(5026),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5026),
    [aux_sym_block_construct_token1] = ACTIONS(5026),
    [aux_sym_associate_statement_token1] = ACTIONS(5026),
    [aux_sym_format_statement_token1] = ACTIONS(5026),
    [aux_sym_print_statement_token1] = ACTIONS(5026),
    [aux_sym_open_statement_token1] = ACTIONS(5026),
    [aux_sym_close_statement_token1] = ACTIONS(5026),
    [aux_sym_inquire_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token1] = ACTIONS(5026),
    [aux_sym_file_position_statement_token2] = ACTIONS(5026),
    [aux_sym_file_position_statement_token3] = ACTIONS(5026),
    [aux_sym_file_position_statement_token4] = ACTIONS(5026),
    [aux_sym_allocate_statement_token1] = ACTIONS(5026),
    [aux_sym_entry_statement_token1] = ACTIONS(5026),
    [aux_sym_logical_expression_token5] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5026),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [aux_sym_boolean_literal_token1] = ACTIONS(5592),
    [aux_sym_boolean_literal_token2] = ACTIONS(5592),
    [aux_sym_null_literal_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_statement_token2] = ACTIONS(5026),
    [aux_sym_coarray_statement_token6] = ACTIONS(5026),
    [aux_sym_coarray_statement_token8] = ACTIONS(5026),
    [aux_sym_coarray_statement_token11] = ACTIONS(5026),
    [aux_sym_coarray_statement_token12] = ACTIONS(5026),
    [aux_sym_coarray_statement_token13] = ACTIONS(5026),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5026),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5026),
    [aux_sym_identifier_token1] = ACTIONS(5026),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5592),
    [sym__float_literal] = ACTIONS(5592),
    [sym__boz_literal] = ACTIONS(5592),
    [sym__string_literal] = ACTIONS(5592),
    [sym__string_literal_kind] = ACTIONS(5592),
  },
  [2648] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5748),
    [aux_sym_preproc_def_token1] = ACTIONS(5748),
    [aux_sym_preproc_if_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5748),
    [sym_preproc_directive] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5748),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5748),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5748),
    [aux_sym_use_statement_token2] = ACTIONS(5748),
    [aux_sym_implicit_statement_token4] = ACTIONS(5748),
    [aux_sym_save_statement_token1] = ACTIONS(5748),
    [aux_sym_private_statement_token1] = ACTIONS(5748),
    [aux_sym_public_statement_token1] = ACTIONS(5748),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5748),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5748),
    [aux_sym_variable_attributes_token2] = ACTIONS(5748),
    [aux_sym_variable_attributes_token3] = ACTIONS(5748),
    [aux_sym_variable_attributes_token5] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5748),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5748),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5748),
    [aux_sym_type_qualifier_token1] = ACTIONS(5748),
    [aux_sym_type_qualifier_token2] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5750),
    [aux_sym_stop_statement_token1] = ACTIONS(5748),
    [aux_sym_stop_statement_token2] = ACTIONS(5748),
    [aux_sym_subroutine_call_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token1] = ACTIONS(5748),
    [aux_sym_keyword_statement_token2] = ACTIONS(5748),
    [aux_sym_keyword_statement_token3] = ACTIONS(5748),
    [aux_sym_keyword_statement_token4] = ACTIONS(5748),
    [aux_sym_keyword_statement_token6] = ACTIONS(5748),
    [aux_sym_keyword_statement_token7] = ACTIONS(5748),
    [aux_sym_include_statement_token1] = ACTIONS(5748),
    [aux_sym_data_statement_token1] = ACTIONS(5748),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5748),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5748),
    [aux_sym_end_if_statement_token1] = ACTIONS(5748),
    [aux_sym_elseif_clause_token2] = ACTIONS(5748),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5748),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token1] = ACTIONS(5748),
    [aux_sym_select_case_statement_token3] = ACTIONS(5748),
    [aux_sym_select_type_statement_token1] = ACTIONS(5748),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5748),
    [aux_sym_block_construct_token1] = ACTIONS(5748),
    [aux_sym_associate_statement_token1] = ACTIONS(5748),
    [aux_sym_format_statement_token1] = ACTIONS(5748),
    [aux_sym_print_statement_token1] = ACTIONS(5748),
    [aux_sym_open_statement_token1] = ACTIONS(5748),
    [aux_sym_close_statement_token1] = ACTIONS(5748),
    [aux_sym_inquire_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token1] = ACTIONS(5748),
    [aux_sym_file_position_statement_token2] = ACTIONS(5748),
    [aux_sym_file_position_statement_token3] = ACTIONS(5748),
    [aux_sym_file_position_statement_token4] = ACTIONS(5748),
    [aux_sym_allocate_statement_token1] = ACTIONS(5748),
    [aux_sym_entry_statement_token1] = ACTIONS(5748),
    [aux_sym_logical_expression_token5] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5748),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [aux_sym_boolean_literal_token1] = ACTIONS(5750),
    [aux_sym_boolean_literal_token2] = ACTIONS(5750),
    [aux_sym_null_literal_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_statement_token2] = ACTIONS(5748),
    [aux_sym_coarray_statement_token6] = ACTIONS(5748),
    [aux_sym_coarray_statement_token8] = ACTIONS(5748),
    [aux_sym_coarray_statement_token11] = ACTIONS(5748),
    [aux_sym_coarray_statement_token12] = ACTIONS(5748),
    [aux_sym_coarray_statement_token13] = ACTIONS(5748),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5748),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5748),
    [aux_sym_identifier_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5750),
    [sym__float_literal] = ACTIONS(5750),
    [sym__boz_literal] = ACTIONS(5750),
    [sym__string_literal] = ACTIONS(5750),
    [sym__string_literal_kind] = ACTIONS(5750),
  },
  [2649] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5068),
    [aux_sym_preproc_def_token1] = ACTIONS(5068),
    [aux_sym_preproc_if_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5068),
    [sym_preproc_directive] = ACTIONS(5068),
    [anon_sym_LPAREN2] = ACTIONS(5068),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5068),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5068),
    [aux_sym_use_statement_token2] = ACTIONS(5068),
    [aux_sym_implicit_statement_token4] = ACTIONS(5068),
    [aux_sym_save_statement_token1] = ACTIONS(5068),
    [aux_sym_private_statement_token1] = ACTIONS(5068),
    [aux_sym_public_statement_token1] = ACTIONS(5068),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5068),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5068),
    [aux_sym_variable_attributes_token2] = ACTIONS(5068),
    [aux_sym_variable_attributes_token3] = ACTIONS(5068),
    [aux_sym_variable_attributes_token5] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5068),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5068),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5068),
    [aux_sym_type_qualifier_token1] = ACTIONS(5068),
    [aux_sym_type_qualifier_token2] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(5638),
    [aux_sym_stop_statement_token1] = ACTIONS(5068),
    [aux_sym_stop_statement_token2] = ACTIONS(5068),
    [aux_sym_subroutine_call_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token1] = ACTIONS(5068),
    [aux_sym_keyword_statement_token2] = ACTIONS(5068),
    [aux_sym_keyword_statement_token3] = ACTIONS(5068),
    [aux_sym_keyword_statement_token4] = ACTIONS(5068),
    [aux_sym_keyword_statement_token6] = ACTIONS(5068),
    [aux_sym_keyword_statement_token7] = ACTIONS(5068),
    [aux_sym_include_statement_token1] = ACTIONS(5068),
    [aux_sym_data_statement_token1] = ACTIONS(5068),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5068),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5068),
    [aux_sym_end_if_statement_token1] = ACTIONS(5068),
    [aux_sym_elseif_clause_token2] = ACTIONS(5068),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5068),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token1] = ACTIONS(5068),
    [aux_sym_select_case_statement_token3] = ACTIONS(5068),
    [aux_sym_select_type_statement_token1] = ACTIONS(5068),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5068),
    [aux_sym_block_construct_token1] = ACTIONS(5068),
    [aux_sym_associate_statement_token1] = ACTIONS(5068),
    [aux_sym_format_statement_token1] = ACTIONS(5068),
    [aux_sym_print_statement_token1] = ACTIONS(5068),
    [aux_sym_open_statement_token1] = ACTIONS(5068),
    [aux_sym_close_statement_token1] = ACTIONS(5068),
    [aux_sym_inquire_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token1] = ACTIONS(5068),
    [aux_sym_file_position_statement_token2] = ACTIONS(5068),
    [aux_sym_file_position_statement_token3] = ACTIONS(5068),
    [aux_sym_file_position_statement_token4] = ACTIONS(5068),
    [aux_sym_allocate_statement_token1] = ACTIONS(5068),
    [aux_sym_entry_statement_token1] = ACTIONS(5068),
    [aux_sym_logical_expression_token5] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5068),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [aux_sym_boolean_literal_token1] = ACTIONS(5638),
    [aux_sym_boolean_literal_token2] = ACTIONS(5638),
    [aux_sym_null_literal_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_statement_token2] = ACTIONS(5068),
    [aux_sym_coarray_statement_token6] = ACTIONS(5068),
    [aux_sym_coarray_statement_token8] = ACTIONS(5068),
    [aux_sym_coarray_statement_token11] = ACTIONS(5068),
    [aux_sym_coarray_statement_token12] = ACTIONS(5068),
    [aux_sym_coarray_statement_token13] = ACTIONS(5068),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5068),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5068),
    [aux_sym_identifier_token1] = ACTIONS(5068),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5638),
    [sym__float_literal] = ACTIONS(5638),
    [sym__boz_literal] = ACTIONS(5638),
    [sym__string_literal] = ACTIONS(5638),
    [sym__string_literal_kind] = ACTIONS(5638),
  },
  [2650] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4349),
    [aux_sym_preproc_def_token1] = ACTIONS(4349),
    [aux_sym_preproc_if_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4349),
    [sym_preproc_directive] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4349),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4349),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4349),
    [aux_sym_use_statement_token2] = ACTIONS(4349),
    [aux_sym_implicit_statement_token4] = ACTIONS(4349),
    [aux_sym_save_statement_token1] = ACTIONS(4349),
    [aux_sym_private_statement_token1] = ACTIONS(4349),
    [aux_sym_public_statement_token1] = ACTIONS(4349),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4349),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4349),
    [aux_sym_variable_attributes_token2] = ACTIONS(4349),
    [aux_sym_variable_attributes_token3] = ACTIONS(4349),
    [aux_sym_variable_attributes_token5] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4349),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4349),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4349),
    [aux_sym_type_qualifier_token1] = ACTIONS(4349),
    [aux_sym_type_qualifier_token2] = ACTIONS(4349),
    [anon_sym_SEMI] = ACTIONS(5576),
    [aux_sym_stop_statement_token1] = ACTIONS(4349),
    [aux_sym_stop_statement_token2] = ACTIONS(4349),
    [aux_sym_subroutine_call_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token1] = ACTIONS(4349),
    [aux_sym_keyword_statement_token2] = ACTIONS(4349),
    [aux_sym_keyword_statement_token3] = ACTIONS(4349),
    [aux_sym_keyword_statement_token4] = ACTIONS(4349),
    [aux_sym_keyword_statement_token6] = ACTIONS(4349),
    [aux_sym_keyword_statement_token7] = ACTIONS(4349),
    [aux_sym_include_statement_token1] = ACTIONS(4349),
    [aux_sym_data_statement_token1] = ACTIONS(4349),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4349),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4349),
    [aux_sym_end_if_statement_token1] = ACTIONS(4349),
    [aux_sym_elseif_clause_token2] = ACTIONS(4349),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4349),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token1] = ACTIONS(4349),
    [aux_sym_select_case_statement_token3] = ACTIONS(4349),
    [aux_sym_select_type_statement_token1] = ACTIONS(4349),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4349),
    [aux_sym_block_construct_token1] = ACTIONS(4349),
    [aux_sym_associate_statement_token1] = ACTIONS(4349),
    [aux_sym_format_statement_token1] = ACTIONS(4349),
    [aux_sym_print_statement_token1] = ACTIONS(4349),
    [aux_sym_open_statement_token1] = ACTIONS(4349),
    [aux_sym_close_statement_token1] = ACTIONS(4349),
    [aux_sym_inquire_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token1] = ACTIONS(4349),
    [aux_sym_file_position_statement_token2] = ACTIONS(4349),
    [aux_sym_file_position_statement_token3] = ACTIONS(4349),
    [aux_sym_file_position_statement_token4] = ACTIONS(4349),
    [aux_sym_allocate_statement_token1] = ACTIONS(4349),
    [aux_sym_entry_statement_token1] = ACTIONS(4349),
    [aux_sym_logical_expression_token5] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [aux_sym_boolean_literal_token1] = ACTIONS(5576),
    [aux_sym_boolean_literal_token2] = ACTIONS(5576),
    [aux_sym_null_literal_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_statement_token2] = ACTIONS(4349),
    [aux_sym_coarray_statement_token6] = ACTIONS(4349),
    [aux_sym_coarray_statement_token8] = ACTIONS(4349),
    [aux_sym_coarray_statement_token11] = ACTIONS(4349),
    [aux_sym_coarray_statement_token12] = ACTIONS(4349),
    [aux_sym_coarray_statement_token13] = ACTIONS(4349),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4349),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4349),
    [aux_sym_identifier_token1] = ACTIONS(4349),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5576),
    [sym__float_literal] = ACTIONS(5576),
    [sym__boz_literal] = ACTIONS(5576),
    [sym__string_literal] = ACTIONS(5576),
    [sym__string_literal_kind] = ACTIONS(5576),
  },
  [2651] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4317),
    [aux_sym_preproc_def_token1] = ACTIONS(4317),
    [aux_sym_preproc_if_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4317),
    [sym_preproc_directive] = ACTIONS(4317),
    [anon_sym_LPAREN2] = ACTIONS(4317),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4317),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4317),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4317),
    [aux_sym_use_statement_token2] = ACTIONS(4317),
    [aux_sym_implicit_statement_token4] = ACTIONS(4317),
    [aux_sym_save_statement_token1] = ACTIONS(4317),
    [aux_sym_private_statement_token1] = ACTIONS(4317),
    [aux_sym_public_statement_token1] = ACTIONS(4317),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4317),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4317),
    [aux_sym_variable_attributes_token2] = ACTIONS(4317),
    [aux_sym_variable_attributes_token3] = ACTIONS(4317),
    [aux_sym_variable_attributes_token5] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4317),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4317),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4317),
    [aux_sym_type_qualifier_token1] = ACTIONS(4317),
    [aux_sym_type_qualifier_token2] = ACTIONS(4317),
    [anon_sym_SEMI] = ACTIONS(5572),
    [aux_sym_stop_statement_token1] = ACTIONS(4317),
    [aux_sym_stop_statement_token2] = ACTIONS(4317),
    [aux_sym_subroutine_call_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token1] = ACTIONS(4317),
    [aux_sym_keyword_statement_token2] = ACTIONS(4317),
    [aux_sym_keyword_statement_token3] = ACTIONS(4317),
    [aux_sym_keyword_statement_token4] = ACTIONS(4317),
    [aux_sym_keyword_statement_token6] = ACTIONS(4317),
    [aux_sym_keyword_statement_token7] = ACTIONS(4317),
    [aux_sym_include_statement_token1] = ACTIONS(4317),
    [aux_sym_data_statement_token1] = ACTIONS(4317),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4317),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4317),
    [aux_sym_end_if_statement_token1] = ACTIONS(4317),
    [aux_sym_elseif_clause_token2] = ACTIONS(4317),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4317),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token1] = ACTIONS(4317),
    [aux_sym_select_case_statement_token3] = ACTIONS(4317),
    [aux_sym_select_type_statement_token1] = ACTIONS(4317),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4317),
    [aux_sym_block_construct_token1] = ACTIONS(4317),
    [aux_sym_associate_statement_token1] = ACTIONS(4317),
    [aux_sym_format_statement_token1] = ACTIONS(4317),
    [aux_sym_print_statement_token1] = ACTIONS(4317),
    [aux_sym_open_statement_token1] = ACTIONS(4317),
    [aux_sym_close_statement_token1] = ACTIONS(4317),
    [aux_sym_inquire_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token1] = ACTIONS(4317),
    [aux_sym_file_position_statement_token2] = ACTIONS(4317),
    [aux_sym_file_position_statement_token3] = ACTIONS(4317),
    [aux_sym_file_position_statement_token4] = ACTIONS(4317),
    [aux_sym_allocate_statement_token1] = ACTIONS(4317),
    [aux_sym_entry_statement_token1] = ACTIONS(4317),
    [aux_sym_logical_expression_token5] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(4317),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [aux_sym_boolean_literal_token1] = ACTIONS(5572),
    [aux_sym_boolean_literal_token2] = ACTIONS(5572),
    [aux_sym_null_literal_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_statement_token2] = ACTIONS(4317),
    [aux_sym_coarray_statement_token6] = ACTIONS(4317),
    [aux_sym_coarray_statement_token8] = ACTIONS(4317),
    [aux_sym_coarray_statement_token11] = ACTIONS(4317),
    [aux_sym_coarray_statement_token12] = ACTIONS(4317),
    [aux_sym_coarray_statement_token13] = ACTIONS(4317),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4317),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4317),
    [aux_sym_identifier_token1] = ACTIONS(4317),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5572),
    [sym__float_literal] = ACTIONS(5572),
    [sym__boz_literal] = ACTIONS(5572),
    [sym__string_literal] = ACTIONS(5572),
    [sym__string_literal_kind] = ACTIONS(5572),
  },
  [2652] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5824),
    [aux_sym_preproc_def_token1] = ACTIONS(5824),
    [aux_sym_preproc_if_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5824),
    [sym_preproc_directive] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5824),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5824),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5824),
    [aux_sym_use_statement_token2] = ACTIONS(5824),
    [aux_sym_implicit_statement_token4] = ACTIONS(5824),
    [aux_sym_save_statement_token1] = ACTIONS(5824),
    [aux_sym_private_statement_token1] = ACTIONS(5824),
    [aux_sym_public_statement_token1] = ACTIONS(5824),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5824),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5824),
    [aux_sym_variable_attributes_token2] = ACTIONS(5824),
    [aux_sym_variable_attributes_token3] = ACTIONS(5824),
    [aux_sym_variable_attributes_token5] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5824),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5824),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5824),
    [aux_sym_type_qualifier_token1] = ACTIONS(5824),
    [aux_sym_type_qualifier_token2] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5826),
    [aux_sym_stop_statement_token1] = ACTIONS(5824),
    [aux_sym_stop_statement_token2] = ACTIONS(5824),
    [aux_sym_subroutine_call_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token1] = ACTIONS(5824),
    [aux_sym_keyword_statement_token2] = ACTIONS(5824),
    [aux_sym_keyword_statement_token3] = ACTIONS(5824),
    [aux_sym_keyword_statement_token4] = ACTIONS(5824),
    [aux_sym_keyword_statement_token6] = ACTIONS(5824),
    [aux_sym_keyword_statement_token7] = ACTIONS(5824),
    [aux_sym_include_statement_token1] = ACTIONS(5824),
    [aux_sym_data_statement_token1] = ACTIONS(5824),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5824),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5824),
    [aux_sym_end_if_statement_token1] = ACTIONS(5824),
    [aux_sym_elseif_clause_token2] = ACTIONS(5824),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5824),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token1] = ACTIONS(5824),
    [aux_sym_select_case_statement_token3] = ACTIONS(5824),
    [aux_sym_select_type_statement_token1] = ACTIONS(5824),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5824),
    [aux_sym_block_construct_token1] = ACTIONS(5824),
    [aux_sym_associate_statement_token1] = ACTIONS(5824),
    [aux_sym_format_statement_token1] = ACTIONS(5824),
    [aux_sym_print_statement_token1] = ACTIONS(5824),
    [aux_sym_open_statement_token1] = ACTIONS(5824),
    [aux_sym_close_statement_token1] = ACTIONS(5824),
    [aux_sym_inquire_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token1] = ACTIONS(5824),
    [aux_sym_file_position_statement_token2] = ACTIONS(5824),
    [aux_sym_file_position_statement_token3] = ACTIONS(5824),
    [aux_sym_file_position_statement_token4] = ACTIONS(5824),
    [aux_sym_allocate_statement_token1] = ACTIONS(5824),
    [aux_sym_entry_statement_token1] = ACTIONS(5824),
    [aux_sym_logical_expression_token5] = ACTIONS(5826),
    [anon_sym_DOT] = ACTIONS(5824),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5826),
    [aux_sym_boolean_literal_token1] = ACTIONS(5826),
    [aux_sym_boolean_literal_token2] = ACTIONS(5826),
    [aux_sym_null_literal_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_statement_token2] = ACTIONS(5824),
    [aux_sym_coarray_statement_token6] = ACTIONS(5824),
    [aux_sym_coarray_statement_token8] = ACTIONS(5824),
    [aux_sym_coarray_statement_token11] = ACTIONS(5824),
    [aux_sym_coarray_statement_token12] = ACTIONS(5824),
    [aux_sym_coarray_statement_token13] = ACTIONS(5824),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5824),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5824),
    [aux_sym_identifier_token1] = ACTIONS(5824),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5826),
    [sym__float_literal] = ACTIONS(5826),
    [sym__boz_literal] = ACTIONS(5826),
    [sym__string_literal] = ACTIONS(5826),
    [sym__string_literal_kind] = ACTIONS(5826),
  },
  [2653] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5760),
    [aux_sym_preproc_def_token1] = ACTIONS(5760),
    [aux_sym_preproc_if_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5760),
    [sym_preproc_directive] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5760),
    [aux_sym_use_statement_token2] = ACTIONS(5760),
    [aux_sym_implicit_statement_token4] = ACTIONS(5760),
    [aux_sym_save_statement_token1] = ACTIONS(5760),
    [aux_sym_private_statement_token1] = ACTIONS(5760),
    [aux_sym_public_statement_token1] = ACTIONS(5760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5760),
    [aux_sym_variable_attributes_token2] = ACTIONS(5760),
    [aux_sym_variable_attributes_token3] = ACTIONS(5760),
    [aux_sym_variable_attributes_token5] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5760),
    [aux_sym_type_qualifier_token1] = ACTIONS(5760),
    [aux_sym_type_qualifier_token2] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [aux_sym_stop_statement_token1] = ACTIONS(5760),
    [aux_sym_stop_statement_token2] = ACTIONS(5760),
    [aux_sym_subroutine_call_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token1] = ACTIONS(5760),
    [aux_sym_keyword_statement_token2] = ACTIONS(5760),
    [aux_sym_keyword_statement_token3] = ACTIONS(5760),
    [aux_sym_keyword_statement_token4] = ACTIONS(5760),
    [aux_sym_keyword_statement_token6] = ACTIONS(5760),
    [aux_sym_keyword_statement_token7] = ACTIONS(5760),
    [aux_sym_include_statement_token1] = ACTIONS(5760),
    [aux_sym_data_statement_token1] = ACTIONS(5760),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5760),
    [aux_sym_end_if_statement_token1] = ACTIONS(5760),
    [aux_sym_elseif_clause_token2] = ACTIONS(5760),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5760),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token1] = ACTIONS(5760),
    [aux_sym_select_case_statement_token3] = ACTIONS(5760),
    [aux_sym_select_type_statement_token1] = ACTIONS(5760),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5760),
    [aux_sym_block_construct_token1] = ACTIONS(5760),
    [aux_sym_associate_statement_token1] = ACTIONS(5760),
    [aux_sym_format_statement_token1] = ACTIONS(5760),
    [aux_sym_print_statement_token1] = ACTIONS(5760),
    [aux_sym_open_statement_token1] = ACTIONS(5760),
    [aux_sym_close_statement_token1] = ACTIONS(5760),
    [aux_sym_inquire_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token1] = ACTIONS(5760),
    [aux_sym_file_position_statement_token2] = ACTIONS(5760),
    [aux_sym_file_position_statement_token3] = ACTIONS(5760),
    [aux_sym_file_position_statement_token4] = ACTIONS(5760),
    [aux_sym_allocate_statement_token1] = ACTIONS(5760),
    [aux_sym_entry_statement_token1] = ACTIONS(5760),
    [aux_sym_logical_expression_token5] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [aux_sym_boolean_literal_token1] = ACTIONS(5762),
    [aux_sym_boolean_literal_token2] = ACTIONS(5762),
    [aux_sym_null_literal_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_statement_token2] = ACTIONS(5760),
    [aux_sym_coarray_statement_token6] = ACTIONS(5760),
    [aux_sym_coarray_statement_token8] = ACTIONS(5760),
    [aux_sym_coarray_statement_token11] = ACTIONS(5760),
    [aux_sym_coarray_statement_token12] = ACTIONS(5760),
    [aux_sym_coarray_statement_token13] = ACTIONS(5760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5760),
    [aux_sym_identifier_token1] = ACTIONS(5760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5762),
    [sym__float_literal] = ACTIONS(5762),
    [sym__boz_literal] = ACTIONS(5762),
    [sym__string_literal] = ACTIONS(5762),
    [sym__string_literal_kind] = ACTIONS(5762),
  },
  [2654] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_PLUS] = ACTIONS(4407),
    [anon_sym_DASH] = ACTIONS(4407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [anon_sym_SEMI] = ACTIONS(4407),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_subroutine_call_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token1] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_keyword_statement_token4] = ACTIONS(4405),
    [aux_sym_keyword_statement_token6] = ACTIONS(4405),
    [aux_sym_keyword_statement_token7] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4405),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_select_case_statement_token3] = ACTIONS(4405),
    [aux_sym_select_type_statement_token1] = ACTIONS(4405),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_associate_statement_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_print_statement_token1] = ACTIONS(4405),
    [aux_sym_open_statement_token1] = ACTIONS(4405),
    [aux_sym_close_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token1] = ACTIONS(4405),
    [aux_sym_file_position_statement_token2] = ACTIONS(4405),
    [aux_sym_file_position_statement_token3] = ACTIONS(4405),
    [aux_sym_file_position_statement_token4] = ACTIONS(4405),
    [aux_sym_allocate_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_logical_expression_token5] = ACTIONS(4407),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(4407),
    [aux_sym_boolean_literal_token1] = ACTIONS(4407),
    [aux_sym_boolean_literal_token2] = ACTIONS(4407),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_statement_token13] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
    [sym__float_literal] = ACTIONS(4407),
    [sym__boz_literal] = ACTIONS(4407),
    [sym__string_literal] = ACTIONS(4407),
    [sym__string_literal_kind] = ACTIONS(4407),
  },
  [2655] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5100),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5100),
    [aux_sym_use_statement_token2] = ACTIONS(5100),
    [aux_sym_implicit_statement_token4] = ACTIONS(5100),
    [aux_sym_save_statement_token1] = ACTIONS(5100),
    [aux_sym_private_statement_token1] = ACTIONS(5100),
    [aux_sym_public_statement_token1] = ACTIONS(5100),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5100),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5100),
    [aux_sym_variable_attributes_token2] = ACTIONS(5100),
    [aux_sym_variable_attributes_token3] = ACTIONS(5100),
    [aux_sym_variable_attributes_token5] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5100),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5100),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5100),
    [aux_sym_type_qualifier_token1] = ACTIONS(5100),
    [aux_sym_type_qualifier_token2] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5640),
    [aux_sym_stop_statement_token1] = ACTIONS(5100),
    [aux_sym_stop_statement_token2] = ACTIONS(5100),
    [aux_sym_subroutine_call_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token1] = ACTIONS(5100),
    [aux_sym_keyword_statement_token2] = ACTIONS(5100),
    [aux_sym_keyword_statement_token3] = ACTIONS(5100),
    [aux_sym_keyword_statement_token4] = ACTIONS(5100),
    [aux_sym_keyword_statement_token6] = ACTIONS(5100),
    [aux_sym_keyword_statement_token7] = ACTIONS(5100),
    [aux_sym_include_statement_token1] = ACTIONS(5100),
    [aux_sym_data_statement_token1] = ACTIONS(5100),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5100),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5100),
    [aux_sym_end_if_statement_token1] = ACTIONS(5100),
    [aux_sym_elseif_clause_token2] = ACTIONS(5100),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5100),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token1] = ACTIONS(5100),
    [aux_sym_select_case_statement_token3] = ACTIONS(5100),
    [aux_sym_select_type_statement_token1] = ACTIONS(5100),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5100),
    [aux_sym_block_construct_token1] = ACTIONS(5100),
    [aux_sym_associate_statement_token1] = ACTIONS(5100),
    [aux_sym_format_statement_token1] = ACTIONS(5100),
    [aux_sym_print_statement_token1] = ACTIONS(5100),
    [aux_sym_open_statement_token1] = ACTIONS(5100),
    [aux_sym_close_statement_token1] = ACTIONS(5100),
    [aux_sym_inquire_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token1] = ACTIONS(5100),
    [aux_sym_file_position_statement_token2] = ACTIONS(5100),
    [aux_sym_file_position_statement_token3] = ACTIONS(5100),
    [aux_sym_file_position_statement_token4] = ACTIONS(5100),
    [aux_sym_allocate_statement_token1] = ACTIONS(5100),
    [aux_sym_entry_statement_token1] = ACTIONS(5100),
    [aux_sym_logical_expression_token5] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5100),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [aux_sym_boolean_literal_token1] = ACTIONS(5640),
    [aux_sym_boolean_literal_token2] = ACTIONS(5640),
    [aux_sym_null_literal_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_statement_token2] = ACTIONS(5100),
    [aux_sym_coarray_statement_token6] = ACTIONS(5100),
    [aux_sym_coarray_statement_token8] = ACTIONS(5100),
    [aux_sym_coarray_statement_token11] = ACTIONS(5100),
    [aux_sym_coarray_statement_token12] = ACTIONS(5100),
    [aux_sym_coarray_statement_token13] = ACTIONS(5100),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5100),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5100),
    [aux_sym_identifier_token1] = ACTIONS(5100),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5640),
    [sym__float_literal] = ACTIONS(5640),
    [sym__boz_literal] = ACTIONS(5640),
    [sym__string_literal] = ACTIONS(5640),
    [sym__string_literal_kind] = ACTIONS(5640),
  },
  [2656] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(4409),
    [anon_sym_PLUS] = ACTIONS(4411),
    [anon_sym_DASH] = ACTIONS(4411),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [anon_sym_SEMI] = ACTIONS(4411),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_subroutine_call_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token1] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_keyword_statement_token4] = ACTIONS(4409),
    [aux_sym_keyword_statement_token6] = ACTIONS(4409),
    [aux_sym_keyword_statement_token7] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4409),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_select_case_statement_token3] = ACTIONS(4409),
    [aux_sym_select_type_statement_token1] = ACTIONS(4409),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_associate_statement_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_print_statement_token1] = ACTIONS(4409),
    [aux_sym_open_statement_token1] = ACTIONS(4409),
    [aux_sym_close_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token1] = ACTIONS(4409),
    [aux_sym_file_position_statement_token2] = ACTIONS(4409),
    [aux_sym_file_position_statement_token3] = ACTIONS(4409),
    [aux_sym_file_position_statement_token4] = ACTIONS(4409),
    [aux_sym_allocate_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_logical_expression_token5] = ACTIONS(4411),
    [anon_sym_DOT] = ACTIONS(4409),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4411),
    [aux_sym_boolean_literal_token1] = ACTIONS(4411),
    [aux_sym_boolean_literal_token2] = ACTIONS(4411),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_statement_token13] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
    [sym__float_literal] = ACTIONS(4411),
    [sym__boz_literal] = ACTIONS(4411),
    [sym__string_literal] = ACTIONS(4411),
    [sym__string_literal_kind] = ACTIONS(4411),
  },
  [2657] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4415),
    [anon_sym_DASH] = ACTIONS(4415),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [anon_sym_SEMI] = ACTIONS(4415),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_subroutine_call_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token1] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_keyword_statement_token4] = ACTIONS(4413),
    [aux_sym_keyword_statement_token6] = ACTIONS(4413),
    [aux_sym_keyword_statement_token7] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4413),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_select_case_statement_token3] = ACTIONS(4413),
    [aux_sym_select_type_statement_token1] = ACTIONS(4413),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_associate_statement_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_print_statement_token1] = ACTIONS(4413),
    [aux_sym_open_statement_token1] = ACTIONS(4413),
    [aux_sym_close_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token1] = ACTIONS(4413),
    [aux_sym_file_position_statement_token2] = ACTIONS(4413),
    [aux_sym_file_position_statement_token3] = ACTIONS(4413),
    [aux_sym_file_position_statement_token4] = ACTIONS(4413),
    [aux_sym_allocate_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_logical_expression_token5] = ACTIONS(4415),
    [anon_sym_DOT] = ACTIONS(4413),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [aux_sym_boolean_literal_token1] = ACTIONS(4415),
    [aux_sym_boolean_literal_token2] = ACTIONS(4415),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_statement_token13] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
    [sym__float_literal] = ACTIONS(4415),
    [sym__boz_literal] = ACTIONS(4415),
    [sym__string_literal] = ACTIONS(4415),
    [sym__string_literal_kind] = ACTIONS(4415),
  },
  [2658] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5828),
    [aux_sym_preproc_def_token1] = ACTIONS(5828),
    [aux_sym_preproc_if_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5828),
    [sym_preproc_directive] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5828),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5828),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5828),
    [aux_sym_use_statement_token2] = ACTIONS(5828),
    [aux_sym_implicit_statement_token4] = ACTIONS(5828),
    [aux_sym_save_statement_token1] = ACTIONS(5828),
    [aux_sym_private_statement_token1] = ACTIONS(5828),
    [aux_sym_public_statement_token1] = ACTIONS(5828),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5828),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5828),
    [aux_sym_variable_attributes_token2] = ACTIONS(5828),
    [aux_sym_variable_attributes_token3] = ACTIONS(5828),
    [aux_sym_variable_attributes_token5] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5828),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5828),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5828),
    [aux_sym_type_qualifier_token1] = ACTIONS(5828),
    [aux_sym_type_qualifier_token2] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5830),
    [aux_sym_stop_statement_token1] = ACTIONS(5828),
    [aux_sym_stop_statement_token2] = ACTIONS(5828),
    [aux_sym_subroutine_call_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token1] = ACTIONS(5828),
    [aux_sym_keyword_statement_token2] = ACTIONS(5828),
    [aux_sym_keyword_statement_token3] = ACTIONS(5828),
    [aux_sym_keyword_statement_token4] = ACTIONS(5828),
    [aux_sym_keyword_statement_token6] = ACTIONS(5828),
    [aux_sym_keyword_statement_token7] = ACTIONS(5828),
    [aux_sym_include_statement_token1] = ACTIONS(5828),
    [aux_sym_data_statement_token1] = ACTIONS(5828),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5828),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5828),
    [aux_sym_end_if_statement_token1] = ACTIONS(5828),
    [aux_sym_elseif_clause_token2] = ACTIONS(5828),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5828),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token1] = ACTIONS(5828),
    [aux_sym_select_case_statement_token3] = ACTIONS(5828),
    [aux_sym_select_type_statement_token1] = ACTIONS(5828),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5828),
    [aux_sym_block_construct_token1] = ACTIONS(5828),
    [aux_sym_associate_statement_token1] = ACTIONS(5828),
    [aux_sym_format_statement_token1] = ACTIONS(5828),
    [aux_sym_print_statement_token1] = ACTIONS(5828),
    [aux_sym_open_statement_token1] = ACTIONS(5828),
    [aux_sym_close_statement_token1] = ACTIONS(5828),
    [aux_sym_inquire_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token1] = ACTIONS(5828),
    [aux_sym_file_position_statement_token2] = ACTIONS(5828),
    [aux_sym_file_position_statement_token3] = ACTIONS(5828),
    [aux_sym_file_position_statement_token4] = ACTIONS(5828),
    [aux_sym_allocate_statement_token1] = ACTIONS(5828),
    [aux_sym_entry_statement_token1] = ACTIONS(5828),
    [aux_sym_logical_expression_token5] = ACTIONS(5830),
    [anon_sym_DOT] = ACTIONS(5828),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5830),
    [aux_sym_boolean_literal_token1] = ACTIONS(5830),
    [aux_sym_boolean_literal_token2] = ACTIONS(5830),
    [aux_sym_null_literal_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_statement_token2] = ACTIONS(5828),
    [aux_sym_coarray_statement_token6] = ACTIONS(5828),
    [aux_sym_coarray_statement_token8] = ACTIONS(5828),
    [aux_sym_coarray_statement_token11] = ACTIONS(5828),
    [aux_sym_coarray_statement_token12] = ACTIONS(5828),
    [aux_sym_coarray_statement_token13] = ACTIONS(5828),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5828),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5828),
    [aux_sym_identifier_token1] = ACTIONS(5828),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5830),
    [sym__float_literal] = ACTIONS(5830),
    [sym__boz_literal] = ACTIONS(5830),
    [sym__string_literal] = ACTIONS(5830),
    [sym__string_literal_kind] = ACTIONS(5830),
  },
  [2659] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5792),
    [aux_sym_preproc_def_token1] = ACTIONS(5792),
    [aux_sym_preproc_if_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5792),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5792),
    [sym_preproc_directive] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(5792),
    [anon_sym_PLUS] = ACTIONS(5794),
    [anon_sym_DASH] = ACTIONS(5794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5792),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5792),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5792),
    [aux_sym_use_statement_token2] = ACTIONS(5792),
    [aux_sym_implicit_statement_token4] = ACTIONS(5792),
    [aux_sym_save_statement_token1] = ACTIONS(5792),
    [aux_sym_private_statement_token1] = ACTIONS(5792),
    [aux_sym_public_statement_token1] = ACTIONS(5792),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5792),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5792),
    [aux_sym_variable_attributes_token2] = ACTIONS(5792),
    [aux_sym_variable_attributes_token3] = ACTIONS(5792),
    [aux_sym_variable_attributes_token5] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5792),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5792),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5792),
    [aux_sym_type_qualifier_token1] = ACTIONS(5792),
    [aux_sym_type_qualifier_token2] = ACTIONS(5792),
    [anon_sym_SEMI] = ACTIONS(5794),
    [aux_sym_stop_statement_token1] = ACTIONS(5792),
    [aux_sym_stop_statement_token2] = ACTIONS(5792),
    [aux_sym_subroutine_call_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token1] = ACTIONS(5792),
    [aux_sym_keyword_statement_token2] = ACTIONS(5792),
    [aux_sym_keyword_statement_token3] = ACTIONS(5792),
    [aux_sym_keyword_statement_token4] = ACTIONS(5792),
    [aux_sym_keyword_statement_token6] = ACTIONS(5792),
    [aux_sym_keyword_statement_token7] = ACTIONS(5792),
    [aux_sym_include_statement_token1] = ACTIONS(5792),
    [aux_sym_data_statement_token1] = ACTIONS(5792),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5792),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5792),
    [aux_sym_end_if_statement_token1] = ACTIONS(5792),
    [aux_sym_elseif_clause_token2] = ACTIONS(5792),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5792),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token1] = ACTIONS(5792),
    [aux_sym_select_case_statement_token3] = ACTIONS(5792),
    [aux_sym_select_type_statement_token1] = ACTIONS(5792),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5792),
    [aux_sym_block_construct_token1] = ACTIONS(5792),
    [aux_sym_associate_statement_token1] = ACTIONS(5792),
    [aux_sym_format_statement_token1] = ACTIONS(5792),
    [aux_sym_print_statement_token1] = ACTIONS(5792),
    [aux_sym_open_statement_token1] = ACTIONS(5792),
    [aux_sym_close_statement_token1] = ACTIONS(5792),
    [aux_sym_inquire_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token1] = ACTIONS(5792),
    [aux_sym_file_position_statement_token2] = ACTIONS(5792),
    [aux_sym_file_position_statement_token3] = ACTIONS(5792),
    [aux_sym_file_position_statement_token4] = ACTIONS(5792),
    [aux_sym_allocate_statement_token1] = ACTIONS(5792),
    [aux_sym_entry_statement_token1] = ACTIONS(5792),
    [aux_sym_logical_expression_token5] = ACTIONS(5794),
    [anon_sym_DOT] = ACTIONS(5792),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5794),
    [anon_sym_LBRACK] = ACTIONS(5794),
    [aux_sym_boolean_literal_token1] = ACTIONS(5794),
    [aux_sym_boolean_literal_token2] = ACTIONS(5794),
    [aux_sym_null_literal_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_statement_token2] = ACTIONS(5792),
    [aux_sym_coarray_statement_token6] = ACTIONS(5792),
    [aux_sym_coarray_statement_token8] = ACTIONS(5792),
    [aux_sym_coarray_statement_token11] = ACTIONS(5792),
    [aux_sym_coarray_statement_token12] = ACTIONS(5792),
    [aux_sym_coarray_statement_token13] = ACTIONS(5792),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5792),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5792),
    [aux_sym_identifier_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5794),
    [sym__float_literal] = ACTIONS(5794),
    [sym__boz_literal] = ACTIONS(5794),
    [sym__string_literal] = ACTIONS(5794),
    [sym__string_literal_kind] = ACTIONS(5794),
  },
  [2660] = {
    [aux_sym_preproc_include_token1] = ACTIONS(2079),
    [aux_sym_preproc_def_token1] = ACTIONS(2079),
    [aux_sym_preproc_if_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2079),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2079),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym_LPAREN2] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(2079),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(2079),
    [aux_sym_procedure_attributes_token3] = ACTIONS(2079),
    [aux_sym_use_statement_token2] = ACTIONS(2079),
    [aux_sym_implicit_statement_token4] = ACTIONS(2079),
    [aux_sym_save_statement_token1] = ACTIONS(2079),
    [aux_sym_private_statement_token1] = ACTIONS(2079),
    [aux_sym_public_statement_token1] = ACTIONS(2079),
    [aux_sym_derived_type_definition_token1] = ACTIONS(2079),
    [aux_sym_procedure_attribute_token6] = ACTIONS(2079),
    [aux_sym_variable_attributes_token2] = ACTIONS(2079),
    [aux_sym_variable_attributes_token3] = ACTIONS(2079),
    [aux_sym_variable_attributes_token5] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token1] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token3] = ACTIONS(2079),
    [aux_sym__intrinsic_type_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(2079),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(2079),
    [aux_sym_type_qualifier_token1] = ACTIONS(2079),
    [aux_sym_type_qualifier_token2] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(5690),
    [aux_sym_stop_statement_token1] = ACTIONS(2079),
    [aux_sym_stop_statement_token2] = ACTIONS(2079),
    [aux_sym_subroutine_call_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token1] = ACTIONS(2079),
    [aux_sym_keyword_statement_token2] = ACTIONS(2079),
    [aux_sym_keyword_statement_token3] = ACTIONS(2079),
    [aux_sym_keyword_statement_token4] = ACTIONS(2079),
    [aux_sym_keyword_statement_token6] = ACTIONS(2079),
    [aux_sym_keyword_statement_token7] = ACTIONS(2079),
    [aux_sym_include_statement_token1] = ACTIONS(2079),
    [aux_sym_data_statement_token1] = ACTIONS(2079),
    [aux_sym_do_loop_statement_token1] = ACTIONS(2079),
    [aux_sym__inline_if_statement_token1] = ACTIONS(2079),
    [aux_sym_end_if_statement_token1] = ACTIONS(2079),
    [aux_sym_elseif_clause_token2] = ACTIONS(2079),
    [aux_sym__inline_where_statement_token1] = ACTIONS(2079),
    [aux_sym__forall_control_expression_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token1] = ACTIONS(2079),
    [aux_sym_select_case_statement_token3] = ACTIONS(2079),
    [aux_sym_select_type_statement_token1] = ACTIONS(2079),
    [aux_sym_select_rank_statement_token1] = ACTIONS(2079),
    [aux_sym_block_construct_token1] = ACTIONS(2079),
    [aux_sym_associate_statement_token1] = ACTIONS(2079),
    [aux_sym_format_statement_token1] = ACTIONS(2079),
    [aux_sym_print_statement_token1] = ACTIONS(2079),
    [aux_sym_open_statement_token1] = ACTIONS(2079),
    [aux_sym_close_statement_token1] = ACTIONS(2079),
    [aux_sym_inquire_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token1] = ACTIONS(2079),
    [aux_sym_file_position_statement_token2] = ACTIONS(2079),
    [aux_sym_file_position_statement_token3] = ACTIONS(2079),
    [aux_sym_file_position_statement_token4] = ACTIONS(2079),
    [aux_sym_allocate_statement_token1] = ACTIONS(2079),
    [aux_sym_entry_statement_token1] = ACTIONS(2079),
    [aux_sym_logical_expression_token5] = ACTIONS(5690),
    [anon_sym_DOT] = ACTIONS(2079),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5690),
    [aux_sym_boolean_literal_token1] = ACTIONS(5690),
    [aux_sym_boolean_literal_token2] = ACTIONS(5690),
    [aux_sym_null_literal_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_statement_token2] = ACTIONS(2079),
    [aux_sym_coarray_statement_token6] = ACTIONS(2079),
    [aux_sym_coarray_statement_token8] = ACTIONS(2079),
    [aux_sym_coarray_statement_token11] = ACTIONS(2079),
    [aux_sym_coarray_statement_token12] = ACTIONS(2079),
    [aux_sym_coarray_statement_token13] = ACTIONS(2079),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(2079),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(2079),
    [aux_sym_identifier_token1] = ACTIONS(2079),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5690),
    [sym__float_literal] = ACTIONS(5690),
    [sym__boz_literal] = ACTIONS(5690),
    [sym__string_literal] = ACTIONS(5690),
    [sym__string_literal_kind] = ACTIONS(5690),
  },
  [2661] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4525),
    [aux_sym_preproc_def_token1] = ACTIONS(4525),
    [aux_sym_preproc_if_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4525),
    [sym_preproc_directive] = ACTIONS(4525),
    [anon_sym_LPAREN2] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4525),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4525),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4525),
    [aux_sym_use_statement_token2] = ACTIONS(4525),
    [aux_sym_implicit_statement_token4] = ACTIONS(4525),
    [aux_sym_save_statement_token1] = ACTIONS(4525),
    [aux_sym_private_statement_token1] = ACTIONS(4525),
    [aux_sym_public_statement_token1] = ACTIONS(4525),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4525),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4525),
    [aux_sym_variable_attributes_token2] = ACTIONS(4525),
    [aux_sym_variable_attributes_token3] = ACTIONS(4525),
    [aux_sym_variable_attributes_token5] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4525),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4525),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4525),
    [aux_sym_type_qualifier_token1] = ACTIONS(4525),
    [aux_sym_type_qualifier_token2] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(5584),
    [aux_sym_stop_statement_token1] = ACTIONS(4525),
    [aux_sym_stop_statement_token2] = ACTIONS(4525),
    [aux_sym_subroutine_call_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token1] = ACTIONS(4525),
    [aux_sym_keyword_statement_token2] = ACTIONS(4525),
    [aux_sym_keyword_statement_token3] = ACTIONS(4525),
    [aux_sym_keyword_statement_token4] = ACTIONS(4525),
    [aux_sym_keyword_statement_token6] = ACTIONS(4525),
    [aux_sym_keyword_statement_token7] = ACTIONS(4525),
    [aux_sym_include_statement_token1] = ACTIONS(4525),
    [aux_sym_data_statement_token1] = ACTIONS(4525),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4525),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4525),
    [aux_sym_end_if_statement_token1] = ACTIONS(4525),
    [aux_sym_elseif_clause_token2] = ACTIONS(4525),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4525),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token1] = ACTIONS(4525),
    [aux_sym_select_case_statement_token3] = ACTIONS(4525),
    [aux_sym_select_type_statement_token1] = ACTIONS(4525),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4525),
    [aux_sym_block_construct_token1] = ACTIONS(4525),
    [aux_sym_associate_statement_token1] = ACTIONS(4525),
    [aux_sym_format_statement_token1] = ACTIONS(4525),
    [aux_sym_print_statement_token1] = ACTIONS(4525),
    [aux_sym_open_statement_token1] = ACTIONS(4525),
    [aux_sym_close_statement_token1] = ACTIONS(4525),
    [aux_sym_inquire_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token1] = ACTIONS(4525),
    [aux_sym_file_position_statement_token2] = ACTIONS(4525),
    [aux_sym_file_position_statement_token3] = ACTIONS(4525),
    [aux_sym_file_position_statement_token4] = ACTIONS(4525),
    [aux_sym_allocate_statement_token1] = ACTIONS(4525),
    [aux_sym_entry_statement_token1] = ACTIONS(4525),
    [aux_sym_logical_expression_token5] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(4525),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [aux_sym_boolean_literal_token1] = ACTIONS(5584),
    [aux_sym_boolean_literal_token2] = ACTIONS(5584),
    [aux_sym_null_literal_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_statement_token2] = ACTIONS(4525),
    [aux_sym_coarray_statement_token6] = ACTIONS(4525),
    [aux_sym_coarray_statement_token8] = ACTIONS(4525),
    [aux_sym_coarray_statement_token11] = ACTIONS(4525),
    [aux_sym_coarray_statement_token12] = ACTIONS(4525),
    [aux_sym_coarray_statement_token13] = ACTIONS(4525),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4525),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4525),
    [aux_sym_identifier_token1] = ACTIONS(4525),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5584),
    [sym__float_literal] = ACTIONS(5584),
    [sym__boz_literal] = ACTIONS(5584),
    [sym__string_literal] = ACTIONS(5584),
    [sym__string_literal_kind] = ACTIONS(5584),
  },
  [2662] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5798),
    [aux_sym_preproc_def_token1] = ACTIONS(5798),
    [aux_sym_preproc_if_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5798),
    [sym_preproc_directive] = ACTIONS(5798),
    [anon_sym_LPAREN2] = ACTIONS(5798),
    [anon_sym_PLUS] = ACTIONS(5800),
    [anon_sym_DASH] = ACTIONS(5800),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5798),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5798),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5798),
    [aux_sym_use_statement_token2] = ACTIONS(5798),
    [aux_sym_implicit_statement_token4] = ACTIONS(5798),
    [aux_sym_save_statement_token1] = ACTIONS(5798),
    [aux_sym_private_statement_token1] = ACTIONS(5798),
    [aux_sym_public_statement_token1] = ACTIONS(5798),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5798),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5798),
    [aux_sym_variable_attributes_token2] = ACTIONS(5798),
    [aux_sym_variable_attributes_token3] = ACTIONS(5798),
    [aux_sym_variable_attributes_token5] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5798),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5798),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5798),
    [aux_sym_type_qualifier_token1] = ACTIONS(5798),
    [aux_sym_type_qualifier_token2] = ACTIONS(5798),
    [anon_sym_SEMI] = ACTIONS(5800),
    [aux_sym_stop_statement_token1] = ACTIONS(5798),
    [aux_sym_stop_statement_token2] = ACTIONS(5798),
    [aux_sym_subroutine_call_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token1] = ACTIONS(5798),
    [aux_sym_keyword_statement_token2] = ACTIONS(5798),
    [aux_sym_keyword_statement_token3] = ACTIONS(5798),
    [aux_sym_keyword_statement_token4] = ACTIONS(5798),
    [aux_sym_keyword_statement_token6] = ACTIONS(5798),
    [aux_sym_keyword_statement_token7] = ACTIONS(5798),
    [aux_sym_include_statement_token1] = ACTIONS(5798),
    [aux_sym_data_statement_token1] = ACTIONS(5798),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5798),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5798),
    [aux_sym_end_if_statement_token1] = ACTIONS(5798),
    [aux_sym_elseif_clause_token2] = ACTIONS(5798),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5798),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token1] = ACTIONS(5798),
    [aux_sym_select_case_statement_token3] = ACTIONS(5798),
    [aux_sym_select_type_statement_token1] = ACTIONS(5798),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5798),
    [aux_sym_block_construct_token1] = ACTIONS(5798),
    [aux_sym_associate_statement_token1] = ACTIONS(5798),
    [aux_sym_format_statement_token1] = ACTIONS(5798),
    [aux_sym_print_statement_token1] = ACTIONS(5798),
    [aux_sym_open_statement_token1] = ACTIONS(5798),
    [aux_sym_close_statement_token1] = ACTIONS(5798),
    [aux_sym_inquire_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token1] = ACTIONS(5798),
    [aux_sym_file_position_statement_token2] = ACTIONS(5798),
    [aux_sym_file_position_statement_token3] = ACTIONS(5798),
    [aux_sym_file_position_statement_token4] = ACTIONS(5798),
    [aux_sym_allocate_statement_token1] = ACTIONS(5798),
    [aux_sym_entry_statement_token1] = ACTIONS(5798),
    [aux_sym_logical_expression_token5] = ACTIONS(5800),
    [anon_sym_DOT] = ACTIONS(5798),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5800),
    [anon_sym_LBRACK] = ACTIONS(5800),
    [aux_sym_boolean_literal_token1] = ACTIONS(5800),
    [aux_sym_boolean_literal_token2] = ACTIONS(5800),
    [aux_sym_null_literal_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_statement_token2] = ACTIONS(5798),
    [aux_sym_coarray_statement_token6] = ACTIONS(5798),
    [aux_sym_coarray_statement_token8] = ACTIONS(5798),
    [aux_sym_coarray_statement_token11] = ACTIONS(5798),
    [aux_sym_coarray_statement_token12] = ACTIONS(5798),
    [aux_sym_coarray_statement_token13] = ACTIONS(5798),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5798),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5798),
    [aux_sym_identifier_token1] = ACTIONS(5798),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5800),
    [sym__float_literal] = ACTIONS(5800),
    [sym__boz_literal] = ACTIONS(5800),
    [sym__string_literal] = ACTIONS(5800),
    [sym__string_literal_kind] = ACTIONS(5800),
  },
  [2663] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(4629),
    [anon_sym_PLUS] = ACTIONS(4631),
    [anon_sym_DASH] = ACTIONS(4631),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [anon_sym_SEMI] = ACTIONS(4631),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_subroutine_call_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token1] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_keyword_statement_token4] = ACTIONS(4629),
    [aux_sym_keyword_statement_token6] = ACTIONS(4629),
    [aux_sym_keyword_statement_token7] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4629),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_select_case_statement_token3] = ACTIONS(4629),
    [aux_sym_select_type_statement_token1] = ACTIONS(4629),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_associate_statement_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_print_statement_token1] = ACTIONS(4629),
    [aux_sym_open_statement_token1] = ACTIONS(4629),
    [aux_sym_close_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token1] = ACTIONS(4629),
    [aux_sym_file_position_statement_token2] = ACTIONS(4629),
    [aux_sym_file_position_statement_token3] = ACTIONS(4629),
    [aux_sym_file_position_statement_token4] = ACTIONS(4629),
    [aux_sym_allocate_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_logical_expression_token5] = ACTIONS(4631),
    [anon_sym_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4631),
    [anon_sym_LBRACK] = ACTIONS(4631),
    [aux_sym_boolean_literal_token1] = ACTIONS(4631),
    [aux_sym_boolean_literal_token2] = ACTIONS(4631),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_statement_token13] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
    [sym__float_literal] = ACTIONS(4631),
    [sym__boz_literal] = ACTIONS(4631),
    [sym__string_literal] = ACTIONS(4631),
    [sym__string_literal_kind] = ACTIONS(4631),
  },
  [2664] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5002),
    [aux_sym_preproc_def_token1] = ACTIONS(5002),
    [aux_sym_preproc_if_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5002),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5002),
    [sym_preproc_directive] = ACTIONS(5002),
    [anon_sym_LPAREN2] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5002),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5002),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5002),
    [aux_sym_use_statement_token2] = ACTIONS(5002),
    [aux_sym_implicit_statement_token4] = ACTIONS(5002),
    [aux_sym_save_statement_token1] = ACTIONS(5002),
    [aux_sym_private_statement_token1] = ACTIONS(5002),
    [aux_sym_public_statement_token1] = ACTIONS(5002),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5002),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5002),
    [aux_sym_variable_attributes_token2] = ACTIONS(5002),
    [aux_sym_variable_attributes_token3] = ACTIONS(5002),
    [aux_sym_variable_attributes_token5] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5002),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5002),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5002),
    [aux_sym_type_qualifier_token1] = ACTIONS(5002),
    [aux_sym_type_qualifier_token2] = ACTIONS(5002),
    [anon_sym_SEMI] = ACTIONS(5588),
    [aux_sym_stop_statement_token1] = ACTIONS(5002),
    [aux_sym_stop_statement_token2] = ACTIONS(5002),
    [aux_sym_subroutine_call_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token1] = ACTIONS(5002),
    [aux_sym_keyword_statement_token2] = ACTIONS(5002),
    [aux_sym_keyword_statement_token3] = ACTIONS(5002),
    [aux_sym_keyword_statement_token4] = ACTIONS(5002),
    [aux_sym_keyword_statement_token6] = ACTIONS(5002),
    [aux_sym_keyword_statement_token7] = ACTIONS(5002),
    [aux_sym_include_statement_token1] = ACTIONS(5002),
    [aux_sym_data_statement_token1] = ACTIONS(5002),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5002),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5002),
    [aux_sym_end_if_statement_token1] = ACTIONS(5002),
    [aux_sym_elseif_clause_token2] = ACTIONS(5002),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5002),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token1] = ACTIONS(5002),
    [aux_sym_select_case_statement_token3] = ACTIONS(5002),
    [aux_sym_select_type_statement_token1] = ACTIONS(5002),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5002),
    [aux_sym_block_construct_token1] = ACTIONS(5002),
    [aux_sym_associate_statement_token1] = ACTIONS(5002),
    [aux_sym_format_statement_token1] = ACTIONS(5002),
    [aux_sym_print_statement_token1] = ACTIONS(5002),
    [aux_sym_open_statement_token1] = ACTIONS(5002),
    [aux_sym_close_statement_token1] = ACTIONS(5002),
    [aux_sym_inquire_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token1] = ACTIONS(5002),
    [aux_sym_file_position_statement_token2] = ACTIONS(5002),
    [aux_sym_file_position_statement_token3] = ACTIONS(5002),
    [aux_sym_file_position_statement_token4] = ACTIONS(5002),
    [aux_sym_allocate_statement_token1] = ACTIONS(5002),
    [aux_sym_entry_statement_token1] = ACTIONS(5002),
    [aux_sym_logical_expression_token5] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5002),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [aux_sym_boolean_literal_token1] = ACTIONS(5588),
    [aux_sym_boolean_literal_token2] = ACTIONS(5588),
    [aux_sym_null_literal_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_statement_token2] = ACTIONS(5002),
    [aux_sym_coarray_statement_token6] = ACTIONS(5002),
    [aux_sym_coarray_statement_token8] = ACTIONS(5002),
    [aux_sym_coarray_statement_token11] = ACTIONS(5002),
    [aux_sym_coarray_statement_token12] = ACTIONS(5002),
    [aux_sym_coarray_statement_token13] = ACTIONS(5002),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5002),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5002),
    [aux_sym_identifier_token1] = ACTIONS(5002),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5588),
    [sym__float_literal] = ACTIONS(5588),
    [sym__boz_literal] = ACTIONS(5588),
    [sym__string_literal] = ACTIONS(5588),
    [sym__string_literal_kind] = ACTIONS(5588),
  },
  [2665] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_LPAREN2] = ACTIONS(4637),
    [anon_sym_PLUS] = ACTIONS(4639),
    [anon_sym_DASH] = ACTIONS(4639),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [anon_sym_SEMI] = ACTIONS(4639),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_subroutine_call_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token1] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_keyword_statement_token4] = ACTIONS(4637),
    [aux_sym_keyword_statement_token6] = ACTIONS(4637),
    [aux_sym_keyword_statement_token7] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4637),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_select_case_statement_token3] = ACTIONS(4637),
    [aux_sym_select_type_statement_token1] = ACTIONS(4637),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_associate_statement_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_print_statement_token1] = ACTIONS(4637),
    [aux_sym_open_statement_token1] = ACTIONS(4637),
    [aux_sym_close_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token1] = ACTIONS(4637),
    [aux_sym_file_position_statement_token2] = ACTIONS(4637),
    [aux_sym_file_position_statement_token3] = ACTIONS(4637),
    [aux_sym_file_position_statement_token4] = ACTIONS(4637),
    [aux_sym_allocate_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_logical_expression_token5] = ACTIONS(4639),
    [anon_sym_DOT] = ACTIONS(4637),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4639),
    [anon_sym_LBRACK] = ACTIONS(4639),
    [aux_sym_boolean_literal_token1] = ACTIONS(4639),
    [aux_sym_boolean_literal_token2] = ACTIONS(4639),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_statement_token13] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
    [sym__float_literal] = ACTIONS(4639),
    [sym__boz_literal] = ACTIONS(4639),
    [sym__string_literal] = ACTIONS(4639),
    [sym__string_literal_kind] = ACTIONS(4639),
  },
  [2666] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_LPAREN2] = ACTIONS(4401),
    [anon_sym_PLUS] = ACTIONS(4403),
    [anon_sym_DASH] = ACTIONS(4403),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [anon_sym_SEMI] = ACTIONS(4403),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_subroutine_call_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token1] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_keyword_statement_token4] = ACTIONS(4401),
    [aux_sym_keyword_statement_token6] = ACTIONS(4401),
    [aux_sym_keyword_statement_token7] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4401),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_select_case_statement_token3] = ACTIONS(4401),
    [aux_sym_select_type_statement_token1] = ACTIONS(4401),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_associate_statement_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_print_statement_token1] = ACTIONS(4401),
    [aux_sym_open_statement_token1] = ACTIONS(4401),
    [aux_sym_close_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token1] = ACTIONS(4401),
    [aux_sym_file_position_statement_token2] = ACTIONS(4401),
    [aux_sym_file_position_statement_token3] = ACTIONS(4401),
    [aux_sym_file_position_statement_token4] = ACTIONS(4401),
    [aux_sym_allocate_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_logical_expression_token5] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4401),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4403),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [aux_sym_boolean_literal_token1] = ACTIONS(4403),
    [aux_sym_boolean_literal_token2] = ACTIONS(4403),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_statement_token13] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
    [sym__float_literal] = ACTIONS(4403),
    [sym__boz_literal] = ACTIONS(4403),
    [sym__string_literal] = ACTIONS(4403),
    [sym__string_literal_kind] = ACTIONS(4403),
  },
  [2667] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5818),
    [aux_sym_preproc_def_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5818),
    [sym_preproc_directive] = ACTIONS(5818),
    [anon_sym_LPAREN2] = ACTIONS(5818),
    [anon_sym_PLUS] = ACTIONS(5820),
    [anon_sym_DASH] = ACTIONS(5820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5818),
    [aux_sym_use_statement_token2] = ACTIONS(5818),
    [aux_sym_implicit_statement_token4] = ACTIONS(5818),
    [aux_sym_save_statement_token1] = ACTIONS(5818),
    [aux_sym_private_statement_token1] = ACTIONS(5818),
    [aux_sym_public_statement_token1] = ACTIONS(5818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5818),
    [aux_sym_variable_attributes_token2] = ACTIONS(5818),
    [aux_sym_variable_attributes_token3] = ACTIONS(5818),
    [aux_sym_variable_attributes_token5] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5818),
    [aux_sym_type_qualifier_token1] = ACTIONS(5818),
    [aux_sym_type_qualifier_token2] = ACTIONS(5818),
    [anon_sym_SEMI] = ACTIONS(5820),
    [aux_sym_stop_statement_token1] = ACTIONS(5818),
    [aux_sym_stop_statement_token2] = ACTIONS(5818),
    [aux_sym_subroutine_call_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token1] = ACTIONS(5818),
    [aux_sym_keyword_statement_token2] = ACTIONS(5818),
    [aux_sym_keyword_statement_token3] = ACTIONS(5818),
    [aux_sym_keyword_statement_token4] = ACTIONS(5818),
    [aux_sym_keyword_statement_token6] = ACTIONS(5818),
    [aux_sym_keyword_statement_token7] = ACTIONS(5818),
    [aux_sym_include_statement_token1] = ACTIONS(5818),
    [aux_sym_data_statement_token1] = ACTIONS(5818),
    [aux_sym_do_loop_statement_token1] = ACTIONS(5818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5818),
    [aux_sym_end_if_statement_token1] = ACTIONS(5818),
    [aux_sym_elseif_clause_token2] = ACTIONS(5818),
    [aux_sym__inline_where_statement_token1] = ACTIONS(5818),
    [aux_sym__forall_control_expression_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token1] = ACTIONS(5818),
    [aux_sym_select_case_statement_token3] = ACTIONS(5818),
    [aux_sym_select_type_statement_token1] = ACTIONS(5818),
    [aux_sym_select_rank_statement_token1] = ACTIONS(5818),
    [aux_sym_block_construct_token1] = ACTIONS(5818),
    [aux_sym_associate_statement_token1] = ACTIONS(5818),
    [aux_sym_format_statement_token1] = ACTIONS(5818),
    [aux_sym_print_statement_token1] = ACTIONS(5818),
    [aux_sym_open_statement_token1] = ACTIONS(5818),
    [aux_sym_close_statement_token1] = ACTIONS(5818),
    [aux_sym_inquire_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token1] = ACTIONS(5818),
    [aux_sym_file_position_statement_token2] = ACTIONS(5818),
    [aux_sym_file_position_statement_token3] = ACTIONS(5818),
    [aux_sym_file_position_statement_token4] = ACTIONS(5818),
    [aux_sym_allocate_statement_token1] = ACTIONS(5818),
    [aux_sym_entry_statement_token1] = ACTIONS(5818),
    [aux_sym_logical_expression_token5] = ACTIONS(5820),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5820),
    [aux_sym_boolean_literal_token1] = ACTIONS(5820),
    [aux_sym_boolean_literal_token2] = ACTIONS(5820),
    [aux_sym_null_literal_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_statement_token2] = ACTIONS(5818),
    [aux_sym_coarray_statement_token6] = ACTIONS(5818),
    [aux_sym_coarray_statement_token8] = ACTIONS(5818),
    [aux_sym_coarray_statement_token11] = ACTIONS(5818),
    [aux_sym_coarray_statement_token12] = ACTIONS(5818),
    [aux_sym_coarray_statement_token13] = ACTIONS(5818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5818),
    [aux_sym_identifier_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5820),
    [sym__float_literal] = ACTIONS(5820),
    [sym__boz_literal] = ACTIONS(5820),
    [sym__string_literal] = ACTIONS(5820),
    [sym__string_literal_kind] = ACTIONS(5820),
  },
  [2668] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_LPAREN2] = ACTIONS(4529),
    [anon_sym_PLUS] = ACTIONS(4531),
    [anon_sym_DASH] = ACTIONS(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [anon_sym_SEMI] = ACTIONS(4531),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_subroutine_call_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token1] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_keyword_statement_token4] = ACTIONS(4529),
    [aux_sym_keyword_statement_token6] = ACTIONS(4529),
    [aux_sym_keyword_statement_token7] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym_do_loop_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym__inline_where_statement_token1] = ACTIONS(4529),
    [aux_sym__forall_control_expression_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_select_case_statement_token3] = ACTIONS(4529),
    [aux_sym_select_type_statement_token1] = ACTIONS(4529),
    [aux_sym_select_rank_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_associate_statement_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_print_statement_token1] = ACTIONS(4529),
    [aux_sym_open_statement_token1] = ACTIONS(4529),
    [aux_sym_close_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token1] = ACTIONS(4529),
    [aux_sym_file_position_statement_token2] = ACTIONS(4529),
    [aux_sym_file_position_statement_token3] = ACTIONS(4529),
    [aux_sym_file_position_statement_token4] = ACTIONS(4529),
    [aux_sym_allocate_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_logical_expression_token5] = ACTIONS(4531),
    [anon_sym_DOT] = ACTIONS(4529),
    [anon_sym_LPAREN_SLASH] = ACTIONS(4531),
    [anon_sym_LBRACK] = ACTIONS(4531),
    [aux_sym_boolean_literal_token1] = ACTIONS(4531),
    [aux_sym_boolean_literal_token2] = ACTIONS(4531),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_statement_token13] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
    [sym__float_literal] = ACTIONS(4531),
    [sym__boz_literal] = ACTIONS(4531),
    [sym__string_literal] = ACTIONS(4531),
    [sym__string_literal_kind] = ACTIONS(4531),
  },
  [2669] = {
    [sym_statement_label] = STATE(4019),
    [sym_statement_label_reference] = STATE(7523),
    [sym_format_identifier] = STATE(7662),
    [sym__io_expressions] = STATE(7523),
    [sym__expression] = STATE(4691),
    [sym_parenthesized_expression] = STATE(4976),
    [sym_derived_type_member_expression] = STATE(4976),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4976),
    [sym_math_expression] = STATE(4976),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4976),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7291),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4976),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4927),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(6700),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4257),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2670] = {
    [sym__argument_list] = STATE(2550),
    [sym_argument_list] = STATE(3409),
    [anon_sym_LPAREN2] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
  },
  [2671] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2672] = {
    [sym__expression] = STATE(4440),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_assumed_size] = STATE(7268),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_COMMA] = ACTIONS(6706),
    [anon_sym_RPAREN] = ACTIONS(6706),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6708),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2673] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token2] = ACTIONS(4293),
    [aux_sym_preproc_else_token1] = ACTIONS(4293),
    [aux_sym_preproc_elif_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [sym_preproc_comment] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
  },
  [2674] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token2] = ACTIONS(4285),
    [aux_sym_preproc_else_token1] = ACTIONS(4285),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2675] = {
    [sym_statement_label] = STATE(6542),
    [sym_statement_label_reference] = STATE(6729),
    [sym_format_identifier] = STATE(6911),
    [sym__io_expressions] = STATE(6729),
    [sym__expression] = STATE(4690),
    [sym_parenthesized_expression] = STATE(4850),
    [sym_derived_type_member_expression] = STATE(4850),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4850),
    [sym_math_expression] = STATE(4850),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4850),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4850),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4850),
    [anon_sym_LPAREN2] = ACTIONS(6710),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(5503),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5505),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2676] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token2] = ACTIONS(4297),
    [aux_sym_preproc_else_token1] = ACTIONS(4297),
    [aux_sym_preproc_elif_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [sym_preproc_comment] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
  },
  [2677] = {
    [sym__expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_assumed_size] = STATE(6537),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_COMMA] = ACTIONS(6714),
    [anon_sym_RPAREN] = ACTIONS(6714),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6716),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2678] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token2] = ACTIONS(4289),
    [aux_sym_preproc_else_token1] = ACTIONS(4289),
    [aux_sym_preproc_elif_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [sym_preproc_comment] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
  },
  [2679] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6718),
    [aux_sym_preproc_def_token1] = ACTIONS(6718),
    [aux_sym_preproc_if_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6718),
    [sym_preproc_directive] = ACTIONS(6718),
    [sym_preproc_comment] = ACTIONS(6720),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6718),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6718),
    [aux_sym_interface_statement_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6718),
    [aux_sym_language_binding_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6718),
    [aux_sym_contains_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token2] = ACTIONS(6718),
    [aux_sym_implicit_statement_token1] = ACTIONS(6718),
    [aux_sym_implicit_statement_token3] = ACTIONS(6718),
    [aux_sym_implicit_statement_token4] = ACTIONS(6718),
    [aux_sym_save_statement_token1] = ACTIONS(6718),
    [aux_sym_private_statement_token1] = ACTIONS(6718),
    [aux_sym_public_statement_token1] = ACTIONS(6718),
    [aux_sym_namelist_statement_token1] = ACTIONS(6718),
    [aux_sym_common_statement_token1] = ACTIONS(6718),
    [aux_sym_import_statement_token1] = ACTIONS(6718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6718),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6718),
    [aux_sym_variable_attributes_token1] = ACTIONS(6718),
    [aux_sym_variable_attributes_token2] = ACTIONS(6718),
    [aux_sym_variable_attributes_token3] = ACTIONS(6718),
    [aux_sym_variable_attributes_token4] = ACTIONS(6718),
    [aux_sym_variable_attributes_token5] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6718),
    [aux_sym_derived_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6718),
    [aux_sym_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token3] = ACTIONS(6718),
    [aux_sym_include_statement_token1] = ACTIONS(6718),
    [aux_sym_data_statement_token1] = ACTIONS(6718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6718),
    [aux_sym_end_if_statement_token1] = ACTIONS(6718),
    [aux_sym_elseif_clause_token2] = ACTIONS(6718),
    [aux_sym_select_case_statement_token1] = ACTIONS(6718),
    [aux_sym_block_construct_token1] = ACTIONS(6718),
    [aux_sym_format_statement_token1] = ACTIONS(6718),
    [aux_sym_inquire_statement_token1] = ACTIONS(6718),
    [aux_sym_enum_statement_token1] = ACTIONS(6718),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6718),
    [aux_sym_entry_statement_token1] = ACTIONS(6718),
    [aux_sym_null_literal_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token2] = ACTIONS(6718),
    [aux_sym_coarray_statement_token6] = ACTIONS(6718),
    [aux_sym_coarray_statement_token8] = ACTIONS(6718),
    [aux_sym_coarray_statement_token11] = ACTIONS(6718),
    [aux_sym_coarray_statement_token12] = ACTIONS(6718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6718),
    [aux_sym_identifier_token1] = ACTIONS(6718),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6722),
  },
  [2680] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6724),
    [aux_sym_preproc_def_token1] = ACTIONS(6724),
    [aux_sym_preproc_if_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6724),
    [sym_preproc_directive] = ACTIONS(6724),
    [sym_preproc_comment] = ACTIONS(6726),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6724),
    [aux_sym_end_module_statement_token1] = ACTIONS(6724),
    [aux_sym_interface_statement_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6724),
    [aux_sym_language_binding_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6724),
    [aux_sym_contains_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token2] = ACTIONS(6724),
    [aux_sym_implicit_statement_token1] = ACTIONS(6724),
    [aux_sym_implicit_statement_token3] = ACTIONS(6724),
    [aux_sym_implicit_statement_token4] = ACTIONS(6724),
    [aux_sym_save_statement_token1] = ACTIONS(6724),
    [aux_sym_private_statement_token1] = ACTIONS(6724),
    [aux_sym_public_statement_token1] = ACTIONS(6724),
    [aux_sym_namelist_statement_token1] = ACTIONS(6724),
    [aux_sym_common_statement_token1] = ACTIONS(6724),
    [aux_sym_import_statement_token1] = ACTIONS(6724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6724),
    [aux_sym_variable_attributes_token1] = ACTIONS(6724),
    [aux_sym_variable_attributes_token2] = ACTIONS(6724),
    [aux_sym_variable_attributes_token3] = ACTIONS(6724),
    [aux_sym_variable_attributes_token4] = ACTIONS(6724),
    [aux_sym_variable_attributes_token5] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6724),
    [aux_sym_derived_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6724),
    [aux_sym_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token3] = ACTIONS(6724),
    [aux_sym_include_statement_token1] = ACTIONS(6724),
    [aux_sym_data_statement_token1] = ACTIONS(6724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6724),
    [aux_sym_end_if_statement_token1] = ACTIONS(6724),
    [aux_sym_elseif_clause_token2] = ACTIONS(6724),
    [aux_sym_select_case_statement_token1] = ACTIONS(6724),
    [aux_sym_block_construct_token1] = ACTIONS(6724),
    [aux_sym_format_statement_token1] = ACTIONS(6724),
    [aux_sym_inquire_statement_token1] = ACTIONS(6724),
    [aux_sym_enum_statement_token1] = ACTIONS(6724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6724),
    [aux_sym_entry_statement_token1] = ACTIONS(6724),
    [aux_sym_null_literal_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token2] = ACTIONS(6724),
    [aux_sym_coarray_statement_token6] = ACTIONS(6724),
    [aux_sym_coarray_statement_token8] = ACTIONS(6724),
    [aux_sym_coarray_statement_token11] = ACTIONS(6724),
    [aux_sym_coarray_statement_token12] = ACTIONS(6724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6724),
    [aux_sym_identifier_token1] = ACTIONS(6724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6728),
  },
  [2681] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6730),
    [aux_sym_preproc_def_token1] = ACTIONS(6730),
    [aux_sym_preproc_if_token1] = ACTIONS(6730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6730),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6730),
    [sym_preproc_directive] = ACTIONS(6730),
    [sym_preproc_comment] = ACTIONS(6732),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6730),
    [aux_sym_end_module_statement_token1] = ACTIONS(6730),
    [aux_sym_interface_statement_token1] = ACTIONS(6730),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6730),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6730),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6730),
    [aux_sym_language_binding_token1] = ACTIONS(6730),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6730),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6730),
    [aux_sym_contains_statement_token1] = ACTIONS(6730),
    [aux_sym_use_statement_token1] = ACTIONS(6730),
    [aux_sym_use_statement_token2] = ACTIONS(6730),
    [aux_sym_implicit_statement_token1] = ACTIONS(6730),
    [aux_sym_implicit_statement_token3] = ACTIONS(6730),
    [aux_sym_implicit_statement_token4] = ACTIONS(6730),
    [aux_sym_save_statement_token1] = ACTIONS(6730),
    [aux_sym_private_statement_token1] = ACTIONS(6730),
    [aux_sym_public_statement_token1] = ACTIONS(6730),
    [aux_sym_namelist_statement_token1] = ACTIONS(6730),
    [aux_sym_common_statement_token1] = ACTIONS(6730),
    [aux_sym_import_statement_token1] = ACTIONS(6730),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6730),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6730),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6730),
    [aux_sym_variable_attributes_token1] = ACTIONS(6730),
    [aux_sym_variable_attributes_token2] = ACTIONS(6730),
    [aux_sym_variable_attributes_token3] = ACTIONS(6730),
    [aux_sym_variable_attributes_token4] = ACTIONS(6730),
    [aux_sym_variable_attributes_token5] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6730),
    [aux_sym_derived_type_token1] = ACTIONS(6730),
    [aux_sym_declared_type_token1] = ACTIONS(6730),
    [aux_sym_declared_type_token2] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6730),
    [aux_sym_type_qualifier_token1] = ACTIONS(6730),
    [aux_sym_type_qualifier_token2] = ACTIONS(6730),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6730),
    [aux_sym_stop_statement_token1] = ACTIONS(6730),
    [aux_sym_stop_statement_token2] = ACTIONS(6730),
    [aux_sym_keyword_statement_token2] = ACTIONS(6730),
    [aux_sym_keyword_statement_token3] = ACTIONS(6730),
    [aux_sym_include_statement_token1] = ACTIONS(6730),
    [aux_sym_data_statement_token1] = ACTIONS(6730),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6730),
    [aux_sym_end_if_statement_token1] = ACTIONS(6730),
    [aux_sym_elseif_clause_token2] = ACTIONS(6730),
    [aux_sym_select_case_statement_token1] = ACTIONS(6730),
    [aux_sym_block_construct_token1] = ACTIONS(6730),
    [aux_sym_format_statement_token1] = ACTIONS(6730),
    [aux_sym_inquire_statement_token1] = ACTIONS(6730),
    [aux_sym_enum_statement_token1] = ACTIONS(6730),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6730),
    [aux_sym_entry_statement_token1] = ACTIONS(6730),
    [aux_sym_null_literal_token1] = ACTIONS(6730),
    [aux_sym_coarray_statement_token1] = ACTIONS(6730),
    [aux_sym_coarray_statement_token2] = ACTIONS(6730),
    [aux_sym_coarray_statement_token6] = ACTIONS(6730),
    [aux_sym_coarray_statement_token8] = ACTIONS(6730),
    [aux_sym_coarray_statement_token11] = ACTIONS(6730),
    [aux_sym_coarray_statement_token12] = ACTIONS(6730),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6730),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6730),
    [aux_sym_identifier_token1] = ACTIONS(6730),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6734),
  },
  [2682] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_else_token1] = ACTIONS(5128),
    [aux_sym_preproc_elif_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
  },
  [2683] = {
    [anon_sym_LPAREN2] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
  },
  [2684] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [aux_sym_preproc_else_token1] = ACTIONS(4605),
    [aux_sym_preproc_elif_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
  },
  [2685] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [aux_sym_preproc_else_token1] = ACTIONS(4609),
    [aux_sym_preproc_elif_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
  },
  [2686] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [aux_sym_preproc_else_token1] = ACTIONS(4629),
    [aux_sym_preproc_elif_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
  },
  [2687] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [aux_sym_preproc_else_token1] = ACTIONS(4637),
    [aux_sym_preproc_elif_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
  },
  [2688] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [aux_sym_preproc_else_token1] = ACTIONS(4401),
    [aux_sym_preproc_elif_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
  },
  [2689] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [aux_sym_preproc_else_token1] = ACTIONS(4529),
    [aux_sym_preproc_elif_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
  },
  [2690] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [aux_sym_preproc_else_token1] = ACTIONS(4405),
    [aux_sym_preproc_elif_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
  },
  [2691] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [aux_sym_preproc_else_token1] = ACTIONS(4409),
    [aux_sym_preproc_elif_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
  },
  [2692] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [aux_sym_preproc_else_token1] = ACTIONS(4413),
    [aux_sym_preproc_elif_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
  },
  [2693] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6738),
    [aux_sym_preproc_def_token1] = ACTIONS(6738),
    [aux_sym_preproc_if_token1] = ACTIONS(6738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6738),
    [sym_preproc_directive] = ACTIONS(6738),
    [sym_preproc_comment] = ACTIONS(6740),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6738),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6738),
    [aux_sym_interface_statement_token1] = ACTIONS(6738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6738),
    [aux_sym_language_binding_token1] = ACTIONS(6738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6738),
    [aux_sym_contains_statement_token1] = ACTIONS(6738),
    [aux_sym_use_statement_token1] = ACTIONS(6738),
    [aux_sym_use_statement_token2] = ACTIONS(6738),
    [aux_sym_implicit_statement_token1] = ACTIONS(6738),
    [aux_sym_implicit_statement_token3] = ACTIONS(6738),
    [aux_sym_implicit_statement_token4] = ACTIONS(6738),
    [aux_sym_save_statement_token1] = ACTIONS(6738),
    [aux_sym_private_statement_token1] = ACTIONS(6738),
    [aux_sym_public_statement_token1] = ACTIONS(6738),
    [aux_sym_namelist_statement_token1] = ACTIONS(6738),
    [aux_sym_common_statement_token1] = ACTIONS(6738),
    [aux_sym_import_statement_token1] = ACTIONS(6738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6738),
    [aux_sym_variable_attributes_token1] = ACTIONS(6738),
    [aux_sym_variable_attributes_token2] = ACTIONS(6738),
    [aux_sym_variable_attributes_token3] = ACTIONS(6738),
    [aux_sym_variable_attributes_token4] = ACTIONS(6738),
    [aux_sym_variable_attributes_token5] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6738),
    [aux_sym_derived_type_token1] = ACTIONS(6738),
    [aux_sym_declared_type_token1] = ACTIONS(6738),
    [aux_sym_declared_type_token2] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6738),
    [aux_sym_type_qualifier_token1] = ACTIONS(6738),
    [aux_sym_type_qualifier_token2] = ACTIONS(6738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6738),
    [aux_sym_stop_statement_token1] = ACTIONS(6738),
    [aux_sym_stop_statement_token2] = ACTIONS(6738),
    [aux_sym_keyword_statement_token2] = ACTIONS(6738),
    [aux_sym_keyword_statement_token3] = ACTIONS(6738),
    [aux_sym_include_statement_token1] = ACTIONS(6738),
    [aux_sym_data_statement_token1] = ACTIONS(6738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6738),
    [aux_sym_end_if_statement_token1] = ACTIONS(6738),
    [aux_sym_elseif_clause_token2] = ACTIONS(6738),
    [aux_sym_select_case_statement_token1] = ACTIONS(6738),
    [aux_sym_block_construct_token1] = ACTIONS(6738),
    [aux_sym_format_statement_token1] = ACTIONS(6738),
    [aux_sym_inquire_statement_token1] = ACTIONS(6738),
    [aux_sym_enum_statement_token1] = ACTIONS(6738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6738),
    [aux_sym_entry_statement_token1] = ACTIONS(6738),
    [aux_sym_null_literal_token1] = ACTIONS(6738),
    [aux_sym_coarray_statement_token1] = ACTIONS(6738),
    [aux_sym_coarray_statement_token2] = ACTIONS(6738),
    [aux_sym_coarray_statement_token6] = ACTIONS(6738),
    [aux_sym_coarray_statement_token8] = ACTIONS(6738),
    [aux_sym_coarray_statement_token11] = ACTIONS(6738),
    [aux_sym_coarray_statement_token12] = ACTIONS(6738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6738),
    [aux_sym_identifier_token1] = ACTIONS(6738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6742),
  },
  [2694] = {
    [sym_case_value_range_list] = STATE(7988),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2695] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7296),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2696] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [aux_sym_preproc_else_token1] = ACTIONS(4613),
    [aux_sym_preproc_elif_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
  },
  [2697] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [aux_sym_preproc_else_token1] = ACTIONS(4617),
    [aux_sym_preproc_elif_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
  },
  [2698] = {
    [sym__expression] = STATE(4480),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6750),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6752),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2699] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6754),
    [aux_sym_preproc_def_token1] = ACTIONS(6754),
    [aux_sym_preproc_if_token1] = ACTIONS(6754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6754),
    [sym_preproc_directive] = ACTIONS(6754),
    [sym_preproc_comment] = ACTIONS(6756),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6754),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6754),
    [aux_sym_interface_statement_token1] = ACTIONS(6754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6754),
    [aux_sym_language_binding_token1] = ACTIONS(6754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6754),
    [aux_sym_contains_statement_token1] = ACTIONS(6754),
    [aux_sym_use_statement_token1] = ACTIONS(6754),
    [aux_sym_use_statement_token2] = ACTIONS(6754),
    [aux_sym_implicit_statement_token1] = ACTIONS(6754),
    [aux_sym_implicit_statement_token3] = ACTIONS(6754),
    [aux_sym_implicit_statement_token4] = ACTIONS(6754),
    [aux_sym_save_statement_token1] = ACTIONS(6754),
    [aux_sym_private_statement_token1] = ACTIONS(6754),
    [aux_sym_public_statement_token1] = ACTIONS(6754),
    [aux_sym_namelist_statement_token1] = ACTIONS(6754),
    [aux_sym_common_statement_token1] = ACTIONS(6754),
    [aux_sym_import_statement_token1] = ACTIONS(6754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6754),
    [aux_sym_variable_attributes_token1] = ACTIONS(6754),
    [aux_sym_variable_attributes_token2] = ACTIONS(6754),
    [aux_sym_variable_attributes_token3] = ACTIONS(6754),
    [aux_sym_variable_attributes_token4] = ACTIONS(6754),
    [aux_sym_variable_attributes_token5] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6754),
    [aux_sym_derived_type_token1] = ACTIONS(6754),
    [aux_sym_declared_type_token1] = ACTIONS(6754),
    [aux_sym_declared_type_token2] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6754),
    [aux_sym_type_qualifier_token1] = ACTIONS(6754),
    [aux_sym_type_qualifier_token2] = ACTIONS(6754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6754),
    [aux_sym_stop_statement_token1] = ACTIONS(6754),
    [aux_sym_stop_statement_token2] = ACTIONS(6754),
    [aux_sym_keyword_statement_token2] = ACTIONS(6754),
    [aux_sym_keyword_statement_token3] = ACTIONS(6754),
    [aux_sym_include_statement_token1] = ACTIONS(6754),
    [aux_sym_data_statement_token1] = ACTIONS(6754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6754),
    [aux_sym_end_if_statement_token1] = ACTIONS(6754),
    [aux_sym_elseif_clause_token2] = ACTIONS(6754),
    [aux_sym_select_case_statement_token1] = ACTIONS(6754),
    [aux_sym_block_construct_token1] = ACTIONS(6754),
    [aux_sym_format_statement_token1] = ACTIONS(6754),
    [aux_sym_inquire_statement_token1] = ACTIONS(6754),
    [aux_sym_enum_statement_token1] = ACTIONS(6754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6754),
    [aux_sym_entry_statement_token1] = ACTIONS(6754),
    [aux_sym_null_literal_token1] = ACTIONS(6754),
    [aux_sym_coarray_statement_token1] = ACTIONS(6754),
    [aux_sym_coarray_statement_token2] = ACTIONS(6754),
    [aux_sym_coarray_statement_token6] = ACTIONS(6754),
    [aux_sym_coarray_statement_token8] = ACTIONS(6754),
    [aux_sym_coarray_statement_token11] = ACTIONS(6754),
    [aux_sym_coarray_statement_token12] = ACTIONS(6754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6754),
    [aux_sym_identifier_token1] = ACTIONS(6754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6758),
  },
  [2700] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6760),
    [aux_sym_preproc_def_token1] = ACTIONS(6760),
    [aux_sym_preproc_if_token1] = ACTIONS(6760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6760),
    [sym_preproc_directive] = ACTIONS(6760),
    [sym_preproc_comment] = ACTIONS(6762),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6760),
    [aux_sym_end_module_statement_token1] = ACTIONS(6760),
    [aux_sym_interface_statement_token1] = ACTIONS(6760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6760),
    [aux_sym_language_binding_token1] = ACTIONS(6760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6760),
    [aux_sym_contains_statement_token1] = ACTIONS(6760),
    [aux_sym_use_statement_token1] = ACTIONS(6760),
    [aux_sym_use_statement_token2] = ACTIONS(6760),
    [aux_sym_implicit_statement_token1] = ACTIONS(6760),
    [aux_sym_implicit_statement_token3] = ACTIONS(6760),
    [aux_sym_implicit_statement_token4] = ACTIONS(6760),
    [aux_sym_save_statement_token1] = ACTIONS(6760),
    [aux_sym_private_statement_token1] = ACTIONS(6760),
    [aux_sym_public_statement_token1] = ACTIONS(6760),
    [aux_sym_namelist_statement_token1] = ACTIONS(6760),
    [aux_sym_common_statement_token1] = ACTIONS(6760),
    [aux_sym_import_statement_token1] = ACTIONS(6760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6760),
    [aux_sym_variable_attributes_token1] = ACTIONS(6760),
    [aux_sym_variable_attributes_token2] = ACTIONS(6760),
    [aux_sym_variable_attributes_token3] = ACTIONS(6760),
    [aux_sym_variable_attributes_token4] = ACTIONS(6760),
    [aux_sym_variable_attributes_token5] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6760),
    [aux_sym_derived_type_token1] = ACTIONS(6760),
    [aux_sym_declared_type_token1] = ACTIONS(6760),
    [aux_sym_declared_type_token2] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6760),
    [aux_sym_type_qualifier_token1] = ACTIONS(6760),
    [aux_sym_type_qualifier_token2] = ACTIONS(6760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6760),
    [aux_sym_stop_statement_token1] = ACTIONS(6760),
    [aux_sym_stop_statement_token2] = ACTIONS(6760),
    [aux_sym_keyword_statement_token2] = ACTIONS(6760),
    [aux_sym_keyword_statement_token3] = ACTIONS(6760),
    [aux_sym_include_statement_token1] = ACTIONS(6760),
    [aux_sym_data_statement_token1] = ACTIONS(6760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6760),
    [aux_sym_end_if_statement_token1] = ACTIONS(6760),
    [aux_sym_elseif_clause_token2] = ACTIONS(6760),
    [aux_sym_select_case_statement_token1] = ACTIONS(6760),
    [aux_sym_block_construct_token1] = ACTIONS(6760),
    [aux_sym_format_statement_token1] = ACTIONS(6760),
    [aux_sym_inquire_statement_token1] = ACTIONS(6760),
    [aux_sym_enum_statement_token1] = ACTIONS(6760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6760),
    [aux_sym_entry_statement_token1] = ACTIONS(6760),
    [aux_sym_null_literal_token1] = ACTIONS(6760),
    [aux_sym_coarray_statement_token1] = ACTIONS(6760),
    [aux_sym_coarray_statement_token2] = ACTIONS(6760),
    [aux_sym_coarray_statement_token6] = ACTIONS(6760),
    [aux_sym_coarray_statement_token8] = ACTIONS(6760),
    [aux_sym_coarray_statement_token11] = ACTIONS(6760),
    [aux_sym_coarray_statement_token12] = ACTIONS(6760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6760),
    [aux_sym_identifier_token1] = ACTIONS(6760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6764),
  },
  [2701] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [aux_sym_preproc_else_token1] = ACTIONS(4621),
    [aux_sym_preproc_elif_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
  },
  [2702] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6766),
    [aux_sym_preproc_def_token1] = ACTIONS(6766),
    [aux_sym_preproc_if_token1] = ACTIONS(6766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6766),
    [sym_preproc_directive] = ACTIONS(6766),
    [sym_preproc_comment] = ACTIONS(6768),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6766),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6766),
    [aux_sym_interface_statement_token1] = ACTIONS(6766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6766),
    [aux_sym_language_binding_token1] = ACTIONS(6766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6766),
    [aux_sym_contains_statement_token1] = ACTIONS(6766),
    [aux_sym_use_statement_token1] = ACTIONS(6766),
    [aux_sym_use_statement_token2] = ACTIONS(6766),
    [aux_sym_implicit_statement_token1] = ACTIONS(6766),
    [aux_sym_implicit_statement_token3] = ACTIONS(6766),
    [aux_sym_implicit_statement_token4] = ACTIONS(6766),
    [aux_sym_save_statement_token1] = ACTIONS(6766),
    [aux_sym_private_statement_token1] = ACTIONS(6766),
    [aux_sym_public_statement_token1] = ACTIONS(6766),
    [aux_sym_namelist_statement_token1] = ACTIONS(6766),
    [aux_sym_common_statement_token1] = ACTIONS(6766),
    [aux_sym_import_statement_token1] = ACTIONS(6766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6766),
    [aux_sym_variable_attributes_token1] = ACTIONS(6766),
    [aux_sym_variable_attributes_token2] = ACTIONS(6766),
    [aux_sym_variable_attributes_token3] = ACTIONS(6766),
    [aux_sym_variable_attributes_token4] = ACTIONS(6766),
    [aux_sym_variable_attributes_token5] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6766),
    [aux_sym_derived_type_token1] = ACTIONS(6766),
    [aux_sym_declared_type_token1] = ACTIONS(6766),
    [aux_sym_declared_type_token2] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6766),
    [aux_sym_type_qualifier_token1] = ACTIONS(6766),
    [aux_sym_type_qualifier_token2] = ACTIONS(6766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6766),
    [aux_sym_stop_statement_token1] = ACTIONS(6766),
    [aux_sym_stop_statement_token2] = ACTIONS(6766),
    [aux_sym_keyword_statement_token2] = ACTIONS(6766),
    [aux_sym_keyword_statement_token3] = ACTIONS(6766),
    [aux_sym_include_statement_token1] = ACTIONS(6766),
    [aux_sym_data_statement_token1] = ACTIONS(6766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6766),
    [aux_sym_end_if_statement_token1] = ACTIONS(6766),
    [aux_sym_elseif_clause_token2] = ACTIONS(6766),
    [aux_sym_select_case_statement_token1] = ACTIONS(6766),
    [aux_sym_block_construct_token1] = ACTIONS(6766),
    [aux_sym_format_statement_token1] = ACTIONS(6766),
    [aux_sym_inquire_statement_token1] = ACTIONS(6766),
    [aux_sym_enum_statement_token1] = ACTIONS(6766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6766),
    [aux_sym_entry_statement_token1] = ACTIONS(6766),
    [aux_sym_null_literal_token1] = ACTIONS(6766),
    [aux_sym_coarray_statement_token1] = ACTIONS(6766),
    [aux_sym_coarray_statement_token2] = ACTIONS(6766),
    [aux_sym_coarray_statement_token6] = ACTIONS(6766),
    [aux_sym_coarray_statement_token8] = ACTIONS(6766),
    [aux_sym_coarray_statement_token11] = ACTIONS(6766),
    [aux_sym_coarray_statement_token12] = ACTIONS(6766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6766),
    [aux_sym_identifier_token1] = ACTIONS(6766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6770),
  },
  [2703] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6724),
    [aux_sym_preproc_def_token1] = ACTIONS(6724),
    [aux_sym_preproc_if_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6724),
    [sym_preproc_directive] = ACTIONS(6724),
    [sym_preproc_comment] = ACTIONS(6772),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6724),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6724),
    [aux_sym_interface_statement_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6724),
    [aux_sym_language_binding_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6724),
    [aux_sym_contains_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token2] = ACTIONS(6724),
    [aux_sym_implicit_statement_token1] = ACTIONS(6724),
    [aux_sym_implicit_statement_token3] = ACTIONS(6724),
    [aux_sym_implicit_statement_token4] = ACTIONS(6724),
    [aux_sym_save_statement_token1] = ACTIONS(6724),
    [aux_sym_private_statement_token1] = ACTIONS(6724),
    [aux_sym_public_statement_token1] = ACTIONS(6724),
    [aux_sym_namelist_statement_token1] = ACTIONS(6724),
    [aux_sym_common_statement_token1] = ACTIONS(6724),
    [aux_sym_import_statement_token1] = ACTIONS(6724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6724),
    [aux_sym_variable_attributes_token1] = ACTIONS(6724),
    [aux_sym_variable_attributes_token2] = ACTIONS(6724),
    [aux_sym_variable_attributes_token3] = ACTIONS(6724),
    [aux_sym_variable_attributes_token4] = ACTIONS(6724),
    [aux_sym_variable_attributes_token5] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6724),
    [aux_sym_derived_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6724),
    [aux_sym_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token3] = ACTIONS(6724),
    [aux_sym_include_statement_token1] = ACTIONS(6724),
    [aux_sym_data_statement_token1] = ACTIONS(6724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6724),
    [aux_sym_end_if_statement_token1] = ACTIONS(6724),
    [aux_sym_elseif_clause_token2] = ACTIONS(6724),
    [aux_sym_select_case_statement_token1] = ACTIONS(6724),
    [aux_sym_block_construct_token1] = ACTIONS(6724),
    [aux_sym_format_statement_token1] = ACTIONS(6724),
    [aux_sym_inquire_statement_token1] = ACTIONS(6724),
    [aux_sym_enum_statement_token1] = ACTIONS(6724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6724),
    [aux_sym_entry_statement_token1] = ACTIONS(6724),
    [aux_sym_null_literal_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token2] = ACTIONS(6724),
    [aux_sym_coarray_statement_token6] = ACTIONS(6724),
    [aux_sym_coarray_statement_token8] = ACTIONS(6724),
    [aux_sym_coarray_statement_token11] = ACTIONS(6724),
    [aux_sym_coarray_statement_token12] = ACTIONS(6724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6724),
    [aux_sym_identifier_token1] = ACTIONS(6724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6728),
  },
  [2704] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6730),
    [aux_sym_preproc_def_token1] = ACTIONS(6730),
    [aux_sym_preproc_if_token1] = ACTIONS(6730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6730),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6730),
    [sym_preproc_directive] = ACTIONS(6730),
    [sym_preproc_comment] = ACTIONS(6774),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6730),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6730),
    [aux_sym_interface_statement_token1] = ACTIONS(6730),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6730),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6730),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6730),
    [aux_sym_language_binding_token1] = ACTIONS(6730),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6730),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6730),
    [aux_sym_contains_statement_token1] = ACTIONS(6730),
    [aux_sym_use_statement_token1] = ACTIONS(6730),
    [aux_sym_use_statement_token2] = ACTIONS(6730),
    [aux_sym_implicit_statement_token1] = ACTIONS(6730),
    [aux_sym_implicit_statement_token3] = ACTIONS(6730),
    [aux_sym_implicit_statement_token4] = ACTIONS(6730),
    [aux_sym_save_statement_token1] = ACTIONS(6730),
    [aux_sym_private_statement_token1] = ACTIONS(6730),
    [aux_sym_public_statement_token1] = ACTIONS(6730),
    [aux_sym_namelist_statement_token1] = ACTIONS(6730),
    [aux_sym_common_statement_token1] = ACTIONS(6730),
    [aux_sym_import_statement_token1] = ACTIONS(6730),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6730),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6730),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6730),
    [aux_sym_variable_attributes_token1] = ACTIONS(6730),
    [aux_sym_variable_attributes_token2] = ACTIONS(6730),
    [aux_sym_variable_attributes_token3] = ACTIONS(6730),
    [aux_sym_variable_attributes_token4] = ACTIONS(6730),
    [aux_sym_variable_attributes_token5] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6730),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6730),
    [aux_sym_derived_type_token1] = ACTIONS(6730),
    [aux_sym_declared_type_token1] = ACTIONS(6730),
    [aux_sym_declared_type_token2] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6730),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6730),
    [aux_sym_type_qualifier_token1] = ACTIONS(6730),
    [aux_sym_type_qualifier_token2] = ACTIONS(6730),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6730),
    [aux_sym_stop_statement_token1] = ACTIONS(6730),
    [aux_sym_stop_statement_token2] = ACTIONS(6730),
    [aux_sym_keyword_statement_token2] = ACTIONS(6730),
    [aux_sym_keyword_statement_token3] = ACTIONS(6730),
    [aux_sym_include_statement_token1] = ACTIONS(6730),
    [aux_sym_data_statement_token1] = ACTIONS(6730),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6730),
    [aux_sym_end_if_statement_token1] = ACTIONS(6730),
    [aux_sym_elseif_clause_token2] = ACTIONS(6730),
    [aux_sym_select_case_statement_token1] = ACTIONS(6730),
    [aux_sym_block_construct_token1] = ACTIONS(6730),
    [aux_sym_format_statement_token1] = ACTIONS(6730),
    [aux_sym_inquire_statement_token1] = ACTIONS(6730),
    [aux_sym_enum_statement_token1] = ACTIONS(6730),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6730),
    [aux_sym_entry_statement_token1] = ACTIONS(6730),
    [aux_sym_null_literal_token1] = ACTIONS(6730),
    [aux_sym_coarray_statement_token1] = ACTIONS(6730),
    [aux_sym_coarray_statement_token2] = ACTIONS(6730),
    [aux_sym_coarray_statement_token6] = ACTIONS(6730),
    [aux_sym_coarray_statement_token8] = ACTIONS(6730),
    [aux_sym_coarray_statement_token11] = ACTIONS(6730),
    [aux_sym_coarray_statement_token12] = ACTIONS(6730),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6730),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6730),
    [aux_sym_identifier_token1] = ACTIONS(6730),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6734),
  },
  [2705] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6776),
    [aux_sym_preproc_def_token1] = ACTIONS(6776),
    [aux_sym_preproc_if_token1] = ACTIONS(6776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6776),
    [sym_preproc_directive] = ACTIONS(6776),
    [sym_preproc_comment] = ACTIONS(6778),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6776),
    [aux_sym_end_module_statement_token1] = ACTIONS(6776),
    [aux_sym_interface_statement_token1] = ACTIONS(6776),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6776),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6776),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6776),
    [aux_sym_language_binding_token1] = ACTIONS(6776),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6776),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6776),
    [aux_sym_contains_statement_token1] = ACTIONS(6776),
    [aux_sym_use_statement_token1] = ACTIONS(6776),
    [aux_sym_use_statement_token2] = ACTIONS(6776),
    [aux_sym_implicit_statement_token1] = ACTIONS(6776),
    [aux_sym_implicit_statement_token3] = ACTIONS(6776),
    [aux_sym_implicit_statement_token4] = ACTIONS(6776),
    [aux_sym_save_statement_token1] = ACTIONS(6776),
    [aux_sym_private_statement_token1] = ACTIONS(6776),
    [aux_sym_public_statement_token1] = ACTIONS(6776),
    [aux_sym_namelist_statement_token1] = ACTIONS(6776),
    [aux_sym_common_statement_token1] = ACTIONS(6776),
    [aux_sym_import_statement_token1] = ACTIONS(6776),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6776),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6776),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6776),
    [aux_sym_variable_attributes_token1] = ACTIONS(6776),
    [aux_sym_variable_attributes_token2] = ACTIONS(6776),
    [aux_sym_variable_attributes_token3] = ACTIONS(6776),
    [aux_sym_variable_attributes_token4] = ACTIONS(6776),
    [aux_sym_variable_attributes_token5] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6776),
    [aux_sym_derived_type_token1] = ACTIONS(6776),
    [aux_sym_declared_type_token1] = ACTIONS(6776),
    [aux_sym_declared_type_token2] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6776),
    [aux_sym_type_qualifier_token1] = ACTIONS(6776),
    [aux_sym_type_qualifier_token2] = ACTIONS(6776),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6776),
    [aux_sym_stop_statement_token1] = ACTIONS(6776),
    [aux_sym_stop_statement_token2] = ACTIONS(6776),
    [aux_sym_keyword_statement_token2] = ACTIONS(6776),
    [aux_sym_keyword_statement_token3] = ACTIONS(6776),
    [aux_sym_include_statement_token1] = ACTIONS(6776),
    [aux_sym_data_statement_token1] = ACTIONS(6776),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6776),
    [aux_sym_end_if_statement_token1] = ACTIONS(6776),
    [aux_sym_elseif_clause_token2] = ACTIONS(6776),
    [aux_sym_select_case_statement_token1] = ACTIONS(6776),
    [aux_sym_block_construct_token1] = ACTIONS(6776),
    [aux_sym_format_statement_token1] = ACTIONS(6776),
    [aux_sym_inquire_statement_token1] = ACTIONS(6776),
    [aux_sym_enum_statement_token1] = ACTIONS(6776),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6776),
    [aux_sym_entry_statement_token1] = ACTIONS(6776),
    [aux_sym_null_literal_token1] = ACTIONS(6776),
    [aux_sym_coarray_statement_token1] = ACTIONS(6776),
    [aux_sym_coarray_statement_token2] = ACTIONS(6776),
    [aux_sym_coarray_statement_token6] = ACTIONS(6776),
    [aux_sym_coarray_statement_token8] = ACTIONS(6776),
    [aux_sym_coarray_statement_token11] = ACTIONS(6776),
    [aux_sym_coarray_statement_token12] = ACTIONS(6776),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6776),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6776),
    [aux_sym_identifier_token1] = ACTIONS(6776),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6780),
  },
  [2706] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6782),
    [aux_sym_preproc_def_token1] = ACTIONS(6782),
    [aux_sym_preproc_if_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6782),
    [sym_preproc_directive] = ACTIONS(6782),
    [sym_preproc_comment] = ACTIONS(6784),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6782),
    [aux_sym_end_module_statement_token1] = ACTIONS(6782),
    [aux_sym_interface_statement_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6782),
    [aux_sym_language_binding_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6782),
    [aux_sym_contains_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token2] = ACTIONS(6782),
    [aux_sym_implicit_statement_token1] = ACTIONS(6782),
    [aux_sym_implicit_statement_token3] = ACTIONS(6782),
    [aux_sym_implicit_statement_token4] = ACTIONS(6782),
    [aux_sym_save_statement_token1] = ACTIONS(6782),
    [aux_sym_private_statement_token1] = ACTIONS(6782),
    [aux_sym_public_statement_token1] = ACTIONS(6782),
    [aux_sym_namelist_statement_token1] = ACTIONS(6782),
    [aux_sym_common_statement_token1] = ACTIONS(6782),
    [aux_sym_import_statement_token1] = ACTIONS(6782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6782),
    [aux_sym_variable_attributes_token1] = ACTIONS(6782),
    [aux_sym_variable_attributes_token2] = ACTIONS(6782),
    [aux_sym_variable_attributes_token3] = ACTIONS(6782),
    [aux_sym_variable_attributes_token4] = ACTIONS(6782),
    [aux_sym_variable_attributes_token5] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6782),
    [aux_sym_derived_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6782),
    [aux_sym_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token3] = ACTIONS(6782),
    [aux_sym_include_statement_token1] = ACTIONS(6782),
    [aux_sym_data_statement_token1] = ACTIONS(6782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6782),
    [aux_sym_end_if_statement_token1] = ACTIONS(6782),
    [aux_sym_elseif_clause_token2] = ACTIONS(6782),
    [aux_sym_select_case_statement_token1] = ACTIONS(6782),
    [aux_sym_block_construct_token1] = ACTIONS(6782),
    [aux_sym_format_statement_token1] = ACTIONS(6782),
    [aux_sym_inquire_statement_token1] = ACTIONS(6782),
    [aux_sym_enum_statement_token1] = ACTIONS(6782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6782),
    [aux_sym_entry_statement_token1] = ACTIONS(6782),
    [aux_sym_null_literal_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token2] = ACTIONS(6782),
    [aux_sym_coarray_statement_token6] = ACTIONS(6782),
    [aux_sym_coarray_statement_token8] = ACTIONS(6782),
    [aux_sym_coarray_statement_token11] = ACTIONS(6782),
    [aux_sym_coarray_statement_token12] = ACTIONS(6782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6782),
    [aux_sym_identifier_token1] = ACTIONS(6782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6786),
  },
  [2707] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [aux_sym_preproc_else_token1] = ACTIONS(5042),
    [aux_sym_preproc_elif_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
  },
  [2708] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [aux_sym_preproc_else_token1] = ACTIONS(5046),
    [aux_sym_preproc_elif_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
  },
  [2709] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6788),
    [aux_sym_preproc_def_token1] = ACTIONS(6788),
    [aux_sym_preproc_if_token1] = ACTIONS(6788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6788),
    [sym_preproc_directive] = ACTIONS(6788),
    [sym_preproc_comment] = ACTIONS(6790),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6788),
    [aux_sym_end_module_statement_token1] = ACTIONS(6788),
    [aux_sym_interface_statement_token1] = ACTIONS(6788),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6788),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6788),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6788),
    [aux_sym_language_binding_token1] = ACTIONS(6788),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6788),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6788),
    [aux_sym_contains_statement_token1] = ACTIONS(6788),
    [aux_sym_use_statement_token1] = ACTIONS(6788),
    [aux_sym_use_statement_token2] = ACTIONS(6788),
    [aux_sym_implicit_statement_token1] = ACTIONS(6788),
    [aux_sym_implicit_statement_token3] = ACTIONS(6788),
    [aux_sym_implicit_statement_token4] = ACTIONS(6788),
    [aux_sym_save_statement_token1] = ACTIONS(6788),
    [aux_sym_private_statement_token1] = ACTIONS(6788),
    [aux_sym_public_statement_token1] = ACTIONS(6788),
    [aux_sym_namelist_statement_token1] = ACTIONS(6788),
    [aux_sym_common_statement_token1] = ACTIONS(6788),
    [aux_sym_import_statement_token1] = ACTIONS(6788),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6788),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6788),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6788),
    [aux_sym_variable_attributes_token1] = ACTIONS(6788),
    [aux_sym_variable_attributes_token2] = ACTIONS(6788),
    [aux_sym_variable_attributes_token3] = ACTIONS(6788),
    [aux_sym_variable_attributes_token4] = ACTIONS(6788),
    [aux_sym_variable_attributes_token5] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6788),
    [aux_sym_derived_type_token1] = ACTIONS(6788),
    [aux_sym_declared_type_token1] = ACTIONS(6788),
    [aux_sym_declared_type_token2] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6788),
    [aux_sym_type_qualifier_token1] = ACTIONS(6788),
    [aux_sym_type_qualifier_token2] = ACTIONS(6788),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6788),
    [aux_sym_stop_statement_token1] = ACTIONS(6788),
    [aux_sym_stop_statement_token2] = ACTIONS(6788),
    [aux_sym_keyword_statement_token2] = ACTIONS(6788),
    [aux_sym_keyword_statement_token3] = ACTIONS(6788),
    [aux_sym_include_statement_token1] = ACTIONS(6788),
    [aux_sym_data_statement_token1] = ACTIONS(6788),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6788),
    [aux_sym_end_if_statement_token1] = ACTIONS(6788),
    [aux_sym_elseif_clause_token2] = ACTIONS(6788),
    [aux_sym_select_case_statement_token1] = ACTIONS(6788),
    [aux_sym_block_construct_token1] = ACTIONS(6788),
    [aux_sym_format_statement_token1] = ACTIONS(6788),
    [aux_sym_inquire_statement_token1] = ACTIONS(6788),
    [aux_sym_enum_statement_token1] = ACTIONS(6788),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6788),
    [aux_sym_entry_statement_token1] = ACTIONS(6788),
    [aux_sym_null_literal_token1] = ACTIONS(6788),
    [aux_sym_coarray_statement_token1] = ACTIONS(6788),
    [aux_sym_coarray_statement_token2] = ACTIONS(6788),
    [aux_sym_coarray_statement_token6] = ACTIONS(6788),
    [aux_sym_coarray_statement_token8] = ACTIONS(6788),
    [aux_sym_coarray_statement_token11] = ACTIONS(6788),
    [aux_sym_coarray_statement_token12] = ACTIONS(6788),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6788),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6788),
    [aux_sym_identifier_token1] = ACTIONS(6788),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6792),
  },
  [2710] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6718),
    [aux_sym_preproc_def_token1] = ACTIONS(6718),
    [aux_sym_preproc_if_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6718),
    [sym_preproc_directive] = ACTIONS(6718),
    [sym_preproc_comment] = ACTIONS(6794),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6718),
    [aux_sym_end_module_statement_token1] = ACTIONS(6718),
    [aux_sym_interface_statement_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6718),
    [aux_sym_language_binding_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6718),
    [aux_sym_contains_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token2] = ACTIONS(6718),
    [aux_sym_implicit_statement_token1] = ACTIONS(6718),
    [aux_sym_implicit_statement_token3] = ACTIONS(6718),
    [aux_sym_implicit_statement_token4] = ACTIONS(6718),
    [aux_sym_save_statement_token1] = ACTIONS(6718),
    [aux_sym_private_statement_token1] = ACTIONS(6718),
    [aux_sym_public_statement_token1] = ACTIONS(6718),
    [aux_sym_namelist_statement_token1] = ACTIONS(6718),
    [aux_sym_common_statement_token1] = ACTIONS(6718),
    [aux_sym_import_statement_token1] = ACTIONS(6718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6718),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6718),
    [aux_sym_variable_attributes_token1] = ACTIONS(6718),
    [aux_sym_variable_attributes_token2] = ACTIONS(6718),
    [aux_sym_variable_attributes_token3] = ACTIONS(6718),
    [aux_sym_variable_attributes_token4] = ACTIONS(6718),
    [aux_sym_variable_attributes_token5] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6718),
    [aux_sym_derived_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6718),
    [aux_sym_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token3] = ACTIONS(6718),
    [aux_sym_include_statement_token1] = ACTIONS(6718),
    [aux_sym_data_statement_token1] = ACTIONS(6718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6718),
    [aux_sym_end_if_statement_token1] = ACTIONS(6718),
    [aux_sym_elseif_clause_token2] = ACTIONS(6718),
    [aux_sym_select_case_statement_token1] = ACTIONS(6718),
    [aux_sym_block_construct_token1] = ACTIONS(6718),
    [aux_sym_format_statement_token1] = ACTIONS(6718),
    [aux_sym_inquire_statement_token1] = ACTIONS(6718),
    [aux_sym_enum_statement_token1] = ACTIONS(6718),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6718),
    [aux_sym_entry_statement_token1] = ACTIONS(6718),
    [aux_sym_null_literal_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token2] = ACTIONS(6718),
    [aux_sym_coarray_statement_token6] = ACTIONS(6718),
    [aux_sym_coarray_statement_token8] = ACTIONS(6718),
    [aux_sym_coarray_statement_token11] = ACTIONS(6718),
    [aux_sym_coarray_statement_token12] = ACTIONS(6718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6718),
    [aux_sym_identifier_token1] = ACTIONS(6718),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6722),
  },
  [2711] = {
    [sym_unit_identifier] = STATE(7586),
    [sym__io_expressions] = STATE(7537),
    [sym__expression] = STATE(4465),
    [sym_parenthesized_expression] = STATE(4976),
    [sym_derived_type_member_expression] = STATE(4976),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4976),
    [sym_math_expression] = STATE(4976),
    [sym_unary_expression] = STATE(5053),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(4976),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6600),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5145),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4976),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4901),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(6796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2712] = {
    [sym_unit_identifier] = STATE(7586),
    [sym__io_expressions] = STATE(7537),
    [sym__expression] = STATE(4691),
    [sym_parenthesized_expression] = STATE(4976),
    [sym_derived_type_member_expression] = STATE(4976),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4976),
    [sym_math_expression] = STATE(4976),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4976),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6600),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5054),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4976),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4927),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(6796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2713] = {
    [sym_output_item_list] = STATE(7452),
    [sym__expression] = STATE(4386),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6804),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6804),
  },
  [2714] = {
    [sym_unit_identifier] = STATE(7442),
    [sym__file_position_spec] = STATE(7442),
    [sym__io_expressions] = STATE(7454),
    [sym__expression] = STATE(4690),
    [sym_parenthesized_expression] = STATE(4850),
    [sym_derived_type_member_expression] = STATE(4850),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4850),
    [sym_math_expression] = STATE(4850),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4850),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5092),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4850),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4850),
    [anon_sym_LPAREN2] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(6810),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(5503),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2715] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6812),
    [aux_sym_preproc_def_token1] = ACTIONS(6812),
    [aux_sym_preproc_if_token1] = ACTIONS(6812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6812),
    [sym_preproc_directive] = ACTIONS(6812),
    [sym_preproc_comment] = ACTIONS(6814),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6812),
    [aux_sym_end_module_statement_token1] = ACTIONS(6812),
    [aux_sym_interface_statement_token1] = ACTIONS(6812),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6812),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6812),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6812),
    [aux_sym_language_binding_token1] = ACTIONS(6812),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6812),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6812),
    [aux_sym_contains_statement_token1] = ACTIONS(6812),
    [aux_sym_use_statement_token1] = ACTIONS(6812),
    [aux_sym_use_statement_token2] = ACTIONS(6812),
    [aux_sym_implicit_statement_token1] = ACTIONS(6812),
    [aux_sym_implicit_statement_token3] = ACTIONS(6812),
    [aux_sym_implicit_statement_token4] = ACTIONS(6812),
    [aux_sym_save_statement_token1] = ACTIONS(6812),
    [aux_sym_private_statement_token1] = ACTIONS(6812),
    [aux_sym_public_statement_token1] = ACTIONS(6812),
    [aux_sym_namelist_statement_token1] = ACTIONS(6812),
    [aux_sym_common_statement_token1] = ACTIONS(6812),
    [aux_sym_import_statement_token1] = ACTIONS(6812),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6812),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6812),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6812),
    [aux_sym_variable_attributes_token1] = ACTIONS(6812),
    [aux_sym_variable_attributes_token2] = ACTIONS(6812),
    [aux_sym_variable_attributes_token3] = ACTIONS(6812),
    [aux_sym_variable_attributes_token4] = ACTIONS(6812),
    [aux_sym_variable_attributes_token5] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6812),
    [aux_sym_derived_type_token1] = ACTIONS(6812),
    [aux_sym_declared_type_token1] = ACTIONS(6812),
    [aux_sym_declared_type_token2] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6812),
    [aux_sym_type_qualifier_token1] = ACTIONS(6812),
    [aux_sym_type_qualifier_token2] = ACTIONS(6812),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6812),
    [aux_sym_stop_statement_token1] = ACTIONS(6812),
    [aux_sym_stop_statement_token2] = ACTIONS(6812),
    [aux_sym_keyword_statement_token2] = ACTIONS(6812),
    [aux_sym_keyword_statement_token3] = ACTIONS(6812),
    [aux_sym_include_statement_token1] = ACTIONS(6812),
    [aux_sym_data_statement_token1] = ACTIONS(6812),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6812),
    [aux_sym_end_if_statement_token1] = ACTIONS(6812),
    [aux_sym_elseif_clause_token2] = ACTIONS(6812),
    [aux_sym_select_case_statement_token1] = ACTIONS(6812),
    [aux_sym_block_construct_token1] = ACTIONS(6812),
    [aux_sym_format_statement_token1] = ACTIONS(6812),
    [aux_sym_inquire_statement_token1] = ACTIONS(6812),
    [aux_sym_enum_statement_token1] = ACTIONS(6812),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6812),
    [aux_sym_entry_statement_token1] = ACTIONS(6812),
    [aux_sym_null_literal_token1] = ACTIONS(6812),
    [aux_sym_coarray_statement_token1] = ACTIONS(6812),
    [aux_sym_coarray_statement_token2] = ACTIONS(6812),
    [aux_sym_coarray_statement_token6] = ACTIONS(6812),
    [aux_sym_coarray_statement_token8] = ACTIONS(6812),
    [aux_sym_coarray_statement_token11] = ACTIONS(6812),
    [aux_sym_coarray_statement_token12] = ACTIONS(6812),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6812),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6812),
    [aux_sym_identifier_token1] = ACTIONS(6812),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6816),
  },
  [2716] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6818),
    [aux_sym_preproc_def_token1] = ACTIONS(6818),
    [aux_sym_preproc_if_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6818),
    [sym_preproc_directive] = ACTIONS(6818),
    [sym_preproc_comment] = ACTIONS(6820),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6818),
    [aux_sym_end_module_statement_token1] = ACTIONS(6818),
    [aux_sym_interface_statement_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6818),
    [aux_sym_language_binding_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6818),
    [aux_sym_contains_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token2] = ACTIONS(6818),
    [aux_sym_implicit_statement_token1] = ACTIONS(6818),
    [aux_sym_implicit_statement_token3] = ACTIONS(6818),
    [aux_sym_implicit_statement_token4] = ACTIONS(6818),
    [aux_sym_save_statement_token1] = ACTIONS(6818),
    [aux_sym_private_statement_token1] = ACTIONS(6818),
    [aux_sym_public_statement_token1] = ACTIONS(6818),
    [aux_sym_namelist_statement_token1] = ACTIONS(6818),
    [aux_sym_common_statement_token1] = ACTIONS(6818),
    [aux_sym_import_statement_token1] = ACTIONS(6818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6818),
    [aux_sym_variable_attributes_token1] = ACTIONS(6818),
    [aux_sym_variable_attributes_token2] = ACTIONS(6818),
    [aux_sym_variable_attributes_token3] = ACTIONS(6818),
    [aux_sym_variable_attributes_token4] = ACTIONS(6818),
    [aux_sym_variable_attributes_token5] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6818),
    [aux_sym_derived_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6818),
    [aux_sym_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token3] = ACTIONS(6818),
    [aux_sym_include_statement_token1] = ACTIONS(6818),
    [aux_sym_data_statement_token1] = ACTIONS(6818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6818),
    [aux_sym_end_if_statement_token1] = ACTIONS(6818),
    [aux_sym_elseif_clause_token2] = ACTIONS(6818),
    [aux_sym_select_case_statement_token1] = ACTIONS(6818),
    [aux_sym_block_construct_token1] = ACTIONS(6818),
    [aux_sym_format_statement_token1] = ACTIONS(6818),
    [aux_sym_inquire_statement_token1] = ACTIONS(6818),
    [aux_sym_enum_statement_token1] = ACTIONS(6818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6818),
    [aux_sym_entry_statement_token1] = ACTIONS(6818),
    [aux_sym_null_literal_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token2] = ACTIONS(6818),
    [aux_sym_coarray_statement_token6] = ACTIONS(6818),
    [aux_sym_coarray_statement_token8] = ACTIONS(6818),
    [aux_sym_coarray_statement_token11] = ACTIONS(6818),
    [aux_sym_coarray_statement_token12] = ACTIONS(6818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6818),
    [aux_sym_identifier_token1] = ACTIONS(6818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6822),
  },
  [2717] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
  },
  [2718] = {
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
  },
  [2719] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
  },
  [2720] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_else_token1] = ACTIONS(5124),
    [aux_sym_preproc_elif_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
  },
  [2721] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6812),
    [aux_sym_preproc_def_token1] = ACTIONS(6812),
    [aux_sym_preproc_if_token1] = ACTIONS(6812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6812),
    [sym_preproc_directive] = ACTIONS(6812),
    [sym_preproc_comment] = ACTIONS(6824),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6812),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6812),
    [aux_sym_interface_statement_token1] = ACTIONS(6812),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6812),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6812),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6812),
    [aux_sym_language_binding_token1] = ACTIONS(6812),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6812),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6812),
    [aux_sym_contains_statement_token1] = ACTIONS(6812),
    [aux_sym_use_statement_token1] = ACTIONS(6812),
    [aux_sym_use_statement_token2] = ACTIONS(6812),
    [aux_sym_implicit_statement_token1] = ACTIONS(6812),
    [aux_sym_implicit_statement_token3] = ACTIONS(6812),
    [aux_sym_implicit_statement_token4] = ACTIONS(6812),
    [aux_sym_save_statement_token1] = ACTIONS(6812),
    [aux_sym_private_statement_token1] = ACTIONS(6812),
    [aux_sym_public_statement_token1] = ACTIONS(6812),
    [aux_sym_namelist_statement_token1] = ACTIONS(6812),
    [aux_sym_common_statement_token1] = ACTIONS(6812),
    [aux_sym_import_statement_token1] = ACTIONS(6812),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6812),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6812),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6812),
    [aux_sym_variable_attributes_token1] = ACTIONS(6812),
    [aux_sym_variable_attributes_token2] = ACTIONS(6812),
    [aux_sym_variable_attributes_token3] = ACTIONS(6812),
    [aux_sym_variable_attributes_token4] = ACTIONS(6812),
    [aux_sym_variable_attributes_token5] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6812),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6812),
    [aux_sym_derived_type_token1] = ACTIONS(6812),
    [aux_sym_declared_type_token1] = ACTIONS(6812),
    [aux_sym_declared_type_token2] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6812),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6812),
    [aux_sym_type_qualifier_token1] = ACTIONS(6812),
    [aux_sym_type_qualifier_token2] = ACTIONS(6812),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6812),
    [aux_sym_stop_statement_token1] = ACTIONS(6812),
    [aux_sym_stop_statement_token2] = ACTIONS(6812),
    [aux_sym_keyword_statement_token2] = ACTIONS(6812),
    [aux_sym_keyword_statement_token3] = ACTIONS(6812),
    [aux_sym_include_statement_token1] = ACTIONS(6812),
    [aux_sym_data_statement_token1] = ACTIONS(6812),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6812),
    [aux_sym_end_if_statement_token1] = ACTIONS(6812),
    [aux_sym_elseif_clause_token2] = ACTIONS(6812),
    [aux_sym_select_case_statement_token1] = ACTIONS(6812),
    [aux_sym_block_construct_token1] = ACTIONS(6812),
    [aux_sym_format_statement_token1] = ACTIONS(6812),
    [aux_sym_inquire_statement_token1] = ACTIONS(6812),
    [aux_sym_enum_statement_token1] = ACTIONS(6812),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6812),
    [aux_sym_entry_statement_token1] = ACTIONS(6812),
    [aux_sym_null_literal_token1] = ACTIONS(6812),
    [aux_sym_coarray_statement_token1] = ACTIONS(6812),
    [aux_sym_coarray_statement_token2] = ACTIONS(6812),
    [aux_sym_coarray_statement_token6] = ACTIONS(6812),
    [aux_sym_coarray_statement_token8] = ACTIONS(6812),
    [aux_sym_coarray_statement_token11] = ACTIONS(6812),
    [aux_sym_coarray_statement_token12] = ACTIONS(6812),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6812),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6812),
    [aux_sym_identifier_token1] = ACTIONS(6812),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6816),
  },
  [2722] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
  },
  [2723] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6818),
    [aux_sym_preproc_def_token1] = ACTIONS(6818),
    [aux_sym_preproc_if_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6818),
    [sym_preproc_directive] = ACTIONS(6818),
    [sym_preproc_comment] = ACTIONS(6826),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6818),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6818),
    [aux_sym_interface_statement_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6818),
    [aux_sym_language_binding_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6818),
    [aux_sym_contains_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token2] = ACTIONS(6818),
    [aux_sym_implicit_statement_token1] = ACTIONS(6818),
    [aux_sym_implicit_statement_token3] = ACTIONS(6818),
    [aux_sym_implicit_statement_token4] = ACTIONS(6818),
    [aux_sym_save_statement_token1] = ACTIONS(6818),
    [aux_sym_private_statement_token1] = ACTIONS(6818),
    [aux_sym_public_statement_token1] = ACTIONS(6818),
    [aux_sym_namelist_statement_token1] = ACTIONS(6818),
    [aux_sym_common_statement_token1] = ACTIONS(6818),
    [aux_sym_import_statement_token1] = ACTIONS(6818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6818),
    [aux_sym_variable_attributes_token1] = ACTIONS(6818),
    [aux_sym_variable_attributes_token2] = ACTIONS(6818),
    [aux_sym_variable_attributes_token3] = ACTIONS(6818),
    [aux_sym_variable_attributes_token4] = ACTIONS(6818),
    [aux_sym_variable_attributes_token5] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6818),
    [aux_sym_derived_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6818),
    [aux_sym_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token3] = ACTIONS(6818),
    [aux_sym_include_statement_token1] = ACTIONS(6818),
    [aux_sym_data_statement_token1] = ACTIONS(6818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6818),
    [aux_sym_end_if_statement_token1] = ACTIONS(6818),
    [aux_sym_elseif_clause_token2] = ACTIONS(6818),
    [aux_sym_select_case_statement_token1] = ACTIONS(6818),
    [aux_sym_block_construct_token1] = ACTIONS(6818),
    [aux_sym_format_statement_token1] = ACTIONS(6818),
    [aux_sym_inquire_statement_token1] = ACTIONS(6818),
    [aux_sym_enum_statement_token1] = ACTIONS(6818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6818),
    [aux_sym_entry_statement_token1] = ACTIONS(6818),
    [aux_sym_null_literal_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token2] = ACTIONS(6818),
    [aux_sym_coarray_statement_token6] = ACTIONS(6818),
    [aux_sym_coarray_statement_token8] = ACTIONS(6818),
    [aux_sym_coarray_statement_token11] = ACTIONS(6818),
    [aux_sym_coarray_statement_token12] = ACTIONS(6818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6818),
    [aux_sym_identifier_token1] = ACTIONS(6818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6822),
  },
  [2724] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6760),
    [aux_sym_preproc_def_token1] = ACTIONS(6760),
    [aux_sym_preproc_if_token1] = ACTIONS(6760),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6760),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6760),
    [sym_preproc_directive] = ACTIONS(6760),
    [sym_preproc_comment] = ACTIONS(6828),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6760),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6760),
    [aux_sym_interface_statement_token1] = ACTIONS(6760),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6760),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6760),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6760),
    [aux_sym_language_binding_token1] = ACTIONS(6760),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6760),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6760),
    [aux_sym_contains_statement_token1] = ACTIONS(6760),
    [aux_sym_use_statement_token1] = ACTIONS(6760),
    [aux_sym_use_statement_token2] = ACTIONS(6760),
    [aux_sym_implicit_statement_token1] = ACTIONS(6760),
    [aux_sym_implicit_statement_token3] = ACTIONS(6760),
    [aux_sym_implicit_statement_token4] = ACTIONS(6760),
    [aux_sym_save_statement_token1] = ACTIONS(6760),
    [aux_sym_private_statement_token1] = ACTIONS(6760),
    [aux_sym_public_statement_token1] = ACTIONS(6760),
    [aux_sym_namelist_statement_token1] = ACTIONS(6760),
    [aux_sym_common_statement_token1] = ACTIONS(6760),
    [aux_sym_import_statement_token1] = ACTIONS(6760),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6760),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6760),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6760),
    [aux_sym_variable_attributes_token1] = ACTIONS(6760),
    [aux_sym_variable_attributes_token2] = ACTIONS(6760),
    [aux_sym_variable_attributes_token3] = ACTIONS(6760),
    [aux_sym_variable_attributes_token4] = ACTIONS(6760),
    [aux_sym_variable_attributes_token5] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6760),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6760),
    [aux_sym_derived_type_token1] = ACTIONS(6760),
    [aux_sym_declared_type_token1] = ACTIONS(6760),
    [aux_sym_declared_type_token2] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6760),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6760),
    [aux_sym_type_qualifier_token1] = ACTIONS(6760),
    [aux_sym_type_qualifier_token2] = ACTIONS(6760),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6760),
    [aux_sym_stop_statement_token1] = ACTIONS(6760),
    [aux_sym_stop_statement_token2] = ACTIONS(6760),
    [aux_sym_keyword_statement_token2] = ACTIONS(6760),
    [aux_sym_keyword_statement_token3] = ACTIONS(6760),
    [aux_sym_include_statement_token1] = ACTIONS(6760),
    [aux_sym_data_statement_token1] = ACTIONS(6760),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6760),
    [aux_sym_end_if_statement_token1] = ACTIONS(6760),
    [aux_sym_elseif_clause_token2] = ACTIONS(6760),
    [aux_sym_select_case_statement_token1] = ACTIONS(6760),
    [aux_sym_block_construct_token1] = ACTIONS(6760),
    [aux_sym_format_statement_token1] = ACTIONS(6760),
    [aux_sym_inquire_statement_token1] = ACTIONS(6760),
    [aux_sym_enum_statement_token1] = ACTIONS(6760),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6760),
    [aux_sym_entry_statement_token1] = ACTIONS(6760),
    [aux_sym_null_literal_token1] = ACTIONS(6760),
    [aux_sym_coarray_statement_token1] = ACTIONS(6760),
    [aux_sym_coarray_statement_token2] = ACTIONS(6760),
    [aux_sym_coarray_statement_token6] = ACTIONS(6760),
    [aux_sym_coarray_statement_token8] = ACTIONS(6760),
    [aux_sym_coarray_statement_token11] = ACTIONS(6760),
    [aux_sym_coarray_statement_token12] = ACTIONS(6760),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6760),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6760),
    [aux_sym_identifier_token1] = ACTIONS(6760),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6764),
  },
  [2725] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [aux_sym_preproc_else_token1] = ACTIONS(5062),
    [aux_sym_preproc_elif_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
  },
  [2726] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6830),
    [aux_sym_preproc_def_token1] = ACTIONS(6830),
    [aux_sym_preproc_if_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6830),
    [sym_preproc_directive] = ACTIONS(6830),
    [sym_preproc_comment] = ACTIONS(6832),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6830),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6830),
    [aux_sym_interface_statement_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6830),
    [aux_sym_language_binding_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6830),
    [aux_sym_contains_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token2] = ACTIONS(6830),
    [aux_sym_implicit_statement_token1] = ACTIONS(6830),
    [aux_sym_implicit_statement_token3] = ACTIONS(6830),
    [aux_sym_implicit_statement_token4] = ACTIONS(6830),
    [aux_sym_save_statement_token1] = ACTIONS(6830),
    [aux_sym_private_statement_token1] = ACTIONS(6830),
    [aux_sym_public_statement_token1] = ACTIONS(6830),
    [aux_sym_namelist_statement_token1] = ACTIONS(6830),
    [aux_sym_common_statement_token1] = ACTIONS(6830),
    [aux_sym_import_statement_token1] = ACTIONS(6830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6830),
    [aux_sym_variable_attributes_token1] = ACTIONS(6830),
    [aux_sym_variable_attributes_token2] = ACTIONS(6830),
    [aux_sym_variable_attributes_token3] = ACTIONS(6830),
    [aux_sym_variable_attributes_token4] = ACTIONS(6830),
    [aux_sym_variable_attributes_token5] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6830),
    [aux_sym_derived_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6830),
    [aux_sym_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token3] = ACTIONS(6830),
    [aux_sym_include_statement_token1] = ACTIONS(6830),
    [aux_sym_data_statement_token1] = ACTIONS(6830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6830),
    [aux_sym_end_if_statement_token1] = ACTIONS(6830),
    [aux_sym_elseif_clause_token2] = ACTIONS(6830),
    [aux_sym_select_case_statement_token1] = ACTIONS(6830),
    [aux_sym_block_construct_token1] = ACTIONS(6830),
    [aux_sym_format_statement_token1] = ACTIONS(6830),
    [aux_sym_inquire_statement_token1] = ACTIONS(6830),
    [aux_sym_enum_statement_token1] = ACTIONS(6830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6830),
    [aux_sym_entry_statement_token1] = ACTIONS(6830),
    [aux_sym_null_literal_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token2] = ACTIONS(6830),
    [aux_sym_coarray_statement_token6] = ACTIONS(6830),
    [aux_sym_coarray_statement_token8] = ACTIONS(6830),
    [aux_sym_coarray_statement_token11] = ACTIONS(6830),
    [aux_sym_coarray_statement_token12] = ACTIONS(6830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6830),
    [aux_sym_identifier_token1] = ACTIONS(6830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6834),
  },
  [2727] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6738),
    [aux_sym_preproc_def_token1] = ACTIONS(6738),
    [aux_sym_preproc_if_token1] = ACTIONS(6738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6738),
    [sym_preproc_directive] = ACTIONS(6738),
    [sym_preproc_comment] = ACTIONS(6836),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6738),
    [aux_sym_end_module_statement_token1] = ACTIONS(6738),
    [aux_sym_interface_statement_token1] = ACTIONS(6738),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6738),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6738),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6738),
    [aux_sym_language_binding_token1] = ACTIONS(6738),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6738),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6738),
    [aux_sym_contains_statement_token1] = ACTIONS(6738),
    [aux_sym_use_statement_token1] = ACTIONS(6738),
    [aux_sym_use_statement_token2] = ACTIONS(6738),
    [aux_sym_implicit_statement_token1] = ACTIONS(6738),
    [aux_sym_implicit_statement_token3] = ACTIONS(6738),
    [aux_sym_implicit_statement_token4] = ACTIONS(6738),
    [aux_sym_save_statement_token1] = ACTIONS(6738),
    [aux_sym_private_statement_token1] = ACTIONS(6738),
    [aux_sym_public_statement_token1] = ACTIONS(6738),
    [aux_sym_namelist_statement_token1] = ACTIONS(6738),
    [aux_sym_common_statement_token1] = ACTIONS(6738),
    [aux_sym_import_statement_token1] = ACTIONS(6738),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6738),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6738),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6738),
    [aux_sym_variable_attributes_token1] = ACTIONS(6738),
    [aux_sym_variable_attributes_token2] = ACTIONS(6738),
    [aux_sym_variable_attributes_token3] = ACTIONS(6738),
    [aux_sym_variable_attributes_token4] = ACTIONS(6738),
    [aux_sym_variable_attributes_token5] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6738),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6738),
    [aux_sym_derived_type_token1] = ACTIONS(6738),
    [aux_sym_declared_type_token1] = ACTIONS(6738),
    [aux_sym_declared_type_token2] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6738),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6738),
    [aux_sym_type_qualifier_token1] = ACTIONS(6738),
    [aux_sym_type_qualifier_token2] = ACTIONS(6738),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6738),
    [aux_sym_stop_statement_token1] = ACTIONS(6738),
    [aux_sym_stop_statement_token2] = ACTIONS(6738),
    [aux_sym_keyword_statement_token2] = ACTIONS(6738),
    [aux_sym_keyword_statement_token3] = ACTIONS(6738),
    [aux_sym_include_statement_token1] = ACTIONS(6738),
    [aux_sym_data_statement_token1] = ACTIONS(6738),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6738),
    [aux_sym_end_if_statement_token1] = ACTIONS(6738),
    [aux_sym_elseif_clause_token2] = ACTIONS(6738),
    [aux_sym_select_case_statement_token1] = ACTIONS(6738),
    [aux_sym_block_construct_token1] = ACTIONS(6738),
    [aux_sym_format_statement_token1] = ACTIONS(6738),
    [aux_sym_inquire_statement_token1] = ACTIONS(6738),
    [aux_sym_enum_statement_token1] = ACTIONS(6738),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6738),
    [aux_sym_entry_statement_token1] = ACTIONS(6738),
    [aux_sym_null_literal_token1] = ACTIONS(6738),
    [aux_sym_coarray_statement_token1] = ACTIONS(6738),
    [aux_sym_coarray_statement_token2] = ACTIONS(6738),
    [aux_sym_coarray_statement_token6] = ACTIONS(6738),
    [aux_sym_coarray_statement_token8] = ACTIONS(6738),
    [aux_sym_coarray_statement_token11] = ACTIONS(6738),
    [aux_sym_coarray_statement_token12] = ACTIONS(6738),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6738),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6738),
    [aux_sym_identifier_token1] = ACTIONS(6738),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6742),
  },
  [2728] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [aux_sym_preproc_else_token1] = ACTIONS(5050),
    [aux_sym_preproc_elif_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
  },
  [2729] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [aux_sym_preproc_else_token1] = ACTIONS(5090),
    [aux_sym_preproc_elif_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
  },
  [2730] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
  },
  [2731] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [aux_sym_preproc_else_token1] = ACTIONS(5138),
    [aux_sym_preproc_elif_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
  },
  [2732] = {
    [sym_case_value_range_list] = STATE(8162),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2733] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [aux_sym_preproc_else_token1] = ACTIONS(5032),
    [aux_sym_preproc_elif_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
  },
  [2734] = {
    [sym__expression] = STATE(4439),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_COMMA] = ACTIONS(6838),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6840),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6842),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(6838),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2735] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [aux_sym_preproc_else_token1] = ACTIONS(5054),
    [aux_sym_preproc_elif_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
  },
  [2736] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6776),
    [aux_sym_preproc_def_token1] = ACTIONS(6776),
    [aux_sym_preproc_if_token1] = ACTIONS(6776),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6776),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6776),
    [sym_preproc_directive] = ACTIONS(6776),
    [sym_preproc_comment] = ACTIONS(6844),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6776),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6776),
    [aux_sym_interface_statement_token1] = ACTIONS(6776),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6776),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6776),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6776),
    [aux_sym_language_binding_token1] = ACTIONS(6776),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6776),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6776),
    [aux_sym_contains_statement_token1] = ACTIONS(6776),
    [aux_sym_use_statement_token1] = ACTIONS(6776),
    [aux_sym_use_statement_token2] = ACTIONS(6776),
    [aux_sym_implicit_statement_token1] = ACTIONS(6776),
    [aux_sym_implicit_statement_token3] = ACTIONS(6776),
    [aux_sym_implicit_statement_token4] = ACTIONS(6776),
    [aux_sym_save_statement_token1] = ACTIONS(6776),
    [aux_sym_private_statement_token1] = ACTIONS(6776),
    [aux_sym_public_statement_token1] = ACTIONS(6776),
    [aux_sym_namelist_statement_token1] = ACTIONS(6776),
    [aux_sym_common_statement_token1] = ACTIONS(6776),
    [aux_sym_import_statement_token1] = ACTIONS(6776),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6776),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6776),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6776),
    [aux_sym_variable_attributes_token1] = ACTIONS(6776),
    [aux_sym_variable_attributes_token2] = ACTIONS(6776),
    [aux_sym_variable_attributes_token3] = ACTIONS(6776),
    [aux_sym_variable_attributes_token4] = ACTIONS(6776),
    [aux_sym_variable_attributes_token5] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6776),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6776),
    [aux_sym_derived_type_token1] = ACTIONS(6776),
    [aux_sym_declared_type_token1] = ACTIONS(6776),
    [aux_sym_declared_type_token2] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6776),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6776),
    [aux_sym_type_qualifier_token1] = ACTIONS(6776),
    [aux_sym_type_qualifier_token2] = ACTIONS(6776),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6776),
    [aux_sym_stop_statement_token1] = ACTIONS(6776),
    [aux_sym_stop_statement_token2] = ACTIONS(6776),
    [aux_sym_keyword_statement_token2] = ACTIONS(6776),
    [aux_sym_keyword_statement_token3] = ACTIONS(6776),
    [aux_sym_include_statement_token1] = ACTIONS(6776),
    [aux_sym_data_statement_token1] = ACTIONS(6776),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6776),
    [aux_sym_end_if_statement_token1] = ACTIONS(6776),
    [aux_sym_elseif_clause_token2] = ACTIONS(6776),
    [aux_sym_select_case_statement_token1] = ACTIONS(6776),
    [aux_sym_block_construct_token1] = ACTIONS(6776),
    [aux_sym_format_statement_token1] = ACTIONS(6776),
    [aux_sym_inquire_statement_token1] = ACTIONS(6776),
    [aux_sym_enum_statement_token1] = ACTIONS(6776),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6776),
    [aux_sym_entry_statement_token1] = ACTIONS(6776),
    [aux_sym_null_literal_token1] = ACTIONS(6776),
    [aux_sym_coarray_statement_token1] = ACTIONS(6776),
    [aux_sym_coarray_statement_token2] = ACTIONS(6776),
    [aux_sym_coarray_statement_token6] = ACTIONS(6776),
    [aux_sym_coarray_statement_token8] = ACTIONS(6776),
    [aux_sym_coarray_statement_token11] = ACTIONS(6776),
    [aux_sym_coarray_statement_token12] = ACTIONS(6776),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6776),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6776),
    [aux_sym_identifier_token1] = ACTIONS(6776),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6780),
  },
  [2737] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6782),
    [aux_sym_preproc_def_token1] = ACTIONS(6782),
    [aux_sym_preproc_if_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6782),
    [sym_preproc_directive] = ACTIONS(6782),
    [sym_preproc_comment] = ACTIONS(6846),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6782),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6782),
    [aux_sym_interface_statement_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6782),
    [aux_sym_language_binding_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6782),
    [aux_sym_contains_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token2] = ACTIONS(6782),
    [aux_sym_implicit_statement_token1] = ACTIONS(6782),
    [aux_sym_implicit_statement_token3] = ACTIONS(6782),
    [aux_sym_implicit_statement_token4] = ACTIONS(6782),
    [aux_sym_save_statement_token1] = ACTIONS(6782),
    [aux_sym_private_statement_token1] = ACTIONS(6782),
    [aux_sym_public_statement_token1] = ACTIONS(6782),
    [aux_sym_namelist_statement_token1] = ACTIONS(6782),
    [aux_sym_common_statement_token1] = ACTIONS(6782),
    [aux_sym_import_statement_token1] = ACTIONS(6782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6782),
    [aux_sym_variable_attributes_token1] = ACTIONS(6782),
    [aux_sym_variable_attributes_token2] = ACTIONS(6782),
    [aux_sym_variable_attributes_token3] = ACTIONS(6782),
    [aux_sym_variable_attributes_token4] = ACTIONS(6782),
    [aux_sym_variable_attributes_token5] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6782),
    [aux_sym_derived_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6782),
    [aux_sym_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token3] = ACTIONS(6782),
    [aux_sym_include_statement_token1] = ACTIONS(6782),
    [aux_sym_data_statement_token1] = ACTIONS(6782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6782),
    [aux_sym_end_if_statement_token1] = ACTIONS(6782),
    [aux_sym_elseif_clause_token2] = ACTIONS(6782),
    [aux_sym_select_case_statement_token1] = ACTIONS(6782),
    [aux_sym_block_construct_token1] = ACTIONS(6782),
    [aux_sym_format_statement_token1] = ACTIONS(6782),
    [aux_sym_inquire_statement_token1] = ACTIONS(6782),
    [aux_sym_enum_statement_token1] = ACTIONS(6782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6782),
    [aux_sym_entry_statement_token1] = ACTIONS(6782),
    [aux_sym_null_literal_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token2] = ACTIONS(6782),
    [aux_sym_coarray_statement_token6] = ACTIONS(6782),
    [aux_sym_coarray_statement_token8] = ACTIONS(6782),
    [aux_sym_coarray_statement_token11] = ACTIONS(6782),
    [aux_sym_coarray_statement_token12] = ACTIONS(6782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6782),
    [aux_sym_identifier_token1] = ACTIONS(6782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6786),
  },
  [2738] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6788),
    [aux_sym_preproc_def_token1] = ACTIONS(6788),
    [aux_sym_preproc_if_token1] = ACTIONS(6788),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6788),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6788),
    [sym_preproc_directive] = ACTIONS(6788),
    [sym_preproc_comment] = ACTIONS(6848),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6788),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6788),
    [aux_sym_interface_statement_token1] = ACTIONS(6788),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6788),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6788),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6788),
    [aux_sym_language_binding_token1] = ACTIONS(6788),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6788),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6788),
    [aux_sym_contains_statement_token1] = ACTIONS(6788),
    [aux_sym_use_statement_token1] = ACTIONS(6788),
    [aux_sym_use_statement_token2] = ACTIONS(6788),
    [aux_sym_implicit_statement_token1] = ACTIONS(6788),
    [aux_sym_implicit_statement_token3] = ACTIONS(6788),
    [aux_sym_implicit_statement_token4] = ACTIONS(6788),
    [aux_sym_save_statement_token1] = ACTIONS(6788),
    [aux_sym_private_statement_token1] = ACTIONS(6788),
    [aux_sym_public_statement_token1] = ACTIONS(6788),
    [aux_sym_namelist_statement_token1] = ACTIONS(6788),
    [aux_sym_common_statement_token1] = ACTIONS(6788),
    [aux_sym_import_statement_token1] = ACTIONS(6788),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6788),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6788),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6788),
    [aux_sym_variable_attributes_token1] = ACTIONS(6788),
    [aux_sym_variable_attributes_token2] = ACTIONS(6788),
    [aux_sym_variable_attributes_token3] = ACTIONS(6788),
    [aux_sym_variable_attributes_token4] = ACTIONS(6788),
    [aux_sym_variable_attributes_token5] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6788),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6788),
    [aux_sym_derived_type_token1] = ACTIONS(6788),
    [aux_sym_declared_type_token1] = ACTIONS(6788),
    [aux_sym_declared_type_token2] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6788),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6788),
    [aux_sym_type_qualifier_token1] = ACTIONS(6788),
    [aux_sym_type_qualifier_token2] = ACTIONS(6788),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6788),
    [aux_sym_stop_statement_token1] = ACTIONS(6788),
    [aux_sym_stop_statement_token2] = ACTIONS(6788),
    [aux_sym_keyword_statement_token2] = ACTIONS(6788),
    [aux_sym_keyword_statement_token3] = ACTIONS(6788),
    [aux_sym_include_statement_token1] = ACTIONS(6788),
    [aux_sym_data_statement_token1] = ACTIONS(6788),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6788),
    [aux_sym_end_if_statement_token1] = ACTIONS(6788),
    [aux_sym_elseif_clause_token2] = ACTIONS(6788),
    [aux_sym_select_case_statement_token1] = ACTIONS(6788),
    [aux_sym_block_construct_token1] = ACTIONS(6788),
    [aux_sym_format_statement_token1] = ACTIONS(6788),
    [aux_sym_inquire_statement_token1] = ACTIONS(6788),
    [aux_sym_enum_statement_token1] = ACTIONS(6788),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6788),
    [aux_sym_entry_statement_token1] = ACTIONS(6788),
    [aux_sym_null_literal_token1] = ACTIONS(6788),
    [aux_sym_coarray_statement_token1] = ACTIONS(6788),
    [aux_sym_coarray_statement_token2] = ACTIONS(6788),
    [aux_sym_coarray_statement_token6] = ACTIONS(6788),
    [aux_sym_coarray_statement_token8] = ACTIONS(6788),
    [aux_sym_coarray_statement_token11] = ACTIONS(6788),
    [aux_sym_coarray_statement_token12] = ACTIONS(6788),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6788),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6788),
    [aux_sym_identifier_token1] = ACTIONS(6788),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6792),
  },
  [2739] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6830),
    [aux_sym_preproc_def_token1] = ACTIONS(6830),
    [aux_sym_preproc_if_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6830),
    [sym_preproc_directive] = ACTIONS(6830),
    [sym_preproc_comment] = ACTIONS(6850),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6830),
    [aux_sym_end_module_statement_token1] = ACTIONS(6830),
    [aux_sym_interface_statement_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6830),
    [aux_sym_language_binding_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6830),
    [aux_sym_contains_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token2] = ACTIONS(6830),
    [aux_sym_implicit_statement_token1] = ACTIONS(6830),
    [aux_sym_implicit_statement_token3] = ACTIONS(6830),
    [aux_sym_implicit_statement_token4] = ACTIONS(6830),
    [aux_sym_save_statement_token1] = ACTIONS(6830),
    [aux_sym_private_statement_token1] = ACTIONS(6830),
    [aux_sym_public_statement_token1] = ACTIONS(6830),
    [aux_sym_namelist_statement_token1] = ACTIONS(6830),
    [aux_sym_common_statement_token1] = ACTIONS(6830),
    [aux_sym_import_statement_token1] = ACTIONS(6830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6830),
    [aux_sym_variable_attributes_token1] = ACTIONS(6830),
    [aux_sym_variable_attributes_token2] = ACTIONS(6830),
    [aux_sym_variable_attributes_token3] = ACTIONS(6830),
    [aux_sym_variable_attributes_token4] = ACTIONS(6830),
    [aux_sym_variable_attributes_token5] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6830),
    [aux_sym_derived_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6830),
    [aux_sym_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token3] = ACTIONS(6830),
    [aux_sym_include_statement_token1] = ACTIONS(6830),
    [aux_sym_data_statement_token1] = ACTIONS(6830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6830),
    [aux_sym_end_if_statement_token1] = ACTIONS(6830),
    [aux_sym_elseif_clause_token2] = ACTIONS(6830),
    [aux_sym_select_case_statement_token1] = ACTIONS(6830),
    [aux_sym_block_construct_token1] = ACTIONS(6830),
    [aux_sym_format_statement_token1] = ACTIONS(6830),
    [aux_sym_inquire_statement_token1] = ACTIONS(6830),
    [aux_sym_enum_statement_token1] = ACTIONS(6830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6830),
    [aux_sym_entry_statement_token1] = ACTIONS(6830),
    [aux_sym_null_literal_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token2] = ACTIONS(6830),
    [aux_sym_coarray_statement_token6] = ACTIONS(6830),
    [aux_sym_coarray_statement_token8] = ACTIONS(6830),
    [aux_sym_coarray_statement_token11] = ACTIONS(6830),
    [aux_sym_coarray_statement_token12] = ACTIONS(6830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6830),
    [aux_sym_identifier_token1] = ACTIONS(6830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6834),
  },
  [2740] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [aux_sym_preproc_else_token1] = ACTIONS(5082),
    [aux_sym_preproc_elif_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
  },
  [2741] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [aux_sym_preproc_else_token1] = ACTIONS(5038),
    [aux_sym_preproc_elif_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
  },
  [2742] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
  },
  [2743] = {
    [sym_unit_identifier] = STATE(7327),
    [sym__io_expressions] = STATE(7537),
    [sym__expression] = STATE(4691),
    [sym_parenthesized_expression] = STATE(4976),
    [sym_derived_type_member_expression] = STATE(4976),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(4976),
    [sym_math_expression] = STATE(4976),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4976),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6795),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5054),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(4976),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4927),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(6796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2744] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [aux_sym_preproc_else_token1] = ACTIONS(4601),
    [aux_sym_preproc_elif_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
  },
  [2745] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6766),
    [aux_sym_preproc_def_token1] = ACTIONS(6766),
    [aux_sym_preproc_if_token1] = ACTIONS(6766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6766),
    [sym_preproc_directive] = ACTIONS(6766),
    [sym_preproc_comment] = ACTIONS(6852),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6766),
    [aux_sym_end_module_statement_token1] = ACTIONS(6766),
    [aux_sym_interface_statement_token1] = ACTIONS(6766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6766),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6766),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6766),
    [aux_sym_language_binding_token1] = ACTIONS(6766),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6766),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6766),
    [aux_sym_contains_statement_token1] = ACTIONS(6766),
    [aux_sym_use_statement_token1] = ACTIONS(6766),
    [aux_sym_use_statement_token2] = ACTIONS(6766),
    [aux_sym_implicit_statement_token1] = ACTIONS(6766),
    [aux_sym_implicit_statement_token3] = ACTIONS(6766),
    [aux_sym_implicit_statement_token4] = ACTIONS(6766),
    [aux_sym_save_statement_token1] = ACTIONS(6766),
    [aux_sym_private_statement_token1] = ACTIONS(6766),
    [aux_sym_public_statement_token1] = ACTIONS(6766),
    [aux_sym_namelist_statement_token1] = ACTIONS(6766),
    [aux_sym_common_statement_token1] = ACTIONS(6766),
    [aux_sym_import_statement_token1] = ACTIONS(6766),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6766),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6766),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6766),
    [aux_sym_variable_attributes_token1] = ACTIONS(6766),
    [aux_sym_variable_attributes_token2] = ACTIONS(6766),
    [aux_sym_variable_attributes_token3] = ACTIONS(6766),
    [aux_sym_variable_attributes_token4] = ACTIONS(6766),
    [aux_sym_variable_attributes_token5] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6766),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6766),
    [aux_sym_derived_type_token1] = ACTIONS(6766),
    [aux_sym_declared_type_token1] = ACTIONS(6766),
    [aux_sym_declared_type_token2] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6766),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6766),
    [aux_sym_type_qualifier_token1] = ACTIONS(6766),
    [aux_sym_type_qualifier_token2] = ACTIONS(6766),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6766),
    [aux_sym_stop_statement_token1] = ACTIONS(6766),
    [aux_sym_stop_statement_token2] = ACTIONS(6766),
    [aux_sym_keyword_statement_token2] = ACTIONS(6766),
    [aux_sym_keyword_statement_token3] = ACTIONS(6766),
    [aux_sym_include_statement_token1] = ACTIONS(6766),
    [aux_sym_data_statement_token1] = ACTIONS(6766),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6766),
    [aux_sym_end_if_statement_token1] = ACTIONS(6766),
    [aux_sym_elseif_clause_token2] = ACTIONS(6766),
    [aux_sym_select_case_statement_token1] = ACTIONS(6766),
    [aux_sym_block_construct_token1] = ACTIONS(6766),
    [aux_sym_format_statement_token1] = ACTIONS(6766),
    [aux_sym_inquire_statement_token1] = ACTIONS(6766),
    [aux_sym_enum_statement_token1] = ACTIONS(6766),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6766),
    [aux_sym_entry_statement_token1] = ACTIONS(6766),
    [aux_sym_null_literal_token1] = ACTIONS(6766),
    [aux_sym_coarray_statement_token1] = ACTIONS(6766),
    [aux_sym_coarray_statement_token2] = ACTIONS(6766),
    [aux_sym_coarray_statement_token6] = ACTIONS(6766),
    [aux_sym_coarray_statement_token8] = ACTIONS(6766),
    [aux_sym_coarray_statement_token11] = ACTIONS(6766),
    [aux_sym_coarray_statement_token12] = ACTIONS(6766),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6766),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6766),
    [aux_sym_identifier_token1] = ACTIONS(6766),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6770),
  },
  [2746] = {
    [sym__expression] = STATE(4477),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_assumed_size] = STATE(7303),
    [sym_assumed_shape] = STATE(7303),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6854),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2747] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6497),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2748] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6856),
    [aux_sym_preproc_def_token1] = ACTIONS(6856),
    [aux_sym_preproc_if_token1] = ACTIONS(6856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6856),
    [sym_preproc_directive] = ACTIONS(6856),
    [sym_preproc_comment] = ACTIONS(6858),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6856),
    [aux_sym_end_module_statement_token1] = ACTIONS(6856),
    [aux_sym_interface_statement_token1] = ACTIONS(6856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6856),
    [aux_sym_language_binding_token1] = ACTIONS(6856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6856),
    [aux_sym_contains_statement_token1] = ACTIONS(6856),
    [aux_sym_use_statement_token1] = ACTIONS(6856),
    [aux_sym_use_statement_token2] = ACTIONS(6856),
    [aux_sym_implicit_statement_token1] = ACTIONS(6856),
    [aux_sym_implicit_statement_token3] = ACTIONS(6856),
    [aux_sym_implicit_statement_token4] = ACTIONS(6856),
    [aux_sym_save_statement_token1] = ACTIONS(6856),
    [aux_sym_private_statement_token1] = ACTIONS(6856),
    [aux_sym_public_statement_token1] = ACTIONS(6856),
    [aux_sym_namelist_statement_token1] = ACTIONS(6856),
    [aux_sym_common_statement_token1] = ACTIONS(6856),
    [aux_sym_import_statement_token1] = ACTIONS(6856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6856),
    [aux_sym_variable_attributes_token1] = ACTIONS(6856),
    [aux_sym_variable_attributes_token2] = ACTIONS(6856),
    [aux_sym_variable_attributes_token3] = ACTIONS(6856),
    [aux_sym_variable_attributes_token4] = ACTIONS(6856),
    [aux_sym_variable_attributes_token5] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6856),
    [aux_sym_derived_type_token1] = ACTIONS(6856),
    [aux_sym_declared_type_token1] = ACTIONS(6856),
    [aux_sym_declared_type_token2] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6856),
    [aux_sym_type_qualifier_token1] = ACTIONS(6856),
    [aux_sym_type_qualifier_token2] = ACTIONS(6856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6856),
    [aux_sym_stop_statement_token1] = ACTIONS(6856),
    [aux_sym_stop_statement_token2] = ACTIONS(6856),
    [aux_sym_keyword_statement_token2] = ACTIONS(6856),
    [aux_sym_keyword_statement_token3] = ACTIONS(6856),
    [aux_sym_include_statement_token1] = ACTIONS(6856),
    [aux_sym_data_statement_token1] = ACTIONS(6856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6856),
    [aux_sym_end_if_statement_token1] = ACTIONS(6856),
    [aux_sym_elseif_clause_token2] = ACTIONS(6856),
    [aux_sym_select_case_statement_token1] = ACTIONS(6856),
    [aux_sym_block_construct_token1] = ACTIONS(6856),
    [aux_sym_format_statement_token1] = ACTIONS(6856),
    [aux_sym_inquire_statement_token1] = ACTIONS(6856),
    [aux_sym_enum_statement_token1] = ACTIONS(6856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6856),
    [aux_sym_entry_statement_token1] = ACTIONS(6856),
    [aux_sym_null_literal_token1] = ACTIONS(6856),
    [aux_sym_coarray_statement_token1] = ACTIONS(6856),
    [aux_sym_coarray_statement_token2] = ACTIONS(6856),
    [aux_sym_coarray_statement_token6] = ACTIONS(6856),
    [aux_sym_coarray_statement_token8] = ACTIONS(6856),
    [aux_sym_coarray_statement_token11] = ACTIONS(6856),
    [aux_sym_coarray_statement_token12] = ACTIONS(6856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6856),
    [aux_sym_identifier_token1] = ACTIONS(6856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6860),
  },
  [2749] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6862),
    [aux_sym_preproc_def_token1] = ACTIONS(6862),
    [aux_sym_preproc_if_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6862),
    [sym_preproc_directive] = ACTIONS(6862),
    [sym_preproc_comment] = ACTIONS(6864),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6862),
    [aux_sym_end_module_statement_token1] = ACTIONS(6862),
    [aux_sym_interface_statement_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6862),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6862),
    [aux_sym_language_binding_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6862),
    [aux_sym_contains_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token2] = ACTIONS(6862),
    [aux_sym_implicit_statement_token1] = ACTIONS(6862),
    [aux_sym_implicit_statement_token3] = ACTIONS(6862),
    [aux_sym_implicit_statement_token4] = ACTIONS(6862),
    [aux_sym_save_statement_token1] = ACTIONS(6862),
    [aux_sym_private_statement_token1] = ACTIONS(6862),
    [aux_sym_public_statement_token1] = ACTIONS(6862),
    [aux_sym_namelist_statement_token1] = ACTIONS(6862),
    [aux_sym_common_statement_token1] = ACTIONS(6862),
    [aux_sym_import_statement_token1] = ACTIONS(6862),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6862),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6862),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6862),
    [aux_sym_variable_attributes_token1] = ACTIONS(6862),
    [aux_sym_variable_attributes_token2] = ACTIONS(6862),
    [aux_sym_variable_attributes_token3] = ACTIONS(6862),
    [aux_sym_variable_attributes_token4] = ACTIONS(6862),
    [aux_sym_variable_attributes_token5] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6862),
    [aux_sym_derived_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6862),
    [aux_sym_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token3] = ACTIONS(6862),
    [aux_sym_include_statement_token1] = ACTIONS(6862),
    [aux_sym_data_statement_token1] = ACTIONS(6862),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6862),
    [aux_sym_end_if_statement_token1] = ACTIONS(6862),
    [aux_sym_elseif_clause_token2] = ACTIONS(6862),
    [aux_sym_select_case_statement_token1] = ACTIONS(6862),
    [aux_sym_block_construct_token1] = ACTIONS(6862),
    [aux_sym_format_statement_token1] = ACTIONS(6862),
    [aux_sym_inquire_statement_token1] = ACTIONS(6862),
    [aux_sym_enum_statement_token1] = ACTIONS(6862),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6862),
    [aux_sym_entry_statement_token1] = ACTIONS(6862),
    [aux_sym_null_literal_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token2] = ACTIONS(6862),
    [aux_sym_coarray_statement_token6] = ACTIONS(6862),
    [aux_sym_coarray_statement_token8] = ACTIONS(6862),
    [aux_sym_coarray_statement_token11] = ACTIONS(6862),
    [aux_sym_coarray_statement_token12] = ACTIONS(6862),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6862),
    [aux_sym_identifier_token1] = ACTIONS(6862),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6866),
  },
  [2750] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7042),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2751] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7073),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2752] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6856),
    [aux_sym_preproc_def_token1] = ACTIONS(6856),
    [aux_sym_preproc_if_token1] = ACTIONS(6856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6856),
    [sym_preproc_directive] = ACTIONS(6856),
    [sym_preproc_comment] = ACTIONS(6868),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6856),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6856),
    [aux_sym_interface_statement_token1] = ACTIONS(6856),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6856),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6856),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6856),
    [aux_sym_language_binding_token1] = ACTIONS(6856),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6856),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6856),
    [aux_sym_contains_statement_token1] = ACTIONS(6856),
    [aux_sym_use_statement_token1] = ACTIONS(6856),
    [aux_sym_use_statement_token2] = ACTIONS(6856),
    [aux_sym_implicit_statement_token1] = ACTIONS(6856),
    [aux_sym_implicit_statement_token3] = ACTIONS(6856),
    [aux_sym_implicit_statement_token4] = ACTIONS(6856),
    [aux_sym_save_statement_token1] = ACTIONS(6856),
    [aux_sym_private_statement_token1] = ACTIONS(6856),
    [aux_sym_public_statement_token1] = ACTIONS(6856),
    [aux_sym_namelist_statement_token1] = ACTIONS(6856),
    [aux_sym_common_statement_token1] = ACTIONS(6856),
    [aux_sym_import_statement_token1] = ACTIONS(6856),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6856),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6856),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6856),
    [aux_sym_variable_attributes_token1] = ACTIONS(6856),
    [aux_sym_variable_attributes_token2] = ACTIONS(6856),
    [aux_sym_variable_attributes_token3] = ACTIONS(6856),
    [aux_sym_variable_attributes_token4] = ACTIONS(6856),
    [aux_sym_variable_attributes_token5] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6856),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6856),
    [aux_sym_derived_type_token1] = ACTIONS(6856),
    [aux_sym_declared_type_token1] = ACTIONS(6856),
    [aux_sym_declared_type_token2] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6856),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6856),
    [aux_sym_type_qualifier_token1] = ACTIONS(6856),
    [aux_sym_type_qualifier_token2] = ACTIONS(6856),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6856),
    [aux_sym_stop_statement_token1] = ACTIONS(6856),
    [aux_sym_stop_statement_token2] = ACTIONS(6856),
    [aux_sym_keyword_statement_token2] = ACTIONS(6856),
    [aux_sym_keyword_statement_token3] = ACTIONS(6856),
    [aux_sym_include_statement_token1] = ACTIONS(6856),
    [aux_sym_data_statement_token1] = ACTIONS(6856),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6856),
    [aux_sym_end_if_statement_token1] = ACTIONS(6856),
    [aux_sym_elseif_clause_token2] = ACTIONS(6856),
    [aux_sym_select_case_statement_token1] = ACTIONS(6856),
    [aux_sym_block_construct_token1] = ACTIONS(6856),
    [aux_sym_format_statement_token1] = ACTIONS(6856),
    [aux_sym_inquire_statement_token1] = ACTIONS(6856),
    [aux_sym_enum_statement_token1] = ACTIONS(6856),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6856),
    [aux_sym_entry_statement_token1] = ACTIONS(6856),
    [aux_sym_null_literal_token1] = ACTIONS(6856),
    [aux_sym_coarray_statement_token1] = ACTIONS(6856),
    [aux_sym_coarray_statement_token2] = ACTIONS(6856),
    [aux_sym_coarray_statement_token6] = ACTIONS(6856),
    [aux_sym_coarray_statement_token8] = ACTIONS(6856),
    [aux_sym_coarray_statement_token11] = ACTIONS(6856),
    [aux_sym_coarray_statement_token12] = ACTIONS(6856),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6856),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6856),
    [aux_sym_identifier_token1] = ACTIONS(6856),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6860),
  },
  [2753] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6862),
    [aux_sym_preproc_def_token1] = ACTIONS(6862),
    [aux_sym_preproc_if_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6862),
    [sym_preproc_directive] = ACTIONS(6862),
    [sym_preproc_comment] = ACTIONS(6870),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6862),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6862),
    [aux_sym_interface_statement_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6862),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6862),
    [aux_sym_language_binding_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6862),
    [aux_sym_contains_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token2] = ACTIONS(6862),
    [aux_sym_implicit_statement_token1] = ACTIONS(6862),
    [aux_sym_implicit_statement_token3] = ACTIONS(6862),
    [aux_sym_implicit_statement_token4] = ACTIONS(6862),
    [aux_sym_save_statement_token1] = ACTIONS(6862),
    [aux_sym_private_statement_token1] = ACTIONS(6862),
    [aux_sym_public_statement_token1] = ACTIONS(6862),
    [aux_sym_namelist_statement_token1] = ACTIONS(6862),
    [aux_sym_common_statement_token1] = ACTIONS(6862),
    [aux_sym_import_statement_token1] = ACTIONS(6862),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6862),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6862),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6862),
    [aux_sym_variable_attributes_token1] = ACTIONS(6862),
    [aux_sym_variable_attributes_token2] = ACTIONS(6862),
    [aux_sym_variable_attributes_token3] = ACTIONS(6862),
    [aux_sym_variable_attributes_token4] = ACTIONS(6862),
    [aux_sym_variable_attributes_token5] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6862),
    [aux_sym_derived_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6862),
    [aux_sym_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token3] = ACTIONS(6862),
    [aux_sym_include_statement_token1] = ACTIONS(6862),
    [aux_sym_data_statement_token1] = ACTIONS(6862),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6862),
    [aux_sym_end_if_statement_token1] = ACTIONS(6862),
    [aux_sym_elseif_clause_token2] = ACTIONS(6862),
    [aux_sym_select_case_statement_token1] = ACTIONS(6862),
    [aux_sym_block_construct_token1] = ACTIONS(6862),
    [aux_sym_format_statement_token1] = ACTIONS(6862),
    [aux_sym_inquire_statement_token1] = ACTIONS(6862),
    [aux_sym_enum_statement_token1] = ACTIONS(6862),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6862),
    [aux_sym_entry_statement_token1] = ACTIONS(6862),
    [aux_sym_null_literal_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token2] = ACTIONS(6862),
    [aux_sym_coarray_statement_token6] = ACTIONS(6862),
    [aux_sym_coarray_statement_token8] = ACTIONS(6862),
    [aux_sym_coarray_statement_token11] = ACTIONS(6862),
    [aux_sym_coarray_statement_token12] = ACTIONS(6862),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6862),
    [aux_sym_identifier_token1] = ACTIONS(6862),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6866),
  },
  [2754] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6452),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2755] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6459),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2756] = {
    [sym_unit_identifier] = STATE(8557),
    [sym__io_expressions] = STATE(7537),
    [sym__expression] = STATE(4465),
    [sym_parenthesized_expression] = STATE(5034),
    [sym_derived_type_member_expression] = STATE(5034),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(5034),
    [sym_math_expression] = STATE(5034),
    [sym_unary_expression] = STATE(5053),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(5034),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6808),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5108),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(5034),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4785),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(6796),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2757] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6549),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2758] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6557),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2759] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6872),
    [aux_sym_preproc_def_token1] = ACTIONS(6872),
    [aux_sym_preproc_if_token1] = ACTIONS(6872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6872),
    [sym_preproc_directive] = ACTIONS(6872),
    [sym_preproc_comment] = ACTIONS(6874),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6872),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6872),
    [aux_sym_interface_statement_token1] = ACTIONS(6872),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6872),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6872),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6872),
    [aux_sym_language_binding_token1] = ACTIONS(6872),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6872),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6872),
    [aux_sym_contains_statement_token1] = ACTIONS(6872),
    [aux_sym_use_statement_token1] = ACTIONS(6872),
    [aux_sym_use_statement_token2] = ACTIONS(6872),
    [aux_sym_implicit_statement_token1] = ACTIONS(6872),
    [aux_sym_implicit_statement_token3] = ACTIONS(6872),
    [aux_sym_implicit_statement_token4] = ACTIONS(6872),
    [aux_sym_save_statement_token1] = ACTIONS(6872),
    [aux_sym_private_statement_token1] = ACTIONS(6872),
    [aux_sym_public_statement_token1] = ACTIONS(6872),
    [aux_sym_namelist_statement_token1] = ACTIONS(6872),
    [aux_sym_common_statement_token1] = ACTIONS(6872),
    [aux_sym_import_statement_token1] = ACTIONS(6872),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6872),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6872),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6872),
    [aux_sym_variable_attributes_token1] = ACTIONS(6872),
    [aux_sym_variable_attributes_token2] = ACTIONS(6872),
    [aux_sym_variable_attributes_token3] = ACTIONS(6872),
    [aux_sym_variable_attributes_token4] = ACTIONS(6872),
    [aux_sym_variable_attributes_token5] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6872),
    [aux_sym_derived_type_token1] = ACTIONS(6872),
    [aux_sym_declared_type_token1] = ACTIONS(6872),
    [aux_sym_declared_type_token2] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6872),
    [aux_sym_type_qualifier_token1] = ACTIONS(6872),
    [aux_sym_type_qualifier_token2] = ACTIONS(6872),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6872),
    [aux_sym_stop_statement_token1] = ACTIONS(6872),
    [aux_sym_stop_statement_token2] = ACTIONS(6872),
    [aux_sym_keyword_statement_token2] = ACTIONS(6872),
    [aux_sym_keyword_statement_token3] = ACTIONS(6872),
    [aux_sym_include_statement_token1] = ACTIONS(6872),
    [aux_sym_data_statement_token1] = ACTIONS(6872),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6872),
    [aux_sym_end_if_statement_token1] = ACTIONS(6872),
    [aux_sym_elseif_clause_token2] = ACTIONS(6872),
    [aux_sym_select_case_statement_token1] = ACTIONS(6872),
    [aux_sym_block_construct_token1] = ACTIONS(6872),
    [aux_sym_format_statement_token1] = ACTIONS(6872),
    [aux_sym_inquire_statement_token1] = ACTIONS(6872),
    [aux_sym_enum_statement_token1] = ACTIONS(6872),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6872),
    [aux_sym_entry_statement_token1] = ACTIONS(6872),
    [aux_sym_null_literal_token1] = ACTIONS(6872),
    [aux_sym_coarray_statement_token1] = ACTIONS(6872),
    [aux_sym_coarray_statement_token2] = ACTIONS(6872),
    [aux_sym_coarray_statement_token6] = ACTIONS(6872),
    [aux_sym_coarray_statement_token8] = ACTIONS(6872),
    [aux_sym_coarray_statement_token11] = ACTIONS(6872),
    [aux_sym_coarray_statement_token12] = ACTIONS(6872),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6872),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6872),
    [aux_sym_identifier_token1] = ACTIONS(6872),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6876),
  },
  [2760] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6615),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2761] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6620),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4694),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2762] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
  },
  [2763] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6872),
    [aux_sym_preproc_def_token1] = ACTIONS(6872),
    [aux_sym_preproc_if_token1] = ACTIONS(6872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6872),
    [sym_preproc_directive] = ACTIONS(6872),
    [sym_preproc_comment] = ACTIONS(6878),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6872),
    [aux_sym_end_module_statement_token1] = ACTIONS(6872),
    [aux_sym_interface_statement_token1] = ACTIONS(6872),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6872),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6872),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6872),
    [aux_sym_language_binding_token1] = ACTIONS(6872),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6872),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6872),
    [aux_sym_contains_statement_token1] = ACTIONS(6872),
    [aux_sym_use_statement_token1] = ACTIONS(6872),
    [aux_sym_use_statement_token2] = ACTIONS(6872),
    [aux_sym_implicit_statement_token1] = ACTIONS(6872),
    [aux_sym_implicit_statement_token3] = ACTIONS(6872),
    [aux_sym_implicit_statement_token4] = ACTIONS(6872),
    [aux_sym_save_statement_token1] = ACTIONS(6872),
    [aux_sym_private_statement_token1] = ACTIONS(6872),
    [aux_sym_public_statement_token1] = ACTIONS(6872),
    [aux_sym_namelist_statement_token1] = ACTIONS(6872),
    [aux_sym_common_statement_token1] = ACTIONS(6872),
    [aux_sym_import_statement_token1] = ACTIONS(6872),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6872),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6872),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6872),
    [aux_sym_variable_attributes_token1] = ACTIONS(6872),
    [aux_sym_variable_attributes_token2] = ACTIONS(6872),
    [aux_sym_variable_attributes_token3] = ACTIONS(6872),
    [aux_sym_variable_attributes_token4] = ACTIONS(6872),
    [aux_sym_variable_attributes_token5] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6872),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6872),
    [aux_sym_derived_type_token1] = ACTIONS(6872),
    [aux_sym_declared_type_token1] = ACTIONS(6872),
    [aux_sym_declared_type_token2] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6872),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6872),
    [aux_sym_type_qualifier_token1] = ACTIONS(6872),
    [aux_sym_type_qualifier_token2] = ACTIONS(6872),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6872),
    [aux_sym_stop_statement_token1] = ACTIONS(6872),
    [aux_sym_stop_statement_token2] = ACTIONS(6872),
    [aux_sym_keyword_statement_token2] = ACTIONS(6872),
    [aux_sym_keyword_statement_token3] = ACTIONS(6872),
    [aux_sym_include_statement_token1] = ACTIONS(6872),
    [aux_sym_data_statement_token1] = ACTIONS(6872),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6872),
    [aux_sym_end_if_statement_token1] = ACTIONS(6872),
    [aux_sym_elseif_clause_token2] = ACTIONS(6872),
    [aux_sym_select_case_statement_token1] = ACTIONS(6872),
    [aux_sym_block_construct_token1] = ACTIONS(6872),
    [aux_sym_format_statement_token1] = ACTIONS(6872),
    [aux_sym_inquire_statement_token1] = ACTIONS(6872),
    [aux_sym_enum_statement_token1] = ACTIONS(6872),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6872),
    [aux_sym_entry_statement_token1] = ACTIONS(6872),
    [aux_sym_null_literal_token1] = ACTIONS(6872),
    [aux_sym_coarray_statement_token1] = ACTIONS(6872),
    [aux_sym_coarray_statement_token2] = ACTIONS(6872),
    [aux_sym_coarray_statement_token6] = ACTIONS(6872),
    [aux_sym_coarray_statement_token8] = ACTIONS(6872),
    [aux_sym_coarray_statement_token11] = ACTIONS(6872),
    [aux_sym_coarray_statement_token12] = ACTIONS(6872),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6872),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6872),
    [aux_sym_identifier_token1] = ACTIONS(6872),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6876),
  },
  [2764] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [aux_sym_preproc_else_token1] = ACTIONS(5116),
    [aux_sym_preproc_elif_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
  },
  [2765] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [aux_sym_preproc_else_token1] = ACTIONS(5058),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
  },
  [2766] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [aux_sym_preproc_else_token1] = ACTIONS(5094),
    [aux_sym_preproc_elif_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
  },
  [2767] = {
    [sym_case_value_range_list] = STATE(8219),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2768] = {
    [sym_case_value_range_list] = STATE(8222),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2769] = {
    [sym_case_value_range_list] = STATE(8296),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2770] = {
    [sym_case_value_range_list] = STATE(8299),
    [sym__expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(6875),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2771] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6754),
    [aux_sym_preproc_def_token1] = ACTIONS(6754),
    [aux_sym_preproc_if_token1] = ACTIONS(6754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6754),
    [sym_preproc_directive] = ACTIONS(6754),
    [sym_preproc_comment] = ACTIONS(6880),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6754),
    [aux_sym_end_module_statement_token1] = ACTIONS(6754),
    [aux_sym_interface_statement_token1] = ACTIONS(6754),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6754),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6754),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6754),
    [aux_sym_language_binding_token1] = ACTIONS(6754),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6754),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6754),
    [aux_sym_contains_statement_token1] = ACTIONS(6754),
    [aux_sym_use_statement_token1] = ACTIONS(6754),
    [aux_sym_use_statement_token2] = ACTIONS(6754),
    [aux_sym_implicit_statement_token1] = ACTIONS(6754),
    [aux_sym_implicit_statement_token3] = ACTIONS(6754),
    [aux_sym_implicit_statement_token4] = ACTIONS(6754),
    [aux_sym_save_statement_token1] = ACTIONS(6754),
    [aux_sym_private_statement_token1] = ACTIONS(6754),
    [aux_sym_public_statement_token1] = ACTIONS(6754),
    [aux_sym_namelist_statement_token1] = ACTIONS(6754),
    [aux_sym_common_statement_token1] = ACTIONS(6754),
    [aux_sym_import_statement_token1] = ACTIONS(6754),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6754),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6754),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6754),
    [aux_sym_variable_attributes_token1] = ACTIONS(6754),
    [aux_sym_variable_attributes_token2] = ACTIONS(6754),
    [aux_sym_variable_attributes_token3] = ACTIONS(6754),
    [aux_sym_variable_attributes_token4] = ACTIONS(6754),
    [aux_sym_variable_attributes_token5] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6754),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6754),
    [aux_sym_derived_type_token1] = ACTIONS(6754),
    [aux_sym_declared_type_token1] = ACTIONS(6754),
    [aux_sym_declared_type_token2] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6754),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6754),
    [aux_sym_type_qualifier_token1] = ACTIONS(6754),
    [aux_sym_type_qualifier_token2] = ACTIONS(6754),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6754),
    [aux_sym_stop_statement_token1] = ACTIONS(6754),
    [aux_sym_stop_statement_token2] = ACTIONS(6754),
    [aux_sym_keyword_statement_token2] = ACTIONS(6754),
    [aux_sym_keyword_statement_token3] = ACTIONS(6754),
    [aux_sym_include_statement_token1] = ACTIONS(6754),
    [aux_sym_data_statement_token1] = ACTIONS(6754),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6754),
    [aux_sym_end_if_statement_token1] = ACTIONS(6754),
    [aux_sym_elseif_clause_token2] = ACTIONS(6754),
    [aux_sym_select_case_statement_token1] = ACTIONS(6754),
    [aux_sym_block_construct_token1] = ACTIONS(6754),
    [aux_sym_format_statement_token1] = ACTIONS(6754),
    [aux_sym_inquire_statement_token1] = ACTIONS(6754),
    [aux_sym_enum_statement_token1] = ACTIONS(6754),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6754),
    [aux_sym_entry_statement_token1] = ACTIONS(6754),
    [aux_sym_null_literal_token1] = ACTIONS(6754),
    [aux_sym_coarray_statement_token1] = ACTIONS(6754),
    [aux_sym_coarray_statement_token2] = ACTIONS(6754),
    [aux_sym_coarray_statement_token6] = ACTIONS(6754),
    [aux_sym_coarray_statement_token8] = ACTIONS(6754),
    [aux_sym_coarray_statement_token11] = ACTIONS(6754),
    [aux_sym_coarray_statement_token12] = ACTIONS(6754),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6754),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6754),
    [aux_sym_identifier_token1] = ACTIONS(6754),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6758),
  },
  [2772] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6882),
    [aux_sym_preproc_def_token1] = ACTIONS(6882),
    [aux_sym_preproc_if_token1] = ACTIONS(6882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6882),
    [sym_preproc_directive] = ACTIONS(6882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6882),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6882),
    [aux_sym_interface_statement_token1] = ACTIONS(6882),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6882),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6882),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6882),
    [aux_sym_language_binding_token1] = ACTIONS(6882),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6882),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6882),
    [aux_sym_contains_statement_token1] = ACTIONS(6882),
    [aux_sym_use_statement_token1] = ACTIONS(6882),
    [aux_sym_use_statement_token2] = ACTIONS(6882),
    [aux_sym_implicit_statement_token1] = ACTIONS(6882),
    [aux_sym_implicit_statement_token3] = ACTIONS(6882),
    [aux_sym_implicit_statement_token4] = ACTIONS(6882),
    [aux_sym_save_statement_token1] = ACTIONS(6882),
    [aux_sym_private_statement_token1] = ACTIONS(6882),
    [aux_sym_public_statement_token1] = ACTIONS(6882),
    [aux_sym_namelist_statement_token1] = ACTIONS(6882),
    [aux_sym_common_statement_token1] = ACTIONS(6882),
    [aux_sym_import_statement_token1] = ACTIONS(6882),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6882),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6882),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6882),
    [aux_sym_variable_attributes_token1] = ACTIONS(6882),
    [aux_sym_variable_attributes_token2] = ACTIONS(6882),
    [aux_sym_variable_attributes_token3] = ACTIONS(6882),
    [aux_sym_variable_attributes_token4] = ACTIONS(6882),
    [aux_sym_variable_attributes_token5] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6882),
    [aux_sym_derived_type_token1] = ACTIONS(6882),
    [aux_sym_declared_type_token1] = ACTIONS(6882),
    [aux_sym_declared_type_token2] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6882),
    [aux_sym_type_qualifier_token1] = ACTIONS(6882),
    [aux_sym_type_qualifier_token2] = ACTIONS(6882),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6882),
    [aux_sym_stop_statement_token1] = ACTIONS(6882),
    [aux_sym_stop_statement_token2] = ACTIONS(6882),
    [aux_sym_keyword_statement_token2] = ACTIONS(6882),
    [aux_sym_keyword_statement_token3] = ACTIONS(6882),
    [aux_sym_include_statement_token1] = ACTIONS(6882),
    [aux_sym_data_statement_token1] = ACTIONS(6882),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6882),
    [aux_sym_end_if_statement_token1] = ACTIONS(6882),
    [aux_sym_elseif_clause_token2] = ACTIONS(6882),
    [aux_sym_select_case_statement_token1] = ACTIONS(6882),
    [aux_sym_block_construct_token1] = ACTIONS(6882),
    [aux_sym_format_statement_token1] = ACTIONS(6882),
    [aux_sym_inquire_statement_token1] = ACTIONS(6882),
    [aux_sym_enum_statement_token1] = ACTIONS(6882),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6882),
    [aux_sym_entry_statement_token1] = ACTIONS(6882),
    [aux_sym_null_literal_token1] = ACTIONS(6882),
    [aux_sym_coarray_statement_token1] = ACTIONS(6882),
    [aux_sym_coarray_statement_token2] = ACTIONS(6882),
    [aux_sym_coarray_statement_token6] = ACTIONS(6882),
    [aux_sym_coarray_statement_token8] = ACTIONS(6882),
    [aux_sym_coarray_statement_token11] = ACTIONS(6882),
    [aux_sym_coarray_statement_token12] = ACTIONS(6882),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6882),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6882),
    [aux_sym_identifier_token1] = ACTIONS(6882),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6884),
  },
  [2773] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2774] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
  },
  [2775] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_module_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
  },
  [2776] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_module_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
  },
  [2777] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_module_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
  },
  [2778] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_module_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
  },
  [2779] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
  },
  [2780] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
  },
  [2781] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_end_module_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
  },
  [2782] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
  },
  [2783] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6554),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2784] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_module_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
  },
  [2785] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7110),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2786] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_end_module_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
  },
  [2787] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_module_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
  },
  [2788] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6830),
    [aux_sym_preproc_def_token1] = ACTIONS(6830),
    [aux_sym_preproc_if_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6830),
    [sym_preproc_directive] = ACTIONS(6830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6830),
    [aux_sym_end_module_statement_token1] = ACTIONS(6830),
    [aux_sym_interface_statement_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6830),
    [aux_sym_language_binding_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6830),
    [aux_sym_contains_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token2] = ACTIONS(6830),
    [aux_sym_implicit_statement_token1] = ACTIONS(6830),
    [aux_sym_implicit_statement_token3] = ACTIONS(6830),
    [aux_sym_implicit_statement_token4] = ACTIONS(6830),
    [aux_sym_save_statement_token1] = ACTIONS(6830),
    [aux_sym_private_statement_token1] = ACTIONS(6830),
    [aux_sym_public_statement_token1] = ACTIONS(6830),
    [aux_sym_namelist_statement_token1] = ACTIONS(6830),
    [aux_sym_common_statement_token1] = ACTIONS(6830),
    [aux_sym_import_statement_token1] = ACTIONS(6830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6830),
    [aux_sym_variable_attributes_token1] = ACTIONS(6830),
    [aux_sym_variable_attributes_token2] = ACTIONS(6830),
    [aux_sym_variable_attributes_token3] = ACTIONS(6830),
    [aux_sym_variable_attributes_token4] = ACTIONS(6830),
    [aux_sym_variable_attributes_token5] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6830),
    [aux_sym_derived_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6830),
    [aux_sym_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token3] = ACTIONS(6830),
    [aux_sym_include_statement_token1] = ACTIONS(6830),
    [aux_sym_data_statement_token1] = ACTIONS(6830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6830),
    [aux_sym_end_if_statement_token1] = ACTIONS(6830),
    [aux_sym_elseif_clause_token2] = ACTIONS(6830),
    [aux_sym_select_case_statement_token1] = ACTIONS(6830),
    [aux_sym_block_construct_token1] = ACTIONS(6830),
    [aux_sym_format_statement_token1] = ACTIONS(6830),
    [aux_sym_inquire_statement_token1] = ACTIONS(6830),
    [aux_sym_enum_statement_token1] = ACTIONS(6830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6830),
    [aux_sym_entry_statement_token1] = ACTIONS(6830),
    [aux_sym_null_literal_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token2] = ACTIONS(6830),
    [aux_sym_coarray_statement_token6] = ACTIONS(6830),
    [aux_sym_coarray_statement_token8] = ACTIONS(6830),
    [aux_sym_coarray_statement_token11] = ACTIONS(6830),
    [aux_sym_coarray_statement_token12] = ACTIONS(6830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6830),
    [aux_sym_identifier_token1] = ACTIONS(6830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6834),
  },
  [2789] = {
    [sym__expression] = STATE(4445),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7613),
    [sym_extent_specifier] = STATE(7670),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2790] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_module_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
  },
  [2791] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_end_module_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
  },
  [2792] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7113),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2793] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
  },
  [2794] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6886),
    [aux_sym_preproc_def_token1] = ACTIONS(6886),
    [aux_sym_preproc_if_token1] = ACTIONS(6886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6886),
    [sym_preproc_directive] = ACTIONS(6886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6886),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6886),
    [aux_sym_interface_statement_token1] = ACTIONS(6886),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6886),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6886),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6886),
    [aux_sym_language_binding_token1] = ACTIONS(6886),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6886),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6886),
    [aux_sym_contains_statement_token1] = ACTIONS(6886),
    [aux_sym_use_statement_token1] = ACTIONS(6886),
    [aux_sym_use_statement_token2] = ACTIONS(6886),
    [aux_sym_implicit_statement_token1] = ACTIONS(6886),
    [aux_sym_implicit_statement_token3] = ACTIONS(6886),
    [aux_sym_implicit_statement_token4] = ACTIONS(6886),
    [aux_sym_save_statement_token1] = ACTIONS(6886),
    [aux_sym_private_statement_token1] = ACTIONS(6886),
    [aux_sym_public_statement_token1] = ACTIONS(6886),
    [aux_sym_namelist_statement_token1] = ACTIONS(6886),
    [aux_sym_common_statement_token1] = ACTIONS(6886),
    [aux_sym_import_statement_token1] = ACTIONS(6886),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6886),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6886),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6886),
    [aux_sym_variable_attributes_token1] = ACTIONS(6886),
    [aux_sym_variable_attributes_token2] = ACTIONS(6886),
    [aux_sym_variable_attributes_token3] = ACTIONS(6886),
    [aux_sym_variable_attributes_token4] = ACTIONS(6886),
    [aux_sym_variable_attributes_token5] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6886),
    [aux_sym_derived_type_token1] = ACTIONS(6886),
    [aux_sym_declared_type_token1] = ACTIONS(6886),
    [aux_sym_declared_type_token2] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6886),
    [aux_sym_type_qualifier_token1] = ACTIONS(6886),
    [aux_sym_type_qualifier_token2] = ACTIONS(6886),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6886),
    [aux_sym_stop_statement_token1] = ACTIONS(6886),
    [aux_sym_stop_statement_token2] = ACTIONS(6886),
    [aux_sym_keyword_statement_token2] = ACTIONS(6886),
    [aux_sym_keyword_statement_token3] = ACTIONS(6886),
    [aux_sym_include_statement_token1] = ACTIONS(6886),
    [aux_sym_data_statement_token1] = ACTIONS(6886),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6886),
    [aux_sym_end_if_statement_token1] = ACTIONS(6886),
    [aux_sym_elseif_clause_token2] = ACTIONS(6886),
    [aux_sym_select_case_statement_token1] = ACTIONS(6886),
    [aux_sym_block_construct_token1] = ACTIONS(6886),
    [aux_sym_format_statement_token1] = ACTIONS(6886),
    [aux_sym_inquire_statement_token1] = ACTIONS(6886),
    [aux_sym_enum_statement_token1] = ACTIONS(6886),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6886),
    [aux_sym_entry_statement_token1] = ACTIONS(6886),
    [aux_sym_null_literal_token1] = ACTIONS(6886),
    [aux_sym_coarray_statement_token1] = ACTIONS(6886),
    [aux_sym_coarray_statement_token2] = ACTIONS(6886),
    [aux_sym_coarray_statement_token6] = ACTIONS(6886),
    [aux_sym_coarray_statement_token8] = ACTIONS(6886),
    [aux_sym_coarray_statement_token11] = ACTIONS(6886),
    [aux_sym_coarray_statement_token12] = ACTIONS(6886),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6886),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6886),
    [aux_sym_identifier_token1] = ACTIONS(6886),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6888),
  },
  [2795] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6890),
    [aux_sym_preproc_def_token1] = ACTIONS(6890),
    [aux_sym_preproc_if_token1] = ACTIONS(6890),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6890),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6890),
    [sym_preproc_directive] = ACTIONS(6890),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6890),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6890),
    [aux_sym_interface_statement_token1] = ACTIONS(6890),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6890),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6890),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6890),
    [aux_sym_language_binding_token1] = ACTIONS(6890),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6890),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6890),
    [aux_sym_contains_statement_token1] = ACTIONS(6890),
    [aux_sym_use_statement_token1] = ACTIONS(6890),
    [aux_sym_use_statement_token2] = ACTIONS(6890),
    [aux_sym_implicit_statement_token1] = ACTIONS(6890),
    [aux_sym_implicit_statement_token3] = ACTIONS(6890),
    [aux_sym_implicit_statement_token4] = ACTIONS(6890),
    [aux_sym_save_statement_token1] = ACTIONS(6890),
    [aux_sym_private_statement_token1] = ACTIONS(6890),
    [aux_sym_public_statement_token1] = ACTIONS(6890),
    [aux_sym_namelist_statement_token1] = ACTIONS(6890),
    [aux_sym_common_statement_token1] = ACTIONS(6890),
    [aux_sym_import_statement_token1] = ACTIONS(6890),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6890),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6890),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6890),
    [aux_sym_variable_attributes_token1] = ACTIONS(6890),
    [aux_sym_variable_attributes_token2] = ACTIONS(6890),
    [aux_sym_variable_attributes_token3] = ACTIONS(6890),
    [aux_sym_variable_attributes_token4] = ACTIONS(6890),
    [aux_sym_variable_attributes_token5] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6890),
    [aux_sym_derived_type_token1] = ACTIONS(6890),
    [aux_sym_declared_type_token1] = ACTIONS(6890),
    [aux_sym_declared_type_token2] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6890),
    [aux_sym_type_qualifier_token1] = ACTIONS(6890),
    [aux_sym_type_qualifier_token2] = ACTIONS(6890),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6890),
    [aux_sym_stop_statement_token1] = ACTIONS(6890),
    [aux_sym_stop_statement_token2] = ACTIONS(6890),
    [aux_sym_keyword_statement_token2] = ACTIONS(6890),
    [aux_sym_keyword_statement_token3] = ACTIONS(6890),
    [aux_sym_include_statement_token1] = ACTIONS(6890),
    [aux_sym_data_statement_token1] = ACTIONS(6890),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6890),
    [aux_sym_end_if_statement_token1] = ACTIONS(6890),
    [aux_sym_elseif_clause_token2] = ACTIONS(6890),
    [aux_sym_select_case_statement_token1] = ACTIONS(6890),
    [aux_sym_block_construct_token1] = ACTIONS(6890),
    [aux_sym_format_statement_token1] = ACTIONS(6890),
    [aux_sym_inquire_statement_token1] = ACTIONS(6890),
    [aux_sym_enum_statement_token1] = ACTIONS(6890),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6890),
    [aux_sym_entry_statement_token1] = ACTIONS(6890),
    [aux_sym_null_literal_token1] = ACTIONS(6890),
    [aux_sym_coarray_statement_token1] = ACTIONS(6890),
    [aux_sym_coarray_statement_token2] = ACTIONS(6890),
    [aux_sym_coarray_statement_token6] = ACTIONS(6890),
    [aux_sym_coarray_statement_token8] = ACTIONS(6890),
    [aux_sym_coarray_statement_token11] = ACTIONS(6890),
    [aux_sym_coarray_statement_token12] = ACTIONS(6890),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6890),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6890),
    [aux_sym_identifier_token1] = ACTIONS(6890),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6892),
  },
  [2796] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_module_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
  },
  [2797] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6681),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2798] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
  },
  [2799] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_end_module_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
  },
  [2800] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_end_module_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
  },
  [2801] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4629),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
  },
  [2802] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
  },
  [2803] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6682),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2804] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
  },
  [2805] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
  },
  [2806] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6684),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2807] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
  },
  [2808] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
  },
  [2809] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
  },
  [2810] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6724),
    [aux_sym_preproc_def_token1] = ACTIONS(6724),
    [aux_sym_preproc_if_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6724),
    [sym_preproc_directive] = ACTIONS(6724),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6724),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6724),
    [aux_sym_interface_statement_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6724),
    [aux_sym_language_binding_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6724),
    [aux_sym_contains_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token2] = ACTIONS(6724),
    [aux_sym_implicit_statement_token1] = ACTIONS(6724),
    [aux_sym_implicit_statement_token3] = ACTIONS(6724),
    [aux_sym_implicit_statement_token4] = ACTIONS(6724),
    [aux_sym_save_statement_token1] = ACTIONS(6724),
    [aux_sym_private_statement_token1] = ACTIONS(6724),
    [aux_sym_public_statement_token1] = ACTIONS(6724),
    [aux_sym_namelist_statement_token1] = ACTIONS(6724),
    [aux_sym_common_statement_token1] = ACTIONS(6724),
    [aux_sym_import_statement_token1] = ACTIONS(6724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6724),
    [aux_sym_variable_attributes_token1] = ACTIONS(6724),
    [aux_sym_variable_attributes_token2] = ACTIONS(6724),
    [aux_sym_variable_attributes_token3] = ACTIONS(6724),
    [aux_sym_variable_attributes_token4] = ACTIONS(6724),
    [aux_sym_variable_attributes_token5] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6724),
    [aux_sym_derived_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6724),
    [aux_sym_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token3] = ACTIONS(6724),
    [aux_sym_include_statement_token1] = ACTIONS(6724),
    [aux_sym_data_statement_token1] = ACTIONS(6724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6724),
    [aux_sym_end_if_statement_token1] = ACTIONS(6724),
    [aux_sym_elseif_clause_token2] = ACTIONS(6724),
    [aux_sym_select_case_statement_token1] = ACTIONS(6724),
    [aux_sym_block_construct_token1] = ACTIONS(6724),
    [aux_sym_format_statement_token1] = ACTIONS(6724),
    [aux_sym_inquire_statement_token1] = ACTIONS(6724),
    [aux_sym_enum_statement_token1] = ACTIONS(6724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6724),
    [aux_sym_entry_statement_token1] = ACTIONS(6724),
    [aux_sym_null_literal_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token2] = ACTIONS(6724),
    [aux_sym_coarray_statement_token6] = ACTIONS(6724),
    [aux_sym_coarray_statement_token8] = ACTIONS(6724),
    [aux_sym_coarray_statement_token11] = ACTIONS(6724),
    [aux_sym_coarray_statement_token12] = ACTIONS(6724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6724),
    [aux_sym_identifier_token1] = ACTIONS(6724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6728),
  },
  [2811] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5062),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
  },
  [2812] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6894),
    [aux_sym_preproc_def_token1] = ACTIONS(6894),
    [aux_sym_preproc_if_token1] = ACTIONS(6894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6894),
    [sym_preproc_directive] = ACTIONS(6894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6894),
    [aux_sym_end_module_statement_token1] = ACTIONS(6894),
    [aux_sym_interface_statement_token1] = ACTIONS(6894),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6894),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6894),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6894),
    [aux_sym_language_binding_token1] = ACTIONS(6894),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6894),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6894),
    [aux_sym_contains_statement_token1] = ACTIONS(6894),
    [aux_sym_use_statement_token1] = ACTIONS(6894),
    [aux_sym_use_statement_token2] = ACTIONS(6894),
    [aux_sym_implicit_statement_token1] = ACTIONS(6894),
    [aux_sym_implicit_statement_token3] = ACTIONS(6894),
    [aux_sym_implicit_statement_token4] = ACTIONS(6894),
    [aux_sym_save_statement_token1] = ACTIONS(6894),
    [aux_sym_private_statement_token1] = ACTIONS(6894),
    [aux_sym_public_statement_token1] = ACTIONS(6894),
    [aux_sym_namelist_statement_token1] = ACTIONS(6894),
    [aux_sym_common_statement_token1] = ACTIONS(6894),
    [aux_sym_import_statement_token1] = ACTIONS(6894),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6894),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6894),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6894),
    [aux_sym_variable_attributes_token1] = ACTIONS(6894),
    [aux_sym_variable_attributes_token2] = ACTIONS(6894),
    [aux_sym_variable_attributes_token3] = ACTIONS(6894),
    [aux_sym_variable_attributes_token4] = ACTIONS(6894),
    [aux_sym_variable_attributes_token5] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6894),
    [aux_sym_derived_type_token1] = ACTIONS(6894),
    [aux_sym_declared_type_token1] = ACTIONS(6894),
    [aux_sym_declared_type_token2] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6894),
    [aux_sym_type_qualifier_token1] = ACTIONS(6894),
    [aux_sym_type_qualifier_token2] = ACTIONS(6894),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6894),
    [aux_sym_stop_statement_token1] = ACTIONS(6894),
    [aux_sym_stop_statement_token2] = ACTIONS(6894),
    [aux_sym_keyword_statement_token2] = ACTIONS(6894),
    [aux_sym_keyword_statement_token3] = ACTIONS(6894),
    [aux_sym_include_statement_token1] = ACTIONS(6894),
    [aux_sym_data_statement_token1] = ACTIONS(6894),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6894),
    [aux_sym_end_if_statement_token1] = ACTIONS(6894),
    [aux_sym_elseif_clause_token2] = ACTIONS(6894),
    [aux_sym_select_case_statement_token1] = ACTIONS(6894),
    [aux_sym_block_construct_token1] = ACTIONS(6894),
    [aux_sym_format_statement_token1] = ACTIONS(6894),
    [aux_sym_inquire_statement_token1] = ACTIONS(6894),
    [aux_sym_enum_statement_token1] = ACTIONS(6894),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6894),
    [aux_sym_entry_statement_token1] = ACTIONS(6894),
    [aux_sym_null_literal_token1] = ACTIONS(6894),
    [aux_sym_coarray_statement_token1] = ACTIONS(6894),
    [aux_sym_coarray_statement_token2] = ACTIONS(6894),
    [aux_sym_coarray_statement_token6] = ACTIONS(6894),
    [aux_sym_coarray_statement_token8] = ACTIONS(6894),
    [aux_sym_coarray_statement_token11] = ACTIONS(6894),
    [aux_sym_coarray_statement_token12] = ACTIONS(6894),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6894),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6894),
    [aux_sym_identifier_token1] = ACTIONS(6894),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6896),
  },
  [2813] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
  },
  [2814] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
  },
  [2815] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6782),
    [aux_sym_preproc_def_token1] = ACTIONS(6782),
    [aux_sym_preproc_if_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6782),
    [sym_preproc_directive] = ACTIONS(6782),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6782),
    [aux_sym_end_module_statement_token1] = ACTIONS(6782),
    [aux_sym_interface_statement_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6782),
    [aux_sym_language_binding_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6782),
    [aux_sym_contains_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token2] = ACTIONS(6782),
    [aux_sym_implicit_statement_token1] = ACTIONS(6782),
    [aux_sym_implicit_statement_token3] = ACTIONS(6782),
    [aux_sym_implicit_statement_token4] = ACTIONS(6782),
    [aux_sym_save_statement_token1] = ACTIONS(6782),
    [aux_sym_private_statement_token1] = ACTIONS(6782),
    [aux_sym_public_statement_token1] = ACTIONS(6782),
    [aux_sym_namelist_statement_token1] = ACTIONS(6782),
    [aux_sym_common_statement_token1] = ACTIONS(6782),
    [aux_sym_import_statement_token1] = ACTIONS(6782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6782),
    [aux_sym_variable_attributes_token1] = ACTIONS(6782),
    [aux_sym_variable_attributes_token2] = ACTIONS(6782),
    [aux_sym_variable_attributes_token3] = ACTIONS(6782),
    [aux_sym_variable_attributes_token4] = ACTIONS(6782),
    [aux_sym_variable_attributes_token5] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6782),
    [aux_sym_derived_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6782),
    [aux_sym_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token3] = ACTIONS(6782),
    [aux_sym_include_statement_token1] = ACTIONS(6782),
    [aux_sym_data_statement_token1] = ACTIONS(6782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6782),
    [aux_sym_end_if_statement_token1] = ACTIONS(6782),
    [aux_sym_elseif_clause_token2] = ACTIONS(6782),
    [aux_sym_select_case_statement_token1] = ACTIONS(6782),
    [aux_sym_block_construct_token1] = ACTIONS(6782),
    [aux_sym_format_statement_token1] = ACTIONS(6782),
    [aux_sym_inquire_statement_token1] = ACTIONS(6782),
    [aux_sym_enum_statement_token1] = ACTIONS(6782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6782),
    [aux_sym_entry_statement_token1] = ACTIONS(6782),
    [aux_sym_null_literal_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token2] = ACTIONS(6782),
    [aux_sym_coarray_statement_token6] = ACTIONS(6782),
    [aux_sym_coarray_statement_token8] = ACTIONS(6782),
    [aux_sym_coarray_statement_token11] = ACTIONS(6782),
    [aux_sym_coarray_statement_token12] = ACTIONS(6782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6782),
    [aux_sym_identifier_token1] = ACTIONS(6782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6786),
  },
  [2816] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
  },
  [2817] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_end_module_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
  },
  [2818] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
  },
  [2819] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
  },
  [2820] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6898),
    [aux_sym_preproc_def_token1] = ACTIONS(6898),
    [aux_sym_preproc_if_token1] = ACTIONS(6898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6898),
    [sym_preproc_directive] = ACTIONS(6898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6898),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6898),
    [aux_sym_interface_statement_token1] = ACTIONS(6898),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6898),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6898),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6898),
    [aux_sym_language_binding_token1] = ACTIONS(6898),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6898),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6898),
    [aux_sym_contains_statement_token1] = ACTIONS(6898),
    [aux_sym_use_statement_token1] = ACTIONS(6898),
    [aux_sym_use_statement_token2] = ACTIONS(6898),
    [aux_sym_implicit_statement_token1] = ACTIONS(6898),
    [aux_sym_implicit_statement_token3] = ACTIONS(6898),
    [aux_sym_implicit_statement_token4] = ACTIONS(6898),
    [aux_sym_save_statement_token1] = ACTIONS(6898),
    [aux_sym_private_statement_token1] = ACTIONS(6898),
    [aux_sym_public_statement_token1] = ACTIONS(6898),
    [aux_sym_namelist_statement_token1] = ACTIONS(6898),
    [aux_sym_common_statement_token1] = ACTIONS(6898),
    [aux_sym_import_statement_token1] = ACTIONS(6898),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6898),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6898),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6898),
    [aux_sym_variable_attributes_token1] = ACTIONS(6898),
    [aux_sym_variable_attributes_token2] = ACTIONS(6898),
    [aux_sym_variable_attributes_token3] = ACTIONS(6898),
    [aux_sym_variable_attributes_token4] = ACTIONS(6898),
    [aux_sym_variable_attributes_token5] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6898),
    [aux_sym_derived_type_token1] = ACTIONS(6898),
    [aux_sym_declared_type_token1] = ACTIONS(6898),
    [aux_sym_declared_type_token2] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6898),
    [aux_sym_type_qualifier_token1] = ACTIONS(6898),
    [aux_sym_type_qualifier_token2] = ACTIONS(6898),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6898),
    [aux_sym_stop_statement_token1] = ACTIONS(6898),
    [aux_sym_stop_statement_token2] = ACTIONS(6898),
    [aux_sym_keyword_statement_token2] = ACTIONS(6898),
    [aux_sym_keyword_statement_token3] = ACTIONS(6898),
    [aux_sym_include_statement_token1] = ACTIONS(6898),
    [aux_sym_data_statement_token1] = ACTIONS(6898),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6898),
    [aux_sym_end_if_statement_token1] = ACTIONS(6898),
    [aux_sym_elseif_clause_token2] = ACTIONS(6898),
    [aux_sym_select_case_statement_token1] = ACTIONS(6898),
    [aux_sym_block_construct_token1] = ACTIONS(6898),
    [aux_sym_format_statement_token1] = ACTIONS(6898),
    [aux_sym_inquire_statement_token1] = ACTIONS(6898),
    [aux_sym_enum_statement_token1] = ACTIONS(6898),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6898),
    [aux_sym_entry_statement_token1] = ACTIONS(6898),
    [aux_sym_null_literal_token1] = ACTIONS(6898),
    [aux_sym_coarray_statement_token1] = ACTIONS(6898),
    [aux_sym_coarray_statement_token2] = ACTIONS(6898),
    [aux_sym_coarray_statement_token6] = ACTIONS(6898),
    [aux_sym_coarray_statement_token8] = ACTIONS(6898),
    [aux_sym_coarray_statement_token11] = ACTIONS(6898),
    [aux_sym_coarray_statement_token12] = ACTIONS(6898),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6898),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6898),
    [aux_sym_identifier_token1] = ACTIONS(6898),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6900),
  },
  [2821] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
  },
  [2822] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6902),
    [aux_sym_preproc_def_token1] = ACTIONS(6902),
    [aux_sym_preproc_if_token1] = ACTIONS(6902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6902),
    [sym_preproc_directive] = ACTIONS(6902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6902),
    [aux_sym_end_module_statement_token1] = ACTIONS(6902),
    [aux_sym_interface_statement_token1] = ACTIONS(6902),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6902),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6902),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6902),
    [aux_sym_language_binding_token1] = ACTIONS(6902),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6902),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6902),
    [aux_sym_contains_statement_token1] = ACTIONS(6902),
    [aux_sym_use_statement_token1] = ACTIONS(6902),
    [aux_sym_use_statement_token2] = ACTIONS(6902),
    [aux_sym_implicit_statement_token1] = ACTIONS(6902),
    [aux_sym_implicit_statement_token3] = ACTIONS(6902),
    [aux_sym_implicit_statement_token4] = ACTIONS(6902),
    [aux_sym_save_statement_token1] = ACTIONS(6902),
    [aux_sym_private_statement_token1] = ACTIONS(6902),
    [aux_sym_public_statement_token1] = ACTIONS(6902),
    [aux_sym_namelist_statement_token1] = ACTIONS(6902),
    [aux_sym_common_statement_token1] = ACTIONS(6902),
    [aux_sym_import_statement_token1] = ACTIONS(6902),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6902),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6902),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6902),
    [aux_sym_variable_attributes_token1] = ACTIONS(6902),
    [aux_sym_variable_attributes_token2] = ACTIONS(6902),
    [aux_sym_variable_attributes_token3] = ACTIONS(6902),
    [aux_sym_variable_attributes_token4] = ACTIONS(6902),
    [aux_sym_variable_attributes_token5] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6902),
    [aux_sym_derived_type_token1] = ACTIONS(6902),
    [aux_sym_declared_type_token1] = ACTIONS(6902),
    [aux_sym_declared_type_token2] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6902),
    [aux_sym_type_qualifier_token1] = ACTIONS(6902),
    [aux_sym_type_qualifier_token2] = ACTIONS(6902),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6902),
    [aux_sym_stop_statement_token1] = ACTIONS(6902),
    [aux_sym_stop_statement_token2] = ACTIONS(6902),
    [aux_sym_keyword_statement_token2] = ACTIONS(6902),
    [aux_sym_keyword_statement_token3] = ACTIONS(6902),
    [aux_sym_include_statement_token1] = ACTIONS(6902),
    [aux_sym_data_statement_token1] = ACTIONS(6902),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6902),
    [aux_sym_end_if_statement_token1] = ACTIONS(6902),
    [aux_sym_elseif_clause_token2] = ACTIONS(6902),
    [aux_sym_select_case_statement_token1] = ACTIONS(6902),
    [aux_sym_block_construct_token1] = ACTIONS(6902),
    [aux_sym_format_statement_token1] = ACTIONS(6902),
    [aux_sym_inquire_statement_token1] = ACTIONS(6902),
    [aux_sym_enum_statement_token1] = ACTIONS(6902),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6902),
    [aux_sym_entry_statement_token1] = ACTIONS(6902),
    [aux_sym_null_literal_token1] = ACTIONS(6902),
    [aux_sym_coarray_statement_token1] = ACTIONS(6902),
    [aux_sym_coarray_statement_token2] = ACTIONS(6902),
    [aux_sym_coarray_statement_token6] = ACTIONS(6902),
    [aux_sym_coarray_statement_token8] = ACTIONS(6902),
    [aux_sym_coarray_statement_token11] = ACTIONS(6902),
    [aux_sym_coarray_statement_token12] = ACTIONS(6902),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6902),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6902),
    [aux_sym_identifier_token1] = ACTIONS(6902),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6904),
  },
  [2823] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6718),
    [aux_sym_preproc_def_token1] = ACTIONS(6718),
    [aux_sym_preproc_if_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6718),
    [sym_preproc_directive] = ACTIONS(6718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6718),
    [aux_sym_end_module_statement_token1] = ACTIONS(6718),
    [aux_sym_interface_statement_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6718),
    [aux_sym_language_binding_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6718),
    [aux_sym_contains_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token2] = ACTIONS(6718),
    [aux_sym_implicit_statement_token1] = ACTIONS(6718),
    [aux_sym_implicit_statement_token3] = ACTIONS(6718),
    [aux_sym_implicit_statement_token4] = ACTIONS(6718),
    [aux_sym_save_statement_token1] = ACTIONS(6718),
    [aux_sym_private_statement_token1] = ACTIONS(6718),
    [aux_sym_public_statement_token1] = ACTIONS(6718),
    [aux_sym_namelist_statement_token1] = ACTIONS(6718),
    [aux_sym_common_statement_token1] = ACTIONS(6718),
    [aux_sym_import_statement_token1] = ACTIONS(6718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6718),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6718),
    [aux_sym_variable_attributes_token1] = ACTIONS(6718),
    [aux_sym_variable_attributes_token2] = ACTIONS(6718),
    [aux_sym_variable_attributes_token3] = ACTIONS(6718),
    [aux_sym_variable_attributes_token4] = ACTIONS(6718),
    [aux_sym_variable_attributes_token5] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6718),
    [aux_sym_derived_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6718),
    [aux_sym_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token3] = ACTIONS(6718),
    [aux_sym_include_statement_token1] = ACTIONS(6718),
    [aux_sym_data_statement_token1] = ACTIONS(6718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6718),
    [aux_sym_end_if_statement_token1] = ACTIONS(6718),
    [aux_sym_elseif_clause_token2] = ACTIONS(6718),
    [aux_sym_select_case_statement_token1] = ACTIONS(6718),
    [aux_sym_block_construct_token1] = ACTIONS(6718),
    [aux_sym_format_statement_token1] = ACTIONS(6718),
    [aux_sym_inquire_statement_token1] = ACTIONS(6718),
    [aux_sym_enum_statement_token1] = ACTIONS(6718),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6718),
    [aux_sym_entry_statement_token1] = ACTIONS(6718),
    [aux_sym_null_literal_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token2] = ACTIONS(6718),
    [aux_sym_coarray_statement_token6] = ACTIONS(6718),
    [aux_sym_coarray_statement_token8] = ACTIONS(6718),
    [aux_sym_coarray_statement_token11] = ACTIONS(6718),
    [aux_sym_coarray_statement_token12] = ACTIONS(6718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6718),
    [aux_sym_identifier_token1] = ACTIONS(6718),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6722),
  },
  [2824] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5050),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
  },
  [2825] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7122),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2826] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6906),
    [aux_sym_preproc_def_token1] = ACTIONS(6906),
    [aux_sym_preproc_if_token1] = ACTIONS(6906),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6906),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6906),
    [sym_preproc_directive] = ACTIONS(6906),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6906),
    [aux_sym_end_module_statement_token1] = ACTIONS(6906),
    [aux_sym_interface_statement_token1] = ACTIONS(6906),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6906),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6906),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6906),
    [aux_sym_language_binding_token1] = ACTIONS(6906),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6906),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6906),
    [aux_sym_contains_statement_token1] = ACTIONS(6906),
    [aux_sym_use_statement_token1] = ACTIONS(6906),
    [aux_sym_use_statement_token2] = ACTIONS(6906),
    [aux_sym_implicit_statement_token1] = ACTIONS(6906),
    [aux_sym_implicit_statement_token3] = ACTIONS(6906),
    [aux_sym_implicit_statement_token4] = ACTIONS(6906),
    [aux_sym_save_statement_token1] = ACTIONS(6906),
    [aux_sym_private_statement_token1] = ACTIONS(6906),
    [aux_sym_public_statement_token1] = ACTIONS(6906),
    [aux_sym_namelist_statement_token1] = ACTIONS(6906),
    [aux_sym_common_statement_token1] = ACTIONS(6906),
    [aux_sym_import_statement_token1] = ACTIONS(6906),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6906),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6906),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6906),
    [aux_sym_variable_attributes_token1] = ACTIONS(6906),
    [aux_sym_variable_attributes_token2] = ACTIONS(6906),
    [aux_sym_variable_attributes_token3] = ACTIONS(6906),
    [aux_sym_variable_attributes_token4] = ACTIONS(6906),
    [aux_sym_variable_attributes_token5] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6906),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6906),
    [aux_sym_derived_type_token1] = ACTIONS(6906),
    [aux_sym_declared_type_token1] = ACTIONS(6906),
    [aux_sym_declared_type_token2] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6906),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6906),
    [aux_sym_type_qualifier_token1] = ACTIONS(6906),
    [aux_sym_type_qualifier_token2] = ACTIONS(6906),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6906),
    [aux_sym_stop_statement_token1] = ACTIONS(6906),
    [aux_sym_stop_statement_token2] = ACTIONS(6906),
    [aux_sym_keyword_statement_token2] = ACTIONS(6906),
    [aux_sym_keyword_statement_token3] = ACTIONS(6906),
    [aux_sym_include_statement_token1] = ACTIONS(6906),
    [aux_sym_data_statement_token1] = ACTIONS(6906),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6906),
    [aux_sym_end_if_statement_token1] = ACTIONS(6906),
    [aux_sym_elseif_clause_token2] = ACTIONS(6906),
    [aux_sym_select_case_statement_token1] = ACTIONS(6906),
    [aux_sym_block_construct_token1] = ACTIONS(6906),
    [aux_sym_format_statement_token1] = ACTIONS(6906),
    [aux_sym_inquire_statement_token1] = ACTIONS(6906),
    [aux_sym_enum_statement_token1] = ACTIONS(6906),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6906),
    [aux_sym_entry_statement_token1] = ACTIONS(6906),
    [aux_sym_null_literal_token1] = ACTIONS(6906),
    [aux_sym_coarray_statement_token1] = ACTIONS(6906),
    [aux_sym_coarray_statement_token2] = ACTIONS(6906),
    [aux_sym_coarray_statement_token6] = ACTIONS(6906),
    [aux_sym_coarray_statement_token8] = ACTIONS(6906),
    [aux_sym_coarray_statement_token11] = ACTIONS(6906),
    [aux_sym_coarray_statement_token12] = ACTIONS(6906),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6906),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6906),
    [aux_sym_identifier_token1] = ACTIONS(6906),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6908),
  },
  [2827] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
  },
  [2828] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
  },
  [2829] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_end_module_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
  },
  [2830] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
  },
  [2831] = {
    [sym_input_item_list] = STATE(7649),
    [sym__expression] = STATE(4382),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6910),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6910),
  },
  [2832] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5090),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
  },
  [2833] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6912),
    [aux_sym_preproc_def_token1] = ACTIONS(6912),
    [aux_sym_preproc_if_token1] = ACTIONS(6912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6912),
    [sym_preproc_directive] = ACTIONS(6912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6912),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6912),
    [aux_sym_interface_statement_token1] = ACTIONS(6912),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6912),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6912),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6912),
    [aux_sym_language_binding_token1] = ACTIONS(6912),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6912),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6912),
    [aux_sym_contains_statement_token1] = ACTIONS(6912),
    [aux_sym_use_statement_token1] = ACTIONS(6912),
    [aux_sym_use_statement_token2] = ACTIONS(6912),
    [aux_sym_implicit_statement_token1] = ACTIONS(6912),
    [aux_sym_implicit_statement_token3] = ACTIONS(6912),
    [aux_sym_implicit_statement_token4] = ACTIONS(6912),
    [aux_sym_save_statement_token1] = ACTIONS(6912),
    [aux_sym_private_statement_token1] = ACTIONS(6912),
    [aux_sym_public_statement_token1] = ACTIONS(6912),
    [aux_sym_namelist_statement_token1] = ACTIONS(6912),
    [aux_sym_common_statement_token1] = ACTIONS(6912),
    [aux_sym_import_statement_token1] = ACTIONS(6912),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6912),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6912),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6912),
    [aux_sym_variable_attributes_token1] = ACTIONS(6912),
    [aux_sym_variable_attributes_token2] = ACTIONS(6912),
    [aux_sym_variable_attributes_token3] = ACTIONS(6912),
    [aux_sym_variable_attributes_token4] = ACTIONS(6912),
    [aux_sym_variable_attributes_token5] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6912),
    [aux_sym_derived_type_token1] = ACTIONS(6912),
    [aux_sym_declared_type_token1] = ACTIONS(6912),
    [aux_sym_declared_type_token2] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6912),
    [aux_sym_type_qualifier_token1] = ACTIONS(6912),
    [aux_sym_type_qualifier_token2] = ACTIONS(6912),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6912),
    [aux_sym_stop_statement_token1] = ACTIONS(6912),
    [aux_sym_stop_statement_token2] = ACTIONS(6912),
    [aux_sym_keyword_statement_token2] = ACTIONS(6912),
    [aux_sym_keyword_statement_token3] = ACTIONS(6912),
    [aux_sym_include_statement_token1] = ACTIONS(6912),
    [aux_sym_data_statement_token1] = ACTIONS(6912),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6912),
    [aux_sym_end_if_statement_token1] = ACTIONS(6912),
    [aux_sym_elseif_clause_token2] = ACTIONS(6912),
    [aux_sym_select_case_statement_token1] = ACTIONS(6912),
    [aux_sym_block_construct_token1] = ACTIONS(6912),
    [aux_sym_format_statement_token1] = ACTIONS(6912),
    [aux_sym_inquire_statement_token1] = ACTIONS(6912),
    [aux_sym_enum_statement_token1] = ACTIONS(6912),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6912),
    [aux_sym_entry_statement_token1] = ACTIONS(6912),
    [aux_sym_null_literal_token1] = ACTIONS(6912),
    [aux_sym_coarray_statement_token1] = ACTIONS(6912),
    [aux_sym_coarray_statement_token2] = ACTIONS(6912),
    [aux_sym_coarray_statement_token6] = ACTIONS(6912),
    [aux_sym_coarray_statement_token8] = ACTIONS(6912),
    [aux_sym_coarray_statement_token11] = ACTIONS(6912),
    [aux_sym_coarray_statement_token12] = ACTIONS(6912),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6912),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6912),
    [aux_sym_identifier_token1] = ACTIONS(6912),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6914),
  },
  [2834] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_end_module_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
  },
  [2835] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6818),
    [aux_sym_preproc_def_token1] = ACTIONS(6818),
    [aux_sym_preproc_if_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6818),
    [sym_preproc_directive] = ACTIONS(6818),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6818),
    [aux_sym_end_module_statement_token1] = ACTIONS(6818),
    [aux_sym_interface_statement_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6818),
    [aux_sym_language_binding_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6818),
    [aux_sym_contains_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token2] = ACTIONS(6818),
    [aux_sym_implicit_statement_token1] = ACTIONS(6818),
    [aux_sym_implicit_statement_token3] = ACTIONS(6818),
    [aux_sym_implicit_statement_token4] = ACTIONS(6818),
    [aux_sym_save_statement_token1] = ACTIONS(6818),
    [aux_sym_private_statement_token1] = ACTIONS(6818),
    [aux_sym_public_statement_token1] = ACTIONS(6818),
    [aux_sym_namelist_statement_token1] = ACTIONS(6818),
    [aux_sym_common_statement_token1] = ACTIONS(6818),
    [aux_sym_import_statement_token1] = ACTIONS(6818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6818),
    [aux_sym_variable_attributes_token1] = ACTIONS(6818),
    [aux_sym_variable_attributes_token2] = ACTIONS(6818),
    [aux_sym_variable_attributes_token3] = ACTIONS(6818),
    [aux_sym_variable_attributes_token4] = ACTIONS(6818),
    [aux_sym_variable_attributes_token5] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6818),
    [aux_sym_derived_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6818),
    [aux_sym_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token3] = ACTIONS(6818),
    [aux_sym_include_statement_token1] = ACTIONS(6818),
    [aux_sym_data_statement_token1] = ACTIONS(6818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6818),
    [aux_sym_end_if_statement_token1] = ACTIONS(6818),
    [aux_sym_elseif_clause_token2] = ACTIONS(6818),
    [aux_sym_select_case_statement_token1] = ACTIONS(6818),
    [aux_sym_block_construct_token1] = ACTIONS(6818),
    [aux_sym_format_statement_token1] = ACTIONS(6818),
    [aux_sym_inquire_statement_token1] = ACTIONS(6818),
    [aux_sym_enum_statement_token1] = ACTIONS(6818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6818),
    [aux_sym_entry_statement_token1] = ACTIONS(6818),
    [aux_sym_null_literal_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token2] = ACTIONS(6818),
    [aux_sym_coarray_statement_token6] = ACTIONS(6818),
    [aux_sym_coarray_statement_token8] = ACTIONS(6818),
    [aux_sym_coarray_statement_token11] = ACTIONS(6818),
    [aux_sym_coarray_statement_token12] = ACTIONS(6818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6818),
    [aux_sym_identifier_token1] = ACTIONS(6818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6822),
  },
  [2836] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(6744),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2837] = {
    [sym__expression] = STATE(4412),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7183),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6916),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2838] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_module_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
  },
  [2839] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
  },
  [2840] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6818),
    [aux_sym_preproc_def_token1] = ACTIONS(6818),
    [aux_sym_preproc_if_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6818),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6818),
    [sym_preproc_directive] = ACTIONS(6818),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6818),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6818),
    [aux_sym_interface_statement_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6818),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6818),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6818),
    [aux_sym_language_binding_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6818),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6818),
    [aux_sym_contains_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token1] = ACTIONS(6818),
    [aux_sym_use_statement_token2] = ACTIONS(6818),
    [aux_sym_implicit_statement_token1] = ACTIONS(6818),
    [aux_sym_implicit_statement_token3] = ACTIONS(6818),
    [aux_sym_implicit_statement_token4] = ACTIONS(6818),
    [aux_sym_save_statement_token1] = ACTIONS(6818),
    [aux_sym_private_statement_token1] = ACTIONS(6818),
    [aux_sym_public_statement_token1] = ACTIONS(6818),
    [aux_sym_namelist_statement_token1] = ACTIONS(6818),
    [aux_sym_common_statement_token1] = ACTIONS(6818),
    [aux_sym_import_statement_token1] = ACTIONS(6818),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6818),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6818),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6818),
    [aux_sym_variable_attributes_token1] = ACTIONS(6818),
    [aux_sym_variable_attributes_token2] = ACTIONS(6818),
    [aux_sym_variable_attributes_token3] = ACTIONS(6818),
    [aux_sym_variable_attributes_token4] = ACTIONS(6818),
    [aux_sym_variable_attributes_token5] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6818),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6818),
    [aux_sym_derived_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token1] = ACTIONS(6818),
    [aux_sym_declared_type_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6818),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6818),
    [aux_sym_type_qualifier_token1] = ACTIONS(6818),
    [aux_sym_type_qualifier_token2] = ACTIONS(6818),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token1] = ACTIONS(6818),
    [aux_sym_stop_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token2] = ACTIONS(6818),
    [aux_sym_keyword_statement_token3] = ACTIONS(6818),
    [aux_sym_include_statement_token1] = ACTIONS(6818),
    [aux_sym_data_statement_token1] = ACTIONS(6818),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6818),
    [aux_sym_end_if_statement_token1] = ACTIONS(6818),
    [aux_sym_elseif_clause_token2] = ACTIONS(6818),
    [aux_sym_select_case_statement_token1] = ACTIONS(6818),
    [aux_sym_block_construct_token1] = ACTIONS(6818),
    [aux_sym_format_statement_token1] = ACTIONS(6818),
    [aux_sym_inquire_statement_token1] = ACTIONS(6818),
    [aux_sym_enum_statement_token1] = ACTIONS(6818),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6818),
    [aux_sym_entry_statement_token1] = ACTIONS(6818),
    [aux_sym_null_literal_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_statement_token2] = ACTIONS(6818),
    [aux_sym_coarray_statement_token6] = ACTIONS(6818),
    [aux_sym_coarray_statement_token8] = ACTIONS(6818),
    [aux_sym_coarray_statement_token11] = ACTIONS(6818),
    [aux_sym_coarray_statement_token12] = ACTIONS(6818),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6818),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6818),
    [aux_sym_identifier_token1] = ACTIONS(6818),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6822),
  },
  [2841] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_end_module_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
  },
  [2842] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6830),
    [aux_sym_preproc_def_token1] = ACTIONS(6830),
    [aux_sym_preproc_if_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6830),
    [sym_preproc_directive] = ACTIONS(6830),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6830),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6830),
    [aux_sym_interface_statement_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6830),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6830),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6830),
    [aux_sym_language_binding_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6830),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6830),
    [aux_sym_contains_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token1] = ACTIONS(6830),
    [aux_sym_use_statement_token2] = ACTIONS(6830),
    [aux_sym_implicit_statement_token1] = ACTIONS(6830),
    [aux_sym_implicit_statement_token3] = ACTIONS(6830),
    [aux_sym_implicit_statement_token4] = ACTIONS(6830),
    [aux_sym_save_statement_token1] = ACTIONS(6830),
    [aux_sym_private_statement_token1] = ACTIONS(6830),
    [aux_sym_public_statement_token1] = ACTIONS(6830),
    [aux_sym_namelist_statement_token1] = ACTIONS(6830),
    [aux_sym_common_statement_token1] = ACTIONS(6830),
    [aux_sym_import_statement_token1] = ACTIONS(6830),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6830),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6830),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6830),
    [aux_sym_variable_attributes_token1] = ACTIONS(6830),
    [aux_sym_variable_attributes_token2] = ACTIONS(6830),
    [aux_sym_variable_attributes_token3] = ACTIONS(6830),
    [aux_sym_variable_attributes_token4] = ACTIONS(6830),
    [aux_sym_variable_attributes_token5] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6830),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6830),
    [aux_sym_derived_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token1] = ACTIONS(6830),
    [aux_sym_declared_type_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6830),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6830),
    [aux_sym_type_qualifier_token1] = ACTIONS(6830),
    [aux_sym_type_qualifier_token2] = ACTIONS(6830),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token1] = ACTIONS(6830),
    [aux_sym_stop_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token2] = ACTIONS(6830),
    [aux_sym_keyword_statement_token3] = ACTIONS(6830),
    [aux_sym_include_statement_token1] = ACTIONS(6830),
    [aux_sym_data_statement_token1] = ACTIONS(6830),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6830),
    [aux_sym_end_if_statement_token1] = ACTIONS(6830),
    [aux_sym_elseif_clause_token2] = ACTIONS(6830),
    [aux_sym_select_case_statement_token1] = ACTIONS(6830),
    [aux_sym_block_construct_token1] = ACTIONS(6830),
    [aux_sym_format_statement_token1] = ACTIONS(6830),
    [aux_sym_inquire_statement_token1] = ACTIONS(6830),
    [aux_sym_enum_statement_token1] = ACTIONS(6830),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6830),
    [aux_sym_entry_statement_token1] = ACTIONS(6830),
    [aux_sym_null_literal_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_statement_token2] = ACTIONS(6830),
    [aux_sym_coarray_statement_token6] = ACTIONS(6830),
    [aux_sym_coarray_statement_token8] = ACTIONS(6830),
    [aux_sym_coarray_statement_token11] = ACTIONS(6830),
    [aux_sym_coarray_statement_token12] = ACTIONS(6830),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6830),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6830),
    [aux_sym_identifier_token1] = ACTIONS(6830),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6834),
  },
  [2843] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6898),
    [aux_sym_preproc_def_token1] = ACTIONS(6898),
    [aux_sym_preproc_if_token1] = ACTIONS(6898),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6898),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6898),
    [sym_preproc_directive] = ACTIONS(6898),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6898),
    [aux_sym_end_module_statement_token1] = ACTIONS(6898),
    [aux_sym_interface_statement_token1] = ACTIONS(6898),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6898),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6898),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6898),
    [aux_sym_language_binding_token1] = ACTIONS(6898),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6898),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6898),
    [aux_sym_contains_statement_token1] = ACTIONS(6898),
    [aux_sym_use_statement_token1] = ACTIONS(6898),
    [aux_sym_use_statement_token2] = ACTIONS(6898),
    [aux_sym_implicit_statement_token1] = ACTIONS(6898),
    [aux_sym_implicit_statement_token3] = ACTIONS(6898),
    [aux_sym_implicit_statement_token4] = ACTIONS(6898),
    [aux_sym_save_statement_token1] = ACTIONS(6898),
    [aux_sym_private_statement_token1] = ACTIONS(6898),
    [aux_sym_public_statement_token1] = ACTIONS(6898),
    [aux_sym_namelist_statement_token1] = ACTIONS(6898),
    [aux_sym_common_statement_token1] = ACTIONS(6898),
    [aux_sym_import_statement_token1] = ACTIONS(6898),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6898),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6898),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6898),
    [aux_sym_variable_attributes_token1] = ACTIONS(6898),
    [aux_sym_variable_attributes_token2] = ACTIONS(6898),
    [aux_sym_variable_attributes_token3] = ACTIONS(6898),
    [aux_sym_variable_attributes_token4] = ACTIONS(6898),
    [aux_sym_variable_attributes_token5] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6898),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6898),
    [aux_sym_derived_type_token1] = ACTIONS(6898),
    [aux_sym_declared_type_token1] = ACTIONS(6898),
    [aux_sym_declared_type_token2] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6898),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6898),
    [aux_sym_type_qualifier_token1] = ACTIONS(6898),
    [aux_sym_type_qualifier_token2] = ACTIONS(6898),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6898),
    [aux_sym_stop_statement_token1] = ACTIONS(6898),
    [aux_sym_stop_statement_token2] = ACTIONS(6898),
    [aux_sym_keyword_statement_token2] = ACTIONS(6898),
    [aux_sym_keyword_statement_token3] = ACTIONS(6898),
    [aux_sym_include_statement_token1] = ACTIONS(6898),
    [aux_sym_data_statement_token1] = ACTIONS(6898),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6898),
    [aux_sym_end_if_statement_token1] = ACTIONS(6898),
    [aux_sym_elseif_clause_token2] = ACTIONS(6898),
    [aux_sym_select_case_statement_token1] = ACTIONS(6898),
    [aux_sym_block_construct_token1] = ACTIONS(6898),
    [aux_sym_format_statement_token1] = ACTIONS(6898),
    [aux_sym_inquire_statement_token1] = ACTIONS(6898),
    [aux_sym_enum_statement_token1] = ACTIONS(6898),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6898),
    [aux_sym_entry_statement_token1] = ACTIONS(6898),
    [aux_sym_null_literal_token1] = ACTIONS(6898),
    [aux_sym_coarray_statement_token1] = ACTIONS(6898),
    [aux_sym_coarray_statement_token2] = ACTIONS(6898),
    [aux_sym_coarray_statement_token6] = ACTIONS(6898),
    [aux_sym_coarray_statement_token8] = ACTIONS(6898),
    [aux_sym_coarray_statement_token11] = ACTIONS(6898),
    [aux_sym_coarray_statement_token12] = ACTIONS(6898),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6898),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6898),
    [aux_sym_identifier_token1] = ACTIONS(6898),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6900),
  },
  [2844] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_end_module_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
  },
  [2845] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
  },
  [2846] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5058),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_end_module_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
  },
  [2847] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
  },
  [2848] = {
    [sym__expression] = STATE(4478),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(6918),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6920),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6920),
  },
  [2849] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_end_module_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
  },
  [2850] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6922),
    [aux_sym_preproc_def_token1] = ACTIONS(6922),
    [aux_sym_preproc_if_token1] = ACTIONS(6922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6922),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6922),
    [sym_preproc_directive] = ACTIONS(6922),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6922),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6922),
    [aux_sym_interface_statement_token1] = ACTIONS(6922),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6922),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6922),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6922),
    [aux_sym_language_binding_token1] = ACTIONS(6922),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6922),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6922),
    [aux_sym_contains_statement_token1] = ACTIONS(6922),
    [aux_sym_use_statement_token1] = ACTIONS(6922),
    [aux_sym_use_statement_token2] = ACTIONS(6922),
    [aux_sym_implicit_statement_token1] = ACTIONS(6922),
    [aux_sym_implicit_statement_token3] = ACTIONS(6922),
    [aux_sym_implicit_statement_token4] = ACTIONS(6922),
    [aux_sym_save_statement_token1] = ACTIONS(6922),
    [aux_sym_private_statement_token1] = ACTIONS(6922),
    [aux_sym_public_statement_token1] = ACTIONS(6922),
    [aux_sym_namelist_statement_token1] = ACTIONS(6922),
    [aux_sym_common_statement_token1] = ACTIONS(6922),
    [aux_sym_import_statement_token1] = ACTIONS(6922),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6922),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6922),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6922),
    [aux_sym_variable_attributes_token1] = ACTIONS(6922),
    [aux_sym_variable_attributes_token2] = ACTIONS(6922),
    [aux_sym_variable_attributes_token3] = ACTIONS(6922),
    [aux_sym_variable_attributes_token4] = ACTIONS(6922),
    [aux_sym_variable_attributes_token5] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6922),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6922),
    [aux_sym_derived_type_token1] = ACTIONS(6922),
    [aux_sym_declared_type_token1] = ACTIONS(6922),
    [aux_sym_declared_type_token2] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6922),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6922),
    [aux_sym_type_qualifier_token1] = ACTIONS(6922),
    [aux_sym_type_qualifier_token2] = ACTIONS(6922),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6922),
    [aux_sym_stop_statement_token1] = ACTIONS(6922),
    [aux_sym_stop_statement_token2] = ACTIONS(6922),
    [aux_sym_keyword_statement_token2] = ACTIONS(6922),
    [aux_sym_keyword_statement_token3] = ACTIONS(6922),
    [aux_sym_include_statement_token1] = ACTIONS(6922),
    [aux_sym_data_statement_token1] = ACTIONS(6922),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6922),
    [aux_sym_end_if_statement_token1] = ACTIONS(6922),
    [aux_sym_elseif_clause_token2] = ACTIONS(6922),
    [aux_sym_select_case_statement_token1] = ACTIONS(6922),
    [aux_sym_block_construct_token1] = ACTIONS(6922),
    [aux_sym_format_statement_token1] = ACTIONS(6922),
    [aux_sym_inquire_statement_token1] = ACTIONS(6922),
    [aux_sym_enum_statement_token1] = ACTIONS(6922),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6922),
    [aux_sym_entry_statement_token1] = ACTIONS(6922),
    [aux_sym_null_literal_token1] = ACTIONS(6922),
    [aux_sym_coarray_statement_token1] = ACTIONS(6922),
    [aux_sym_coarray_statement_token2] = ACTIONS(6922),
    [aux_sym_coarray_statement_token6] = ACTIONS(6922),
    [aux_sym_coarray_statement_token8] = ACTIONS(6922),
    [aux_sym_coarray_statement_token11] = ACTIONS(6922),
    [aux_sym_coarray_statement_token12] = ACTIONS(6922),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6922),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6922),
    [aux_sym_identifier_token1] = ACTIONS(6922),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6924),
  },
  [2851] = {
    [sym_output_item_list] = STATE(7326),
    [sym__expression] = STATE(4386),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6926),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6926),
  },
  [2852] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6912),
    [aux_sym_preproc_def_token1] = ACTIONS(6912),
    [aux_sym_preproc_if_token1] = ACTIONS(6912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6912),
    [sym_preproc_directive] = ACTIONS(6912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6912),
    [aux_sym_end_module_statement_token1] = ACTIONS(6912),
    [aux_sym_interface_statement_token1] = ACTIONS(6912),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6912),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6912),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6912),
    [aux_sym_language_binding_token1] = ACTIONS(6912),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6912),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6912),
    [aux_sym_contains_statement_token1] = ACTIONS(6912),
    [aux_sym_use_statement_token1] = ACTIONS(6912),
    [aux_sym_use_statement_token2] = ACTIONS(6912),
    [aux_sym_implicit_statement_token1] = ACTIONS(6912),
    [aux_sym_implicit_statement_token3] = ACTIONS(6912),
    [aux_sym_implicit_statement_token4] = ACTIONS(6912),
    [aux_sym_save_statement_token1] = ACTIONS(6912),
    [aux_sym_private_statement_token1] = ACTIONS(6912),
    [aux_sym_public_statement_token1] = ACTIONS(6912),
    [aux_sym_namelist_statement_token1] = ACTIONS(6912),
    [aux_sym_common_statement_token1] = ACTIONS(6912),
    [aux_sym_import_statement_token1] = ACTIONS(6912),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6912),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6912),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6912),
    [aux_sym_variable_attributes_token1] = ACTIONS(6912),
    [aux_sym_variable_attributes_token2] = ACTIONS(6912),
    [aux_sym_variable_attributes_token3] = ACTIONS(6912),
    [aux_sym_variable_attributes_token4] = ACTIONS(6912),
    [aux_sym_variable_attributes_token5] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6912),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6912),
    [aux_sym_derived_type_token1] = ACTIONS(6912),
    [aux_sym_declared_type_token1] = ACTIONS(6912),
    [aux_sym_declared_type_token2] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6912),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6912),
    [aux_sym_type_qualifier_token1] = ACTIONS(6912),
    [aux_sym_type_qualifier_token2] = ACTIONS(6912),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6912),
    [aux_sym_stop_statement_token1] = ACTIONS(6912),
    [aux_sym_stop_statement_token2] = ACTIONS(6912),
    [aux_sym_keyword_statement_token2] = ACTIONS(6912),
    [aux_sym_keyword_statement_token3] = ACTIONS(6912),
    [aux_sym_include_statement_token1] = ACTIONS(6912),
    [aux_sym_data_statement_token1] = ACTIONS(6912),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6912),
    [aux_sym_end_if_statement_token1] = ACTIONS(6912),
    [aux_sym_elseif_clause_token2] = ACTIONS(6912),
    [aux_sym_select_case_statement_token1] = ACTIONS(6912),
    [aux_sym_block_construct_token1] = ACTIONS(6912),
    [aux_sym_format_statement_token1] = ACTIONS(6912),
    [aux_sym_inquire_statement_token1] = ACTIONS(6912),
    [aux_sym_enum_statement_token1] = ACTIONS(6912),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6912),
    [aux_sym_entry_statement_token1] = ACTIONS(6912),
    [aux_sym_null_literal_token1] = ACTIONS(6912),
    [aux_sym_coarray_statement_token1] = ACTIONS(6912),
    [aux_sym_coarray_statement_token2] = ACTIONS(6912),
    [aux_sym_coarray_statement_token6] = ACTIONS(6912),
    [aux_sym_coarray_statement_token8] = ACTIONS(6912),
    [aux_sym_coarray_statement_token11] = ACTIONS(6912),
    [aux_sym_coarray_statement_token12] = ACTIONS(6912),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6912),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6912),
    [aux_sym_identifier_token1] = ACTIONS(6912),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6914),
  },
  [2853] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_end_module_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
  },
  [2854] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_end_module_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
  },
  [2855] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_end_module_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
  },
  [2856] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5485),
    [aux_sym_end_module_statement_token1] = ACTIONS(5485),
    [aux_sym_interface_statement_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5485),
    [aux_sym_language_binding_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5485),
    [aux_sym_contains_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token2] = ACTIONS(5485),
    [aux_sym_implicit_statement_token1] = ACTIONS(5485),
    [aux_sym_implicit_statement_token3] = ACTIONS(5485),
    [aux_sym_implicit_statement_token4] = ACTIONS(5485),
    [aux_sym_save_statement_token1] = ACTIONS(5485),
    [aux_sym_private_statement_token1] = ACTIONS(5485),
    [aux_sym_public_statement_token1] = ACTIONS(5485),
    [aux_sym_namelist_statement_token1] = ACTIONS(5485),
    [aux_sym_common_statement_token1] = ACTIONS(5485),
    [aux_sym_import_statement_token1] = ACTIONS(5485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5485),
    [aux_sym_variable_attributes_token1] = ACTIONS(5485),
    [aux_sym_variable_attributes_token2] = ACTIONS(5485),
    [aux_sym_variable_attributes_token3] = ACTIONS(5485),
    [aux_sym_variable_attributes_token4] = ACTIONS(5485),
    [aux_sym_variable_attributes_token5] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5485),
    [aux_sym_derived_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5485),
    [aux_sym_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5485),
    [aux_sym_stop_statement_token1] = ACTIONS(5485),
    [aux_sym_stop_statement_token2] = ACTIONS(5485),
    [aux_sym_keyword_statement_token2] = ACTIONS(5485),
    [aux_sym_keyword_statement_token3] = ACTIONS(5485),
    [aux_sym_include_statement_token1] = ACTIONS(5485),
    [aux_sym_data_statement_token1] = ACTIONS(5485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5485),
    [aux_sym_end_if_statement_token1] = ACTIONS(5485),
    [aux_sym_elseif_clause_token2] = ACTIONS(5485),
    [aux_sym_select_case_statement_token1] = ACTIONS(5485),
    [aux_sym_block_construct_token1] = ACTIONS(5485),
    [aux_sym_format_statement_token1] = ACTIONS(5485),
    [aux_sym_inquire_statement_token1] = ACTIONS(5485),
    [aux_sym_enum_statement_token1] = ACTIONS(5485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5485),
    [aux_sym_entry_statement_token1] = ACTIONS(5485),
    [aux_sym_null_literal_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token2] = ACTIONS(5485),
    [aux_sym_coarray_statement_token6] = ACTIONS(5485),
    [aux_sym_coarray_statement_token8] = ACTIONS(5485),
    [aux_sym_coarray_statement_token11] = ACTIONS(5485),
    [aux_sym_coarray_statement_token12] = ACTIONS(5485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5485),
    [aux_sym_identifier_token1] = ACTIONS(5485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5487),
  },
  [2857] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6890),
    [aux_sym_preproc_def_token1] = ACTIONS(6890),
    [aux_sym_preproc_if_token1] = ACTIONS(6890),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6890),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6890),
    [sym_preproc_directive] = ACTIONS(6890),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6890),
    [aux_sym_end_module_statement_token1] = ACTIONS(6890),
    [aux_sym_interface_statement_token1] = ACTIONS(6890),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6890),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6890),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6890),
    [aux_sym_language_binding_token1] = ACTIONS(6890),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6890),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6890),
    [aux_sym_contains_statement_token1] = ACTIONS(6890),
    [aux_sym_use_statement_token1] = ACTIONS(6890),
    [aux_sym_use_statement_token2] = ACTIONS(6890),
    [aux_sym_implicit_statement_token1] = ACTIONS(6890),
    [aux_sym_implicit_statement_token3] = ACTIONS(6890),
    [aux_sym_implicit_statement_token4] = ACTIONS(6890),
    [aux_sym_save_statement_token1] = ACTIONS(6890),
    [aux_sym_private_statement_token1] = ACTIONS(6890),
    [aux_sym_public_statement_token1] = ACTIONS(6890),
    [aux_sym_namelist_statement_token1] = ACTIONS(6890),
    [aux_sym_common_statement_token1] = ACTIONS(6890),
    [aux_sym_import_statement_token1] = ACTIONS(6890),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6890),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6890),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6890),
    [aux_sym_variable_attributes_token1] = ACTIONS(6890),
    [aux_sym_variable_attributes_token2] = ACTIONS(6890),
    [aux_sym_variable_attributes_token3] = ACTIONS(6890),
    [aux_sym_variable_attributes_token4] = ACTIONS(6890),
    [aux_sym_variable_attributes_token5] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6890),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6890),
    [aux_sym_derived_type_token1] = ACTIONS(6890),
    [aux_sym_declared_type_token1] = ACTIONS(6890),
    [aux_sym_declared_type_token2] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6890),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6890),
    [aux_sym_type_qualifier_token1] = ACTIONS(6890),
    [aux_sym_type_qualifier_token2] = ACTIONS(6890),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6890),
    [aux_sym_stop_statement_token1] = ACTIONS(6890),
    [aux_sym_stop_statement_token2] = ACTIONS(6890),
    [aux_sym_keyword_statement_token2] = ACTIONS(6890),
    [aux_sym_keyword_statement_token3] = ACTIONS(6890),
    [aux_sym_include_statement_token1] = ACTIONS(6890),
    [aux_sym_data_statement_token1] = ACTIONS(6890),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6890),
    [aux_sym_end_if_statement_token1] = ACTIONS(6890),
    [aux_sym_elseif_clause_token2] = ACTIONS(6890),
    [aux_sym_select_case_statement_token1] = ACTIONS(6890),
    [aux_sym_block_construct_token1] = ACTIONS(6890),
    [aux_sym_format_statement_token1] = ACTIONS(6890),
    [aux_sym_inquire_statement_token1] = ACTIONS(6890),
    [aux_sym_enum_statement_token1] = ACTIONS(6890),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6890),
    [aux_sym_entry_statement_token1] = ACTIONS(6890),
    [aux_sym_null_literal_token1] = ACTIONS(6890),
    [aux_sym_coarray_statement_token1] = ACTIONS(6890),
    [aux_sym_coarray_statement_token2] = ACTIONS(6890),
    [aux_sym_coarray_statement_token6] = ACTIONS(6890),
    [aux_sym_coarray_statement_token8] = ACTIONS(6890),
    [aux_sym_coarray_statement_token11] = ACTIONS(6890),
    [aux_sym_coarray_statement_token12] = ACTIONS(6890),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6890),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6890),
    [aux_sym_identifier_token1] = ACTIONS(6890),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6892),
  },
  [2858] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
  },
  [2859] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5485),
    [aux_sym_preproc_def_token1] = ACTIONS(5485),
    [aux_sym_preproc_if_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5485),
    [sym_preproc_directive] = ACTIONS(5485),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5485),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5485),
    [aux_sym_interface_statement_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5485),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5485),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5485),
    [aux_sym_language_binding_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5485),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5485),
    [aux_sym_contains_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token1] = ACTIONS(5485),
    [aux_sym_use_statement_token2] = ACTIONS(5485),
    [aux_sym_implicit_statement_token1] = ACTIONS(5485),
    [aux_sym_implicit_statement_token3] = ACTIONS(5485),
    [aux_sym_implicit_statement_token4] = ACTIONS(5485),
    [aux_sym_save_statement_token1] = ACTIONS(5485),
    [aux_sym_private_statement_token1] = ACTIONS(5485),
    [aux_sym_public_statement_token1] = ACTIONS(5485),
    [aux_sym_namelist_statement_token1] = ACTIONS(5485),
    [aux_sym_common_statement_token1] = ACTIONS(5485),
    [aux_sym_import_statement_token1] = ACTIONS(5485),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5485),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5485),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5485),
    [aux_sym_variable_attributes_token1] = ACTIONS(5485),
    [aux_sym_variable_attributes_token2] = ACTIONS(5485),
    [aux_sym_variable_attributes_token3] = ACTIONS(5485),
    [aux_sym_variable_attributes_token4] = ACTIONS(5485),
    [aux_sym_variable_attributes_token5] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5485),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5485),
    [aux_sym_derived_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token1] = ACTIONS(5485),
    [aux_sym_declared_type_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5485),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5485),
    [aux_sym_type_qualifier_token1] = ACTIONS(5485),
    [aux_sym_type_qualifier_token2] = ACTIONS(5485),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5485),
    [aux_sym_stop_statement_token1] = ACTIONS(5485),
    [aux_sym_stop_statement_token2] = ACTIONS(5485),
    [aux_sym_keyword_statement_token2] = ACTIONS(5485),
    [aux_sym_keyword_statement_token3] = ACTIONS(5485),
    [aux_sym_include_statement_token1] = ACTIONS(5485),
    [aux_sym_data_statement_token1] = ACTIONS(5485),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5485),
    [aux_sym_end_if_statement_token1] = ACTIONS(5485),
    [aux_sym_elseif_clause_token2] = ACTIONS(5485),
    [aux_sym_select_case_statement_token1] = ACTIONS(5485),
    [aux_sym_block_construct_token1] = ACTIONS(5485),
    [aux_sym_format_statement_token1] = ACTIONS(5485),
    [aux_sym_inquire_statement_token1] = ACTIONS(5485),
    [aux_sym_enum_statement_token1] = ACTIONS(5485),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5485),
    [aux_sym_entry_statement_token1] = ACTIONS(5485),
    [aux_sym_null_literal_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_statement_token2] = ACTIONS(5485),
    [aux_sym_coarray_statement_token6] = ACTIONS(5485),
    [aux_sym_coarray_statement_token8] = ACTIONS(5485),
    [aux_sym_coarray_statement_token11] = ACTIONS(5485),
    [aux_sym_coarray_statement_token12] = ACTIONS(5485),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5485),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5485),
    [aux_sym_identifier_token1] = ACTIONS(5485),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5487),
  },
  [2860] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
  },
  [2861] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_module_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2862] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_end_module_statement_token1] = ACTIONS(4289),
    [aux_sym_interface_statement_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4289),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4289),
    [aux_sym_language_binding_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4289),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4289),
    [aux_sym_contains_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token1] = ACTIONS(4289),
    [aux_sym_use_statement_token2] = ACTIONS(4289),
    [aux_sym_implicit_statement_token1] = ACTIONS(4289),
    [aux_sym_implicit_statement_token3] = ACTIONS(4289),
    [aux_sym_implicit_statement_token4] = ACTIONS(4289),
    [aux_sym_save_statement_token1] = ACTIONS(4289),
    [aux_sym_private_statement_token1] = ACTIONS(4289),
    [aux_sym_public_statement_token1] = ACTIONS(4289),
    [aux_sym_namelist_statement_token1] = ACTIONS(4289),
    [aux_sym_common_statement_token1] = ACTIONS(4289),
    [aux_sym_import_statement_token1] = ACTIONS(4289),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4289),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4289),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4289),
    [aux_sym_variable_attributes_token1] = ACTIONS(4289),
    [aux_sym_variable_attributes_token2] = ACTIONS(4289),
    [aux_sym_variable_attributes_token3] = ACTIONS(4289),
    [aux_sym_variable_attributes_token4] = ACTIONS(4289),
    [aux_sym_variable_attributes_token5] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4289),
    [aux_sym_derived_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token1] = ACTIONS(4289),
    [aux_sym_declared_type_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4289),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4289),
    [aux_sym_type_qualifier_token1] = ACTIONS(4289),
    [aux_sym_type_qualifier_token2] = ACTIONS(4289),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token1] = ACTIONS(4289),
    [aux_sym_stop_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token2] = ACTIONS(4289),
    [aux_sym_keyword_statement_token3] = ACTIONS(4289),
    [aux_sym_include_statement_token1] = ACTIONS(4289),
    [aux_sym_data_statement_token1] = ACTIONS(4289),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4289),
    [aux_sym_end_if_statement_token1] = ACTIONS(4289),
    [aux_sym_elseif_clause_token2] = ACTIONS(4289),
    [aux_sym_select_case_statement_token1] = ACTIONS(4289),
    [aux_sym_block_construct_token1] = ACTIONS(4289),
    [aux_sym_format_statement_token1] = ACTIONS(4289),
    [aux_sym_inquire_statement_token1] = ACTIONS(4289),
    [aux_sym_enum_statement_token1] = ACTIONS(4289),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4289),
    [aux_sym_entry_statement_token1] = ACTIONS(4289),
    [aux_sym_null_literal_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_statement_token2] = ACTIONS(4289),
    [aux_sym_coarray_statement_token6] = ACTIONS(4289),
    [aux_sym_coarray_statement_token8] = ACTIONS(4289),
    [aux_sym_coarray_statement_token11] = ACTIONS(4289),
    [aux_sym_coarray_statement_token12] = ACTIONS(4289),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4289),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4289),
    [aux_sym_identifier_token1] = ACTIONS(4289),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4291),
  },
  [2863] = {
    [sym_output_item_list] = STATE(7695),
    [sym__expression] = STATE(4386),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6928),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6928),
  },
  [2864] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_end_module_statement_token1] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
  },
  [2865] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_module_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2866] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_end_module_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
  },
  [2867] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_end_module_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
  },
  [2868] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5046),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_end_module_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
  },
  [2869] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_end_module_statement_token1] = ACTIONS(4297),
    [aux_sym_interface_statement_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4297),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4297),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4297),
    [aux_sym_language_binding_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4297),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4297),
    [aux_sym_contains_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token1] = ACTIONS(4297),
    [aux_sym_use_statement_token2] = ACTIONS(4297),
    [aux_sym_implicit_statement_token1] = ACTIONS(4297),
    [aux_sym_implicit_statement_token3] = ACTIONS(4297),
    [aux_sym_implicit_statement_token4] = ACTIONS(4297),
    [aux_sym_save_statement_token1] = ACTIONS(4297),
    [aux_sym_private_statement_token1] = ACTIONS(4297),
    [aux_sym_public_statement_token1] = ACTIONS(4297),
    [aux_sym_namelist_statement_token1] = ACTIONS(4297),
    [aux_sym_common_statement_token1] = ACTIONS(4297),
    [aux_sym_import_statement_token1] = ACTIONS(4297),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4297),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4297),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4297),
    [aux_sym_variable_attributes_token1] = ACTIONS(4297),
    [aux_sym_variable_attributes_token2] = ACTIONS(4297),
    [aux_sym_variable_attributes_token3] = ACTIONS(4297),
    [aux_sym_variable_attributes_token4] = ACTIONS(4297),
    [aux_sym_variable_attributes_token5] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4297),
    [aux_sym_derived_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token1] = ACTIONS(4297),
    [aux_sym_declared_type_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4297),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4297),
    [aux_sym_type_qualifier_token1] = ACTIONS(4297),
    [aux_sym_type_qualifier_token2] = ACTIONS(4297),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token1] = ACTIONS(4297),
    [aux_sym_stop_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token2] = ACTIONS(4297),
    [aux_sym_keyword_statement_token3] = ACTIONS(4297),
    [aux_sym_include_statement_token1] = ACTIONS(4297),
    [aux_sym_data_statement_token1] = ACTIONS(4297),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4297),
    [aux_sym_end_if_statement_token1] = ACTIONS(4297),
    [aux_sym_elseif_clause_token2] = ACTIONS(4297),
    [aux_sym_select_case_statement_token1] = ACTIONS(4297),
    [aux_sym_block_construct_token1] = ACTIONS(4297),
    [aux_sym_format_statement_token1] = ACTIONS(4297),
    [aux_sym_inquire_statement_token1] = ACTIONS(4297),
    [aux_sym_enum_statement_token1] = ACTIONS(4297),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4297),
    [aux_sym_entry_statement_token1] = ACTIONS(4297),
    [aux_sym_null_literal_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_statement_token2] = ACTIONS(4297),
    [aux_sym_coarray_statement_token6] = ACTIONS(4297),
    [aux_sym_coarray_statement_token8] = ACTIONS(4297),
    [aux_sym_coarray_statement_token11] = ACTIONS(4297),
    [aux_sym_coarray_statement_token12] = ACTIONS(4297),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4297),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4297),
    [aux_sym_identifier_token1] = ACTIONS(4297),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4299),
  },
  [2870] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6894),
    [aux_sym_preproc_def_token1] = ACTIONS(6894),
    [aux_sym_preproc_if_token1] = ACTIONS(6894),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6894),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6894),
    [sym_preproc_directive] = ACTIONS(6894),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6894),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6894),
    [aux_sym_interface_statement_token1] = ACTIONS(6894),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6894),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6894),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6894),
    [aux_sym_language_binding_token1] = ACTIONS(6894),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6894),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6894),
    [aux_sym_contains_statement_token1] = ACTIONS(6894),
    [aux_sym_use_statement_token1] = ACTIONS(6894),
    [aux_sym_use_statement_token2] = ACTIONS(6894),
    [aux_sym_implicit_statement_token1] = ACTIONS(6894),
    [aux_sym_implicit_statement_token3] = ACTIONS(6894),
    [aux_sym_implicit_statement_token4] = ACTIONS(6894),
    [aux_sym_save_statement_token1] = ACTIONS(6894),
    [aux_sym_private_statement_token1] = ACTIONS(6894),
    [aux_sym_public_statement_token1] = ACTIONS(6894),
    [aux_sym_namelist_statement_token1] = ACTIONS(6894),
    [aux_sym_common_statement_token1] = ACTIONS(6894),
    [aux_sym_import_statement_token1] = ACTIONS(6894),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6894),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6894),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6894),
    [aux_sym_variable_attributes_token1] = ACTIONS(6894),
    [aux_sym_variable_attributes_token2] = ACTIONS(6894),
    [aux_sym_variable_attributes_token3] = ACTIONS(6894),
    [aux_sym_variable_attributes_token4] = ACTIONS(6894),
    [aux_sym_variable_attributes_token5] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6894),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6894),
    [aux_sym_derived_type_token1] = ACTIONS(6894),
    [aux_sym_declared_type_token1] = ACTIONS(6894),
    [aux_sym_declared_type_token2] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6894),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6894),
    [aux_sym_type_qualifier_token1] = ACTIONS(6894),
    [aux_sym_type_qualifier_token2] = ACTIONS(6894),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6894),
    [aux_sym_stop_statement_token1] = ACTIONS(6894),
    [aux_sym_stop_statement_token2] = ACTIONS(6894),
    [aux_sym_keyword_statement_token2] = ACTIONS(6894),
    [aux_sym_keyword_statement_token3] = ACTIONS(6894),
    [aux_sym_include_statement_token1] = ACTIONS(6894),
    [aux_sym_data_statement_token1] = ACTIONS(6894),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6894),
    [aux_sym_end_if_statement_token1] = ACTIONS(6894),
    [aux_sym_elseif_clause_token2] = ACTIONS(6894),
    [aux_sym_select_case_statement_token1] = ACTIONS(6894),
    [aux_sym_block_construct_token1] = ACTIONS(6894),
    [aux_sym_format_statement_token1] = ACTIONS(6894),
    [aux_sym_inquire_statement_token1] = ACTIONS(6894),
    [aux_sym_enum_statement_token1] = ACTIONS(6894),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6894),
    [aux_sym_entry_statement_token1] = ACTIONS(6894),
    [aux_sym_null_literal_token1] = ACTIONS(6894),
    [aux_sym_coarray_statement_token1] = ACTIONS(6894),
    [aux_sym_coarray_statement_token2] = ACTIONS(6894),
    [aux_sym_coarray_statement_token6] = ACTIONS(6894),
    [aux_sym_coarray_statement_token8] = ACTIONS(6894),
    [aux_sym_coarray_statement_token11] = ACTIONS(6894),
    [aux_sym_coarray_statement_token12] = ACTIONS(6894),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6894),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6894),
    [aux_sym_identifier_token1] = ACTIONS(6894),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6896),
  },
  [2871] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6782),
    [aux_sym_preproc_def_token1] = ACTIONS(6782),
    [aux_sym_preproc_if_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6782),
    [sym_preproc_directive] = ACTIONS(6782),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6782),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6782),
    [aux_sym_interface_statement_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6782),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6782),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6782),
    [aux_sym_language_binding_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6782),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6782),
    [aux_sym_contains_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token1] = ACTIONS(6782),
    [aux_sym_use_statement_token2] = ACTIONS(6782),
    [aux_sym_implicit_statement_token1] = ACTIONS(6782),
    [aux_sym_implicit_statement_token3] = ACTIONS(6782),
    [aux_sym_implicit_statement_token4] = ACTIONS(6782),
    [aux_sym_save_statement_token1] = ACTIONS(6782),
    [aux_sym_private_statement_token1] = ACTIONS(6782),
    [aux_sym_public_statement_token1] = ACTIONS(6782),
    [aux_sym_namelist_statement_token1] = ACTIONS(6782),
    [aux_sym_common_statement_token1] = ACTIONS(6782),
    [aux_sym_import_statement_token1] = ACTIONS(6782),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6782),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6782),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6782),
    [aux_sym_variable_attributes_token1] = ACTIONS(6782),
    [aux_sym_variable_attributes_token2] = ACTIONS(6782),
    [aux_sym_variable_attributes_token3] = ACTIONS(6782),
    [aux_sym_variable_attributes_token4] = ACTIONS(6782),
    [aux_sym_variable_attributes_token5] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6782),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6782),
    [aux_sym_derived_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token1] = ACTIONS(6782),
    [aux_sym_declared_type_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6782),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6782),
    [aux_sym_type_qualifier_token1] = ACTIONS(6782),
    [aux_sym_type_qualifier_token2] = ACTIONS(6782),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token1] = ACTIONS(6782),
    [aux_sym_stop_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token2] = ACTIONS(6782),
    [aux_sym_keyword_statement_token3] = ACTIONS(6782),
    [aux_sym_include_statement_token1] = ACTIONS(6782),
    [aux_sym_data_statement_token1] = ACTIONS(6782),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6782),
    [aux_sym_end_if_statement_token1] = ACTIONS(6782),
    [aux_sym_elseif_clause_token2] = ACTIONS(6782),
    [aux_sym_select_case_statement_token1] = ACTIONS(6782),
    [aux_sym_block_construct_token1] = ACTIONS(6782),
    [aux_sym_format_statement_token1] = ACTIONS(6782),
    [aux_sym_inquire_statement_token1] = ACTIONS(6782),
    [aux_sym_enum_statement_token1] = ACTIONS(6782),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6782),
    [aux_sym_entry_statement_token1] = ACTIONS(6782),
    [aux_sym_null_literal_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_statement_token2] = ACTIONS(6782),
    [aux_sym_coarray_statement_token6] = ACTIONS(6782),
    [aux_sym_coarray_statement_token8] = ACTIONS(6782),
    [aux_sym_coarray_statement_token11] = ACTIONS(6782),
    [aux_sym_coarray_statement_token12] = ACTIONS(6782),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6782),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6782),
    [aux_sym_identifier_token1] = ACTIONS(6782),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6786),
  },
  [2872] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6902),
    [aux_sym_preproc_def_token1] = ACTIONS(6902),
    [aux_sym_preproc_if_token1] = ACTIONS(6902),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6902),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6902),
    [sym_preproc_directive] = ACTIONS(6902),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6902),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6902),
    [aux_sym_interface_statement_token1] = ACTIONS(6902),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6902),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6902),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6902),
    [aux_sym_language_binding_token1] = ACTIONS(6902),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6902),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6902),
    [aux_sym_contains_statement_token1] = ACTIONS(6902),
    [aux_sym_use_statement_token1] = ACTIONS(6902),
    [aux_sym_use_statement_token2] = ACTIONS(6902),
    [aux_sym_implicit_statement_token1] = ACTIONS(6902),
    [aux_sym_implicit_statement_token3] = ACTIONS(6902),
    [aux_sym_implicit_statement_token4] = ACTIONS(6902),
    [aux_sym_save_statement_token1] = ACTIONS(6902),
    [aux_sym_private_statement_token1] = ACTIONS(6902),
    [aux_sym_public_statement_token1] = ACTIONS(6902),
    [aux_sym_namelist_statement_token1] = ACTIONS(6902),
    [aux_sym_common_statement_token1] = ACTIONS(6902),
    [aux_sym_import_statement_token1] = ACTIONS(6902),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6902),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6902),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6902),
    [aux_sym_variable_attributes_token1] = ACTIONS(6902),
    [aux_sym_variable_attributes_token2] = ACTIONS(6902),
    [aux_sym_variable_attributes_token3] = ACTIONS(6902),
    [aux_sym_variable_attributes_token4] = ACTIONS(6902),
    [aux_sym_variable_attributes_token5] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6902),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6902),
    [aux_sym_derived_type_token1] = ACTIONS(6902),
    [aux_sym_declared_type_token1] = ACTIONS(6902),
    [aux_sym_declared_type_token2] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6902),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6902),
    [aux_sym_type_qualifier_token1] = ACTIONS(6902),
    [aux_sym_type_qualifier_token2] = ACTIONS(6902),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6902),
    [aux_sym_stop_statement_token1] = ACTIONS(6902),
    [aux_sym_stop_statement_token2] = ACTIONS(6902),
    [aux_sym_keyword_statement_token2] = ACTIONS(6902),
    [aux_sym_keyword_statement_token3] = ACTIONS(6902),
    [aux_sym_include_statement_token1] = ACTIONS(6902),
    [aux_sym_data_statement_token1] = ACTIONS(6902),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6902),
    [aux_sym_end_if_statement_token1] = ACTIONS(6902),
    [aux_sym_elseif_clause_token2] = ACTIONS(6902),
    [aux_sym_select_case_statement_token1] = ACTIONS(6902),
    [aux_sym_block_construct_token1] = ACTIONS(6902),
    [aux_sym_format_statement_token1] = ACTIONS(6902),
    [aux_sym_inquire_statement_token1] = ACTIONS(6902),
    [aux_sym_enum_statement_token1] = ACTIONS(6902),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6902),
    [aux_sym_entry_statement_token1] = ACTIONS(6902),
    [aux_sym_null_literal_token1] = ACTIONS(6902),
    [aux_sym_coarray_statement_token1] = ACTIONS(6902),
    [aux_sym_coarray_statement_token2] = ACTIONS(6902),
    [aux_sym_coarray_statement_token6] = ACTIONS(6902),
    [aux_sym_coarray_statement_token8] = ACTIONS(6902),
    [aux_sym_coarray_statement_token11] = ACTIONS(6902),
    [aux_sym_coarray_statement_token12] = ACTIONS(6902),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6902),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6902),
    [aux_sym_identifier_token1] = ACTIONS(6902),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6904),
  },
  [2873] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6718),
    [aux_sym_preproc_def_token1] = ACTIONS(6718),
    [aux_sym_preproc_if_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6718),
    [sym_preproc_directive] = ACTIONS(6718),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6718),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6718),
    [aux_sym_interface_statement_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6718),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6718),
    [aux_sym_language_binding_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6718),
    [aux_sym_contains_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token1] = ACTIONS(6718),
    [aux_sym_use_statement_token2] = ACTIONS(6718),
    [aux_sym_implicit_statement_token1] = ACTIONS(6718),
    [aux_sym_implicit_statement_token3] = ACTIONS(6718),
    [aux_sym_implicit_statement_token4] = ACTIONS(6718),
    [aux_sym_save_statement_token1] = ACTIONS(6718),
    [aux_sym_private_statement_token1] = ACTIONS(6718),
    [aux_sym_public_statement_token1] = ACTIONS(6718),
    [aux_sym_namelist_statement_token1] = ACTIONS(6718),
    [aux_sym_common_statement_token1] = ACTIONS(6718),
    [aux_sym_import_statement_token1] = ACTIONS(6718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6718),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6718),
    [aux_sym_variable_attributes_token1] = ACTIONS(6718),
    [aux_sym_variable_attributes_token2] = ACTIONS(6718),
    [aux_sym_variable_attributes_token3] = ACTIONS(6718),
    [aux_sym_variable_attributes_token4] = ACTIONS(6718),
    [aux_sym_variable_attributes_token5] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6718),
    [aux_sym_derived_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token1] = ACTIONS(6718),
    [aux_sym_declared_type_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6718),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6718),
    [aux_sym_type_qualifier_token1] = ACTIONS(6718),
    [aux_sym_type_qualifier_token2] = ACTIONS(6718),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token1] = ACTIONS(6718),
    [aux_sym_stop_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token2] = ACTIONS(6718),
    [aux_sym_keyword_statement_token3] = ACTIONS(6718),
    [aux_sym_include_statement_token1] = ACTIONS(6718),
    [aux_sym_data_statement_token1] = ACTIONS(6718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6718),
    [aux_sym_end_if_statement_token1] = ACTIONS(6718),
    [aux_sym_elseif_clause_token2] = ACTIONS(6718),
    [aux_sym_select_case_statement_token1] = ACTIONS(6718),
    [aux_sym_block_construct_token1] = ACTIONS(6718),
    [aux_sym_format_statement_token1] = ACTIONS(6718),
    [aux_sym_inquire_statement_token1] = ACTIONS(6718),
    [aux_sym_enum_statement_token1] = ACTIONS(6718),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6718),
    [aux_sym_entry_statement_token1] = ACTIONS(6718),
    [aux_sym_null_literal_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_statement_token2] = ACTIONS(6718),
    [aux_sym_coarray_statement_token6] = ACTIONS(6718),
    [aux_sym_coarray_statement_token8] = ACTIONS(6718),
    [aux_sym_coarray_statement_token11] = ACTIONS(6718),
    [aux_sym_coarray_statement_token12] = ACTIONS(6718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6718),
    [aux_sym_identifier_token1] = ACTIONS(6718),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6722),
  },
  [2874] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
  },
  [2875] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_end_module_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
  },
  [2876] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5032),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_end_module_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
  },
  [2877] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6882),
    [aux_sym_preproc_def_token1] = ACTIONS(6882),
    [aux_sym_preproc_if_token1] = ACTIONS(6882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6882),
    [sym_preproc_directive] = ACTIONS(6882),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6882),
    [aux_sym_end_module_statement_token1] = ACTIONS(6882),
    [aux_sym_interface_statement_token1] = ACTIONS(6882),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6882),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6882),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6882),
    [aux_sym_language_binding_token1] = ACTIONS(6882),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6882),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6882),
    [aux_sym_contains_statement_token1] = ACTIONS(6882),
    [aux_sym_use_statement_token1] = ACTIONS(6882),
    [aux_sym_use_statement_token2] = ACTIONS(6882),
    [aux_sym_implicit_statement_token1] = ACTIONS(6882),
    [aux_sym_implicit_statement_token3] = ACTIONS(6882),
    [aux_sym_implicit_statement_token4] = ACTIONS(6882),
    [aux_sym_save_statement_token1] = ACTIONS(6882),
    [aux_sym_private_statement_token1] = ACTIONS(6882),
    [aux_sym_public_statement_token1] = ACTIONS(6882),
    [aux_sym_namelist_statement_token1] = ACTIONS(6882),
    [aux_sym_common_statement_token1] = ACTIONS(6882),
    [aux_sym_import_statement_token1] = ACTIONS(6882),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6882),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6882),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6882),
    [aux_sym_variable_attributes_token1] = ACTIONS(6882),
    [aux_sym_variable_attributes_token2] = ACTIONS(6882),
    [aux_sym_variable_attributes_token3] = ACTIONS(6882),
    [aux_sym_variable_attributes_token4] = ACTIONS(6882),
    [aux_sym_variable_attributes_token5] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6882),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6882),
    [aux_sym_derived_type_token1] = ACTIONS(6882),
    [aux_sym_declared_type_token1] = ACTIONS(6882),
    [aux_sym_declared_type_token2] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6882),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6882),
    [aux_sym_type_qualifier_token1] = ACTIONS(6882),
    [aux_sym_type_qualifier_token2] = ACTIONS(6882),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6882),
    [aux_sym_stop_statement_token1] = ACTIONS(6882),
    [aux_sym_stop_statement_token2] = ACTIONS(6882),
    [aux_sym_keyword_statement_token2] = ACTIONS(6882),
    [aux_sym_keyword_statement_token3] = ACTIONS(6882),
    [aux_sym_include_statement_token1] = ACTIONS(6882),
    [aux_sym_data_statement_token1] = ACTIONS(6882),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6882),
    [aux_sym_end_if_statement_token1] = ACTIONS(6882),
    [aux_sym_elseif_clause_token2] = ACTIONS(6882),
    [aux_sym_select_case_statement_token1] = ACTIONS(6882),
    [aux_sym_block_construct_token1] = ACTIONS(6882),
    [aux_sym_format_statement_token1] = ACTIONS(6882),
    [aux_sym_inquire_statement_token1] = ACTIONS(6882),
    [aux_sym_enum_statement_token1] = ACTIONS(6882),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6882),
    [aux_sym_entry_statement_token1] = ACTIONS(6882),
    [aux_sym_null_literal_token1] = ACTIONS(6882),
    [aux_sym_coarray_statement_token1] = ACTIONS(6882),
    [aux_sym_coarray_statement_token2] = ACTIONS(6882),
    [aux_sym_coarray_statement_token6] = ACTIONS(6882),
    [aux_sym_coarray_statement_token8] = ACTIONS(6882),
    [aux_sym_coarray_statement_token11] = ACTIONS(6882),
    [aux_sym_coarray_statement_token12] = ACTIONS(6882),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6882),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6882),
    [aux_sym_identifier_token1] = ACTIONS(6882),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6884),
  },
  [2878] = {
    [sym_output_item_list] = STATE(7397),
    [sym__expression] = STATE(4386),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(6930),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
    [sym__external_end_of_statement] = ACTIONS(6930),
  },
  [2879] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4285),
    [aux_sym_interface_statement_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4285),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4285),
    [aux_sym_language_binding_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4285),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4285),
    [aux_sym_contains_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token1] = ACTIONS(4285),
    [aux_sym_use_statement_token2] = ACTIONS(4285),
    [aux_sym_implicit_statement_token1] = ACTIONS(4285),
    [aux_sym_implicit_statement_token3] = ACTIONS(4285),
    [aux_sym_implicit_statement_token4] = ACTIONS(4285),
    [aux_sym_save_statement_token1] = ACTIONS(4285),
    [aux_sym_private_statement_token1] = ACTIONS(4285),
    [aux_sym_public_statement_token1] = ACTIONS(4285),
    [aux_sym_namelist_statement_token1] = ACTIONS(4285),
    [aux_sym_common_statement_token1] = ACTIONS(4285),
    [aux_sym_import_statement_token1] = ACTIONS(4285),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4285),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4285),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4285),
    [aux_sym_variable_attributes_token1] = ACTIONS(4285),
    [aux_sym_variable_attributes_token2] = ACTIONS(4285),
    [aux_sym_variable_attributes_token3] = ACTIONS(4285),
    [aux_sym_variable_attributes_token4] = ACTIONS(4285),
    [aux_sym_variable_attributes_token5] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4285),
    [aux_sym_derived_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token1] = ACTIONS(4285),
    [aux_sym_declared_type_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4285),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4285),
    [aux_sym_type_qualifier_token1] = ACTIONS(4285),
    [aux_sym_type_qualifier_token2] = ACTIONS(4285),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token1] = ACTIONS(4285),
    [aux_sym_stop_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token2] = ACTIONS(4285),
    [aux_sym_keyword_statement_token3] = ACTIONS(4285),
    [aux_sym_include_statement_token1] = ACTIONS(4285),
    [aux_sym_data_statement_token1] = ACTIONS(4285),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4285),
    [aux_sym_end_if_statement_token1] = ACTIONS(4285),
    [aux_sym_elseif_clause_token2] = ACTIONS(4285),
    [aux_sym_select_case_statement_token1] = ACTIONS(4285),
    [aux_sym_block_construct_token1] = ACTIONS(4285),
    [aux_sym_format_statement_token1] = ACTIONS(4285),
    [aux_sym_inquire_statement_token1] = ACTIONS(4285),
    [aux_sym_enum_statement_token1] = ACTIONS(4285),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4285),
    [aux_sym_entry_statement_token1] = ACTIONS(4285),
    [aux_sym_null_literal_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_statement_token2] = ACTIONS(4285),
    [aux_sym_coarray_statement_token6] = ACTIONS(4285),
    [aux_sym_coarray_statement_token8] = ACTIONS(4285),
    [aux_sym_coarray_statement_token11] = ACTIONS(4285),
    [aux_sym_coarray_statement_token12] = ACTIONS(4285),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4285),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4285),
    [aux_sym_identifier_token1] = ACTIONS(4285),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4287),
  },
  [2880] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4613),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_end_module_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
  },
  [2881] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
  },
  [2882] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
  },
  [2883] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5082),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_end_module_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
  },
  [2884] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_end_module_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
  },
  [2885] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5054),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
  },
  [2886] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6932),
    [aux_sym_preproc_def_token1] = ACTIONS(6932),
    [aux_sym_preproc_if_token1] = ACTIONS(6932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6932),
    [sym_preproc_directive] = ACTIONS(6932),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6932),
    [aux_sym_end_module_statement_token1] = ACTIONS(6932),
    [aux_sym_interface_statement_token1] = ACTIONS(6932),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6932),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6932),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6932),
    [aux_sym_language_binding_token1] = ACTIONS(6932),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6932),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6932),
    [aux_sym_contains_statement_token1] = ACTIONS(6932),
    [aux_sym_use_statement_token1] = ACTIONS(6932),
    [aux_sym_use_statement_token2] = ACTIONS(6932),
    [aux_sym_implicit_statement_token1] = ACTIONS(6932),
    [aux_sym_implicit_statement_token3] = ACTIONS(6932),
    [aux_sym_implicit_statement_token4] = ACTIONS(6932),
    [aux_sym_save_statement_token1] = ACTIONS(6932),
    [aux_sym_private_statement_token1] = ACTIONS(6932),
    [aux_sym_public_statement_token1] = ACTIONS(6932),
    [aux_sym_namelist_statement_token1] = ACTIONS(6932),
    [aux_sym_common_statement_token1] = ACTIONS(6932),
    [aux_sym_import_statement_token1] = ACTIONS(6932),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6932),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6932),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6932),
    [aux_sym_variable_attributes_token1] = ACTIONS(6932),
    [aux_sym_variable_attributes_token2] = ACTIONS(6932),
    [aux_sym_variable_attributes_token3] = ACTIONS(6932),
    [aux_sym_variable_attributes_token4] = ACTIONS(6932),
    [aux_sym_variable_attributes_token5] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6932),
    [aux_sym_derived_type_token1] = ACTIONS(6932),
    [aux_sym_declared_type_token1] = ACTIONS(6932),
    [aux_sym_declared_type_token2] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6932),
    [aux_sym_type_qualifier_token1] = ACTIONS(6932),
    [aux_sym_type_qualifier_token2] = ACTIONS(6932),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6932),
    [aux_sym_stop_statement_token1] = ACTIONS(6932),
    [aux_sym_stop_statement_token2] = ACTIONS(6932),
    [aux_sym_keyword_statement_token2] = ACTIONS(6932),
    [aux_sym_keyword_statement_token3] = ACTIONS(6932),
    [aux_sym_include_statement_token1] = ACTIONS(6932),
    [aux_sym_data_statement_token1] = ACTIONS(6932),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6932),
    [aux_sym_end_if_statement_token1] = ACTIONS(6932),
    [aux_sym_elseif_clause_token2] = ACTIONS(6932),
    [aux_sym_select_case_statement_token1] = ACTIONS(6932),
    [aux_sym_block_construct_token1] = ACTIONS(6932),
    [aux_sym_format_statement_token1] = ACTIONS(6932),
    [aux_sym_inquire_statement_token1] = ACTIONS(6932),
    [aux_sym_enum_statement_token1] = ACTIONS(6932),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6932),
    [aux_sym_entry_statement_token1] = ACTIONS(6932),
    [aux_sym_null_literal_token1] = ACTIONS(6932),
    [aux_sym_coarray_statement_token1] = ACTIONS(6932),
    [aux_sym_coarray_statement_token2] = ACTIONS(6932),
    [aux_sym_coarray_statement_token6] = ACTIONS(6932),
    [aux_sym_coarray_statement_token8] = ACTIONS(6932),
    [aux_sym_coarray_statement_token11] = ACTIONS(6932),
    [aux_sym_coarray_statement_token12] = ACTIONS(6932),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6932),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6932),
    [aux_sym_identifier_token1] = ACTIONS(6932),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6934),
  },
  [2887] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6862),
    [aux_sym_preproc_def_token1] = ACTIONS(6862),
    [aux_sym_preproc_if_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6862),
    [sym_preproc_directive] = ACTIONS(6862),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6862),
    [aux_sym_end_module_statement_token1] = ACTIONS(6862),
    [aux_sym_interface_statement_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6862),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6862),
    [aux_sym_language_binding_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6862),
    [aux_sym_contains_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token2] = ACTIONS(6862),
    [aux_sym_implicit_statement_token1] = ACTIONS(6862),
    [aux_sym_implicit_statement_token3] = ACTIONS(6862),
    [aux_sym_implicit_statement_token4] = ACTIONS(6862),
    [aux_sym_save_statement_token1] = ACTIONS(6862),
    [aux_sym_private_statement_token1] = ACTIONS(6862),
    [aux_sym_public_statement_token1] = ACTIONS(6862),
    [aux_sym_namelist_statement_token1] = ACTIONS(6862),
    [aux_sym_common_statement_token1] = ACTIONS(6862),
    [aux_sym_import_statement_token1] = ACTIONS(6862),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6862),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6862),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6862),
    [aux_sym_variable_attributes_token1] = ACTIONS(6862),
    [aux_sym_variable_attributes_token2] = ACTIONS(6862),
    [aux_sym_variable_attributes_token3] = ACTIONS(6862),
    [aux_sym_variable_attributes_token4] = ACTIONS(6862),
    [aux_sym_variable_attributes_token5] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6862),
    [aux_sym_derived_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6862),
    [aux_sym_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token3] = ACTIONS(6862),
    [aux_sym_include_statement_token1] = ACTIONS(6862),
    [aux_sym_data_statement_token1] = ACTIONS(6862),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6862),
    [aux_sym_end_if_statement_token1] = ACTIONS(6862),
    [aux_sym_elseif_clause_token2] = ACTIONS(6862),
    [aux_sym_select_case_statement_token1] = ACTIONS(6862),
    [aux_sym_block_construct_token1] = ACTIONS(6862),
    [aux_sym_format_statement_token1] = ACTIONS(6862),
    [aux_sym_inquire_statement_token1] = ACTIONS(6862),
    [aux_sym_enum_statement_token1] = ACTIONS(6862),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6862),
    [aux_sym_entry_statement_token1] = ACTIONS(6862),
    [aux_sym_null_literal_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token2] = ACTIONS(6862),
    [aux_sym_coarray_statement_token6] = ACTIONS(6862),
    [aux_sym_coarray_statement_token8] = ACTIONS(6862),
    [aux_sym_coarray_statement_token11] = ACTIONS(6862),
    [aux_sym_coarray_statement_token12] = ACTIONS(6862),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6862),
    [aux_sym_identifier_token1] = ACTIONS(6862),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6866),
  },
  [2888] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6936),
    [aux_sym_preproc_def_token1] = ACTIONS(6936),
    [aux_sym_preproc_if_token1] = ACTIONS(6936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6936),
    [sym_preproc_directive] = ACTIONS(6936),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6936),
    [aux_sym_end_module_statement_token1] = ACTIONS(6936),
    [aux_sym_interface_statement_token1] = ACTIONS(6936),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6936),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6936),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6936),
    [aux_sym_language_binding_token1] = ACTIONS(6936),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6936),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6936),
    [aux_sym_contains_statement_token1] = ACTIONS(6936),
    [aux_sym_use_statement_token1] = ACTIONS(6936),
    [aux_sym_use_statement_token2] = ACTIONS(6936),
    [aux_sym_implicit_statement_token1] = ACTIONS(6936),
    [aux_sym_implicit_statement_token3] = ACTIONS(6936),
    [aux_sym_implicit_statement_token4] = ACTIONS(6936),
    [aux_sym_save_statement_token1] = ACTIONS(6936),
    [aux_sym_private_statement_token1] = ACTIONS(6936),
    [aux_sym_public_statement_token1] = ACTIONS(6936),
    [aux_sym_namelist_statement_token1] = ACTIONS(6936),
    [aux_sym_common_statement_token1] = ACTIONS(6936),
    [aux_sym_import_statement_token1] = ACTIONS(6936),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6936),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6936),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6936),
    [aux_sym_variable_attributes_token1] = ACTIONS(6936),
    [aux_sym_variable_attributes_token2] = ACTIONS(6936),
    [aux_sym_variable_attributes_token3] = ACTIONS(6936),
    [aux_sym_variable_attributes_token4] = ACTIONS(6936),
    [aux_sym_variable_attributes_token5] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6936),
    [aux_sym_derived_type_token1] = ACTIONS(6936),
    [aux_sym_declared_type_token1] = ACTIONS(6936),
    [aux_sym_declared_type_token2] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6936),
    [aux_sym_type_qualifier_token1] = ACTIONS(6936),
    [aux_sym_type_qualifier_token2] = ACTIONS(6936),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6936),
    [aux_sym_stop_statement_token1] = ACTIONS(6936),
    [aux_sym_stop_statement_token2] = ACTIONS(6936),
    [aux_sym_keyword_statement_token2] = ACTIONS(6936),
    [aux_sym_keyword_statement_token3] = ACTIONS(6936),
    [aux_sym_include_statement_token1] = ACTIONS(6936),
    [aux_sym_data_statement_token1] = ACTIONS(6936),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6936),
    [aux_sym_end_if_statement_token1] = ACTIONS(6936),
    [aux_sym_elseif_clause_token2] = ACTIONS(6936),
    [aux_sym_select_case_statement_token1] = ACTIONS(6936),
    [aux_sym_block_construct_token1] = ACTIONS(6936),
    [aux_sym_format_statement_token1] = ACTIONS(6936),
    [aux_sym_inquire_statement_token1] = ACTIONS(6936),
    [aux_sym_enum_statement_token1] = ACTIONS(6936),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6936),
    [aux_sym_entry_statement_token1] = ACTIONS(6936),
    [aux_sym_null_literal_token1] = ACTIONS(6936),
    [aux_sym_coarray_statement_token1] = ACTIONS(6936),
    [aux_sym_coarray_statement_token2] = ACTIONS(6936),
    [aux_sym_coarray_statement_token6] = ACTIONS(6936),
    [aux_sym_coarray_statement_token8] = ACTIONS(6936),
    [aux_sym_coarray_statement_token11] = ACTIONS(6936),
    [aux_sym_coarray_statement_token12] = ACTIONS(6936),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6936),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6936),
    [aux_sym_identifier_token1] = ACTIONS(6936),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6938),
  },
  [2889] = {
    [sym__expression] = STATE(4371),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(6910),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6940),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2890] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6932),
    [aux_sym_preproc_def_token1] = ACTIONS(6932),
    [aux_sym_preproc_if_token1] = ACTIONS(6932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6932),
    [sym_preproc_directive] = ACTIONS(6932),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6932),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6932),
    [aux_sym_interface_statement_token1] = ACTIONS(6932),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6932),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6932),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6932),
    [aux_sym_language_binding_token1] = ACTIONS(6932),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6932),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6932),
    [aux_sym_contains_statement_token1] = ACTIONS(6932),
    [aux_sym_use_statement_token1] = ACTIONS(6932),
    [aux_sym_use_statement_token2] = ACTIONS(6932),
    [aux_sym_implicit_statement_token1] = ACTIONS(6932),
    [aux_sym_implicit_statement_token3] = ACTIONS(6932),
    [aux_sym_implicit_statement_token4] = ACTIONS(6932),
    [aux_sym_save_statement_token1] = ACTIONS(6932),
    [aux_sym_private_statement_token1] = ACTIONS(6932),
    [aux_sym_public_statement_token1] = ACTIONS(6932),
    [aux_sym_namelist_statement_token1] = ACTIONS(6932),
    [aux_sym_common_statement_token1] = ACTIONS(6932),
    [aux_sym_import_statement_token1] = ACTIONS(6932),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6932),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6932),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6932),
    [aux_sym_variable_attributes_token1] = ACTIONS(6932),
    [aux_sym_variable_attributes_token2] = ACTIONS(6932),
    [aux_sym_variable_attributes_token3] = ACTIONS(6932),
    [aux_sym_variable_attributes_token4] = ACTIONS(6932),
    [aux_sym_variable_attributes_token5] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6932),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6932),
    [aux_sym_derived_type_token1] = ACTIONS(6932),
    [aux_sym_declared_type_token1] = ACTIONS(6932),
    [aux_sym_declared_type_token2] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6932),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6932),
    [aux_sym_type_qualifier_token1] = ACTIONS(6932),
    [aux_sym_type_qualifier_token2] = ACTIONS(6932),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6932),
    [aux_sym_stop_statement_token1] = ACTIONS(6932),
    [aux_sym_stop_statement_token2] = ACTIONS(6932),
    [aux_sym_keyword_statement_token2] = ACTIONS(6932),
    [aux_sym_keyword_statement_token3] = ACTIONS(6932),
    [aux_sym_include_statement_token1] = ACTIONS(6932),
    [aux_sym_data_statement_token1] = ACTIONS(6932),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6932),
    [aux_sym_end_if_statement_token1] = ACTIONS(6932),
    [aux_sym_elseif_clause_token2] = ACTIONS(6932),
    [aux_sym_select_case_statement_token1] = ACTIONS(6932),
    [aux_sym_block_construct_token1] = ACTIONS(6932),
    [aux_sym_format_statement_token1] = ACTIONS(6932),
    [aux_sym_inquire_statement_token1] = ACTIONS(6932),
    [aux_sym_enum_statement_token1] = ACTIONS(6932),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6932),
    [aux_sym_entry_statement_token1] = ACTIONS(6932),
    [aux_sym_null_literal_token1] = ACTIONS(6932),
    [aux_sym_coarray_statement_token1] = ACTIONS(6932),
    [aux_sym_coarray_statement_token2] = ACTIONS(6932),
    [aux_sym_coarray_statement_token6] = ACTIONS(6932),
    [aux_sym_coarray_statement_token8] = ACTIONS(6932),
    [aux_sym_coarray_statement_token11] = ACTIONS(6932),
    [aux_sym_coarray_statement_token12] = ACTIONS(6932),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6932),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6932),
    [aux_sym_identifier_token1] = ACTIONS(6932),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6934),
  },
  [2891] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_keyword_argument] = STATE(7080),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4858),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2892] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6862),
    [aux_sym_preproc_def_token1] = ACTIONS(6862),
    [aux_sym_preproc_if_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6862),
    [sym_preproc_directive] = ACTIONS(6862),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6862),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6862),
    [aux_sym_interface_statement_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6862),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6862),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6862),
    [aux_sym_language_binding_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6862),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6862),
    [aux_sym_contains_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token1] = ACTIONS(6862),
    [aux_sym_use_statement_token2] = ACTIONS(6862),
    [aux_sym_implicit_statement_token1] = ACTIONS(6862),
    [aux_sym_implicit_statement_token3] = ACTIONS(6862),
    [aux_sym_implicit_statement_token4] = ACTIONS(6862),
    [aux_sym_save_statement_token1] = ACTIONS(6862),
    [aux_sym_private_statement_token1] = ACTIONS(6862),
    [aux_sym_public_statement_token1] = ACTIONS(6862),
    [aux_sym_namelist_statement_token1] = ACTIONS(6862),
    [aux_sym_common_statement_token1] = ACTIONS(6862),
    [aux_sym_import_statement_token1] = ACTIONS(6862),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6862),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6862),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6862),
    [aux_sym_variable_attributes_token1] = ACTIONS(6862),
    [aux_sym_variable_attributes_token2] = ACTIONS(6862),
    [aux_sym_variable_attributes_token3] = ACTIONS(6862),
    [aux_sym_variable_attributes_token4] = ACTIONS(6862),
    [aux_sym_variable_attributes_token5] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6862),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6862),
    [aux_sym_derived_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token1] = ACTIONS(6862),
    [aux_sym_declared_type_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6862),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6862),
    [aux_sym_type_qualifier_token1] = ACTIONS(6862),
    [aux_sym_type_qualifier_token2] = ACTIONS(6862),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token1] = ACTIONS(6862),
    [aux_sym_stop_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token2] = ACTIONS(6862),
    [aux_sym_keyword_statement_token3] = ACTIONS(6862),
    [aux_sym_include_statement_token1] = ACTIONS(6862),
    [aux_sym_data_statement_token1] = ACTIONS(6862),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6862),
    [aux_sym_end_if_statement_token1] = ACTIONS(6862),
    [aux_sym_elseif_clause_token2] = ACTIONS(6862),
    [aux_sym_select_case_statement_token1] = ACTIONS(6862),
    [aux_sym_block_construct_token1] = ACTIONS(6862),
    [aux_sym_format_statement_token1] = ACTIONS(6862),
    [aux_sym_inquire_statement_token1] = ACTIONS(6862),
    [aux_sym_enum_statement_token1] = ACTIONS(6862),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6862),
    [aux_sym_entry_statement_token1] = ACTIONS(6862),
    [aux_sym_null_literal_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_statement_token2] = ACTIONS(6862),
    [aux_sym_coarray_statement_token6] = ACTIONS(6862),
    [aux_sym_coarray_statement_token8] = ACTIONS(6862),
    [aux_sym_coarray_statement_token11] = ACTIONS(6862),
    [aux_sym_coarray_statement_token12] = ACTIONS(6862),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6862),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6862),
    [aux_sym_identifier_token1] = ACTIONS(6862),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6866),
  },
  [2893] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_end_module_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
  },
  [2894] = {
    [sym__expression] = STATE(4422),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7270),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6942),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2895] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6936),
    [aux_sym_preproc_def_token1] = ACTIONS(6936),
    [aux_sym_preproc_if_token1] = ACTIONS(6936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6936),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6936),
    [sym_preproc_directive] = ACTIONS(6936),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6936),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6936),
    [aux_sym_interface_statement_token1] = ACTIONS(6936),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6936),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6936),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6936),
    [aux_sym_language_binding_token1] = ACTIONS(6936),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6936),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6936),
    [aux_sym_contains_statement_token1] = ACTIONS(6936),
    [aux_sym_use_statement_token1] = ACTIONS(6936),
    [aux_sym_use_statement_token2] = ACTIONS(6936),
    [aux_sym_implicit_statement_token1] = ACTIONS(6936),
    [aux_sym_implicit_statement_token3] = ACTIONS(6936),
    [aux_sym_implicit_statement_token4] = ACTIONS(6936),
    [aux_sym_save_statement_token1] = ACTIONS(6936),
    [aux_sym_private_statement_token1] = ACTIONS(6936),
    [aux_sym_public_statement_token1] = ACTIONS(6936),
    [aux_sym_namelist_statement_token1] = ACTIONS(6936),
    [aux_sym_common_statement_token1] = ACTIONS(6936),
    [aux_sym_import_statement_token1] = ACTIONS(6936),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6936),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6936),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6936),
    [aux_sym_variable_attributes_token1] = ACTIONS(6936),
    [aux_sym_variable_attributes_token2] = ACTIONS(6936),
    [aux_sym_variable_attributes_token3] = ACTIONS(6936),
    [aux_sym_variable_attributes_token4] = ACTIONS(6936),
    [aux_sym_variable_attributes_token5] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6936),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6936),
    [aux_sym_derived_type_token1] = ACTIONS(6936),
    [aux_sym_declared_type_token1] = ACTIONS(6936),
    [aux_sym_declared_type_token2] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6936),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6936),
    [aux_sym_type_qualifier_token1] = ACTIONS(6936),
    [aux_sym_type_qualifier_token2] = ACTIONS(6936),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6936),
    [aux_sym_stop_statement_token1] = ACTIONS(6936),
    [aux_sym_stop_statement_token2] = ACTIONS(6936),
    [aux_sym_keyword_statement_token2] = ACTIONS(6936),
    [aux_sym_keyword_statement_token3] = ACTIONS(6936),
    [aux_sym_include_statement_token1] = ACTIONS(6936),
    [aux_sym_data_statement_token1] = ACTIONS(6936),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6936),
    [aux_sym_end_if_statement_token1] = ACTIONS(6936),
    [aux_sym_elseif_clause_token2] = ACTIONS(6936),
    [aux_sym_select_case_statement_token1] = ACTIONS(6936),
    [aux_sym_block_construct_token1] = ACTIONS(6936),
    [aux_sym_format_statement_token1] = ACTIONS(6936),
    [aux_sym_inquire_statement_token1] = ACTIONS(6936),
    [aux_sym_enum_statement_token1] = ACTIONS(6936),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6936),
    [aux_sym_entry_statement_token1] = ACTIONS(6936),
    [aux_sym_null_literal_token1] = ACTIONS(6936),
    [aux_sym_coarray_statement_token1] = ACTIONS(6936),
    [aux_sym_coarray_statement_token2] = ACTIONS(6936),
    [aux_sym_coarray_statement_token6] = ACTIONS(6936),
    [aux_sym_coarray_statement_token8] = ACTIONS(6936),
    [aux_sym_coarray_statement_token11] = ACTIONS(6936),
    [aux_sym_coarray_statement_token12] = ACTIONS(6936),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6936),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6936),
    [aux_sym_identifier_token1] = ACTIONS(6936),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6938),
  },
  [2896] = {
    [sym__expression] = STATE(4377),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(6527),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6944),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2897] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6946),
    [aux_sym_preproc_def_token1] = ACTIONS(6946),
    [aux_sym_preproc_if_token1] = ACTIONS(6946),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6946),
    [sym_preproc_directive] = ACTIONS(6946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6946),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6946),
    [aux_sym_interface_statement_token1] = ACTIONS(6946),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6946),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6946),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6946),
    [aux_sym_language_binding_token1] = ACTIONS(6946),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6946),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6946),
    [aux_sym_contains_statement_token1] = ACTIONS(6946),
    [aux_sym_use_statement_token1] = ACTIONS(6946),
    [aux_sym_use_statement_token2] = ACTIONS(6946),
    [aux_sym_implicit_statement_token1] = ACTIONS(6946),
    [aux_sym_implicit_statement_token3] = ACTIONS(6946),
    [aux_sym_implicit_statement_token4] = ACTIONS(6946),
    [aux_sym_save_statement_token1] = ACTIONS(6946),
    [aux_sym_private_statement_token1] = ACTIONS(6946),
    [aux_sym_public_statement_token1] = ACTIONS(6946),
    [aux_sym_namelist_statement_token1] = ACTIONS(6946),
    [aux_sym_common_statement_token1] = ACTIONS(6946),
    [aux_sym_import_statement_token1] = ACTIONS(6946),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6946),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6946),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6946),
    [aux_sym_variable_attributes_token1] = ACTIONS(6946),
    [aux_sym_variable_attributes_token2] = ACTIONS(6946),
    [aux_sym_variable_attributes_token3] = ACTIONS(6946),
    [aux_sym_variable_attributes_token4] = ACTIONS(6946),
    [aux_sym_variable_attributes_token5] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6946),
    [aux_sym_derived_type_token1] = ACTIONS(6946),
    [aux_sym_declared_type_token1] = ACTIONS(6946),
    [aux_sym_declared_type_token2] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6946),
    [aux_sym_type_qualifier_token1] = ACTIONS(6946),
    [aux_sym_type_qualifier_token2] = ACTIONS(6946),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6946),
    [aux_sym_stop_statement_token1] = ACTIONS(6946),
    [aux_sym_stop_statement_token2] = ACTIONS(6946),
    [aux_sym_keyword_statement_token2] = ACTIONS(6946),
    [aux_sym_keyword_statement_token3] = ACTIONS(6946),
    [aux_sym_include_statement_token1] = ACTIONS(6946),
    [aux_sym_data_statement_token1] = ACTIONS(6946),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6946),
    [aux_sym_end_if_statement_token1] = ACTIONS(6946),
    [aux_sym_elseif_clause_token2] = ACTIONS(6946),
    [aux_sym_select_case_statement_token1] = ACTIONS(6946),
    [aux_sym_block_construct_token1] = ACTIONS(6946),
    [aux_sym_format_statement_token1] = ACTIONS(6946),
    [aux_sym_inquire_statement_token1] = ACTIONS(6946),
    [aux_sym_enum_statement_token1] = ACTIONS(6946),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6946),
    [aux_sym_entry_statement_token1] = ACTIONS(6946),
    [aux_sym_null_literal_token1] = ACTIONS(6946),
    [aux_sym_coarray_statement_token1] = ACTIONS(6946),
    [aux_sym_coarray_statement_token2] = ACTIONS(6946),
    [aux_sym_coarray_statement_token6] = ACTIONS(6946),
    [aux_sym_coarray_statement_token8] = ACTIONS(6946),
    [aux_sym_coarray_statement_token11] = ACTIONS(6946),
    [aux_sym_coarray_statement_token12] = ACTIONS(6946),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6946),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6946),
    [aux_sym_identifier_token1] = ACTIONS(6946),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6948),
  },
  [2898] = {
    [sym__expression] = STATE(4391),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(6601),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6950),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2899] = {
    [sym__expression] = STATE(4479),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym__coarray_extent_specifier] = STATE(7659),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(6746),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2900] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6952),
    [aux_sym_preproc_def_token1] = ACTIONS(6952),
    [aux_sym_preproc_if_token1] = ACTIONS(6952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6952),
    [sym_preproc_directive] = ACTIONS(6952),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6952),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(6952),
    [aux_sym_interface_statement_token1] = ACTIONS(6952),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6952),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6952),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6952),
    [aux_sym_language_binding_token1] = ACTIONS(6952),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6952),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6952),
    [aux_sym_contains_statement_token1] = ACTIONS(6952),
    [aux_sym_use_statement_token1] = ACTIONS(6952),
    [aux_sym_use_statement_token2] = ACTIONS(6952),
    [aux_sym_implicit_statement_token1] = ACTIONS(6952),
    [aux_sym_implicit_statement_token3] = ACTIONS(6952),
    [aux_sym_implicit_statement_token4] = ACTIONS(6952),
    [aux_sym_save_statement_token1] = ACTIONS(6952),
    [aux_sym_private_statement_token1] = ACTIONS(6952),
    [aux_sym_public_statement_token1] = ACTIONS(6952),
    [aux_sym_namelist_statement_token1] = ACTIONS(6952),
    [aux_sym_common_statement_token1] = ACTIONS(6952),
    [aux_sym_import_statement_token1] = ACTIONS(6952),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6952),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6952),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6952),
    [aux_sym_variable_attributes_token1] = ACTIONS(6952),
    [aux_sym_variable_attributes_token2] = ACTIONS(6952),
    [aux_sym_variable_attributes_token3] = ACTIONS(6952),
    [aux_sym_variable_attributes_token4] = ACTIONS(6952),
    [aux_sym_variable_attributes_token5] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6952),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6952),
    [aux_sym_derived_type_token1] = ACTIONS(6952),
    [aux_sym_declared_type_token1] = ACTIONS(6952),
    [aux_sym_declared_type_token2] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6952),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6952),
    [aux_sym_type_qualifier_token1] = ACTIONS(6952),
    [aux_sym_type_qualifier_token2] = ACTIONS(6952),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6952),
    [aux_sym_stop_statement_token1] = ACTIONS(6952),
    [aux_sym_stop_statement_token2] = ACTIONS(6952),
    [aux_sym_keyword_statement_token2] = ACTIONS(6952),
    [aux_sym_keyword_statement_token3] = ACTIONS(6952),
    [aux_sym_include_statement_token1] = ACTIONS(6952),
    [aux_sym_data_statement_token1] = ACTIONS(6952),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6952),
    [aux_sym_end_if_statement_token1] = ACTIONS(6952),
    [aux_sym_elseif_clause_token2] = ACTIONS(6952),
    [aux_sym_select_case_statement_token1] = ACTIONS(6952),
    [aux_sym_block_construct_token1] = ACTIONS(6952),
    [aux_sym_format_statement_token1] = ACTIONS(6952),
    [aux_sym_inquire_statement_token1] = ACTIONS(6952),
    [aux_sym_enum_statement_token1] = ACTIONS(6952),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6952),
    [aux_sym_entry_statement_token1] = ACTIONS(6952),
    [aux_sym_null_literal_token1] = ACTIONS(6952),
    [aux_sym_coarray_statement_token1] = ACTIONS(6952),
    [aux_sym_coarray_statement_token2] = ACTIONS(6952),
    [aux_sym_coarray_statement_token6] = ACTIONS(6952),
    [aux_sym_coarray_statement_token8] = ACTIONS(6952),
    [aux_sym_coarray_statement_token11] = ACTIONS(6952),
    [aux_sym_coarray_statement_token12] = ACTIONS(6952),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6952),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6952),
    [aux_sym_identifier_token1] = ACTIONS(6952),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6954),
  },
  [2901] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6946),
    [aux_sym_preproc_def_token1] = ACTIONS(6946),
    [aux_sym_preproc_if_token1] = ACTIONS(6946),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6946),
    [sym_preproc_directive] = ACTIONS(6946),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6946),
    [aux_sym_end_module_statement_token1] = ACTIONS(6946),
    [aux_sym_interface_statement_token1] = ACTIONS(6946),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6946),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6946),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6946),
    [aux_sym_language_binding_token1] = ACTIONS(6946),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6946),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6946),
    [aux_sym_contains_statement_token1] = ACTIONS(6946),
    [aux_sym_use_statement_token1] = ACTIONS(6946),
    [aux_sym_use_statement_token2] = ACTIONS(6946),
    [aux_sym_implicit_statement_token1] = ACTIONS(6946),
    [aux_sym_implicit_statement_token3] = ACTIONS(6946),
    [aux_sym_implicit_statement_token4] = ACTIONS(6946),
    [aux_sym_save_statement_token1] = ACTIONS(6946),
    [aux_sym_private_statement_token1] = ACTIONS(6946),
    [aux_sym_public_statement_token1] = ACTIONS(6946),
    [aux_sym_namelist_statement_token1] = ACTIONS(6946),
    [aux_sym_common_statement_token1] = ACTIONS(6946),
    [aux_sym_import_statement_token1] = ACTIONS(6946),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6946),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6946),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6946),
    [aux_sym_variable_attributes_token1] = ACTIONS(6946),
    [aux_sym_variable_attributes_token2] = ACTIONS(6946),
    [aux_sym_variable_attributes_token3] = ACTIONS(6946),
    [aux_sym_variable_attributes_token4] = ACTIONS(6946),
    [aux_sym_variable_attributes_token5] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6946),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6946),
    [aux_sym_derived_type_token1] = ACTIONS(6946),
    [aux_sym_declared_type_token1] = ACTIONS(6946),
    [aux_sym_declared_type_token2] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6946),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6946),
    [aux_sym_type_qualifier_token1] = ACTIONS(6946),
    [aux_sym_type_qualifier_token2] = ACTIONS(6946),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6946),
    [aux_sym_stop_statement_token1] = ACTIONS(6946),
    [aux_sym_stop_statement_token2] = ACTIONS(6946),
    [aux_sym_keyword_statement_token2] = ACTIONS(6946),
    [aux_sym_keyword_statement_token3] = ACTIONS(6946),
    [aux_sym_include_statement_token1] = ACTIONS(6946),
    [aux_sym_data_statement_token1] = ACTIONS(6946),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6946),
    [aux_sym_end_if_statement_token1] = ACTIONS(6946),
    [aux_sym_elseif_clause_token2] = ACTIONS(6946),
    [aux_sym_select_case_statement_token1] = ACTIONS(6946),
    [aux_sym_block_construct_token1] = ACTIONS(6946),
    [aux_sym_format_statement_token1] = ACTIONS(6946),
    [aux_sym_inquire_statement_token1] = ACTIONS(6946),
    [aux_sym_enum_statement_token1] = ACTIONS(6946),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6946),
    [aux_sym_entry_statement_token1] = ACTIONS(6946),
    [aux_sym_null_literal_token1] = ACTIONS(6946),
    [aux_sym_coarray_statement_token1] = ACTIONS(6946),
    [aux_sym_coarray_statement_token2] = ACTIONS(6946),
    [aux_sym_coarray_statement_token6] = ACTIONS(6946),
    [aux_sym_coarray_statement_token8] = ACTIONS(6946),
    [aux_sym_coarray_statement_token11] = ACTIONS(6946),
    [aux_sym_coarray_statement_token12] = ACTIONS(6946),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6946),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6946),
    [aux_sym_identifier_token1] = ACTIONS(6946),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6948),
  },
  [2902] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
  },
  [2903] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6886),
    [aux_sym_preproc_def_token1] = ACTIONS(6886),
    [aux_sym_preproc_if_token1] = ACTIONS(6886),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6886),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6886),
    [sym_preproc_directive] = ACTIONS(6886),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6886),
    [aux_sym_end_module_statement_token1] = ACTIONS(6886),
    [aux_sym_interface_statement_token1] = ACTIONS(6886),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6886),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6886),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6886),
    [aux_sym_language_binding_token1] = ACTIONS(6886),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6886),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6886),
    [aux_sym_contains_statement_token1] = ACTIONS(6886),
    [aux_sym_use_statement_token1] = ACTIONS(6886),
    [aux_sym_use_statement_token2] = ACTIONS(6886),
    [aux_sym_implicit_statement_token1] = ACTIONS(6886),
    [aux_sym_implicit_statement_token3] = ACTIONS(6886),
    [aux_sym_implicit_statement_token4] = ACTIONS(6886),
    [aux_sym_save_statement_token1] = ACTIONS(6886),
    [aux_sym_private_statement_token1] = ACTIONS(6886),
    [aux_sym_public_statement_token1] = ACTIONS(6886),
    [aux_sym_namelist_statement_token1] = ACTIONS(6886),
    [aux_sym_common_statement_token1] = ACTIONS(6886),
    [aux_sym_import_statement_token1] = ACTIONS(6886),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6886),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6886),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6886),
    [aux_sym_variable_attributes_token1] = ACTIONS(6886),
    [aux_sym_variable_attributes_token2] = ACTIONS(6886),
    [aux_sym_variable_attributes_token3] = ACTIONS(6886),
    [aux_sym_variable_attributes_token4] = ACTIONS(6886),
    [aux_sym_variable_attributes_token5] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6886),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6886),
    [aux_sym_derived_type_token1] = ACTIONS(6886),
    [aux_sym_declared_type_token1] = ACTIONS(6886),
    [aux_sym_declared_type_token2] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6886),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6886),
    [aux_sym_type_qualifier_token1] = ACTIONS(6886),
    [aux_sym_type_qualifier_token2] = ACTIONS(6886),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6886),
    [aux_sym_stop_statement_token1] = ACTIONS(6886),
    [aux_sym_stop_statement_token2] = ACTIONS(6886),
    [aux_sym_keyword_statement_token2] = ACTIONS(6886),
    [aux_sym_keyword_statement_token3] = ACTIONS(6886),
    [aux_sym_include_statement_token1] = ACTIONS(6886),
    [aux_sym_data_statement_token1] = ACTIONS(6886),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6886),
    [aux_sym_end_if_statement_token1] = ACTIONS(6886),
    [aux_sym_elseif_clause_token2] = ACTIONS(6886),
    [aux_sym_select_case_statement_token1] = ACTIONS(6886),
    [aux_sym_block_construct_token1] = ACTIONS(6886),
    [aux_sym_format_statement_token1] = ACTIONS(6886),
    [aux_sym_inquire_statement_token1] = ACTIONS(6886),
    [aux_sym_enum_statement_token1] = ACTIONS(6886),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6886),
    [aux_sym_entry_statement_token1] = ACTIONS(6886),
    [aux_sym_null_literal_token1] = ACTIONS(6886),
    [aux_sym_coarray_statement_token1] = ACTIONS(6886),
    [aux_sym_coarray_statement_token2] = ACTIONS(6886),
    [aux_sym_coarray_statement_token6] = ACTIONS(6886),
    [aux_sym_coarray_statement_token8] = ACTIONS(6886),
    [aux_sym_coarray_statement_token11] = ACTIONS(6886),
    [aux_sym_coarray_statement_token12] = ACTIONS(6886),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6886),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6886),
    [aux_sym_identifier_token1] = ACTIONS(6886),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6888),
  },
  [2904] = {
    [aux_sym_preproc_include_token1] = ACTIONS(6724),
    [aux_sym_preproc_def_token1] = ACTIONS(6724),
    [aux_sym_preproc_if_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6724),
    [sym_preproc_directive] = ACTIONS(6724),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6724),
    [aux_sym_end_module_statement_token1] = ACTIONS(6724),
    [aux_sym_interface_statement_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6724),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6724),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(6724),
    [aux_sym_language_binding_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6724),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6724),
    [aux_sym_contains_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token1] = ACTIONS(6724),
    [aux_sym_use_statement_token2] = ACTIONS(6724),
    [aux_sym_implicit_statement_token1] = ACTIONS(6724),
    [aux_sym_implicit_statement_token3] = ACTIONS(6724),
    [aux_sym_implicit_statement_token4] = ACTIONS(6724),
    [aux_sym_save_statement_token1] = ACTIONS(6724),
    [aux_sym_private_statement_token1] = ACTIONS(6724),
    [aux_sym_public_statement_token1] = ACTIONS(6724),
    [aux_sym_namelist_statement_token1] = ACTIONS(6724),
    [aux_sym_common_statement_token1] = ACTIONS(6724),
    [aux_sym_import_statement_token1] = ACTIONS(6724),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6724),
    [aux_sym_abstract_specifier_token1] = ACTIONS(6724),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6724),
    [aux_sym_variable_attributes_token1] = ACTIONS(6724),
    [aux_sym_variable_attributes_token2] = ACTIONS(6724),
    [aux_sym_variable_attributes_token3] = ACTIONS(6724),
    [aux_sym_variable_attributes_token4] = ACTIONS(6724),
    [aux_sym_variable_attributes_token5] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6724),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6724),
    [aux_sym_derived_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token1] = ACTIONS(6724),
    [aux_sym_declared_type_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6724),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(6724),
    [aux_sym_type_qualifier_token1] = ACTIONS(6724),
    [aux_sym_type_qualifier_token2] = ACTIONS(6724),
    [aux_sym_equivalence_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token1] = ACTIONS(6724),
    [aux_sym_stop_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token2] = ACTIONS(6724),
    [aux_sym_keyword_statement_token3] = ACTIONS(6724),
    [aux_sym_include_statement_token1] = ACTIONS(6724),
    [aux_sym_data_statement_token1] = ACTIONS(6724),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6724),
    [aux_sym_end_if_statement_token1] = ACTIONS(6724),
    [aux_sym_elseif_clause_token2] = ACTIONS(6724),
    [aux_sym_select_case_statement_token1] = ACTIONS(6724),
    [aux_sym_block_construct_token1] = ACTIONS(6724),
    [aux_sym_format_statement_token1] = ACTIONS(6724),
    [aux_sym_inquire_statement_token1] = ACTIONS(6724),
    [aux_sym_enum_statement_token1] = ACTIONS(6724),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(6724),
    [aux_sym_entry_statement_token1] = ACTIONS(6724),
    [aux_sym_null_literal_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_statement_token2] = ACTIONS(6724),
    [aux_sym_coarray_statement_token6] = ACTIONS(6724),
    [aux_sym_coarray_statement_token8] = ACTIONS(6724),
    [aux_sym_coarray_statement_token11] = ACTIONS(6724),
    [aux_sym_coarray_statement_token12] = ACTIONS(6724),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6724),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6724),
    [aux_sym_identifier_token1] = ACTIONS(6724),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6728),
  },
  [2905] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
  },
  [2906] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4293),
    [aux_sym_preproc_def_token1] = ACTIONS(4293),
    [aux_sym_preproc_if_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4293),
    [sym_preproc_directive] = ACTIONS(4293),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4293),
    [aux_sym_end_submodule_statement_token1] = ACTIONS(4293),
    [aux_sym_interface_statement_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4293),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4293),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4293),
    [aux_sym_language_binding_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4293),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4293),
    [aux_sym_contains_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token1] = ACTIONS(4293),
    [aux_sym_use_statement_token2] = ACTIONS(4293),
    [aux_sym_implicit_statement_token1] = ACTIONS(4293),
    [aux_sym_implicit_statement_token3] = ACTIONS(4293),
    [aux_sym_implicit_statement_token4] = ACTIONS(4293),
    [aux_sym_save_statement_token1] = ACTIONS(4293),
    [aux_sym_private_statement_token1] = ACTIONS(4293),
    [aux_sym_public_statement_token1] = ACTIONS(4293),
    [aux_sym_namelist_statement_token1] = ACTIONS(4293),
    [aux_sym_common_statement_token1] = ACTIONS(4293),
    [aux_sym_import_statement_token1] = ACTIONS(4293),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4293),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4293),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4293),
    [aux_sym_variable_attributes_token1] = ACTIONS(4293),
    [aux_sym_variable_attributes_token2] = ACTIONS(4293),
    [aux_sym_variable_attributes_token3] = ACTIONS(4293),
    [aux_sym_variable_attributes_token4] = ACTIONS(4293),
    [aux_sym_variable_attributes_token5] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4293),
    [aux_sym_derived_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token1] = ACTIONS(4293),
    [aux_sym_declared_type_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4293),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4293),
    [aux_sym_type_qualifier_token1] = ACTIONS(4293),
    [aux_sym_type_qualifier_token2] = ACTIONS(4293),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token1] = ACTIONS(4293),
    [aux_sym_stop_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token2] = ACTIONS(4293),
    [aux_sym_keyword_statement_token3] = ACTIONS(4293),
    [aux_sym_include_statement_token1] = ACTIONS(4293),
    [aux_sym_data_statement_token1] = ACTIONS(4293),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4293),
    [aux_sym_end_if_statement_token1] = ACTIONS(4293),
    [aux_sym_elseif_clause_token2] = ACTIONS(4293),
    [aux_sym_select_case_statement_token1] = ACTIONS(4293),
    [aux_sym_block_construct_token1] = ACTIONS(4293),
    [aux_sym_format_statement_token1] = ACTIONS(4293),
    [aux_sym_inquire_statement_token1] = ACTIONS(4293),
    [aux_sym_enum_statement_token1] = ACTIONS(4293),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4293),
    [aux_sym_entry_statement_token1] = ACTIONS(4293),
    [aux_sym_null_literal_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_statement_token2] = ACTIONS(4293),
    [aux_sym_coarray_statement_token6] = ACTIONS(4293),
    [aux_sym_coarray_statement_token8] = ACTIONS(4293),
    [aux_sym_coarray_statement_token11] = ACTIONS(4293),
    [aux_sym_coarray_statement_token12] = ACTIONS(4293),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4293),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4293),
    [aux_sym_identifier_token1] = ACTIONS(4293),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4295),
  },
  [2907] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_end_module_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
  },
  [2908] = {
    [sym__expression] = STATE(4666),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8192),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2909] = {
    [anon_sym_LPAREN2] = ACTIONS(6958),
    [anon_sym_PLUS] = ACTIONS(6960),
    [anon_sym_DASH] = ACTIONS(6960),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6958),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6958),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6958),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6958),
    [aux_sym_use_statement_token2] = ACTIONS(6958),
    [aux_sym_implicit_statement_token4] = ACTIONS(6958),
    [aux_sym_save_statement_token1] = ACTIONS(6958),
    [aux_sym_private_statement_token1] = ACTIONS(6958),
    [aux_sym_public_statement_token1] = ACTIONS(6958),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6958),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6958),
    [aux_sym_variable_attributes_token2] = ACTIONS(6958),
    [aux_sym_variable_attributes_token3] = ACTIONS(6958),
    [aux_sym_variable_attributes_token5] = ACTIONS(6958),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6958),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6958),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6958),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6958),
    [aux_sym_type_qualifier_token1] = ACTIONS(6958),
    [aux_sym_type_qualifier_token2] = ACTIONS(6958),
    [anon_sym_SEMI] = ACTIONS(6960),
    [aux_sym_stop_statement_token1] = ACTIONS(6958),
    [aux_sym_stop_statement_token2] = ACTIONS(6958),
    [aux_sym_subroutine_call_token1] = ACTIONS(6958),
    [aux_sym_keyword_statement_token1] = ACTIONS(6958),
    [aux_sym_keyword_statement_token2] = ACTIONS(6958),
    [aux_sym_keyword_statement_token3] = ACTIONS(6958),
    [aux_sym_keyword_statement_token4] = ACTIONS(6958),
    [aux_sym_keyword_statement_token6] = ACTIONS(6958),
    [aux_sym_keyword_statement_token7] = ACTIONS(6958),
    [aux_sym_include_statement_token1] = ACTIONS(6958),
    [aux_sym_data_statement_token1] = ACTIONS(6958),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6958),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6958),
    [aux_sym_end_if_statement_token1] = ACTIONS(6958),
    [aux_sym_elseif_clause_token2] = ACTIONS(6958),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6958),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6958),
    [aux_sym_select_case_statement_token1] = ACTIONS(6958),
    [aux_sym_select_case_statement_token3] = ACTIONS(6958),
    [aux_sym_select_type_statement_token1] = ACTIONS(6958),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6958),
    [aux_sym_block_construct_token1] = ACTIONS(6958),
    [aux_sym_associate_statement_token1] = ACTIONS(6958),
    [aux_sym_format_statement_token1] = ACTIONS(6958),
    [aux_sym_print_statement_token1] = ACTIONS(6958),
    [aux_sym_open_statement_token1] = ACTIONS(6958),
    [aux_sym_close_statement_token1] = ACTIONS(6958),
    [aux_sym_inquire_statement_token1] = ACTIONS(6958),
    [aux_sym_file_position_statement_token1] = ACTIONS(6958),
    [aux_sym_file_position_statement_token2] = ACTIONS(6958),
    [aux_sym_file_position_statement_token3] = ACTIONS(6958),
    [aux_sym_file_position_statement_token4] = ACTIONS(6958),
    [aux_sym_allocate_statement_token1] = ACTIONS(6958),
    [aux_sym_entry_statement_token1] = ACTIONS(6958),
    [aux_sym_logical_expression_token5] = ACTIONS(6960),
    [anon_sym_DOT] = ACTIONS(6958),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6960),
    [anon_sym_LBRACK] = ACTIONS(6960),
    [aux_sym_boolean_literal_token1] = ACTIONS(6960),
    [aux_sym_boolean_literal_token2] = ACTIONS(6960),
    [aux_sym_null_literal_token1] = ACTIONS(6958),
    [aux_sym_coarray_statement_token1] = ACTIONS(6958),
    [aux_sym_coarray_statement_token2] = ACTIONS(6958),
    [aux_sym_coarray_statement_token6] = ACTIONS(6958),
    [aux_sym_coarray_statement_token8] = ACTIONS(6958),
    [aux_sym_coarray_statement_token11] = ACTIONS(6958),
    [aux_sym_coarray_statement_token12] = ACTIONS(6958),
    [aux_sym_coarray_statement_token13] = ACTIONS(6958),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6958),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6958),
    [aux_sym_identifier_token1] = ACTIONS(6958),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6960),
    [sym__float_literal] = ACTIONS(6960),
    [sym__boz_literal] = ACTIONS(6960),
    [sym__string_literal] = ACTIONS(6960),
    [sym__string_literal_kind] = ACTIONS(6960),
    [sym__external_end_of_statement] = ACTIONS(6960),
  },
  [2910] = {
    [sym__expression] = STATE(4390),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(3755),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2911] = {
    [sym__expression] = STATE(4619),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(3755),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2912] = {
    [sym__expression] = STATE(4341),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(3755),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2913] = {
    [sym_sized_allocation] = STATE(6309),
    [sym_coarray_allocation] = STATE(7545),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5031),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5031),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2914] = {
    [sym__expression] = STATE(4669),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8367),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2915] = {
    [anon_sym_LPAREN2] = ACTIONS(6962),
    [anon_sym_PLUS] = ACTIONS(6964),
    [anon_sym_DASH] = ACTIONS(6964),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6962),
    [aux_sym_use_statement_token2] = ACTIONS(6962),
    [aux_sym_implicit_statement_token4] = ACTIONS(6962),
    [aux_sym_save_statement_token1] = ACTIONS(6962),
    [aux_sym_private_statement_token1] = ACTIONS(6962),
    [aux_sym_public_statement_token1] = ACTIONS(6962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6962),
    [aux_sym_variable_attributes_token2] = ACTIONS(6962),
    [aux_sym_variable_attributes_token3] = ACTIONS(6962),
    [aux_sym_variable_attributes_token5] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6962),
    [aux_sym_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym_type_qualifier_token2] = ACTIONS(6962),
    [anon_sym_SEMI] = ACTIONS(6964),
    [aux_sym_stop_statement_token1] = ACTIONS(6962),
    [aux_sym_stop_statement_token2] = ACTIONS(6962),
    [aux_sym_subroutine_call_token1] = ACTIONS(6962),
    [aux_sym_keyword_statement_token1] = ACTIONS(6962),
    [aux_sym_keyword_statement_token2] = ACTIONS(6962),
    [aux_sym_keyword_statement_token3] = ACTIONS(6962),
    [aux_sym_keyword_statement_token4] = ACTIONS(6962),
    [aux_sym_keyword_statement_token6] = ACTIONS(6962),
    [aux_sym_keyword_statement_token7] = ACTIONS(6962),
    [aux_sym_include_statement_token1] = ACTIONS(6962),
    [aux_sym_data_statement_token1] = ACTIONS(6962),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6962),
    [aux_sym_end_if_statement_token1] = ACTIONS(6962),
    [aux_sym_elseif_clause_token2] = ACTIONS(6962),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6962),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6962),
    [aux_sym_select_case_statement_token1] = ACTIONS(6962),
    [aux_sym_select_case_statement_token3] = ACTIONS(6962),
    [aux_sym_select_type_statement_token1] = ACTIONS(6962),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6962),
    [aux_sym_block_construct_token1] = ACTIONS(6962),
    [aux_sym_associate_statement_token1] = ACTIONS(6962),
    [aux_sym_format_statement_token1] = ACTIONS(6962),
    [aux_sym_print_statement_token1] = ACTIONS(6962),
    [aux_sym_open_statement_token1] = ACTIONS(6962),
    [aux_sym_close_statement_token1] = ACTIONS(6962),
    [aux_sym_inquire_statement_token1] = ACTIONS(6962),
    [aux_sym_file_position_statement_token1] = ACTIONS(6962),
    [aux_sym_file_position_statement_token2] = ACTIONS(6962),
    [aux_sym_file_position_statement_token3] = ACTIONS(6962),
    [aux_sym_file_position_statement_token4] = ACTIONS(6962),
    [aux_sym_allocate_statement_token1] = ACTIONS(6962),
    [aux_sym_entry_statement_token1] = ACTIONS(6962),
    [aux_sym_logical_expression_token5] = ACTIONS(6964),
    [anon_sym_DOT] = ACTIONS(6962),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6964),
    [anon_sym_LBRACK] = ACTIONS(6964),
    [aux_sym_boolean_literal_token1] = ACTIONS(6964),
    [aux_sym_boolean_literal_token2] = ACTIONS(6964),
    [aux_sym_null_literal_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token2] = ACTIONS(6962),
    [aux_sym_coarray_statement_token6] = ACTIONS(6962),
    [aux_sym_coarray_statement_token8] = ACTIONS(6962),
    [aux_sym_coarray_statement_token11] = ACTIONS(6962),
    [aux_sym_coarray_statement_token12] = ACTIONS(6962),
    [aux_sym_coarray_statement_token13] = ACTIONS(6962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6962),
    [aux_sym_identifier_token1] = ACTIONS(6962),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6964),
    [sym__float_literal] = ACTIONS(6964),
    [sym__boz_literal] = ACTIONS(6964),
    [sym__string_literal] = ACTIONS(6964),
    [sym__string_literal_kind] = ACTIONS(6964),
    [sym__external_end_of_statement] = ACTIONS(6964),
  },
  [2916] = {
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_PLUS] = ACTIONS(6968),
    [anon_sym_DASH] = ACTIONS(6968),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6966),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6966),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6966),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6966),
    [aux_sym_use_statement_token2] = ACTIONS(6966),
    [aux_sym_implicit_statement_token4] = ACTIONS(6966),
    [aux_sym_save_statement_token1] = ACTIONS(6966),
    [aux_sym_private_statement_token1] = ACTIONS(6966),
    [aux_sym_public_statement_token1] = ACTIONS(6966),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6966),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6966),
    [aux_sym_variable_attributes_token2] = ACTIONS(6966),
    [aux_sym_variable_attributes_token3] = ACTIONS(6966),
    [aux_sym_variable_attributes_token5] = ACTIONS(6966),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6966),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6966),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6966),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6966),
    [aux_sym_type_qualifier_token1] = ACTIONS(6966),
    [aux_sym_type_qualifier_token2] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(6968),
    [aux_sym_stop_statement_token1] = ACTIONS(6966),
    [aux_sym_stop_statement_token2] = ACTIONS(6966),
    [aux_sym_subroutine_call_token1] = ACTIONS(6966),
    [aux_sym_keyword_statement_token1] = ACTIONS(6966),
    [aux_sym_keyword_statement_token2] = ACTIONS(6966),
    [aux_sym_keyword_statement_token3] = ACTIONS(6966),
    [aux_sym_keyword_statement_token4] = ACTIONS(6966),
    [aux_sym_keyword_statement_token6] = ACTIONS(6966),
    [aux_sym_keyword_statement_token7] = ACTIONS(6966),
    [aux_sym_include_statement_token1] = ACTIONS(6966),
    [aux_sym_data_statement_token1] = ACTIONS(6966),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6966),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6966),
    [aux_sym_end_if_statement_token1] = ACTIONS(6966),
    [aux_sym_elseif_clause_token2] = ACTIONS(6966),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6966),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6966),
    [aux_sym_select_case_statement_token1] = ACTIONS(6966),
    [aux_sym_select_case_statement_token3] = ACTIONS(6966),
    [aux_sym_select_type_statement_token1] = ACTIONS(6966),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6966),
    [aux_sym_block_construct_token1] = ACTIONS(6966),
    [aux_sym_associate_statement_token1] = ACTIONS(6966),
    [aux_sym_format_statement_token1] = ACTIONS(6966),
    [aux_sym_print_statement_token1] = ACTIONS(6966),
    [aux_sym_open_statement_token1] = ACTIONS(6966),
    [aux_sym_close_statement_token1] = ACTIONS(6966),
    [aux_sym_inquire_statement_token1] = ACTIONS(6966),
    [aux_sym_file_position_statement_token1] = ACTIONS(6966),
    [aux_sym_file_position_statement_token2] = ACTIONS(6966),
    [aux_sym_file_position_statement_token3] = ACTIONS(6966),
    [aux_sym_file_position_statement_token4] = ACTIONS(6966),
    [aux_sym_allocate_statement_token1] = ACTIONS(6966),
    [aux_sym_entry_statement_token1] = ACTIONS(6966),
    [aux_sym_logical_expression_token5] = ACTIONS(6968),
    [anon_sym_DOT] = ACTIONS(6966),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6968),
    [anon_sym_LBRACK] = ACTIONS(6968),
    [aux_sym_boolean_literal_token1] = ACTIONS(6968),
    [aux_sym_boolean_literal_token2] = ACTIONS(6968),
    [aux_sym_null_literal_token1] = ACTIONS(6966),
    [aux_sym_coarray_statement_token1] = ACTIONS(6966),
    [aux_sym_coarray_statement_token2] = ACTIONS(6966),
    [aux_sym_coarray_statement_token6] = ACTIONS(6966),
    [aux_sym_coarray_statement_token8] = ACTIONS(6966),
    [aux_sym_coarray_statement_token11] = ACTIONS(6966),
    [aux_sym_coarray_statement_token12] = ACTIONS(6966),
    [aux_sym_coarray_statement_token13] = ACTIONS(6966),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6966),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6966),
    [aux_sym_identifier_token1] = ACTIONS(6966),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6968),
    [sym__float_literal] = ACTIONS(6968),
    [sym__boz_literal] = ACTIONS(6968),
    [sym__string_literal] = ACTIONS(6968),
    [sym__string_literal_kind] = ACTIONS(6968),
    [sym__external_end_of_statement] = ACTIONS(6968),
  },
  [2917] = {
    [anon_sym_LPAREN2] = ACTIONS(6970),
    [anon_sym_PLUS] = ACTIONS(6972),
    [anon_sym_DASH] = ACTIONS(6972),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6970),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6970),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6970),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6970),
    [aux_sym_use_statement_token2] = ACTIONS(6970),
    [aux_sym_implicit_statement_token4] = ACTIONS(6970),
    [aux_sym_save_statement_token1] = ACTIONS(6970),
    [aux_sym_private_statement_token1] = ACTIONS(6970),
    [aux_sym_public_statement_token1] = ACTIONS(6970),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6970),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6970),
    [aux_sym_variable_attributes_token2] = ACTIONS(6970),
    [aux_sym_variable_attributes_token3] = ACTIONS(6970),
    [aux_sym_variable_attributes_token5] = ACTIONS(6970),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6970),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6970),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6970),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6970),
    [aux_sym_type_qualifier_token1] = ACTIONS(6970),
    [aux_sym_type_qualifier_token2] = ACTIONS(6970),
    [anon_sym_SEMI] = ACTIONS(6972),
    [aux_sym_stop_statement_token1] = ACTIONS(6970),
    [aux_sym_stop_statement_token2] = ACTIONS(6970),
    [aux_sym_subroutine_call_token1] = ACTIONS(6970),
    [aux_sym_keyword_statement_token1] = ACTIONS(6970),
    [aux_sym_keyword_statement_token2] = ACTIONS(6970),
    [aux_sym_keyword_statement_token3] = ACTIONS(6970),
    [aux_sym_keyword_statement_token4] = ACTIONS(6970),
    [aux_sym_keyword_statement_token6] = ACTIONS(6970),
    [aux_sym_keyword_statement_token7] = ACTIONS(6970),
    [aux_sym_include_statement_token1] = ACTIONS(6970),
    [aux_sym_data_statement_token1] = ACTIONS(6970),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6970),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6970),
    [aux_sym_end_if_statement_token1] = ACTIONS(6970),
    [aux_sym_elseif_clause_token2] = ACTIONS(6970),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6970),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6970),
    [aux_sym_select_case_statement_token1] = ACTIONS(6970),
    [aux_sym_select_case_statement_token3] = ACTIONS(6970),
    [aux_sym_select_type_statement_token1] = ACTIONS(6970),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6970),
    [aux_sym_block_construct_token1] = ACTIONS(6970),
    [aux_sym_associate_statement_token1] = ACTIONS(6970),
    [aux_sym_format_statement_token1] = ACTIONS(6970),
    [aux_sym_print_statement_token1] = ACTIONS(6970),
    [aux_sym_open_statement_token1] = ACTIONS(6970),
    [aux_sym_close_statement_token1] = ACTIONS(6970),
    [aux_sym_inquire_statement_token1] = ACTIONS(6970),
    [aux_sym_file_position_statement_token1] = ACTIONS(6970),
    [aux_sym_file_position_statement_token2] = ACTIONS(6970),
    [aux_sym_file_position_statement_token3] = ACTIONS(6970),
    [aux_sym_file_position_statement_token4] = ACTIONS(6970),
    [aux_sym_allocate_statement_token1] = ACTIONS(6970),
    [aux_sym_entry_statement_token1] = ACTIONS(6970),
    [aux_sym_logical_expression_token5] = ACTIONS(6972),
    [anon_sym_DOT] = ACTIONS(6970),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6972),
    [anon_sym_LBRACK] = ACTIONS(6972),
    [aux_sym_boolean_literal_token1] = ACTIONS(6972),
    [aux_sym_boolean_literal_token2] = ACTIONS(6972),
    [aux_sym_null_literal_token1] = ACTIONS(6970),
    [aux_sym_coarray_statement_token1] = ACTIONS(6970),
    [aux_sym_coarray_statement_token2] = ACTIONS(6970),
    [aux_sym_coarray_statement_token6] = ACTIONS(6970),
    [aux_sym_coarray_statement_token8] = ACTIONS(6970),
    [aux_sym_coarray_statement_token11] = ACTIONS(6970),
    [aux_sym_coarray_statement_token12] = ACTIONS(6970),
    [aux_sym_coarray_statement_token13] = ACTIONS(6970),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6970),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6970),
    [aux_sym_identifier_token1] = ACTIONS(6970),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6972),
    [sym__float_literal] = ACTIONS(6972),
    [sym__boz_literal] = ACTIONS(6972),
    [sym__string_literal] = ACTIONS(6972),
    [sym__string_literal_kind] = ACTIONS(6972),
    [sym__external_end_of_statement] = ACTIONS(6972),
  },
  [2918] = {
    [sym__expression] = STATE(4441),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym__extent_specifier] = STATE(7629),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [anon_sym_COLON] = ACTIONS(5916),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2919] = {
    [sym__expression] = STATE(4656),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8565),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2920] = {
    [sym__expression] = STATE(4236),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(3755),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [2921] = {
    [sym__expression] = STATE(4672),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8611),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2922] = {
    [sym__expression] = STATE(4497),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_nil_literal] = STATE(4889),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(7006),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [2923] = {
    [sym__expression] = STATE(4679),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(7926),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2924] = {
    [anon_sym_LPAREN2] = ACTIONS(7014),
    [anon_sym_PLUS] = ACTIONS(7016),
    [anon_sym_DASH] = ACTIONS(7016),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7014),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7014),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7014),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7014),
    [aux_sym_use_statement_token2] = ACTIONS(7014),
    [aux_sym_implicit_statement_token4] = ACTIONS(7014),
    [aux_sym_save_statement_token1] = ACTIONS(7014),
    [aux_sym_private_statement_token1] = ACTIONS(7014),
    [aux_sym_public_statement_token1] = ACTIONS(7014),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7014),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7014),
    [aux_sym_variable_attributes_token2] = ACTIONS(7014),
    [aux_sym_variable_attributes_token3] = ACTIONS(7014),
    [aux_sym_variable_attributes_token5] = ACTIONS(7014),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7014),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7014),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7014),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7014),
    [aux_sym_type_qualifier_token1] = ACTIONS(7014),
    [aux_sym_type_qualifier_token2] = ACTIONS(7014),
    [anon_sym_SEMI] = ACTIONS(7016),
    [aux_sym_stop_statement_token1] = ACTIONS(7014),
    [aux_sym_stop_statement_token2] = ACTIONS(7014),
    [aux_sym_subroutine_call_token1] = ACTIONS(7014),
    [aux_sym_keyword_statement_token1] = ACTIONS(7014),
    [aux_sym_keyword_statement_token2] = ACTIONS(7014),
    [aux_sym_keyword_statement_token3] = ACTIONS(7014),
    [aux_sym_keyword_statement_token4] = ACTIONS(7014),
    [aux_sym_keyword_statement_token6] = ACTIONS(7014),
    [aux_sym_keyword_statement_token7] = ACTIONS(7014),
    [aux_sym_include_statement_token1] = ACTIONS(7014),
    [aux_sym_data_statement_token1] = ACTIONS(7014),
    [aux_sym_do_loop_statement_token1] = ACTIONS(7014),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7014),
    [aux_sym_end_if_statement_token1] = ACTIONS(7014),
    [aux_sym_elseif_clause_token2] = ACTIONS(7014),
    [aux_sym__inline_where_statement_token1] = ACTIONS(7014),
    [aux_sym__forall_control_expression_token1] = ACTIONS(7014),
    [aux_sym_select_case_statement_token1] = ACTIONS(7014),
    [aux_sym_select_case_statement_token3] = ACTIONS(7014),
    [aux_sym_select_type_statement_token1] = ACTIONS(7014),
    [aux_sym_select_rank_statement_token1] = ACTIONS(7014),
    [aux_sym_block_construct_token1] = ACTIONS(7014),
    [aux_sym_associate_statement_token1] = ACTIONS(7014),
    [aux_sym_format_statement_token1] = ACTIONS(7014),
    [aux_sym_print_statement_token1] = ACTIONS(7014),
    [aux_sym_open_statement_token1] = ACTIONS(7014),
    [aux_sym_close_statement_token1] = ACTIONS(7014),
    [aux_sym_inquire_statement_token1] = ACTIONS(7014),
    [aux_sym_file_position_statement_token1] = ACTIONS(7014),
    [aux_sym_file_position_statement_token2] = ACTIONS(7014),
    [aux_sym_file_position_statement_token3] = ACTIONS(7014),
    [aux_sym_file_position_statement_token4] = ACTIONS(7014),
    [aux_sym_allocate_statement_token1] = ACTIONS(7014),
    [aux_sym_entry_statement_token1] = ACTIONS(7014),
    [aux_sym_logical_expression_token5] = ACTIONS(7016),
    [anon_sym_DOT] = ACTIONS(7014),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7016),
    [anon_sym_LBRACK] = ACTIONS(7016),
    [aux_sym_boolean_literal_token1] = ACTIONS(7016),
    [aux_sym_boolean_literal_token2] = ACTIONS(7016),
    [aux_sym_null_literal_token1] = ACTIONS(7014),
    [aux_sym_coarray_statement_token1] = ACTIONS(7014),
    [aux_sym_coarray_statement_token2] = ACTIONS(7014),
    [aux_sym_coarray_statement_token6] = ACTIONS(7014),
    [aux_sym_coarray_statement_token8] = ACTIONS(7014),
    [aux_sym_coarray_statement_token11] = ACTIONS(7014),
    [aux_sym_coarray_statement_token12] = ACTIONS(7014),
    [aux_sym_coarray_statement_token13] = ACTIONS(7014),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7014),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7014),
    [aux_sym_identifier_token1] = ACTIONS(7014),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7016),
    [sym__float_literal] = ACTIONS(7016),
    [sym__boz_literal] = ACTIONS(7016),
    [sym__string_literal] = ACTIONS(7016),
    [sym__string_literal_kind] = ACTIONS(7016),
    [sym__external_end_of_statement] = ACTIONS(7016),
  },
  [2925] = {
    [sym__expression] = STATE(4686),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8153),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2926] = {
    [sym__expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(3755),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [2927] = {
    [sym__expression] = STATE(4668),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_nil_literal] = STATE(8279),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_nil_literal_token1] = ACTIONS(6956),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2928] = {
    [sym_sized_allocation] = STATE(6113),
    [sym_coarray_allocation] = STATE(6712),
    [sym__expression] = STATE(4703),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(4852),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4852),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2929] = {
    [sym__expression] = STATE(4421),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_nil_literal] = STATE(4719),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_nil_literal_token1] = ACTIONS(7026),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2930] = {
    [sym__expression] = STATE(4383),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7028),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(7028),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2931] = {
    [sym_triplet_spec] = STATE(7448),
    [sym__expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(5244),
    [sym_relational_expression] = STATE(5244),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5246),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2932] = {
    [anon_sym_LPAREN2] = ACTIONS(6962),
    [anon_sym_PLUS] = ACTIONS(6964),
    [anon_sym_DASH] = ACTIONS(6964),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6962),
    [aux_sym_use_statement_token2] = ACTIONS(6962),
    [aux_sym_implicit_statement_token4] = ACTIONS(6962),
    [aux_sym_save_statement_token1] = ACTIONS(6962),
    [aux_sym_private_statement_token1] = ACTIONS(6962),
    [aux_sym_public_statement_token1] = ACTIONS(6962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6962),
    [aux_sym_variable_attributes_token2] = ACTIONS(6962),
    [aux_sym_variable_attributes_token3] = ACTIONS(6962),
    [aux_sym_variable_attributes_token5] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6962),
    [aux_sym_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym_type_qualifier_token2] = ACTIONS(6962),
    [aux_sym_stop_statement_token1] = ACTIONS(6962),
    [aux_sym_stop_statement_token2] = ACTIONS(6962),
    [aux_sym_subroutine_call_token1] = ACTIONS(6962),
    [aux_sym_keyword_statement_token1] = ACTIONS(6962),
    [aux_sym_keyword_statement_token2] = ACTIONS(6962),
    [aux_sym_keyword_statement_token3] = ACTIONS(6962),
    [aux_sym_keyword_statement_token4] = ACTIONS(6962),
    [aux_sym_keyword_statement_token6] = ACTIONS(6962),
    [aux_sym_keyword_statement_token7] = ACTIONS(6962),
    [aux_sym_include_statement_token1] = ACTIONS(6962),
    [aux_sym_data_statement_token1] = ACTIONS(6962),
    [aux_sym_do_loop_statement_token1] = ACTIONS(6962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6962),
    [aux_sym__block_if_statement_token1] = ACTIONS(6962),
    [aux_sym_end_if_statement_token1] = ACTIONS(6962),
    [aux_sym_elseif_clause_token2] = ACTIONS(6962),
    [aux_sym__inline_where_statement_token1] = ACTIONS(6962),
    [aux_sym__forall_control_expression_token1] = ACTIONS(6962),
    [aux_sym_select_case_statement_token1] = ACTIONS(6962),
    [aux_sym_select_case_statement_token3] = ACTIONS(6962),
    [aux_sym_select_type_statement_token1] = ACTIONS(6962),
    [aux_sym_select_rank_statement_token1] = ACTIONS(6962),
    [aux_sym_block_construct_token1] = ACTIONS(6962),
    [aux_sym_associate_statement_token1] = ACTIONS(6962),
    [aux_sym_format_statement_token1] = ACTIONS(6962),
    [aux_sym_print_statement_token1] = ACTIONS(6962),
    [aux_sym_open_statement_token1] = ACTIONS(6962),
    [aux_sym_close_statement_token1] = ACTIONS(6962),
    [aux_sym_inquire_statement_token1] = ACTIONS(6962),
    [aux_sym_file_position_statement_token1] = ACTIONS(6962),
    [aux_sym_file_position_statement_token2] = ACTIONS(6962),
    [aux_sym_file_position_statement_token3] = ACTIONS(6962),
    [aux_sym_file_position_statement_token4] = ACTIONS(6962),
    [aux_sym_allocate_statement_token1] = ACTIONS(6962),
    [aux_sym_entry_statement_token1] = ACTIONS(6962),
    [aux_sym_logical_expression_token5] = ACTIONS(6964),
    [anon_sym_DOT] = ACTIONS(6962),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6964),
    [anon_sym_LBRACK] = ACTIONS(6964),
    [aux_sym_boolean_literal_token1] = ACTIONS(6964),
    [aux_sym_boolean_literal_token2] = ACTIONS(6964),
    [aux_sym_null_literal_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token2] = ACTIONS(6962),
    [aux_sym_coarray_statement_token6] = ACTIONS(6962),
    [aux_sym_coarray_statement_token8] = ACTIONS(6962),
    [aux_sym_coarray_statement_token11] = ACTIONS(6962),
    [aux_sym_coarray_statement_token12] = ACTIONS(6962),
    [aux_sym_coarray_statement_token13] = ACTIONS(6962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6962),
    [aux_sym_identifier_token1] = ACTIONS(6962),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(6964),
    [sym__float_literal] = ACTIONS(6964),
    [sym__boz_literal] = ACTIONS(6964),
    [sym__string_literal] = ACTIONS(6964),
    [sym__string_literal_kind] = ACTIONS(6964),
  },
  [2933] = {
    [sym__expression] = STATE(4644),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(7030),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2934] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(8546),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2935] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(8592),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2936] = {
    [sym_input_item_list] = STATE(7657),
    [sym__expression] = STATE(4382),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2937] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(8669),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2938] = {
    [sym_triplet_spec] = STATE(7448),
    [sym__expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(5245),
    [sym_relational_expression] = STATE(5245),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5246),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2939] = {
    [sym__expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(7032),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2940] = {
    [sym_triplet_spec] = STATE(7448),
    [sym__expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(5248),
    [sym_relational_expression] = STATE(5248),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5246),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2941] = {
    [sym_output_item_list] = STATE(7460),
    [sym__expression] = STATE(4386),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2942] = {
    [sym_data_set] = STATE(6591),
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(4824),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4824),
    [sym_implied_do_loop_expression] = STATE(4824),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4824),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2943] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(7718),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2944] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(8460),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2945] = {
    [sym_pointer_association_statement] = STATE(8288),
    [sym__expression] = STATE(4608),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2946] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_loop_control_expression] = STATE(7727),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5132),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2947] = {
    [sym_concurrent_control] = STATE(7696),
    [sym__expression] = STATE(4647),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5240),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2948] = {
    [sym_concurrent_control] = STATE(7696),
    [sym__expression] = STATE(4684),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5240),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2949] = {
    [sym_data_set] = STATE(6340),
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(4824),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4824),
    [sym_implied_do_loop_expression] = STATE(4824),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4824),
    [anon_sym_LPAREN2] = ACTIONS(5547),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2950] = {
    [sym_triplet_spec] = STATE(7448),
    [sym__expression] = STATE(4695),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(5249),
    [sym_relational_expression] = STATE(5249),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5246),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2951] = {
    [sym_concurrent_control] = STATE(7696),
    [sym__expression] = STATE(4671),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5240),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2952] = {
    [sym__expression] = STATE(4603),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_COMMA] = ACTIONS(7034),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2953] = {
    [sym_concurrent_control] = STATE(7696),
    [sym__expression] = STATE(4667),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5240),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2954] = {
    [sym__expression] = STATE(4380),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2955] = {
    [sym__name] = STATE(6765),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4533),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7036),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7038),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7038),
  },
  [2956] = {
    [sym__expression] = STATE(4470),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [2957] = {
    [sym__expression] = STATE(4681),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2958] = {
    [sym__name] = STATE(6767),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4552),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7040),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7042),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7042),
  },
  [2959] = {
    [sym__expression] = STATE(4471),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [2960] = {
    [sym__expression] = STATE(4483),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [2961] = {
    [sym__expression] = STATE(4473),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [2962] = {
    [sym__expression] = STATE(4641),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2963] = {
    [sym__expression] = STATE(4394),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [2964] = {
    [sym__expression] = STATE(4590),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2965] = {
    [sym__expression] = STATE(4628),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2966] = {
    [sym__name] = STATE(6627),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1044),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7044),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7046),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7046),
  },
  [2967] = {
    [sym__expression] = STATE(4638),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2968] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5086),
    [aux_sym_interface_statement_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5086),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5086),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5086),
    [aux_sym_language_binding_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5086),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5086),
    [aux_sym_contains_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token1] = ACTIONS(5086),
    [aux_sym_use_statement_token2] = ACTIONS(5086),
    [aux_sym_implicit_statement_token1] = ACTIONS(5086),
    [aux_sym_implicit_statement_token3] = ACTIONS(5086),
    [aux_sym_implicit_statement_token4] = ACTIONS(5086),
    [aux_sym_save_statement_token1] = ACTIONS(5086),
    [aux_sym_private_statement_token1] = ACTIONS(5086),
    [aux_sym_public_statement_token1] = ACTIONS(5086),
    [aux_sym_namelist_statement_token1] = ACTIONS(5086),
    [aux_sym_common_statement_token1] = ACTIONS(5086),
    [aux_sym_import_statement_token1] = ACTIONS(5086),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5086),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5086),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5086),
    [aux_sym_variable_attributes_token1] = ACTIONS(5086),
    [aux_sym_variable_attributes_token2] = ACTIONS(5086),
    [aux_sym_variable_attributes_token3] = ACTIONS(5086),
    [aux_sym_variable_attributes_token4] = ACTIONS(5086),
    [aux_sym_variable_attributes_token5] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5086),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5086),
    [aux_sym_derived_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token1] = ACTIONS(5086),
    [aux_sym_declared_type_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5086),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5086),
    [aux_sym_type_qualifier_token1] = ACTIONS(5086),
    [aux_sym_type_qualifier_token2] = ACTIONS(5086),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token1] = ACTIONS(5086),
    [aux_sym_stop_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token2] = ACTIONS(5086),
    [aux_sym_keyword_statement_token3] = ACTIONS(5086),
    [aux_sym_include_statement_token1] = ACTIONS(5086),
    [aux_sym_data_statement_token1] = ACTIONS(5086),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5086),
    [aux_sym_end_if_statement_token1] = ACTIONS(5086),
    [aux_sym_elseif_clause_token2] = ACTIONS(5086),
    [aux_sym_select_case_statement_token1] = ACTIONS(5086),
    [aux_sym_block_construct_token1] = ACTIONS(5086),
    [aux_sym_format_statement_token1] = ACTIONS(5086),
    [aux_sym_inquire_statement_token1] = ACTIONS(5086),
    [aux_sym_enum_statement_token1] = ACTIONS(5086),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5086),
    [aux_sym_entry_statement_token1] = ACTIONS(5086),
    [aux_sym_null_literal_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_statement_token2] = ACTIONS(5086),
    [aux_sym_coarray_statement_token6] = ACTIONS(5086),
    [aux_sym_coarray_statement_token8] = ACTIONS(5086),
    [aux_sym_coarray_statement_token11] = ACTIONS(5086),
    [aux_sym_coarray_statement_token12] = ACTIONS(5086),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5086),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5086),
    [aux_sym_identifier_token1] = ACTIONS(5086),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5088),
  },
  [2969] = {
    [sym__expression] = STATE(4642),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2970] = {
    [sym__name] = STATE(6559),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4568),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7048),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7050),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7050),
  },
  [2971] = {
    [sym__expression] = STATE(4622),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2972] = {
    [sym__name] = STATE(6809),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5228),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7052),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7054),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7054),
  },
  [2973] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5038),
    [aux_sym_preproc_def_token1] = ACTIONS(5038),
    [aux_sym_preproc_if_token2] = ACTIONS(5038),
    [sym_preproc_directive] = ACTIONS(5038),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5038),
    [aux_sym_interface_statement_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5038),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5038),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5038),
    [aux_sym_language_binding_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5038),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5038),
    [aux_sym_contains_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token1] = ACTIONS(5038),
    [aux_sym_use_statement_token2] = ACTIONS(5038),
    [aux_sym_implicit_statement_token1] = ACTIONS(5038),
    [aux_sym_implicit_statement_token3] = ACTIONS(5038),
    [aux_sym_implicit_statement_token4] = ACTIONS(5038),
    [aux_sym_save_statement_token1] = ACTIONS(5038),
    [aux_sym_private_statement_token1] = ACTIONS(5038),
    [aux_sym_public_statement_token1] = ACTIONS(5038),
    [aux_sym_namelist_statement_token1] = ACTIONS(5038),
    [aux_sym_common_statement_token1] = ACTIONS(5038),
    [aux_sym_import_statement_token1] = ACTIONS(5038),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5038),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5038),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5038),
    [aux_sym_variable_attributes_token1] = ACTIONS(5038),
    [aux_sym_variable_attributes_token2] = ACTIONS(5038),
    [aux_sym_variable_attributes_token3] = ACTIONS(5038),
    [aux_sym_variable_attributes_token4] = ACTIONS(5038),
    [aux_sym_variable_attributes_token5] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5038),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5038),
    [aux_sym_derived_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token1] = ACTIONS(5038),
    [aux_sym_declared_type_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5038),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5038),
    [aux_sym_type_qualifier_token1] = ACTIONS(5038),
    [aux_sym_type_qualifier_token2] = ACTIONS(5038),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token1] = ACTIONS(5038),
    [aux_sym_stop_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token2] = ACTIONS(5038),
    [aux_sym_keyword_statement_token3] = ACTIONS(5038),
    [aux_sym_include_statement_token1] = ACTIONS(5038),
    [aux_sym_data_statement_token1] = ACTIONS(5038),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5038),
    [aux_sym_end_if_statement_token1] = ACTIONS(5038),
    [aux_sym_elseif_clause_token2] = ACTIONS(5038),
    [aux_sym_select_case_statement_token1] = ACTIONS(5038),
    [aux_sym_block_construct_token1] = ACTIONS(5038),
    [aux_sym_format_statement_token1] = ACTIONS(5038),
    [aux_sym_inquire_statement_token1] = ACTIONS(5038),
    [aux_sym_enum_statement_token1] = ACTIONS(5038),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5038),
    [aux_sym_entry_statement_token1] = ACTIONS(5038),
    [aux_sym_null_literal_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_statement_token2] = ACTIONS(5038),
    [aux_sym_coarray_statement_token6] = ACTIONS(5038),
    [aux_sym_coarray_statement_token8] = ACTIONS(5038),
    [aux_sym_coarray_statement_token11] = ACTIONS(5038),
    [aux_sym_coarray_statement_token12] = ACTIONS(5038),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5038),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5038),
    [aux_sym_identifier_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5040),
  },
  [2974] = {
    [sym__expression] = STATE(4443),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2975] = {
    [sym__expression] = STATE(4580),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2976] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5104),
    [aux_sym_interface_statement_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5104),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5104),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5104),
    [aux_sym_language_binding_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5104),
    [aux_sym_contains_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token1] = ACTIONS(5104),
    [aux_sym_use_statement_token2] = ACTIONS(5104),
    [aux_sym_implicit_statement_token1] = ACTIONS(5104),
    [aux_sym_implicit_statement_token3] = ACTIONS(5104),
    [aux_sym_implicit_statement_token4] = ACTIONS(5104),
    [aux_sym_save_statement_token1] = ACTIONS(5104),
    [aux_sym_private_statement_token1] = ACTIONS(5104),
    [aux_sym_public_statement_token1] = ACTIONS(5104),
    [aux_sym_namelist_statement_token1] = ACTIONS(5104),
    [aux_sym_common_statement_token1] = ACTIONS(5104),
    [aux_sym_import_statement_token1] = ACTIONS(5104),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5104),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5104),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5104),
    [aux_sym_variable_attributes_token1] = ACTIONS(5104),
    [aux_sym_variable_attributes_token2] = ACTIONS(5104),
    [aux_sym_variable_attributes_token3] = ACTIONS(5104),
    [aux_sym_variable_attributes_token4] = ACTIONS(5104),
    [aux_sym_variable_attributes_token5] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5104),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5104),
    [aux_sym_derived_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token1] = ACTIONS(5104),
    [aux_sym_declared_type_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5104),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5104),
    [aux_sym_type_qualifier_token1] = ACTIONS(5104),
    [aux_sym_type_qualifier_token2] = ACTIONS(5104),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token1] = ACTIONS(5104),
    [aux_sym_stop_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token2] = ACTIONS(5104),
    [aux_sym_keyword_statement_token3] = ACTIONS(5104),
    [aux_sym_include_statement_token1] = ACTIONS(5104),
    [aux_sym_data_statement_token1] = ACTIONS(5104),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5104),
    [aux_sym_end_if_statement_token1] = ACTIONS(5104),
    [aux_sym_elseif_clause_token2] = ACTIONS(5104),
    [aux_sym_select_case_statement_token1] = ACTIONS(5104),
    [aux_sym_block_construct_token1] = ACTIONS(5104),
    [aux_sym_format_statement_token1] = ACTIONS(5104),
    [aux_sym_inquire_statement_token1] = ACTIONS(5104),
    [aux_sym_enum_statement_token1] = ACTIONS(5104),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5104),
    [aux_sym_entry_statement_token1] = ACTIONS(5104),
    [aux_sym_null_literal_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_statement_token2] = ACTIONS(5104),
    [aux_sym_coarray_statement_token6] = ACTIONS(5104),
    [aux_sym_coarray_statement_token8] = ACTIONS(5104),
    [aux_sym_coarray_statement_token11] = ACTIONS(5104),
    [aux_sym_coarray_statement_token12] = ACTIONS(5104),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5104),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5104),
    [aux_sym_identifier_token1] = ACTIONS(5104),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5106),
  },
  [2977] = {
    [sym__expression] = STATE(4631),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2978] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(5250),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5250),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2979] = {
    [sym__expression] = STATE(4417),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [2980] = {
    [sym__name] = STATE(6823),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5058),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7056),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7058),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7058),
  },
  [2981] = {
    [sym__expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2982] = {
    [sym__expression] = STATE(4370),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2983] = {
    [sym__name] = STATE(6826),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5077),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7060),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7062),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7062),
  },
  [2984] = {
    [sym__name] = STATE(6922),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(884),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7064),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7066),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7066),
  },
  [2985] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(5167),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5167),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2986] = {
    [sym__expression] = STATE(4589),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2987] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5108),
    [aux_sym_interface_statement_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5108),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5108),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5108),
    [aux_sym_language_binding_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5108),
    [aux_sym_contains_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token1] = ACTIONS(5108),
    [aux_sym_use_statement_token2] = ACTIONS(5108),
    [aux_sym_implicit_statement_token1] = ACTIONS(5108),
    [aux_sym_implicit_statement_token3] = ACTIONS(5108),
    [aux_sym_implicit_statement_token4] = ACTIONS(5108),
    [aux_sym_save_statement_token1] = ACTIONS(5108),
    [aux_sym_private_statement_token1] = ACTIONS(5108),
    [aux_sym_public_statement_token1] = ACTIONS(5108),
    [aux_sym_namelist_statement_token1] = ACTIONS(5108),
    [aux_sym_common_statement_token1] = ACTIONS(5108),
    [aux_sym_import_statement_token1] = ACTIONS(5108),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5108),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5108),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5108),
    [aux_sym_variable_attributes_token1] = ACTIONS(5108),
    [aux_sym_variable_attributes_token2] = ACTIONS(5108),
    [aux_sym_variable_attributes_token3] = ACTIONS(5108),
    [aux_sym_variable_attributes_token4] = ACTIONS(5108),
    [aux_sym_variable_attributes_token5] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5108),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5108),
    [aux_sym_derived_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token1] = ACTIONS(5108),
    [aux_sym_declared_type_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5108),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5108),
    [aux_sym_type_qualifier_token1] = ACTIONS(5108),
    [aux_sym_type_qualifier_token2] = ACTIONS(5108),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token1] = ACTIONS(5108),
    [aux_sym_stop_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token2] = ACTIONS(5108),
    [aux_sym_keyword_statement_token3] = ACTIONS(5108),
    [aux_sym_include_statement_token1] = ACTIONS(5108),
    [aux_sym_data_statement_token1] = ACTIONS(5108),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5108),
    [aux_sym_end_if_statement_token1] = ACTIONS(5108),
    [aux_sym_elseif_clause_token2] = ACTIONS(5108),
    [aux_sym_select_case_statement_token1] = ACTIONS(5108),
    [aux_sym_block_construct_token1] = ACTIONS(5108),
    [aux_sym_format_statement_token1] = ACTIONS(5108),
    [aux_sym_inquire_statement_token1] = ACTIONS(5108),
    [aux_sym_enum_statement_token1] = ACTIONS(5108),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5108),
    [aux_sym_entry_statement_token1] = ACTIONS(5108),
    [aux_sym_null_literal_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_statement_token2] = ACTIONS(5108),
    [aux_sym_coarray_statement_token6] = ACTIONS(5108),
    [aux_sym_coarray_statement_token8] = ACTIONS(5108),
    [aux_sym_coarray_statement_token11] = ACTIONS(5108),
    [aux_sym_coarray_statement_token12] = ACTIONS(5108),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5108),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5108),
    [aux_sym_identifier_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5110),
  },
  [2988] = {
    [sym__expression] = STATE(4416),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2989] = {
    [sym__name] = STATE(6576),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4992),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7068),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7070),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7070),
  },
  [2990] = {
    [sym__expression] = STATE(4462),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2991] = {
    [sym__expression] = STATE(4396),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2992] = {
    [sym__name] = STATE(6578),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4994),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7072),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7074),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7074),
  },
  [2993] = {
    [sym__expression] = STATE(4399),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2994] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4605),
    [aux_sym_preproc_def_token1] = ACTIONS(4605),
    [aux_sym_preproc_if_token2] = ACTIONS(4605),
    [sym_preproc_directive] = ACTIONS(4605),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4605),
    [aux_sym_interface_statement_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4605),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4605),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4605),
    [aux_sym_language_binding_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4605),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4605),
    [aux_sym_contains_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token1] = ACTIONS(4605),
    [aux_sym_use_statement_token2] = ACTIONS(4605),
    [aux_sym_implicit_statement_token1] = ACTIONS(4605),
    [aux_sym_implicit_statement_token3] = ACTIONS(4605),
    [aux_sym_implicit_statement_token4] = ACTIONS(4605),
    [aux_sym_save_statement_token1] = ACTIONS(4605),
    [aux_sym_private_statement_token1] = ACTIONS(4605),
    [aux_sym_public_statement_token1] = ACTIONS(4605),
    [aux_sym_namelist_statement_token1] = ACTIONS(4605),
    [aux_sym_common_statement_token1] = ACTIONS(4605),
    [aux_sym_import_statement_token1] = ACTIONS(4605),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4605),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4605),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4605),
    [aux_sym_variable_attributes_token1] = ACTIONS(4605),
    [aux_sym_variable_attributes_token2] = ACTIONS(4605),
    [aux_sym_variable_attributes_token3] = ACTIONS(4605),
    [aux_sym_variable_attributes_token4] = ACTIONS(4605),
    [aux_sym_variable_attributes_token5] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4605),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4605),
    [aux_sym_derived_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token1] = ACTIONS(4605),
    [aux_sym_declared_type_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4605),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4605),
    [aux_sym_type_qualifier_token1] = ACTIONS(4605),
    [aux_sym_type_qualifier_token2] = ACTIONS(4605),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token1] = ACTIONS(4605),
    [aux_sym_stop_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token2] = ACTIONS(4605),
    [aux_sym_keyword_statement_token3] = ACTIONS(4605),
    [aux_sym_include_statement_token1] = ACTIONS(4605),
    [aux_sym_data_statement_token1] = ACTIONS(4605),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4605),
    [aux_sym_end_if_statement_token1] = ACTIONS(4605),
    [aux_sym_elseif_clause_token2] = ACTIONS(4605),
    [aux_sym_select_case_statement_token1] = ACTIONS(4605),
    [aux_sym_block_construct_token1] = ACTIONS(4605),
    [aux_sym_format_statement_token1] = ACTIONS(4605),
    [aux_sym_inquire_statement_token1] = ACTIONS(4605),
    [aux_sym_enum_statement_token1] = ACTIONS(4605),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4605),
    [aux_sym_entry_statement_token1] = ACTIONS(4605),
    [aux_sym_null_literal_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_statement_token2] = ACTIONS(4605),
    [aux_sym_coarray_statement_token6] = ACTIONS(4605),
    [aux_sym_coarray_statement_token8] = ACTIONS(4605),
    [aux_sym_coarray_statement_token11] = ACTIONS(4605),
    [aux_sym_coarray_statement_token12] = ACTIONS(4605),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4605),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4605),
    [aux_sym_identifier_token1] = ACTIONS(4605),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4607),
  },
  [2995] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4609),
    [aux_sym_preproc_def_token1] = ACTIONS(4609),
    [aux_sym_preproc_if_token2] = ACTIONS(4609),
    [sym_preproc_directive] = ACTIONS(4609),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4609),
    [aux_sym_interface_statement_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4609),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4609),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4609),
    [aux_sym_language_binding_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4609),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4609),
    [aux_sym_contains_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token1] = ACTIONS(4609),
    [aux_sym_use_statement_token2] = ACTIONS(4609),
    [aux_sym_implicit_statement_token1] = ACTIONS(4609),
    [aux_sym_implicit_statement_token3] = ACTIONS(4609),
    [aux_sym_implicit_statement_token4] = ACTIONS(4609),
    [aux_sym_save_statement_token1] = ACTIONS(4609),
    [aux_sym_private_statement_token1] = ACTIONS(4609),
    [aux_sym_public_statement_token1] = ACTIONS(4609),
    [aux_sym_namelist_statement_token1] = ACTIONS(4609),
    [aux_sym_common_statement_token1] = ACTIONS(4609),
    [aux_sym_import_statement_token1] = ACTIONS(4609),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4609),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4609),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4609),
    [aux_sym_variable_attributes_token1] = ACTIONS(4609),
    [aux_sym_variable_attributes_token2] = ACTIONS(4609),
    [aux_sym_variable_attributes_token3] = ACTIONS(4609),
    [aux_sym_variable_attributes_token4] = ACTIONS(4609),
    [aux_sym_variable_attributes_token5] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4609),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4609),
    [aux_sym_derived_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token1] = ACTIONS(4609),
    [aux_sym_declared_type_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4609),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4609),
    [aux_sym_type_qualifier_token1] = ACTIONS(4609),
    [aux_sym_type_qualifier_token2] = ACTIONS(4609),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token1] = ACTIONS(4609),
    [aux_sym_stop_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token2] = ACTIONS(4609),
    [aux_sym_keyword_statement_token3] = ACTIONS(4609),
    [aux_sym_include_statement_token1] = ACTIONS(4609),
    [aux_sym_data_statement_token1] = ACTIONS(4609),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4609),
    [aux_sym_end_if_statement_token1] = ACTIONS(4609),
    [aux_sym_elseif_clause_token2] = ACTIONS(4609),
    [aux_sym_select_case_statement_token1] = ACTIONS(4609),
    [aux_sym_block_construct_token1] = ACTIONS(4609),
    [aux_sym_format_statement_token1] = ACTIONS(4609),
    [aux_sym_inquire_statement_token1] = ACTIONS(4609),
    [aux_sym_enum_statement_token1] = ACTIONS(4609),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4609),
    [aux_sym_entry_statement_token1] = ACTIONS(4609),
    [aux_sym_null_literal_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_statement_token2] = ACTIONS(4609),
    [aux_sym_coarray_statement_token6] = ACTIONS(4609),
    [aux_sym_coarray_statement_token8] = ACTIONS(4609),
    [aux_sym_coarray_statement_token11] = ACTIONS(4609),
    [aux_sym_coarray_statement_token12] = ACTIONS(4609),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4609),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4609),
    [aux_sym_identifier_token1] = ACTIONS(4609),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4611),
  },
  [2996] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5253),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(5253),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(5253),
    [sym_number_literal] = STATE(5253),
    [sym_boolean_literal] = STATE(5253),
    [sym_null_literal] = STATE(5253),
    [sym_string_literal] = STATE(5253),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5253),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2997] = {
    [sym__expression] = STATE(4618),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [2998] = {
    [sym__expression] = STATE(4463),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [2999] = {
    [sym__expression] = STATE(4474),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5053),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5053),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5053),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3000] = {
    [sym__name] = STATE(6872),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5133),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7076),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7078),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7078),
  },
  [3001] = {
    [sym__expression] = STATE(4393),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3002] = {
    [sym__name] = STATE(6876),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5162),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7080),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7082),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7082),
  },
  [3003] = {
    [sym__expression] = STATE(4418),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3004] = {
    [sym__expression] = STATE(4676),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3005] = {
    [sym__expression] = STATE(4364),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3006] = {
    [sym__name] = STATE(6599),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1041),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7084),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7086),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7086),
  },
  [3007] = {
    [sym__expression] = STATE(4365),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3008] = {
    [sym__expression] = STATE(4498),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3009] = {
    [sym__expression] = STATE(4366),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3010] = {
    [sym__expression] = STATE(4368),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3011] = {
    [sym__expression] = STATE(4601),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3012] = {
    [sym__expression] = STATE(4604),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3013] = {
    [sym__expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3014] = {
    [sym__name] = STATE(6921),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4790),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7088),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7090),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7090),
  },
  [3015] = {
    [sym__expression] = STATE(4511),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3016] = {
    [sym__expression] = STATE(4243),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3017] = {
    [sym__name] = STATE(6925),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4792),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7092),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7094),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7094),
  },
  [3018] = {
    [sym__expression] = STATE(4238),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3019] = {
    [sym__expression] = STATE(4376),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3020] = {
    [sym__expression] = STATE(4685),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3021] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(4842),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4842),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3022] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5042),
    [aux_sym_preproc_def_token1] = ACTIONS(5042),
    [aux_sym_preproc_if_token2] = ACTIONS(5042),
    [sym_preproc_directive] = ACTIONS(5042),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5042),
    [aux_sym_interface_statement_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5042),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5042),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5042),
    [aux_sym_language_binding_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5042),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5042),
    [aux_sym_contains_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token1] = ACTIONS(5042),
    [aux_sym_use_statement_token2] = ACTIONS(5042),
    [aux_sym_implicit_statement_token1] = ACTIONS(5042),
    [aux_sym_implicit_statement_token3] = ACTIONS(5042),
    [aux_sym_implicit_statement_token4] = ACTIONS(5042),
    [aux_sym_save_statement_token1] = ACTIONS(5042),
    [aux_sym_private_statement_token1] = ACTIONS(5042),
    [aux_sym_public_statement_token1] = ACTIONS(5042),
    [aux_sym_namelist_statement_token1] = ACTIONS(5042),
    [aux_sym_common_statement_token1] = ACTIONS(5042),
    [aux_sym_import_statement_token1] = ACTIONS(5042),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5042),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5042),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5042),
    [aux_sym_variable_attributes_token1] = ACTIONS(5042),
    [aux_sym_variable_attributes_token2] = ACTIONS(5042),
    [aux_sym_variable_attributes_token3] = ACTIONS(5042),
    [aux_sym_variable_attributes_token4] = ACTIONS(5042),
    [aux_sym_variable_attributes_token5] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5042),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5042),
    [aux_sym_derived_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token1] = ACTIONS(5042),
    [aux_sym_declared_type_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5042),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5042),
    [aux_sym_type_qualifier_token1] = ACTIONS(5042),
    [aux_sym_type_qualifier_token2] = ACTIONS(5042),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token1] = ACTIONS(5042),
    [aux_sym_stop_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token2] = ACTIONS(5042),
    [aux_sym_keyword_statement_token3] = ACTIONS(5042),
    [aux_sym_include_statement_token1] = ACTIONS(5042),
    [aux_sym_data_statement_token1] = ACTIONS(5042),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5042),
    [aux_sym_end_if_statement_token1] = ACTIONS(5042),
    [aux_sym_elseif_clause_token2] = ACTIONS(5042),
    [aux_sym_select_case_statement_token1] = ACTIONS(5042),
    [aux_sym_block_construct_token1] = ACTIONS(5042),
    [aux_sym_format_statement_token1] = ACTIONS(5042),
    [aux_sym_inquire_statement_token1] = ACTIONS(5042),
    [aux_sym_enum_statement_token1] = ACTIONS(5042),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5042),
    [aux_sym_entry_statement_token1] = ACTIONS(5042),
    [aux_sym_null_literal_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_statement_token2] = ACTIONS(5042),
    [aux_sym_coarray_statement_token6] = ACTIONS(5042),
    [aux_sym_coarray_statement_token8] = ACTIONS(5042),
    [aux_sym_coarray_statement_token11] = ACTIONS(5042),
    [aux_sym_coarray_statement_token12] = ACTIONS(5042),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5042),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5042),
    [aux_sym_identifier_token1] = ACTIONS(5042),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5044),
  },
  [3023] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5046),
    [aux_sym_preproc_def_token1] = ACTIONS(5046),
    [aux_sym_preproc_if_token2] = ACTIONS(5046),
    [sym_preproc_directive] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5046),
    [aux_sym_interface_statement_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5046),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5046),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5046),
    [aux_sym_language_binding_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5046),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5046),
    [aux_sym_contains_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token1] = ACTIONS(5046),
    [aux_sym_use_statement_token2] = ACTIONS(5046),
    [aux_sym_implicit_statement_token1] = ACTIONS(5046),
    [aux_sym_implicit_statement_token3] = ACTIONS(5046),
    [aux_sym_implicit_statement_token4] = ACTIONS(5046),
    [aux_sym_save_statement_token1] = ACTIONS(5046),
    [aux_sym_private_statement_token1] = ACTIONS(5046),
    [aux_sym_public_statement_token1] = ACTIONS(5046),
    [aux_sym_namelist_statement_token1] = ACTIONS(5046),
    [aux_sym_common_statement_token1] = ACTIONS(5046),
    [aux_sym_import_statement_token1] = ACTIONS(5046),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5046),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5046),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5046),
    [aux_sym_variable_attributes_token1] = ACTIONS(5046),
    [aux_sym_variable_attributes_token2] = ACTIONS(5046),
    [aux_sym_variable_attributes_token3] = ACTIONS(5046),
    [aux_sym_variable_attributes_token4] = ACTIONS(5046),
    [aux_sym_variable_attributes_token5] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5046),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5046),
    [aux_sym_derived_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token1] = ACTIONS(5046),
    [aux_sym_declared_type_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5046),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5046),
    [aux_sym_type_qualifier_token1] = ACTIONS(5046),
    [aux_sym_type_qualifier_token2] = ACTIONS(5046),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token1] = ACTIONS(5046),
    [aux_sym_stop_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token2] = ACTIONS(5046),
    [aux_sym_keyword_statement_token3] = ACTIONS(5046),
    [aux_sym_include_statement_token1] = ACTIONS(5046),
    [aux_sym_data_statement_token1] = ACTIONS(5046),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5046),
    [aux_sym_end_if_statement_token1] = ACTIONS(5046),
    [aux_sym_elseif_clause_token2] = ACTIONS(5046),
    [aux_sym_select_case_statement_token1] = ACTIONS(5046),
    [aux_sym_block_construct_token1] = ACTIONS(5046),
    [aux_sym_format_statement_token1] = ACTIONS(5046),
    [aux_sym_inquire_statement_token1] = ACTIONS(5046),
    [aux_sym_enum_statement_token1] = ACTIONS(5046),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5046),
    [aux_sym_entry_statement_token1] = ACTIONS(5046),
    [aux_sym_null_literal_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_statement_token2] = ACTIONS(5046),
    [aux_sym_coarray_statement_token6] = ACTIONS(5046),
    [aux_sym_coarray_statement_token8] = ACTIONS(5046),
    [aux_sym_coarray_statement_token11] = ACTIONS(5046),
    [aux_sym_coarray_statement_token12] = ACTIONS(5046),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5046),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5046),
    [aux_sym_identifier_token1] = ACTIONS(5046),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5048),
  },
  [3024] = {
    [sym__expression] = STATE(4602),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3025] = {
    [sym__expression] = STATE(4600),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3026] = {
    [sym__name] = STATE(6623),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5146),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7096),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7098),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7098),
  },
  [3027] = {
    [sym__expression] = STATE(4239),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3028] = {
    [sym__expression] = STATE(4675),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3029] = {
    [sym__expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3030] = {
    [sym__expression] = STATE(4444),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3031] = {
    [sym__name] = STATE(6494),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1000),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7100),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7102),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7102),
  },
  [3032] = {
    [sym__expression] = STATE(4429),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3033] = {
    [sym__name] = STATE(6970),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5070),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7104),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7106),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7106),
  },
  [3034] = {
    [sym__expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3035] = {
    [sym__name] = STATE(6498),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1002),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7108),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7110),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7110),
  },
  [3036] = {
    [sym__name] = STATE(6972),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5083),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7114),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7114),
  },
  [3037] = {
    [sym__expression] = STATE(4469),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3038] = {
    [sym__expression] = STATE(4240),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3039] = {
    [sym__expression] = STATE(4241),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3040] = {
    [sym__expression] = STATE(4485),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3041] = {
    [sym__name] = STATE(6641),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5134),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7118),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7118),
  },
  [3042] = {
    [sym__expression] = STATE(4242),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3043] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5090),
    [aux_sym_preproc_def_token1] = ACTIONS(5090),
    [aux_sym_preproc_if_token2] = ACTIONS(5090),
    [sym_preproc_directive] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5090),
    [aux_sym_interface_statement_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5090),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5090),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5090),
    [aux_sym_language_binding_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5090),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5090),
    [aux_sym_contains_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token1] = ACTIONS(5090),
    [aux_sym_use_statement_token2] = ACTIONS(5090),
    [aux_sym_implicit_statement_token1] = ACTIONS(5090),
    [aux_sym_implicit_statement_token3] = ACTIONS(5090),
    [aux_sym_implicit_statement_token4] = ACTIONS(5090),
    [aux_sym_save_statement_token1] = ACTIONS(5090),
    [aux_sym_private_statement_token1] = ACTIONS(5090),
    [aux_sym_public_statement_token1] = ACTIONS(5090),
    [aux_sym_namelist_statement_token1] = ACTIONS(5090),
    [aux_sym_common_statement_token1] = ACTIONS(5090),
    [aux_sym_import_statement_token1] = ACTIONS(5090),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5090),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5090),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5090),
    [aux_sym_variable_attributes_token1] = ACTIONS(5090),
    [aux_sym_variable_attributes_token2] = ACTIONS(5090),
    [aux_sym_variable_attributes_token3] = ACTIONS(5090),
    [aux_sym_variable_attributes_token4] = ACTIONS(5090),
    [aux_sym_variable_attributes_token5] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5090),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5090),
    [aux_sym_derived_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token1] = ACTIONS(5090),
    [aux_sym_declared_type_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5090),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5090),
    [aux_sym_type_qualifier_token1] = ACTIONS(5090),
    [aux_sym_type_qualifier_token2] = ACTIONS(5090),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token1] = ACTIONS(5090),
    [aux_sym_stop_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token2] = ACTIONS(5090),
    [aux_sym_keyword_statement_token3] = ACTIONS(5090),
    [aux_sym_include_statement_token1] = ACTIONS(5090),
    [aux_sym_data_statement_token1] = ACTIONS(5090),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5090),
    [aux_sym_end_if_statement_token1] = ACTIONS(5090),
    [aux_sym_elseif_clause_token2] = ACTIONS(5090),
    [aux_sym_select_case_statement_token1] = ACTIONS(5090),
    [aux_sym_block_construct_token1] = ACTIONS(5090),
    [aux_sym_format_statement_token1] = ACTIONS(5090),
    [aux_sym_inquire_statement_token1] = ACTIONS(5090),
    [aux_sym_enum_statement_token1] = ACTIONS(5090),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5090),
    [aux_sym_entry_statement_token1] = ACTIONS(5090),
    [aux_sym_null_literal_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_statement_token2] = ACTIONS(5090),
    [aux_sym_coarray_statement_token6] = ACTIONS(5090),
    [aux_sym_coarray_statement_token8] = ACTIONS(5090),
    [aux_sym_coarray_statement_token11] = ACTIONS(5090),
    [aux_sym_coarray_statement_token12] = ACTIONS(5090),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5090),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5090),
    [aux_sym_identifier_token1] = ACTIONS(5090),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5092),
  },
  [3044] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4601),
    [aux_sym_preproc_def_token1] = ACTIONS(4601),
    [aux_sym_preproc_if_token2] = ACTIONS(4601),
    [sym_preproc_directive] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4601),
    [aux_sym_interface_statement_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4601),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4601),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4601),
    [aux_sym_language_binding_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4601),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4601),
    [aux_sym_contains_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token1] = ACTIONS(4601),
    [aux_sym_use_statement_token2] = ACTIONS(4601),
    [aux_sym_implicit_statement_token1] = ACTIONS(4601),
    [aux_sym_implicit_statement_token3] = ACTIONS(4601),
    [aux_sym_implicit_statement_token4] = ACTIONS(4601),
    [aux_sym_save_statement_token1] = ACTIONS(4601),
    [aux_sym_private_statement_token1] = ACTIONS(4601),
    [aux_sym_public_statement_token1] = ACTIONS(4601),
    [aux_sym_namelist_statement_token1] = ACTIONS(4601),
    [aux_sym_common_statement_token1] = ACTIONS(4601),
    [aux_sym_import_statement_token1] = ACTIONS(4601),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4601),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4601),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4601),
    [aux_sym_variable_attributes_token1] = ACTIONS(4601),
    [aux_sym_variable_attributes_token2] = ACTIONS(4601),
    [aux_sym_variable_attributes_token3] = ACTIONS(4601),
    [aux_sym_variable_attributes_token4] = ACTIONS(4601),
    [aux_sym_variable_attributes_token5] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4601),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4601),
    [aux_sym_derived_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token1] = ACTIONS(4601),
    [aux_sym_declared_type_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4601),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4601),
    [aux_sym_type_qualifier_token1] = ACTIONS(4601),
    [aux_sym_type_qualifier_token2] = ACTIONS(4601),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token1] = ACTIONS(4601),
    [aux_sym_stop_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token2] = ACTIONS(4601),
    [aux_sym_keyword_statement_token3] = ACTIONS(4601),
    [aux_sym_include_statement_token1] = ACTIONS(4601),
    [aux_sym_data_statement_token1] = ACTIONS(4601),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4601),
    [aux_sym_end_if_statement_token1] = ACTIONS(4601),
    [aux_sym_elseif_clause_token2] = ACTIONS(4601),
    [aux_sym_select_case_statement_token1] = ACTIONS(4601),
    [aux_sym_block_construct_token1] = ACTIONS(4601),
    [aux_sym_format_statement_token1] = ACTIONS(4601),
    [aux_sym_inquire_statement_token1] = ACTIONS(4601),
    [aux_sym_enum_statement_token1] = ACTIONS(4601),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4601),
    [aux_sym_entry_statement_token1] = ACTIONS(4601),
    [aux_sym_null_literal_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_statement_token2] = ACTIONS(4601),
    [aux_sym_coarray_statement_token6] = ACTIONS(4601),
    [aux_sym_coarray_statement_token8] = ACTIONS(4601),
    [aux_sym_coarray_statement_token11] = ACTIONS(4601),
    [aux_sym_coarray_statement_token12] = ACTIONS(4601),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4601),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4601),
    [aux_sym_identifier_token1] = ACTIONS(4601),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4603),
  },
  [3045] = {
    [sym__expression] = STATE(4644),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3046] = {
    [sym__expression] = STATE(4230),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3047] = {
    [sym__name] = STATE(6644),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5136),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7122),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7122),
  },
  [3048] = {
    [sym__expression] = STATE(4411),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3049] = {
    [sym__name] = STATE(7104),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4961),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7126),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7126),
  },
  [3050] = {
    [sym__name] = STATE(7057),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4578),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7130),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7130),
  },
  [3051] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5239),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(5239),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(5239),
    [sym_number_literal] = STATE(5239),
    [sym_boolean_literal] = STATE(5239),
    [sym_null_literal] = STATE(5239),
    [sym_string_literal] = STATE(5239),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5239),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3052] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5256),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(5256),
    [sym_implied_do_loop_expression] = STATE(5256),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5256),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3053] = {
    [sym__expression] = STATE(4231),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3054] = {
    [sym__expression] = STATE(4414),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3055] = {
    [sym__expression] = STATE(4232),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3056] = {
    [sym__expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3057] = {
    [sym__expression] = STATE(4433),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3058] = {
    [sym__expression] = STATE(4649),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3059] = {
    [sym__expression] = STATE(4413),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3060] = {
    [sym__expression] = STATE(4234),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3061] = {
    [sym__expression] = STATE(4405),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3062] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5128),
    [aux_sym_preproc_def_token1] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [sym_preproc_directive] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5128),
    [aux_sym_interface_statement_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5128),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5128),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5128),
    [aux_sym_language_binding_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5128),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5128),
    [aux_sym_contains_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token1] = ACTIONS(5128),
    [aux_sym_use_statement_token2] = ACTIONS(5128),
    [aux_sym_implicit_statement_token1] = ACTIONS(5128),
    [aux_sym_implicit_statement_token3] = ACTIONS(5128),
    [aux_sym_implicit_statement_token4] = ACTIONS(5128),
    [aux_sym_save_statement_token1] = ACTIONS(5128),
    [aux_sym_private_statement_token1] = ACTIONS(5128),
    [aux_sym_public_statement_token1] = ACTIONS(5128),
    [aux_sym_namelist_statement_token1] = ACTIONS(5128),
    [aux_sym_common_statement_token1] = ACTIONS(5128),
    [aux_sym_import_statement_token1] = ACTIONS(5128),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5128),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5128),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5128),
    [aux_sym_variable_attributes_token1] = ACTIONS(5128),
    [aux_sym_variable_attributes_token2] = ACTIONS(5128),
    [aux_sym_variable_attributes_token3] = ACTIONS(5128),
    [aux_sym_variable_attributes_token4] = ACTIONS(5128),
    [aux_sym_variable_attributes_token5] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5128),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5128),
    [aux_sym_derived_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token1] = ACTIONS(5128),
    [aux_sym_declared_type_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5128),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5128),
    [aux_sym_type_qualifier_token1] = ACTIONS(5128),
    [aux_sym_type_qualifier_token2] = ACTIONS(5128),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token1] = ACTIONS(5128),
    [aux_sym_stop_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token2] = ACTIONS(5128),
    [aux_sym_keyword_statement_token3] = ACTIONS(5128),
    [aux_sym_include_statement_token1] = ACTIONS(5128),
    [aux_sym_data_statement_token1] = ACTIONS(5128),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5128),
    [aux_sym_end_if_statement_token1] = ACTIONS(5128),
    [aux_sym_elseif_clause_token2] = ACTIONS(5128),
    [aux_sym_select_case_statement_token1] = ACTIONS(5128),
    [aux_sym_block_construct_token1] = ACTIONS(5128),
    [aux_sym_format_statement_token1] = ACTIONS(5128),
    [aux_sym_inquire_statement_token1] = ACTIONS(5128),
    [aux_sym_enum_statement_token1] = ACTIONS(5128),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5128),
    [aux_sym_entry_statement_token1] = ACTIONS(5128),
    [aux_sym_null_literal_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_statement_token2] = ACTIONS(5128),
    [aux_sym_coarray_statement_token6] = ACTIONS(5128),
    [aux_sym_coarray_statement_token8] = ACTIONS(5128),
    [aux_sym_coarray_statement_token11] = ACTIONS(5128),
    [aux_sym_coarray_statement_token12] = ACTIONS(5128),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5128),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5128),
    [aux_sym_identifier_token1] = ACTIONS(5128),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5130),
  },
  [3063] = {
    [sym__expression] = STATE(4401),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3064] = {
    [sym__expression] = STATE(4627),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3065] = {
    [sym__expression] = STATE(4420),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3066] = {
    [sym__expression] = STATE(4430),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3067] = {
    [sym__expression] = STATE(4338),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3068] = {
    [sym__name] = STATE(6544),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(843),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_program_statement_token1] = ACTIONS(7132),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7134),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7134),
  },
  [3069] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(4957),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(4957),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(4957),
    [sym_number_literal] = STATE(4959),
    [sym_boolean_literal] = STATE(4957),
    [sym_null_literal] = STATE(4957),
    [sym_string_literal] = STATE(4957),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(4957),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3070] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4621),
    [aux_sym_preproc_def_token1] = ACTIONS(4621),
    [aux_sym_preproc_if_token2] = ACTIONS(4621),
    [sym_preproc_directive] = ACTIONS(4621),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4621),
    [aux_sym_interface_statement_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4621),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4621),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4621),
    [aux_sym_language_binding_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4621),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4621),
    [aux_sym_contains_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token1] = ACTIONS(4621),
    [aux_sym_use_statement_token2] = ACTIONS(4621),
    [aux_sym_implicit_statement_token1] = ACTIONS(4621),
    [aux_sym_implicit_statement_token3] = ACTIONS(4621),
    [aux_sym_implicit_statement_token4] = ACTIONS(4621),
    [aux_sym_save_statement_token1] = ACTIONS(4621),
    [aux_sym_private_statement_token1] = ACTIONS(4621),
    [aux_sym_public_statement_token1] = ACTIONS(4621),
    [aux_sym_namelist_statement_token1] = ACTIONS(4621),
    [aux_sym_common_statement_token1] = ACTIONS(4621),
    [aux_sym_import_statement_token1] = ACTIONS(4621),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4621),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4621),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4621),
    [aux_sym_variable_attributes_token1] = ACTIONS(4621),
    [aux_sym_variable_attributes_token2] = ACTIONS(4621),
    [aux_sym_variable_attributes_token3] = ACTIONS(4621),
    [aux_sym_variable_attributes_token4] = ACTIONS(4621),
    [aux_sym_variable_attributes_token5] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4621),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4621),
    [aux_sym_derived_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token1] = ACTIONS(4621),
    [aux_sym_declared_type_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4621),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4621),
    [aux_sym_type_qualifier_token1] = ACTIONS(4621),
    [aux_sym_type_qualifier_token2] = ACTIONS(4621),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token1] = ACTIONS(4621),
    [aux_sym_stop_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token2] = ACTIONS(4621),
    [aux_sym_keyword_statement_token3] = ACTIONS(4621),
    [aux_sym_include_statement_token1] = ACTIONS(4621),
    [aux_sym_data_statement_token1] = ACTIONS(4621),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4621),
    [aux_sym_end_if_statement_token1] = ACTIONS(4621),
    [aux_sym_elseif_clause_token2] = ACTIONS(4621),
    [aux_sym_select_case_statement_token1] = ACTIONS(4621),
    [aux_sym_block_construct_token1] = ACTIONS(4621),
    [aux_sym_format_statement_token1] = ACTIONS(4621),
    [aux_sym_inquire_statement_token1] = ACTIONS(4621),
    [aux_sym_enum_statement_token1] = ACTIONS(4621),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4621),
    [aux_sym_entry_statement_token1] = ACTIONS(4621),
    [aux_sym_null_literal_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_statement_token2] = ACTIONS(4621),
    [aux_sym_coarray_statement_token6] = ACTIONS(4621),
    [aux_sym_coarray_statement_token8] = ACTIONS(4621),
    [aux_sym_coarray_statement_token11] = ACTIONS(4621),
    [aux_sym_coarray_statement_token12] = ACTIONS(4621),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4621),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4621),
    [aux_sym_identifier_token1] = ACTIONS(4621),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4623),
  },
  [3071] = {
    [sym__expression] = STATE(4428),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3072] = {
    [sym__expression] = STATE(4634),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3073] = {
    [sym__expression] = STATE(4639),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3074] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5138),
    [aux_sym_preproc_def_token1] = ACTIONS(5138),
    [aux_sym_preproc_if_token2] = ACTIONS(5138),
    [sym_preproc_directive] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5138),
    [aux_sym_interface_statement_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5138),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5138),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5138),
    [aux_sym_language_binding_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5138),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5138),
    [aux_sym_contains_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token1] = ACTIONS(5138),
    [aux_sym_use_statement_token2] = ACTIONS(5138),
    [aux_sym_implicit_statement_token1] = ACTIONS(5138),
    [aux_sym_implicit_statement_token3] = ACTIONS(5138),
    [aux_sym_implicit_statement_token4] = ACTIONS(5138),
    [aux_sym_save_statement_token1] = ACTIONS(5138),
    [aux_sym_private_statement_token1] = ACTIONS(5138),
    [aux_sym_public_statement_token1] = ACTIONS(5138),
    [aux_sym_namelist_statement_token1] = ACTIONS(5138),
    [aux_sym_common_statement_token1] = ACTIONS(5138),
    [aux_sym_import_statement_token1] = ACTIONS(5138),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5138),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5138),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5138),
    [aux_sym_variable_attributes_token1] = ACTIONS(5138),
    [aux_sym_variable_attributes_token2] = ACTIONS(5138),
    [aux_sym_variable_attributes_token3] = ACTIONS(5138),
    [aux_sym_variable_attributes_token4] = ACTIONS(5138),
    [aux_sym_variable_attributes_token5] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5138),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5138),
    [aux_sym_derived_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token1] = ACTIONS(5138),
    [aux_sym_declared_type_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5138),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5138),
    [aux_sym_type_qualifier_token1] = ACTIONS(5138),
    [aux_sym_type_qualifier_token2] = ACTIONS(5138),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token1] = ACTIONS(5138),
    [aux_sym_stop_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token2] = ACTIONS(5138),
    [aux_sym_keyword_statement_token3] = ACTIONS(5138),
    [aux_sym_include_statement_token1] = ACTIONS(5138),
    [aux_sym_data_statement_token1] = ACTIONS(5138),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5138),
    [aux_sym_end_if_statement_token1] = ACTIONS(5138),
    [aux_sym_elseif_clause_token2] = ACTIONS(5138),
    [aux_sym_select_case_statement_token1] = ACTIONS(5138),
    [aux_sym_block_construct_token1] = ACTIONS(5138),
    [aux_sym_format_statement_token1] = ACTIONS(5138),
    [aux_sym_inquire_statement_token1] = ACTIONS(5138),
    [aux_sym_enum_statement_token1] = ACTIONS(5138),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5138),
    [aux_sym_entry_statement_token1] = ACTIONS(5138),
    [aux_sym_null_literal_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_statement_token2] = ACTIONS(5138),
    [aux_sym_coarray_statement_token6] = ACTIONS(5138),
    [aux_sym_coarray_statement_token8] = ACTIONS(5138),
    [aux_sym_coarray_statement_token11] = ACTIONS(5138),
    [aux_sym_coarray_statement_token12] = ACTIONS(5138),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5138),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5138),
    [aux_sym_identifier_token1] = ACTIONS(5138),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5140),
  },
  [3075] = {
    [sym__expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3076] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5054),
    [aux_sym_preproc_def_token1] = ACTIONS(5054),
    [aux_sym_preproc_if_token2] = ACTIONS(5054),
    [sym_preproc_directive] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5054),
    [aux_sym_interface_statement_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5054),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5054),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5054),
    [aux_sym_language_binding_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5054),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5054),
    [aux_sym_contains_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token1] = ACTIONS(5054),
    [aux_sym_use_statement_token2] = ACTIONS(5054),
    [aux_sym_implicit_statement_token1] = ACTIONS(5054),
    [aux_sym_implicit_statement_token3] = ACTIONS(5054),
    [aux_sym_implicit_statement_token4] = ACTIONS(5054),
    [aux_sym_save_statement_token1] = ACTIONS(5054),
    [aux_sym_private_statement_token1] = ACTIONS(5054),
    [aux_sym_public_statement_token1] = ACTIONS(5054),
    [aux_sym_namelist_statement_token1] = ACTIONS(5054),
    [aux_sym_common_statement_token1] = ACTIONS(5054),
    [aux_sym_import_statement_token1] = ACTIONS(5054),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5054),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5054),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5054),
    [aux_sym_variable_attributes_token1] = ACTIONS(5054),
    [aux_sym_variable_attributes_token2] = ACTIONS(5054),
    [aux_sym_variable_attributes_token3] = ACTIONS(5054),
    [aux_sym_variable_attributes_token4] = ACTIONS(5054),
    [aux_sym_variable_attributes_token5] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5054),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5054),
    [aux_sym_derived_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token1] = ACTIONS(5054),
    [aux_sym_declared_type_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5054),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5054),
    [aux_sym_type_qualifier_token1] = ACTIONS(5054),
    [aux_sym_type_qualifier_token2] = ACTIONS(5054),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token1] = ACTIONS(5054),
    [aux_sym_stop_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token2] = ACTIONS(5054),
    [aux_sym_keyword_statement_token3] = ACTIONS(5054),
    [aux_sym_include_statement_token1] = ACTIONS(5054),
    [aux_sym_data_statement_token1] = ACTIONS(5054),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5054),
    [aux_sym_end_if_statement_token1] = ACTIONS(5054),
    [aux_sym_elseif_clause_token2] = ACTIONS(5054),
    [aux_sym_select_case_statement_token1] = ACTIONS(5054),
    [aux_sym_block_construct_token1] = ACTIONS(5054),
    [aux_sym_format_statement_token1] = ACTIONS(5054),
    [aux_sym_inquire_statement_token1] = ACTIONS(5054),
    [aux_sym_enum_statement_token1] = ACTIONS(5054),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5054),
    [aux_sym_entry_statement_token1] = ACTIONS(5054),
    [aux_sym_null_literal_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_statement_token2] = ACTIONS(5054),
    [aux_sym_coarray_statement_token6] = ACTIONS(5054),
    [aux_sym_coarray_statement_token8] = ACTIONS(5054),
    [aux_sym_coarray_statement_token11] = ACTIONS(5054),
    [aux_sym_coarray_statement_token12] = ACTIONS(5054),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5054),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5054),
    [aux_sym_identifier_token1] = ACTIONS(5054),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5056),
  },
  [3077] = {
    [sym__expression] = STATE(4235),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3018),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(6974),
    [anon_sym_DASH] = ACTIONS(6974),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(6986),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(6988),
    [sym__string_literal_kind] = ACTIONS(6990),
  },
  [3078] = {
    [sym__expression] = STATE(4664),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3079] = {
    [sym__expression] = STATE(4472),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3080] = {
    [sym__expression] = STATE(4489),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3081] = {
    [sym__name] = STATE(7191),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5051),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7136),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7138),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7138),
  },
  [3082] = {
    [sym__expression] = STATE(4357),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3083] = {
    [sym__expression] = STATE(4343),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3084] = {
    [sym__expression] = STATE(4328),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3085] = {
    [sym__expression] = STATE(4329),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3086] = {
    [sym__expression] = STATE(4330),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3087] = {
    [sym__expression] = STATE(4332),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3088] = {
    [sym__expression] = STATE(4333),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3089] = {
    [sym__expression] = STATE(4334),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3090] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5112),
    [aux_sym_preproc_def_token1] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [sym_preproc_directive] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5112),
    [aux_sym_interface_statement_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5112),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5112),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5112),
    [aux_sym_language_binding_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5112),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5112),
    [aux_sym_contains_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token1] = ACTIONS(5112),
    [aux_sym_use_statement_token2] = ACTIONS(5112),
    [aux_sym_implicit_statement_token1] = ACTIONS(5112),
    [aux_sym_implicit_statement_token3] = ACTIONS(5112),
    [aux_sym_implicit_statement_token4] = ACTIONS(5112),
    [aux_sym_save_statement_token1] = ACTIONS(5112),
    [aux_sym_private_statement_token1] = ACTIONS(5112),
    [aux_sym_public_statement_token1] = ACTIONS(5112),
    [aux_sym_namelist_statement_token1] = ACTIONS(5112),
    [aux_sym_common_statement_token1] = ACTIONS(5112),
    [aux_sym_import_statement_token1] = ACTIONS(5112),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5112),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5112),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5112),
    [aux_sym_variable_attributes_token1] = ACTIONS(5112),
    [aux_sym_variable_attributes_token2] = ACTIONS(5112),
    [aux_sym_variable_attributes_token3] = ACTIONS(5112),
    [aux_sym_variable_attributes_token4] = ACTIONS(5112),
    [aux_sym_variable_attributes_token5] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5112),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5112),
    [aux_sym_derived_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token1] = ACTIONS(5112),
    [aux_sym_declared_type_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5112),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5112),
    [aux_sym_type_qualifier_token1] = ACTIONS(5112),
    [aux_sym_type_qualifier_token2] = ACTIONS(5112),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token1] = ACTIONS(5112),
    [aux_sym_stop_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token2] = ACTIONS(5112),
    [aux_sym_keyword_statement_token3] = ACTIONS(5112),
    [aux_sym_include_statement_token1] = ACTIONS(5112),
    [aux_sym_data_statement_token1] = ACTIONS(5112),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5112),
    [aux_sym_end_if_statement_token1] = ACTIONS(5112),
    [aux_sym_elseif_clause_token2] = ACTIONS(5112),
    [aux_sym_select_case_statement_token1] = ACTIONS(5112),
    [aux_sym_block_construct_token1] = ACTIONS(5112),
    [aux_sym_format_statement_token1] = ACTIONS(5112),
    [aux_sym_inquire_statement_token1] = ACTIONS(5112),
    [aux_sym_enum_statement_token1] = ACTIONS(5112),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5112),
    [aux_sym_entry_statement_token1] = ACTIONS(5112),
    [aux_sym_null_literal_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_statement_token2] = ACTIONS(5112),
    [aux_sym_coarray_statement_token6] = ACTIONS(5112),
    [aux_sym_coarray_statement_token8] = ACTIONS(5112),
    [aux_sym_coarray_statement_token11] = ACTIONS(5112),
    [aux_sym_coarray_statement_token12] = ACTIONS(5112),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5112),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5112),
    [aux_sym_identifier_token1] = ACTIONS(5112),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5114),
  },
  [3091] = {
    [sym__expression] = STATE(4369),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3092] = {
    [sym__expression] = STATE(4605),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3093] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5120),
    [aux_sym_preproc_def_token1] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [sym_preproc_directive] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5120),
    [aux_sym_interface_statement_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5120),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5120),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5120),
    [aux_sym_language_binding_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5120),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5120),
    [aux_sym_contains_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token1] = ACTIONS(5120),
    [aux_sym_use_statement_token2] = ACTIONS(5120),
    [aux_sym_implicit_statement_token1] = ACTIONS(5120),
    [aux_sym_implicit_statement_token3] = ACTIONS(5120),
    [aux_sym_implicit_statement_token4] = ACTIONS(5120),
    [aux_sym_save_statement_token1] = ACTIONS(5120),
    [aux_sym_private_statement_token1] = ACTIONS(5120),
    [aux_sym_public_statement_token1] = ACTIONS(5120),
    [aux_sym_namelist_statement_token1] = ACTIONS(5120),
    [aux_sym_common_statement_token1] = ACTIONS(5120),
    [aux_sym_import_statement_token1] = ACTIONS(5120),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5120),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5120),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5120),
    [aux_sym_variable_attributes_token1] = ACTIONS(5120),
    [aux_sym_variable_attributes_token2] = ACTIONS(5120),
    [aux_sym_variable_attributes_token3] = ACTIONS(5120),
    [aux_sym_variable_attributes_token4] = ACTIONS(5120),
    [aux_sym_variable_attributes_token5] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5120),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5120),
    [aux_sym_derived_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token1] = ACTIONS(5120),
    [aux_sym_declared_type_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5120),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5120),
    [aux_sym_type_qualifier_token1] = ACTIONS(5120),
    [aux_sym_type_qualifier_token2] = ACTIONS(5120),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token1] = ACTIONS(5120),
    [aux_sym_stop_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token2] = ACTIONS(5120),
    [aux_sym_keyword_statement_token3] = ACTIONS(5120),
    [aux_sym_include_statement_token1] = ACTIONS(5120),
    [aux_sym_data_statement_token1] = ACTIONS(5120),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5120),
    [aux_sym_end_if_statement_token1] = ACTIONS(5120),
    [aux_sym_elseif_clause_token2] = ACTIONS(5120),
    [aux_sym_select_case_statement_token1] = ACTIONS(5120),
    [aux_sym_block_construct_token1] = ACTIONS(5120),
    [aux_sym_format_statement_token1] = ACTIONS(5120),
    [aux_sym_inquire_statement_token1] = ACTIONS(5120),
    [aux_sym_enum_statement_token1] = ACTIONS(5120),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5120),
    [aux_sym_entry_statement_token1] = ACTIONS(5120),
    [aux_sym_null_literal_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_statement_token2] = ACTIONS(5120),
    [aux_sym_coarray_statement_token6] = ACTIONS(5120),
    [aux_sym_coarray_statement_token8] = ACTIONS(5120),
    [aux_sym_coarray_statement_token11] = ACTIONS(5120),
    [aux_sym_coarray_statement_token12] = ACTIONS(5120),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5120),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5120),
    [aux_sym_identifier_token1] = ACTIONS(5120),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5122),
  },
  [3094] = {
    [sym__expression] = STATE(4659),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3095] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5264),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(5264),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(5264),
    [sym_number_literal] = STATE(5265),
    [sym_boolean_literal] = STATE(5264),
    [sym_null_literal] = STATE(5264),
    [sym_string_literal] = STATE(5264),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5264),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3096] = {
    [sym__expression] = STATE(4335),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3097] = {
    [sym__expression] = STATE(4609),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3098] = {
    [sym__name] = STATE(6464),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5117),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7140),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7142),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7142),
  },
  [3099] = {
    [sym__expression] = STATE(4640),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3100] = {
    [sym__name] = STATE(7196),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4965),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7144),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7146),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7146),
  },
  [3101] = {
    [sym__expression] = STATE(4606),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3102] = {
    [sym__expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5230),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5230),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5230),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3103] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5124),
    [aux_sym_preproc_def_token1] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [sym_preproc_directive] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5124),
    [aux_sym_interface_statement_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5124),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5124),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5124),
    [aux_sym_language_binding_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5124),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5124),
    [aux_sym_contains_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token1] = ACTIONS(5124),
    [aux_sym_use_statement_token2] = ACTIONS(5124),
    [aux_sym_implicit_statement_token1] = ACTIONS(5124),
    [aux_sym_implicit_statement_token3] = ACTIONS(5124),
    [aux_sym_implicit_statement_token4] = ACTIONS(5124),
    [aux_sym_save_statement_token1] = ACTIONS(5124),
    [aux_sym_private_statement_token1] = ACTIONS(5124),
    [aux_sym_public_statement_token1] = ACTIONS(5124),
    [aux_sym_namelist_statement_token1] = ACTIONS(5124),
    [aux_sym_common_statement_token1] = ACTIONS(5124),
    [aux_sym_import_statement_token1] = ACTIONS(5124),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5124),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5124),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5124),
    [aux_sym_variable_attributes_token1] = ACTIONS(5124),
    [aux_sym_variable_attributes_token2] = ACTIONS(5124),
    [aux_sym_variable_attributes_token3] = ACTIONS(5124),
    [aux_sym_variable_attributes_token4] = ACTIONS(5124),
    [aux_sym_variable_attributes_token5] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5124),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5124),
    [aux_sym_derived_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token1] = ACTIONS(5124),
    [aux_sym_declared_type_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5124),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5124),
    [aux_sym_type_qualifier_token1] = ACTIONS(5124),
    [aux_sym_type_qualifier_token2] = ACTIONS(5124),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token1] = ACTIONS(5124),
    [aux_sym_stop_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token2] = ACTIONS(5124),
    [aux_sym_keyword_statement_token3] = ACTIONS(5124),
    [aux_sym_include_statement_token1] = ACTIONS(5124),
    [aux_sym_data_statement_token1] = ACTIONS(5124),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5124),
    [aux_sym_end_if_statement_token1] = ACTIONS(5124),
    [aux_sym_elseif_clause_token2] = ACTIONS(5124),
    [aux_sym_select_case_statement_token1] = ACTIONS(5124),
    [aux_sym_block_construct_token1] = ACTIONS(5124),
    [aux_sym_format_statement_token1] = ACTIONS(5124),
    [aux_sym_inquire_statement_token1] = ACTIONS(5124),
    [aux_sym_enum_statement_token1] = ACTIONS(5124),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5124),
    [aux_sym_entry_statement_token1] = ACTIONS(5124),
    [aux_sym_null_literal_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_statement_token2] = ACTIONS(5124),
    [aux_sym_coarray_statement_token6] = ACTIONS(5124),
    [aux_sym_coarray_statement_token8] = ACTIONS(5124),
    [aux_sym_coarray_statement_token11] = ACTIONS(5124),
    [aux_sym_coarray_statement_token12] = ACTIONS(5124),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5124),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5124),
    [aux_sym_identifier_token1] = ACTIONS(5124),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5126),
  },
  [3104] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5132),
    [aux_sym_preproc_def_token1] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [sym_preproc_directive] = ACTIONS(5132),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5132),
    [aux_sym_interface_statement_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5132),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5132),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5132),
    [aux_sym_language_binding_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5132),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5132),
    [aux_sym_contains_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token1] = ACTIONS(5132),
    [aux_sym_use_statement_token2] = ACTIONS(5132),
    [aux_sym_implicit_statement_token1] = ACTIONS(5132),
    [aux_sym_implicit_statement_token3] = ACTIONS(5132),
    [aux_sym_implicit_statement_token4] = ACTIONS(5132),
    [aux_sym_save_statement_token1] = ACTIONS(5132),
    [aux_sym_private_statement_token1] = ACTIONS(5132),
    [aux_sym_public_statement_token1] = ACTIONS(5132),
    [aux_sym_namelist_statement_token1] = ACTIONS(5132),
    [aux_sym_common_statement_token1] = ACTIONS(5132),
    [aux_sym_import_statement_token1] = ACTIONS(5132),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5132),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5132),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5132),
    [aux_sym_variable_attributes_token1] = ACTIONS(5132),
    [aux_sym_variable_attributes_token2] = ACTIONS(5132),
    [aux_sym_variable_attributes_token3] = ACTIONS(5132),
    [aux_sym_variable_attributes_token4] = ACTIONS(5132),
    [aux_sym_variable_attributes_token5] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5132),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5132),
    [aux_sym_derived_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token1] = ACTIONS(5132),
    [aux_sym_declared_type_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5132),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5132),
    [aux_sym_type_qualifier_token1] = ACTIONS(5132),
    [aux_sym_type_qualifier_token2] = ACTIONS(5132),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token1] = ACTIONS(5132),
    [aux_sym_stop_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token2] = ACTIONS(5132),
    [aux_sym_keyword_statement_token3] = ACTIONS(5132),
    [aux_sym_include_statement_token1] = ACTIONS(5132),
    [aux_sym_data_statement_token1] = ACTIONS(5132),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5132),
    [aux_sym_end_if_statement_token1] = ACTIONS(5132),
    [aux_sym_elseif_clause_token2] = ACTIONS(5132),
    [aux_sym_select_case_statement_token1] = ACTIONS(5132),
    [aux_sym_block_construct_token1] = ACTIONS(5132),
    [aux_sym_format_statement_token1] = ACTIONS(5132),
    [aux_sym_inquire_statement_token1] = ACTIONS(5132),
    [aux_sym_enum_statement_token1] = ACTIONS(5132),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5132),
    [aux_sym_entry_statement_token1] = ACTIONS(5132),
    [aux_sym_null_literal_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_statement_token2] = ACTIONS(5132),
    [aux_sym_coarray_statement_token6] = ACTIONS(5132),
    [aux_sym_coarray_statement_token8] = ACTIONS(5132),
    [aux_sym_coarray_statement_token11] = ACTIONS(5132),
    [aux_sym_coarray_statement_token12] = ACTIONS(5132),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5132),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5132),
    [aux_sym_identifier_token1] = ACTIONS(5132),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5134),
  },
  [3105] = {
    [sym__name] = STATE(6688),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5062),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7148),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7150),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7150),
  },
  [3106] = {
    [sym__expression] = STATE(4663),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3107] = {
    [sym__expression] = STATE(4374),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3108] = {
    [sym__expression] = STATE(4375),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3109] = {
    [sym__expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3110] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5082),
    [aux_sym_preproc_def_token1] = ACTIONS(5082),
    [aux_sym_preproc_if_token2] = ACTIONS(5082),
    [sym_preproc_directive] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5082),
    [aux_sym_interface_statement_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5082),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5082),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5082),
    [aux_sym_language_binding_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5082),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5082),
    [aux_sym_contains_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token1] = ACTIONS(5082),
    [aux_sym_use_statement_token2] = ACTIONS(5082),
    [aux_sym_implicit_statement_token1] = ACTIONS(5082),
    [aux_sym_implicit_statement_token3] = ACTIONS(5082),
    [aux_sym_implicit_statement_token4] = ACTIONS(5082),
    [aux_sym_save_statement_token1] = ACTIONS(5082),
    [aux_sym_private_statement_token1] = ACTIONS(5082),
    [aux_sym_public_statement_token1] = ACTIONS(5082),
    [aux_sym_namelist_statement_token1] = ACTIONS(5082),
    [aux_sym_common_statement_token1] = ACTIONS(5082),
    [aux_sym_import_statement_token1] = ACTIONS(5082),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5082),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5082),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5082),
    [aux_sym_variable_attributes_token1] = ACTIONS(5082),
    [aux_sym_variable_attributes_token2] = ACTIONS(5082),
    [aux_sym_variable_attributes_token3] = ACTIONS(5082),
    [aux_sym_variable_attributes_token4] = ACTIONS(5082),
    [aux_sym_variable_attributes_token5] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5082),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5082),
    [aux_sym_derived_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token1] = ACTIONS(5082),
    [aux_sym_declared_type_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5082),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5082),
    [aux_sym_type_qualifier_token1] = ACTIONS(5082),
    [aux_sym_type_qualifier_token2] = ACTIONS(5082),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token1] = ACTIONS(5082),
    [aux_sym_stop_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token2] = ACTIONS(5082),
    [aux_sym_keyword_statement_token3] = ACTIONS(5082),
    [aux_sym_include_statement_token1] = ACTIONS(5082),
    [aux_sym_data_statement_token1] = ACTIONS(5082),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5082),
    [aux_sym_end_if_statement_token1] = ACTIONS(5082),
    [aux_sym_elseif_clause_token2] = ACTIONS(5082),
    [aux_sym_select_case_statement_token1] = ACTIONS(5082),
    [aux_sym_block_construct_token1] = ACTIONS(5082),
    [aux_sym_format_statement_token1] = ACTIONS(5082),
    [aux_sym_inquire_statement_token1] = ACTIONS(5082),
    [aux_sym_enum_statement_token1] = ACTIONS(5082),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5082),
    [aux_sym_entry_statement_token1] = ACTIONS(5082),
    [aux_sym_null_literal_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_statement_token2] = ACTIONS(5082),
    [aux_sym_coarray_statement_token6] = ACTIONS(5082),
    [aux_sym_coarray_statement_token8] = ACTIONS(5082),
    [aux_sym_coarray_statement_token11] = ACTIONS(5082),
    [aux_sym_coarray_statement_token12] = ACTIONS(5082),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5082),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5082),
    [aux_sym_identifier_token1] = ACTIONS(5082),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5084),
  },
  [3111] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4613),
    [aux_sym_preproc_def_token1] = ACTIONS(4613),
    [aux_sym_preproc_if_token2] = ACTIONS(4613),
    [sym_preproc_directive] = ACTIONS(4613),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4613),
    [aux_sym_interface_statement_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4613),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4613),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4613),
    [aux_sym_language_binding_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4613),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4613),
    [aux_sym_contains_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token1] = ACTIONS(4613),
    [aux_sym_use_statement_token2] = ACTIONS(4613),
    [aux_sym_implicit_statement_token1] = ACTIONS(4613),
    [aux_sym_implicit_statement_token3] = ACTIONS(4613),
    [aux_sym_implicit_statement_token4] = ACTIONS(4613),
    [aux_sym_save_statement_token1] = ACTIONS(4613),
    [aux_sym_private_statement_token1] = ACTIONS(4613),
    [aux_sym_public_statement_token1] = ACTIONS(4613),
    [aux_sym_namelist_statement_token1] = ACTIONS(4613),
    [aux_sym_common_statement_token1] = ACTIONS(4613),
    [aux_sym_import_statement_token1] = ACTIONS(4613),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4613),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4613),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4613),
    [aux_sym_variable_attributes_token1] = ACTIONS(4613),
    [aux_sym_variable_attributes_token2] = ACTIONS(4613),
    [aux_sym_variable_attributes_token3] = ACTIONS(4613),
    [aux_sym_variable_attributes_token4] = ACTIONS(4613),
    [aux_sym_variable_attributes_token5] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4613),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4613),
    [aux_sym_derived_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token1] = ACTIONS(4613),
    [aux_sym_declared_type_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4613),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4613),
    [aux_sym_type_qualifier_token1] = ACTIONS(4613),
    [aux_sym_type_qualifier_token2] = ACTIONS(4613),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token1] = ACTIONS(4613),
    [aux_sym_stop_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token2] = ACTIONS(4613),
    [aux_sym_keyword_statement_token3] = ACTIONS(4613),
    [aux_sym_include_statement_token1] = ACTIONS(4613),
    [aux_sym_data_statement_token1] = ACTIONS(4613),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4613),
    [aux_sym_end_if_statement_token1] = ACTIONS(4613),
    [aux_sym_elseif_clause_token2] = ACTIONS(4613),
    [aux_sym_select_case_statement_token1] = ACTIONS(4613),
    [aux_sym_block_construct_token1] = ACTIONS(4613),
    [aux_sym_format_statement_token1] = ACTIONS(4613),
    [aux_sym_inquire_statement_token1] = ACTIONS(4613),
    [aux_sym_enum_statement_token1] = ACTIONS(4613),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4613),
    [aux_sym_entry_statement_token1] = ACTIONS(4613),
    [aux_sym_null_literal_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_statement_token2] = ACTIONS(4613),
    [aux_sym_coarray_statement_token6] = ACTIONS(4613),
    [aux_sym_coarray_statement_token8] = ACTIONS(4613),
    [aux_sym_coarray_statement_token11] = ACTIONS(4613),
    [aux_sym_coarray_statement_token12] = ACTIONS(4613),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4613),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4613),
    [aux_sym_identifier_token1] = ACTIONS(4613),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4615),
  },
  [3112] = {
    [sym__expression] = STATE(4415),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3113] = {
    [sym__expression] = STATE(4635),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3114] = {
    [sym__name] = STATE(6701),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4755),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7152),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7154),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7154),
  },
  [3115] = {
    [sym__expression] = STATE(4373),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(2979),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(7018),
    [anon_sym_DASH] = ACTIONS(7018),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6976),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6978),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6978),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6978),
    [aux_sym_use_statement_token2] = ACTIONS(6978),
    [aux_sym_implicit_statement_token4] = ACTIONS(6978),
    [aux_sym_save_statement_token1] = ACTIONS(6978),
    [aux_sym_private_statement_token1] = ACTIONS(6978),
    [aux_sym_public_statement_token1] = ACTIONS(6978),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6978),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6978),
    [aux_sym_variable_attributes_token2] = ACTIONS(6978),
    [aux_sym_variable_attributes_token3] = ACTIONS(6978),
    [aux_sym_variable_attributes_token5] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6978),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6980),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6982),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6978),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6978),
    [aux_sym_type_qualifier_token1] = ACTIONS(6978),
    [aux_sym_type_qualifier_token2] = ACTIONS(6978),
    [aux_sym_stop_statement_token1] = ACTIONS(6978),
    [aux_sym_stop_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token2] = ACTIONS(6978),
    [aux_sym_keyword_statement_token3] = ACTIONS(6978),
    [aux_sym_data_statement_token1] = ACTIONS(6978),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6978),
    [aux_sym_end_if_statement_token1] = ACTIONS(6978),
    [aux_sym_elseif_clause_token2] = ACTIONS(6978),
    [aux_sym_select_case_statement_token1] = ACTIONS(6984),
    [aux_sym_block_construct_token1] = ACTIONS(6978),
    [aux_sym_format_statement_token1] = ACTIONS(6978),
    [aux_sym_inquire_statement_token1] = ACTIONS(6978),
    [aux_sym_entry_statement_token1] = ACTIONS(6978),
    [aux_sym_logical_expression_token5] = ACTIONS(7020),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_statement_token2] = ACTIONS(6978),
    [aux_sym_coarray_statement_token6] = ACTIONS(6978),
    [aux_sym_coarray_statement_token8] = ACTIONS(6978),
    [aux_sym_coarray_statement_token11] = ACTIONS(6978),
    [aux_sym_coarray_statement_token12] = ACTIONS(6978),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6978),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6978),
    [aux_sym_identifier_token1] = ACTIONS(6978),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(7022),
    [sym__string_literal_kind] = ACTIONS(7024),
  },
  [3116] = {
    [sym__expression] = STATE(4465),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5053),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5053),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5053),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3117] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5062),
    [aux_sym_preproc_def_token1] = ACTIONS(5062),
    [aux_sym_preproc_if_token2] = ACTIONS(5062),
    [sym_preproc_directive] = ACTIONS(5062),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5062),
    [aux_sym_interface_statement_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5062),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5062),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5062),
    [aux_sym_language_binding_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5062),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5062),
    [aux_sym_contains_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token1] = ACTIONS(5062),
    [aux_sym_use_statement_token2] = ACTIONS(5062),
    [aux_sym_implicit_statement_token1] = ACTIONS(5062),
    [aux_sym_implicit_statement_token3] = ACTIONS(5062),
    [aux_sym_implicit_statement_token4] = ACTIONS(5062),
    [aux_sym_save_statement_token1] = ACTIONS(5062),
    [aux_sym_private_statement_token1] = ACTIONS(5062),
    [aux_sym_public_statement_token1] = ACTIONS(5062),
    [aux_sym_namelist_statement_token1] = ACTIONS(5062),
    [aux_sym_common_statement_token1] = ACTIONS(5062),
    [aux_sym_import_statement_token1] = ACTIONS(5062),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5062),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5062),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5062),
    [aux_sym_variable_attributes_token1] = ACTIONS(5062),
    [aux_sym_variable_attributes_token2] = ACTIONS(5062),
    [aux_sym_variable_attributes_token3] = ACTIONS(5062),
    [aux_sym_variable_attributes_token4] = ACTIONS(5062),
    [aux_sym_variable_attributes_token5] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5062),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5062),
    [aux_sym_derived_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token1] = ACTIONS(5062),
    [aux_sym_declared_type_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5062),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5062),
    [aux_sym_type_qualifier_token1] = ACTIONS(5062),
    [aux_sym_type_qualifier_token2] = ACTIONS(5062),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token1] = ACTIONS(5062),
    [aux_sym_stop_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token2] = ACTIONS(5062),
    [aux_sym_keyword_statement_token3] = ACTIONS(5062),
    [aux_sym_include_statement_token1] = ACTIONS(5062),
    [aux_sym_data_statement_token1] = ACTIONS(5062),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5062),
    [aux_sym_end_if_statement_token1] = ACTIONS(5062),
    [aux_sym_elseif_clause_token2] = ACTIONS(5062),
    [aux_sym_select_case_statement_token1] = ACTIONS(5062),
    [aux_sym_block_construct_token1] = ACTIONS(5062),
    [aux_sym_format_statement_token1] = ACTIONS(5062),
    [aux_sym_inquire_statement_token1] = ACTIONS(5062),
    [aux_sym_enum_statement_token1] = ACTIONS(5062),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5062),
    [aux_sym_entry_statement_token1] = ACTIONS(5062),
    [aux_sym_null_literal_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_statement_token2] = ACTIONS(5062),
    [aux_sym_coarray_statement_token6] = ACTIONS(5062),
    [aux_sym_coarray_statement_token8] = ACTIONS(5062),
    [aux_sym_coarray_statement_token11] = ACTIONS(5062),
    [aux_sym_coarray_statement_token12] = ACTIONS(5062),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5062),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5062),
    [aux_sym_identifier_token1] = ACTIONS(5062),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5064),
  },
  [3118] = {
    [sym__name] = STATE(7149),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1029),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_program_statement_token1] = ACTIONS(7156),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7158),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7158),
  },
  [3119] = {
    [sym__expression] = STATE(4636),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3120] = {
    [sym__name] = STATE(6705),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4757),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7160),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7162),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7162),
  },
  [3121] = {
    [sym__expression] = STATE(4654),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3122] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5116),
    [aux_sym_preproc_def_token1] = ACTIONS(5116),
    [aux_sym_preproc_if_token2] = ACTIONS(5116),
    [sym_preproc_directive] = ACTIONS(5116),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5116),
    [aux_sym_interface_statement_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5116),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5116),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5116),
    [aux_sym_language_binding_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5116),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5116),
    [aux_sym_contains_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token1] = ACTIONS(5116),
    [aux_sym_use_statement_token2] = ACTIONS(5116),
    [aux_sym_implicit_statement_token1] = ACTIONS(5116),
    [aux_sym_implicit_statement_token3] = ACTIONS(5116),
    [aux_sym_implicit_statement_token4] = ACTIONS(5116),
    [aux_sym_save_statement_token1] = ACTIONS(5116),
    [aux_sym_private_statement_token1] = ACTIONS(5116),
    [aux_sym_public_statement_token1] = ACTIONS(5116),
    [aux_sym_namelist_statement_token1] = ACTIONS(5116),
    [aux_sym_common_statement_token1] = ACTIONS(5116),
    [aux_sym_import_statement_token1] = ACTIONS(5116),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5116),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5116),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5116),
    [aux_sym_variable_attributes_token1] = ACTIONS(5116),
    [aux_sym_variable_attributes_token2] = ACTIONS(5116),
    [aux_sym_variable_attributes_token3] = ACTIONS(5116),
    [aux_sym_variable_attributes_token4] = ACTIONS(5116),
    [aux_sym_variable_attributes_token5] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5116),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5116),
    [aux_sym_derived_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token1] = ACTIONS(5116),
    [aux_sym_declared_type_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5116),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5116),
    [aux_sym_type_qualifier_token1] = ACTIONS(5116),
    [aux_sym_type_qualifier_token2] = ACTIONS(5116),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token1] = ACTIONS(5116),
    [aux_sym_stop_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token2] = ACTIONS(5116),
    [aux_sym_keyword_statement_token3] = ACTIONS(5116),
    [aux_sym_include_statement_token1] = ACTIONS(5116),
    [aux_sym_data_statement_token1] = ACTIONS(5116),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5116),
    [aux_sym_end_if_statement_token1] = ACTIONS(5116),
    [aux_sym_elseif_clause_token2] = ACTIONS(5116),
    [aux_sym_select_case_statement_token1] = ACTIONS(5116),
    [aux_sym_block_construct_token1] = ACTIONS(5116),
    [aux_sym_format_statement_token1] = ACTIONS(5116),
    [aux_sym_inquire_statement_token1] = ACTIONS(5116),
    [aux_sym_enum_statement_token1] = ACTIONS(5116),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5116),
    [aux_sym_entry_statement_token1] = ACTIONS(5116),
    [aux_sym_null_literal_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_statement_token2] = ACTIONS(5116),
    [aux_sym_coarray_statement_token6] = ACTIONS(5116),
    [aux_sym_coarray_statement_token8] = ACTIONS(5116),
    [aux_sym_coarray_statement_token11] = ACTIONS(5116),
    [aux_sym_coarray_statement_token12] = ACTIONS(5116),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5116),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5116),
    [aux_sym_identifier_token1] = ACTIONS(5116),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5118),
  },
  [3123] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4629),
    [aux_sym_preproc_def_token1] = ACTIONS(4629),
    [aux_sym_preproc_if_token2] = ACTIONS(4629),
    [sym_preproc_directive] = ACTIONS(4629),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4629),
    [aux_sym_interface_statement_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4629),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4629),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4629),
    [aux_sym_language_binding_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4629),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4629),
    [aux_sym_contains_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token1] = ACTIONS(4629),
    [aux_sym_use_statement_token2] = ACTIONS(4629),
    [aux_sym_implicit_statement_token1] = ACTIONS(4629),
    [aux_sym_implicit_statement_token3] = ACTIONS(4629),
    [aux_sym_implicit_statement_token4] = ACTIONS(4629),
    [aux_sym_save_statement_token1] = ACTIONS(4629),
    [aux_sym_private_statement_token1] = ACTIONS(4629),
    [aux_sym_public_statement_token1] = ACTIONS(4629),
    [aux_sym_namelist_statement_token1] = ACTIONS(4629),
    [aux_sym_common_statement_token1] = ACTIONS(4629),
    [aux_sym_import_statement_token1] = ACTIONS(4629),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4629),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4629),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4629),
    [aux_sym_variable_attributes_token1] = ACTIONS(4629),
    [aux_sym_variable_attributes_token2] = ACTIONS(4629),
    [aux_sym_variable_attributes_token3] = ACTIONS(4629),
    [aux_sym_variable_attributes_token4] = ACTIONS(4629),
    [aux_sym_variable_attributes_token5] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4629),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4629),
    [aux_sym_derived_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token1] = ACTIONS(4629),
    [aux_sym_declared_type_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4629),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4629),
    [aux_sym_type_qualifier_token1] = ACTIONS(4629),
    [aux_sym_type_qualifier_token2] = ACTIONS(4629),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token1] = ACTIONS(4629),
    [aux_sym_stop_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token2] = ACTIONS(4629),
    [aux_sym_keyword_statement_token3] = ACTIONS(4629),
    [aux_sym_include_statement_token1] = ACTIONS(4629),
    [aux_sym_data_statement_token1] = ACTIONS(4629),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4629),
    [aux_sym_end_if_statement_token1] = ACTIONS(4629),
    [aux_sym_elseif_clause_token2] = ACTIONS(4629),
    [aux_sym_select_case_statement_token1] = ACTIONS(4629),
    [aux_sym_block_construct_token1] = ACTIONS(4629),
    [aux_sym_format_statement_token1] = ACTIONS(4629),
    [aux_sym_inquire_statement_token1] = ACTIONS(4629),
    [aux_sym_enum_statement_token1] = ACTIONS(4629),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4629),
    [aux_sym_entry_statement_token1] = ACTIONS(4629),
    [aux_sym_null_literal_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_statement_token2] = ACTIONS(4629),
    [aux_sym_coarray_statement_token6] = ACTIONS(4629),
    [aux_sym_coarray_statement_token8] = ACTIONS(4629),
    [aux_sym_coarray_statement_token11] = ACTIONS(4629),
    [aux_sym_coarray_statement_token12] = ACTIONS(4629),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4629),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4629),
    [aux_sym_identifier_token1] = ACTIONS(4629),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4631),
  },
  [3124] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4637),
    [aux_sym_preproc_def_token1] = ACTIONS(4637),
    [aux_sym_preproc_if_token2] = ACTIONS(4637),
    [sym_preproc_directive] = ACTIONS(4637),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4637),
    [aux_sym_interface_statement_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4637),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4637),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4637),
    [aux_sym_language_binding_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4637),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4637),
    [aux_sym_contains_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token1] = ACTIONS(4637),
    [aux_sym_use_statement_token2] = ACTIONS(4637),
    [aux_sym_implicit_statement_token1] = ACTIONS(4637),
    [aux_sym_implicit_statement_token3] = ACTIONS(4637),
    [aux_sym_implicit_statement_token4] = ACTIONS(4637),
    [aux_sym_save_statement_token1] = ACTIONS(4637),
    [aux_sym_private_statement_token1] = ACTIONS(4637),
    [aux_sym_public_statement_token1] = ACTIONS(4637),
    [aux_sym_namelist_statement_token1] = ACTIONS(4637),
    [aux_sym_common_statement_token1] = ACTIONS(4637),
    [aux_sym_import_statement_token1] = ACTIONS(4637),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4637),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4637),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4637),
    [aux_sym_variable_attributes_token1] = ACTIONS(4637),
    [aux_sym_variable_attributes_token2] = ACTIONS(4637),
    [aux_sym_variable_attributes_token3] = ACTIONS(4637),
    [aux_sym_variable_attributes_token4] = ACTIONS(4637),
    [aux_sym_variable_attributes_token5] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4637),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4637),
    [aux_sym_derived_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token1] = ACTIONS(4637),
    [aux_sym_declared_type_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4637),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4637),
    [aux_sym_type_qualifier_token1] = ACTIONS(4637),
    [aux_sym_type_qualifier_token2] = ACTIONS(4637),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token1] = ACTIONS(4637),
    [aux_sym_stop_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token2] = ACTIONS(4637),
    [aux_sym_keyword_statement_token3] = ACTIONS(4637),
    [aux_sym_include_statement_token1] = ACTIONS(4637),
    [aux_sym_data_statement_token1] = ACTIONS(4637),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4637),
    [aux_sym_end_if_statement_token1] = ACTIONS(4637),
    [aux_sym_elseif_clause_token2] = ACTIONS(4637),
    [aux_sym_select_case_statement_token1] = ACTIONS(4637),
    [aux_sym_block_construct_token1] = ACTIONS(4637),
    [aux_sym_format_statement_token1] = ACTIONS(4637),
    [aux_sym_inquire_statement_token1] = ACTIONS(4637),
    [aux_sym_enum_statement_token1] = ACTIONS(4637),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4637),
    [aux_sym_entry_statement_token1] = ACTIONS(4637),
    [aux_sym_null_literal_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_statement_token2] = ACTIONS(4637),
    [aux_sym_coarray_statement_token6] = ACTIONS(4637),
    [aux_sym_coarray_statement_token8] = ACTIONS(4637),
    [aux_sym_coarray_statement_token11] = ACTIONS(4637),
    [aux_sym_coarray_statement_token12] = ACTIONS(4637),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4637),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4637),
    [aux_sym_identifier_token1] = ACTIONS(4637),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4639),
  },
  [3125] = {
    [sym__expression] = STATE(4408),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3126] = {
    [sym__name] = STATE(7154),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1054),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_program_statement_token1] = ACTIONS(7164),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7166),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7166),
  },
  [3127] = {
    [sym__expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3128] = {
    [sym__expression] = STATE(4476),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(5235),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(5235),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5235),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3129] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4401),
    [aux_sym_preproc_def_token1] = ACTIONS(4401),
    [aux_sym_preproc_if_token2] = ACTIONS(4401),
    [sym_preproc_directive] = ACTIONS(4401),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4401),
    [aux_sym_interface_statement_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4401),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4401),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4401),
    [aux_sym_language_binding_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4401),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4401),
    [aux_sym_contains_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token1] = ACTIONS(4401),
    [aux_sym_use_statement_token2] = ACTIONS(4401),
    [aux_sym_implicit_statement_token1] = ACTIONS(4401),
    [aux_sym_implicit_statement_token3] = ACTIONS(4401),
    [aux_sym_implicit_statement_token4] = ACTIONS(4401),
    [aux_sym_save_statement_token1] = ACTIONS(4401),
    [aux_sym_private_statement_token1] = ACTIONS(4401),
    [aux_sym_public_statement_token1] = ACTIONS(4401),
    [aux_sym_namelist_statement_token1] = ACTIONS(4401),
    [aux_sym_common_statement_token1] = ACTIONS(4401),
    [aux_sym_import_statement_token1] = ACTIONS(4401),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4401),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4401),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4401),
    [aux_sym_variable_attributes_token1] = ACTIONS(4401),
    [aux_sym_variable_attributes_token2] = ACTIONS(4401),
    [aux_sym_variable_attributes_token3] = ACTIONS(4401),
    [aux_sym_variable_attributes_token4] = ACTIONS(4401),
    [aux_sym_variable_attributes_token5] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4401),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4401),
    [aux_sym_derived_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token1] = ACTIONS(4401),
    [aux_sym_declared_type_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4401),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4401),
    [aux_sym_type_qualifier_token1] = ACTIONS(4401),
    [aux_sym_type_qualifier_token2] = ACTIONS(4401),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token1] = ACTIONS(4401),
    [aux_sym_stop_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token2] = ACTIONS(4401),
    [aux_sym_keyword_statement_token3] = ACTIONS(4401),
    [aux_sym_include_statement_token1] = ACTIONS(4401),
    [aux_sym_data_statement_token1] = ACTIONS(4401),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4401),
    [aux_sym_end_if_statement_token1] = ACTIONS(4401),
    [aux_sym_elseif_clause_token2] = ACTIONS(4401),
    [aux_sym_select_case_statement_token1] = ACTIONS(4401),
    [aux_sym_block_construct_token1] = ACTIONS(4401),
    [aux_sym_format_statement_token1] = ACTIONS(4401),
    [aux_sym_inquire_statement_token1] = ACTIONS(4401),
    [aux_sym_enum_statement_token1] = ACTIONS(4401),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4401),
    [aux_sym_entry_statement_token1] = ACTIONS(4401),
    [aux_sym_null_literal_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_statement_token2] = ACTIONS(4401),
    [aux_sym_coarray_statement_token6] = ACTIONS(4401),
    [aux_sym_coarray_statement_token8] = ACTIONS(4401),
    [aux_sym_coarray_statement_token11] = ACTIONS(4401),
    [aux_sym_coarray_statement_token12] = ACTIONS(4401),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4401),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4401),
    [aux_sym_identifier_token1] = ACTIONS(4401),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4403),
  },
  [3130] = {
    [sym__expression] = STATE(4597),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3131] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4529),
    [aux_sym_preproc_def_token1] = ACTIONS(4529),
    [aux_sym_preproc_if_token2] = ACTIONS(4529),
    [sym_preproc_directive] = ACTIONS(4529),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4529),
    [aux_sym_interface_statement_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4529),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4529),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4529),
    [aux_sym_language_binding_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4529),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4529),
    [aux_sym_contains_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token1] = ACTIONS(4529),
    [aux_sym_use_statement_token2] = ACTIONS(4529),
    [aux_sym_implicit_statement_token1] = ACTIONS(4529),
    [aux_sym_implicit_statement_token3] = ACTIONS(4529),
    [aux_sym_implicit_statement_token4] = ACTIONS(4529),
    [aux_sym_save_statement_token1] = ACTIONS(4529),
    [aux_sym_private_statement_token1] = ACTIONS(4529),
    [aux_sym_public_statement_token1] = ACTIONS(4529),
    [aux_sym_namelist_statement_token1] = ACTIONS(4529),
    [aux_sym_common_statement_token1] = ACTIONS(4529),
    [aux_sym_import_statement_token1] = ACTIONS(4529),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4529),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4529),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4529),
    [aux_sym_variable_attributes_token1] = ACTIONS(4529),
    [aux_sym_variable_attributes_token2] = ACTIONS(4529),
    [aux_sym_variable_attributes_token3] = ACTIONS(4529),
    [aux_sym_variable_attributes_token4] = ACTIONS(4529),
    [aux_sym_variable_attributes_token5] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4529),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4529),
    [aux_sym_derived_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token1] = ACTIONS(4529),
    [aux_sym_declared_type_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4529),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4529),
    [aux_sym_type_qualifier_token1] = ACTIONS(4529),
    [aux_sym_type_qualifier_token2] = ACTIONS(4529),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token1] = ACTIONS(4529),
    [aux_sym_stop_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token2] = ACTIONS(4529),
    [aux_sym_keyword_statement_token3] = ACTIONS(4529),
    [aux_sym_include_statement_token1] = ACTIONS(4529),
    [aux_sym_data_statement_token1] = ACTIONS(4529),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4529),
    [aux_sym_end_if_statement_token1] = ACTIONS(4529),
    [aux_sym_elseif_clause_token2] = ACTIONS(4529),
    [aux_sym_select_case_statement_token1] = ACTIONS(4529),
    [aux_sym_block_construct_token1] = ACTIONS(4529),
    [aux_sym_format_statement_token1] = ACTIONS(4529),
    [aux_sym_inquire_statement_token1] = ACTIONS(4529),
    [aux_sym_enum_statement_token1] = ACTIONS(4529),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4529),
    [aux_sym_entry_statement_token1] = ACTIONS(4529),
    [aux_sym_null_literal_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_statement_token2] = ACTIONS(4529),
    [aux_sym_coarray_statement_token6] = ACTIONS(4529),
    [aux_sym_coarray_statement_token8] = ACTIONS(4529),
    [aux_sym_coarray_statement_token11] = ACTIONS(4529),
    [aux_sym_coarray_statement_token12] = ACTIONS(4529),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4529),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4529),
    [aux_sym_identifier_token1] = ACTIONS(4529),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4531),
  },
  [3132] = {
    [sym__name] = STATE(6854),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(5068),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7168),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7170),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7170),
  },
  [3133] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4617),
    [aux_sym_preproc_def_token1] = ACTIONS(4617),
    [aux_sym_preproc_if_token2] = ACTIONS(4617),
    [sym_preproc_directive] = ACTIONS(4617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4617),
    [aux_sym_interface_statement_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4617),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4617),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4617),
    [aux_sym_language_binding_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4617),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4617),
    [aux_sym_contains_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token1] = ACTIONS(4617),
    [aux_sym_use_statement_token2] = ACTIONS(4617),
    [aux_sym_implicit_statement_token1] = ACTIONS(4617),
    [aux_sym_implicit_statement_token3] = ACTIONS(4617),
    [aux_sym_implicit_statement_token4] = ACTIONS(4617),
    [aux_sym_save_statement_token1] = ACTIONS(4617),
    [aux_sym_private_statement_token1] = ACTIONS(4617),
    [aux_sym_public_statement_token1] = ACTIONS(4617),
    [aux_sym_namelist_statement_token1] = ACTIONS(4617),
    [aux_sym_common_statement_token1] = ACTIONS(4617),
    [aux_sym_import_statement_token1] = ACTIONS(4617),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4617),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4617),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4617),
    [aux_sym_variable_attributes_token1] = ACTIONS(4617),
    [aux_sym_variable_attributes_token2] = ACTIONS(4617),
    [aux_sym_variable_attributes_token3] = ACTIONS(4617),
    [aux_sym_variable_attributes_token4] = ACTIONS(4617),
    [aux_sym_variable_attributes_token5] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4617),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4617),
    [aux_sym_derived_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token1] = ACTIONS(4617),
    [aux_sym_declared_type_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4617),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4617),
    [aux_sym_type_qualifier_token1] = ACTIONS(4617),
    [aux_sym_type_qualifier_token2] = ACTIONS(4617),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token1] = ACTIONS(4617),
    [aux_sym_stop_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token2] = ACTIONS(4617),
    [aux_sym_keyword_statement_token3] = ACTIONS(4617),
    [aux_sym_include_statement_token1] = ACTIONS(4617),
    [aux_sym_data_statement_token1] = ACTIONS(4617),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4617),
    [aux_sym_end_if_statement_token1] = ACTIONS(4617),
    [aux_sym_elseif_clause_token2] = ACTIONS(4617),
    [aux_sym_select_case_statement_token1] = ACTIONS(4617),
    [aux_sym_block_construct_token1] = ACTIONS(4617),
    [aux_sym_format_statement_token1] = ACTIONS(4617),
    [aux_sym_inquire_statement_token1] = ACTIONS(4617),
    [aux_sym_enum_statement_token1] = ACTIONS(4617),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4617),
    [aux_sym_entry_statement_token1] = ACTIONS(4617),
    [aux_sym_null_literal_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_statement_token2] = ACTIONS(4617),
    [aux_sym_coarray_statement_token6] = ACTIONS(4617),
    [aux_sym_coarray_statement_token8] = ACTIONS(4617),
    [aux_sym_coarray_statement_token11] = ACTIONS(4617),
    [aux_sym_coarray_statement_token12] = ACTIONS(4617),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4617),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4617),
    [aux_sym_identifier_token1] = ACTIONS(4617),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4619),
  },
  [3134] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4405),
    [aux_sym_preproc_def_token1] = ACTIONS(4405),
    [aux_sym_preproc_if_token2] = ACTIONS(4405),
    [sym_preproc_directive] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4405),
    [aux_sym_interface_statement_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4405),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4405),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4405),
    [aux_sym_language_binding_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4405),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4405),
    [aux_sym_contains_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token1] = ACTIONS(4405),
    [aux_sym_use_statement_token2] = ACTIONS(4405),
    [aux_sym_implicit_statement_token1] = ACTIONS(4405),
    [aux_sym_implicit_statement_token3] = ACTIONS(4405),
    [aux_sym_implicit_statement_token4] = ACTIONS(4405),
    [aux_sym_save_statement_token1] = ACTIONS(4405),
    [aux_sym_private_statement_token1] = ACTIONS(4405),
    [aux_sym_public_statement_token1] = ACTIONS(4405),
    [aux_sym_namelist_statement_token1] = ACTIONS(4405),
    [aux_sym_common_statement_token1] = ACTIONS(4405),
    [aux_sym_import_statement_token1] = ACTIONS(4405),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4405),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4405),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4405),
    [aux_sym_variable_attributes_token1] = ACTIONS(4405),
    [aux_sym_variable_attributes_token2] = ACTIONS(4405),
    [aux_sym_variable_attributes_token3] = ACTIONS(4405),
    [aux_sym_variable_attributes_token4] = ACTIONS(4405),
    [aux_sym_variable_attributes_token5] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4405),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4405),
    [aux_sym_derived_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token1] = ACTIONS(4405),
    [aux_sym_declared_type_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4405),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4405),
    [aux_sym_type_qualifier_token1] = ACTIONS(4405),
    [aux_sym_type_qualifier_token2] = ACTIONS(4405),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token1] = ACTIONS(4405),
    [aux_sym_stop_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token2] = ACTIONS(4405),
    [aux_sym_keyword_statement_token3] = ACTIONS(4405),
    [aux_sym_include_statement_token1] = ACTIONS(4405),
    [aux_sym_data_statement_token1] = ACTIONS(4405),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4405),
    [aux_sym_end_if_statement_token1] = ACTIONS(4405),
    [aux_sym_elseif_clause_token2] = ACTIONS(4405),
    [aux_sym_select_case_statement_token1] = ACTIONS(4405),
    [aux_sym_block_construct_token1] = ACTIONS(4405),
    [aux_sym_format_statement_token1] = ACTIONS(4405),
    [aux_sym_inquire_statement_token1] = ACTIONS(4405),
    [aux_sym_enum_statement_token1] = ACTIONS(4405),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4405),
    [aux_sym_entry_statement_token1] = ACTIONS(4405),
    [aux_sym_null_literal_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_statement_token2] = ACTIONS(4405),
    [aux_sym_coarray_statement_token6] = ACTIONS(4405),
    [aux_sym_coarray_statement_token8] = ACTIONS(4405),
    [aux_sym_coarray_statement_token11] = ACTIONS(4405),
    [aux_sym_coarray_statement_token12] = ACTIONS(4405),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4405),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4405),
    [aux_sym_identifier_token1] = ACTIONS(4405),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4407),
  },
  [3135] = {
    [sym__expression] = STATE(4637),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3136] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4409),
    [aux_sym_preproc_def_token1] = ACTIONS(4409),
    [aux_sym_preproc_if_token2] = ACTIONS(4409),
    [sym_preproc_directive] = ACTIONS(4409),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4409),
    [aux_sym_interface_statement_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4409),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4409),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4409),
    [aux_sym_language_binding_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4409),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4409),
    [aux_sym_contains_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token1] = ACTIONS(4409),
    [aux_sym_use_statement_token2] = ACTIONS(4409),
    [aux_sym_implicit_statement_token1] = ACTIONS(4409),
    [aux_sym_implicit_statement_token3] = ACTIONS(4409),
    [aux_sym_implicit_statement_token4] = ACTIONS(4409),
    [aux_sym_save_statement_token1] = ACTIONS(4409),
    [aux_sym_private_statement_token1] = ACTIONS(4409),
    [aux_sym_public_statement_token1] = ACTIONS(4409),
    [aux_sym_namelist_statement_token1] = ACTIONS(4409),
    [aux_sym_common_statement_token1] = ACTIONS(4409),
    [aux_sym_import_statement_token1] = ACTIONS(4409),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4409),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4409),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4409),
    [aux_sym_variable_attributes_token1] = ACTIONS(4409),
    [aux_sym_variable_attributes_token2] = ACTIONS(4409),
    [aux_sym_variable_attributes_token3] = ACTIONS(4409),
    [aux_sym_variable_attributes_token4] = ACTIONS(4409),
    [aux_sym_variable_attributes_token5] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4409),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4409),
    [aux_sym_derived_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token1] = ACTIONS(4409),
    [aux_sym_declared_type_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4409),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4409),
    [aux_sym_type_qualifier_token1] = ACTIONS(4409),
    [aux_sym_type_qualifier_token2] = ACTIONS(4409),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token1] = ACTIONS(4409),
    [aux_sym_stop_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token2] = ACTIONS(4409),
    [aux_sym_keyword_statement_token3] = ACTIONS(4409),
    [aux_sym_include_statement_token1] = ACTIONS(4409),
    [aux_sym_data_statement_token1] = ACTIONS(4409),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4409),
    [aux_sym_end_if_statement_token1] = ACTIONS(4409),
    [aux_sym_elseif_clause_token2] = ACTIONS(4409),
    [aux_sym_select_case_statement_token1] = ACTIONS(4409),
    [aux_sym_block_construct_token1] = ACTIONS(4409),
    [aux_sym_format_statement_token1] = ACTIONS(4409),
    [aux_sym_inquire_statement_token1] = ACTIONS(4409),
    [aux_sym_enum_statement_token1] = ACTIONS(4409),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4409),
    [aux_sym_entry_statement_token1] = ACTIONS(4409),
    [aux_sym_null_literal_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_statement_token2] = ACTIONS(4409),
    [aux_sym_coarray_statement_token6] = ACTIONS(4409),
    [aux_sym_coarray_statement_token8] = ACTIONS(4409),
    [aux_sym_coarray_statement_token11] = ACTIONS(4409),
    [aux_sym_coarray_statement_token12] = ACTIONS(4409),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4409),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4409),
    [aux_sym_identifier_token1] = ACTIONS(4409),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4411),
  },
  [3137] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4413),
    [aux_sym_preproc_def_token1] = ACTIONS(4413),
    [aux_sym_preproc_if_token2] = ACTIONS(4413),
    [sym_preproc_directive] = ACTIONS(4413),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(4413),
    [aux_sym_interface_statement_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(4413),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(4413),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4413),
    [aux_sym_language_binding_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4413),
    [aux_sym_procedure_attributes_token3] = ACTIONS(4413),
    [aux_sym_contains_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token1] = ACTIONS(4413),
    [aux_sym_use_statement_token2] = ACTIONS(4413),
    [aux_sym_implicit_statement_token1] = ACTIONS(4413),
    [aux_sym_implicit_statement_token3] = ACTIONS(4413),
    [aux_sym_implicit_statement_token4] = ACTIONS(4413),
    [aux_sym_save_statement_token1] = ACTIONS(4413),
    [aux_sym_private_statement_token1] = ACTIONS(4413),
    [aux_sym_public_statement_token1] = ACTIONS(4413),
    [aux_sym_namelist_statement_token1] = ACTIONS(4413),
    [aux_sym_common_statement_token1] = ACTIONS(4413),
    [aux_sym_import_statement_token1] = ACTIONS(4413),
    [aux_sym_derived_type_definition_token1] = ACTIONS(4413),
    [aux_sym_abstract_specifier_token1] = ACTIONS(4413),
    [aux_sym_procedure_attribute_token6] = ACTIONS(4413),
    [aux_sym_variable_attributes_token1] = ACTIONS(4413),
    [aux_sym_variable_attributes_token2] = ACTIONS(4413),
    [aux_sym_variable_attributes_token3] = ACTIONS(4413),
    [aux_sym_variable_attributes_token4] = ACTIONS(4413),
    [aux_sym_variable_attributes_token5] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4413),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4413),
    [aux_sym_derived_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token1] = ACTIONS(4413),
    [aux_sym_declared_type_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(4413),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(4413),
    [aux_sym_type_qualifier_token1] = ACTIONS(4413),
    [aux_sym_type_qualifier_token2] = ACTIONS(4413),
    [aux_sym_equivalence_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token1] = ACTIONS(4413),
    [aux_sym_stop_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token2] = ACTIONS(4413),
    [aux_sym_keyword_statement_token3] = ACTIONS(4413),
    [aux_sym_include_statement_token1] = ACTIONS(4413),
    [aux_sym_data_statement_token1] = ACTIONS(4413),
    [aux_sym__inline_if_statement_token1] = ACTIONS(4413),
    [aux_sym_end_if_statement_token1] = ACTIONS(4413),
    [aux_sym_elseif_clause_token2] = ACTIONS(4413),
    [aux_sym_select_case_statement_token1] = ACTIONS(4413),
    [aux_sym_block_construct_token1] = ACTIONS(4413),
    [aux_sym_format_statement_token1] = ACTIONS(4413),
    [aux_sym_inquire_statement_token1] = ACTIONS(4413),
    [aux_sym_enum_statement_token1] = ACTIONS(4413),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(4413),
    [aux_sym_entry_statement_token1] = ACTIONS(4413),
    [aux_sym_null_literal_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_statement_token2] = ACTIONS(4413),
    [aux_sym_coarray_statement_token6] = ACTIONS(4413),
    [aux_sym_coarray_statement_token8] = ACTIONS(4413),
    [aux_sym_coarray_statement_token11] = ACTIONS(4413),
    [aux_sym_coarray_statement_token12] = ACTIONS(4413),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(4413),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(4413),
    [aux_sym_identifier_token1] = ACTIONS(4413),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(4415),
  },
  [3138] = {
    [sym__expression] = STATE(4687),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(5263),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3092),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(5263),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(165),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(193),
    [sym__float_literal] = ACTIONS(193),
    [sym__boz_literal] = ACTIONS(193),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3139] = {
    [sym__expression] = STATE(4460),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3140] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5058),
    [aux_sym_preproc_def_token1] = ACTIONS(5058),
    [aux_sym_preproc_if_token2] = ACTIONS(5058),
    [sym_preproc_directive] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5058),
    [aux_sym_interface_statement_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5058),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5058),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5058),
    [aux_sym_language_binding_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5058),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5058),
    [aux_sym_contains_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token1] = ACTIONS(5058),
    [aux_sym_use_statement_token2] = ACTIONS(5058),
    [aux_sym_implicit_statement_token1] = ACTIONS(5058),
    [aux_sym_implicit_statement_token3] = ACTIONS(5058),
    [aux_sym_implicit_statement_token4] = ACTIONS(5058),
    [aux_sym_save_statement_token1] = ACTIONS(5058),
    [aux_sym_private_statement_token1] = ACTIONS(5058),
    [aux_sym_public_statement_token1] = ACTIONS(5058),
    [aux_sym_namelist_statement_token1] = ACTIONS(5058),
    [aux_sym_common_statement_token1] = ACTIONS(5058),
    [aux_sym_import_statement_token1] = ACTIONS(5058),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5058),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5058),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5058),
    [aux_sym_variable_attributes_token1] = ACTIONS(5058),
    [aux_sym_variable_attributes_token2] = ACTIONS(5058),
    [aux_sym_variable_attributes_token3] = ACTIONS(5058),
    [aux_sym_variable_attributes_token4] = ACTIONS(5058),
    [aux_sym_variable_attributes_token5] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5058),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5058),
    [aux_sym_derived_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token1] = ACTIONS(5058),
    [aux_sym_declared_type_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5058),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5058),
    [aux_sym_type_qualifier_token1] = ACTIONS(5058),
    [aux_sym_type_qualifier_token2] = ACTIONS(5058),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token1] = ACTIONS(5058),
    [aux_sym_stop_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token2] = ACTIONS(5058),
    [aux_sym_keyword_statement_token3] = ACTIONS(5058),
    [aux_sym_include_statement_token1] = ACTIONS(5058),
    [aux_sym_data_statement_token1] = ACTIONS(5058),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5058),
    [aux_sym_end_if_statement_token1] = ACTIONS(5058),
    [aux_sym_elseif_clause_token2] = ACTIONS(5058),
    [aux_sym_select_case_statement_token1] = ACTIONS(5058),
    [aux_sym_block_construct_token1] = ACTIONS(5058),
    [aux_sym_format_statement_token1] = ACTIONS(5058),
    [aux_sym_inquire_statement_token1] = ACTIONS(5058),
    [aux_sym_enum_statement_token1] = ACTIONS(5058),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5058),
    [aux_sym_entry_statement_token1] = ACTIONS(5058),
    [aux_sym_null_literal_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_statement_token2] = ACTIONS(5058),
    [aux_sym_coarray_statement_token6] = ACTIONS(5058),
    [aux_sym_coarray_statement_token8] = ACTIONS(5058),
    [aux_sym_coarray_statement_token11] = ACTIONS(5058),
    [aux_sym_coarray_statement_token12] = ACTIONS(5058),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5058),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5058),
    [aux_sym_identifier_token1] = ACTIONS(5058),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5060),
  },
  [3141] = {
    [sym__expression] = STATE(4461),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3142] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5032),
    [aux_sym_preproc_def_token1] = ACTIONS(5032),
    [aux_sym_preproc_if_token2] = ACTIONS(5032),
    [sym_preproc_directive] = ACTIONS(5032),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5032),
    [aux_sym_interface_statement_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5032),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5032),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5032),
    [aux_sym_language_binding_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5032),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5032),
    [aux_sym_contains_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token1] = ACTIONS(5032),
    [aux_sym_use_statement_token2] = ACTIONS(5032),
    [aux_sym_implicit_statement_token1] = ACTIONS(5032),
    [aux_sym_implicit_statement_token3] = ACTIONS(5032),
    [aux_sym_implicit_statement_token4] = ACTIONS(5032),
    [aux_sym_save_statement_token1] = ACTIONS(5032),
    [aux_sym_private_statement_token1] = ACTIONS(5032),
    [aux_sym_public_statement_token1] = ACTIONS(5032),
    [aux_sym_namelist_statement_token1] = ACTIONS(5032),
    [aux_sym_common_statement_token1] = ACTIONS(5032),
    [aux_sym_import_statement_token1] = ACTIONS(5032),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5032),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5032),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5032),
    [aux_sym_variable_attributes_token1] = ACTIONS(5032),
    [aux_sym_variable_attributes_token2] = ACTIONS(5032),
    [aux_sym_variable_attributes_token3] = ACTIONS(5032),
    [aux_sym_variable_attributes_token4] = ACTIONS(5032),
    [aux_sym_variable_attributes_token5] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5032),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5032),
    [aux_sym_derived_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token1] = ACTIONS(5032),
    [aux_sym_declared_type_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5032),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5032),
    [aux_sym_type_qualifier_token1] = ACTIONS(5032),
    [aux_sym_type_qualifier_token2] = ACTIONS(5032),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token1] = ACTIONS(5032),
    [aux_sym_stop_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token2] = ACTIONS(5032),
    [aux_sym_keyword_statement_token3] = ACTIONS(5032),
    [aux_sym_include_statement_token1] = ACTIONS(5032),
    [aux_sym_data_statement_token1] = ACTIONS(5032),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5032),
    [aux_sym_end_if_statement_token1] = ACTIONS(5032),
    [aux_sym_elseif_clause_token2] = ACTIONS(5032),
    [aux_sym_select_case_statement_token1] = ACTIONS(5032),
    [aux_sym_block_construct_token1] = ACTIONS(5032),
    [aux_sym_format_statement_token1] = ACTIONS(5032),
    [aux_sym_inquire_statement_token1] = ACTIONS(5032),
    [aux_sym_enum_statement_token1] = ACTIONS(5032),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5032),
    [aux_sym_entry_statement_token1] = ACTIONS(5032),
    [aux_sym_null_literal_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_statement_token2] = ACTIONS(5032),
    [aux_sym_coarray_statement_token6] = ACTIONS(5032),
    [aux_sym_coarray_statement_token8] = ACTIONS(5032),
    [aux_sym_coarray_statement_token11] = ACTIONS(5032),
    [aux_sym_coarray_statement_token12] = ACTIONS(5032),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5032),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5032),
    [aux_sym_identifier_token1] = ACTIONS(5032),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5034),
  },
  [3143] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5094),
    [aux_sym_preproc_def_token1] = ACTIONS(5094),
    [aux_sym_preproc_if_token2] = ACTIONS(5094),
    [sym_preproc_directive] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5094),
    [aux_sym_interface_statement_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5094),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5094),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5094),
    [aux_sym_language_binding_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5094),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5094),
    [aux_sym_contains_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token1] = ACTIONS(5094),
    [aux_sym_use_statement_token2] = ACTIONS(5094),
    [aux_sym_implicit_statement_token1] = ACTIONS(5094),
    [aux_sym_implicit_statement_token3] = ACTIONS(5094),
    [aux_sym_implicit_statement_token4] = ACTIONS(5094),
    [aux_sym_save_statement_token1] = ACTIONS(5094),
    [aux_sym_private_statement_token1] = ACTIONS(5094),
    [aux_sym_public_statement_token1] = ACTIONS(5094),
    [aux_sym_namelist_statement_token1] = ACTIONS(5094),
    [aux_sym_common_statement_token1] = ACTIONS(5094),
    [aux_sym_import_statement_token1] = ACTIONS(5094),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5094),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5094),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5094),
    [aux_sym_variable_attributes_token1] = ACTIONS(5094),
    [aux_sym_variable_attributes_token2] = ACTIONS(5094),
    [aux_sym_variable_attributes_token3] = ACTIONS(5094),
    [aux_sym_variable_attributes_token4] = ACTIONS(5094),
    [aux_sym_variable_attributes_token5] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5094),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5094),
    [aux_sym_derived_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token1] = ACTIONS(5094),
    [aux_sym_declared_type_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5094),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5094),
    [aux_sym_type_qualifier_token1] = ACTIONS(5094),
    [aux_sym_type_qualifier_token2] = ACTIONS(5094),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token1] = ACTIONS(5094),
    [aux_sym_stop_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token2] = ACTIONS(5094),
    [aux_sym_keyword_statement_token3] = ACTIONS(5094),
    [aux_sym_include_statement_token1] = ACTIONS(5094),
    [aux_sym_data_statement_token1] = ACTIONS(5094),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5094),
    [aux_sym_end_if_statement_token1] = ACTIONS(5094),
    [aux_sym_elseif_clause_token2] = ACTIONS(5094),
    [aux_sym_select_case_statement_token1] = ACTIONS(5094),
    [aux_sym_block_construct_token1] = ACTIONS(5094),
    [aux_sym_format_statement_token1] = ACTIONS(5094),
    [aux_sym_inquire_statement_token1] = ACTIONS(5094),
    [aux_sym_enum_statement_token1] = ACTIONS(5094),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5094),
    [aux_sym_entry_statement_token1] = ACTIONS(5094),
    [aux_sym_null_literal_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_statement_token2] = ACTIONS(5094),
    [aux_sym_coarray_statement_token6] = ACTIONS(5094),
    [aux_sym_coarray_statement_token8] = ACTIONS(5094),
    [aux_sym_coarray_statement_token11] = ACTIONS(5094),
    [aux_sym_coarray_statement_token12] = ACTIONS(5094),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5094),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5094),
    [aux_sym_identifier_token1] = ACTIONS(5094),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5096),
  },
  [3144] = {
    [sym__name] = STATE(6751),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4903),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7172),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7174),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7174),
  },
  [3145] = {
    [sym__expression] = STATE(4629),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_derived_type_member_expression] = STATE(4725),
    [sym_logical_expression] = STATE(4725),
    [sym_relational_expression] = STATE(4725),
    [sym_concatenation_expression] = STATE(4725),
    [sym_math_expression] = STATE(4725),
    [sym_unary_expression] = STATE(4725),
    [sym_user_defined_operator] = STATE(2982),
    [sym_call_expression] = STATE(4725),
    [sym_implied_do_loop_expression] = STATE(4725),
    [sym_array_literal] = STATE(4725),
    [sym__array_constructor_legacy] = STATE(4740),
    [sym__array_constructor_f2003] = STATE(4705),
    [sym_complex_literal] = STATE(4725),
    [sym_number_literal] = STATE(4725),
    [sym_boolean_literal] = STATE(4725),
    [sym_null_literal] = STATE(4725),
    [sym_string_literal] = STATE(4725),
    [sym_coarray_expression] = STATE(4725),
    [sym_conditional_expression] = STATE(4725),
    [sym_identifier] = STATE(4725),
    [anon_sym_LPAREN2] = ACTIONS(6800),
    [anon_sym_PLUS] = ACTIONS(6802),
    [anon_sym_DASH] = ACTIONS(6802),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token5] = ACTIONS(5531),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(6806),
    [aux_sym_boolean_literal_token1] = ACTIONS(5541),
    [aux_sym_boolean_literal_token2] = ACTIONS(5541),
    [aux_sym_null_literal_token1] = ACTIONS(5543),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5545),
    [sym__float_literal] = ACTIONS(5545),
    [sym__boz_literal] = ACTIONS(5545),
    [sym__string_literal] = ACTIONS(5507),
    [sym__string_literal_kind] = ACTIONS(5509),
  },
  [3146] = {
    [sym__expression] = STATE(4427),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3147] = {
    [sym__expression] = STATE(4680),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3148] = {
    [sym__name] = STATE(7047),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4576),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7176),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7178),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7178),
  },
  [3149] = {
    [sym__expression] = STATE(4407),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3150] = {
    [sym__expression] = STATE(4464),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3151] = {
    [sym__expression] = STATE(4595),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3152] = {
    [sym__name] = STATE(6937),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(886),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_function_statement_token1] = ACTIONS(7180),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7182),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4291),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7182),
  },
  [3153] = {
    [aux_sym_preproc_include_token1] = ACTIONS(5050),
    [aux_sym_preproc_def_token1] = ACTIONS(5050),
    [aux_sym_preproc_if_token2] = ACTIONS(5050),
    [sym_preproc_directive] = ACTIONS(5050),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5050),
    [aux_sym_interface_statement_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5050),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5050),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(5050),
    [aux_sym_language_binding_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5050),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5050),
    [aux_sym_contains_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token1] = ACTIONS(5050),
    [aux_sym_use_statement_token2] = ACTIONS(5050),
    [aux_sym_implicit_statement_token1] = ACTIONS(5050),
    [aux_sym_implicit_statement_token3] = ACTIONS(5050),
    [aux_sym_implicit_statement_token4] = ACTIONS(5050),
    [aux_sym_save_statement_token1] = ACTIONS(5050),
    [aux_sym_private_statement_token1] = ACTIONS(5050),
    [aux_sym_public_statement_token1] = ACTIONS(5050),
    [aux_sym_namelist_statement_token1] = ACTIONS(5050),
    [aux_sym_common_statement_token1] = ACTIONS(5050),
    [aux_sym_import_statement_token1] = ACTIONS(5050),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5050),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5050),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5050),
    [aux_sym_variable_attributes_token1] = ACTIONS(5050),
    [aux_sym_variable_attributes_token2] = ACTIONS(5050),
    [aux_sym_variable_attributes_token3] = ACTIONS(5050),
    [aux_sym_variable_attributes_token4] = ACTIONS(5050),
    [aux_sym_variable_attributes_token5] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5050),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5050),
    [aux_sym_derived_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token1] = ACTIONS(5050),
    [aux_sym_declared_type_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5050),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5050),
    [aux_sym_type_qualifier_token1] = ACTIONS(5050),
    [aux_sym_type_qualifier_token2] = ACTIONS(5050),
    [aux_sym_equivalence_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token1] = ACTIONS(5050),
    [aux_sym_stop_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token2] = ACTIONS(5050),
    [aux_sym_keyword_statement_token3] = ACTIONS(5050),
    [aux_sym_include_statement_token1] = ACTIONS(5050),
    [aux_sym_data_statement_token1] = ACTIONS(5050),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5050),
    [aux_sym_end_if_statement_token1] = ACTIONS(5050),
    [aux_sym_elseif_clause_token2] = ACTIONS(5050),
    [aux_sym_select_case_statement_token1] = ACTIONS(5050),
    [aux_sym_block_construct_token1] = ACTIONS(5050),
    [aux_sym_format_statement_token1] = ACTIONS(5050),
    [aux_sym_inquire_statement_token1] = ACTIONS(5050),
    [aux_sym_enum_statement_token1] = ACTIONS(5050),
    [aux_sym_enumeration_type_statement_token1] = ACTIONS(5050),
    [aux_sym_entry_statement_token1] = ACTIONS(5050),
    [aux_sym_null_literal_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_statement_token2] = ACTIONS(5050),
    [aux_sym_coarray_statement_token6] = ACTIONS(5050),
    [aux_sym_coarray_statement_token8] = ACTIONS(5050),
    [aux_sym_coarray_statement_token11] = ACTIONS(5050),
    [aux_sym_coarray_statement_token12] = ACTIONS(5050),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5050),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5050),
    [aux_sym_identifier_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5052),
  },
  [3154] = {
    [sym__expression] = STATE(4467),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3155] = {
    [sym__expression] = STATE(4424),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3156] = {
    [sym__expression] = STATE(4499),
    [sym_parenthesized_expression] = STATE(4855),
    [sym_derived_type_member_expression] = STATE(4855),
    [sym_logical_expression] = STATE(4855),
    [sym_relational_expression] = STATE(4855),
    [sym_concatenation_expression] = STATE(4855),
    [sym_math_expression] = STATE(4855),
    [sym_unary_expression] = STATE(4855),
    [sym_user_defined_operator] = STATE(3037),
    [sym_call_expression] = STATE(4855),
    [sym_implied_do_loop_expression] = STATE(4855),
    [sym_array_literal] = STATE(4855),
    [sym__array_constructor_legacy] = STATE(4856),
    [sym__array_constructor_f2003] = STATE(4857),
    [sym_complex_literal] = STATE(4855),
    [sym_number_literal] = STATE(4855),
    [sym_boolean_literal] = STATE(4855),
    [sym_null_literal] = STATE(4855),
    [sym_string_literal] = STATE(4855),
    [sym_coarray_expression] = STATE(4855),
    [sym_conditional_expression] = STATE(4855),
    [sym_identifier] = STATE(4855),
    [anon_sym_LPAREN2] = ACTIONS(6992),
    [anon_sym_PLUS] = ACTIONS(6994),
    [anon_sym_DASH] = ACTIONS(6994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(6996),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(6998),
    [anon_sym_LBRACK] = ACTIONS(7000),
    [aux_sym_boolean_literal_token1] = ACTIONS(7002),
    [aux_sym_boolean_literal_token2] = ACTIONS(7002),
    [aux_sym_null_literal_token1] = ACTIONS(7004),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7008),
    [sym__float_literal] = ACTIONS(7008),
    [sym__boz_literal] = ACTIONS(7008),
    [sym__string_literal] = ACTIONS(7010),
    [sym__string_literal_kind] = ACTIONS(7012),
  },
  [3157] = {
    [sym__expression] = STATE(4425),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3158] = {
    [sym__expression] = STATE(4426),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3125),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5918),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3159] = {
    [sym__expression] = STATE(4358),
    [sym_parenthesized_expression] = STATE(3807),
    [sym_derived_type_member_expression] = STATE(3807),
    [sym_logical_expression] = STATE(3807),
    [sym_relational_expression] = STATE(3807),
    [sym_concatenation_expression] = STATE(3807),
    [sym_math_expression] = STATE(3807),
    [sym_unary_expression] = STATE(3807),
    [sym_user_defined_operator] = STATE(3067),
    [sym_call_expression] = STATE(3807),
    [sym_implied_do_loop_expression] = STATE(3807),
    [sym_array_literal] = STATE(3807),
    [sym__array_constructor_legacy] = STATE(3672),
    [sym__array_constructor_f2003] = STATE(3674),
    [sym_complex_literal] = STATE(3807),
    [sym_number_literal] = STATE(3807),
    [sym_boolean_literal] = STATE(3807),
    [sym_null_literal] = STATE(3807),
    [sym_string_literal] = STATE(3807),
    [sym_coarray_expression] = STATE(3807),
    [sym_conditional_expression] = STATE(3807),
    [sym_identifier] = STATE(3807),
    [anon_sym_LPAREN2] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_logical_expression_token5] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(167),
    [anon_sym_LPAREN_SLASH] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [aux_sym_boolean_literal_token1] = ACTIONS(173),
    [aux_sym_boolean_literal_token2] = ACTIONS(173),
    [aux_sym_null_literal_token1] = ACTIONS(175),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(5842),
    [sym__float_literal] = ACTIONS(5842),
    [sym__boz_literal] = ACTIONS(5842),
    [sym__string_literal] = ACTIONS(195),
    [sym__string_literal_kind] = ACTIONS(197),
  },
  [3160] = {
    [sym__block_label] = STATE(7421),
    [sym_identifier] = STATE(7603),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7184),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7184),
  },
  [3161] = {
    [sym__import_names] = STATE(4527),
    [sym_identifier] = STATE(4379),
    [aux_sym_preproc_include_token1] = ACTIONS(7186),
    [aux_sym_preproc_def_token1] = ACTIONS(7186),
    [anon_sym_COMMA] = ACTIONS(7188),
    [aux_sym_preproc_if_token1] = ACTIONS(7186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7186),
    [sym_preproc_directive] = ACTIONS(7186),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7186),
    [aux_sym_module_statement_token1] = ACTIONS(7186),
    [aux_sym_end_interface_statement_token1] = ACTIONS(7186),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6232),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6232),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7186),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7186),
    [aux_sym_function_statement_token1] = ACTIONS(7186),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7186),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6232),
    [aux_sym_use_statement_token2] = ACTIONS(6232),
    [anon_sym_COLON_COLON] = ACTIONS(7190),
    [aux_sym_implicit_statement_token3] = ACTIONS(7186),
    [aux_sym_implicit_statement_token4] = ACTIONS(6232),
    [aux_sym_save_statement_token1] = ACTIONS(6232),
    [aux_sym_private_statement_token1] = ACTIONS(6232),
    [aux_sym_public_statement_token1] = ACTIONS(6232),
    [aux_sym_import_statement_token1] = ACTIONS(7186),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6232),
    [aux_sym_procedure_kind_token1] = ACTIONS(7186),
    [aux_sym_procedure_kind_token2] = ACTIONS(7186),
    [aux_sym_procedure_kind_token3] = ACTIONS(7186),
    [aux_sym_procedure_kind_token4] = ACTIONS(7186),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6232),
    [aux_sym_variable_attributes_token2] = ACTIONS(6232),
    [aux_sym_variable_attributes_token3] = ACTIONS(6232),
    [aux_sym_variable_attributes_token5] = ACTIONS(6232),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7186),
    [aux_sym_derived_type_token1] = ACTIONS(7186),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6238),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6232),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6232),
    [aux_sym_type_qualifier_token1] = ACTIONS(6232),
    [aux_sym_type_qualifier_token2] = ACTIONS(6232),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7186),
    [aux_sym_stop_statement_token1] = ACTIONS(6232),
    [aux_sym_stop_statement_token2] = ACTIONS(6232),
    [aux_sym_keyword_statement_token2] = ACTIONS(6232),
    [aux_sym_keyword_statement_token3] = ACTIONS(6232),
    [aux_sym_data_statement_token1] = ACTIONS(6232),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6232),
    [aux_sym_end_if_statement_token1] = ACTIONS(6232),
    [aux_sym_elseif_clause_token2] = ACTIONS(6232),
    [aux_sym_select_case_statement_token1] = ACTIONS(6240),
    [aux_sym_block_construct_token1] = ACTIONS(6232),
    [aux_sym_format_statement_token1] = ACTIONS(6232),
    [aux_sym_inquire_statement_token1] = ACTIONS(6232),
    [aux_sym_entry_statement_token1] = ACTIONS(6232),
    [aux_sym_null_literal_token1] = ACTIONS(6232),
    [aux_sym_coarray_statement_token1] = ACTIONS(6232),
    [aux_sym_coarray_statement_token2] = ACTIONS(6232),
    [aux_sym_coarray_statement_token6] = ACTIONS(6232),
    [aux_sym_coarray_statement_token8] = ACTIONS(6232),
    [aux_sym_coarray_statement_token11] = ACTIONS(6232),
    [aux_sym_coarray_statement_token12] = ACTIONS(6232),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6232),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6232),
    [aux_sym_identifier_token1] = ACTIONS(6232),
    [sym_comment] = ACTIONS(21),
  },
  [3162] = {
    [anon_sym_COMMA] = ACTIONS(6650),
    [anon_sym_LPAREN2] = ACTIONS(6650),
    [anon_sym_PLUS] = ACTIONS(6650),
    [anon_sym_DASH] = ACTIONS(6650),
    [anon_sym_STAR] = ACTIONS(6652),
    [anon_sym_SLASH] = ACTIONS(6652),
    [anon_sym_PERCENT] = ACTIONS(6650),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6650),
    [anon_sym_GT] = ACTIONS(6652),
    [anon_sym_GT_EQ] = ACTIONS(6650),
    [anon_sym_LT_EQ] = ACTIONS(6650),
    [anon_sym_LT] = ACTIONS(6652),
    [aux_sym_end_program_statement_token1] = ACTIONS(6652),
    [anon_sym_EQ] = ACTIONS(6652),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6652),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6652),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6652),
    [aux_sym_use_statement_token2] = ACTIONS(6652),
    [anon_sym_EQ_GT] = ACTIONS(6650),
    [aux_sym_implicit_statement_token4] = ACTIONS(6652),
    [aux_sym_save_statement_token1] = ACTIONS(6652),
    [aux_sym_private_statement_token1] = ACTIONS(6652),
    [aux_sym_public_statement_token1] = ACTIONS(6652),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6652),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6652),
    [aux_sym_variable_attributes_token2] = ACTIONS(6652),
    [aux_sym_variable_attributes_token3] = ACTIONS(6652),
    [aux_sym_variable_attributes_token5] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6652),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6652),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6652),
    [aux_sym_type_qualifier_token1] = ACTIONS(6652),
    [aux_sym_type_qualifier_token2] = ACTIONS(6652),
    [anon_sym_SEMI] = ACTIONS(6650),
    [aux_sym_stop_statement_token1] = ACTIONS(6652),
    [aux_sym_stop_statement_token2] = ACTIONS(6652),
    [anon_sym_LT_LT_LT] = ACTIONS(6650),
    [aux_sym_keyword_statement_token2] = ACTIONS(6652),
    [aux_sym_keyword_statement_token3] = ACTIONS(6652),
    [aux_sym_data_statement_token1] = ACTIONS(6652),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6652),
    [aux_sym_end_if_statement_token1] = ACTIONS(6652),
    [aux_sym_elseif_clause_token2] = ACTIONS(6652),
    [aux_sym_select_case_statement_token1] = ACTIONS(6652),
    [aux_sym_block_construct_token1] = ACTIONS(6652),
    [aux_sym_format_statement_token1] = ACTIONS(6652),
    [aux_sym_inquire_statement_token1] = ACTIONS(6652),
    [aux_sym_entry_statement_token1] = ACTIONS(6652),
    [aux_sym_logical_expression_token1] = ACTIONS(6650),
    [aux_sym_logical_expression_token2] = ACTIONS(6650),
    [aux_sym_logical_expression_token3] = ACTIONS(6650),
    [aux_sym_logical_expression_token4] = ACTIONS(6650),
    [aux_sym_relational_expression_token1] = ACTIONS(6650),
    [aux_sym_relational_expression_token2] = ACTIONS(6650),
    [aux_sym_relational_expression_token3] = ACTIONS(6650),
    [aux_sym_relational_expression_token4] = ACTIONS(6650),
    [aux_sym_relational_expression_token5] = ACTIONS(6650),
    [anon_sym_SLASH_EQ] = ACTIONS(6650),
    [aux_sym_relational_expression_token6] = ACTIONS(6650),
    [anon_sym_SLASH_SLASH] = ACTIONS(6650),
    [anon_sym_STAR_STAR] = ACTIONS(6650),
    [anon_sym_DOT] = ACTIONS(6652),
    [anon_sym_LBRACK] = ACTIONS(6650),
    [aux_sym_null_literal_token1] = ACTIONS(6652),
    [aux_sym_coarray_statement_token1] = ACTIONS(6652),
    [aux_sym_coarray_statement_token2] = ACTIONS(6652),
    [aux_sym_coarray_statement_token6] = ACTIONS(6652),
    [aux_sym_coarray_statement_token8] = ACTIONS(6652),
    [aux_sym_coarray_statement_token11] = ACTIONS(6652),
    [aux_sym_coarray_statement_token12] = ACTIONS(6652),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6652),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6652),
    [anon_sym_QMARK] = ACTIONS(6650),
    [aux_sym_identifier_token1] = ACTIONS(6652),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6650),
  },
  [3163] = {
    [anon_sym_COMMA] = ACTIONS(6686),
    [anon_sym_LPAREN2] = ACTIONS(6686),
    [anon_sym_PLUS] = ACTIONS(6686),
    [anon_sym_DASH] = ACTIONS(6686),
    [anon_sym_STAR] = ACTIONS(6688),
    [anon_sym_SLASH] = ACTIONS(6688),
    [anon_sym_PERCENT] = ACTIONS(6686),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6686),
    [anon_sym_GT] = ACTIONS(6688),
    [anon_sym_GT_EQ] = ACTIONS(6686),
    [anon_sym_LT_EQ] = ACTIONS(6686),
    [anon_sym_LT] = ACTIONS(6688),
    [aux_sym_end_program_statement_token1] = ACTIONS(6688),
    [anon_sym_EQ] = ACTIONS(6688),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6688),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6688),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6688),
    [aux_sym_use_statement_token2] = ACTIONS(6688),
    [anon_sym_EQ_GT] = ACTIONS(6686),
    [aux_sym_implicit_statement_token4] = ACTIONS(6688),
    [aux_sym_save_statement_token1] = ACTIONS(6688),
    [aux_sym_private_statement_token1] = ACTIONS(6688),
    [aux_sym_public_statement_token1] = ACTIONS(6688),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6688),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6688),
    [aux_sym_variable_attributes_token2] = ACTIONS(6688),
    [aux_sym_variable_attributes_token3] = ACTIONS(6688),
    [aux_sym_variable_attributes_token5] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6688),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6688),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6688),
    [aux_sym_type_qualifier_token1] = ACTIONS(6688),
    [aux_sym_type_qualifier_token2] = ACTIONS(6688),
    [anon_sym_SEMI] = ACTIONS(6686),
    [aux_sym_stop_statement_token1] = ACTIONS(6688),
    [aux_sym_stop_statement_token2] = ACTIONS(6688),
    [anon_sym_LT_LT_LT] = ACTIONS(6686),
    [aux_sym_keyword_statement_token2] = ACTIONS(6688),
    [aux_sym_keyword_statement_token3] = ACTIONS(6688),
    [aux_sym_data_statement_token1] = ACTIONS(6688),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6688),
    [aux_sym_end_if_statement_token1] = ACTIONS(6688),
    [aux_sym_elseif_clause_token2] = ACTIONS(6688),
    [aux_sym_select_case_statement_token1] = ACTIONS(6688),
    [aux_sym_block_construct_token1] = ACTIONS(6688),
    [aux_sym_format_statement_token1] = ACTIONS(6688),
    [aux_sym_inquire_statement_token1] = ACTIONS(6688),
    [aux_sym_entry_statement_token1] = ACTIONS(6688),
    [aux_sym_logical_expression_token1] = ACTIONS(6686),
    [aux_sym_logical_expression_token2] = ACTIONS(6686),
    [aux_sym_logical_expression_token3] = ACTIONS(6686),
    [aux_sym_logical_expression_token4] = ACTIONS(6686),
    [aux_sym_relational_expression_token1] = ACTIONS(6686),
    [aux_sym_relational_expression_token2] = ACTIONS(6686),
    [aux_sym_relational_expression_token3] = ACTIONS(6686),
    [aux_sym_relational_expression_token4] = ACTIONS(6686),
    [aux_sym_relational_expression_token5] = ACTIONS(6686),
    [anon_sym_SLASH_EQ] = ACTIONS(6686),
    [aux_sym_relational_expression_token6] = ACTIONS(6686),
    [anon_sym_SLASH_SLASH] = ACTIONS(6686),
    [anon_sym_STAR_STAR] = ACTIONS(6686),
    [anon_sym_DOT] = ACTIONS(6688),
    [anon_sym_LBRACK] = ACTIONS(6686),
    [aux_sym_null_literal_token1] = ACTIONS(6688),
    [aux_sym_coarray_statement_token1] = ACTIONS(6688),
    [aux_sym_coarray_statement_token2] = ACTIONS(6688),
    [aux_sym_coarray_statement_token6] = ACTIONS(6688),
    [aux_sym_coarray_statement_token8] = ACTIONS(6688),
    [aux_sym_coarray_statement_token11] = ACTIONS(6688),
    [aux_sym_coarray_statement_token12] = ACTIONS(6688),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6688),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6688),
    [anon_sym_QMARK] = ACTIONS(6686),
    [aux_sym_identifier_token1] = ACTIONS(6688),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6686),
  },
  [3164] = {
    [anon_sym_COMMA] = ACTIONS(6632),
    [anon_sym_LPAREN2] = ACTIONS(6632),
    [anon_sym_PLUS] = ACTIONS(6632),
    [anon_sym_DASH] = ACTIONS(6632),
    [anon_sym_STAR] = ACTIONS(6634),
    [anon_sym_SLASH] = ACTIONS(6634),
    [anon_sym_PERCENT] = ACTIONS(6632),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6632),
    [anon_sym_GT] = ACTIONS(6634),
    [anon_sym_GT_EQ] = ACTIONS(6632),
    [anon_sym_LT_EQ] = ACTIONS(6632),
    [anon_sym_LT] = ACTIONS(6634),
    [aux_sym_end_program_statement_token1] = ACTIONS(6634),
    [anon_sym_EQ] = ACTIONS(6634),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6634),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6634),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6634),
    [aux_sym_use_statement_token2] = ACTIONS(6634),
    [anon_sym_EQ_GT] = ACTIONS(6632),
    [aux_sym_implicit_statement_token4] = ACTIONS(6634),
    [aux_sym_save_statement_token1] = ACTIONS(6634),
    [aux_sym_private_statement_token1] = ACTIONS(6634),
    [aux_sym_public_statement_token1] = ACTIONS(6634),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6634),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6634),
    [aux_sym_variable_attributes_token2] = ACTIONS(6634),
    [aux_sym_variable_attributes_token3] = ACTIONS(6634),
    [aux_sym_variable_attributes_token5] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6634),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6634),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6634),
    [aux_sym_type_qualifier_token1] = ACTIONS(6634),
    [aux_sym_type_qualifier_token2] = ACTIONS(6634),
    [anon_sym_SEMI] = ACTIONS(6632),
    [aux_sym_stop_statement_token1] = ACTIONS(6634),
    [aux_sym_stop_statement_token2] = ACTIONS(6634),
    [anon_sym_LT_LT_LT] = ACTIONS(6632),
    [aux_sym_keyword_statement_token2] = ACTIONS(6634),
    [aux_sym_keyword_statement_token3] = ACTIONS(6634),
    [aux_sym_data_statement_token1] = ACTIONS(6634),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6634),
    [aux_sym_end_if_statement_token1] = ACTIONS(6634),
    [aux_sym_elseif_clause_token2] = ACTIONS(6634),
    [aux_sym_select_case_statement_token1] = ACTIONS(6634),
    [aux_sym_block_construct_token1] = ACTIONS(6634),
    [aux_sym_format_statement_token1] = ACTIONS(6634),
    [aux_sym_inquire_statement_token1] = ACTIONS(6634),
    [aux_sym_entry_statement_token1] = ACTIONS(6634),
    [aux_sym_logical_expression_token1] = ACTIONS(6632),
    [aux_sym_logical_expression_token2] = ACTIONS(6632),
    [aux_sym_logical_expression_token3] = ACTIONS(6632),
    [aux_sym_logical_expression_token4] = ACTIONS(6632),
    [aux_sym_relational_expression_token1] = ACTIONS(6632),
    [aux_sym_relational_expression_token2] = ACTIONS(6632),
    [aux_sym_relational_expression_token3] = ACTIONS(6632),
    [aux_sym_relational_expression_token4] = ACTIONS(6632),
    [aux_sym_relational_expression_token5] = ACTIONS(6632),
    [anon_sym_SLASH_EQ] = ACTIONS(6632),
    [aux_sym_relational_expression_token6] = ACTIONS(6632),
    [anon_sym_SLASH_SLASH] = ACTIONS(6632),
    [anon_sym_STAR_STAR] = ACTIONS(6632),
    [anon_sym_DOT] = ACTIONS(6634),
    [anon_sym_LBRACK] = ACTIONS(6632),
    [aux_sym_null_literal_token1] = ACTIONS(6634),
    [aux_sym_coarray_statement_token1] = ACTIONS(6634),
    [aux_sym_coarray_statement_token2] = ACTIONS(6634),
    [aux_sym_coarray_statement_token6] = ACTIONS(6634),
    [aux_sym_coarray_statement_token8] = ACTIONS(6634),
    [aux_sym_coarray_statement_token11] = ACTIONS(6634),
    [aux_sym_coarray_statement_token12] = ACTIONS(6634),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6634),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6634),
    [anon_sym_QMARK] = ACTIONS(6632),
    [aux_sym_identifier_token1] = ACTIONS(6634),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6632),
  },
  [3165] = {
    [sym_identifier] = STATE(7476),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7192),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7192),
  },
  [3166] = {
    [anon_sym_COMMA] = ACTIONS(6682),
    [anon_sym_LPAREN2] = ACTIONS(6682),
    [anon_sym_PLUS] = ACTIONS(6682),
    [anon_sym_DASH] = ACTIONS(6682),
    [anon_sym_STAR] = ACTIONS(6684),
    [anon_sym_SLASH] = ACTIONS(6684),
    [anon_sym_PERCENT] = ACTIONS(6682),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6682),
    [anon_sym_GT] = ACTIONS(6684),
    [anon_sym_GT_EQ] = ACTIONS(6682),
    [anon_sym_LT_EQ] = ACTIONS(6682),
    [anon_sym_LT] = ACTIONS(6684),
    [aux_sym_end_program_statement_token1] = ACTIONS(6684),
    [anon_sym_EQ] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6684),
    [aux_sym_use_statement_token2] = ACTIONS(6684),
    [anon_sym_EQ_GT] = ACTIONS(6682),
    [aux_sym_implicit_statement_token4] = ACTIONS(6684),
    [aux_sym_save_statement_token1] = ACTIONS(6684),
    [aux_sym_private_statement_token1] = ACTIONS(6684),
    [aux_sym_public_statement_token1] = ACTIONS(6684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6684),
    [aux_sym_variable_attributes_token2] = ACTIONS(6684),
    [aux_sym_variable_attributes_token3] = ACTIONS(6684),
    [aux_sym_variable_attributes_token5] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6684),
    [aux_sym_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym_type_qualifier_token2] = ACTIONS(6684),
    [anon_sym_SEMI] = ACTIONS(6682),
    [aux_sym_stop_statement_token1] = ACTIONS(6684),
    [aux_sym_stop_statement_token2] = ACTIONS(6684),
    [anon_sym_LT_LT_LT] = ACTIONS(6682),
    [aux_sym_keyword_statement_token2] = ACTIONS(6684),
    [aux_sym_keyword_statement_token3] = ACTIONS(6684),
    [aux_sym_data_statement_token1] = ACTIONS(6684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6684),
    [aux_sym_end_if_statement_token1] = ACTIONS(6684),
    [aux_sym_elseif_clause_token2] = ACTIONS(6684),
    [aux_sym_select_case_statement_token1] = ACTIONS(6684),
    [aux_sym_block_construct_token1] = ACTIONS(6684),
    [aux_sym_format_statement_token1] = ACTIONS(6684),
    [aux_sym_inquire_statement_token1] = ACTIONS(6684),
    [aux_sym_entry_statement_token1] = ACTIONS(6684),
    [aux_sym_logical_expression_token1] = ACTIONS(6682),
    [aux_sym_logical_expression_token2] = ACTIONS(6682),
    [aux_sym_logical_expression_token3] = ACTIONS(6682),
    [aux_sym_logical_expression_token4] = ACTIONS(6682),
    [aux_sym_relational_expression_token1] = ACTIONS(6682),
    [aux_sym_relational_expression_token2] = ACTIONS(6682),
    [aux_sym_relational_expression_token3] = ACTIONS(6682),
    [aux_sym_relational_expression_token4] = ACTIONS(6682),
    [aux_sym_relational_expression_token5] = ACTIONS(6682),
    [anon_sym_SLASH_EQ] = ACTIONS(6682),
    [aux_sym_relational_expression_token6] = ACTIONS(6682),
    [anon_sym_SLASH_SLASH] = ACTIONS(6682),
    [anon_sym_STAR_STAR] = ACTIONS(6682),
    [anon_sym_DOT] = ACTIONS(6684),
    [anon_sym_LBRACK] = ACTIONS(6682),
    [aux_sym_null_literal_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token2] = ACTIONS(6684),
    [aux_sym_coarray_statement_token6] = ACTIONS(6684),
    [aux_sym_coarray_statement_token8] = ACTIONS(6684),
    [aux_sym_coarray_statement_token11] = ACTIONS(6684),
    [aux_sym_coarray_statement_token12] = ACTIONS(6684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6684),
    [anon_sym_QMARK] = ACTIONS(6682),
    [aux_sym_identifier_token1] = ACTIONS(6684),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6682),
  },
  [3167] = {
    [anon_sym_COMMA] = ACTIONS(6674),
    [anon_sym_LPAREN2] = ACTIONS(6674),
    [anon_sym_PLUS] = ACTIONS(6674),
    [anon_sym_DASH] = ACTIONS(6674),
    [anon_sym_STAR] = ACTIONS(6676),
    [anon_sym_SLASH] = ACTIONS(6676),
    [anon_sym_PERCENT] = ACTIONS(6674),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6674),
    [anon_sym_GT] = ACTIONS(6676),
    [anon_sym_GT_EQ] = ACTIONS(6674),
    [anon_sym_LT_EQ] = ACTIONS(6674),
    [anon_sym_LT] = ACTIONS(6676),
    [aux_sym_end_program_statement_token1] = ACTIONS(6676),
    [anon_sym_EQ] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6676),
    [aux_sym_use_statement_token2] = ACTIONS(6676),
    [anon_sym_EQ_GT] = ACTIONS(6674),
    [aux_sym_implicit_statement_token4] = ACTIONS(6676),
    [aux_sym_save_statement_token1] = ACTIONS(6676),
    [aux_sym_private_statement_token1] = ACTIONS(6676),
    [aux_sym_public_statement_token1] = ACTIONS(6676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6676),
    [aux_sym_variable_attributes_token2] = ACTIONS(6676),
    [aux_sym_variable_attributes_token3] = ACTIONS(6676),
    [aux_sym_variable_attributes_token5] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6676),
    [aux_sym_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym_type_qualifier_token2] = ACTIONS(6676),
    [anon_sym_SEMI] = ACTIONS(6674),
    [aux_sym_stop_statement_token1] = ACTIONS(6676),
    [aux_sym_stop_statement_token2] = ACTIONS(6676),
    [anon_sym_LT_LT_LT] = ACTIONS(6674),
    [aux_sym_keyword_statement_token2] = ACTIONS(6676),
    [aux_sym_keyword_statement_token3] = ACTIONS(6676),
    [aux_sym_data_statement_token1] = ACTIONS(6676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6676),
    [aux_sym_end_if_statement_token1] = ACTIONS(6676),
    [aux_sym_elseif_clause_token2] = ACTIONS(6676),
    [aux_sym_select_case_statement_token1] = ACTIONS(6676),
    [aux_sym_block_construct_token1] = ACTIONS(6676),
    [aux_sym_format_statement_token1] = ACTIONS(6676),
    [aux_sym_inquire_statement_token1] = ACTIONS(6676),
    [aux_sym_entry_statement_token1] = ACTIONS(6676),
    [aux_sym_logical_expression_token1] = ACTIONS(6674),
    [aux_sym_logical_expression_token2] = ACTIONS(6674),
    [aux_sym_logical_expression_token3] = ACTIONS(6674),
    [aux_sym_logical_expression_token4] = ACTIONS(6674),
    [aux_sym_relational_expression_token1] = ACTIONS(6674),
    [aux_sym_relational_expression_token2] = ACTIONS(6674),
    [aux_sym_relational_expression_token3] = ACTIONS(6674),
    [aux_sym_relational_expression_token4] = ACTIONS(6674),
    [aux_sym_relational_expression_token5] = ACTIONS(6674),
    [anon_sym_SLASH_EQ] = ACTIONS(6674),
    [aux_sym_relational_expression_token6] = ACTIONS(6674),
    [anon_sym_SLASH_SLASH] = ACTIONS(6674),
    [anon_sym_STAR_STAR] = ACTIONS(6674),
    [anon_sym_DOT] = ACTIONS(6676),
    [anon_sym_LBRACK] = ACTIONS(6674),
    [aux_sym_null_literal_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token2] = ACTIONS(6676),
    [aux_sym_coarray_statement_token6] = ACTIONS(6676),
    [aux_sym_coarray_statement_token8] = ACTIONS(6676),
    [aux_sym_coarray_statement_token11] = ACTIONS(6676),
    [aux_sym_coarray_statement_token12] = ACTIONS(6676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6676),
    [anon_sym_QMARK] = ACTIONS(6674),
    [aux_sym_identifier_token1] = ACTIONS(6676),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6674),
  },
  [3168] = {
    [anon_sym_COMMA] = ACTIONS(6678),
    [anon_sym_LPAREN2] = ACTIONS(6678),
    [anon_sym_PLUS] = ACTIONS(6678),
    [anon_sym_DASH] = ACTIONS(6678),
    [anon_sym_STAR] = ACTIONS(6680),
    [anon_sym_SLASH] = ACTIONS(6680),
    [anon_sym_PERCENT] = ACTIONS(6678),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6678),
    [anon_sym_GT] = ACTIONS(6680),
    [anon_sym_GT_EQ] = ACTIONS(6678),
    [anon_sym_LT_EQ] = ACTIONS(6678),
    [anon_sym_LT] = ACTIONS(6680),
    [aux_sym_end_program_statement_token1] = ACTIONS(6680),
    [anon_sym_EQ] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6680),
    [aux_sym_use_statement_token2] = ACTIONS(6680),
    [anon_sym_EQ_GT] = ACTIONS(6678),
    [aux_sym_implicit_statement_token4] = ACTIONS(6680),
    [aux_sym_save_statement_token1] = ACTIONS(6680),
    [aux_sym_private_statement_token1] = ACTIONS(6680),
    [aux_sym_public_statement_token1] = ACTIONS(6680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6680),
    [aux_sym_variable_attributes_token2] = ACTIONS(6680),
    [aux_sym_variable_attributes_token3] = ACTIONS(6680),
    [aux_sym_variable_attributes_token5] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6680),
    [aux_sym_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym_type_qualifier_token2] = ACTIONS(6680),
    [anon_sym_SEMI] = ACTIONS(6678),
    [aux_sym_stop_statement_token1] = ACTIONS(6680),
    [aux_sym_stop_statement_token2] = ACTIONS(6680),
    [anon_sym_LT_LT_LT] = ACTIONS(6678),
    [aux_sym_keyword_statement_token2] = ACTIONS(6680),
    [aux_sym_keyword_statement_token3] = ACTIONS(6680),
    [aux_sym_data_statement_token1] = ACTIONS(6680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6680),
    [aux_sym_end_if_statement_token1] = ACTIONS(6680),
    [aux_sym_elseif_clause_token2] = ACTIONS(6680),
    [aux_sym_select_case_statement_token1] = ACTIONS(6680),
    [aux_sym_block_construct_token1] = ACTIONS(6680),
    [aux_sym_format_statement_token1] = ACTIONS(6680),
    [aux_sym_inquire_statement_token1] = ACTIONS(6680),
    [aux_sym_entry_statement_token1] = ACTIONS(6680),
    [aux_sym_logical_expression_token1] = ACTIONS(6678),
    [aux_sym_logical_expression_token2] = ACTIONS(6678),
    [aux_sym_logical_expression_token3] = ACTIONS(6678),
    [aux_sym_logical_expression_token4] = ACTIONS(6678),
    [aux_sym_relational_expression_token1] = ACTIONS(6678),
    [aux_sym_relational_expression_token2] = ACTIONS(6678),
    [aux_sym_relational_expression_token3] = ACTIONS(6678),
    [aux_sym_relational_expression_token4] = ACTIONS(6678),
    [aux_sym_relational_expression_token5] = ACTIONS(6678),
    [anon_sym_SLASH_EQ] = ACTIONS(6678),
    [aux_sym_relational_expression_token6] = ACTIONS(6678),
    [anon_sym_SLASH_SLASH] = ACTIONS(6678),
    [anon_sym_STAR_STAR] = ACTIONS(6678),
    [anon_sym_DOT] = ACTIONS(6680),
    [anon_sym_LBRACK] = ACTIONS(6678),
    [aux_sym_null_literal_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token2] = ACTIONS(6680),
    [aux_sym_coarray_statement_token6] = ACTIONS(6680),
    [aux_sym_coarray_statement_token8] = ACTIONS(6680),
    [aux_sym_coarray_statement_token11] = ACTIONS(6680),
    [aux_sym_coarray_statement_token12] = ACTIONS(6680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6680),
    [anon_sym_QMARK] = ACTIONS(6678),
    [aux_sym_identifier_token1] = ACTIONS(6680),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6678),
  },
  [3169] = {
    [anon_sym_COMMA] = ACTIONS(6690),
    [anon_sym_LPAREN2] = ACTIONS(6690),
    [anon_sym_PLUS] = ACTIONS(6690),
    [anon_sym_DASH] = ACTIONS(6690),
    [anon_sym_STAR] = ACTIONS(6692),
    [anon_sym_SLASH] = ACTIONS(6692),
    [anon_sym_PERCENT] = ACTIONS(6690),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6690),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_GT_EQ] = ACTIONS(6690),
    [anon_sym_LT_EQ] = ACTIONS(6690),
    [anon_sym_LT] = ACTIONS(6692),
    [aux_sym_end_program_statement_token1] = ACTIONS(6692),
    [anon_sym_EQ] = ACTIONS(6692),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6692),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6692),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6692),
    [aux_sym_use_statement_token2] = ACTIONS(6692),
    [anon_sym_EQ_GT] = ACTIONS(6690),
    [aux_sym_implicit_statement_token4] = ACTIONS(6692),
    [aux_sym_save_statement_token1] = ACTIONS(6692),
    [aux_sym_private_statement_token1] = ACTIONS(6692),
    [aux_sym_public_statement_token1] = ACTIONS(6692),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6692),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6692),
    [aux_sym_variable_attributes_token2] = ACTIONS(6692),
    [aux_sym_variable_attributes_token3] = ACTIONS(6692),
    [aux_sym_variable_attributes_token5] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6692),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6692),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6692),
    [aux_sym_type_qualifier_token1] = ACTIONS(6692),
    [aux_sym_type_qualifier_token2] = ACTIONS(6692),
    [anon_sym_SEMI] = ACTIONS(6690),
    [aux_sym_stop_statement_token1] = ACTIONS(6692),
    [aux_sym_stop_statement_token2] = ACTIONS(6692),
    [anon_sym_LT_LT_LT] = ACTIONS(6690),
    [aux_sym_keyword_statement_token2] = ACTIONS(6692),
    [aux_sym_keyword_statement_token3] = ACTIONS(6692),
    [aux_sym_data_statement_token1] = ACTIONS(6692),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6692),
    [aux_sym_end_if_statement_token1] = ACTIONS(6692),
    [aux_sym_elseif_clause_token2] = ACTIONS(6692),
    [aux_sym_select_case_statement_token1] = ACTIONS(6692),
    [aux_sym_block_construct_token1] = ACTIONS(6692),
    [aux_sym_format_statement_token1] = ACTIONS(6692),
    [aux_sym_inquire_statement_token1] = ACTIONS(6692),
    [aux_sym_entry_statement_token1] = ACTIONS(6692),
    [aux_sym_logical_expression_token1] = ACTIONS(6690),
    [aux_sym_logical_expression_token2] = ACTIONS(6690),
    [aux_sym_logical_expression_token3] = ACTIONS(6690),
    [aux_sym_logical_expression_token4] = ACTIONS(6690),
    [aux_sym_relational_expression_token1] = ACTIONS(6690),
    [aux_sym_relational_expression_token2] = ACTIONS(6690),
    [aux_sym_relational_expression_token3] = ACTIONS(6690),
    [aux_sym_relational_expression_token4] = ACTIONS(6690),
    [aux_sym_relational_expression_token5] = ACTIONS(6690),
    [anon_sym_SLASH_EQ] = ACTIONS(6690),
    [aux_sym_relational_expression_token6] = ACTIONS(6690),
    [anon_sym_SLASH_SLASH] = ACTIONS(6690),
    [anon_sym_STAR_STAR] = ACTIONS(6690),
    [anon_sym_DOT] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6690),
    [aux_sym_null_literal_token1] = ACTIONS(6692),
    [aux_sym_coarray_statement_token1] = ACTIONS(6692),
    [aux_sym_coarray_statement_token2] = ACTIONS(6692),
    [aux_sym_coarray_statement_token6] = ACTIONS(6692),
    [aux_sym_coarray_statement_token8] = ACTIONS(6692),
    [aux_sym_coarray_statement_token11] = ACTIONS(6692),
    [aux_sym_coarray_statement_token12] = ACTIONS(6692),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6692),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6692),
    [anon_sym_QMARK] = ACTIONS(6690),
    [aux_sym_identifier_token1] = ACTIONS(6692),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6690),
  },
  [3170] = {
    [anon_sym_COMMA] = ACTIONS(6670),
    [anon_sym_LPAREN2] = ACTIONS(6670),
    [anon_sym_PLUS] = ACTIONS(6670),
    [anon_sym_DASH] = ACTIONS(6670),
    [anon_sym_STAR] = ACTIONS(6672),
    [anon_sym_SLASH] = ACTIONS(6672),
    [anon_sym_PERCENT] = ACTIONS(6670),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6670),
    [anon_sym_GT] = ACTIONS(6672),
    [anon_sym_GT_EQ] = ACTIONS(6670),
    [anon_sym_LT_EQ] = ACTIONS(6670),
    [anon_sym_LT] = ACTIONS(6672),
    [aux_sym_end_program_statement_token1] = ACTIONS(6672),
    [anon_sym_EQ] = ACTIONS(6672),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6672),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6672),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6672),
    [aux_sym_use_statement_token2] = ACTIONS(6672),
    [anon_sym_EQ_GT] = ACTIONS(6670),
    [aux_sym_implicit_statement_token4] = ACTIONS(6672),
    [aux_sym_save_statement_token1] = ACTIONS(6672),
    [aux_sym_private_statement_token1] = ACTIONS(6672),
    [aux_sym_public_statement_token1] = ACTIONS(6672),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6672),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6672),
    [aux_sym_variable_attributes_token2] = ACTIONS(6672),
    [aux_sym_variable_attributes_token3] = ACTIONS(6672),
    [aux_sym_variable_attributes_token5] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6672),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6672),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6672),
    [aux_sym_type_qualifier_token1] = ACTIONS(6672),
    [aux_sym_type_qualifier_token2] = ACTIONS(6672),
    [anon_sym_SEMI] = ACTIONS(6670),
    [aux_sym_stop_statement_token1] = ACTIONS(6672),
    [aux_sym_stop_statement_token2] = ACTIONS(6672),
    [anon_sym_LT_LT_LT] = ACTIONS(6670),
    [aux_sym_keyword_statement_token2] = ACTIONS(6672),
    [aux_sym_keyword_statement_token3] = ACTIONS(6672),
    [aux_sym_data_statement_token1] = ACTIONS(6672),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6672),
    [aux_sym_end_if_statement_token1] = ACTIONS(6672),
    [aux_sym_elseif_clause_token2] = ACTIONS(6672),
    [aux_sym_select_case_statement_token1] = ACTIONS(6672),
    [aux_sym_block_construct_token1] = ACTIONS(6672),
    [aux_sym_format_statement_token1] = ACTIONS(6672),
    [aux_sym_inquire_statement_token1] = ACTIONS(6672),
    [aux_sym_entry_statement_token1] = ACTIONS(6672),
    [aux_sym_logical_expression_token1] = ACTIONS(6670),
    [aux_sym_logical_expression_token2] = ACTIONS(6670),
    [aux_sym_logical_expression_token3] = ACTIONS(6670),
    [aux_sym_logical_expression_token4] = ACTIONS(6670),
    [aux_sym_relational_expression_token1] = ACTIONS(6670),
    [aux_sym_relational_expression_token2] = ACTIONS(6670),
    [aux_sym_relational_expression_token3] = ACTIONS(6670),
    [aux_sym_relational_expression_token4] = ACTIONS(6670),
    [aux_sym_relational_expression_token5] = ACTIONS(6670),
    [anon_sym_SLASH_EQ] = ACTIONS(6670),
    [aux_sym_relational_expression_token6] = ACTIONS(6670),
    [anon_sym_SLASH_SLASH] = ACTIONS(6670),
    [anon_sym_STAR_STAR] = ACTIONS(6670),
    [anon_sym_DOT] = ACTIONS(6672),
    [anon_sym_LBRACK] = ACTIONS(6670),
    [aux_sym_null_literal_token1] = ACTIONS(6672),
    [aux_sym_coarray_statement_token1] = ACTIONS(6672),
    [aux_sym_coarray_statement_token2] = ACTIONS(6672),
    [aux_sym_coarray_statement_token6] = ACTIONS(6672),
    [aux_sym_coarray_statement_token8] = ACTIONS(6672),
    [aux_sym_coarray_statement_token11] = ACTIONS(6672),
    [aux_sym_coarray_statement_token12] = ACTIONS(6672),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6672),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6672),
    [anon_sym_QMARK] = ACTIONS(6670),
    [aux_sym_identifier_token1] = ACTIONS(6672),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6670),
  },
  [3171] = {
    [anon_sym_COMMA] = ACTIONS(6666),
    [anon_sym_LPAREN2] = ACTIONS(6666),
    [anon_sym_PLUS] = ACTIONS(6666),
    [anon_sym_DASH] = ACTIONS(6666),
    [anon_sym_STAR] = ACTIONS(6668),
    [anon_sym_SLASH] = ACTIONS(6668),
    [anon_sym_PERCENT] = ACTIONS(6666),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6666),
    [anon_sym_GT] = ACTIONS(6668),
    [anon_sym_GT_EQ] = ACTIONS(6666),
    [anon_sym_LT_EQ] = ACTIONS(6666),
    [anon_sym_LT] = ACTIONS(6668),
    [aux_sym_end_program_statement_token1] = ACTIONS(6668),
    [anon_sym_EQ] = ACTIONS(6668),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6668),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6668),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6668),
    [aux_sym_use_statement_token2] = ACTIONS(6668),
    [anon_sym_EQ_GT] = ACTIONS(6666),
    [aux_sym_implicit_statement_token4] = ACTIONS(6668),
    [aux_sym_save_statement_token1] = ACTIONS(6668),
    [aux_sym_private_statement_token1] = ACTIONS(6668),
    [aux_sym_public_statement_token1] = ACTIONS(6668),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6668),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6668),
    [aux_sym_variable_attributes_token2] = ACTIONS(6668),
    [aux_sym_variable_attributes_token3] = ACTIONS(6668),
    [aux_sym_variable_attributes_token5] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6668),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6668),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6668),
    [aux_sym_type_qualifier_token1] = ACTIONS(6668),
    [aux_sym_type_qualifier_token2] = ACTIONS(6668),
    [anon_sym_SEMI] = ACTIONS(6666),
    [aux_sym_stop_statement_token1] = ACTIONS(6668),
    [aux_sym_stop_statement_token2] = ACTIONS(6668),
    [anon_sym_LT_LT_LT] = ACTIONS(6666),
    [aux_sym_keyword_statement_token2] = ACTIONS(6668),
    [aux_sym_keyword_statement_token3] = ACTIONS(6668),
    [aux_sym_data_statement_token1] = ACTIONS(6668),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6668),
    [aux_sym_end_if_statement_token1] = ACTIONS(6668),
    [aux_sym_elseif_clause_token2] = ACTIONS(6668),
    [aux_sym_select_case_statement_token1] = ACTIONS(6668),
    [aux_sym_block_construct_token1] = ACTIONS(6668),
    [aux_sym_format_statement_token1] = ACTIONS(6668),
    [aux_sym_inquire_statement_token1] = ACTIONS(6668),
    [aux_sym_entry_statement_token1] = ACTIONS(6668),
    [aux_sym_logical_expression_token1] = ACTIONS(6666),
    [aux_sym_logical_expression_token2] = ACTIONS(6666),
    [aux_sym_logical_expression_token3] = ACTIONS(6666),
    [aux_sym_logical_expression_token4] = ACTIONS(6666),
    [aux_sym_relational_expression_token1] = ACTIONS(6666),
    [aux_sym_relational_expression_token2] = ACTIONS(6666),
    [aux_sym_relational_expression_token3] = ACTIONS(6666),
    [aux_sym_relational_expression_token4] = ACTIONS(6666),
    [aux_sym_relational_expression_token5] = ACTIONS(6666),
    [anon_sym_SLASH_EQ] = ACTIONS(6666),
    [aux_sym_relational_expression_token6] = ACTIONS(6666),
    [anon_sym_SLASH_SLASH] = ACTIONS(6666),
    [anon_sym_STAR_STAR] = ACTIONS(6666),
    [anon_sym_DOT] = ACTIONS(6668),
    [anon_sym_LBRACK] = ACTIONS(6666),
    [aux_sym_null_literal_token1] = ACTIONS(6668),
    [aux_sym_coarray_statement_token1] = ACTIONS(6668),
    [aux_sym_coarray_statement_token2] = ACTIONS(6668),
    [aux_sym_coarray_statement_token6] = ACTIONS(6668),
    [aux_sym_coarray_statement_token8] = ACTIONS(6668),
    [aux_sym_coarray_statement_token11] = ACTIONS(6668),
    [aux_sym_coarray_statement_token12] = ACTIONS(6668),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6668),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6668),
    [anon_sym_QMARK] = ACTIONS(6666),
    [aux_sym_identifier_token1] = ACTIONS(6668),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6666),
  },
  [3172] = {
    [sym__name] = STATE(5760),
    [sym_identifier] = STATE(6116),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3173] = {
    [sym__import_names] = STATE(4728),
    [sym_identifier] = STATE(4650),
    [anon_sym_COMMA] = ACTIONS(7194),
    [aux_sym_preproc_if_token2] = ACTIONS(7196),
    [aux_sym_preproc_else_token1] = ACTIONS(7196),
    [aux_sym_preproc_elif_token1] = ACTIONS(7186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7196),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_module_statement_token1] = ACTIONS(7186),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7186),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(7186),
    [aux_sym_function_statement_token1] = ACTIONS(7186),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7186),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(7198),
    [aux_sym_implicit_statement_token3] = ACTIONS(7186),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_import_statement_token1] = ACTIONS(7186),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_kind_token1] = ACTIONS(7186),
    [aux_sym_procedure_kind_token2] = ACTIONS(7186),
    [aux_sym_procedure_kind_token3] = ACTIONS(7186),
    [aux_sym_procedure_kind_token4] = ACTIONS(7186),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7186),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7186),
    [aux_sym_derived_type_token1] = ACTIONS(7186),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7186),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7186),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3174] = {
    [anon_sym_COMMA] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(4285),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5718),
    [aux_sym_use_statement_token2] = ACTIONS(5718),
    [anon_sym_COLON_COLON] = ACTIONS(5710),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token4] = ACTIONS(5718),
    [aux_sym_save_statement_token1] = ACTIONS(5718),
    [aux_sym_private_statement_token1] = ACTIONS(5718),
    [aux_sym_public_statement_token1] = ACTIONS(5718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5718),
    [aux_sym_variable_attributes_token2] = ACTIONS(5718),
    [aux_sym_variable_attributes_token3] = ACTIONS(5718),
    [aux_sym_variable_attributes_token5] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5718),
    [aux_sym_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym_stop_statement_token1] = ACTIONS(5718),
    [aux_sym_stop_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token3] = ACTIONS(5718),
    [aux_sym_data_statement_token1] = ACTIONS(5718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5718),
    [aux_sym_end_if_statement_token1] = ACTIONS(5718),
    [aux_sym_elseif_clause_token2] = ACTIONS(5718),
    [aux_sym_select_case_statement_token1] = ACTIONS(5718),
    [aux_sym_block_construct_token1] = ACTIONS(5718),
    [aux_sym_format_statement_token1] = ACTIONS(5718),
    [aux_sym_inquire_statement_token1] = ACTIONS(5718),
    [aux_sym_entry_statement_token1] = ACTIONS(5718),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token2] = ACTIONS(5718),
    [aux_sym_coarray_statement_token6] = ACTIONS(5718),
    [aux_sym_coarray_statement_token8] = ACTIONS(5718),
    [aux_sym_coarray_statement_token11] = ACTIONS(5718),
    [aux_sym_coarray_statement_token12] = ACTIONS(5718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5718),
    [anon_sym_QMARK] = ACTIONS(4287),
    [aux_sym_identifier_token1] = ACTIONS(5718),
    [sym_comment] = ACTIONS(21),
  },
  [3175] = {
    [anon_sym_COMMA] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6964),
    [anon_sym_PLUS] = ACTIONS(6964),
    [anon_sym_DASH] = ACTIONS(6964),
    [anon_sym_STAR] = ACTIONS(6962),
    [anon_sym_SLASH] = ACTIONS(6962),
    [anon_sym_PERCENT] = ACTIONS(6964),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(6964),
    [anon_sym_GT] = ACTIONS(6962),
    [anon_sym_GT_EQ] = ACTIONS(6964),
    [anon_sym_LT_EQ] = ACTIONS(6964),
    [anon_sym_LT] = ACTIONS(6962),
    [aux_sym_end_program_statement_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6962),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6962),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6962),
    [aux_sym_use_statement_token2] = ACTIONS(6962),
    [aux_sym_implicit_statement_token4] = ACTIONS(6962),
    [aux_sym_save_statement_token1] = ACTIONS(6962),
    [aux_sym_private_statement_token1] = ACTIONS(6962),
    [aux_sym_public_statement_token1] = ACTIONS(6962),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6962),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6962),
    [aux_sym_variable_attributes_token2] = ACTIONS(6962),
    [aux_sym_variable_attributes_token3] = ACTIONS(6962),
    [aux_sym_variable_attributes_token5] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6962),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6962),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6962),
    [aux_sym_type_qualifier_token1] = ACTIONS(6962),
    [aux_sym_type_qualifier_token2] = ACTIONS(6962),
    [anon_sym_SEMI] = ACTIONS(6964),
    [aux_sym_stop_statement_token1] = ACTIONS(6962),
    [aux_sym_stop_statement_token2] = ACTIONS(6962),
    [anon_sym_LT_LT_LT] = ACTIONS(6964),
    [aux_sym_keyword_statement_token2] = ACTIONS(6962),
    [aux_sym_keyword_statement_token3] = ACTIONS(6962),
    [aux_sym_data_statement_token1] = ACTIONS(6962),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6962),
    [aux_sym_end_if_statement_token1] = ACTIONS(6962),
    [aux_sym_elseif_clause_token2] = ACTIONS(6962),
    [aux_sym_select_case_statement_token1] = ACTIONS(6962),
    [aux_sym_block_construct_token1] = ACTIONS(6962),
    [aux_sym_format_statement_token1] = ACTIONS(6962),
    [aux_sym_inquire_statement_token1] = ACTIONS(6962),
    [aux_sym_entry_statement_token1] = ACTIONS(6962),
    [aux_sym_logical_expression_token1] = ACTIONS(6964),
    [aux_sym_logical_expression_token2] = ACTIONS(6964),
    [aux_sym_logical_expression_token3] = ACTIONS(6964),
    [aux_sym_logical_expression_token4] = ACTIONS(6964),
    [aux_sym_relational_expression_token1] = ACTIONS(6964),
    [aux_sym_relational_expression_token2] = ACTIONS(6964),
    [aux_sym_relational_expression_token3] = ACTIONS(6964),
    [aux_sym_relational_expression_token4] = ACTIONS(6964),
    [aux_sym_relational_expression_token5] = ACTIONS(6964),
    [anon_sym_SLASH_EQ] = ACTIONS(6964),
    [aux_sym_relational_expression_token6] = ACTIONS(6964),
    [anon_sym_SLASH_SLASH] = ACTIONS(6964),
    [anon_sym_STAR_STAR] = ACTIONS(6964),
    [anon_sym_DOT] = ACTIONS(6962),
    [anon_sym_LBRACK] = ACTIONS(6964),
    [aux_sym_null_literal_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_statement_token2] = ACTIONS(6962),
    [aux_sym_coarray_statement_token6] = ACTIONS(6962),
    [aux_sym_coarray_statement_token8] = ACTIONS(6962),
    [aux_sym_coarray_statement_token11] = ACTIONS(6962),
    [aux_sym_coarray_statement_token12] = ACTIONS(6962),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6962),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6962),
    [anon_sym_QMARK] = ACTIONS(6964),
    [aux_sym_identifier_token1] = ACTIONS(6962),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(6964),
  },
  [3176] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7200),
    [aux_sym_module_statement_token1] = ACTIONS(7202),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7200),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7200),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7202),
    [aux_sym_function_statement_token1] = ACTIONS(7202),
    [aux_sym_language_binding_token1] = ACTIONS(7200),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7202),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7200),
    [aux_sym_use_statement_token2] = ACTIONS(7200),
    [anon_sym_COLON_COLON] = ACTIONS(7204),
    [aux_sym_implicit_statement_token3] = ACTIONS(7202),
    [aux_sym_implicit_statement_token4] = ACTIONS(7200),
    [aux_sym_save_statement_token1] = ACTIONS(7200),
    [aux_sym_private_statement_token1] = ACTIONS(7200),
    [aux_sym_public_statement_token1] = ACTIONS(7200),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7200),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7200),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7200),
    [aux_sym_variable_attributes_token1] = ACTIONS(7200),
    [aux_sym_variable_attributes_token2] = ACTIONS(7200),
    [aux_sym_variable_attributes_token3] = ACTIONS(7200),
    [aux_sym_variable_attributes_token4] = ACTIONS(7200),
    [aux_sym_variable_attributes_token5] = ACTIONS(7200),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7202),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7202),
    [aux_sym_derived_type_token1] = ACTIONS(7202),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7200),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7200),
    [aux_sym_type_qualifier_token1] = ACTIONS(7200),
    [aux_sym_type_qualifier_token2] = ACTIONS(7200),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7202),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7202),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7202),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7202),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7202),
    [aux_sym_stop_statement_token1] = ACTIONS(7200),
    [aux_sym_stop_statement_token2] = ACTIONS(7200),
    [aux_sym_keyword_statement_token2] = ACTIONS(7200),
    [aux_sym_keyword_statement_token3] = ACTIONS(7200),
    [aux_sym_data_statement_token1] = ACTIONS(7200),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7200),
    [aux_sym_end_if_statement_token1] = ACTIONS(7200),
    [aux_sym_elseif_clause_token2] = ACTIONS(7200),
    [aux_sym_select_case_statement_token1] = ACTIONS(7200),
    [aux_sym_block_construct_token1] = ACTIONS(7200),
    [aux_sym_format_statement_token1] = ACTIONS(7200),
    [aux_sym_inquire_statement_token1] = ACTIONS(7200),
    [aux_sym_entry_statement_token1] = ACTIONS(7200),
    [aux_sym_null_literal_token1] = ACTIONS(7200),
    [aux_sym_coarray_statement_token1] = ACTIONS(7200),
    [aux_sym_coarray_statement_token2] = ACTIONS(7200),
    [aux_sym_coarray_statement_token6] = ACTIONS(7200),
    [aux_sym_coarray_statement_token8] = ACTIONS(7200),
    [aux_sym_coarray_statement_token11] = ACTIONS(7200),
    [aux_sym_coarray_statement_token12] = ACTIONS(7200),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7200),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7200),
    [aux_sym_identifier_token1] = ACTIONS(7200),
    [sym_comment] = ACTIONS(21),
  },
  [3177] = {
    [sym__variable_declarator] = STATE(6049),
    [sym_sized_declarator] = STATE(3455),
    [sym__declaration_assignment] = STATE(6311),
    [sym__declaration_pointer_association] = STATE(6411),
    [sym__declaration_targets] = STATE(7698),
    [sym_coarray_declarator] = STATE(6049),
    [sym_identifier] = STATE(3341),
    [anon_sym_COMMA] = ACTIONS(7206),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_module_statement_token1] = ACTIONS(7208),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7208),
    [aux_sym_function_statement_token1] = ACTIONS(7208),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7208),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7210),
    [aux_sym_implicit_statement_token3] = ACTIONS(7208),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7208),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7208),
    [aux_sym_derived_type_token1] = ACTIONS(7208),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7208),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7208),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7208),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7208),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7208),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3178] = {
    [sym_kind] = STATE(3188),
    [sym__argument_list] = STATE(3194),
    [anon_sym_COMMA] = ACTIONS(7212),
    [anon_sym_LPAREN2] = ACTIONS(7214),
    [anon_sym_STAR] = ACTIONS(7216),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7218),
    [aux_sym_module_statement_token1] = ACTIONS(7218),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7218),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7218),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7218),
    [aux_sym_function_statement_token1] = ACTIONS(7218),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7218),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7218),
    [aux_sym_use_statement_token2] = ACTIONS(7218),
    [anon_sym_COLON_COLON] = ACTIONS(7212),
    [aux_sym_implicit_statement_token3] = ACTIONS(7218),
    [aux_sym_implicit_statement_token4] = ACTIONS(7218),
    [aux_sym_save_statement_token1] = ACTIONS(7218),
    [aux_sym_private_statement_token1] = ACTIONS(7218),
    [aux_sym_public_statement_token1] = ACTIONS(7218),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7218),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7218),
    [aux_sym_variable_attributes_token2] = ACTIONS(7218),
    [aux_sym_variable_attributes_token3] = ACTIONS(7218),
    [aux_sym_variable_attributes_token5] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7218),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7218),
    [aux_sym_derived_type_token1] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7218),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7218),
    [aux_sym_type_qualifier_token1] = ACTIONS(7218),
    [aux_sym_type_qualifier_token2] = ACTIONS(7218),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7218),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7218),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7218),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7218),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7218),
    [aux_sym_stop_statement_token1] = ACTIONS(7218),
    [aux_sym_stop_statement_token2] = ACTIONS(7218),
    [aux_sym_keyword_statement_token2] = ACTIONS(7218),
    [aux_sym_keyword_statement_token3] = ACTIONS(7218),
    [aux_sym_data_statement_token1] = ACTIONS(7218),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7218),
    [aux_sym_end_if_statement_token1] = ACTIONS(7218),
    [aux_sym_elseif_clause_token2] = ACTIONS(7218),
    [aux_sym_select_case_statement_token1] = ACTIONS(7218),
    [aux_sym_block_construct_token1] = ACTIONS(7218),
    [aux_sym_format_statement_token1] = ACTIONS(7218),
    [aux_sym_inquire_statement_token1] = ACTIONS(7218),
    [aux_sym_entry_statement_token1] = ACTIONS(7218),
    [aux_sym_null_literal_token1] = ACTIONS(7218),
    [aux_sym_coarray_statement_token1] = ACTIONS(7218),
    [aux_sym_coarray_statement_token2] = ACTIONS(7218),
    [aux_sym_coarray_statement_token6] = ACTIONS(7218),
    [aux_sym_coarray_statement_token8] = ACTIONS(7218),
    [aux_sym_coarray_statement_token11] = ACTIONS(7218),
    [aux_sym_coarray_statement_token12] = ACTIONS(7218),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7218),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7218),
    [aux_sym_identifier_token1] = ACTIONS(7218),
    [sym_comment] = ACTIONS(21),
  },
  [3179] = {
    [anon_sym_COMMA] = ACTIONS(7220),
    [anon_sym_RPAREN] = ACTIONS(7220),
    [anon_sym_LPAREN2] = ACTIONS(7220),
    [anon_sym_STAR] = ACTIONS(7220),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7222),
    [aux_sym_module_statement_token1] = ACTIONS(7222),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7222),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7222),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7222),
    [aux_sym_function_statement_token1] = ACTIONS(7222),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7222),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7222),
    [aux_sym_use_statement_token2] = ACTIONS(7222),
    [anon_sym_COLON_COLON] = ACTIONS(7220),
    [aux_sym_implicit_statement_token3] = ACTIONS(7222),
    [aux_sym_implicit_statement_token4] = ACTIONS(7222),
    [aux_sym_save_statement_token1] = ACTIONS(7222),
    [aux_sym_private_statement_token1] = ACTIONS(7222),
    [aux_sym_public_statement_token1] = ACTIONS(7222),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7222),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7222),
    [aux_sym_variable_attributes_token2] = ACTIONS(7222),
    [aux_sym_variable_attributes_token3] = ACTIONS(7222),
    [aux_sym_variable_attributes_token5] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7222),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7222),
    [aux_sym_derived_type_token1] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7222),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7222),
    [aux_sym_type_qualifier_token1] = ACTIONS(7222),
    [aux_sym_type_qualifier_token2] = ACTIONS(7222),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7222),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7222),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7222),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7222),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7222),
    [aux_sym_stop_statement_token1] = ACTIONS(7222),
    [aux_sym_stop_statement_token2] = ACTIONS(7222),
    [aux_sym_keyword_statement_token2] = ACTIONS(7222),
    [aux_sym_keyword_statement_token3] = ACTIONS(7222),
    [aux_sym_data_statement_token1] = ACTIONS(7222),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7222),
    [aux_sym_end_if_statement_token1] = ACTIONS(7222),
    [aux_sym_elseif_clause_token2] = ACTIONS(7222),
    [aux_sym_select_case_statement_token1] = ACTIONS(7222),
    [aux_sym_block_construct_token1] = ACTIONS(7222),
    [aux_sym_format_statement_token1] = ACTIONS(7222),
    [aux_sym_inquire_statement_token1] = ACTIONS(7222),
    [aux_sym_entry_statement_token1] = ACTIONS(7222),
    [aux_sym_null_literal_token1] = ACTIONS(7222),
    [aux_sym_coarray_statement_token1] = ACTIONS(7222),
    [aux_sym_coarray_statement_token2] = ACTIONS(7222),
    [aux_sym_coarray_statement_token6] = ACTIONS(7222),
    [aux_sym_coarray_statement_token8] = ACTIONS(7222),
    [aux_sym_coarray_statement_token11] = ACTIONS(7222),
    [aux_sym_coarray_statement_token12] = ACTIONS(7222),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7222),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7222),
    [aux_sym_identifier_token1] = ACTIONS(7222),
    [sym_comment] = ACTIONS(21),
  },
  [3180] = {
    [anon_sym_COMMA] = ACTIONS(7224),
    [anon_sym_RPAREN] = ACTIONS(7224),
    [anon_sym_LPAREN2] = ACTIONS(7224),
    [anon_sym_STAR] = ACTIONS(7224),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7226),
    [aux_sym_module_statement_token1] = ACTIONS(7226),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7226),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7226),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7226),
    [aux_sym_function_statement_token1] = ACTIONS(7226),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7226),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7226),
    [aux_sym_use_statement_token2] = ACTIONS(7226),
    [anon_sym_COLON_COLON] = ACTIONS(7224),
    [aux_sym_implicit_statement_token3] = ACTIONS(7226),
    [aux_sym_implicit_statement_token4] = ACTIONS(7226),
    [aux_sym_save_statement_token1] = ACTIONS(7226),
    [aux_sym_private_statement_token1] = ACTIONS(7226),
    [aux_sym_public_statement_token1] = ACTIONS(7226),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7226),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7226),
    [aux_sym_variable_attributes_token2] = ACTIONS(7226),
    [aux_sym_variable_attributes_token3] = ACTIONS(7226),
    [aux_sym_variable_attributes_token5] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7226),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7226),
    [aux_sym_derived_type_token1] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7226),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7226),
    [aux_sym_type_qualifier_token1] = ACTIONS(7226),
    [aux_sym_type_qualifier_token2] = ACTIONS(7226),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7226),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7226),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7226),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7226),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7226),
    [aux_sym_stop_statement_token1] = ACTIONS(7226),
    [aux_sym_stop_statement_token2] = ACTIONS(7226),
    [aux_sym_keyword_statement_token2] = ACTIONS(7226),
    [aux_sym_keyword_statement_token3] = ACTIONS(7226),
    [aux_sym_data_statement_token1] = ACTIONS(7226),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7226),
    [aux_sym_end_if_statement_token1] = ACTIONS(7226),
    [aux_sym_elseif_clause_token2] = ACTIONS(7226),
    [aux_sym_select_case_statement_token1] = ACTIONS(7226),
    [aux_sym_block_construct_token1] = ACTIONS(7226),
    [aux_sym_format_statement_token1] = ACTIONS(7226),
    [aux_sym_inquire_statement_token1] = ACTIONS(7226),
    [aux_sym_entry_statement_token1] = ACTIONS(7226),
    [aux_sym_null_literal_token1] = ACTIONS(7226),
    [aux_sym_coarray_statement_token1] = ACTIONS(7226),
    [aux_sym_coarray_statement_token2] = ACTIONS(7226),
    [aux_sym_coarray_statement_token6] = ACTIONS(7226),
    [aux_sym_coarray_statement_token8] = ACTIONS(7226),
    [aux_sym_coarray_statement_token11] = ACTIONS(7226),
    [aux_sym_coarray_statement_token12] = ACTIONS(7226),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7226),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7226),
    [aux_sym_identifier_token1] = ACTIONS(7226),
    [sym_comment] = ACTIONS(21),
  },
  [3181] = {
    [anon_sym_COMMA] = ACTIONS(5710),
    [anon_sym_RPAREN] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5718),
    [aux_sym_module_statement_token1] = ACTIONS(5718),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5718),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5718),
    [aux_sym_subroutine_statement_token1] = ACTIONS(5718),
    [aux_sym_function_statement_token1] = ACTIONS(5718),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5718),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5718),
    [aux_sym_use_statement_token2] = ACTIONS(5718),
    [anon_sym_COLON_COLON] = ACTIONS(5710),
    [aux_sym_implicit_statement_token3] = ACTIONS(5718),
    [aux_sym_implicit_statement_token4] = ACTIONS(5718),
    [aux_sym_save_statement_token1] = ACTIONS(5718),
    [aux_sym_private_statement_token1] = ACTIONS(5718),
    [aux_sym_public_statement_token1] = ACTIONS(5718),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5718),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5718),
    [aux_sym_variable_attributes_token2] = ACTIONS(5718),
    [aux_sym_variable_attributes_token3] = ACTIONS(5718),
    [aux_sym_variable_attributes_token5] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token2] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token6] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token7] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token8] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token9] = ACTIONS(5718),
    [aux_sym__intrinsic_type_token10] = ACTIONS(5718),
    [aux_sym_derived_type_token1] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5718),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5718),
    [aux_sym_type_qualifier_token1] = ACTIONS(5718),
    [aux_sym_type_qualifier_token2] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(5718),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(5718),
    [aux_sym_stop_statement_token1] = ACTIONS(5718),
    [aux_sym_stop_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token2] = ACTIONS(5718),
    [aux_sym_keyword_statement_token3] = ACTIONS(5718),
    [aux_sym_data_statement_token1] = ACTIONS(5718),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5718),
    [aux_sym_end_if_statement_token1] = ACTIONS(5718),
    [aux_sym_elseif_clause_token2] = ACTIONS(5718),
    [aux_sym_select_case_statement_token1] = ACTIONS(5718),
    [aux_sym_block_construct_token1] = ACTIONS(5718),
    [aux_sym_format_statement_token1] = ACTIONS(5718),
    [aux_sym_inquire_statement_token1] = ACTIONS(5718),
    [aux_sym_entry_statement_token1] = ACTIONS(5718),
    [aux_sym_null_literal_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_statement_token2] = ACTIONS(5718),
    [aux_sym_coarray_statement_token6] = ACTIONS(5718),
    [aux_sym_coarray_statement_token8] = ACTIONS(5718),
    [aux_sym_coarray_statement_token11] = ACTIONS(5718),
    [aux_sym_coarray_statement_token12] = ACTIONS(5718),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5718),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5718),
    [aux_sym_identifier_token1] = ACTIONS(5718),
    [sym_comment] = ACTIONS(21),
  },
  [3182] = {
    [anon_sym_COMMA] = ACTIONS(7228),
    [anon_sym_RPAREN] = ACTIONS(7228),
    [anon_sym_LPAREN2] = ACTIONS(7228),
    [anon_sym_STAR] = ACTIONS(7228),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7230),
    [aux_sym_module_statement_token1] = ACTIONS(7230),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7230),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7230),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7230),
    [aux_sym_function_statement_token1] = ACTIONS(7230),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7230),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7230),
    [aux_sym_use_statement_token2] = ACTIONS(7230),
    [anon_sym_COLON_COLON] = ACTIONS(7228),
    [aux_sym_implicit_statement_token3] = ACTIONS(7230),
    [aux_sym_implicit_statement_token4] = ACTIONS(7230),
    [aux_sym_save_statement_token1] = ACTIONS(7230),
    [aux_sym_private_statement_token1] = ACTIONS(7230),
    [aux_sym_public_statement_token1] = ACTIONS(7230),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7230),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7230),
    [aux_sym_variable_attributes_token2] = ACTIONS(7230),
    [aux_sym_variable_attributes_token3] = ACTIONS(7230),
    [aux_sym_variable_attributes_token5] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7230),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7230),
    [aux_sym_derived_type_token1] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7230),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7230),
    [aux_sym_type_qualifier_token1] = ACTIONS(7230),
    [aux_sym_type_qualifier_token2] = ACTIONS(7230),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7230),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7230),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7230),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7230),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7230),
    [aux_sym_stop_statement_token1] = ACTIONS(7230),
    [aux_sym_stop_statement_token2] = ACTIONS(7230),
    [aux_sym_keyword_statement_token2] = ACTIONS(7230),
    [aux_sym_keyword_statement_token3] = ACTIONS(7230),
    [aux_sym_data_statement_token1] = ACTIONS(7230),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7230),
    [aux_sym_end_if_statement_token1] = ACTIONS(7230),
    [aux_sym_elseif_clause_token2] = ACTIONS(7230),
    [aux_sym_select_case_statement_token1] = ACTIONS(7230),
    [aux_sym_block_construct_token1] = ACTIONS(7230),
    [aux_sym_format_statement_token1] = ACTIONS(7230),
    [aux_sym_inquire_statement_token1] = ACTIONS(7230),
    [aux_sym_entry_statement_token1] = ACTIONS(7230),
    [aux_sym_null_literal_token1] = ACTIONS(7230),
    [aux_sym_coarray_statement_token1] = ACTIONS(7230),
    [aux_sym_coarray_statement_token2] = ACTIONS(7230),
    [aux_sym_coarray_statement_token6] = ACTIONS(7230),
    [aux_sym_coarray_statement_token8] = ACTIONS(7230),
    [aux_sym_coarray_statement_token11] = ACTIONS(7230),
    [aux_sym_coarray_statement_token12] = ACTIONS(7230),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7230),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7230),
    [aux_sym_identifier_token1] = ACTIONS(7230),
    [sym_comment] = ACTIONS(21),
  },
  [3183] = {
    [sym_assignment] = STATE(6187),
    [sym_operator] = STATE(6187),
    [sym_defined_io_procedure] = STATE(6187),
    [sym__generic_procedure] = STATE(6187),
    [sym_identifier] = STATE(6187),
    [sym__end_of_statement] = STATE(2874),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7232),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7234),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7234),
  },
  [3184] = {
    [sym_assignment] = STATE(6194),
    [sym_operator] = STATE(6194),
    [sym_defined_io_procedure] = STATE(6194),
    [sym__generic_procedure] = STATE(6194),
    [sym_identifier] = STATE(6194),
    [sym__end_of_statement] = STATE(2780),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7236),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7238),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7238),
  },
  [3185] = {
    [anon_sym_COMMA] = ACTIONS(7240),
    [anon_sym_RPAREN] = ACTIONS(7240),
    [anon_sym_LPAREN2] = ACTIONS(7240),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7243),
    [aux_sym_module_statement_token1] = ACTIONS(7243),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7243),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7243),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7243),
    [aux_sym_function_statement_token1] = ACTIONS(7243),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7243),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7243),
    [aux_sym_use_statement_token2] = ACTIONS(7243),
    [anon_sym_COLON_COLON] = ACTIONS(7240),
    [aux_sym_implicit_statement_token3] = ACTIONS(7243),
    [aux_sym_implicit_statement_token4] = ACTIONS(7243),
    [aux_sym_save_statement_token1] = ACTIONS(7243),
    [aux_sym_private_statement_token1] = ACTIONS(7243),
    [aux_sym_public_statement_token1] = ACTIONS(7243),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7243),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7243),
    [aux_sym_variable_attributes_token2] = ACTIONS(7243),
    [aux_sym_variable_attributes_token3] = ACTIONS(7243),
    [aux_sym_variable_attributes_token5] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7243),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7243),
    [aux_sym_derived_type_token1] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7243),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7243),
    [aux_sym_type_qualifier_token1] = ACTIONS(7243),
    [aux_sym_type_qualifier_token2] = ACTIONS(7243),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7243),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7243),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7243),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7243),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7243),
    [aux_sym_stop_statement_token1] = ACTIONS(7243),
    [aux_sym_stop_statement_token2] = ACTIONS(7243),
    [aux_sym_keyword_statement_token2] = ACTIONS(7243),
    [aux_sym_keyword_statement_token3] = ACTIONS(7243),
    [aux_sym_data_statement_token1] = ACTIONS(7243),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7243),
    [aux_sym_end_if_statement_token1] = ACTIONS(7243),
    [aux_sym_elseif_clause_token2] = ACTIONS(7243),
    [aux_sym_select_case_statement_token1] = ACTIONS(7243),
    [aux_sym_block_construct_token1] = ACTIONS(7243),
    [aux_sym_format_statement_token1] = ACTIONS(7243),
    [aux_sym_inquire_statement_token1] = ACTIONS(7243),
    [aux_sym_entry_statement_token1] = ACTIONS(7243),
    [aux_sym_null_literal_token1] = ACTIONS(7243),
    [aux_sym_coarray_statement_token1] = ACTIONS(7243),
    [aux_sym_coarray_statement_token2] = ACTIONS(7243),
    [aux_sym_coarray_statement_token6] = ACTIONS(7243),
    [aux_sym_coarray_statement_token8] = ACTIONS(7243),
    [aux_sym_coarray_statement_token11] = ACTIONS(7243),
    [aux_sym_coarray_statement_token12] = ACTIONS(7243),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7243),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7243),
    [aux_sym_identifier_token1] = ACTIONS(7243),
    [sym_comment] = ACTIONS(21),
  },
  [3186] = {
    [sym_assignment] = STATE(6273),
    [sym_operator] = STATE(6273),
    [sym_defined_io_procedure] = STATE(6273),
    [sym__generic_procedure] = STATE(6273),
    [sym_identifier] = STATE(6273),
    [sym__end_of_statement] = STATE(2731),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7246),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7248),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7248),
  },
  [3187] = {
    [sym_assignment] = STATE(6274),
    [sym_operator] = STATE(6274),
    [sym_defined_io_procedure] = STATE(6274),
    [sym__generic_procedure] = STATE(6274),
    [sym_identifier] = STATE(6274),
    [sym__end_of_statement] = STATE(2733),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7250),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7252),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7252),
  },
  [3188] = {
    [anon_sym_COMMA] = ACTIONS(7254),
    [anon_sym_RPAREN] = ACTIONS(7254),
    [anon_sym_LPAREN2] = ACTIONS(7254),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7256),
    [aux_sym_module_statement_token1] = ACTIONS(7256),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7256),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7256),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7256),
    [aux_sym_function_statement_token1] = ACTIONS(7256),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7256),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7256),
    [aux_sym_use_statement_token2] = ACTIONS(7256),
    [anon_sym_COLON_COLON] = ACTIONS(7254),
    [aux_sym_implicit_statement_token3] = ACTIONS(7256),
    [aux_sym_implicit_statement_token4] = ACTIONS(7256),
    [aux_sym_save_statement_token1] = ACTIONS(7256),
    [aux_sym_private_statement_token1] = ACTIONS(7256),
    [aux_sym_public_statement_token1] = ACTIONS(7256),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7256),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7256),
    [aux_sym_variable_attributes_token2] = ACTIONS(7256),
    [aux_sym_variable_attributes_token3] = ACTIONS(7256),
    [aux_sym_variable_attributes_token5] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7256),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7256),
    [aux_sym_derived_type_token1] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7256),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7256),
    [aux_sym_type_qualifier_token1] = ACTIONS(7256),
    [aux_sym_type_qualifier_token2] = ACTIONS(7256),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7256),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7256),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7256),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7256),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7256),
    [aux_sym_stop_statement_token1] = ACTIONS(7256),
    [aux_sym_stop_statement_token2] = ACTIONS(7256),
    [aux_sym_keyword_statement_token2] = ACTIONS(7256),
    [aux_sym_keyword_statement_token3] = ACTIONS(7256),
    [aux_sym_data_statement_token1] = ACTIONS(7256),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7256),
    [aux_sym_end_if_statement_token1] = ACTIONS(7256),
    [aux_sym_elseif_clause_token2] = ACTIONS(7256),
    [aux_sym_select_case_statement_token1] = ACTIONS(7256),
    [aux_sym_block_construct_token1] = ACTIONS(7256),
    [aux_sym_format_statement_token1] = ACTIONS(7256),
    [aux_sym_inquire_statement_token1] = ACTIONS(7256),
    [aux_sym_entry_statement_token1] = ACTIONS(7256),
    [aux_sym_null_literal_token1] = ACTIONS(7256),
    [aux_sym_coarray_statement_token1] = ACTIONS(7256),
    [aux_sym_coarray_statement_token2] = ACTIONS(7256),
    [aux_sym_coarray_statement_token6] = ACTIONS(7256),
    [aux_sym_coarray_statement_token8] = ACTIONS(7256),
    [aux_sym_coarray_statement_token11] = ACTIONS(7256),
    [aux_sym_coarray_statement_token12] = ACTIONS(7256),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7256),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7256),
    [aux_sym_identifier_token1] = ACTIONS(7256),
    [sym_comment] = ACTIONS(21),
  },
  [3189] = {
    [anon_sym_COMMA] = ACTIONS(7258),
    [anon_sym_RPAREN] = ACTIONS(7258),
    [anon_sym_LPAREN2] = ACTIONS(7258),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7260),
    [aux_sym_module_statement_token1] = ACTIONS(7260),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7260),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7260),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7260),
    [aux_sym_function_statement_token1] = ACTIONS(7260),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7260),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7260),
    [aux_sym_use_statement_token2] = ACTIONS(7260),
    [anon_sym_COLON_COLON] = ACTIONS(7258),
    [aux_sym_implicit_statement_token3] = ACTIONS(7260),
    [aux_sym_implicit_statement_token4] = ACTIONS(7260),
    [aux_sym_save_statement_token1] = ACTIONS(7260),
    [aux_sym_private_statement_token1] = ACTIONS(7260),
    [aux_sym_public_statement_token1] = ACTIONS(7260),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7260),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7260),
    [aux_sym_variable_attributes_token2] = ACTIONS(7260),
    [aux_sym_variable_attributes_token3] = ACTIONS(7260),
    [aux_sym_variable_attributes_token5] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7260),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7260),
    [aux_sym_derived_type_token1] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7260),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7260),
    [aux_sym_type_qualifier_token1] = ACTIONS(7260),
    [aux_sym_type_qualifier_token2] = ACTIONS(7260),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7260),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7260),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7260),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7260),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7260),
    [aux_sym_stop_statement_token1] = ACTIONS(7260),
    [aux_sym_stop_statement_token2] = ACTIONS(7260),
    [aux_sym_keyword_statement_token2] = ACTIONS(7260),
    [aux_sym_keyword_statement_token3] = ACTIONS(7260),
    [aux_sym_data_statement_token1] = ACTIONS(7260),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7260),
    [aux_sym_end_if_statement_token1] = ACTIONS(7260),
    [aux_sym_elseif_clause_token2] = ACTIONS(7260),
    [aux_sym_select_case_statement_token1] = ACTIONS(7260),
    [aux_sym_block_construct_token1] = ACTIONS(7260),
    [aux_sym_format_statement_token1] = ACTIONS(7260),
    [aux_sym_inquire_statement_token1] = ACTIONS(7260),
    [aux_sym_entry_statement_token1] = ACTIONS(7260),
    [aux_sym_null_literal_token1] = ACTIONS(7260),
    [aux_sym_coarray_statement_token1] = ACTIONS(7260),
    [aux_sym_coarray_statement_token2] = ACTIONS(7260),
    [aux_sym_coarray_statement_token6] = ACTIONS(7260),
    [aux_sym_coarray_statement_token8] = ACTIONS(7260),
    [aux_sym_coarray_statement_token11] = ACTIONS(7260),
    [aux_sym_coarray_statement_token12] = ACTIONS(7260),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7260),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7260),
    [aux_sym_identifier_token1] = ACTIONS(7260),
    [sym_comment] = ACTIONS(21),
  },
  [3190] = {
    [sym_assignment] = STATE(6123),
    [sym_operator] = STATE(6123),
    [sym_defined_io_procedure] = STATE(6123),
    [sym__generic_procedure] = STATE(6123),
    [sym_identifier] = STATE(6123),
    [sym__end_of_statement] = STATE(3074),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7262),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7264),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7264),
  },
  [3191] = {
    [sym_assignment] = STATE(6124),
    [sym_operator] = STATE(6124),
    [sym_defined_io_procedure] = STATE(6124),
    [sym__generic_procedure] = STATE(6124),
    [sym_identifier] = STATE(6124),
    [sym__end_of_statement] = STATE(3142),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7266),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7268),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7268),
  },
  [3192] = {
    [anon_sym_COMMA] = ACTIONS(7270),
    [anon_sym_RPAREN] = ACTIONS(7270),
    [anon_sym_LPAREN2] = ACTIONS(7270),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7272),
    [aux_sym_module_statement_token1] = ACTIONS(7272),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7272),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7272),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7272),
    [aux_sym_function_statement_token1] = ACTIONS(7272),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7272),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7272),
    [aux_sym_use_statement_token2] = ACTIONS(7272),
    [anon_sym_COLON_COLON] = ACTIONS(7270),
    [aux_sym_implicit_statement_token3] = ACTIONS(7272),
    [aux_sym_implicit_statement_token4] = ACTIONS(7272),
    [aux_sym_save_statement_token1] = ACTIONS(7272),
    [aux_sym_private_statement_token1] = ACTIONS(7272),
    [aux_sym_public_statement_token1] = ACTIONS(7272),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7272),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7272),
    [aux_sym_variable_attributes_token2] = ACTIONS(7272),
    [aux_sym_variable_attributes_token3] = ACTIONS(7272),
    [aux_sym_variable_attributes_token5] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7272),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7272),
    [aux_sym_derived_type_token1] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7272),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7272),
    [aux_sym_type_qualifier_token1] = ACTIONS(7272),
    [aux_sym_type_qualifier_token2] = ACTIONS(7272),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7272),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7272),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7272),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7272),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7272),
    [aux_sym_stop_statement_token1] = ACTIONS(7272),
    [aux_sym_stop_statement_token2] = ACTIONS(7272),
    [aux_sym_keyword_statement_token2] = ACTIONS(7272),
    [aux_sym_keyword_statement_token3] = ACTIONS(7272),
    [aux_sym_data_statement_token1] = ACTIONS(7272),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7272),
    [aux_sym_end_if_statement_token1] = ACTIONS(7272),
    [aux_sym_elseif_clause_token2] = ACTIONS(7272),
    [aux_sym_select_case_statement_token1] = ACTIONS(7272),
    [aux_sym_block_construct_token1] = ACTIONS(7272),
    [aux_sym_format_statement_token1] = ACTIONS(7272),
    [aux_sym_inquire_statement_token1] = ACTIONS(7272),
    [aux_sym_entry_statement_token1] = ACTIONS(7272),
    [aux_sym_null_literal_token1] = ACTIONS(7272),
    [aux_sym_coarray_statement_token1] = ACTIONS(7272),
    [aux_sym_coarray_statement_token2] = ACTIONS(7272),
    [aux_sym_coarray_statement_token6] = ACTIONS(7272),
    [aux_sym_coarray_statement_token8] = ACTIONS(7272),
    [aux_sym_coarray_statement_token11] = ACTIONS(7272),
    [aux_sym_coarray_statement_token12] = ACTIONS(7272),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7272),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7272),
    [aux_sym_identifier_token1] = ACTIONS(7272),
    [sym_comment] = ACTIONS(21),
  },
  [3193] = {
    [anon_sym_COMMA] = ACTIONS(7274),
    [anon_sym_RPAREN] = ACTIONS(7274),
    [anon_sym_LPAREN2] = ACTIONS(7274),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7276),
    [aux_sym_module_statement_token1] = ACTIONS(7276),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7276),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7276),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7276),
    [aux_sym_function_statement_token1] = ACTIONS(7276),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7276),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7276),
    [aux_sym_use_statement_token2] = ACTIONS(7276),
    [anon_sym_COLON_COLON] = ACTIONS(7274),
    [aux_sym_implicit_statement_token3] = ACTIONS(7276),
    [aux_sym_implicit_statement_token4] = ACTIONS(7276),
    [aux_sym_save_statement_token1] = ACTIONS(7276),
    [aux_sym_private_statement_token1] = ACTIONS(7276),
    [aux_sym_public_statement_token1] = ACTIONS(7276),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7276),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7276),
    [aux_sym_variable_attributes_token2] = ACTIONS(7276),
    [aux_sym_variable_attributes_token3] = ACTIONS(7276),
    [aux_sym_variable_attributes_token5] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7276),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7276),
    [aux_sym_derived_type_token1] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7276),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7276),
    [aux_sym_type_qualifier_token1] = ACTIONS(7276),
    [aux_sym_type_qualifier_token2] = ACTIONS(7276),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7276),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7276),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7276),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7276),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7276),
    [aux_sym_stop_statement_token1] = ACTIONS(7276),
    [aux_sym_stop_statement_token2] = ACTIONS(7276),
    [aux_sym_keyword_statement_token2] = ACTIONS(7276),
    [aux_sym_keyword_statement_token3] = ACTIONS(7276),
    [aux_sym_data_statement_token1] = ACTIONS(7276),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7276),
    [aux_sym_end_if_statement_token1] = ACTIONS(7276),
    [aux_sym_elseif_clause_token2] = ACTIONS(7276),
    [aux_sym_select_case_statement_token1] = ACTIONS(7276),
    [aux_sym_block_construct_token1] = ACTIONS(7276),
    [aux_sym_format_statement_token1] = ACTIONS(7276),
    [aux_sym_inquire_statement_token1] = ACTIONS(7276),
    [aux_sym_entry_statement_token1] = ACTIONS(7276),
    [aux_sym_null_literal_token1] = ACTIONS(7276),
    [aux_sym_coarray_statement_token1] = ACTIONS(7276),
    [aux_sym_coarray_statement_token2] = ACTIONS(7276),
    [aux_sym_coarray_statement_token6] = ACTIONS(7276),
    [aux_sym_coarray_statement_token8] = ACTIONS(7276),
    [aux_sym_coarray_statement_token11] = ACTIONS(7276),
    [aux_sym_coarray_statement_token12] = ACTIONS(7276),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7276),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7276),
    [aux_sym_identifier_token1] = ACTIONS(7276),
    [sym_comment] = ACTIONS(21),
  },
  [3194] = {
    [anon_sym_COMMA] = ACTIONS(7278),
    [anon_sym_RPAREN] = ACTIONS(7278),
    [anon_sym_LPAREN2] = ACTIONS(7278),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7280),
    [aux_sym_module_statement_token1] = ACTIONS(7280),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7280),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7280),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7280),
    [aux_sym_function_statement_token1] = ACTIONS(7280),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7280),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7280),
    [aux_sym_use_statement_token2] = ACTIONS(7280),
    [anon_sym_COLON_COLON] = ACTIONS(7278),
    [aux_sym_implicit_statement_token3] = ACTIONS(7280),
    [aux_sym_implicit_statement_token4] = ACTIONS(7280),
    [aux_sym_save_statement_token1] = ACTIONS(7280),
    [aux_sym_private_statement_token1] = ACTIONS(7280),
    [aux_sym_public_statement_token1] = ACTIONS(7280),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7280),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7280),
    [aux_sym_variable_attributes_token2] = ACTIONS(7280),
    [aux_sym_variable_attributes_token3] = ACTIONS(7280),
    [aux_sym_variable_attributes_token5] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7280),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7280),
    [aux_sym_derived_type_token1] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7280),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7280),
    [aux_sym_type_qualifier_token1] = ACTIONS(7280),
    [aux_sym_type_qualifier_token2] = ACTIONS(7280),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7280),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7280),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7280),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7280),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7280),
    [aux_sym_stop_statement_token1] = ACTIONS(7280),
    [aux_sym_stop_statement_token2] = ACTIONS(7280),
    [aux_sym_keyword_statement_token2] = ACTIONS(7280),
    [aux_sym_keyword_statement_token3] = ACTIONS(7280),
    [aux_sym_data_statement_token1] = ACTIONS(7280),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7280),
    [aux_sym_end_if_statement_token1] = ACTIONS(7280),
    [aux_sym_elseif_clause_token2] = ACTIONS(7280),
    [aux_sym_select_case_statement_token1] = ACTIONS(7280),
    [aux_sym_block_construct_token1] = ACTIONS(7280),
    [aux_sym_format_statement_token1] = ACTIONS(7280),
    [aux_sym_inquire_statement_token1] = ACTIONS(7280),
    [aux_sym_entry_statement_token1] = ACTIONS(7280),
    [aux_sym_null_literal_token1] = ACTIONS(7280),
    [aux_sym_coarray_statement_token1] = ACTIONS(7280),
    [aux_sym_coarray_statement_token2] = ACTIONS(7280),
    [aux_sym_coarray_statement_token6] = ACTIONS(7280),
    [aux_sym_coarray_statement_token8] = ACTIONS(7280),
    [aux_sym_coarray_statement_token11] = ACTIONS(7280),
    [aux_sym_coarray_statement_token12] = ACTIONS(7280),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7280),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7280),
    [aux_sym_identifier_token1] = ACTIONS(7280),
    [sym_comment] = ACTIONS(21),
  },
  [3195] = {
    [sym_assignment] = STATE(6179),
    [sym_operator] = STATE(6179),
    [sym_defined_io_procedure] = STATE(6179),
    [sym__generic_procedure] = STATE(6179),
    [sym_identifier] = STATE(6179),
    [sym__end_of_statement] = STATE(2875),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7282),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7284),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7284),
  },
  [3196] = {
    [sym_assignment] = STATE(6180),
    [sym_operator] = STATE(6180),
    [sym_defined_io_procedure] = STATE(6180),
    [sym__generic_procedure] = STATE(6180),
    [sym_identifier] = STATE(6180),
    [sym__end_of_statement] = STATE(2876),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7286),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7288),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7288),
  },
  [3197] = {
    [anon_sym_COMMA] = ACTIONS(7290),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7292),
    [aux_sym_module_statement_token1] = ACTIONS(7292),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7292),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7292),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7292),
    [aux_sym_function_statement_token1] = ACTIONS(7292),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7292),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7292),
    [aux_sym_use_statement_token2] = ACTIONS(7292),
    [anon_sym_COLON_COLON] = ACTIONS(7290),
    [aux_sym_implicit_statement_token3] = ACTIONS(7292),
    [aux_sym_implicit_statement_token4] = ACTIONS(7292),
    [aux_sym_save_statement_token1] = ACTIONS(7292),
    [aux_sym_private_statement_token1] = ACTIONS(7292),
    [aux_sym_public_statement_token1] = ACTIONS(7292),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7292),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7292),
    [aux_sym_variable_attributes_token2] = ACTIONS(7292),
    [aux_sym_variable_attributes_token3] = ACTIONS(7292),
    [aux_sym_variable_attributes_token5] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7292),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7292),
    [aux_sym_derived_type_token1] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7292),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7292),
    [aux_sym_type_qualifier_token1] = ACTIONS(7292),
    [aux_sym_type_qualifier_token2] = ACTIONS(7292),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7292),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7292),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7292),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7292),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7292),
    [aux_sym_stop_statement_token1] = ACTIONS(7292),
    [aux_sym_stop_statement_token2] = ACTIONS(7292),
    [aux_sym_keyword_statement_token2] = ACTIONS(7292),
    [aux_sym_keyword_statement_token3] = ACTIONS(7292),
    [aux_sym_data_statement_token1] = ACTIONS(7292),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7292),
    [aux_sym_end_if_statement_token1] = ACTIONS(7292),
    [aux_sym_elseif_clause_token2] = ACTIONS(7292),
    [aux_sym_select_case_statement_token1] = ACTIONS(7292),
    [aux_sym_block_construct_token1] = ACTIONS(7292),
    [aux_sym_format_statement_token1] = ACTIONS(7292),
    [aux_sym_inquire_statement_token1] = ACTIONS(7292),
    [aux_sym_entry_statement_token1] = ACTIONS(7292),
    [aux_sym_null_literal_token1] = ACTIONS(7292),
    [aux_sym_coarray_statement_token1] = ACTIONS(7292),
    [aux_sym_coarray_statement_token2] = ACTIONS(7292),
    [aux_sym_coarray_statement_token6] = ACTIONS(7292),
    [aux_sym_coarray_statement_token8] = ACTIONS(7292),
    [aux_sym_coarray_statement_token11] = ACTIONS(7292),
    [aux_sym_coarray_statement_token12] = ACTIONS(7292),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7292),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7292),
    [aux_sym_identifier_token1] = ACTIONS(7292),
    [sym_comment] = ACTIONS(21),
  },
  [3198] = {
    [anon_sym_COMMA] = ACTIONS(7294),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7296),
    [aux_sym_module_statement_token1] = ACTIONS(7296),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7296),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7296),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7296),
    [aux_sym_function_statement_token1] = ACTIONS(7296),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7296),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7296),
    [aux_sym_use_statement_token2] = ACTIONS(7296),
    [anon_sym_COLON_COLON] = ACTIONS(7294),
    [aux_sym_implicit_statement_token3] = ACTIONS(7296),
    [aux_sym_implicit_statement_token4] = ACTIONS(7296),
    [aux_sym_save_statement_token1] = ACTIONS(7296),
    [aux_sym_private_statement_token1] = ACTIONS(7296),
    [aux_sym_public_statement_token1] = ACTIONS(7296),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7296),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7296),
    [aux_sym_variable_attributes_token2] = ACTIONS(7296),
    [aux_sym_variable_attributes_token3] = ACTIONS(7296),
    [aux_sym_variable_attributes_token5] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7296),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7296),
    [aux_sym_derived_type_token1] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7296),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7296),
    [aux_sym_type_qualifier_token1] = ACTIONS(7296),
    [aux_sym_type_qualifier_token2] = ACTIONS(7296),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7296),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7296),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7296),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7296),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7296),
    [aux_sym_stop_statement_token1] = ACTIONS(7296),
    [aux_sym_stop_statement_token2] = ACTIONS(7296),
    [aux_sym_keyword_statement_token2] = ACTIONS(7296),
    [aux_sym_keyword_statement_token3] = ACTIONS(7296),
    [aux_sym_data_statement_token1] = ACTIONS(7296),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7296),
    [aux_sym_end_if_statement_token1] = ACTIONS(7296),
    [aux_sym_elseif_clause_token2] = ACTIONS(7296),
    [aux_sym_select_case_statement_token1] = ACTIONS(7296),
    [aux_sym_block_construct_token1] = ACTIONS(7296),
    [aux_sym_format_statement_token1] = ACTIONS(7296),
    [aux_sym_inquire_statement_token1] = ACTIONS(7296),
    [aux_sym_entry_statement_token1] = ACTIONS(7296),
    [aux_sym_null_literal_token1] = ACTIONS(7296),
    [aux_sym_coarray_statement_token1] = ACTIONS(7296),
    [aux_sym_coarray_statement_token2] = ACTIONS(7296),
    [aux_sym_coarray_statement_token6] = ACTIONS(7296),
    [aux_sym_coarray_statement_token8] = ACTIONS(7296),
    [aux_sym_coarray_statement_token11] = ACTIONS(7296),
    [aux_sym_coarray_statement_token12] = ACTIONS(7296),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7296),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7296),
    [aux_sym_identifier_token1] = ACTIONS(7296),
    [sym_comment] = ACTIONS(21),
  },
  [3199] = {
    [anon_sym_COMMA] = ACTIONS(7298),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7300),
    [aux_sym_module_statement_token1] = ACTIONS(7300),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7300),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7300),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7300),
    [aux_sym_function_statement_token1] = ACTIONS(7300),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7300),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7300),
    [aux_sym_use_statement_token2] = ACTIONS(7300),
    [anon_sym_COLON_COLON] = ACTIONS(7298),
    [aux_sym_implicit_statement_token3] = ACTIONS(7300),
    [aux_sym_implicit_statement_token4] = ACTIONS(7300),
    [aux_sym_save_statement_token1] = ACTIONS(7300),
    [aux_sym_private_statement_token1] = ACTIONS(7300),
    [aux_sym_public_statement_token1] = ACTIONS(7300),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7300),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7300),
    [aux_sym_variable_attributes_token2] = ACTIONS(7300),
    [aux_sym_variable_attributes_token3] = ACTIONS(7300),
    [aux_sym_variable_attributes_token5] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7300),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7300),
    [aux_sym_derived_type_token1] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7300),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7300),
    [aux_sym_type_qualifier_token1] = ACTIONS(7300),
    [aux_sym_type_qualifier_token2] = ACTIONS(7300),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7300),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7300),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7300),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7300),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7300),
    [aux_sym_stop_statement_token1] = ACTIONS(7300),
    [aux_sym_stop_statement_token2] = ACTIONS(7300),
    [aux_sym_keyword_statement_token2] = ACTIONS(7300),
    [aux_sym_keyword_statement_token3] = ACTIONS(7300),
    [aux_sym_data_statement_token1] = ACTIONS(7300),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7300),
    [aux_sym_end_if_statement_token1] = ACTIONS(7300),
    [aux_sym_elseif_clause_token2] = ACTIONS(7300),
    [aux_sym_select_case_statement_token1] = ACTIONS(7300),
    [aux_sym_block_construct_token1] = ACTIONS(7300),
    [aux_sym_format_statement_token1] = ACTIONS(7300),
    [aux_sym_inquire_statement_token1] = ACTIONS(7300),
    [aux_sym_entry_statement_token1] = ACTIONS(7300),
    [aux_sym_null_literal_token1] = ACTIONS(7300),
    [aux_sym_coarray_statement_token1] = ACTIONS(7300),
    [aux_sym_coarray_statement_token2] = ACTIONS(7300),
    [aux_sym_coarray_statement_token6] = ACTIONS(7300),
    [aux_sym_coarray_statement_token8] = ACTIONS(7300),
    [aux_sym_coarray_statement_token11] = ACTIONS(7300),
    [aux_sym_coarray_statement_token12] = ACTIONS(7300),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7300),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7300),
    [aux_sym_identifier_token1] = ACTIONS(7300),
    [sym_comment] = ACTIONS(21),
  },
  [3200] = {
    [anon_sym_COMMA] = ACTIONS(7302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7304),
    [aux_sym_module_statement_token1] = ACTIONS(7304),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7304),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7304),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7304),
    [aux_sym_function_statement_token1] = ACTIONS(7304),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7304),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7304),
    [aux_sym_use_statement_token2] = ACTIONS(7304),
    [anon_sym_COLON_COLON] = ACTIONS(7302),
    [aux_sym_implicit_statement_token3] = ACTIONS(7304),
    [aux_sym_implicit_statement_token4] = ACTIONS(7304),
    [aux_sym_save_statement_token1] = ACTIONS(7304),
    [aux_sym_private_statement_token1] = ACTIONS(7304),
    [aux_sym_public_statement_token1] = ACTIONS(7304),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7304),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7304),
    [aux_sym_variable_attributes_token2] = ACTIONS(7304),
    [aux_sym_variable_attributes_token3] = ACTIONS(7304),
    [aux_sym_variable_attributes_token5] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7304),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7304),
    [aux_sym_derived_type_token1] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7304),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7304),
    [aux_sym_type_qualifier_token1] = ACTIONS(7304),
    [aux_sym_type_qualifier_token2] = ACTIONS(7304),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7304),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7304),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7304),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7304),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7304),
    [aux_sym_stop_statement_token1] = ACTIONS(7304),
    [aux_sym_stop_statement_token2] = ACTIONS(7304),
    [aux_sym_keyword_statement_token2] = ACTIONS(7304),
    [aux_sym_keyword_statement_token3] = ACTIONS(7304),
    [aux_sym_data_statement_token1] = ACTIONS(7304),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7304),
    [aux_sym_end_if_statement_token1] = ACTIONS(7304),
    [aux_sym_elseif_clause_token2] = ACTIONS(7304),
    [aux_sym_select_case_statement_token1] = ACTIONS(7304),
    [aux_sym_block_construct_token1] = ACTIONS(7304),
    [aux_sym_format_statement_token1] = ACTIONS(7304),
    [aux_sym_inquire_statement_token1] = ACTIONS(7304),
    [aux_sym_entry_statement_token1] = ACTIONS(7304),
    [aux_sym_null_literal_token1] = ACTIONS(7304),
    [aux_sym_coarray_statement_token1] = ACTIONS(7304),
    [aux_sym_coarray_statement_token2] = ACTIONS(7304),
    [aux_sym_coarray_statement_token6] = ACTIONS(7304),
    [aux_sym_coarray_statement_token8] = ACTIONS(7304),
    [aux_sym_coarray_statement_token11] = ACTIONS(7304),
    [aux_sym_coarray_statement_token12] = ACTIONS(7304),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7304),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7304),
    [aux_sym_identifier_token1] = ACTIONS(7304),
    [sym_comment] = ACTIONS(21),
  },
  [3201] = {
    [anon_sym_COMMA] = ACTIONS(7306),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7308),
    [aux_sym_module_statement_token1] = ACTIONS(7308),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7308),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7308),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7308),
    [aux_sym_function_statement_token1] = ACTIONS(7308),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7308),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7308),
    [aux_sym_use_statement_token2] = ACTIONS(7308),
    [anon_sym_COLON_COLON] = ACTIONS(7306),
    [aux_sym_implicit_statement_token3] = ACTIONS(7308),
    [aux_sym_implicit_statement_token4] = ACTIONS(7308),
    [aux_sym_save_statement_token1] = ACTIONS(7308),
    [aux_sym_private_statement_token1] = ACTIONS(7308),
    [aux_sym_public_statement_token1] = ACTIONS(7308),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7308),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7308),
    [aux_sym_variable_attributes_token2] = ACTIONS(7308),
    [aux_sym_variable_attributes_token3] = ACTIONS(7308),
    [aux_sym_variable_attributes_token5] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7308),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7308),
    [aux_sym_derived_type_token1] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7308),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7308),
    [aux_sym_type_qualifier_token1] = ACTIONS(7308),
    [aux_sym_type_qualifier_token2] = ACTIONS(7308),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7308),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7308),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7308),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7308),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7308),
    [aux_sym_stop_statement_token1] = ACTIONS(7308),
    [aux_sym_stop_statement_token2] = ACTIONS(7308),
    [aux_sym_keyword_statement_token2] = ACTIONS(7308),
    [aux_sym_keyword_statement_token3] = ACTIONS(7308),
    [aux_sym_data_statement_token1] = ACTIONS(7308),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7308),
    [aux_sym_end_if_statement_token1] = ACTIONS(7308),
    [aux_sym_elseif_clause_token2] = ACTIONS(7308),
    [aux_sym_select_case_statement_token1] = ACTIONS(7308),
    [aux_sym_block_construct_token1] = ACTIONS(7308),
    [aux_sym_format_statement_token1] = ACTIONS(7308),
    [aux_sym_inquire_statement_token1] = ACTIONS(7308),
    [aux_sym_entry_statement_token1] = ACTIONS(7308),
    [aux_sym_null_literal_token1] = ACTIONS(7308),
    [aux_sym_coarray_statement_token1] = ACTIONS(7308),
    [aux_sym_coarray_statement_token2] = ACTIONS(7308),
    [aux_sym_coarray_statement_token6] = ACTIONS(7308),
    [aux_sym_coarray_statement_token8] = ACTIONS(7308),
    [aux_sym_coarray_statement_token11] = ACTIONS(7308),
    [aux_sym_coarray_statement_token12] = ACTIONS(7308),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7308),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7308),
    [aux_sym_identifier_token1] = ACTIONS(7308),
    [sym_comment] = ACTIONS(21),
  },
  [3202] = {
    [anon_sym_COMMA] = ACTIONS(7310),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7312),
    [aux_sym_module_statement_token1] = ACTIONS(7312),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7312),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7312),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7312),
    [aux_sym_function_statement_token1] = ACTIONS(7312),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7312),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7312),
    [aux_sym_use_statement_token2] = ACTIONS(7312),
    [anon_sym_COLON_COLON] = ACTIONS(7310),
    [aux_sym_implicit_statement_token3] = ACTIONS(7312),
    [aux_sym_implicit_statement_token4] = ACTIONS(7312),
    [aux_sym_save_statement_token1] = ACTIONS(7312),
    [aux_sym_private_statement_token1] = ACTIONS(7312),
    [aux_sym_public_statement_token1] = ACTIONS(7312),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7312),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7312),
    [aux_sym_variable_attributes_token2] = ACTIONS(7312),
    [aux_sym_variable_attributes_token3] = ACTIONS(7312),
    [aux_sym_variable_attributes_token5] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7312),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7312),
    [aux_sym_derived_type_token1] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7312),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7312),
    [aux_sym_type_qualifier_token1] = ACTIONS(7312),
    [aux_sym_type_qualifier_token2] = ACTIONS(7312),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7312),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7312),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7312),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7312),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7312),
    [aux_sym_stop_statement_token1] = ACTIONS(7312),
    [aux_sym_stop_statement_token2] = ACTIONS(7312),
    [aux_sym_keyword_statement_token2] = ACTIONS(7312),
    [aux_sym_keyword_statement_token3] = ACTIONS(7312),
    [aux_sym_data_statement_token1] = ACTIONS(7312),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7312),
    [aux_sym_end_if_statement_token1] = ACTIONS(7312),
    [aux_sym_elseif_clause_token2] = ACTIONS(7312),
    [aux_sym_select_case_statement_token1] = ACTIONS(7312),
    [aux_sym_block_construct_token1] = ACTIONS(7312),
    [aux_sym_format_statement_token1] = ACTIONS(7312),
    [aux_sym_inquire_statement_token1] = ACTIONS(7312),
    [aux_sym_entry_statement_token1] = ACTIONS(7312),
    [aux_sym_null_literal_token1] = ACTIONS(7312),
    [aux_sym_coarray_statement_token1] = ACTIONS(7312),
    [aux_sym_coarray_statement_token2] = ACTIONS(7312),
    [aux_sym_coarray_statement_token6] = ACTIONS(7312),
    [aux_sym_coarray_statement_token8] = ACTIONS(7312),
    [aux_sym_coarray_statement_token11] = ACTIONS(7312),
    [aux_sym_coarray_statement_token12] = ACTIONS(7312),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7312),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7312),
    [aux_sym_identifier_token1] = ACTIONS(7312),
    [sym_comment] = ACTIONS(21),
  },
  [3203] = {
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [aux_sym_preproc_if_token2] = ACTIONS(4287),
    [aux_sym_preproc_else_token1] = ACTIONS(4287),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4287),
    [aux_sym_module_statement_token1] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4287),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4287),
    [aux_sym_function_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4287),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token3] = ACTIONS(4287),
    [aux_sym_import_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token2] = ACTIONS(4287),
    [aux_sym_procedure_kind_token3] = ACTIONS(4287),
    [aux_sym_procedure_kind_token4] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4287),
    [aux_sym_derived_type_token1] = ACTIONS(4287),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4287),
    [anon_sym_GT_GT_GT] = ACTIONS(4287),
    [aux_sym_select_case_statement_token2] = ACTIONS(4287),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [anon_sym_RBRACK] = ACTIONS(4287),
    [anon_sym_QMARK] = ACTIONS(4287),
    [sym_comment] = ACTIONS(21),
  },
  [3204] = {
    [anon_sym_COMMA] = ACTIONS(4291),
    [anon_sym_RPAREN] = ACTIONS(4291),
    [aux_sym_preproc_if_token2] = ACTIONS(4291),
    [aux_sym_preproc_else_token1] = ACTIONS(4291),
    [aux_sym_preproc_elif_token1] = ACTIONS(4289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [sym_preproc_comment] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(4291),
    [aux_sym_module_statement_token1] = ACTIONS(4291),
    [anon_sym_COLON] = ACTIONS(4291),
    [anon_sym_EQ] = ACTIONS(4289),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4291),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4291),
    [aux_sym_function_statement_token1] = ACTIONS(4291),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(4291),
    [aux_sym_implicit_statement_token3] = ACTIONS(4291),
    [aux_sym_import_statement_token1] = ACTIONS(4291),
    [aux_sym_procedure_kind_token1] = ACTIONS(4291),
    [aux_sym_procedure_kind_token2] = ACTIONS(4291),
    [aux_sym_procedure_kind_token3] = ACTIONS(4291),
    [aux_sym_procedure_kind_token4] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4291),
    [aux_sym_derived_type_token1] = ACTIONS(4291),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4291),
    [anon_sym_GT_GT_GT] = ACTIONS(4291),
    [aux_sym_select_case_statement_token2] = ACTIONS(4291),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4291),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [anon_sym_RBRACK] = ACTIONS(4291),
    [anon_sym_QMARK] = ACTIONS(4291),
    [sym_comment] = ACTIONS(21),
  },
  [3205] = {
    [anon_sym_COMMA] = ACTIONS(4295),
    [anon_sym_RPAREN] = ACTIONS(4295),
    [aux_sym_preproc_if_token2] = ACTIONS(4295),
    [aux_sym_preproc_else_token1] = ACTIONS(4295),
    [aux_sym_preproc_elif_token1] = ACTIONS(4293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4295),
    [anon_sym_LPAREN2] = ACTIONS(4295),
    [sym_preproc_comment] = ACTIONS(4295),
    [anon_sym_PLUS] = ACTIONS(4295),
    [anon_sym_DASH] = ACTIONS(4295),
    [anon_sym_STAR] = ACTIONS(4293),
    [anon_sym_SLASH] = ACTIONS(4293),
    [anon_sym_PERCENT] = ACTIONS(4295),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_GT] = ACTIONS(4293),
    [anon_sym_GT_EQ] = ACTIONS(4295),
    [anon_sym_LT_EQ] = ACTIONS(4295),
    [anon_sym_LT] = ACTIONS(4293),
    [aux_sym_end_program_statement_token1] = ACTIONS(4295),
    [aux_sym_module_statement_token1] = ACTIONS(4295),
    [anon_sym_COLON] = ACTIONS(4295),
    [anon_sym_EQ] = ACTIONS(4293),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4295),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4295),
    [aux_sym_function_statement_token1] = ACTIONS(4295),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4295),
    [anon_sym_EQ_GT] = ACTIONS(4295),
    [aux_sym_implicit_statement_token3] = ACTIONS(4295),
    [aux_sym_import_statement_token1] = ACTIONS(4295),
    [aux_sym_procedure_kind_token1] = ACTIONS(4295),
    [aux_sym_procedure_kind_token2] = ACTIONS(4295),
    [aux_sym_procedure_kind_token3] = ACTIONS(4295),
    [aux_sym_procedure_kind_token4] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4293),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4295),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4295),
    [aux_sym_derived_type_token1] = ACTIONS(4295),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4295),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4295),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4295),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4295),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4295),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4295),
    [anon_sym_GT_GT_GT] = ACTIONS(4295),
    [aux_sym_select_case_statement_token2] = ACTIONS(4295),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4295),
    [aux_sym_logical_expression_token1] = ACTIONS(4295),
    [aux_sym_logical_expression_token2] = ACTIONS(4295),
    [aux_sym_logical_expression_token3] = ACTIONS(4295),
    [aux_sym_logical_expression_token4] = ACTIONS(4295),
    [aux_sym_relational_expression_token1] = ACTIONS(4295),
    [aux_sym_relational_expression_token2] = ACTIONS(4295),
    [aux_sym_relational_expression_token3] = ACTIONS(4295),
    [aux_sym_relational_expression_token4] = ACTIONS(4295),
    [aux_sym_relational_expression_token5] = ACTIONS(4295),
    [anon_sym_SLASH_EQ] = ACTIONS(4295),
    [aux_sym_relational_expression_token6] = ACTIONS(4295),
    [anon_sym_SLASH_SLASH] = ACTIONS(4295),
    [anon_sym_STAR_STAR] = ACTIONS(4295),
    [anon_sym_DOT] = ACTIONS(4293),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4295),
    [anon_sym_LBRACK] = ACTIONS(4295),
    [anon_sym_RBRACK] = ACTIONS(4295),
    [anon_sym_QMARK] = ACTIONS(4295),
    [sym_comment] = ACTIONS(21),
  },
  [3206] = {
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [aux_sym_preproc_if_token2] = ACTIONS(4287),
    [aux_sym_preproc_else_token1] = ACTIONS(4287),
    [aux_sym_preproc_elif_token1] = ACTIONS(4285),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [sym_preproc_comment] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4287),
    [aux_sym_module_statement_token1] = ACTIONS(4287),
    [anon_sym_COLON] = ACTIONS(4287),
    [anon_sym_EQ] = ACTIONS(4285),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4287),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4287),
    [aux_sym_function_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4287),
    [anon_sym_EQ_GT] = ACTIONS(4287),
    [aux_sym_implicit_statement_token3] = ACTIONS(4287),
    [aux_sym_import_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token2] = ACTIONS(4287),
    [aux_sym_procedure_kind_token3] = ACTIONS(4287),
    [aux_sym_procedure_kind_token4] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4287),
    [aux_sym_derived_type_token1] = ACTIONS(4287),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4287),
    [anon_sym_GT_GT_GT] = ACTIONS(4287),
    [aux_sym_select_case_statement_token2] = ACTIONS(4287),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4287),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [anon_sym_RBRACK] = ACTIONS(4287),
    [anon_sym_QMARK] = ACTIONS(4287),
    [sym_comment] = ACTIONS(21),
  },
  [3207] = {
    [anon_sym_COMMA] = ACTIONS(7314),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7316),
    [aux_sym_module_statement_token1] = ACTIONS(7316),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7316),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7316),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7316),
    [aux_sym_function_statement_token1] = ACTIONS(7316),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7316),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7316),
    [aux_sym_use_statement_token2] = ACTIONS(7316),
    [anon_sym_COLON_COLON] = ACTIONS(7314),
    [aux_sym_implicit_statement_token3] = ACTIONS(7316),
    [aux_sym_implicit_statement_token4] = ACTIONS(7316),
    [aux_sym_save_statement_token1] = ACTIONS(7316),
    [aux_sym_private_statement_token1] = ACTIONS(7316),
    [aux_sym_public_statement_token1] = ACTIONS(7316),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7316),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7316),
    [aux_sym_variable_attributes_token2] = ACTIONS(7316),
    [aux_sym_variable_attributes_token3] = ACTIONS(7316),
    [aux_sym_variable_attributes_token5] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7316),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7316),
    [aux_sym_derived_type_token1] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7316),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7316),
    [aux_sym_type_qualifier_token1] = ACTIONS(7316),
    [aux_sym_type_qualifier_token2] = ACTIONS(7316),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7316),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7316),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7316),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7316),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7316),
    [aux_sym_stop_statement_token1] = ACTIONS(7316),
    [aux_sym_stop_statement_token2] = ACTIONS(7316),
    [aux_sym_keyword_statement_token2] = ACTIONS(7316),
    [aux_sym_keyword_statement_token3] = ACTIONS(7316),
    [aux_sym_data_statement_token1] = ACTIONS(7316),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7316),
    [aux_sym_end_if_statement_token1] = ACTIONS(7316),
    [aux_sym_elseif_clause_token2] = ACTIONS(7316),
    [aux_sym_select_case_statement_token1] = ACTIONS(7316),
    [aux_sym_block_construct_token1] = ACTIONS(7316),
    [aux_sym_format_statement_token1] = ACTIONS(7316),
    [aux_sym_inquire_statement_token1] = ACTIONS(7316),
    [aux_sym_entry_statement_token1] = ACTIONS(7316),
    [aux_sym_null_literal_token1] = ACTIONS(7316),
    [aux_sym_coarray_statement_token1] = ACTIONS(7316),
    [aux_sym_coarray_statement_token2] = ACTIONS(7316),
    [aux_sym_coarray_statement_token6] = ACTIONS(7316),
    [aux_sym_coarray_statement_token8] = ACTIONS(7316),
    [aux_sym_coarray_statement_token11] = ACTIONS(7316),
    [aux_sym_coarray_statement_token12] = ACTIONS(7316),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7316),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7316),
    [aux_sym_identifier_token1] = ACTIONS(7316),
    [sym_comment] = ACTIONS(21),
  },
  [3208] = {
    [anon_sym_COMMA] = ACTIONS(4299),
    [anon_sym_RPAREN] = ACTIONS(4299),
    [aux_sym_preproc_if_token2] = ACTIONS(4299),
    [aux_sym_preproc_else_token1] = ACTIONS(4299),
    [aux_sym_preproc_elif_token1] = ACTIONS(4297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4299),
    [anon_sym_LPAREN2] = ACTIONS(4299),
    [sym_preproc_comment] = ACTIONS(4299),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4299),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_LT] = ACTIONS(4297),
    [aux_sym_end_program_statement_token1] = ACTIONS(4299),
    [aux_sym_module_statement_token1] = ACTIONS(4299),
    [anon_sym_COLON] = ACTIONS(4299),
    [anon_sym_EQ] = ACTIONS(4297),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4299),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4299),
    [aux_sym_function_statement_token1] = ACTIONS(4299),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4299),
    [anon_sym_EQ_GT] = ACTIONS(4299),
    [aux_sym_implicit_statement_token3] = ACTIONS(4299),
    [aux_sym_import_statement_token1] = ACTIONS(4299),
    [aux_sym_procedure_kind_token1] = ACTIONS(4299),
    [aux_sym_procedure_kind_token2] = ACTIONS(4299),
    [aux_sym_procedure_kind_token3] = ACTIONS(4299),
    [aux_sym_procedure_kind_token4] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4299),
    [aux_sym_derived_type_token1] = ACTIONS(4299),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4299),
    [anon_sym_GT_GT_GT] = ACTIONS(4299),
    [aux_sym_select_case_statement_token2] = ACTIONS(4299),
    [aux_sym_enumerator_statement_token1] = ACTIONS(4299),
    [aux_sym_logical_expression_token1] = ACTIONS(4299),
    [aux_sym_logical_expression_token2] = ACTIONS(4299),
    [aux_sym_logical_expression_token3] = ACTIONS(4299),
    [aux_sym_logical_expression_token4] = ACTIONS(4299),
    [aux_sym_relational_expression_token1] = ACTIONS(4299),
    [aux_sym_relational_expression_token2] = ACTIONS(4299),
    [aux_sym_relational_expression_token3] = ACTIONS(4299),
    [aux_sym_relational_expression_token4] = ACTIONS(4299),
    [aux_sym_relational_expression_token5] = ACTIONS(4299),
    [anon_sym_SLASH_EQ] = ACTIONS(4299),
    [aux_sym_relational_expression_token6] = ACTIONS(4299),
    [anon_sym_SLASH_SLASH] = ACTIONS(4299),
    [anon_sym_STAR_STAR] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_SLASH_RPAREN] = ACTIONS(4299),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [anon_sym_RBRACK] = ACTIONS(4299),
    [anon_sym_QMARK] = ACTIONS(4299),
    [sym_comment] = ACTIONS(21),
  },
  [3209] = {
    [anon_sym_COMMA] = ACTIONS(7318),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7320),
    [aux_sym_module_statement_token1] = ACTIONS(7320),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7320),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7320),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7320),
    [aux_sym_function_statement_token1] = ACTIONS(7320),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7320),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7320),
    [aux_sym_use_statement_token2] = ACTIONS(7320),
    [anon_sym_COLON_COLON] = ACTIONS(7318),
    [aux_sym_implicit_statement_token3] = ACTIONS(7320),
    [aux_sym_implicit_statement_token4] = ACTIONS(7320),
    [aux_sym_save_statement_token1] = ACTIONS(7320),
    [aux_sym_private_statement_token1] = ACTIONS(7320),
    [aux_sym_public_statement_token1] = ACTIONS(7320),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7320),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7320),
    [aux_sym_variable_attributes_token2] = ACTIONS(7320),
    [aux_sym_variable_attributes_token3] = ACTIONS(7320),
    [aux_sym_variable_attributes_token5] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7320),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7320),
    [aux_sym_derived_type_token1] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7320),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7320),
    [aux_sym_type_qualifier_token1] = ACTIONS(7320),
    [aux_sym_type_qualifier_token2] = ACTIONS(7320),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7320),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7320),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7320),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7320),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7320),
    [aux_sym_stop_statement_token1] = ACTIONS(7320),
    [aux_sym_stop_statement_token2] = ACTIONS(7320),
    [aux_sym_keyword_statement_token2] = ACTIONS(7320),
    [aux_sym_keyword_statement_token3] = ACTIONS(7320),
    [aux_sym_data_statement_token1] = ACTIONS(7320),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7320),
    [aux_sym_end_if_statement_token1] = ACTIONS(7320),
    [aux_sym_elseif_clause_token2] = ACTIONS(7320),
    [aux_sym_select_case_statement_token1] = ACTIONS(7320),
    [aux_sym_block_construct_token1] = ACTIONS(7320),
    [aux_sym_format_statement_token1] = ACTIONS(7320),
    [aux_sym_inquire_statement_token1] = ACTIONS(7320),
    [aux_sym_entry_statement_token1] = ACTIONS(7320),
    [aux_sym_null_literal_token1] = ACTIONS(7320),
    [aux_sym_coarray_statement_token1] = ACTIONS(7320),
    [aux_sym_coarray_statement_token2] = ACTIONS(7320),
    [aux_sym_coarray_statement_token6] = ACTIONS(7320),
    [aux_sym_coarray_statement_token8] = ACTIONS(7320),
    [aux_sym_coarray_statement_token11] = ACTIONS(7320),
    [aux_sym_coarray_statement_token12] = ACTIONS(7320),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7320),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7320),
    [aux_sym_identifier_token1] = ACTIONS(7320),
    [sym_comment] = ACTIONS(21),
  },
  [3210] = {
    [anon_sym_COMMA] = ACTIONS(7322),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7324),
    [aux_sym_module_statement_token1] = ACTIONS(7324),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7324),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7324),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7324),
    [aux_sym_function_statement_token1] = ACTIONS(7324),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7324),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7324),
    [aux_sym_use_statement_token2] = ACTIONS(7324),
    [anon_sym_COLON_COLON] = ACTIONS(7322),
    [aux_sym_implicit_statement_token3] = ACTIONS(7324),
    [aux_sym_implicit_statement_token4] = ACTIONS(7324),
    [aux_sym_save_statement_token1] = ACTIONS(7324),
    [aux_sym_private_statement_token1] = ACTIONS(7324),
    [aux_sym_public_statement_token1] = ACTIONS(7324),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7324),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7324),
    [aux_sym_variable_attributes_token2] = ACTIONS(7324),
    [aux_sym_variable_attributes_token3] = ACTIONS(7324),
    [aux_sym_variable_attributes_token5] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7324),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7324),
    [aux_sym_derived_type_token1] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7324),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7324),
    [aux_sym_type_qualifier_token1] = ACTIONS(7324),
    [aux_sym_type_qualifier_token2] = ACTIONS(7324),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7324),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7324),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7324),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7324),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7324),
    [aux_sym_stop_statement_token1] = ACTIONS(7324),
    [aux_sym_stop_statement_token2] = ACTIONS(7324),
    [aux_sym_keyword_statement_token2] = ACTIONS(7324),
    [aux_sym_keyword_statement_token3] = ACTIONS(7324),
    [aux_sym_data_statement_token1] = ACTIONS(7324),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7324),
    [aux_sym_end_if_statement_token1] = ACTIONS(7324),
    [aux_sym_elseif_clause_token2] = ACTIONS(7324),
    [aux_sym_select_case_statement_token1] = ACTIONS(7324),
    [aux_sym_block_construct_token1] = ACTIONS(7324),
    [aux_sym_format_statement_token1] = ACTIONS(7324),
    [aux_sym_inquire_statement_token1] = ACTIONS(7324),
    [aux_sym_entry_statement_token1] = ACTIONS(7324),
    [aux_sym_null_literal_token1] = ACTIONS(7324),
    [aux_sym_coarray_statement_token1] = ACTIONS(7324),
    [aux_sym_coarray_statement_token2] = ACTIONS(7324),
    [aux_sym_coarray_statement_token6] = ACTIONS(7324),
    [aux_sym_coarray_statement_token8] = ACTIONS(7324),
    [aux_sym_coarray_statement_token11] = ACTIONS(7324),
    [aux_sym_coarray_statement_token12] = ACTIONS(7324),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7324),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7324),
    [aux_sym_identifier_token1] = ACTIONS(7324),
    [sym_comment] = ACTIONS(21),
  },
  [3211] = {
    [anon_sym_COMMA] = ACTIONS(6682),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6684),
    [aux_sym_module_statement_token1] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6684),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6684),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6684),
    [aux_sym_function_statement_token1] = ACTIONS(6684),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6684),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6684),
    [aux_sym_use_statement_token2] = ACTIONS(6684),
    [anon_sym_COLON_COLON] = ACTIONS(6682),
    [aux_sym_implicit_statement_token3] = ACTIONS(6684),
    [aux_sym_implicit_statement_token4] = ACTIONS(6684),
    [aux_sym_save_statement_token1] = ACTIONS(6684),
    [aux_sym_private_statement_token1] = ACTIONS(6684),
    [aux_sym_public_statement_token1] = ACTIONS(6684),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6684),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6684),
    [aux_sym_variable_attributes_token2] = ACTIONS(6684),
    [aux_sym_variable_attributes_token3] = ACTIONS(6684),
    [aux_sym_variable_attributes_token5] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6684),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6684),
    [aux_sym_derived_type_token1] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6684),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6684),
    [aux_sym_type_qualifier_token1] = ACTIONS(6684),
    [aux_sym_type_qualifier_token2] = ACTIONS(6684),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6684),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6684),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6684),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6684),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6684),
    [aux_sym_stop_statement_token1] = ACTIONS(6684),
    [aux_sym_stop_statement_token2] = ACTIONS(6684),
    [aux_sym_keyword_statement_token2] = ACTIONS(6684),
    [aux_sym_keyword_statement_token3] = ACTIONS(6684),
    [aux_sym_data_statement_token1] = ACTIONS(6684),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6684),
    [aux_sym_end_if_statement_token1] = ACTIONS(6684),
    [aux_sym_elseif_clause_token2] = ACTIONS(6684),
    [aux_sym_select_case_statement_token1] = ACTIONS(6684),
    [aux_sym_block_construct_token1] = ACTIONS(6684),
    [aux_sym_format_statement_token1] = ACTIONS(6684),
    [aux_sym_inquire_statement_token1] = ACTIONS(6684),
    [aux_sym_entry_statement_token1] = ACTIONS(6684),
    [aux_sym_null_literal_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_statement_token2] = ACTIONS(6684),
    [aux_sym_coarray_statement_token6] = ACTIONS(6684),
    [aux_sym_coarray_statement_token8] = ACTIONS(6684),
    [aux_sym_coarray_statement_token11] = ACTIONS(6684),
    [aux_sym_coarray_statement_token12] = ACTIONS(6684),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6684),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6684),
    [aux_sym_identifier_token1] = ACTIONS(6684),
    [sym_comment] = ACTIONS(21),
  },
  [3212] = {
    [anon_sym_COMMA] = ACTIONS(6678),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6680),
    [aux_sym_module_statement_token1] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6680),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6680),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6680),
    [aux_sym_function_statement_token1] = ACTIONS(6680),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6680),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6680),
    [aux_sym_use_statement_token2] = ACTIONS(6680),
    [anon_sym_COLON_COLON] = ACTIONS(6678),
    [aux_sym_implicit_statement_token3] = ACTIONS(6680),
    [aux_sym_implicit_statement_token4] = ACTIONS(6680),
    [aux_sym_save_statement_token1] = ACTIONS(6680),
    [aux_sym_private_statement_token1] = ACTIONS(6680),
    [aux_sym_public_statement_token1] = ACTIONS(6680),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6680),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6680),
    [aux_sym_variable_attributes_token2] = ACTIONS(6680),
    [aux_sym_variable_attributes_token3] = ACTIONS(6680),
    [aux_sym_variable_attributes_token5] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6680),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6680),
    [aux_sym_derived_type_token1] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6680),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6680),
    [aux_sym_type_qualifier_token1] = ACTIONS(6680),
    [aux_sym_type_qualifier_token2] = ACTIONS(6680),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6680),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6680),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6680),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6680),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6680),
    [aux_sym_stop_statement_token1] = ACTIONS(6680),
    [aux_sym_stop_statement_token2] = ACTIONS(6680),
    [aux_sym_keyword_statement_token2] = ACTIONS(6680),
    [aux_sym_keyword_statement_token3] = ACTIONS(6680),
    [aux_sym_data_statement_token1] = ACTIONS(6680),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6680),
    [aux_sym_end_if_statement_token1] = ACTIONS(6680),
    [aux_sym_elseif_clause_token2] = ACTIONS(6680),
    [aux_sym_select_case_statement_token1] = ACTIONS(6680),
    [aux_sym_block_construct_token1] = ACTIONS(6680),
    [aux_sym_format_statement_token1] = ACTIONS(6680),
    [aux_sym_inquire_statement_token1] = ACTIONS(6680),
    [aux_sym_entry_statement_token1] = ACTIONS(6680),
    [aux_sym_null_literal_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_statement_token2] = ACTIONS(6680),
    [aux_sym_coarray_statement_token6] = ACTIONS(6680),
    [aux_sym_coarray_statement_token8] = ACTIONS(6680),
    [aux_sym_coarray_statement_token11] = ACTIONS(6680),
    [aux_sym_coarray_statement_token12] = ACTIONS(6680),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6680),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6680),
    [aux_sym_identifier_token1] = ACTIONS(6680),
    [sym_comment] = ACTIONS(21),
  },
  [3213] = {
    [anon_sym_COMMA] = ACTIONS(6674),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(6676),
    [aux_sym_module_statement_token1] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(6676),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(6676),
    [aux_sym_subroutine_statement_token1] = ACTIONS(6676),
    [aux_sym_function_statement_token1] = ACTIONS(6676),
    [aux_sym_procedure_attributes_token1] = ACTIONS(6676),
    [aux_sym_procedure_attributes_token3] = ACTIONS(6676),
    [aux_sym_use_statement_token2] = ACTIONS(6676),
    [anon_sym_COLON_COLON] = ACTIONS(6674),
    [aux_sym_implicit_statement_token3] = ACTIONS(6676),
    [aux_sym_implicit_statement_token4] = ACTIONS(6676),
    [aux_sym_save_statement_token1] = ACTIONS(6676),
    [aux_sym_private_statement_token1] = ACTIONS(6676),
    [aux_sym_public_statement_token1] = ACTIONS(6676),
    [aux_sym_derived_type_definition_token1] = ACTIONS(6676),
    [aux_sym_procedure_attribute_token6] = ACTIONS(6676),
    [aux_sym_variable_attributes_token2] = ACTIONS(6676),
    [aux_sym_variable_attributes_token3] = ACTIONS(6676),
    [aux_sym_variable_attributes_token5] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token1] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token2] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token3] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token4] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token6] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token7] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token8] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token9] = ACTIONS(6676),
    [aux_sym__intrinsic_type_token10] = ACTIONS(6676),
    [aux_sym_derived_type_token1] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(6676),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(6676),
    [aux_sym_type_qualifier_token1] = ACTIONS(6676),
    [aux_sym_type_qualifier_token2] = ACTIONS(6676),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(6676),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(6676),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(6676),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(6676),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(6676),
    [aux_sym_stop_statement_token1] = ACTIONS(6676),
    [aux_sym_stop_statement_token2] = ACTIONS(6676),
    [aux_sym_keyword_statement_token2] = ACTIONS(6676),
    [aux_sym_keyword_statement_token3] = ACTIONS(6676),
    [aux_sym_data_statement_token1] = ACTIONS(6676),
    [aux_sym__inline_if_statement_token1] = ACTIONS(6676),
    [aux_sym_end_if_statement_token1] = ACTIONS(6676),
    [aux_sym_elseif_clause_token2] = ACTIONS(6676),
    [aux_sym_select_case_statement_token1] = ACTIONS(6676),
    [aux_sym_block_construct_token1] = ACTIONS(6676),
    [aux_sym_format_statement_token1] = ACTIONS(6676),
    [aux_sym_inquire_statement_token1] = ACTIONS(6676),
    [aux_sym_entry_statement_token1] = ACTIONS(6676),
    [aux_sym_null_literal_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_statement_token2] = ACTIONS(6676),
    [aux_sym_coarray_statement_token6] = ACTIONS(6676),
    [aux_sym_coarray_statement_token8] = ACTIONS(6676),
    [aux_sym_coarray_statement_token11] = ACTIONS(6676),
    [aux_sym_coarray_statement_token12] = ACTIONS(6676),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(6676),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(6676),
    [aux_sym_identifier_token1] = ACTIONS(6676),
    [sym_comment] = ACTIONS(21),
  },
  [3214] = {
    [anon_sym_COMMA] = ACTIONS(7326),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7328),
    [aux_sym_module_statement_token1] = ACTIONS(7328),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7328),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7328),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7328),
    [aux_sym_function_statement_token1] = ACTIONS(7328),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7328),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7328),
    [aux_sym_use_statement_token2] = ACTIONS(7328),
    [anon_sym_COLON_COLON] = ACTIONS(7326),
    [aux_sym_implicit_statement_token3] = ACTIONS(7328),
    [aux_sym_implicit_statement_token4] = ACTIONS(7328),
    [aux_sym_save_statement_token1] = ACTIONS(7328),
    [aux_sym_private_statement_token1] = ACTIONS(7328),
    [aux_sym_public_statement_token1] = ACTIONS(7328),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7328),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7328),
    [aux_sym_variable_attributes_token2] = ACTIONS(7328),
    [aux_sym_variable_attributes_token3] = ACTIONS(7328),
    [aux_sym_variable_attributes_token5] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7328),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7328),
    [aux_sym_derived_type_token1] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7328),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7328),
    [aux_sym_type_qualifier_token1] = ACTIONS(7328),
    [aux_sym_type_qualifier_token2] = ACTIONS(7328),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7328),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7328),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7328),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7328),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7328),
    [aux_sym_stop_statement_token1] = ACTIONS(7328),
    [aux_sym_stop_statement_token2] = ACTIONS(7328),
    [aux_sym_keyword_statement_token2] = ACTIONS(7328),
    [aux_sym_keyword_statement_token3] = ACTIONS(7328),
    [aux_sym_data_statement_token1] = ACTIONS(7328),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7328),
    [aux_sym_end_if_statement_token1] = ACTIONS(7328),
    [aux_sym_elseif_clause_token2] = ACTIONS(7328),
    [aux_sym_select_case_statement_token1] = ACTIONS(7328),
    [aux_sym_block_construct_token1] = ACTIONS(7328),
    [aux_sym_format_statement_token1] = ACTIONS(7328),
    [aux_sym_inquire_statement_token1] = ACTIONS(7328),
    [aux_sym_entry_statement_token1] = ACTIONS(7328),
    [aux_sym_null_literal_token1] = ACTIONS(7328),
    [aux_sym_coarray_statement_token1] = ACTIONS(7328),
    [aux_sym_coarray_statement_token2] = ACTIONS(7328),
    [aux_sym_coarray_statement_token6] = ACTIONS(7328),
    [aux_sym_coarray_statement_token8] = ACTIONS(7328),
    [aux_sym_coarray_statement_token11] = ACTIONS(7328),
    [aux_sym_coarray_statement_token12] = ACTIONS(7328),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7328),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7328),
    [aux_sym_identifier_token1] = ACTIONS(7328),
    [sym_comment] = ACTIONS(21),
  },
  [3215] = {
    [sym__name] = STATE(2826),
    [sym_identifier] = STATE(2856),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7330),
    [aux_sym_module_statement_token1] = ACTIONS(7332),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7334),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7334),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7332),
    [aux_sym_function_statement_token1] = ACTIONS(7332),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7332),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7334),
    [aux_sym_use_statement_token2] = ACTIONS(7334),
    [aux_sym_implicit_statement_token3] = ACTIONS(7332),
    [aux_sym_implicit_statement_token4] = ACTIONS(7334),
    [aux_sym_save_statement_token1] = ACTIONS(7334),
    [aux_sym_private_statement_token1] = ACTIONS(7334),
    [aux_sym_public_statement_token1] = ACTIONS(7334),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7334),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7334),
    [aux_sym_variable_attributes_token2] = ACTIONS(7334),
    [aux_sym_variable_attributes_token3] = ACTIONS(7334),
    [aux_sym_variable_attributes_token5] = ACTIONS(7334),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7336),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7332),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7336),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7339),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7332),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7332),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7332),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7332),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7332),
    [aux_sym_derived_type_token1] = ACTIONS(7332),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7342),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7342),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7334),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7334),
    [aux_sym_type_qualifier_token1] = ACTIONS(7334),
    [aux_sym_type_qualifier_token2] = ACTIONS(7334),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7332),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7332),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7332),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7332),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7332),
    [aux_sym_stop_statement_token1] = ACTIONS(7334),
    [aux_sym_stop_statement_token2] = ACTIONS(7334),
    [aux_sym_keyword_statement_token2] = ACTIONS(7334),
    [aux_sym_keyword_statement_token3] = ACTIONS(7334),
    [aux_sym_data_statement_token1] = ACTIONS(7334),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7334),
    [aux_sym_end_if_statement_token1] = ACTIONS(7334),
    [aux_sym_elseif_clause_token2] = ACTIONS(7334),
    [aux_sym_select_case_statement_token1] = ACTIONS(7344),
    [aux_sym_block_construct_token1] = ACTIONS(7334),
    [aux_sym_format_statement_token1] = ACTIONS(7334),
    [aux_sym_inquire_statement_token1] = ACTIONS(7334),
    [aux_sym_entry_statement_token1] = ACTIONS(7334),
    [aux_sym_null_literal_token1] = ACTIONS(7334),
    [aux_sym_coarray_statement_token1] = ACTIONS(7334),
    [aux_sym_coarray_statement_token2] = ACTIONS(7334),
    [aux_sym_coarray_statement_token6] = ACTIONS(7334),
    [aux_sym_coarray_statement_token8] = ACTIONS(7334),
    [aux_sym_coarray_statement_token11] = ACTIONS(7334),
    [aux_sym_coarray_statement_token12] = ACTIONS(7334),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7334),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7334),
    [aux_sym_identifier_token1] = ACTIONS(7334),
    [sym_comment] = ACTIONS(21),
  },
  [3216] = {
    [sym__preproc_expression] = STATE(5501),
    [sym_preproc_parenthesized_expression] = STATE(5501),
    [sym_preproc_defined] = STATE(5501),
    [sym_preproc_unary_expression] = STATE(5501),
    [sym_preproc_call_expression] = STATE(5501),
    [sym_preproc_binary_expression] = STATE(5501),
    [sym_number_literal] = STATE(5501),
    [sym_string_literal] = STATE(5501),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7350),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3217] = {
    [sym__preproc_expression] = STATE(5518),
    [sym_preproc_parenthesized_expression] = STATE(5518),
    [sym_preproc_defined] = STATE(5518),
    [sym_preproc_unary_expression] = STATE(5518),
    [sym_preproc_call_expression] = STATE(5518),
    [sym_preproc_binary_expression] = STATE(5518),
    [sym_number_literal] = STATE(5518),
    [sym_string_literal] = STATE(5518),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7370),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3218] = {
    [sym__preproc_expression] = STATE(5523),
    [sym_preproc_parenthesized_expression] = STATE(5523),
    [sym_preproc_defined] = STATE(5523),
    [sym_preproc_unary_expression] = STATE(5523),
    [sym_preproc_call_expression] = STATE(5523),
    [sym_preproc_binary_expression] = STATE(5523),
    [sym_number_literal] = STATE(5523),
    [sym_string_literal] = STATE(5523),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7372),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3219] = {
    [sym__preproc_expression] = STATE(5526),
    [sym_preproc_parenthesized_expression] = STATE(5526),
    [sym_preproc_defined] = STATE(5526),
    [sym_preproc_unary_expression] = STATE(5526),
    [sym_preproc_call_expression] = STATE(5526),
    [sym_preproc_binary_expression] = STATE(5526),
    [sym_number_literal] = STATE(5526),
    [sym_string_literal] = STATE(5526),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7374),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3220] = {
    [sym__preproc_expression] = STATE(5532),
    [sym_preproc_parenthesized_expression] = STATE(5532),
    [sym_preproc_defined] = STATE(5532),
    [sym_preproc_unary_expression] = STATE(5532),
    [sym_preproc_call_expression] = STATE(5532),
    [sym_preproc_binary_expression] = STATE(5532),
    [sym_number_literal] = STATE(5532),
    [sym_string_literal] = STATE(5532),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7376),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3221] = {
    [sym__preproc_expression] = STATE(5536),
    [sym_preproc_parenthesized_expression] = STATE(5536),
    [sym_preproc_defined] = STATE(5536),
    [sym_preproc_unary_expression] = STATE(5536),
    [sym_preproc_call_expression] = STATE(5536),
    [sym_preproc_binary_expression] = STATE(5536),
    [sym_number_literal] = STATE(5536),
    [sym_string_literal] = STATE(5536),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7378),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3222] = {
    [sym__preproc_expression] = STATE(5379),
    [sym_preproc_parenthesized_expression] = STATE(5379),
    [sym_preproc_defined] = STATE(5379),
    [sym_preproc_unary_expression] = STATE(5379),
    [sym_preproc_call_expression] = STATE(5379),
    [sym_preproc_binary_expression] = STATE(5379),
    [sym_number_literal] = STATE(5379),
    [sym_string_literal] = STATE(5379),
    [sym_identifier] = STATE(5348),
    [anon_sym_RPAREN] = ACTIONS(7380),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3223] = {
    [sym__preproc_expression] = STATE(5355),
    [sym_preproc_parenthesized_expression] = STATE(5355),
    [sym_preproc_defined] = STATE(5355),
    [sym_preproc_unary_expression] = STATE(5355),
    [sym_preproc_call_expression] = STATE(5355),
    [sym_preproc_binary_expression] = STATE(5355),
    [sym_number_literal] = STATE(5355),
    [sym_string_literal] = STATE(5355),
    [sym_identifier] = STATE(5348),
    [anon_sym_RPAREN] = ACTIONS(7404),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3224] = {
    [sym__preproc_expression] = STATE(5507),
    [sym_preproc_parenthesized_expression] = STATE(5507),
    [sym_preproc_defined] = STATE(5507),
    [sym_preproc_unary_expression] = STATE(5507),
    [sym_preproc_call_expression] = STATE(5507),
    [sym_preproc_binary_expression] = STATE(5507),
    [sym_number_literal] = STATE(5507),
    [sym_string_literal] = STATE(5507),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7406),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3225] = {
    [sym__preproc_expression] = STATE(5517),
    [sym_preproc_parenthesized_expression] = STATE(5517),
    [sym_preproc_defined] = STATE(5517),
    [sym_preproc_unary_expression] = STATE(5517),
    [sym_preproc_call_expression] = STATE(5517),
    [sym_preproc_binary_expression] = STATE(5517),
    [sym_number_literal] = STATE(5517),
    [sym_string_literal] = STATE(5517),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7408),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3226] = {
    [sym__preproc_expression] = STATE(5508),
    [sym_preproc_parenthesized_expression] = STATE(5508),
    [sym_preproc_defined] = STATE(5508),
    [sym_preproc_unary_expression] = STATE(5508),
    [sym_preproc_call_expression] = STATE(5508),
    [sym_preproc_binary_expression] = STATE(5508),
    [sym_number_literal] = STATE(5508),
    [sym_string_literal] = STATE(5508),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7410),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3227] = {
    [sym__preproc_expression] = STATE(5510),
    [sym_preproc_parenthesized_expression] = STATE(5510),
    [sym_preproc_defined] = STATE(5510),
    [sym_preproc_unary_expression] = STATE(5510),
    [sym_preproc_call_expression] = STATE(5510),
    [sym_preproc_binary_expression] = STATE(5510),
    [sym_number_literal] = STATE(5510),
    [sym_string_literal] = STATE(5510),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7412),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3228] = {
    [sym__preproc_expression] = STATE(5513),
    [sym_preproc_parenthesized_expression] = STATE(5513),
    [sym_preproc_defined] = STATE(5513),
    [sym_preproc_unary_expression] = STATE(5513),
    [sym_preproc_call_expression] = STATE(5513),
    [sym_preproc_binary_expression] = STATE(5513),
    [sym_number_literal] = STATE(5513),
    [sym_string_literal] = STATE(5513),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7414),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3229] = {
    [sym__preproc_expression] = STATE(5506),
    [sym_preproc_parenthesized_expression] = STATE(5506),
    [sym_preproc_defined] = STATE(5506),
    [sym_preproc_unary_expression] = STATE(5506),
    [sym_preproc_call_expression] = STATE(5506),
    [sym_preproc_binary_expression] = STATE(5506),
    [sym_number_literal] = STATE(5506),
    [sym_string_literal] = STATE(5506),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7416),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3230] = {
    [sym__preproc_expression] = STATE(5528),
    [sym_preproc_parenthesized_expression] = STATE(5528),
    [sym_preproc_defined] = STATE(5528),
    [sym_preproc_unary_expression] = STATE(5528),
    [sym_preproc_call_expression] = STATE(5528),
    [sym_preproc_binary_expression] = STATE(5528),
    [sym_number_literal] = STATE(5528),
    [sym_string_literal] = STATE(5528),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7418),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3231] = {
    [sym_language_binding] = STATE(3337),
    [sym_variable_attributes] = STATE(3337),
    [sym__variable_declarator] = STATE(6430),
    [sym_sized_declarator] = STATE(3455),
    [sym__standalone_type_qualifier] = STATE(3436),
    [sym_coarray_declarator] = STATE(6430),
    [sym_identifier] = STATE(3341),
    [aux_sym_variable_modification_repeat1] = STATE(3337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5495),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5495),
    [aux_sym_language_binding_token1] = ACTIONS(45),
    [aux_sym_procedure_attributes_token1] = ACTIONS(768),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7420),
    [aux_sym_use_statement_token2] = ACTIONS(7420),
    [anon_sym_COLON_COLON] = ACTIONS(7422),
    [aux_sym_implicit_statement_token4] = ACTIONS(7420),
    [aux_sym_save_statement_token1] = ACTIONS(7420),
    [aux_sym_private_statement_token1] = ACTIONS(7420),
    [aux_sym_public_statement_token1] = ACTIONS(7420),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7420),
    [aux_sym_abstract_specifier_token1] = ACTIONS(73),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7420),
    [aux_sym_variable_attributes_token1] = ACTIONS(73),
    [aux_sym_variable_attributes_token2] = ACTIONS(7420),
    [aux_sym_variable_attributes_token3] = ACTIONS(7420),
    [aux_sym_variable_attributes_token4] = ACTIONS(73),
    [aux_sym_variable_attributes_token5] = ACTIONS(7420),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(87),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7424),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(91),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(73),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7426),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7420),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(73),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3232] = {
    [sym__preproc_expression] = STATE(5531),
    [sym_preproc_parenthesized_expression] = STATE(5531),
    [sym_preproc_defined] = STATE(5531),
    [sym_preproc_unary_expression] = STATE(5531),
    [sym_preproc_call_expression] = STATE(5531),
    [sym_preproc_binary_expression] = STATE(5531),
    [sym_number_literal] = STATE(5531),
    [sym_string_literal] = STATE(5531),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7428),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3233] = {
    [sym__preproc_expression] = STATE(5397),
    [sym_preproc_parenthesized_expression] = STATE(5397),
    [sym_preproc_defined] = STATE(5397),
    [sym_preproc_unary_expression] = STATE(5397),
    [sym_preproc_call_expression] = STATE(5397),
    [sym_preproc_binary_expression] = STATE(5397),
    [sym_number_literal] = STATE(5397),
    [sym_string_literal] = STATE(5397),
    [sym_identifier] = STATE(5348),
    [anon_sym_RPAREN] = ACTIONS(7430),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3234] = {
    [sym__argument_list] = STATE(2550),
    [sym_argument_list] = STATE(3409),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(4287),
  },
  [3235] = {
    [sym__preproc_expression] = STATE(5534),
    [sym_preproc_parenthesized_expression] = STATE(5534),
    [sym_preproc_defined] = STATE(5534),
    [sym_preproc_unary_expression] = STATE(5534),
    [sym_preproc_call_expression] = STATE(5534),
    [sym_preproc_binary_expression] = STATE(5534),
    [sym_number_literal] = STATE(5534),
    [sym_string_literal] = STATE(5534),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [sym_preproc_comment] = ACTIONS(7432),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3236] = {
    [sym__preproc_expression] = STATE(5459),
    [sym_preproc_parenthesized_expression] = STATE(5459),
    [sym_preproc_defined] = STATE(5459),
    [sym_preproc_unary_expression] = STATE(5459),
    [sym_preproc_call_expression] = STATE(5459),
    [sym_preproc_binary_expression] = STATE(5459),
    [sym_number_literal] = STATE(5459),
    [sym_string_literal] = STATE(5459),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3237] = {
    [sym__preproc_expression] = STATE(5406),
    [sym_preproc_parenthesized_expression] = STATE(5406),
    [sym_preproc_defined] = STATE(5406),
    [sym_preproc_unary_expression] = STATE(5406),
    [sym_preproc_call_expression] = STATE(5406),
    [sym_preproc_binary_expression] = STATE(5406),
    [sym_number_literal] = STATE(5406),
    [sym_string_literal] = STATE(5406),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3238] = {
    [sym__preproc_expression] = STATE(5443),
    [sym_preproc_parenthesized_expression] = STATE(5443),
    [sym_preproc_defined] = STATE(5443),
    [sym_preproc_unary_expression] = STATE(5443),
    [sym_preproc_call_expression] = STATE(5443),
    [sym_preproc_binary_expression] = STATE(5443),
    [sym_number_literal] = STATE(5443),
    [sym_string_literal] = STATE(5443),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3239] = {
    [sym__preproc_expression] = STATE(5535),
    [sym_preproc_parenthesized_expression] = STATE(5535),
    [sym_preproc_defined] = STATE(5535),
    [sym_preproc_unary_expression] = STATE(5535),
    [sym_preproc_call_expression] = STATE(5535),
    [sym_preproc_binary_expression] = STATE(5535),
    [sym_number_literal] = STATE(5535),
    [sym_string_literal] = STATE(5535),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3240] = {
    [sym__preproc_expression] = STATE(5451),
    [sym_preproc_parenthesized_expression] = STATE(5451),
    [sym_preproc_defined] = STATE(5451),
    [sym_preproc_unary_expression] = STATE(5451),
    [sym_preproc_call_expression] = STATE(5451),
    [sym_preproc_binary_expression] = STATE(5451),
    [sym_number_literal] = STATE(5451),
    [sym_string_literal] = STATE(5451),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3241] = {
    [sym__preproc_expression] = STATE(5503),
    [sym_preproc_parenthesized_expression] = STATE(5503),
    [sym_preproc_defined] = STATE(5503),
    [sym_preproc_unary_expression] = STATE(5503),
    [sym_preproc_call_expression] = STATE(5503),
    [sym_preproc_binary_expression] = STATE(5503),
    [sym_number_literal] = STATE(5503),
    [sym_string_literal] = STATE(5503),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3242] = {
    [sym__preproc_expression] = STATE(5440),
    [sym_preproc_parenthesized_expression] = STATE(5440),
    [sym_preproc_defined] = STATE(5440),
    [sym_preproc_unary_expression] = STATE(5440),
    [sym_preproc_call_expression] = STATE(5440),
    [sym_preproc_binary_expression] = STATE(5440),
    [sym_number_literal] = STATE(5440),
    [sym_string_literal] = STATE(5440),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3243] = {
    [sym__preproc_expression] = STATE(5409),
    [sym_preproc_parenthesized_expression] = STATE(5409),
    [sym_preproc_defined] = STATE(5409),
    [sym_preproc_unary_expression] = STATE(5409),
    [sym_preproc_call_expression] = STATE(5409),
    [sym_preproc_binary_expression] = STATE(5409),
    [sym_number_literal] = STATE(5409),
    [sym_string_literal] = STATE(5409),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3244] = {
    [sym__preproc_expression] = STATE(5502),
    [sym_preproc_parenthesized_expression] = STATE(5502),
    [sym_preproc_defined] = STATE(5502),
    [sym_preproc_unary_expression] = STATE(5502),
    [sym_preproc_call_expression] = STATE(5502),
    [sym_preproc_binary_expression] = STATE(5502),
    [sym_number_literal] = STATE(5502),
    [sym_string_literal] = STATE(5502),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3245] = {
    [sym__preproc_expression] = STATE(5442),
    [sym_preproc_parenthesized_expression] = STATE(5442),
    [sym_preproc_defined] = STATE(5442),
    [sym_preproc_unary_expression] = STATE(5442),
    [sym_preproc_call_expression] = STATE(5442),
    [sym_preproc_binary_expression] = STATE(5442),
    [sym_number_literal] = STATE(5442),
    [sym_string_literal] = STATE(5442),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3246] = {
    [sym__preproc_expression] = STATE(5412),
    [sym_preproc_parenthesized_expression] = STATE(5412),
    [sym_preproc_defined] = STATE(5412),
    [sym_preproc_unary_expression] = STATE(5412),
    [sym_preproc_call_expression] = STATE(5412),
    [sym_preproc_binary_expression] = STATE(5412),
    [sym_number_literal] = STATE(5412),
    [sym_string_literal] = STATE(5412),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3247] = {
    [sym__preproc_expression] = STATE(5515),
    [sym_preproc_parenthesized_expression] = STATE(5515),
    [sym_preproc_defined] = STATE(5515),
    [sym_preproc_unary_expression] = STATE(5515),
    [sym_preproc_call_expression] = STATE(5515),
    [sym_preproc_binary_expression] = STATE(5515),
    [sym_number_literal] = STATE(5515),
    [sym_string_literal] = STATE(5515),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3248] = {
    [sym__preproc_expression] = STATE(5423),
    [sym_preproc_parenthesized_expression] = STATE(5423),
    [sym_preproc_defined] = STATE(5423),
    [sym_preproc_unary_expression] = STATE(5423),
    [sym_preproc_call_expression] = STATE(5423),
    [sym_preproc_binary_expression] = STATE(5423),
    [sym_number_literal] = STATE(5423),
    [sym_string_literal] = STATE(5423),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3249] = {
    [sym__preproc_expression] = STATE(5530),
    [sym_preproc_parenthesized_expression] = STATE(5530),
    [sym_preproc_defined] = STATE(5530),
    [sym_preproc_unary_expression] = STATE(5530),
    [sym_preproc_call_expression] = STATE(5530),
    [sym_preproc_binary_expression] = STATE(5530),
    [sym_number_literal] = STATE(5530),
    [sym_string_literal] = STATE(5530),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3250] = {
    [sym__preproc_expression] = STATE(5429),
    [sym_preproc_parenthesized_expression] = STATE(5429),
    [sym_preproc_defined] = STATE(5429),
    [sym_preproc_unary_expression] = STATE(5429),
    [sym_preproc_call_expression] = STATE(5429),
    [sym_preproc_binary_expression] = STATE(5429),
    [sym_number_literal] = STATE(5429),
    [sym_string_literal] = STATE(5429),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3251] = {
    [sym__preproc_expression] = STATE(5505),
    [sym_preproc_parenthesized_expression] = STATE(5505),
    [sym_preproc_defined] = STATE(5505),
    [sym_preproc_unary_expression] = STATE(5505),
    [sym_preproc_call_expression] = STATE(5505),
    [sym_preproc_binary_expression] = STATE(5505),
    [sym_number_literal] = STATE(5505),
    [sym_string_literal] = STATE(5505),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3252] = {
    [sym__preproc_expression] = STATE(5525),
    [sym_preproc_parenthesized_expression] = STATE(5525),
    [sym_preproc_defined] = STATE(5525),
    [sym_preproc_unary_expression] = STATE(5525),
    [sym_preproc_call_expression] = STATE(5525),
    [sym_preproc_binary_expression] = STATE(5525),
    [sym_number_literal] = STATE(5525),
    [sym_string_literal] = STATE(5525),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3253] = {
    [sym__preproc_expression] = STATE(5404),
    [sym_preproc_parenthesized_expression] = STATE(5404),
    [sym_preproc_defined] = STATE(5404),
    [sym_preproc_unary_expression] = STATE(5404),
    [sym_preproc_call_expression] = STATE(5404),
    [sym_preproc_binary_expression] = STATE(5404),
    [sym_number_literal] = STATE(5404),
    [sym_string_literal] = STATE(5404),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3254] = {
    [sym__preproc_expression] = STATE(5491),
    [sym_preproc_parenthesized_expression] = STATE(5491),
    [sym_preproc_defined] = STATE(5491),
    [sym_preproc_unary_expression] = STATE(5491),
    [sym_preproc_call_expression] = STATE(5491),
    [sym_preproc_binary_expression] = STATE(5491),
    [sym_number_literal] = STATE(5491),
    [sym_string_literal] = STATE(5491),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3255] = {
    [anon_sym_COMMA] = ACTIONS(7434),
    [anon_sym_LPAREN2] = ACTIONS(7436),
    [anon_sym_PLUS] = ACTIONS(7434),
    [anon_sym_DASH] = ACTIONS(7434),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7436),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7436),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7436),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7436),
    [aux_sym_use_statement_token2] = ACTIONS(7436),
    [aux_sym_implicit_statement_token4] = ACTIONS(7436),
    [aux_sym_save_statement_token1] = ACTIONS(7436),
    [aux_sym_private_statement_token1] = ACTIONS(7436),
    [aux_sym_public_statement_token1] = ACTIONS(7436),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7436),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7436),
    [aux_sym_variable_attributes_token2] = ACTIONS(7436),
    [aux_sym_variable_attributes_token3] = ACTIONS(7436),
    [aux_sym_variable_attributes_token5] = ACTIONS(7436),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7436),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7436),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7436),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7436),
    [aux_sym_type_qualifier_token1] = ACTIONS(7436),
    [aux_sym_type_qualifier_token2] = ACTIONS(7436),
    [anon_sym_SEMI] = ACTIONS(7434),
    [aux_sym_stop_statement_token1] = ACTIONS(7436),
    [aux_sym_stop_statement_token2] = ACTIONS(7436),
    [aux_sym_keyword_statement_token2] = ACTIONS(7436),
    [aux_sym_keyword_statement_token3] = ACTIONS(7436),
    [aux_sym_data_statement_token1] = ACTIONS(7436),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7436),
    [aux_sym_end_if_statement_token1] = ACTIONS(7436),
    [aux_sym_elseif_clause_token2] = ACTIONS(7436),
    [aux_sym_select_case_statement_token1] = ACTIONS(7436),
    [aux_sym_block_construct_token1] = ACTIONS(7436),
    [aux_sym_format_statement_token1] = ACTIONS(7436),
    [aux_sym_inquire_statement_token1] = ACTIONS(7436),
    [aux_sym_entry_statement_token1] = ACTIONS(7436),
    [aux_sym_logical_expression_token5] = ACTIONS(7434),
    [anon_sym_DOT] = ACTIONS(7436),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7434),
    [anon_sym_LBRACK] = ACTIONS(7434),
    [aux_sym_boolean_literal_token1] = ACTIONS(7434),
    [aux_sym_boolean_literal_token2] = ACTIONS(7434),
    [aux_sym_null_literal_token1] = ACTIONS(7436),
    [aux_sym_coarray_statement_token1] = ACTIONS(7436),
    [aux_sym_coarray_statement_token2] = ACTIONS(7436),
    [aux_sym_coarray_statement_token6] = ACTIONS(7436),
    [aux_sym_coarray_statement_token8] = ACTIONS(7436),
    [aux_sym_coarray_statement_token11] = ACTIONS(7436),
    [aux_sym_coarray_statement_token12] = ACTIONS(7436),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7436),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7436),
    [aux_sym_identifier_token1] = ACTIONS(7436),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7434),
    [sym__float_literal] = ACTIONS(7434),
    [sym__boz_literal] = ACTIONS(7434),
    [sym__string_literal] = ACTIONS(7434),
    [sym__string_literal_kind] = ACTIONS(7434),
    [sym__external_end_of_statement] = ACTIONS(7434),
  },
  [3256] = {
    [sym__preproc_expression] = STATE(5529),
    [sym_preproc_parenthesized_expression] = STATE(5529),
    [sym_preproc_defined] = STATE(5529),
    [sym_preproc_unary_expression] = STATE(5529),
    [sym_preproc_call_expression] = STATE(5529),
    [sym_preproc_binary_expression] = STATE(5529),
    [sym_number_literal] = STATE(5529),
    [sym_string_literal] = STATE(5529),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3257] = {
    [sym__preproc_expression] = STATE(5456),
    [sym_preproc_parenthesized_expression] = STATE(5456),
    [sym_preproc_defined] = STATE(5456),
    [sym_preproc_unary_expression] = STATE(5456),
    [sym_preproc_call_expression] = STATE(5456),
    [sym_preproc_binary_expression] = STATE(5456),
    [sym_number_literal] = STATE(5456),
    [sym_string_literal] = STATE(5456),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3258] = {
    [sym__preproc_expression] = STATE(5411),
    [sym_preproc_parenthesized_expression] = STATE(5411),
    [sym_preproc_defined] = STATE(5411),
    [sym_preproc_unary_expression] = STATE(5411),
    [sym_preproc_call_expression] = STATE(5411),
    [sym_preproc_binary_expression] = STATE(5411),
    [sym_number_literal] = STATE(5411),
    [sym_string_literal] = STATE(5411),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3259] = {
    [sym__preproc_expression] = STATE(5437),
    [sym_preproc_parenthesized_expression] = STATE(5437),
    [sym_preproc_defined] = STATE(5437),
    [sym_preproc_unary_expression] = STATE(5437),
    [sym_preproc_call_expression] = STATE(5437),
    [sym_preproc_binary_expression] = STATE(5437),
    [sym_number_literal] = STATE(5437),
    [sym_string_literal] = STATE(5437),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3260] = {
    [sym__preproc_expression] = STATE(5493),
    [sym_preproc_parenthesized_expression] = STATE(5493),
    [sym_preproc_defined] = STATE(5493),
    [sym_preproc_unary_expression] = STATE(5493),
    [sym_preproc_call_expression] = STATE(5493),
    [sym_preproc_binary_expression] = STATE(5493),
    [sym_number_literal] = STATE(5493),
    [sym_string_literal] = STATE(5493),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3261] = {
    [sym__preproc_expression] = STATE(5520),
    [sym_preproc_parenthesized_expression] = STATE(5520),
    [sym_preproc_defined] = STATE(5520),
    [sym_preproc_unary_expression] = STATE(5520),
    [sym_preproc_call_expression] = STATE(5520),
    [sym_preproc_binary_expression] = STATE(5520),
    [sym_number_literal] = STATE(5520),
    [sym_string_literal] = STATE(5520),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3262] = {
    [anon_sym_COMMA] = ACTIONS(7438),
    [anon_sym_LPAREN2] = ACTIONS(7440),
    [anon_sym_PLUS] = ACTIONS(7438),
    [anon_sym_DASH] = ACTIONS(7438),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7440),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7440),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7440),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7440),
    [aux_sym_use_statement_token2] = ACTIONS(7440),
    [aux_sym_implicit_statement_token4] = ACTIONS(7440),
    [aux_sym_save_statement_token1] = ACTIONS(7440),
    [aux_sym_private_statement_token1] = ACTIONS(7440),
    [aux_sym_public_statement_token1] = ACTIONS(7440),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7440),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7440),
    [aux_sym_variable_attributes_token2] = ACTIONS(7440),
    [aux_sym_variable_attributes_token3] = ACTIONS(7440),
    [aux_sym_variable_attributes_token5] = ACTIONS(7440),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7440),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7440),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7440),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7440),
    [aux_sym_type_qualifier_token1] = ACTIONS(7440),
    [aux_sym_type_qualifier_token2] = ACTIONS(7440),
    [anon_sym_SEMI] = ACTIONS(7438),
    [aux_sym_stop_statement_token1] = ACTIONS(7440),
    [aux_sym_stop_statement_token2] = ACTIONS(7440),
    [aux_sym_keyword_statement_token2] = ACTIONS(7440),
    [aux_sym_keyword_statement_token3] = ACTIONS(7440),
    [aux_sym_data_statement_token1] = ACTIONS(7440),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7440),
    [aux_sym_end_if_statement_token1] = ACTIONS(7440),
    [aux_sym_elseif_clause_token2] = ACTIONS(7440),
    [aux_sym_select_case_statement_token1] = ACTIONS(7440),
    [aux_sym_block_construct_token1] = ACTIONS(7440),
    [aux_sym_format_statement_token1] = ACTIONS(7440),
    [aux_sym_inquire_statement_token1] = ACTIONS(7440),
    [aux_sym_entry_statement_token1] = ACTIONS(7440),
    [aux_sym_logical_expression_token5] = ACTIONS(7438),
    [anon_sym_DOT] = ACTIONS(7440),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7438),
    [anon_sym_LBRACK] = ACTIONS(7438),
    [aux_sym_boolean_literal_token1] = ACTIONS(7438),
    [aux_sym_boolean_literal_token2] = ACTIONS(7438),
    [aux_sym_null_literal_token1] = ACTIONS(7440),
    [aux_sym_coarray_statement_token1] = ACTIONS(7440),
    [aux_sym_coarray_statement_token2] = ACTIONS(7440),
    [aux_sym_coarray_statement_token6] = ACTIONS(7440),
    [aux_sym_coarray_statement_token8] = ACTIONS(7440),
    [aux_sym_coarray_statement_token11] = ACTIONS(7440),
    [aux_sym_coarray_statement_token12] = ACTIONS(7440),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7440),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7440),
    [aux_sym_identifier_token1] = ACTIONS(7440),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7438),
    [sym__float_literal] = ACTIONS(7438),
    [sym__boz_literal] = ACTIONS(7438),
    [sym__string_literal] = ACTIONS(7438),
    [sym__string_literal_kind] = ACTIONS(7438),
    [sym__external_end_of_statement] = ACTIONS(7438),
  },
  [3263] = {
    [sym__preproc_expression] = STATE(5509),
    [sym_preproc_parenthesized_expression] = STATE(5509),
    [sym_preproc_defined] = STATE(5509),
    [sym_preproc_unary_expression] = STATE(5509),
    [sym_preproc_call_expression] = STATE(5509),
    [sym_preproc_binary_expression] = STATE(5509),
    [sym_number_literal] = STATE(5509),
    [sym_string_literal] = STATE(5509),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3264] = {
    [sym__preproc_expression] = STATE(5521),
    [sym_preproc_parenthesized_expression] = STATE(5521),
    [sym_preproc_defined] = STATE(5521),
    [sym_preproc_unary_expression] = STATE(5521),
    [sym_preproc_call_expression] = STATE(5521),
    [sym_preproc_binary_expression] = STATE(5521),
    [sym_number_literal] = STATE(5521),
    [sym_string_literal] = STATE(5521),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3265] = {
    [sym__preproc_expression] = STATE(5484),
    [sym_preproc_parenthesized_expression] = STATE(5484),
    [sym_preproc_defined] = STATE(5484),
    [sym_preproc_unary_expression] = STATE(5484),
    [sym_preproc_call_expression] = STATE(5484),
    [sym_preproc_binary_expression] = STATE(5484),
    [sym_number_literal] = STATE(5484),
    [sym_string_literal] = STATE(5484),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3266] = {
    [sym__preproc_expression] = STATE(5522),
    [sym_preproc_parenthesized_expression] = STATE(5522),
    [sym_preproc_defined] = STATE(5522),
    [sym_preproc_unary_expression] = STATE(5522),
    [sym_preproc_call_expression] = STATE(5522),
    [sym_preproc_binary_expression] = STATE(5522),
    [sym_number_literal] = STATE(5522),
    [sym_string_literal] = STATE(5522),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3267] = {
    [anon_sym_COMMA] = ACTIONS(7442),
    [anon_sym_LPAREN2] = ACTIONS(7444),
    [anon_sym_PLUS] = ACTIONS(7442),
    [anon_sym_DASH] = ACTIONS(7442),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7444),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7444),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7444),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7444),
    [aux_sym_use_statement_token2] = ACTIONS(7444),
    [aux_sym_implicit_statement_token4] = ACTIONS(7444),
    [aux_sym_save_statement_token1] = ACTIONS(7444),
    [aux_sym_private_statement_token1] = ACTIONS(7444),
    [aux_sym_public_statement_token1] = ACTIONS(7444),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7444),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7444),
    [aux_sym_variable_attributes_token2] = ACTIONS(7444),
    [aux_sym_variable_attributes_token3] = ACTIONS(7444),
    [aux_sym_variable_attributes_token5] = ACTIONS(7444),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7444),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7444),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7444),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7444),
    [aux_sym_type_qualifier_token1] = ACTIONS(7444),
    [aux_sym_type_qualifier_token2] = ACTIONS(7444),
    [anon_sym_SEMI] = ACTIONS(7442),
    [aux_sym_stop_statement_token1] = ACTIONS(7444),
    [aux_sym_stop_statement_token2] = ACTIONS(7444),
    [aux_sym_keyword_statement_token2] = ACTIONS(7444),
    [aux_sym_keyword_statement_token3] = ACTIONS(7444),
    [aux_sym_data_statement_token1] = ACTIONS(7444),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7444),
    [aux_sym_end_if_statement_token1] = ACTIONS(7444),
    [aux_sym_elseif_clause_token2] = ACTIONS(7444),
    [aux_sym_select_case_statement_token1] = ACTIONS(7444),
    [aux_sym_block_construct_token1] = ACTIONS(7444),
    [aux_sym_format_statement_token1] = ACTIONS(7444),
    [aux_sym_inquire_statement_token1] = ACTIONS(7444),
    [aux_sym_entry_statement_token1] = ACTIONS(7444),
    [aux_sym_logical_expression_token5] = ACTIONS(7442),
    [anon_sym_DOT] = ACTIONS(7444),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7442),
    [anon_sym_LBRACK] = ACTIONS(7442),
    [aux_sym_boolean_literal_token1] = ACTIONS(7442),
    [aux_sym_boolean_literal_token2] = ACTIONS(7442),
    [aux_sym_null_literal_token1] = ACTIONS(7444),
    [aux_sym_coarray_statement_token1] = ACTIONS(7444),
    [aux_sym_coarray_statement_token2] = ACTIONS(7444),
    [aux_sym_coarray_statement_token6] = ACTIONS(7444),
    [aux_sym_coarray_statement_token8] = ACTIONS(7444),
    [aux_sym_coarray_statement_token11] = ACTIONS(7444),
    [aux_sym_coarray_statement_token12] = ACTIONS(7444),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7444),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7444),
    [aux_sym_identifier_token1] = ACTIONS(7444),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7442),
    [sym__float_literal] = ACTIONS(7442),
    [sym__boz_literal] = ACTIONS(7442),
    [sym__string_literal] = ACTIONS(7442),
    [sym__string_literal_kind] = ACTIONS(7442),
    [sym__external_end_of_statement] = ACTIONS(7442),
  },
  [3268] = {
    [anon_sym_COMMA] = ACTIONS(7446),
    [anon_sym_LPAREN2] = ACTIONS(7448),
    [anon_sym_PLUS] = ACTIONS(7446),
    [anon_sym_DASH] = ACTIONS(7446),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7448),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7448),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7448),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7448),
    [aux_sym_use_statement_token2] = ACTIONS(7448),
    [aux_sym_implicit_statement_token4] = ACTIONS(7448),
    [aux_sym_save_statement_token1] = ACTIONS(7448),
    [aux_sym_private_statement_token1] = ACTIONS(7448),
    [aux_sym_public_statement_token1] = ACTIONS(7448),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7448),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7448),
    [aux_sym_variable_attributes_token2] = ACTIONS(7448),
    [aux_sym_variable_attributes_token3] = ACTIONS(7448),
    [aux_sym_variable_attributes_token5] = ACTIONS(7448),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7448),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7448),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7448),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7448),
    [aux_sym_type_qualifier_token1] = ACTIONS(7448),
    [aux_sym_type_qualifier_token2] = ACTIONS(7448),
    [anon_sym_SEMI] = ACTIONS(7446),
    [aux_sym_stop_statement_token1] = ACTIONS(7448),
    [aux_sym_stop_statement_token2] = ACTIONS(7448),
    [aux_sym_keyword_statement_token2] = ACTIONS(7448),
    [aux_sym_keyword_statement_token3] = ACTIONS(7448),
    [aux_sym_data_statement_token1] = ACTIONS(7448),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7448),
    [aux_sym_end_if_statement_token1] = ACTIONS(7448),
    [aux_sym_elseif_clause_token2] = ACTIONS(7448),
    [aux_sym_select_case_statement_token1] = ACTIONS(7448),
    [aux_sym_block_construct_token1] = ACTIONS(7448),
    [aux_sym_format_statement_token1] = ACTIONS(7448),
    [aux_sym_inquire_statement_token1] = ACTIONS(7448),
    [aux_sym_entry_statement_token1] = ACTIONS(7448),
    [aux_sym_logical_expression_token5] = ACTIONS(7446),
    [anon_sym_DOT] = ACTIONS(7448),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7446),
    [anon_sym_LBRACK] = ACTIONS(7446),
    [aux_sym_boolean_literal_token1] = ACTIONS(7446),
    [aux_sym_boolean_literal_token2] = ACTIONS(7446),
    [aux_sym_null_literal_token1] = ACTIONS(7448),
    [aux_sym_coarray_statement_token1] = ACTIONS(7448),
    [aux_sym_coarray_statement_token2] = ACTIONS(7448),
    [aux_sym_coarray_statement_token6] = ACTIONS(7448),
    [aux_sym_coarray_statement_token8] = ACTIONS(7448),
    [aux_sym_coarray_statement_token11] = ACTIONS(7448),
    [aux_sym_coarray_statement_token12] = ACTIONS(7448),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7448),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7448),
    [aux_sym_identifier_token1] = ACTIONS(7448),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7446),
    [sym__float_literal] = ACTIONS(7446),
    [sym__boz_literal] = ACTIONS(7446),
    [sym__string_literal] = ACTIONS(7446),
    [sym__string_literal_kind] = ACTIONS(7446),
    [sym__external_end_of_statement] = ACTIONS(7446),
  },
  [3269] = {
    [anon_sym_COMMA] = ACTIONS(7450),
    [anon_sym_LPAREN2] = ACTIONS(7452),
    [anon_sym_PLUS] = ACTIONS(7450),
    [anon_sym_DASH] = ACTIONS(7450),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7452),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7452),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7452),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7452),
    [aux_sym_use_statement_token2] = ACTIONS(7452),
    [aux_sym_implicit_statement_token4] = ACTIONS(7452),
    [aux_sym_save_statement_token1] = ACTIONS(7452),
    [aux_sym_private_statement_token1] = ACTIONS(7452),
    [aux_sym_public_statement_token1] = ACTIONS(7452),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7452),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7452),
    [aux_sym_variable_attributes_token2] = ACTIONS(7452),
    [aux_sym_variable_attributes_token3] = ACTIONS(7452),
    [aux_sym_variable_attributes_token5] = ACTIONS(7452),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7452),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7452),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7452),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7452),
    [aux_sym_type_qualifier_token1] = ACTIONS(7452),
    [aux_sym_type_qualifier_token2] = ACTIONS(7452),
    [anon_sym_SEMI] = ACTIONS(7450),
    [aux_sym_stop_statement_token1] = ACTIONS(7452),
    [aux_sym_stop_statement_token2] = ACTIONS(7452),
    [aux_sym_keyword_statement_token2] = ACTIONS(7452),
    [aux_sym_keyword_statement_token3] = ACTIONS(7452),
    [aux_sym_data_statement_token1] = ACTIONS(7452),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7452),
    [aux_sym_end_if_statement_token1] = ACTIONS(7452),
    [aux_sym_elseif_clause_token2] = ACTIONS(7452),
    [aux_sym_select_case_statement_token1] = ACTIONS(7452),
    [aux_sym_block_construct_token1] = ACTIONS(7452),
    [aux_sym_format_statement_token1] = ACTIONS(7452),
    [aux_sym_inquire_statement_token1] = ACTIONS(7452),
    [aux_sym_entry_statement_token1] = ACTIONS(7452),
    [aux_sym_logical_expression_token5] = ACTIONS(7450),
    [anon_sym_DOT] = ACTIONS(7452),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7450),
    [anon_sym_LBRACK] = ACTIONS(7450),
    [aux_sym_boolean_literal_token1] = ACTIONS(7450),
    [aux_sym_boolean_literal_token2] = ACTIONS(7450),
    [aux_sym_null_literal_token1] = ACTIONS(7452),
    [aux_sym_coarray_statement_token1] = ACTIONS(7452),
    [aux_sym_coarray_statement_token2] = ACTIONS(7452),
    [aux_sym_coarray_statement_token6] = ACTIONS(7452),
    [aux_sym_coarray_statement_token8] = ACTIONS(7452),
    [aux_sym_coarray_statement_token11] = ACTIONS(7452),
    [aux_sym_coarray_statement_token12] = ACTIONS(7452),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7452),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7452),
    [aux_sym_identifier_token1] = ACTIONS(7452),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7450),
    [sym__float_literal] = ACTIONS(7450),
    [sym__boz_literal] = ACTIONS(7450),
    [sym__string_literal] = ACTIONS(7450),
    [sym__string_literal_kind] = ACTIONS(7450),
    [sym__external_end_of_statement] = ACTIONS(7450),
  },
  [3270] = {
    [sym__preproc_expression] = STATE(5461),
    [sym_preproc_parenthesized_expression] = STATE(5461),
    [sym_preproc_defined] = STATE(5461),
    [sym_preproc_unary_expression] = STATE(5461),
    [sym_preproc_call_expression] = STATE(5461),
    [sym_preproc_binary_expression] = STATE(5461),
    [sym_number_literal] = STATE(5461),
    [sym_string_literal] = STATE(5461),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3271] = {
    [sym__preproc_expression] = STATE(5497),
    [sym_preproc_parenthesized_expression] = STATE(5497),
    [sym_preproc_defined] = STATE(5497),
    [sym_preproc_unary_expression] = STATE(5497),
    [sym_preproc_call_expression] = STATE(5497),
    [sym_preproc_binary_expression] = STATE(5497),
    [sym_number_literal] = STATE(5497),
    [sym_string_literal] = STATE(5497),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3272] = {
    [sym__preproc_expression] = STATE(5403),
    [sym_preproc_parenthesized_expression] = STATE(5403),
    [sym_preproc_defined] = STATE(5403),
    [sym_preproc_unary_expression] = STATE(5403),
    [sym_preproc_call_expression] = STATE(5403),
    [sym_preproc_binary_expression] = STATE(5403),
    [sym_number_literal] = STATE(5403),
    [sym_string_literal] = STATE(5403),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3273] = {
    [sym__preproc_expression] = STATE(5401),
    [sym_preproc_parenthesized_expression] = STATE(5401),
    [sym_preproc_defined] = STATE(5401),
    [sym_preproc_unary_expression] = STATE(5401),
    [sym_preproc_call_expression] = STATE(5401),
    [sym_preproc_binary_expression] = STATE(5401),
    [sym_number_literal] = STATE(5401),
    [sym_string_literal] = STATE(5401),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3274] = {
    [sym__preproc_expression] = STATE(5492),
    [sym_preproc_parenthesized_expression] = STATE(5492),
    [sym_preproc_defined] = STATE(5492),
    [sym_preproc_unary_expression] = STATE(5492),
    [sym_preproc_call_expression] = STATE(5492),
    [sym_preproc_binary_expression] = STATE(5492),
    [sym_number_literal] = STATE(5492),
    [sym_string_literal] = STATE(5492),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3275] = {
    [sym__preproc_expression] = STATE(5495),
    [sym_preproc_parenthesized_expression] = STATE(5495),
    [sym_preproc_defined] = STATE(5495),
    [sym_preproc_unary_expression] = STATE(5495),
    [sym_preproc_call_expression] = STATE(5495),
    [sym_preproc_binary_expression] = STATE(5495),
    [sym_number_literal] = STATE(5495),
    [sym_string_literal] = STATE(5495),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3276] = {
    [anon_sym_COMMA] = ACTIONS(7454),
    [anon_sym_LPAREN2] = ACTIONS(7456),
    [anon_sym_PLUS] = ACTIONS(7454),
    [anon_sym_DASH] = ACTIONS(7454),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7456),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7456),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7456),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7456),
    [aux_sym_use_statement_token2] = ACTIONS(7456),
    [aux_sym_implicit_statement_token4] = ACTIONS(7456),
    [aux_sym_save_statement_token1] = ACTIONS(7456),
    [aux_sym_private_statement_token1] = ACTIONS(7456),
    [aux_sym_public_statement_token1] = ACTIONS(7456),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7456),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7456),
    [aux_sym_variable_attributes_token2] = ACTIONS(7456),
    [aux_sym_variable_attributes_token3] = ACTIONS(7456),
    [aux_sym_variable_attributes_token5] = ACTIONS(7456),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7456),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7456),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7456),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7456),
    [aux_sym_type_qualifier_token1] = ACTIONS(7456),
    [aux_sym_type_qualifier_token2] = ACTIONS(7456),
    [anon_sym_SEMI] = ACTIONS(7454),
    [aux_sym_stop_statement_token1] = ACTIONS(7456),
    [aux_sym_stop_statement_token2] = ACTIONS(7456),
    [aux_sym_keyword_statement_token2] = ACTIONS(7456),
    [aux_sym_keyword_statement_token3] = ACTIONS(7456),
    [aux_sym_data_statement_token1] = ACTIONS(7456),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7456),
    [aux_sym_end_if_statement_token1] = ACTIONS(7456),
    [aux_sym_elseif_clause_token2] = ACTIONS(7456),
    [aux_sym_select_case_statement_token1] = ACTIONS(7456),
    [aux_sym_block_construct_token1] = ACTIONS(7456),
    [aux_sym_format_statement_token1] = ACTIONS(7456),
    [aux_sym_inquire_statement_token1] = ACTIONS(7456),
    [aux_sym_entry_statement_token1] = ACTIONS(7456),
    [aux_sym_logical_expression_token5] = ACTIONS(7454),
    [anon_sym_DOT] = ACTIONS(7456),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7454),
    [anon_sym_LBRACK] = ACTIONS(7454),
    [aux_sym_boolean_literal_token1] = ACTIONS(7454),
    [aux_sym_boolean_literal_token2] = ACTIONS(7454),
    [aux_sym_null_literal_token1] = ACTIONS(7456),
    [aux_sym_coarray_statement_token1] = ACTIONS(7456),
    [aux_sym_coarray_statement_token2] = ACTIONS(7456),
    [aux_sym_coarray_statement_token6] = ACTIONS(7456),
    [aux_sym_coarray_statement_token8] = ACTIONS(7456),
    [aux_sym_coarray_statement_token11] = ACTIONS(7456),
    [aux_sym_coarray_statement_token12] = ACTIONS(7456),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7456),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7456),
    [aux_sym_identifier_token1] = ACTIONS(7456),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7454),
    [sym__float_literal] = ACTIONS(7454),
    [sym__boz_literal] = ACTIONS(7454),
    [sym__string_literal] = ACTIONS(7454),
    [sym__string_literal_kind] = ACTIONS(7454),
    [sym__external_end_of_statement] = ACTIONS(7454),
  },
  [3277] = {
    [sym__preproc_expression] = STATE(5494),
    [sym_preproc_parenthesized_expression] = STATE(5494),
    [sym_preproc_defined] = STATE(5494),
    [sym_preproc_unary_expression] = STATE(5494),
    [sym_preproc_call_expression] = STATE(5494),
    [sym_preproc_binary_expression] = STATE(5494),
    [sym_number_literal] = STATE(5494),
    [sym_string_literal] = STATE(5494),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3278] = {
    [sym__preproc_expression] = STATE(5524),
    [sym_preproc_parenthesized_expression] = STATE(5524),
    [sym_preproc_defined] = STATE(5524),
    [sym_preproc_unary_expression] = STATE(5524),
    [sym_preproc_call_expression] = STATE(5524),
    [sym_preproc_binary_expression] = STATE(5524),
    [sym_number_literal] = STATE(5524),
    [sym_string_literal] = STATE(5524),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3279] = {
    [sym__preproc_expression] = STATE(5425),
    [sym_preproc_parenthesized_expression] = STATE(5425),
    [sym_preproc_defined] = STATE(5425),
    [sym_preproc_unary_expression] = STATE(5425),
    [sym_preproc_call_expression] = STATE(5425),
    [sym_preproc_binary_expression] = STATE(5425),
    [sym_number_literal] = STATE(5425),
    [sym_string_literal] = STATE(5425),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3280] = {
    [sym__preproc_expression] = STATE(5527),
    [sym_preproc_parenthesized_expression] = STATE(5527),
    [sym_preproc_defined] = STATE(5527),
    [sym_preproc_unary_expression] = STATE(5527),
    [sym_preproc_call_expression] = STATE(5527),
    [sym_preproc_binary_expression] = STATE(5527),
    [sym_number_literal] = STATE(5527),
    [sym_string_literal] = STATE(5527),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3281] = {
    [sym__preproc_expression] = STATE(5514),
    [sym_preproc_parenthesized_expression] = STATE(5514),
    [sym_preproc_defined] = STATE(5514),
    [sym_preproc_unary_expression] = STATE(5514),
    [sym_preproc_call_expression] = STATE(5514),
    [sym_preproc_binary_expression] = STATE(5514),
    [sym_number_literal] = STATE(5514),
    [sym_string_literal] = STATE(5514),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3282] = {
    [sym__preproc_expression] = STATE(5402),
    [sym_preproc_parenthesized_expression] = STATE(5402),
    [sym_preproc_defined] = STATE(5402),
    [sym_preproc_unary_expression] = STATE(5402),
    [sym_preproc_call_expression] = STATE(5402),
    [sym_preproc_binary_expression] = STATE(5402),
    [sym_number_literal] = STATE(5402),
    [sym_string_literal] = STATE(5402),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3283] = {
    [sym__preproc_expression] = STATE(5471),
    [sym_preproc_parenthesized_expression] = STATE(5471),
    [sym_preproc_defined] = STATE(5471),
    [sym_preproc_unary_expression] = STATE(5471),
    [sym_preproc_call_expression] = STATE(5471),
    [sym_preproc_binary_expression] = STATE(5471),
    [sym_number_literal] = STATE(5471),
    [sym_string_literal] = STATE(5471),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3284] = {
    [sym__preproc_expression] = STATE(5472),
    [sym_preproc_parenthesized_expression] = STATE(5472),
    [sym_preproc_defined] = STATE(5472),
    [sym_preproc_unary_expression] = STATE(5472),
    [sym_preproc_call_expression] = STATE(5472),
    [sym_preproc_binary_expression] = STATE(5472),
    [sym_number_literal] = STATE(5472),
    [sym_string_literal] = STATE(5472),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3285] = {
    [sym__preproc_expression] = STATE(5473),
    [sym_preproc_parenthesized_expression] = STATE(5473),
    [sym_preproc_defined] = STATE(5473),
    [sym_preproc_unary_expression] = STATE(5473),
    [sym_preproc_call_expression] = STATE(5473),
    [sym_preproc_binary_expression] = STATE(5473),
    [sym_number_literal] = STATE(5473),
    [sym_string_literal] = STATE(5473),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3286] = {
    [sym__preproc_expression] = STATE(5475),
    [sym_preproc_parenthesized_expression] = STATE(5475),
    [sym_preproc_defined] = STATE(5475),
    [sym_preproc_unary_expression] = STATE(5475),
    [sym_preproc_call_expression] = STATE(5475),
    [sym_preproc_binary_expression] = STATE(5475),
    [sym_number_literal] = STATE(5475),
    [sym_string_literal] = STATE(5475),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3287] = {
    [sym__preproc_expression] = STATE(5476),
    [sym_preproc_parenthesized_expression] = STATE(5476),
    [sym_preproc_defined] = STATE(5476),
    [sym_preproc_unary_expression] = STATE(5476),
    [sym_preproc_call_expression] = STATE(5476),
    [sym_preproc_binary_expression] = STATE(5476),
    [sym_number_literal] = STATE(5476),
    [sym_string_literal] = STATE(5476),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3288] = {
    [sym__preproc_expression] = STATE(5477),
    [sym_preproc_parenthesized_expression] = STATE(5477),
    [sym_preproc_defined] = STATE(5477),
    [sym_preproc_unary_expression] = STATE(5477),
    [sym_preproc_call_expression] = STATE(5477),
    [sym_preproc_binary_expression] = STATE(5477),
    [sym_number_literal] = STATE(5477),
    [sym_string_literal] = STATE(5477),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3289] = {
    [sym__preproc_expression] = STATE(5478),
    [sym_preproc_parenthesized_expression] = STATE(5478),
    [sym_preproc_defined] = STATE(5478),
    [sym_preproc_unary_expression] = STATE(5478),
    [sym_preproc_call_expression] = STATE(5478),
    [sym_preproc_binary_expression] = STATE(5478),
    [sym_number_literal] = STATE(5478),
    [sym_string_literal] = STATE(5478),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3290] = {
    [sym__preproc_expression] = STATE(5479),
    [sym_preproc_parenthesized_expression] = STATE(5479),
    [sym_preproc_defined] = STATE(5479),
    [sym_preproc_unary_expression] = STATE(5479),
    [sym_preproc_call_expression] = STATE(5479),
    [sym_preproc_binary_expression] = STATE(5479),
    [sym_number_literal] = STATE(5479),
    [sym_string_literal] = STATE(5479),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3291] = {
    [sym__preproc_expression] = STATE(5480),
    [sym_preproc_parenthesized_expression] = STATE(5480),
    [sym_preproc_defined] = STATE(5480),
    [sym_preproc_unary_expression] = STATE(5480),
    [sym_preproc_call_expression] = STATE(5480),
    [sym_preproc_binary_expression] = STATE(5480),
    [sym_number_literal] = STATE(5480),
    [sym_string_literal] = STATE(5480),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3292] = {
    [sym__preproc_expression] = STATE(5482),
    [sym_preproc_parenthesized_expression] = STATE(5482),
    [sym_preproc_defined] = STATE(5482),
    [sym_preproc_unary_expression] = STATE(5482),
    [sym_preproc_call_expression] = STATE(5482),
    [sym_preproc_binary_expression] = STATE(5482),
    [sym_number_literal] = STATE(5482),
    [sym_string_literal] = STATE(5482),
    [sym_identifier] = STATE(5348),
    [anon_sym_LPAREN2] = ACTIONS(7382),
    [anon_sym_defined] = ACTIONS(7384),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7386),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7388),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7388),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7388),
    [aux_sym_use_statement_token2] = ACTIONS(7388),
    [aux_sym_implicit_statement_token4] = ACTIONS(7388),
    [aux_sym_save_statement_token1] = ACTIONS(7388),
    [aux_sym_private_statement_token1] = ACTIONS(7388),
    [aux_sym_public_statement_token1] = ACTIONS(7388),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7388),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7388),
    [aux_sym_variable_attributes_token2] = ACTIONS(7388),
    [aux_sym_variable_attributes_token3] = ACTIONS(7388),
    [aux_sym_variable_attributes_token5] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7388),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7390),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7392),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7388),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7388),
    [aux_sym_type_qualifier_token1] = ACTIONS(7388),
    [aux_sym_type_qualifier_token2] = ACTIONS(7388),
    [aux_sym_stop_statement_token1] = ACTIONS(7388),
    [aux_sym_stop_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token2] = ACTIONS(7388),
    [aux_sym_keyword_statement_token3] = ACTIONS(7388),
    [aux_sym_data_statement_token1] = ACTIONS(7388),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7388),
    [aux_sym_end_if_statement_token1] = ACTIONS(7388),
    [aux_sym_elseif_clause_token2] = ACTIONS(7388),
    [aux_sym_select_case_statement_token1] = ACTIONS(7394),
    [aux_sym_block_construct_token1] = ACTIONS(7388),
    [aux_sym_format_statement_token1] = ACTIONS(7388),
    [aux_sym_inquire_statement_token1] = ACTIONS(7388),
    [aux_sym_entry_statement_token1] = ACTIONS(7388),
    [aux_sym_null_literal_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_statement_token2] = ACTIONS(7388),
    [aux_sym_coarray_statement_token6] = ACTIONS(7388),
    [aux_sym_coarray_statement_token8] = ACTIONS(7388),
    [aux_sym_coarray_statement_token11] = ACTIONS(7388),
    [aux_sym_coarray_statement_token12] = ACTIONS(7388),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7388),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7388),
    [aux_sym_identifier_token1] = ACTIONS(7388),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7396),
    [sym__float_literal] = ACTIONS(7396),
    [sym__boz_literal] = ACTIONS(7396),
    [sym__string_literal] = ACTIONS(7398),
    [sym__string_literal_kind] = ACTIONS(7400),
    [sym__preproc_unary_operator] = ACTIONS(7402),
  },
  [3293] = {
    [sym__preproc_expression] = STATE(5504),
    [sym_preproc_parenthesized_expression] = STATE(5504),
    [sym_preproc_defined] = STATE(5504),
    [sym_preproc_unary_expression] = STATE(5504),
    [sym_preproc_call_expression] = STATE(5504),
    [sym_preproc_binary_expression] = STATE(5504),
    [sym_number_literal] = STATE(5504),
    [sym_string_literal] = STATE(5504),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3294] = {
    [sym__preproc_expression] = STATE(5407),
    [sym_preproc_parenthesized_expression] = STATE(5407),
    [sym_preproc_defined] = STATE(5407),
    [sym_preproc_unary_expression] = STATE(5407),
    [sym_preproc_call_expression] = STATE(5407),
    [sym_preproc_binary_expression] = STATE(5407),
    [sym_number_literal] = STATE(5407),
    [sym_string_literal] = STATE(5407),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3295] = {
    [sym__preproc_expression] = STATE(5427),
    [sym_preproc_parenthesized_expression] = STATE(5427),
    [sym_preproc_defined] = STATE(5427),
    [sym_preproc_unary_expression] = STATE(5427),
    [sym_preproc_call_expression] = STATE(5427),
    [sym_preproc_binary_expression] = STATE(5427),
    [sym_number_literal] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3296] = {
    [sym__preproc_expression] = STATE(5430),
    [sym_preproc_parenthesized_expression] = STATE(5430),
    [sym_preproc_defined] = STATE(5430),
    [sym_preproc_unary_expression] = STATE(5430),
    [sym_preproc_call_expression] = STATE(5430),
    [sym_preproc_binary_expression] = STATE(5430),
    [sym_number_literal] = STATE(5430),
    [sym_string_literal] = STATE(5430),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3297] = {
    [sym__preproc_expression] = STATE(5432),
    [sym_preproc_parenthesized_expression] = STATE(5432),
    [sym_preproc_defined] = STATE(5432),
    [sym_preproc_unary_expression] = STATE(5432),
    [sym_preproc_call_expression] = STATE(5432),
    [sym_preproc_binary_expression] = STATE(5432),
    [sym_number_literal] = STATE(5432),
    [sym_string_literal] = STATE(5432),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3298] = {
    [sym__preproc_expression] = STATE(5433),
    [sym_preproc_parenthesized_expression] = STATE(5433),
    [sym_preproc_defined] = STATE(5433),
    [sym_preproc_unary_expression] = STATE(5433),
    [sym_preproc_call_expression] = STATE(5433),
    [sym_preproc_binary_expression] = STATE(5433),
    [sym_number_literal] = STATE(5433),
    [sym_string_literal] = STATE(5433),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3299] = {
    [sym__preproc_expression] = STATE(5434),
    [sym_preproc_parenthesized_expression] = STATE(5434),
    [sym_preproc_defined] = STATE(5434),
    [sym_preproc_unary_expression] = STATE(5434),
    [sym_preproc_call_expression] = STATE(5434),
    [sym_preproc_binary_expression] = STATE(5434),
    [sym_number_literal] = STATE(5434),
    [sym_string_literal] = STATE(5434),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3300] = {
    [sym__preproc_expression] = STATE(5435),
    [sym_preproc_parenthesized_expression] = STATE(5435),
    [sym_preproc_defined] = STATE(5435),
    [sym_preproc_unary_expression] = STATE(5435),
    [sym_preproc_call_expression] = STATE(5435),
    [sym_preproc_binary_expression] = STATE(5435),
    [sym_number_literal] = STATE(5435),
    [sym_string_literal] = STATE(5435),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3301] = {
    [sym__preproc_expression] = STATE(5436),
    [sym_preproc_parenthesized_expression] = STATE(5436),
    [sym_preproc_defined] = STATE(5436),
    [sym_preproc_unary_expression] = STATE(5436),
    [sym_preproc_call_expression] = STATE(5436),
    [sym_preproc_binary_expression] = STATE(5436),
    [sym_number_literal] = STATE(5436),
    [sym_string_literal] = STATE(5436),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3302] = {
    [sym__preproc_expression] = STATE(5439),
    [sym_preproc_parenthesized_expression] = STATE(5439),
    [sym_preproc_defined] = STATE(5439),
    [sym_preproc_unary_expression] = STATE(5439),
    [sym_preproc_call_expression] = STATE(5439),
    [sym_preproc_binary_expression] = STATE(5439),
    [sym_number_literal] = STATE(5439),
    [sym_string_literal] = STATE(5439),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3303] = {
    [sym__preproc_expression] = STATE(5533),
    [sym_preproc_parenthesized_expression] = STATE(5533),
    [sym_preproc_defined] = STATE(5533),
    [sym_preproc_unary_expression] = STATE(5533),
    [sym_preproc_call_expression] = STATE(5533),
    [sym_preproc_binary_expression] = STATE(5533),
    [sym_number_literal] = STATE(5533),
    [sym_string_literal] = STATE(5533),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3304] = {
    [sym__preproc_expression] = STATE(5441),
    [sym_preproc_parenthesized_expression] = STATE(5441),
    [sym_preproc_defined] = STATE(5441),
    [sym_preproc_unary_expression] = STATE(5441),
    [sym_preproc_call_expression] = STATE(5441),
    [sym_preproc_binary_expression] = STATE(5441),
    [sym_number_literal] = STATE(5441),
    [sym_string_literal] = STATE(5441),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3305] = {
    [sym__preproc_expression] = STATE(5444),
    [sym_preproc_parenthesized_expression] = STATE(5444),
    [sym_preproc_defined] = STATE(5444),
    [sym_preproc_unary_expression] = STATE(5444),
    [sym_preproc_call_expression] = STATE(5444),
    [sym_preproc_binary_expression] = STATE(5444),
    [sym_number_literal] = STATE(5444),
    [sym_string_literal] = STATE(5444),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3306] = {
    [sym__preproc_expression] = STATE(5445),
    [sym_preproc_parenthesized_expression] = STATE(5445),
    [sym_preproc_defined] = STATE(5445),
    [sym_preproc_unary_expression] = STATE(5445),
    [sym_preproc_call_expression] = STATE(5445),
    [sym_preproc_binary_expression] = STATE(5445),
    [sym_number_literal] = STATE(5445),
    [sym_string_literal] = STATE(5445),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3307] = {
    [sym__preproc_expression] = STATE(5446),
    [sym_preproc_parenthesized_expression] = STATE(5446),
    [sym_preproc_defined] = STATE(5446),
    [sym_preproc_unary_expression] = STATE(5446),
    [sym_preproc_call_expression] = STATE(5446),
    [sym_preproc_binary_expression] = STATE(5446),
    [sym_number_literal] = STATE(5446),
    [sym_string_literal] = STATE(5446),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3308] = {
    [sym__preproc_expression] = STATE(5447),
    [sym_preproc_parenthesized_expression] = STATE(5447),
    [sym_preproc_defined] = STATE(5447),
    [sym_preproc_unary_expression] = STATE(5447),
    [sym_preproc_call_expression] = STATE(5447),
    [sym_preproc_binary_expression] = STATE(5447),
    [sym_number_literal] = STATE(5447),
    [sym_string_literal] = STATE(5447),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3309] = {
    [sym__preproc_expression] = STATE(5450),
    [sym_preproc_parenthesized_expression] = STATE(5450),
    [sym_preproc_defined] = STATE(5450),
    [sym_preproc_unary_expression] = STATE(5450),
    [sym_preproc_call_expression] = STATE(5450),
    [sym_preproc_binary_expression] = STATE(5450),
    [sym_number_literal] = STATE(5450),
    [sym_string_literal] = STATE(5450),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3310] = {
    [sym__preproc_expression] = STATE(5452),
    [sym_preproc_parenthesized_expression] = STATE(5452),
    [sym_preproc_defined] = STATE(5452),
    [sym_preproc_unary_expression] = STATE(5452),
    [sym_preproc_call_expression] = STATE(5452),
    [sym_preproc_binary_expression] = STATE(5452),
    [sym_number_literal] = STATE(5452),
    [sym_string_literal] = STATE(5452),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3311] = {
    [sym__preproc_expression] = STATE(5453),
    [sym_preproc_parenthesized_expression] = STATE(5453),
    [sym_preproc_defined] = STATE(5453),
    [sym_preproc_unary_expression] = STATE(5453),
    [sym_preproc_call_expression] = STATE(5453),
    [sym_preproc_binary_expression] = STATE(5453),
    [sym_number_literal] = STATE(5453),
    [sym_string_literal] = STATE(5453),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3312] = {
    [sym__preproc_expression] = STATE(5454),
    [sym_preproc_parenthesized_expression] = STATE(5454),
    [sym_preproc_defined] = STATE(5454),
    [sym_preproc_unary_expression] = STATE(5454),
    [sym_preproc_call_expression] = STATE(5454),
    [sym_preproc_binary_expression] = STATE(5454),
    [sym_number_literal] = STATE(5454),
    [sym_string_literal] = STATE(5454),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3313] = {
    [sym__preproc_expression] = STATE(5455),
    [sym_preproc_parenthesized_expression] = STATE(5455),
    [sym_preproc_defined] = STATE(5455),
    [sym_preproc_unary_expression] = STATE(5455),
    [sym_preproc_call_expression] = STATE(5455),
    [sym_preproc_binary_expression] = STATE(5455),
    [sym_number_literal] = STATE(5455),
    [sym_string_literal] = STATE(5455),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3314] = {
    [sym__preproc_expression] = STATE(5457),
    [sym_preproc_parenthesized_expression] = STATE(5457),
    [sym_preproc_defined] = STATE(5457),
    [sym_preproc_unary_expression] = STATE(5457),
    [sym_preproc_call_expression] = STATE(5457),
    [sym_preproc_binary_expression] = STATE(5457),
    [sym_number_literal] = STATE(5457),
    [sym_string_literal] = STATE(5457),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3315] = {
    [sym__preproc_expression] = STATE(5458),
    [sym_preproc_parenthesized_expression] = STATE(5458),
    [sym_preproc_defined] = STATE(5458),
    [sym_preproc_unary_expression] = STATE(5458),
    [sym_preproc_call_expression] = STATE(5458),
    [sym_preproc_binary_expression] = STATE(5458),
    [sym_number_literal] = STATE(5458),
    [sym_string_literal] = STATE(5458),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3316] = {
    [sym__preproc_expression] = STATE(5490),
    [sym_preproc_parenthesized_expression] = STATE(5490),
    [sym_preproc_defined] = STATE(5490),
    [sym_preproc_unary_expression] = STATE(5490),
    [sym_preproc_call_expression] = STATE(5490),
    [sym_preproc_binary_expression] = STATE(5490),
    [sym_number_literal] = STATE(5490),
    [sym_string_literal] = STATE(5490),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3317] = {
    [sym__preproc_expression] = STATE(5460),
    [sym_preproc_parenthesized_expression] = STATE(5460),
    [sym_preproc_defined] = STATE(5460),
    [sym_preproc_unary_expression] = STATE(5460),
    [sym_preproc_call_expression] = STATE(5460),
    [sym_preproc_binary_expression] = STATE(5460),
    [sym_number_literal] = STATE(5460),
    [sym_string_literal] = STATE(5460),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3318] = {
    [sym__preproc_expression] = STATE(5462),
    [sym_preproc_parenthesized_expression] = STATE(5462),
    [sym_preproc_defined] = STATE(5462),
    [sym_preproc_unary_expression] = STATE(5462),
    [sym_preproc_call_expression] = STATE(5462),
    [sym_preproc_binary_expression] = STATE(5462),
    [sym_number_literal] = STATE(5462),
    [sym_string_literal] = STATE(5462),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3319] = {
    [sym__preproc_expression] = STATE(5463),
    [sym_preproc_parenthesized_expression] = STATE(5463),
    [sym_preproc_defined] = STATE(5463),
    [sym_preproc_unary_expression] = STATE(5463),
    [sym_preproc_call_expression] = STATE(5463),
    [sym_preproc_binary_expression] = STATE(5463),
    [sym_number_literal] = STATE(5463),
    [sym_string_literal] = STATE(5463),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3320] = {
    [sym__preproc_expression] = STATE(5464),
    [sym_preproc_parenthesized_expression] = STATE(5464),
    [sym_preproc_defined] = STATE(5464),
    [sym_preproc_unary_expression] = STATE(5464),
    [sym_preproc_call_expression] = STATE(5464),
    [sym_preproc_binary_expression] = STATE(5464),
    [sym_number_literal] = STATE(5464),
    [sym_string_literal] = STATE(5464),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3321] = {
    [sym__preproc_expression] = STATE(5465),
    [sym_preproc_parenthesized_expression] = STATE(5465),
    [sym_preproc_defined] = STATE(5465),
    [sym_preproc_unary_expression] = STATE(5465),
    [sym_preproc_call_expression] = STATE(5465),
    [sym_preproc_binary_expression] = STATE(5465),
    [sym_number_literal] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3322] = {
    [sym__preproc_expression] = STATE(5466),
    [sym_preproc_parenthesized_expression] = STATE(5466),
    [sym_preproc_defined] = STATE(5466),
    [sym_preproc_unary_expression] = STATE(5466),
    [sym_preproc_call_expression] = STATE(5466),
    [sym_preproc_binary_expression] = STATE(5466),
    [sym_number_literal] = STATE(5466),
    [sym_string_literal] = STATE(5466),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3323] = {
    [sym__preproc_expression] = STATE(5467),
    [sym_preproc_parenthesized_expression] = STATE(5467),
    [sym_preproc_defined] = STATE(5467),
    [sym_preproc_unary_expression] = STATE(5467),
    [sym_preproc_call_expression] = STATE(5467),
    [sym_preproc_binary_expression] = STATE(5467),
    [sym_number_literal] = STATE(5467),
    [sym_string_literal] = STATE(5467),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3324] = {
    [sym__preproc_expression] = STATE(5468),
    [sym_preproc_parenthesized_expression] = STATE(5468),
    [sym_preproc_defined] = STATE(5468),
    [sym_preproc_unary_expression] = STATE(5468),
    [sym_preproc_call_expression] = STATE(5468),
    [sym_preproc_binary_expression] = STATE(5468),
    [sym_number_literal] = STATE(5468),
    [sym_string_literal] = STATE(5468),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3325] = {
    [sym__preproc_expression] = STATE(5474),
    [sym_preproc_parenthesized_expression] = STATE(5474),
    [sym_preproc_defined] = STATE(5474),
    [sym_preproc_unary_expression] = STATE(5474),
    [sym_preproc_call_expression] = STATE(5474),
    [sym_preproc_binary_expression] = STATE(5474),
    [sym_number_literal] = STATE(5474),
    [sym_string_literal] = STATE(5474),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3326] = {
    [sym__preproc_expression] = STATE(5481),
    [sym_preproc_parenthesized_expression] = STATE(5481),
    [sym_preproc_defined] = STATE(5481),
    [sym_preproc_unary_expression] = STATE(5481),
    [sym_preproc_call_expression] = STATE(5481),
    [sym_preproc_binary_expression] = STATE(5481),
    [sym_number_literal] = STATE(5481),
    [sym_string_literal] = STATE(5481),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3327] = {
    [sym__preproc_expression] = STATE(5399),
    [sym_preproc_parenthesized_expression] = STATE(5399),
    [sym_preproc_defined] = STATE(5399),
    [sym_preproc_unary_expression] = STATE(5399),
    [sym_preproc_call_expression] = STATE(5399),
    [sym_preproc_binary_expression] = STATE(5399),
    [sym_number_literal] = STATE(5399),
    [sym_string_literal] = STATE(5399),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3328] = {
    [sym__preproc_expression] = STATE(5485),
    [sym_preproc_parenthesized_expression] = STATE(5485),
    [sym_preproc_defined] = STATE(5485),
    [sym_preproc_unary_expression] = STATE(5485),
    [sym_preproc_call_expression] = STATE(5485),
    [sym_preproc_binary_expression] = STATE(5485),
    [sym_number_literal] = STATE(5485),
    [sym_string_literal] = STATE(5485),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3329] = {
    [sym__preproc_expression] = STATE(5486),
    [sym_preproc_parenthesized_expression] = STATE(5486),
    [sym_preproc_defined] = STATE(5486),
    [sym_preproc_unary_expression] = STATE(5486),
    [sym_preproc_call_expression] = STATE(5486),
    [sym_preproc_binary_expression] = STATE(5486),
    [sym_number_literal] = STATE(5486),
    [sym_string_literal] = STATE(5486),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3330] = {
    [sym__preproc_expression] = STATE(5487),
    [sym_preproc_parenthesized_expression] = STATE(5487),
    [sym_preproc_defined] = STATE(5487),
    [sym_preproc_unary_expression] = STATE(5487),
    [sym_preproc_call_expression] = STATE(5487),
    [sym_preproc_binary_expression] = STATE(5487),
    [sym_number_literal] = STATE(5487),
    [sym_string_literal] = STATE(5487),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3331] = {
    [sym__preproc_expression] = STATE(5488),
    [sym_preproc_parenthesized_expression] = STATE(5488),
    [sym_preproc_defined] = STATE(5488),
    [sym_preproc_unary_expression] = STATE(5488),
    [sym_preproc_call_expression] = STATE(5488),
    [sym_preproc_binary_expression] = STATE(5488),
    [sym_number_literal] = STATE(5488),
    [sym_string_literal] = STATE(5488),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3332] = {
    [sym__preproc_expression] = STATE(5413),
    [sym_preproc_parenthesized_expression] = STATE(5413),
    [sym_preproc_defined] = STATE(5413),
    [sym_preproc_unary_expression] = STATE(5413),
    [sym_preproc_call_expression] = STATE(5413),
    [sym_preproc_binary_expression] = STATE(5413),
    [sym_number_literal] = STATE(5413),
    [sym_string_literal] = STATE(5413),
    [sym_identifier] = STATE(5347),
    [anon_sym_LPAREN2] = ACTIONS(7346),
    [anon_sym_defined] = ACTIONS(7348),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7352),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7354),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7354),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7354),
    [aux_sym_use_statement_token2] = ACTIONS(7354),
    [aux_sym_implicit_statement_token4] = ACTIONS(7354),
    [aux_sym_save_statement_token1] = ACTIONS(7354),
    [aux_sym_private_statement_token1] = ACTIONS(7354),
    [aux_sym_public_statement_token1] = ACTIONS(7354),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7354),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7354),
    [aux_sym_variable_attributes_token2] = ACTIONS(7354),
    [aux_sym_variable_attributes_token3] = ACTIONS(7354),
    [aux_sym_variable_attributes_token5] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7354),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7356),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7358),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7354),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7354),
    [aux_sym_type_qualifier_token1] = ACTIONS(7354),
    [aux_sym_type_qualifier_token2] = ACTIONS(7354),
    [aux_sym_stop_statement_token1] = ACTIONS(7354),
    [aux_sym_stop_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token2] = ACTIONS(7354),
    [aux_sym_keyword_statement_token3] = ACTIONS(7354),
    [aux_sym_data_statement_token1] = ACTIONS(7354),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7354),
    [aux_sym_end_if_statement_token1] = ACTIONS(7354),
    [aux_sym_elseif_clause_token2] = ACTIONS(7354),
    [aux_sym_select_case_statement_token1] = ACTIONS(7360),
    [aux_sym_block_construct_token1] = ACTIONS(7354),
    [aux_sym_format_statement_token1] = ACTIONS(7354),
    [aux_sym_inquire_statement_token1] = ACTIONS(7354),
    [aux_sym_entry_statement_token1] = ACTIONS(7354),
    [aux_sym_null_literal_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_statement_token2] = ACTIONS(7354),
    [aux_sym_coarray_statement_token6] = ACTIONS(7354),
    [aux_sym_coarray_statement_token8] = ACTIONS(7354),
    [aux_sym_coarray_statement_token11] = ACTIONS(7354),
    [aux_sym_coarray_statement_token12] = ACTIONS(7354),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7354),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7354),
    [aux_sym_identifier_token1] = ACTIONS(7354),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7362),
    [sym__float_literal] = ACTIONS(7362),
    [sym__boz_literal] = ACTIONS(7362),
    [sym__string_literal] = ACTIONS(7364),
    [sym__string_literal_kind] = ACTIONS(7366),
    [sym__preproc_unary_operator] = ACTIONS(7368),
  },
  [3333] = {
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(4287),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(4287),
  },
  [3334] = {
    [anon_sym_LPAREN2] = ACTIONS(7458),
    [anon_sym_PLUS] = ACTIONS(7460),
    [anon_sym_DASH] = ACTIONS(7460),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7458),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7458),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7458),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7458),
    [aux_sym_use_statement_token2] = ACTIONS(7458),
    [aux_sym_implicit_statement_token4] = ACTIONS(7458),
    [aux_sym_save_statement_token1] = ACTIONS(7458),
    [aux_sym_private_statement_token1] = ACTIONS(7458),
    [aux_sym_public_statement_token1] = ACTIONS(7458),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7458),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7458),
    [aux_sym_variable_attributes_token2] = ACTIONS(7458),
    [aux_sym_variable_attributes_token3] = ACTIONS(7458),
    [aux_sym_variable_attributes_token5] = ACTIONS(7458),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7458),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7458),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7458),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7458),
    [aux_sym_type_qualifier_token1] = ACTIONS(7458),
    [aux_sym_type_qualifier_token2] = ACTIONS(7458),
    [aux_sym_stop_statement_token1] = ACTIONS(7458),
    [aux_sym_stop_statement_token2] = ACTIONS(7458),
    [aux_sym_keyword_statement_token2] = ACTIONS(7458),
    [aux_sym_keyword_statement_token3] = ACTIONS(7458),
    [aux_sym_data_statement_token1] = ACTIONS(7458),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7458),
    [aux_sym_end_if_statement_token1] = ACTIONS(7458),
    [aux_sym_elseif_clause_token2] = ACTIONS(7458),
    [aux_sym_select_case_statement_token1] = ACTIONS(7458),
    [aux_sym_block_construct_token1] = ACTIONS(7458),
    [aux_sym_format_statement_token1] = ACTIONS(7458),
    [aux_sym_inquire_statement_token1] = ACTIONS(7458),
    [aux_sym_entry_statement_token1] = ACTIONS(7458),
    [aux_sym_logical_expression_token5] = ACTIONS(7460),
    [anon_sym_DOT] = ACTIONS(7458),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7460),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7460),
    [anon_sym_LBRACK] = ACTIONS(7460),
    [anon_sym_RBRACK] = ACTIONS(7460),
    [aux_sym_boolean_literal_token1] = ACTIONS(7460),
    [aux_sym_boolean_literal_token2] = ACTIONS(7460),
    [aux_sym_null_literal_token1] = ACTIONS(7458),
    [aux_sym_coarray_statement_token1] = ACTIONS(7458),
    [aux_sym_coarray_statement_token2] = ACTIONS(7458),
    [aux_sym_coarray_statement_token6] = ACTIONS(7458),
    [aux_sym_coarray_statement_token8] = ACTIONS(7458),
    [aux_sym_coarray_statement_token11] = ACTIONS(7458),
    [aux_sym_coarray_statement_token12] = ACTIONS(7458),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7458),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7458),
    [aux_sym_identifier_token1] = ACTIONS(7458),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7460),
    [sym__float_literal] = ACTIONS(7460),
    [sym__boz_literal] = ACTIONS(7460),
    [sym__string_literal] = ACTIONS(7460),
    [sym__string_literal_kind] = ACTIONS(7460),
  },
  [3335] = {
    [sym_statement_label] = STATE(4019),
    [sym_statement_label_reference] = STATE(3950),
    [sym_while_statement] = STATE(6499),
    [sym_concurrent_statement] = STATE(6499),
    [sym_concurrent_header] = STATE(5774),
    [sym_loop_control_expression] = STATE(6499),
    [sym_identifier] = STATE(7861),
    [sym__end_of_statement] = STATE(688),
    [anon_sym_COMMA] = ACTIONS(7462),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(7464),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_while_statement_token1] = ACTIONS(7466),
    [aux_sym_concurrent_header_token1] = ACTIONS(7468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7470),
    [sym__external_end_of_statement] = ACTIONS(7464),
  },
  [3336] = {
    [anon_sym_LPAREN2] = ACTIONS(7472),
    [anon_sym_PLUS] = ACTIONS(7474),
    [anon_sym_DASH] = ACTIONS(7474),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7472),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7472),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7472),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7472),
    [aux_sym_use_statement_token2] = ACTIONS(7472),
    [aux_sym_implicit_statement_token4] = ACTIONS(7472),
    [aux_sym_save_statement_token1] = ACTIONS(7472),
    [aux_sym_private_statement_token1] = ACTIONS(7472),
    [aux_sym_public_statement_token1] = ACTIONS(7472),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7472),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7472),
    [aux_sym_variable_attributes_token2] = ACTIONS(7472),
    [aux_sym_variable_attributes_token3] = ACTIONS(7472),
    [aux_sym_variable_attributes_token5] = ACTIONS(7472),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7472),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7472),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7472),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7472),
    [aux_sym_type_qualifier_token1] = ACTIONS(7472),
    [aux_sym_type_qualifier_token2] = ACTIONS(7472),
    [aux_sym_stop_statement_token1] = ACTIONS(7472),
    [aux_sym_stop_statement_token2] = ACTIONS(7472),
    [aux_sym_keyword_statement_token2] = ACTIONS(7472),
    [aux_sym_keyword_statement_token3] = ACTIONS(7472),
    [aux_sym_data_statement_token1] = ACTIONS(7472),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7472),
    [aux_sym_end_if_statement_token1] = ACTIONS(7472),
    [aux_sym_elseif_clause_token2] = ACTIONS(7472),
    [aux_sym_select_case_statement_token1] = ACTIONS(7472),
    [aux_sym_block_construct_token1] = ACTIONS(7472),
    [aux_sym_format_statement_token1] = ACTIONS(7472),
    [aux_sym_inquire_statement_token1] = ACTIONS(7472),
    [aux_sym_entry_statement_token1] = ACTIONS(7472),
    [aux_sym_logical_expression_token5] = ACTIONS(7474),
    [anon_sym_DOT] = ACTIONS(7472),
    [anon_sym_LPAREN_SLASH] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(7474),
    [aux_sym_boolean_literal_token1] = ACTIONS(7474),
    [aux_sym_boolean_literal_token2] = ACTIONS(7474),
    [aux_sym_null_literal_token1] = ACTIONS(7472),
    [aux_sym_coarray_statement_token1] = ACTIONS(7472),
    [aux_sym_coarray_statement_token2] = ACTIONS(7472),
    [aux_sym_coarray_statement_token6] = ACTIONS(7472),
    [aux_sym_coarray_statement_token8] = ACTIONS(7472),
    [aux_sym_coarray_statement_token11] = ACTIONS(7472),
    [aux_sym_coarray_statement_token12] = ACTIONS(7472),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7472),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7472),
    [aux_sym_identifier_token1] = ACTIONS(7472),
    [sym_comment] = ACTIONS(21),
    [sym__integer_literal] = ACTIONS(7474),
    [sym__float_literal] = ACTIONS(7474),
    [sym__boz_literal] = ACTIONS(7474),
    [sym__string_literal] = ACTIONS(7474),
    [sym__string_literal_kind] = ACTIONS(7474),
  },
  [3337] = {
    [sym_language_binding] = STATE(3337),
    [sym_variable_attributes] = STATE(3337),
    [sym__standalone_type_qualifier] = STATE(3436),
    [aux_sym_variable_modification_repeat1] = STATE(3337),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7476),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7476),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7476),
    [aux_sym_language_binding_token1] = ACTIONS(7478),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7481),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7484),
    [aux_sym_use_statement_token2] = ACTIONS(7484),
    [anon_sym_COLON_COLON] = ACTIONS(7487),
    [aux_sym_implicit_statement_token4] = ACTIONS(7484),
    [aux_sym_save_statement_token1] = ACTIONS(7484),
    [aux_sym_private_statement_token1] = ACTIONS(7484),
    [aux_sym_public_statement_token1] = ACTIONS(7484),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7484),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7484),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7484),
    [aux_sym_variable_attributes_token1] = ACTIONS(7484),
    [aux_sym_variable_attributes_token2] = ACTIONS(7484),
    [aux_sym_variable_attributes_token3] = ACTIONS(7484),
    [aux_sym_variable_attributes_token4] = ACTIONS(7484),
    [aux_sym_variable_attributes_token5] = ACTIONS(7484),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7476),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7476),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7476),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7489),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7492),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7498),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7484),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7484),
    [aux_sym_type_qualifier_token1] = ACTIONS(7476),
    [aux_sym_type_qualifier_token2] = ACTIONS(7476),
    [aux_sym_stop_statement_token1] = ACTIONS(7476),
    [aux_sym_stop_statement_token2] = ACTIONS(7476),
    [aux_sym_keyword_statement_token2] = ACTIONS(7476),
    [aux_sym_keyword_statement_token3] = ACTIONS(7476),
    [aux_sym_data_statement_token1] = ACTIONS(7476),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7476),
    [aux_sym_end_if_statement_token1] = ACTIONS(7476),
    [aux_sym_elseif_clause_token2] = ACTIONS(7476),
    [aux_sym_select_case_statement_token1] = ACTIONS(7476),
    [aux_sym_block_construct_token1] = ACTIONS(7476),
    [aux_sym_format_statement_token1] = ACTIONS(7476),
    [aux_sym_inquire_statement_token1] = ACTIONS(7476),
    [aux_sym_entry_statement_token1] = ACTIONS(7476),
    [aux_sym_null_literal_token1] = ACTIONS(7476),
    [aux_sym_coarray_statement_token1] = ACTIONS(7476),
    [aux_sym_coarray_statement_token2] = ACTIONS(7476),
    [aux_sym_coarray_statement_token6] = ACTIONS(7476),
    [aux_sym_coarray_statement_token8] = ACTIONS(7476),
    [aux_sym_coarray_statement_token11] = ACTIONS(7476),
    [aux_sym_coarray_statement_token12] = ACTIONS(7476),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7476),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7476),
    [aux_sym_identifier_token1] = ACTIONS(7476),
    [sym_comment] = ACTIONS(21),
  },
  [3338] = {
    [sym__argument_list] = STATE(2550),
    [sym_argument_list] = STATE(3409),
    [anon_sym_LPAREN2] = ACTIONS(6702),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
  },
  [3339] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6263),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6263),
    [sym_identifier] = STATE(6418),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_LPAREN2] = ACTIONS(7503),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7511),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3340] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6163),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6163),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3715),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7515),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3341] = {
    [sym_character_length] = STATE(3465),
    [sym__argument_list] = STATE(3170),
    [sym_argument_list] = STATE(3466),
    [sym_coarray_index] = STATE(3545),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_LPAREN2] = ACTIONS(7519),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7523),
    [anon_sym_EQ] = ACTIONS(7523),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7523),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7523),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7523),
    [aux_sym_use_statement_token2] = ACTIONS(7523),
    [anon_sym_EQ_GT] = ACTIONS(7517),
    [aux_sym_implicit_statement_token4] = ACTIONS(7523),
    [aux_sym_save_statement_token1] = ACTIONS(7523),
    [aux_sym_private_statement_token1] = ACTIONS(7523),
    [aux_sym_public_statement_token1] = ACTIONS(7523),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7523),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7523),
    [aux_sym_variable_attributes_token2] = ACTIONS(7523),
    [aux_sym_variable_attributes_token3] = ACTIONS(7523),
    [aux_sym_variable_attributes_token5] = ACTIONS(7523),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7523),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7523),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7523),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7523),
    [aux_sym_type_qualifier_token1] = ACTIONS(7523),
    [aux_sym_type_qualifier_token2] = ACTIONS(7523),
    [anon_sym_SEMI] = ACTIONS(7517),
    [aux_sym_stop_statement_token1] = ACTIONS(7523),
    [aux_sym_stop_statement_token2] = ACTIONS(7523),
    [aux_sym_keyword_statement_token2] = ACTIONS(7523),
    [aux_sym_keyword_statement_token3] = ACTIONS(7523),
    [aux_sym_data_statement_token1] = ACTIONS(7523),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7523),
    [aux_sym_end_if_statement_token1] = ACTIONS(7523),
    [aux_sym_elseif_clause_token2] = ACTIONS(7523),
    [aux_sym_select_case_statement_token1] = ACTIONS(7523),
    [aux_sym_block_construct_token1] = ACTIONS(7523),
    [aux_sym_format_statement_token1] = ACTIONS(7523),
    [aux_sym_inquire_statement_token1] = ACTIONS(7523),
    [aux_sym_entry_statement_token1] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [aux_sym_null_literal_token1] = ACTIONS(7523),
    [aux_sym_coarray_statement_token1] = ACTIONS(7523),
    [aux_sym_coarray_statement_token2] = ACTIONS(7523),
    [aux_sym_coarray_statement_token6] = ACTIONS(7523),
    [aux_sym_coarray_statement_token8] = ACTIONS(7523),
    [aux_sym_coarray_statement_token11] = ACTIONS(7523),
    [aux_sym_coarray_statement_token12] = ACTIONS(7523),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7523),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7523),
    [aux_sym_identifier_token1] = ACTIONS(7523),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7517),
  },
  [3342] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6302),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6302),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3344),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7527),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3343] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6205),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6205),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3349),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7529),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3344] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6090),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6090),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3715),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7531),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3345] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6140),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6140),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3715),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7533),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3346] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6097),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6097),
    [sym_identifier] = STATE(6418),
    [anon_sym_COMMA] = ACTIONS(7535),
    [anon_sym_LPAREN2] = ACTIONS(7537),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7539),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3347] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6176),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6176),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3340),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7541),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3348] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6115),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6115),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3345),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7543),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3349] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6255),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6255),
    [sym_identifier] = STATE(6418),
    [aux_sym_procedure_statement_repeat1] = STATE(3715),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3350] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7547),
    [aux_sym_preproc_def_token1] = ACTIONS(7547),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [aux_sym_preproc_if_token1] = ACTIONS(7547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7547),
    [sym_preproc_directive] = ACTIONS(7547),
    [anon_sym_LPAREN2] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7547),
    [anon_sym_SLASH] = ACTIONS(7547),
    [anon_sym_PERCENT] = ACTIONS(7549),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7549),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_GT_EQ] = ACTIONS(7549),
    [anon_sym_LT_EQ] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [aux_sym_end_program_statement_token1] = ACTIONS(7547),
    [aux_sym_end_program_statement_token2] = ACTIONS(7549),
    [aux_sym_module_statement_token1] = ACTIONS(7549),
    [anon_sym_COLON] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7547),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7549),
    [aux_sym_function_statement_token1] = ACTIONS(7549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7549),
    [anon_sym_EQ_GT] = ACTIONS(7549),
    [aux_sym_implicit_statement_token3] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7549),
    [aux_sym_derived_type_token1] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7549),
    [anon_sym_GT_GT_GT] = ACTIONS(7549),
    [aux_sym_include_statement_token1] = ACTIONS(7549),
    [aux_sym_logical_expression_token1] = ACTIONS(7549),
    [aux_sym_logical_expression_token2] = ACTIONS(7549),
    [aux_sym_logical_expression_token3] = ACTIONS(7549),
    [aux_sym_logical_expression_token4] = ACTIONS(7549),
    [aux_sym_relational_expression_token1] = ACTIONS(7549),
    [aux_sym_relational_expression_token2] = ACTIONS(7549),
    [aux_sym_relational_expression_token3] = ACTIONS(7549),
    [aux_sym_relational_expression_token4] = ACTIONS(7549),
    [aux_sym_relational_expression_token5] = ACTIONS(7549),
    [anon_sym_SLASH_EQ] = ACTIONS(7549),
    [aux_sym_relational_expression_token6] = ACTIONS(7549),
    [anon_sym_SLASH_SLASH] = ACTIONS(7549),
    [anon_sym_STAR_STAR] = ACTIONS(7549),
    [anon_sym_DOT] = ACTIONS(7547),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7549),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_QMARK] = ACTIONS(7549),
    [sym_comment] = ACTIONS(21),
  },
  [3351] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4289),
    [aux_sym_preproc_def_token1] = ACTIONS(4289),
    [anon_sym_COMMA] = ACTIONS(4291),
    [anon_sym_RPAREN] = ACTIONS(4291),
    [aux_sym_preproc_if_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4289),
    [sym_preproc_directive] = ACTIONS(4289),
    [anon_sym_LPAREN2] = ACTIONS(4291),
    [anon_sym_PLUS] = ACTIONS(4291),
    [anon_sym_DASH] = ACTIONS(4291),
    [anon_sym_STAR] = ACTIONS(4289),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4291),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4291),
    [anon_sym_GT] = ACTIONS(4289),
    [anon_sym_GT_EQ] = ACTIONS(4291),
    [anon_sym_LT_EQ] = ACTIONS(4291),
    [anon_sym_LT] = ACTIONS(4289),
    [aux_sym_end_program_statement_token1] = ACTIONS(4289),
    [aux_sym_module_statement_token1] = ACTIONS(4291),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4291),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4291),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4291),
    [aux_sym_function_statement_token1] = ACTIONS(4291),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4291),
    [anon_sym_COLON_COLON] = ACTIONS(4291),
    [aux_sym_implicit_statement_token3] = ACTIONS(4291),
    [aux_sym_import_statement_token1] = ACTIONS(4291),
    [aux_sym_procedure_kind_token1] = ACTIONS(4291),
    [aux_sym_procedure_kind_token2] = ACTIONS(4291),
    [aux_sym_procedure_kind_token3] = ACTIONS(4291),
    [aux_sym_procedure_kind_token4] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4289),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4291),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4291),
    [aux_sym_derived_type_token1] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4291),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4291),
    [aux_sym_logical_expression_token1] = ACTIONS(4291),
    [aux_sym_logical_expression_token2] = ACTIONS(4291),
    [aux_sym_logical_expression_token3] = ACTIONS(4291),
    [aux_sym_logical_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token1] = ACTIONS(4291),
    [aux_sym_relational_expression_token2] = ACTIONS(4291),
    [aux_sym_relational_expression_token3] = ACTIONS(4291),
    [aux_sym_relational_expression_token4] = ACTIONS(4291),
    [aux_sym_relational_expression_token5] = ACTIONS(4291),
    [anon_sym_SLASH_EQ] = ACTIONS(4291),
    [aux_sym_relational_expression_token6] = ACTIONS(4291),
    [anon_sym_SLASH_SLASH] = ACTIONS(4291),
    [anon_sym_STAR_STAR] = ACTIONS(4291),
    [anon_sym_DOT] = ACTIONS(4289),
    [anon_sym_LBRACK] = ACTIONS(4291),
    [anon_sym_QMARK] = ACTIONS(4291),
    [sym_comment] = ACTIONS(21),
  },
  [3352] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_module_statement_token1] = ACTIONS(4287),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4287),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4287),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4287),
    [aux_sym_function_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4287),
    [anon_sym_COLON_COLON] = ACTIONS(4287),
    [aux_sym_implicit_statement_token3] = ACTIONS(4287),
    [aux_sym_import_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token2] = ACTIONS(4287),
    [aux_sym_procedure_kind_token3] = ACTIONS(4287),
    [aux_sym_procedure_kind_token4] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4287),
    [aux_sym_derived_type_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4287),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [anon_sym_QMARK] = ACTIONS(4287),
    [sym_comment] = ACTIONS(21),
  },
  [3353] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6110),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6110),
    [sym_identifier] = STATE(6418),
    [anon_sym_COMMA] = ACTIONS(7551),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7553),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3354] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4285),
    [aux_sym_preproc_def_token1] = ACTIONS(4285),
    [anon_sym_COMMA] = ACTIONS(4287),
    [anon_sym_RPAREN] = ACTIONS(4287),
    [aux_sym_preproc_if_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4285),
    [sym_preproc_directive] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(4287),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4285),
    [anon_sym_PERCENT] = ACTIONS(4287),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4287),
    [anon_sym_GT] = ACTIONS(4285),
    [anon_sym_GT_EQ] = ACTIONS(4287),
    [anon_sym_LT_EQ] = ACTIONS(4287),
    [anon_sym_LT] = ACTIONS(4285),
    [aux_sym_end_program_statement_token1] = ACTIONS(4285),
    [aux_sym_module_statement_token1] = ACTIONS(4287),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4287),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4287),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4287),
    [aux_sym_function_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4287),
    [anon_sym_COLON_COLON] = ACTIONS(4287),
    [aux_sym_implicit_statement_token3] = ACTIONS(4287),
    [aux_sym_import_statement_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token1] = ACTIONS(4287),
    [aux_sym_procedure_kind_token2] = ACTIONS(4287),
    [aux_sym_procedure_kind_token3] = ACTIONS(4287),
    [aux_sym_procedure_kind_token4] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4285),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4287),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4287),
    [aux_sym_derived_type_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4287),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4287),
    [aux_sym_logical_expression_token1] = ACTIONS(4287),
    [aux_sym_logical_expression_token2] = ACTIONS(4287),
    [aux_sym_logical_expression_token3] = ACTIONS(4287),
    [aux_sym_logical_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token1] = ACTIONS(4287),
    [aux_sym_relational_expression_token2] = ACTIONS(4287),
    [aux_sym_relational_expression_token3] = ACTIONS(4287),
    [aux_sym_relational_expression_token4] = ACTIONS(4287),
    [aux_sym_relational_expression_token5] = ACTIONS(4287),
    [anon_sym_SLASH_EQ] = ACTIONS(4287),
    [aux_sym_relational_expression_token6] = ACTIONS(4287),
    [anon_sym_SLASH_SLASH] = ACTIONS(4287),
    [anon_sym_STAR_STAR] = ACTIONS(4287),
    [anon_sym_DOT] = ACTIONS(4285),
    [anon_sym_LBRACK] = ACTIONS(4287),
    [anon_sym_QMARK] = ACTIONS(4287),
    [sym_comment] = ACTIONS(21),
  },
  [3355] = {
    [aux_sym_preproc_include_token1] = ACTIONS(4297),
    [aux_sym_preproc_def_token1] = ACTIONS(4297),
    [anon_sym_COMMA] = ACTIONS(4299),
    [anon_sym_RPAREN] = ACTIONS(4299),
    [aux_sym_preproc_if_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4297),
    [sym_preproc_directive] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(4299),
    [anon_sym_PLUS] = ACTIONS(4299),
    [anon_sym_DASH] = ACTIONS(4299),
    [anon_sym_STAR] = ACTIONS(4297),
    [anon_sym_SLASH] = ACTIONS(4297),
    [anon_sym_PERCENT] = ACTIONS(4299),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(4299),
    [anon_sym_GT] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_LT] = ACTIONS(4297),
    [aux_sym_end_program_statement_token1] = ACTIONS(4297),
    [aux_sym_module_statement_token1] = ACTIONS(4299),
    [aux_sym_end_interface_statement_token1] = ACTIONS(4299),
    [aux_sym_subroutine_statement_token1] = ACTIONS(4299),
    [aux_sym_module_procedure_statement_token1] = ACTIONS(4299),
    [aux_sym_function_statement_token1] = ACTIONS(4299),
    [aux_sym_procedure_attributes_token1] = ACTIONS(4299),
    [anon_sym_COLON_COLON] = ACTIONS(4299),
    [aux_sym_implicit_statement_token3] = ACTIONS(4299),
    [aux_sym_import_statement_token1] = ACTIONS(4299),
    [aux_sym_procedure_kind_token1] = ACTIONS(4299),
    [aux_sym_procedure_kind_token2] = ACTIONS(4299),
    [aux_sym_procedure_kind_token3] = ACTIONS(4299),
    [aux_sym_procedure_kind_token4] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token1] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token2] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token3] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token4] = ACTIONS(4297),
    [aux_sym__intrinsic_type_token6] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token7] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token8] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token9] = ACTIONS(4299),
    [aux_sym__intrinsic_type_token10] = ACTIONS(4299),
    [aux_sym_derived_type_token1] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(4299),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(4299),
    [aux_sym_logical_expression_token1] = ACTIONS(4299),
    [aux_sym_logical_expression_token2] = ACTIONS(4299),
    [aux_sym_logical_expression_token3] = ACTIONS(4299),
    [aux_sym_logical_expression_token4] = ACTIONS(4299),
    [aux_sym_relational_expression_token1] = ACTIONS(4299),
    [aux_sym_relational_expression_token2] = ACTIONS(4299),
    [aux_sym_relational_expression_token3] = ACTIONS(4299),
    [aux_sym_relational_expression_token4] = ACTIONS(4299),
    [aux_sym_relational_expression_token5] = ACTIONS(4299),
    [anon_sym_SLASH_EQ] = ACTIONS(4299),
    [aux_sym_relational_expression_token6] = ACTIONS(4299),
    [anon_sym_SLASH_SLASH] = ACTIONS(4299),
    [anon_sym_STAR_STAR] = ACTIONS(4299),
    [anon_sym_DOT] = ACTIONS(4297),
    [anon_sym_LBRACK] = ACTIONS(4299),
    [anon_sym_QMARK] = ACTIONS(4299),
    [sym_comment] = ACTIONS(21),
  },
  [3356] = {
    [sym_assignment] = STATE(7884),
    [sym_operator] = STATE(7884),
    [sym_defined_io_procedure] = STATE(7884),
    [sym__generic_procedure] = STATE(7884),
    [sym_binding] = STATE(6142),
    [sym_binding_name] = STATE(8144),
    [sym_method_name] = STATE(6142),
    [sym_identifier] = STATE(6418),
    [anon_sym_COMMA] = ACTIONS(7555),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(7505),
    [aux_sym_operator_token1] = ACTIONS(7507),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7509),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7509),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7557),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
  },
  [3357] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7559),
    [aux_sym_preproc_def_token1] = ACTIONS(7559),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [aux_sym_preproc_if_token1] = ACTIONS(7559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7559),
    [sym_preproc_directive] = ACTIONS(7559),
    [anon_sym_LPAREN2] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7559),
    [anon_sym_SLASH] = ACTIONS(7559),
    [anon_sym_PERCENT] = ACTIONS(7561),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7561),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_GT_EQ] = ACTIONS(7561),
    [anon_sym_LT_EQ] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [aux_sym_end_program_statement_token1] = ACTIONS(7559),
    [aux_sym_end_program_statement_token2] = ACTIONS(7561),
    [aux_sym_module_statement_token1] = ACTIONS(7561),
    [anon_sym_COLON] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7559),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7561),
    [aux_sym_function_statement_token1] = ACTIONS(7561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7561),
    [anon_sym_EQ_GT] = ACTIONS(7561),
    [aux_sym_implicit_statement_token3] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7561),
    [aux_sym_derived_type_token1] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7561),
    [anon_sym_GT_GT_GT] = ACTIONS(7561),
    [aux_sym_include_statement_token1] = ACTIONS(7561),
    [aux_sym_logical_expression_token1] = ACTIONS(7561),
    [aux_sym_logical_expression_token2] = ACTIONS(7561),
    [aux_sym_logical_expression_token3] = ACTIONS(7561),
    [aux_sym_logical_expression_token4] = ACTIONS(7561),
    [aux_sym_relational_expression_token1] = ACTIONS(7561),
    [aux_sym_relational_expression_token2] = ACTIONS(7561),
    [aux_sym_relational_expression_token3] = ACTIONS(7561),
    [aux_sym_relational_expression_token4] = ACTIONS(7561),
    [aux_sym_relational_expression_token5] = ACTIONS(7561),
    [anon_sym_SLASH_EQ] = ACTIONS(7561),
    [aux_sym_relational_expression_token6] = ACTIONS(7561),
    [anon_sym_SLASH_SLASH] = ACTIONS(7561),
    [anon_sym_STAR_STAR] = ACTIONS(7561),
    [anon_sym_DOT] = ACTIONS(7559),
    [anon_sym_SLASH_RPAREN] = ACTIONS(7561),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_QMARK] = ACTIONS(7561),
    [sym_comment] = ACTIONS(21),
  },
  [3358] = {
    [sym_assignment] = STATE(6963),
    [sym_operator] = STATE(6963),
    [sym_defined_io_procedure] = STATE(6963),
    [sym__generic_procedure] = STATE(6963),
    [sym__name] = STATE(6963),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1604),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7563),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7563),
  },
  [3359] = {
    [sym_assignment] = STATE(6817),
    [sym_operator] = STATE(6817),
    [sym_defined_io_procedure] = STATE(6817),
    [sym__generic_procedure] = STATE(6817),
    [sym__name] = STATE(6817),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1033),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7565),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7565),
  },
  [3360] = {
    [sym_assignment] = STATE(6818),
    [sym_operator] = STATE(6818),
    [sym_defined_io_procedure] = STATE(6818),
    [sym__generic_procedure] = STATE(6818),
    [sym__name] = STATE(6818),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1036),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7567),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7567),
  },
  [3361] = {
    [sym_assignment] = STATE(6572),
    [sym_operator] = STATE(6572),
    [sym_defined_io_procedure] = STATE(6572),
    [sym__generic_procedure] = STATE(6572),
    [sym__name] = STATE(6572),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1021),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7569),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7569),
  },
  [3362] = {
    [sym_assignment] = STATE(6865),
    [sym_operator] = STATE(6865),
    [sym_defined_io_procedure] = STATE(6865),
    [sym__generic_procedure] = STATE(6865),
    [sym__name] = STATE(6865),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1190),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7571),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7571),
  },
  [3363] = {
    [sym_assignment] = STATE(6866),
    [sym_operator] = STATE(6866),
    [sym_defined_io_procedure] = STATE(6866),
    [sym__generic_procedure] = STATE(6866),
    [sym__name] = STATE(6866),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1178),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7573),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7573),
  },
  [3364] = {
    [sym_assignment] = STATE(6913),
    [sym_operator] = STATE(6913),
    [sym_defined_io_procedure] = STATE(6913),
    [sym__generic_procedure] = STATE(6913),
    [sym__name] = STATE(6913),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2684),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7575),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7575),
  },
  [3365] = {
    [sym_assignment] = STATE(6914),
    [sym_operator] = STATE(6914),
    [sym_defined_io_procedure] = STATE(6914),
    [sym__generic_procedure] = STATE(6914),
    [sym__name] = STATE(6914),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2696),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7577),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7577),
  },
  [3366] = {
    [sym_assignment] = STATE(7186),
    [sym_operator] = STATE(7186),
    [sym_defined_io_procedure] = STATE(7186),
    [sym__generic_procedure] = STATE(7186),
    [sym__name] = STATE(7186),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4531),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7579),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7579),
  },
  [3367] = {
    [sym_assignment] = STATE(6114),
    [sym_operator] = STATE(6114),
    [sym_defined_io_procedure] = STATE(6114),
    [sym__generic_procedure] = STATE(6114),
    [sym_identifier] = STATE(6114),
    [sym__end_of_statement] = STATE(5302),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7581),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7583),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7583),
  },
  [3368] = {
    [sym_assignment] = STATE(6138),
    [sym_operator] = STATE(6138),
    [sym_defined_io_procedure] = STATE(6138),
    [sym__generic_procedure] = STATE(6138),
    [sym_identifier] = STATE(6138),
    [sym__end_of_statement] = STATE(5303),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7585),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7587),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7587),
  },
  [3369] = {
    [sym_assignment] = STATE(6962),
    [sym_operator] = STATE(6962),
    [sym_defined_io_procedure] = STATE(6962),
    [sym__generic_procedure] = STATE(6962),
    [sym__name] = STATE(6962),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1597),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7589),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7589),
  },
  [3370] = {
    [sym_assignment] = STATE(6487),
    [sym_operator] = STATE(6487),
    [sym_defined_io_procedure] = STATE(6487),
    [sym__generic_procedure] = STATE(6487),
    [sym__name] = STATE(6487),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2808),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7591),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7591),
  },
  [3371] = {
    [sym_assignment] = STATE(6488),
    [sym_operator] = STATE(6488),
    [sym_defined_io_procedure] = STATE(6488),
    [sym__generic_procedure] = STATE(6488),
    [sym__name] = STATE(6488),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2818),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7593),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7593),
  },
  [3372] = {
    [sym_assignment] = STATE(6993),
    [sym_operator] = STATE(6993),
    [sym_defined_io_procedure] = STATE(6993),
    [sym__generic_procedure] = STATE(6993),
    [sym__name] = STATE(6993),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2994),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7595),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7595),
  },
  [3373] = {
    [sym_assignment] = STATE(6994),
    [sym_operator] = STATE(6994),
    [sym_defined_io_procedure] = STATE(6994),
    [sym__generic_procedure] = STATE(6994),
    [sym__name] = STATE(6994),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(3111),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7597),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7597),
  },
  [3374] = {
    [sym_assignment] = STATE(7022),
    [sym_operator] = STATE(7022),
    [sym_defined_io_procedure] = STATE(7022),
    [sym__generic_procedure] = STATE(7022),
    [sym__name] = STATE(7022),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1460),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7599),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7599),
  },
  [3375] = {
    [sym_assignment] = STATE(7023),
    [sym_operator] = STATE(7023),
    [sym_defined_io_procedure] = STATE(7023),
    [sym__generic_procedure] = STATE(7023),
    [sym__name] = STATE(7023),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1465),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7601),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7601),
  },
  [3376] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7559),
    [aux_sym_preproc_def_token1] = ACTIONS(7559),
    [anon_sym_COMMA] = ACTIONS(7561),
    [aux_sym_preproc_if_token1] = ACTIONS(7559),
    [aux_sym_preproc_if_token2] = ACTIONS(7559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7559),
    [aux_sym_preproc_else_token1] = ACTIONS(7559),
    [aux_sym_preproc_elif_token1] = ACTIONS(7559),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7559),
    [sym_preproc_directive] = ACTIONS(7559),
    [anon_sym_LPAREN2] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7559),
    [anon_sym_SLASH] = ACTIONS(7559),
    [anon_sym_PERCENT] = ACTIONS(7561),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7561),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_GT_EQ] = ACTIONS(7561),
    [anon_sym_LT_EQ] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [aux_sym_end_program_statement_token1] = ACTIONS(7559),
    [aux_sym_module_statement_token1] = ACTIONS(7561),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7561),
    [aux_sym_function_statement_token1] = ACTIONS(7561),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7561),
    [aux_sym_implicit_statement_token3] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7559),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7561),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7561),
    [aux_sym_derived_type_token1] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7561),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7561),
    [aux_sym_include_statement_token1] = ACTIONS(7561),
    [aux_sym_enumerator_statement_token1] = ACTIONS(7561),
    [aux_sym_end_enum_statement_token1] = ACTIONS(7561),
    [aux_sym_logical_expression_token1] = ACTIONS(7561),
    [aux_sym_logical_expression_token2] = ACTIONS(7561),
    [aux_sym_logical_expression_token3] = ACTIONS(7561),
    [aux_sym_logical_expression_token4] = ACTIONS(7561),
    [aux_sym_relational_expression_token1] = ACTIONS(7561),
    [aux_sym_relational_expression_token2] = ACTIONS(7561),
    [aux_sym_relational_expression_token3] = ACTIONS(7561),
    [aux_sym_relational_expression_token4] = ACTIONS(7561),
    [aux_sym_relational_expression_token5] = ACTIONS(7561),
    [anon_sym_SLASH_EQ] = ACTIONS(7561),
    [aux_sym_relational_expression_token6] = ACTIONS(7561),
    [anon_sym_SLASH_SLASH] = ACTIONS(7561),
    [anon_sym_STAR_STAR] = ACTIONS(7561),
    [anon_sym_DOT] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_QMARK] = ACTIONS(7561),
    [sym_comment] = ACTIONS(21),
  },
  [3377] = {
    [sym__type_name] = STATE(6285),
    [sym__intrinsic_type] = STATE(6290),
    [sym_unlimited_polymorphic] = STATE(8577),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3378] = {
    [sym_assignment] = STATE(7173),
    [sym_operator] = STATE(7173),
    [sym_defined_io_procedure] = STATE(7173),
    [sym__generic_procedure] = STATE(7173),
    [sym__name] = STATE(7173),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2880),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7605),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7605),
  },
  [3379] = {
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5700),
    [aux_sym_interface_statement_token1] = ACTIONS(7607),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5700),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5700),
    [aux_sym_language_binding_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token1] = ACTIONS(5700),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5700),
    [aux_sym_use_statement_token2] = ACTIONS(5700),
    [anon_sym_COLON_COLON] = ACTIONS(6704),
    [aux_sym_implicit_statement_token4] = ACTIONS(5700),
    [aux_sym_save_statement_token1] = ACTIONS(5700),
    [aux_sym_private_statement_token1] = ACTIONS(5700),
    [aux_sym_public_statement_token1] = ACTIONS(5700),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5700),
    [aux_sym_abstract_specifier_token1] = ACTIONS(5700),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5700),
    [aux_sym_variable_attributes_token1] = ACTIONS(5700),
    [aux_sym_variable_attributes_token2] = ACTIONS(5700),
    [aux_sym_variable_attributes_token3] = ACTIONS(5700),
    [aux_sym_variable_attributes_token4] = ACTIONS(5700),
    [aux_sym_variable_attributes_token5] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5700),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5700),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(5700),
    [aux_sym_type_qualifier_token1] = ACTIONS(5700),
    [aux_sym_type_qualifier_token2] = ACTIONS(5700),
    [aux_sym_stop_statement_token1] = ACTIONS(5700),
    [aux_sym_stop_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token2] = ACTIONS(5700),
    [aux_sym_keyword_statement_token3] = ACTIONS(5700),
    [aux_sym_data_statement_token1] = ACTIONS(5700),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5700),
    [aux_sym_end_if_statement_token1] = ACTIONS(5700),
    [aux_sym_elseif_clause_token2] = ACTIONS(5700),
    [aux_sym_select_case_statement_token1] = ACTIONS(5700),
    [aux_sym_block_construct_token1] = ACTIONS(5700),
    [aux_sym_format_statement_token1] = ACTIONS(5700),
    [aux_sym_inquire_statement_token1] = ACTIONS(5700),
    [aux_sym_entry_statement_token1] = ACTIONS(5700),
    [aux_sym_null_literal_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_statement_token2] = ACTIONS(5700),
    [aux_sym_coarray_statement_token6] = ACTIONS(5700),
    [aux_sym_coarray_statement_token8] = ACTIONS(5700),
    [aux_sym_coarray_statement_token11] = ACTIONS(5700),
    [aux_sym_coarray_statement_token12] = ACTIONS(5700),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5700),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5700),
    [aux_sym_identifier_token1] = ACTIONS(5700),
    [sym_comment] = ACTIONS(21),
  },
  [3380] = {
    [aux_sym_preproc_include_token1] = ACTIONS(7547),
    [aux_sym_preproc_def_token1] = ACTIONS(7547),
    [anon_sym_COMMA] = ACTIONS(7549),
    [aux_sym_preproc_if_token1] = ACTIONS(7547),
    [aux_sym_preproc_if_token2] = ACTIONS(7547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7547),
    [aux_sym_preproc_else_token1] = ACTIONS(7547),
    [aux_sym_preproc_elif_token1] = ACTIONS(7547),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(7547),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(7547),
    [sym_preproc_directive] = ACTIONS(7547),
    [anon_sym_LPAREN2] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7547),
    [anon_sym_SLASH] = ACTIONS(7547),
    [anon_sym_PERCENT] = ACTIONS(7549),
    [anon_sym_AMP] = ACTIONS(21),
    [anon_sym_EQ_EQ] = ACTIONS(7549),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_GT_EQ] = ACTIONS(7549),
    [anon_sym_LT_EQ] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [aux_sym_end_program_statement_token1] = ACTIONS(7547),
    [aux_sym_module_statement_token1] = ACTIONS(7549),
    [aux_sym_subroutine_statement_token1] = ACTIONS(7549),
    [aux_sym_function_statement_token1] = ACTIONS(7549),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7549),
    [aux_sym_implicit_statement_token3] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token2] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7547),
    [aux_sym__intrinsic_type_token6] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token7] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token8] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token9] = ACTIONS(7549),
    [aux_sym__intrinsic_type_token10] = ACTIONS(7549),
    [aux_sym_derived_type_token1] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token1] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token2] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token3] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token4] = ACTIONS(7549),
    [aux_sym_procedure_qualifier_token5] = ACTIONS(7549),
    [aux_sym_include_statement_token1] = ACTIONS(7549),
    [aux_sym_enumerator_statement_token1] = ACTIONS(7549),
    [aux_sym_end_enum_statement_token1] = ACTIONS(7549),
    [aux_sym_logical_expression_token1] = ACTIONS(7549),
    [aux_sym_logical_expression_token2] = ACTIONS(7549),
    [aux_sym_logical_expression_token3] = ACTIONS(7549),
    [aux_sym_logical_expression_token4] = ACTIONS(7549),
    [aux_sym_relational_expression_token1] = ACTIONS(7549),
    [aux_sym_relational_expression_token2] = ACTIONS(7549),
    [aux_sym_relational_expression_token3] = ACTIONS(7549),
    [aux_sym_relational_expression_token4] = ACTIONS(7549),
    [aux_sym_relational_expression_token5] = ACTIONS(7549),
    [anon_sym_SLASH_EQ] = ACTIONS(7549),
    [aux_sym_relational_expression_token6] = ACTIONS(7549),
    [anon_sym_SLASH_SLASH] = ACTIONS(7549),
    [anon_sym_STAR_STAR] = ACTIONS(7549),
    [anon_sym_DOT] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_QMARK] = ACTIONS(7549),
    [sym_comment] = ACTIONS(21),
  },
  [3381] = {
    [sym__type_name] = STATE(6247),
    [sym__intrinsic_type] = STATE(6249),
    [sym_unlimited_polymorphic] = STATE(8118),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3382] = {
    [sym__type_name] = STATE(6256),
    [sym__intrinsic_type] = STATE(6258),
    [sym_unlimited_polymorphic] = STATE(8157),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3383] = {
    [sym_assignment] = STATE(6569),
    [sym_operator] = STATE(6569),
    [sym_defined_io_procedure] = STATE(6569),
    [sym__generic_procedure] = STATE(6569),
    [sym__name] = STATE(6569),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(897),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7609),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7609),
  },
  [3384] = {
    [sym_assignment] = STATE(6570),
    [sym_operator] = STATE(6570),
    [sym_defined_io_procedure] = STATE(6570),
    [sym__generic_procedure] = STATE(6570),
    [sym__name] = STATE(6570),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(899),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7611),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7611),
  },
  [3385] = {
    [sym_assignment] = STATE(6135),
    [sym_operator] = STATE(6135),
    [sym_defined_io_procedure] = STATE(6135),
    [sym__generic_procedure] = STATE(6135),
    [sym_identifier] = STATE(6135),
    [sym__end_of_statement] = STATE(5663),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7613),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7615),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7615),
  },
  [3386] = {
    [anon_sym_COMMA] = ACTIONS(7617),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7619),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7619),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7619),
    [aux_sym_language_binding_token1] = ACTIONS(7619),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7619),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7619),
    [aux_sym_use_statement_token2] = ACTIONS(7619),
    [anon_sym_COLON_COLON] = ACTIONS(7617),
    [aux_sym_implicit_statement_token4] = ACTIONS(7619),
    [aux_sym_save_statement_token1] = ACTIONS(7619),
    [aux_sym_private_statement_token1] = ACTIONS(7619),
    [aux_sym_public_statement_token1] = ACTIONS(7619),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7619),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7619),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7619),
    [aux_sym_variable_attributes_token1] = ACTIONS(7619),
    [aux_sym_variable_attributes_token2] = ACTIONS(7619),
    [aux_sym_variable_attributes_token3] = ACTIONS(7619),
    [aux_sym_variable_attributes_token4] = ACTIONS(7619),
    [aux_sym_variable_attributes_token5] = ACTIONS(7619),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7619),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7619),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7619),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7619),
    [aux_sym_type_qualifier_token1] = ACTIONS(7619),
    [aux_sym_type_qualifier_token2] = ACTIONS(7619),
    [aux_sym_stop_statement_token1] = ACTIONS(7619),
    [aux_sym_stop_statement_token2] = ACTIONS(7619),
    [aux_sym_keyword_statement_token2] = ACTIONS(7619),
    [aux_sym_keyword_statement_token3] = ACTIONS(7619),
    [aux_sym_data_statement_token1] = ACTIONS(7619),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7619),
    [aux_sym_end_if_statement_token1] = ACTIONS(7619),
    [aux_sym_elseif_clause_token2] = ACTIONS(7619),
    [aux_sym_select_case_statement_token1] = ACTIONS(7619),
    [aux_sym_block_construct_token1] = ACTIONS(7619),
    [aux_sym_format_statement_token1] = ACTIONS(7619),
    [aux_sym_inquire_statement_token1] = ACTIONS(7619),
    [aux_sym_entry_statement_token1] = ACTIONS(7619),
    [aux_sym_null_literal_token1] = ACTIONS(7619),
    [aux_sym_coarray_statement_token1] = ACTIONS(7619),
    [aux_sym_coarray_statement_token2] = ACTIONS(7619),
    [aux_sym_coarray_statement_token6] = ACTIONS(7619),
    [aux_sym_coarray_statement_token8] = ACTIONS(7619),
    [aux_sym_coarray_statement_token11] = ACTIONS(7619),
    [aux_sym_coarray_statement_token12] = ACTIONS(7619),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7619),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7619),
    [aux_sym_identifier_token1] = ACTIONS(7619),
    [sym_comment] = ACTIONS(21),
  },
  [3387] = {
    [sym_assignment] = STATE(7070),
    [sym_operator] = STATE(7070),
    [sym_defined_io_procedure] = STATE(7070),
    [sym__generic_procedure] = STATE(7070),
    [sym__name] = STATE(7070),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1047),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7621),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7621),
  },
  [3388] = {
    [sym_assignment] = STATE(6136),
    [sym_operator] = STATE(6136),
    [sym_defined_io_procedure] = STATE(6136),
    [sym__generic_procedure] = STATE(6136),
    [sym_identifier] = STATE(6136),
    [sym__end_of_statement] = STATE(5664),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [anon_sym_COLON_COLON] = ACTIONS(7623),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7625),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7625),
  },
  [3389] = {
    [sym__type_name] = STATE(6294),
    [sym__intrinsic_type] = STATE(6296),
    [sym_unlimited_polymorphic] = STATE(8518),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3390] = {
    [sym__type_name] = STATE(6160),
    [sym__intrinsic_type] = STATE(6307),
    [sym_unlimited_polymorphic] = STATE(8529),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3391] = {
    [sym_while_statement] = STATE(6518),
    [sym_concurrent_statement] = STATE(6518),
    [sym_concurrent_header] = STATE(5774),
    [sym_loop_control_expression] = STATE(6518),
    [sym_identifier] = STATE(7861),
    [sym__end_of_statement] = STATE(662),
    [anon_sym_COMMA] = ACTIONS(7627),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(97),
    [aux_sym__intrinsic_type_token3] = ACTIONS(97),
    [aux_sym__intrinsic_type_token4] = ACTIONS(1416),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(7629),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym_while_statement_token1] = ACTIONS(7466),
    [aux_sym_concurrent_header_token1] = ACTIONS(7468),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7629),
  },
  [3392] = {
    [sym_assignment] = STATE(6632),
    [sym_operator] = STATE(6632),
    [sym_defined_io_procedure] = STATE(6632),
    [sym__generic_procedure] = STATE(6632),
    [sym__name] = STATE(6632),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1633),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7631),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7631),
  },
  [3393] = {
    [sym_assignment] = STATE(6633),
    [sym_operator] = STATE(6633),
    [sym_defined_io_procedure] = STATE(6633),
    [sym__generic_procedure] = STATE(6633),
    [sym__name] = STATE(6633),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1652),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7633),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7633),
  },
  [3394] = {
    [sym__type_name] = STATE(6295),
    [sym__intrinsic_type] = STATE(6303),
    [sym_unlimited_polymorphic] = STATE(8331),
    [sym_identifier] = STATE(6122),
    [anon_sym_STAR] = ACTIONS(7603),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(766),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(97),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(97),
    [aux_sym_procedure_attributes_token3] = ACTIONS(97),
    [aux_sym_use_statement_token2] = ACTIONS(97),
    [aux_sym_implicit_statement_token4] = ACTIONS(97),
    [aux_sym_save_statement_token1] = ACTIONS(97),
    [aux_sym_private_statement_token1] = ACTIONS(97),
    [aux_sym_public_statement_token1] = ACTIONS(97),
    [aux_sym_derived_type_definition_token1] = ACTIONS(97),
    [aux_sym_procedure_attribute_token6] = ACTIONS(97),
    [aux_sym_variable_attributes_token2] = ACTIONS(97),
    [aux_sym_variable_attributes_token3] = ACTIONS(97),
    [aux_sym_variable_attributes_token5] = ACTIONS(97),
    [aux_sym__intrinsic_type_token1] = ACTIONS(75),
    [aux_sym__intrinsic_type_token2] = ACTIONS(77),
    [aux_sym__intrinsic_type_token3] = ACTIONS(75),
    [aux_sym__intrinsic_type_token4] = ACTIONS(79),
    [aux_sym__intrinsic_type_token6] = ACTIONS(77),
    [aux_sym__intrinsic_type_token7] = ACTIONS(77),
    [aux_sym__intrinsic_type_token8] = ACTIONS(81),
    [aux_sym__intrinsic_type_token9] = ACTIONS(77),
    [aux_sym__intrinsic_type_token10] = ACTIONS(77),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(1418),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(97),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(97),
    [aux_sym_type_qualifier_token1] = ACTIONS(97),
    [aux_sym_type_qualifier_token2] = ACTIONS(97),
    [aux_sym_stop_statement_token1] = ACTIONS(97),
    [aux_sym_stop_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token2] = ACTIONS(97),
    [aux_sym_keyword_statement_token3] = ACTIONS(97),
    [aux_sym_data_statement_token1] = ACTIONS(97),
    [aux_sym__inline_if_statement_token1] = ACTIONS(97),
    [aux_sym_end_if_statement_token1] = ACTIONS(97),
    [aux_sym_elseif_clause_token2] = ACTIONS(97),
    [aux_sym_select_case_statement_token1] = ACTIONS(4669),
    [aux_sym_block_construct_token1] = ACTIONS(97),
    [aux_sym_format_statement_token1] = ACTIONS(97),
    [aux_sym_inquire_statement_token1] = ACTIONS(97),
    [aux_sym_entry_statement_token1] = ACTIONS(97),
    [aux_sym_null_literal_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_statement_token2] = ACTIONS(97),
    [aux_sym_coarray_statement_token6] = ACTIONS(97),
    [aux_sym_coarray_statement_token8] = ACTIONS(97),
    [aux_sym_coarray_statement_token11] = ACTIONS(97),
    [aux_sym_coarray_statement_token12] = ACTIONS(97),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(97),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(97),
    [aux_sym_identifier_token1] = ACTIONS(97),
    [sym_comment] = ACTIONS(21),
  },
  [3395] = {
    [sym_assignment] = STATE(6746),
    [sym_operator] = STATE(6746),
    [sym_defined_io_procedure] = STATE(6746),
    [sym__generic_procedure] = STATE(6746),
    [sym__name] = STATE(6746),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1383),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7635),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7635),
  },
  [3396] = {
    [sym_assignment] = STATE(6695),
    [sym_operator] = STATE(6695),
    [sym_defined_io_procedure] = STATE(6695),
    [sym__generic_procedure] = STATE(6695),
    [sym__name] = STATE(6695),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1397),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7637),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7637),
  },
  [3397] = {
    [sym_assignment] = STATE(6696),
    [sym_operator] = STATE(6696),
    [sym_defined_io_procedure] = STATE(6696),
    [sym__generic_procedure] = STATE(6696),
    [sym__name] = STATE(6696),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1407),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7639),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7639),
  },
  [3398] = {
    [sym_assignment] = STATE(7169),
    [sym_operator] = STATE(7169),
    [sym_defined_io_procedure] = STATE(7169),
    [sym__generic_procedure] = STATE(7169),
    [sym__name] = STATE(7169),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(2844),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7641),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7641),
  },
  [3399] = {
    [sym_assignment] = STATE(7309),
    [sym_operator] = STATE(7309),
    [sym_defined_io_procedure] = STATE(7309),
    [sym__generic_procedure] = STATE(7309),
    [sym__name] = STATE(7309),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(4643),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7643),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7643),
  },
  [3400] = {
    [sym_assignment] = STATE(6758),
    [sym_operator] = STATE(6758),
    [sym_defined_io_procedure] = STATE(6758),
    [sym__generic_procedure] = STATE(6758),
    [sym__name] = STATE(6758),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1450),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7645),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7645),
  },
  [3401] = {
    [sym_assignment] = STATE(6759),
    [sym_operator] = STATE(6759),
    [sym_defined_io_procedure] = STATE(6759),
    [sym__generic_procedure] = STATE(6759),
    [sym__name] = STATE(6759),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1471),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7647),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7647),
  },
  [3402] = {
    [sym_assignment] = STATE(7041),
    [sym_operator] = STATE(7041),
    [sym_defined_io_procedure] = STATE(7041),
    [sym__generic_procedure] = STATE(7041),
    [sym__name] = STATE(7041),
    [sym_identifier] = STATE(6116),
    [sym__end_of_statement] = STATE(1408),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(5493),
    [aux_sym_assignment_token1] = ACTIONS(5694),
    [aux_sym_operator_token1] = ACTIONS(5696),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(5698),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(5698),
    [aux_sym_procedure_attributes_token3] = ACTIONS(5495),
    [aux_sym_use_statement_token2] = ACTIONS(5495),
    [aux_sym_implicit_statement_token4] = ACTIONS(5495),
    [aux_sym_save_statement_token1] = ACTIONS(5495),
    [aux_sym_private_statement_token1] = ACTIONS(5495),
    [aux_sym_public_statement_token1] = ACTIONS(5495),
    [aux_sym_derived_type_definition_token1] = ACTIONS(5495),
    [aux_sym_procedure_attribute_token6] = ACTIONS(5495),
    [aux_sym_variable_attributes_token2] = ACTIONS(5495),
    [aux_sym_variable_attributes_token3] = ACTIONS(5495),
    [aux_sym_variable_attributes_token5] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token1] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token3] = ACTIONS(5495),
    [aux_sym__intrinsic_type_token4] = ACTIONS(5497),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(5499),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(5495),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(5495),
    [aux_sym_type_qualifier_token1] = ACTIONS(5495),
    [aux_sym_type_qualifier_token2] = ACTIONS(5495),
    [anon_sym_SEMI] = ACTIONS(7649),
    [aux_sym_stop_statement_token1] = ACTIONS(5495),
    [aux_sym_stop_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token2] = ACTIONS(5495),
    [aux_sym_keyword_statement_token3] = ACTIONS(5495),
    [aux_sym_data_statement_token1] = ACTIONS(5495),
    [aux_sym__inline_if_statement_token1] = ACTIONS(5495),
    [aux_sym_end_if_statement_token1] = ACTIONS(5495),
    [aux_sym_elseif_clause_token2] = ACTIONS(5495),
    [aux_sym_select_case_statement_token1] = ACTIONS(5501),
    [aux_sym_block_construct_token1] = ACTIONS(5495),
    [aux_sym_format_statement_token1] = ACTIONS(5495),
    [aux_sym_inquire_statement_token1] = ACTIONS(5495),
    [aux_sym_entry_statement_token1] = ACTIONS(5495),
    [aux_sym_null_literal_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_statement_token2] = ACTIONS(5495),
    [aux_sym_coarray_statement_token6] = ACTIONS(5495),
    [aux_sym_coarray_statement_token8] = ACTIONS(5495),
    [aux_sym_coarray_statement_token11] = ACTIONS(5495),
    [aux_sym_coarray_statement_token12] = ACTIONS(5495),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(5495),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(5495),
    [aux_sym_identifier_token1] = ACTIONS(5495),
    [sym_comment] = ACTIONS(21),
    [sym__external_end_of_statement] = ACTIONS(7649),
  },
  [3403] = {
    [anon_sym_COMMA] = ACTIONS(7651),
    [anon_sym_AMP] = ACTIONS(21),
    [aux_sym_end_program_statement_token1] = ACTIONS(7653),
    [aux_sym_defined_io_procedure_token1] = ACTIONS(7653),
    [aux_sym_defined_io_procedure_token2] = ACTIONS(7653),
    [aux_sym_language_binding_token1] = ACTIONS(7653),
    [aux_sym_procedure_attributes_token1] = ACTIONS(7653),
    [aux_sym_procedure_attributes_token3] = ACTIONS(7653),
    [aux_sym_use_statement_token2] = ACTIONS(7653),
    [anon_sym_COLON_COLON] = ACTIONS(7651),
    [aux_sym_implicit_statement_token4] = ACTIONS(7653),
    [aux_sym_save_statement_token1] = ACTIONS(7653),
    [aux_sym_private_statement_token1] = ACTIONS(7653),
    [aux_sym_public_statement_token1] = ACTIONS(7653),
    [aux_sym_derived_type_definition_token1] = ACTIONS(7653),
    [aux_sym_abstract_specifier_token1] = ACTIONS(7653),
    [aux_sym_procedure_attribute_token6] = ACTIONS(7653),
    [aux_sym_variable_attributes_token1] = ACTIONS(7653),
    [aux_sym_variable_attributes_token2] = ACTIONS(7653),
    [aux_sym_variable_attributes_token3] = ACTIONS(7653),
    [aux_sym_variable_attributes_token4] = ACTIONS(7653),
    [aux_sym_variable_attributes_token5] = ACTIONS(7653),
    [aux_sym__intrinsic_type_token1] = ACTIONS(7653),
    [aux_sym__intrinsic_type_token3] = ACTIONS(7653),
    [aux_sym__intrinsic_type_token4] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token1] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token2] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token3] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token4] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token5] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token6] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token10] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token11] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token12] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token13] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token14] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token15] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token16] = ACTIONS(7653),
    [aux_sym__standalone_type_qualifier_token17] = ACTIONS(7653),
    [aux_sym_type_qualifier_token1] = ACTIONS(7653),
    [aux_sym_type_qualifier_token2] = ACTIONS(7653),
    [aux_sym_stop_statement_token1] = ACTIONS(7653),
    [aux_sym_stop_statement_token2] = ACTIONS(7653),
    [aux_sym_keyword_statement_token2] = ACTIONS(7653),
    [aux_sym_keyword_statement_token3] = ACTIONS(7653),
    [aux_sym_data_statement_token1] = ACTIONS(7653),
    [aux_sym__inline_if_statement_token1] = ACTIONS(7653),
    [aux_sym_end_if_statement_token1] = ACTIONS(7653),
    [aux_sym_elseif_clause_token2] = ACTIONS(7653),
    [aux_sym_select_case_statement_token1] = ACTIONS(7653),
    [aux_sym_block_construct_token1] = ACTIONS(7653),
    [aux_sym_format_statement_token1] = ACTIONS(7653),
    [aux_sym_inquire_statement_token1] = ACTIONS(7653),
    [aux_sym_entry_statement_token1] = ACTIONS(7653),
    [aux_sym_null_literal_token1] = ACTIONS(7653),
    [aux_sym_coarray_statement_token1] = ACTIONS(7653),
    [aux_sym_coarray_statement_token2] = ACTIONS(7653),
    [aux_sym_coarray_statement_token6] = ACTIONS(7653),
    [aux_sym_coarray_statement_token8] = ACTIONS(7653),
    [aux_sym_coarray_statement_token11] = ACTIONS(7653),
    [aux_sym_coarray_statement_token12] = ACTIONS(7653),
    [aux_sym_coarray_team_statement_token1] = ACTIONS(7653),
    [aux_sym_coarray_critical_statement_token1] = ACTIONS(7653),
    [aux_sym_identifier_token1] = ACTIONS(7653),
    [sym_comment] = ACTIONS(21),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6293), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [91] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6287), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [182] = 3,
    ACTIONS(7657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7655), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [253] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6166), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [344] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6090), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [435] = 3,
    ACTIONS(7661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7659), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [506] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6299), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [597] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6140), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [688] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6177), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [779] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6163), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [870] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6255), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [961] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    STATE(6262), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    ACTIONS(7663), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6370), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_use_alias,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1050] = 15,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    ACTIONS(7667), 1,
      anon_sym_COLON_COLON,
    STATE(3955), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5400), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1145] = 11,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7671), 1,
      anon_sym_DOT,
    STATE(3058), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7669), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5842), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(8593), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1232] = 15,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    ACTIONS(7673), 1,
      anon_sym_COLON_COLON,
    STATE(3341), 1,
      sym_identifier,
    STATE(3430), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7563), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1327] = 3,
    ACTIONS(7204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7200), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1398] = 13,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7466), 1,
      aux_sym_while_statement_token1,
    ACTIONS(7468), 1,
      aux_sym_concurrent_header_token1,
    STATE(697), 1,
      sym__end_of_statement,
    STATE(5774), 1,
      sym_concurrent_header,
    STATE(7861), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7675), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6833), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1489] = 3,
    ACTIONS(7679), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7677), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1560] = 3,
    ACTIONS(7683), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7681), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1631] = 15,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    ACTIONS(7685), 1,
      anon_sym_COLON_COLON,
    STATE(3416), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5415), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1726] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6248), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1817] = 11,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7671), 1,
      anon_sym_DOT,
    STATE(3058), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7669), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5842), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(8100), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1904] = 13,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    STATE(6690), 1,
      sym_concurrent_control,
    STATE(7792), 1,
      sym_intrinsic_type,
    STATE(7887), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [1995] = 3,
    ACTIONS(6704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5700), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2066] = 3,
    ACTIONS(7661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7659), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2137] = 11,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7671), 1,
      anon_sym_DOT,
    STATE(3058), 1,
      sym_user_defined_operator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7669), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5842), 3,
      sym__integer_literal,
      sym__float_literal,
      sym__boz_literal,
    STATE(8461), 3,
      sym_unary_expression,
      sym_number_literal,
      sym_identifier,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2224] = 15,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7665), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 1,
      anon_sym_COLON_COLON,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(3955), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7559), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2319] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6080), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2410] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6086), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2501] = 3,
    ACTIONS(7693), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7691), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2572] = 13,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7466), 1,
      aux_sym_while_statement_token1,
    ACTIONS(7468), 1,
      aux_sym_concurrent_header_token1,
    STATE(662), 1,
      sym__end_of_statement,
    STATE(5774), 1,
      sym_concurrent_header,
    STATE(7861), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7629), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6518), 3,
      sym_while_statement,
      sym_concurrent_statement,
      sym_loop_control_expression,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2663] = 13,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7505), 1,
      aux_sym_assignment_token1,
    ACTIONS(7507), 1,
      aux_sym_operator_token1,
    STATE(6418), 1,
      sym_identifier,
    STATE(8144), 1,
      sym_binding_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7509), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6879), 2,
      sym_binding,
      sym_method_name,
    STATE(7884), 4,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2754] = 3,
    ACTIONS(7697), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7695), 61,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_language_binding_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token3,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token6,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2825] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8302), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2911] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8226), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [2997] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8227), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3083] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8550), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3169] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8301), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3255] = 12,
    ACTIONS(7699), 1,
      anon_sym_SLASH,
    ACTIONS(7702), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7708), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7716), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7711), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7714), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(3442), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3735), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(7705), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3343] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8297), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3429] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8298), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3515] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8551), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3601] = 12,
    ACTIONS(7719), 1,
      anon_sym_SLASH,
    ACTIONS(7721), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7725), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7731), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7727), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7729), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(3442), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3735), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(7723), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3689] = 14,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7206), 1,
      anon_sym_COMMA,
    ACTIONS(7210), 1,
      anon_sym_COLON_COLON,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7630), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3781] = 14,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7733), 1,
      anon_sym_COMMA,
    ACTIONS(7735), 1,
      anon_sym_COLON_COLON,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5410), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3873] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8614), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [3959] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8647), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4045] = 5,
    ACTIONS(7739), 1,
      anon_sym_LPAREN2,
    ACTIONS(7743), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7737), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7741), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4119] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8220), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4205] = 11,
    ACTIONS(79), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(81), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6038), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7687), 2,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
    STATE(8221), 2,
      sym_intrinsic_type,
      sym_identifier,
    ACTIONS(77), 5,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    ACTIONS(97), 45,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4291] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    STATE(6390), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6472), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_use_alias,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4376] = 5,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    STATE(3545), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7517), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
    ACTIONS(7523), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4449] = 4,
    ACTIONS(7747), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7745), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7749), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4520] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6096), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4602] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(3914), 1,
      sym_argument_list,
    STATE(7462), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7751), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4688] = 5,
    ACTIONS(7757), 1,
      anon_sym__,
    STATE(3721), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7755), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7753), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [4760] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7618), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4846] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6957), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4285), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [4996] = 11,
    ACTIONS(7719), 1,
      anon_sym_SLASH,
    ACTIONS(7721), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7725), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7731), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7727), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(3446), 2,
      sym_variable_group,
      aux_sym_common_statement_repeat2,
    STATE(3735), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(7723), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5080] = 12,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5449), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5166] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7759), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7761), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7763), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7765), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5302] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6297), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5384] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6306), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5466] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7767), 1,
      anon_sym_LPAREN2,
    STATE(646), 1,
      sym__end_of_statement,
    STATE(3746), 1,
      sym_parenthesized_expression,
    STATE(6884), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7769), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5552] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7771), 1,
      aux_sym_module_statement_token1,
    STATE(1062), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7163), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5638] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6238), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5720] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6269), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5802] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7636), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5888] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4291), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4289), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [5956] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7775), 1,
      aux_sym_module_statement_token1,
    STATE(850), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6737), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7777), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6042] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7779), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7781), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6110] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6148), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6192] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6079), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6274] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7783), 1,
      aux_sym_submodule_statement_token1,
    STATE(1064), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7167), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7785), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6360] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7787), 1,
      aux_sym_submodule_statement_token1,
    STATE(852), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6740), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7789), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6446] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6257), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6528] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6260), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6610] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6167), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6692] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6170), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6774] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6253), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6856] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4299), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4297), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [6924] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6144), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7006] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6146), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7088] = 12,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5500), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7174] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6197), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7256] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6201), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7338] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6240), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7420] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6242), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7502] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6281), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7584] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6284), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7666] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6081), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7748] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6087), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7830] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6125), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7912] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6129), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [7994] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6189), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8076] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6196), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4285), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8226] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7791), 1,
      aux_sym_module_statement_token1,
    STATE(994), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6969), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4295), 7,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(4293), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8380] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6085), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8462] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(3842), 1,
      sym_argument_list,
    STATE(7418), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7797), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
    ACTIONS(7799), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8616] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6311), 1,
      sym__declaration_assignment,
    STATE(6411), 1,
      sym__declaration_pointer_association,
    STATE(7556), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6049), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8702] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6275), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8784] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6250), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8866] = 12,
    ACTIONS(4291), 1,
      anon_sym_LPAREN2,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7801), 1,
      aux_sym_submodule_statement_token1,
    STATE(1043), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7034), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [8952] = 12,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5340), 1,
      sym__declaration_assignment,
    STATE(5343), 1,
      sym__declaration_pointer_association,
    STATE(5418), 1,
      sym__declaration_targets,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5326), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9038] = 12,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7767), 1,
      anon_sym_LPAREN2,
    STATE(642), 1,
      sym__end_of_statement,
    STATE(3752), 1,
      sym_parenthesized_expression,
    STATE(6616), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7805), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9124] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(5694), 1,
      aux_sym_assignment_token1,
    ACTIONS(5696), 1,
      aux_sym_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5698), 2,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
    STATE(6099), 5,
      sym_assignment,
      sym_operator,
      sym_defined_io_procedure,
      sym__generic_procedure,
      sym_identifier,
    ACTIONS(5495), 45,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9206] = 11,
    ACTIONS(7807), 1,
      sym_system_lib_string,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    STATE(6812), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8638), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9289] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7112), 1,
      aux_sym_function_statement_token1,
    STATE(5083), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6972), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7114), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9372] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7823), 1,
      sym_system_lib_string,
    STATE(6779), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8377), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9455] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7825), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_COLON_COLON,
    STATE(6448), 1,
      sym_identifier,
    STATE(7547), 1,
      sym__import_names,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7196), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9538] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7829), 1,
      aux_sym_implicit_statement_token3,
    STATE(2717), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6901), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7831), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9621] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7140), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5117), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6464), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7142), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9704] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7833), 1,
      sym_system_lib_string,
    STATE(6837), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7795), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9787] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7084), 1,
      aux_sym_subroutine_statement_token1,
    STATE(1041), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6599), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7086), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9870] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7156), 1,
      aux_sym_program_statement_token1,
    STATE(1029), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7149), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7158), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [9953] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7835), 1,
      aux_sym_implicit_statement_token3,
    STATE(1619), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7008), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10036] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7839), 1,
      sym_system_lib_string,
    STATE(6889), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8039), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10119] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7841), 1,
      aux_sym_implicit_statement_token3,
    STATE(1637), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6605), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7843), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10202] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7845), 1,
      aux_sym_implicit_statement_token3,
    STATE(1173), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6848), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7847), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10285] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7849), 1,
      sym_system_lib_string,
    STATE(6935), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8240), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10368] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7851), 1,
      sym_system_lib_string,
    STATE(6512), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8036), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10451] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7100), 1,
      aux_sym_subroutine_statement_token1,
    STATE(1000), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7102), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10534] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7108), 1,
      aux_sym_function_statement_token1,
    STATE(1002), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6498), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7110), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10617] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7853), 1,
      sym_system_lib_string,
    STATE(6980), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8401), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10700] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    STATE(6747), 1,
      sym__declaration_assignment,
    STATE(6749), 1,
      sym__declaration_pointer_association,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6132), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10783] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7128), 1,
      aux_sym_function_statement_token1,
    STATE(4578), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7057), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7130), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10866] = 11,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5035), 1,
      sym_identifier,
    STATE(5319), 1,
      sym_sized_declarator,
    STATE(5351), 1,
      sym__declaration_assignment,
    STATE(5352), 1,
      sym__declaration_pointer_association,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5335), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [10949] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7855), 1,
      sym_system_lib_string,
    STATE(6998), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8507), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11032] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7048), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(4568), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6559), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7050), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11115] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(7561), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [11182] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7088), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4790), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6921), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7090), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11265] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7857), 1,
      sym_system_lib_string,
    STATE(7025), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8628), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11348] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7068), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4992), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6576), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7070), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11431] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7096), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5146), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6623), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11514] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7120), 1,
      aux_sym_function_statement_token1,
    STATE(5136), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6644), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7122), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11597] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7859), 1,
      sym_system_lib_string,
    STATE(7039), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7725), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11680] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7861), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
    ACTIONS(7863), 53,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11747] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7168), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5068), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6854), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7170), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11830] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7865), 1,
      sym_system_lib_string,
    STATE(7050), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7766), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11913] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7867), 1,
      aux_sym_implicit_statement_token3,
    STATE(1544), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7194), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [11996] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7871), 1,
      sym_system_lib_string,
    STATE(7060), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7798), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12079] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7873), 1,
      sym_system_lib_string,
    STATE(7068), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7830), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12162] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7875), 1,
      sym_system_lib_string,
    STATE(7075), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7862), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12245] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7877), 1,
      sym_system_lib_string,
    STATE(7081), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7893), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12328] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7879), 1,
      sym_system_lib_string,
    STATE(7083), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7909), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12411] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7881), 1,
      sym_system_lib_string,
    STATE(7084), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7925), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12494] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7883), 1,
      sym_system_lib_string,
    STATE(7085), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7941), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12577] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7885), 1,
      sym_system_lib_string,
    STATE(7087), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7949), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12660] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7887), 1,
      sym_system_lib_string,
    STATE(7088), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7957), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12743] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7889), 1,
      sym_system_lib_string,
    STATE(7090), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7965), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12826] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7891), 1,
      sym_system_lib_string,
    STATE(7092), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7973), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12909] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7893), 1,
      sym_system_lib_string,
    STATE(7093), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7981), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [12992] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7895), 1,
      sym_system_lib_string,
    STATE(7095), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7989), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13075] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7897), 1,
      sym_system_lib_string,
    STATE(7096), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7997), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13158] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7899), 1,
      sym_system_lib_string,
    STATE(7098), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8005), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13241] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7901), 1,
      sym_system_lib_string,
    STATE(7100), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8013), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13324] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7903), 1,
      sym_system_lib_string,
    STATE(7101), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8021), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13407] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7905), 1,
      sym_system_lib_string,
    STATE(7102), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8029), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13490] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7907), 1,
      sym_system_lib_string,
    STATE(7103), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8037), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13573] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7909), 1,
      sym_system_lib_string,
    STATE(7105), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8045), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13656] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7911), 1,
      sym_system_lib_string,
    STATE(7107), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8053), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13739] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7913), 1,
      sym_system_lib_string,
    STATE(7109), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8061), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13822] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7915), 1,
      sym_system_lib_string,
    STATE(7111), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8069), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13905] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7917), 1,
      sym_system_lib_string,
    STATE(7112), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8077), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [13988] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7919), 1,
      sym_system_lib_string,
    STATE(7114), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8085), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14071] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7921), 1,
      sym_system_lib_string,
    STATE(7115), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8093), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14154] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7923), 1,
      aux_sym_implicit_statement_token3,
    STATE(2838), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6946), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7925), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14237] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7927), 1,
      sym_system_lib_string,
    STATE(7117), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8109), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14320] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7929), 1,
      sym_system_lib_string,
    STATE(7118), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8117), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14403] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7931), 1,
      sym_system_lib_string,
    STATE(7119), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8125), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14486] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7933), 1,
      sym_system_lib_string,
    STATE(7121), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8133), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14569] = 11,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7935), 1,
      anon_sym_COLON_COLON,
    STATE(5654), 1,
      sym_identifier,
    STATE(6084), 1,
      sym__declaration_assignment,
    STATE(6552), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7994), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14652] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7937), 1,
      sym_system_lib_string,
    STATE(7273), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8630), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14735] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7939), 1,
      aux_sym_implicit_statement_token3,
    STATE(1368), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6672), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7941), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14818] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7132), 1,
      aux_sym_program_statement_token1,
    STATE(843), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6544), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7134), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14901] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7943), 1,
      sym_system_lib_string,
    STATE(6589), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8621), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [14984] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7044), 1,
      aux_sym_function_statement_token1,
    STATE(1044), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7046), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15067] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7072), 1,
      aux_sym_function_statement_token1,
    STATE(4994), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6578), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7074), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15150] = 11,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7945), 1,
      anon_sym_COLON_COLON,
    STATE(5679), 1,
      sym_identifier,
    STATE(6347), 1,
      sym__declaration_assignment,
    STATE(6552), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8330), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15233] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7947), 1,
      aux_sym_implicit_statement_token3,
    STATE(1147), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6531), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15316] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7092), 1,
      aux_sym_function_statement_token1,
    STATE(4792), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6925), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7094), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15399] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7124), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(4961), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7104), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7126), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15482] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6962), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6964), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym__block_if_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [15549] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7148), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5062), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6688), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7150), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15632] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7951), 1,
      aux_sym_implicit_statement_token3,
    STATE(3090), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6986), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15715] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7052), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(5228), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6809), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7054), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15798] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7955), 1,
      sym_system_lib_string,
    STATE(7230), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8422), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15881] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7801), 1,
      aux_sym_submodule_statement_token1,
    STATE(1043), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7034), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [15964] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7164), 1,
      aux_sym_program_statement_token1,
    STATE(1054), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7154), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7166), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16047] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7056), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5058), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6823), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7058), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16130] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7152), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4755), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6701), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7154), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16213] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7957), 1,
      aux_sym_implicit_statement_token3,
    STATE(2881), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7278), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7959), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16296] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7060), 1,
      aux_sym_function_statement_token1,
    STATE(5077), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6826), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7062), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16379] = 5,
    ACTIONS(7757), 1,
      anon_sym__,
    STATE(3711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5515), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(5517), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [16450] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7961), 1,
      aux_sym_implicit_statement_token3,
    STATE(1568), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6948), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7963), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16533] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7160), 1,
      aux_sym_function_statement_token1,
    STATE(4757), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6705), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7162), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16616] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(7549), 45,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [16683] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7136), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5051), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7191), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7138), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16766] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7965), 1,
      aux_sym_implicit_statement_token3,
    STATE(1400), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6730), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16849] = 7,
    ACTIONS(7969), 1,
      anon_sym_LPAREN2,
    ACTIONS(7971), 1,
      anon_sym_STAR,
    STATE(3983), 1,
      sym_kind,
    STATE(3990), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7212), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7218), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [16924] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7144), 1,
      aux_sym_function_statement_token1,
    STATE(4965), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7196), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7146), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17007] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7116), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5134), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6641), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7118), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17090] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7172), 1,
      aux_sym_module_procedure_statement_token1,
    STATE(4903), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6751), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17173] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7973), 1,
      sym_system_lib_string,
    STATE(6656), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8371), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17256] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7176), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4576), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7047), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7178), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17339] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7104), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5070), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6970), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7106), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17422] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7775), 1,
      aux_sym_module_statement_token1,
    STATE(850), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6737), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7777), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17505] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7036), 1,
      aux_sym_subroutine_statement_token1,
    STATE(4533), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6765), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7038), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17588] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7771), 1,
      aux_sym_module_statement_token1,
    STATE(1062), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7163), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17671] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7040), 1,
      aux_sym_function_statement_token1,
    STATE(4552), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6767), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7042), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17754] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7064), 1,
      aux_sym_subroutine_statement_token1,
    STATE(884), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6922), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7066), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17837] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7783), 1,
      aux_sym_submodule_statement_token1,
    STATE(1064), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7167), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7785), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [17920] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7787), 1,
      aux_sym_submodule_statement_token1,
    STATE(852), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6740), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7789), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18003] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7975), 1,
      aux_sym_implicit_statement_token3,
    STATE(1262), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6790), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7977), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18086] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7076), 1,
      aux_sym_subroutine_statement_token1,
    STATE(5133), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6872), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7078), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18169] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7180), 1,
      aux_sym_function_statement_token1,
    STATE(886), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6937), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7182), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18252] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7080), 1,
      aux_sym_function_statement_token1,
    STATE(5162), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6876), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18335] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7979), 1,
      sym_system_lib_string,
    STATE(6717), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8002), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18418] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7791), 1,
      aux_sym_module_statement_token1,
    STATE(994), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6969), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18501] = 11,
    ACTIONS(7809), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7813), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7817), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(7819), 1,
      sym__string_literal,
    ACTIONS(7821), 1,
      sym__string_literal_kind,
    ACTIONS(7981), 1,
      sym_system_lib_string,
    STATE(7116), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7815), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8101), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(7811), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18584] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2728), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6905), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7983), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18664] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(861), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7031), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7985), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18744] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(963), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6483), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7987), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18824] = 5,
    ACTIONS(7989), 1,
      anon_sym_COMMA,
    STATE(3728), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7991), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(7993), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18894] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(720), 1,
      sym__end_of_statement,
    STATE(6460), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7995), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [18974] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1262), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6790), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7977), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19054] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1276), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6796), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7997), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19134] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(891), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7017), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7999), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19214] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8007), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8019), 1,
      sym_preproc_comment,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8540), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3824), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [19334] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(723), 1,
      sym__end_of_statement,
    STATE(6461), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19414] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5228), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6809), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7054), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19494] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4576), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7047), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7178), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8045), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(8047), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19640] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4968), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6813), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8049), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19720] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4578), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7057), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7130), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19800] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1018), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6510), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8051), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19880] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5117), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6464), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7142), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [19960] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5058), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6823), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7058), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20040] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1029), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7149), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7158), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20120] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(544), 1,
      sym__end_of_statement,
    STATE(6677), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8053), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20200] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5077), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6826), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7062), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20280] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(546), 1,
      sym__end_of_statement,
    STATE(7082), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8055), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20360] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5109), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6829), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8057), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20440] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5168), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6831), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20520] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(552), 1,
      sym__end_of_statement,
    STATE(7086), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8061), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20600] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1173), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6848), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7847), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20680] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1174), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6853), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8063), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20760] = 10,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(5675), 1,
      sym_identifier,
    STATE(6419), 1,
      sym__declaration_assignment,
    STATE(6552), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8330), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [20840] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8065), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8067), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7758), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3911), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [20960] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5094), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7066), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8069), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21040] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8071), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(8073), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21106] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5133), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6872), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7078), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21186] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5162), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6876), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7082), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21266] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5171), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6880), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21346] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5157), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6475), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8077), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21426] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5177), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6882), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8079), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21506] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(759), 1,
      sym__end_of_statement,
    STATE(6477), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8081), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21586] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1041), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6599), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7086), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21666] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(711), 1,
      sym__end_of_statement,
    STATE(6480), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8083), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21746] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2717), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6901), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7831), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21826] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(590), 1,
      sym__end_of_statement,
    STATE(7045), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8085), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21906] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(722), 1,
      sym__end_of_statement,
    STATE(6481), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8087), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [21986] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(744), 1,
      sym__end_of_statement,
    STATE(6482), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8089), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22066] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8091), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [22132] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4790), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6921), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7090), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22212] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8091), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [22278] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4792), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6925), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7094), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22358] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1044), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6627), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7046), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22438] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4795), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6927), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8095), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22518] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(730), 1,
      sym__end_of_statement,
    STATE(6484), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8097), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22598] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4798), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6929), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8099), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22678] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(743), 1,
      sym__end_of_statement,
    STATE(6485), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8101), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22758] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8103), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8105), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7785), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3854), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [22878] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1506), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6727), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8107), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [22958] = 5,
    ACTIONS(7989), 1,
      anon_sym_COMMA,
    STATE(3728), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7714), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8109), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23028] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1568), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6948), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7963), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23108] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1577), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6955), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8111), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23188] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1544), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7194), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7869), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23268] = 6,
    ACTIONS(7969), 1,
      anon_sym_LPAREN2,
    STATE(4040), 1,
      sym__argument_list,
    STATE(4052), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6704), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5700), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23340] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4581), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7212), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8113), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23420] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1000), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6494), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7102), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23500] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4584), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7219), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8115), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23580] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1002), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6498), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7110), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23660] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5070), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6970), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7106), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23740] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5051), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7191), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7138), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23820] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1011), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6502), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8117), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23900] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5083), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6972), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7114), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [23980] = 10,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(5724), 1,
      sym_identifier,
    STATE(6552), 1,
      sym_sized_declarator,
    STATE(7260), 1,
      sym__declaration_assignment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8330), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24060] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5185), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6974), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8119), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24140] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1014), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6504), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24220] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5193), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6976), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8123), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24300] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4965), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7196), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7146), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24380] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3090), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6986), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24460] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3153), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6990), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8125), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24540] = 4,
    ACTIONS(8127), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4287), 45,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [24608] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1147), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6531), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24688] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8131), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8129), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [24754] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8135), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8133), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [24820] = 10,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5662), 1,
      sym_identifier,
    STATE(6156), 1,
      sym__declaration_assignment,
    STATE(6552), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7994), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24900] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5119), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7203), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8137), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [24980] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1619), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7008), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25060] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1542), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7013), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8139), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25140] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8141), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25206] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8147), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8145), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25272] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1128), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6543), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8149), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25352] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4984), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7131), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8151), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25432] = 5,
    ACTIONS(8153), 1,
      anon_sym_COMMA,
    ACTIONS(8158), 1,
      anon_sym_COLON_COLON,
    STATE(3715), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8156), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25502] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8160), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8162), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7982), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3829), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [25622] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(727), 1,
      sym__end_of_statement,
    STATE(6539), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8164), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25702] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5128), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7205), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8166), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [25782] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8170), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8168), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25848] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8174), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8172), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25914] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8178), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8176), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [25980] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(689), 1,
      sym__end_of_statement,
    STATE(6558), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8180), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26060] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5068), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6854), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7170), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26140] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(565), 1,
      sym__end_of_statement,
    STATE(6622), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8182), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26220] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(568), 1,
      sym__end_of_statement,
    STATE(6625), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8184), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26300] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(733), 1,
      sym__end_of_statement,
    STATE(6667), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8186), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26380] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4568), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6559), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7050), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26460] = 5,
    ACTIONS(8188), 1,
      anon_sym_COMMA,
    STATE(3728), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8191), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8193), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26530] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4574), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6770), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8195), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26610] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1054), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7154), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7166), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26690] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4501), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6566), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8197), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26770] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(732), 1,
      sym__end_of_statement,
    STATE(7046), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8199), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26850] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(974), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6918), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8201), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [26930] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(574), 1,
      sym__end_of_statement,
    STATE(7134), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8203), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27010] = 5,
    ACTIONS(7989), 1,
      anon_sym_COMMA,
    STATE(3683), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8205), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8207), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27080] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(581), 1,
      sym__end_of_statement,
    STATE(7136), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8209), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27160] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(578), 1,
      sym__end_of_statement,
    STATE(7138), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8211), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27240] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4992), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6576), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7070), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27320] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(582), 1,
      sym__end_of_statement,
    STATE(7139), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8213), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27400] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8217), 1,
      aux_sym__inline_if_statement_token1,
    STATE(766), 1,
      sym__end_of_statement,
    STATE(7252), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8215), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 46,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27482] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4994), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6578), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7074), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27562] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5009), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6580), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8219), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27642] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5019), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6582), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8221), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27722] = 5,
    ACTIONS(7989), 1,
      anon_sym_COMMA,
    STATE(3632), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8223), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8225), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27792] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2838), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6946), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7925), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27872] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(649), 1,
      sym__end_of_statement,
    STATE(7094), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8227), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [27952] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8231), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8229), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28018] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(848), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6697), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28098] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(583), 1,
      sym__end_of_statement,
    STATE(6797), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8235), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28178] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1637), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6605), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7843), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28258] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1647), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6614), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8237), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28338] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(647), 1,
      sym__end_of_statement,
    STATE(6960), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28418] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4961), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7104), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7126), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28498] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8241), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8243), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8012), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3870), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [28618] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8247), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8245), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [28684] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5146), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6623), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7098), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28764] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5187), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6628), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28844] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(679), 1,
      sym__end_of_statement,
    STATE(6877), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [28924] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2881), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7278), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7959), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29004] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(591), 1,
      sym__end_of_statement,
    STATE(7147), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29084] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(593), 1,
      sym__end_of_statement,
    STATE(7148), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8255), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29164] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(850), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6737), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7777), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29244] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5134), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6641), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7118), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29324] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5136), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6644), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7122), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29404] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5139), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6647), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8257), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29484] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2775), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7014), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8259), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29564] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(852), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6740), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7789), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29644] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5142), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6649), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29724] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1060), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7161), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8263), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29804] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1062), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7163), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29884] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(978), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6932), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8265), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [29964] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(884), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6922), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7066), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30044] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(598), 1,
      sym__end_of_statement,
    STATE(7076), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30124] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1368), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6672), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7941), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30204] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1376), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6679), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30284] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8271), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8273), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7711), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3900), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [30404] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1064), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7167), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7785), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30484] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(886), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6937), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7182), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30564] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(728), 1,
      sym__end_of_statement,
    STATE(6739), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8275), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30644] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5062), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6688), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7150), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30724] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5073), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6692), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8277), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30804] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(2824), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7302), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8279), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [30884] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8281), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8283), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8356), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3891), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [31004] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(612), 1,
      sym__end_of_statement,
    STATE(7078), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8285), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31084] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4755), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6701), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7154), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31164] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4757), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6705), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7162), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31244] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(994), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6969), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31324] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4760), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6707), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8287), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31404] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8291), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8289), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [31470] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4763), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6709), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8293), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31550] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8295), 1,
      anon_sym_COMMA,
    ACTIONS(8297), 1,
      anon_sym_LPAREN2,
    ACTIONS(8299), 1,
      anon_sym_COLON_COLON,
    STATE(6065), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31632] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1072), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7171), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8301), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31712] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8305), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8303), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [31778] = 10,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(5676), 1,
      sym_identifier,
    STATE(6325), 1,
      sym__declaration_assignment,
    STATE(6552), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7994), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31858] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(726), 1,
      sym__end_of_statement,
    STATE(6455), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [31938] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1400), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6730), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32018] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1415), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6736), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8309), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32098] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8313), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8311), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [32164] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8317), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8315), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [32230] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8319), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8321), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8177), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3930), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32350] = 11,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8295), 1,
      anon_sym_COMMA,
    ACTIONS(8299), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8323), 1,
      anon_sym_LPAREN2,
    STATE(6065), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32432] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4599), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6772), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8325), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32512] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4903), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6751), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32592] = 4,
    ACTIONS(8329), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32660] = 30,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8333), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8335), 1,
      sym_preproc_comment,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7787), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3889), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [32780] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4909), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6755), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8337), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [32860] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8339), 46,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_GT_GT_GT,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [32926] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(619), 1,
      sym__end_of_statement,
    STATE(7055), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33006] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1075), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7172), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33086] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4533), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6765), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7038), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33166] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1043), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7034), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7803), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33246] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(858), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7021), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33326] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(1101), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6514), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8349), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33406] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4552), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6767), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7042), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33486] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(888), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(7007), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8351), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33566] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(843), 1,
      sym__end_of_statement,
    STATE(6116), 1,
      sym_identifier,
    STATE(6544), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7134), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33646] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7648), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8353), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33723] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8365), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8369), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    STATE(1455), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3942), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [33838] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8158), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [33903] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8375), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8377), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1161), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3893), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [34018] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8379), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8381), 1,
      aux_sym_end_interface_statement_token1,
    STATE(991), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3895), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [34133] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6300), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34210] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8383), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8616), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3876), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34327] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8383), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8616), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34444] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8385), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7991), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3884), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34561] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8191), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SLASH,
      anon_sym_SEMI,
    ACTIONS(8193), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [34626] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8387), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8195), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3836), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34743] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8389), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8212), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3839), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34860] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8389), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8212), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [34977] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8391), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8393), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1433), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3940), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35092] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8395), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8397), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2685), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35207] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8399), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8015), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3922), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35324] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7626), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8401), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35401] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7019), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35478] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7602), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [35555] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8405), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8307), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35672] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8407), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8409), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1373), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3892), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [35787] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8405), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8307), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3843), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [35904] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8411), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8319), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36021] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8413), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8476), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3913), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36138] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7364), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8415), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36215] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7353), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36292] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8419), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8348), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36409] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8421), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8423), 1,
      aux_sym_end_interface_statement_token1,
    STATE(898), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [36524] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7484), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36601] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8427), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8658), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36718] = 9,
    ACTIONS(7721), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7725), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7731), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7727), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(3826), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(7723), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36795] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7674), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8429), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [36872] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8431), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7962), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3902), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [36989] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8433), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8369), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37106] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(5718), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37171] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7220), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7222), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37236] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8435), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8437), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2853), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3912), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37351] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8399), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8015), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [37468] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7421), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7184), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37545] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8421), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8423), 1,
      aux_sym_end_interface_statement_token1,
    STATE(896), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3844), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37660] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7677), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8439), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [37737] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8441), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8443), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1032), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3935), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37852] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8395), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8397), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2744), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3831), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [37967] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8445), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8447), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2809), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [38082] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7558), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8449), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38159] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8427), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8658), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3934), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38276] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8451), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8508), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3931), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38393] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7228), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7230), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38458] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8453), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8455), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38523] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7224), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(7226), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [38588] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8457), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8649), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38705] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8459), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8098), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3873), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38822] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8461), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8141), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3875), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [38939] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8461), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8141), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39056] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8463), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8229), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39173] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8457), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8649), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3927), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39290] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8465), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8190), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39407] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8465), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8190), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3880), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39524] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8467), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8193), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39641] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8469), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8671), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [39758] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7688), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39835] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7384), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8473), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39912] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7320), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [39989] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8477), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8202), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40106] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8479), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7818), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40223] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8481), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8483), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1642), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40338] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(3826), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40415] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8485), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8171), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40532] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8487), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8489), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1598), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [40647] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7594), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [40724] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8493), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8619), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3881), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40841] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8495), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7980), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3903), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [40958] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8451), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8508), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41075] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8481), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8483), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1641), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3882), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41190] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8493), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8619), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41307] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8407), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8409), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1384), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41422] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8375), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8377), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1177), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41537] = 4,
    ACTIONS(5712), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(5718), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [41604] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8379), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8381), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1048), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [41719] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8497), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8373), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3897), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41836] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8499), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8615), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [41953] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8501), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7759), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3904), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42070] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8503), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7767), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3906), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42187] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8503), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7767), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42304] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7483), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [42381] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8507), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8385), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42498] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8509), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8388), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42615] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8511), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7810), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42732] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8511), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7810), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3909), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42849] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8513), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7817), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [42966] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8487), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8489), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1591), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3885), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43081] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8445), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8447), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2802), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3860), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43196] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8515), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7829), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43313] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8519), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1399), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43428] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8495), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7980), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43545] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8435), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8437), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2849), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [43660] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8521), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8020), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43777] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7430), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8523), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [43854] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8485), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8171), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3871), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [43971] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6367), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44048] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7691), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8525), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44125] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7603), 1,
      sym_identifier,
    STATE(7606), 1,
      sym__block_label,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8527), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44202] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8517), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8519), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1388), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3910), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44317] = 10,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8529), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_COLON_COLON,
    STATE(6069), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44396] = 10,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8533), 1,
      anon_sym_COMMA,
    ACTIONS(8535), 1,
      anon_sym_COLON_COLON,
    STATE(6122), 1,
      sym_identifier,
    STATE(7427), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [44475] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8537), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8173), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44592] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8539), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8541), 1,
      aux_sym_end_interface_statement_token1,
    STATE(2995), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44707] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8521), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8020), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3850), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [44824] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8539), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8541), 1,
      aux_sym_end_interface_statement_token1,
    STATE(3044), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3923), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [44939] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6116), 1,
      sym_identifier,
    STATE(7631), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8543), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45016] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8545), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7707), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45133] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8547), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8201), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3936), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45250] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8549), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8205), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3938), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45367] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8549), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8205), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45484] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8551), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8160), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45601] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 54,
      aux_sym_end_program_statement_token1,
      aux_sym_assignment_token1,
      aux_sym_operator_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45666] = 9,
    ACTIONS(7721), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7725), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7731), 1,
      aux_sym_select_case_statement_token1,
    STATE(3341), 1,
      sym_identifier,
    STATE(3455), 1,
      sym_sized_declarator,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7727), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    STATE(3744), 2,
      sym__variable_declarator,
      sym_coarray_declarator,
    ACTIONS(7723), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [45743] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8553), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7950), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [45860] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8441), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8443), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1034), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [45975] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8555), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8251), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46092] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8555), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8251), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3939), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46209] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8557), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8255), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46326] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8559), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8266), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46443] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8391), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8393), 1,
      aux_sym_end_interface_statement_token1,
    STATE(1451), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [46558] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7484), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8425), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46635] = 28,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8355), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8357), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8359), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8363), 1,
      sym_preproc_directive,
    ACTIONS(8365), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8369), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8373), 1,
      aux_sym_import_statement_token1,
    STATE(1463), 1,
      sym_end_interface_statement,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8361), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [46750] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8561), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8589), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3867), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [46867] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7602), 1,
      sym__block_label,
    STATE(7603), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [46944] = 29,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8011), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(8013), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8563), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8015), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8044), 3,
      sym_preproc_else_in_internal_procedures,
      sym_preproc_elif_in_internal_procedures,
      sym_preproc_elifdef_in_internal_procedures,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3846), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47061] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6652), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6650), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [47125] = 4,
    ACTIONS(8565), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47191] = 26,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8569), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8571), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8567), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3966), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47301] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7307), 1,
      sym_identifier,
    STATE(7444), 1,
      sym__name,
    STATE(8576), 1,
      sym_module_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47377] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    STATE(7635), 1,
      sym_loop_control_expression,
    STATE(7861), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47453] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8575), 1,
      aux_sym_included_items_token1,
    STATE(6364), 1,
      sym_use_alias,
    STATE(8042), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47529] = 26,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8571), 1,
      aux_sym_include_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_program_statement_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8577), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3948), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [47639] = 5,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8584), 1,
      anon_sym_LPAREN2,
    ACTIONS(8588), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8586), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47707] = 5,
    ACTIONS(8590), 1,
      anon_sym_COMMA,
    ACTIONS(8595), 1,
      anon_sym_COLON_COLON,
    STATE(3970), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8593), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47775] = 5,
    ACTIONS(8597), 1,
      anon_sym_COMMA,
    ACTIONS(8602), 1,
      anon_sym_COLON_COLON,
    STATE(3955), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8600), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47843] = 5,
    ACTIONS(8604), 1,
      anon_sym_COMMA,
    ACTIONS(8609), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8607), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47911] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7307), 1,
      sym_identifier,
    STATE(7440), 1,
      sym_module_name,
    STATE(7444), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [47987] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6668), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6666), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48051] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6634), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6632), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48115] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6688), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6686), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48179] = 9,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    ACTIONS(8613), 1,
      anon_sym_COLON_COLON,
    STATE(6444), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48255] = 5,
    ACTIONS(8615), 1,
      anon_sym_COMMA,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    STATE(3973), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8618), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48323] = 5,
    ACTIONS(8622), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8625), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48391] = 27,
    ACTIONS(8629), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8632), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8635), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8641), 1,
      sym_preproc_directive,
    ACTIONS(8644), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8646), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8649), 1,
      aux_sym_end_interface_statement_token1,
    ACTIONS(8651), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8657), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8660), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8663), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8666), 1,
      aux_sym_import_statement_token1,
    ACTIONS(8672), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8675), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8678), 1,
      aux_sym_derived_type_token1,
    STATE(3346), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7123), 1,
      sym_subroutine_statement,
    STATE(7124), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8638), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8654), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(8681), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8669), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3964), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_interface,
      sym_preproc_ifdef_in_interface,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_interface_repeat1,
  [48503] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8575), 1,
      aux_sym_included_items_token1,
    STATE(6319), 1,
      sym_use_alias,
    STATE(8042), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48579] = 26,
    ACTIONS(8684), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8687), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8690), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8698), 1,
      sym_preproc_directive,
    ACTIONS(8701), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8733), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8695), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8693), 6,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(3966), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [48689] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8575), 1,
      aux_sym_included_items_token1,
    STATE(6314), 1,
      sym_use_alias,
    STATE(8042), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48765] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6692), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6690), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48829] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8736), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8738), 1,
      anon_sym_RPAREN,
    STATE(6491), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48905] = 5,
    ACTIONS(8740), 1,
      anon_sym_COMMA,
    ACTIONS(8745), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8743), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [48973] = 5,
    ACTIONS(8158), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8747), 1,
      anon_sym_COMMA,
    STATE(3971), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8156), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49041] = 9,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8750), 1,
      anon_sym_COLON_COLON,
    STATE(6122), 1,
      sym_identifier,
    STATE(7441), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49117] = 5,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8757), 1,
      anon_sym_COLON_COLON,
    STATE(3971), 1,
      aux_sym_procedure_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8755), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49185] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6672), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6670), 44,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49249] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6690), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6692), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6704), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(5700), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49375] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6760), 1,
      sym_association,
    STATE(8286), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49448] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5748), 1,
      sym__name,
    STATE(6116), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49521] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6936), 1,
      sym_triplet_spec,
    STATE(8211), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49594] = 8,
    ACTIONS(7386), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7390), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7394), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8759), 1,
      anon_sym_LPAREN2,
    STATE(5426), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7392), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7388), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49667] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7307), 1,
      sym_identifier,
    STATE(8172), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49740] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7696), 1,
      sym_concurrent_control,
    STATE(7887), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49813] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7254), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7256), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49876] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7298), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7300), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [49939] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6674), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6676), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50002] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7318), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7320), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50065] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6686), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6688), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50128] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7258), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7260), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50191] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6122), 1,
      sym_identifier,
    STATE(7517), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50264] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7278), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7280), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50327] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7651), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7653), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50390] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7302), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7304), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50453] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8761), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8763), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50516] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7270), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7272), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6680), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6678), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50642] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6122), 1,
      sym_identifier,
    STATE(7479), 1,
      sym__type_name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50715] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7322), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7324), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6650), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6652), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50841] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7306), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7308), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50904] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7274), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7276), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [50967] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6666), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6668), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51030] = 8,
    ACTIONS(7352), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7356), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7360), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8765), 1,
      anon_sym_LPAREN2,
    STATE(5448), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7358), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(7354), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51103] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6116), 1,
      sym_identifier,
    STATE(7459), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51176] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7458), 1,
      sym_loop_control_expression,
    STATE(7861), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51249] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6682), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6684), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51312] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7310), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7312), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51375] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6116), 1,
      sym_identifier,
    STATE(7579), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51448] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7657), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7655), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51511] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8189), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51584] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7693), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7691), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51647] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7415), 1,
      sym_parameter_assignment,
    STATE(8542), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51720] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6001), 1,
      sym__name,
    STATE(6116), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51793] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8767), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8769), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51856] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7617), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7619), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51919] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6072), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [51992] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7275), 1,
      sym_parameter_assignment,
    STATE(8542), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52065] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6069), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52138] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(5751), 1,
      sym__name,
    STATE(6116), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52211] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8771), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8773), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52274] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6678), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6680), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6632), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6634), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52400] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7307), 1,
      sym_identifier,
    STATE(8182), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52473] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7665), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52546] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6898), 1,
      sym_association,
    STATE(8286), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52619] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6684), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6682), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [52682] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7282), 1,
      sym_use_alias,
    STATE(8042), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52755] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7294), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7296), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52818] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7679), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7677), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52881] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7706), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [52954] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8775), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8777), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53017] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7730), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53090] = 4,
    ACTIONS(8595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8779), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8593), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53155] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8782), 1,
      anon_sym_RPAREN,
    STATE(8138), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53228] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8784), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(7445), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53301] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6886), 1,
      sym_method_name,
    STATE(6891), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53374] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6076), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53447] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6063), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53520] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7376), 1,
      sym_association,
    STATE(8286), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53593] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7326), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7328), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53656] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6670), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(6672), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53719] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6013), 1,
      sym__name,
    STATE(6116), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53792] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8453), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8455), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53855] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6676), 7,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
      anon_sym_DOT,
    ACTIONS(6674), 47,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_statement_token1,
      anon_sym_COLON,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [53918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7314), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7316), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [53981] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7958), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54054] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7312), 1,
      sym_concurrent_control,
    STATE(7887), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54127] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8786), 1,
      anon_sym_SLASH,
    STATE(6909), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54200] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8790), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8788), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54263] = 8,
    ACTIONS(8792), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8796), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8800), 1,
      aux_sym_select_case_statement_token1,
    STATE(2850), 1,
      sym__name,
    STATE(2859), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8798), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8794), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54336] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7683), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7681), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54399] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7448), 1,
      sym_triplet_spec,
    STATE(8211), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54472] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7661), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7659), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54535] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7661), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7659), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54598] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6055), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54671] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8158), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8156), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54734] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8804), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8802), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54797] = 8,
    ACTIONS(8806), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8810), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8814), 1,
      aux_sym_select_case_statement_token1,
    STATE(1344), 1,
      sym__name,
    STATE(1537), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8812), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8808), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54870] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5511), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [54933] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6617), 1,
      sym_triplet_spec,
    STATE(8211), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55006] = 4,
    ACTIONS(8816), 1,
      anon_sym_COMMA,
    ACTIONS(8821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8819), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55071] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8823), 1,
      anon_sym_RPAREN,
    STATE(7097), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55144] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7240), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7243), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55207] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8825), 1,
      anon_sym_SLASH,
    STATE(6450), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55280] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6702), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55353] = 8,
    ACTIONS(8792), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8796), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8800), 1,
      aux_sym_select_case_statement_token1,
    STATE(2859), 1,
      sym_identifier,
    STATE(2900), 1,
      sym__name,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8798), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8794), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55426] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7666), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55499] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6621), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55572] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7290), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(7292), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55635] = 8,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6067), 1,
      sym__type_name,
    STATE(7089), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55708] = 8,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6699), 1,
      sym_keyword_argument,
    STATE(8613), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55781] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8827), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8829), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55844] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8327), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55907] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8831), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(8833), 52,
      aux_sym_end_program_statement_token1,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_select_case_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [55970] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(243), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56040] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(83), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56110] = 7,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(4905), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56180] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(242), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56250] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7048), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56320] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(72), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56390] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(26), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56460] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(80), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56530] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8634), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56600] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6555), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56670] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8170), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56740] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(3719), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56810] = 7,
    ACTIONS(8865), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8869), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8873), 1,
      aux_sym_select_case_statement_token1,
    STATE(5830), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8871), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8867), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56880] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6666), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [56950] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6313), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57020] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7895), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57090] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8503), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57160] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6440), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57230] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7233), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57300] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(288), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57370] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7564), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57440] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6345), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57510] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6575), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57580] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6638), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57650] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8344), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57720] = 7,
    ACTIONS(8865), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8869), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8873), 1,
      aux_sym_select_case_statement_token1,
    STATE(5866), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8871), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8867), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57790] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4295), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [57852] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6373), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57922] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(6686), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [57992] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7762), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58062] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4287), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58124] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4291), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58186] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4287), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58248] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4297), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(4299), 42,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [58310] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(2), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58380] = 7,
    ACTIONS(8885), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8889), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8893), 1,
      aux_sym_select_case_statement_token1,
    STATE(908), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8891), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8887), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58450] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(6308), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58520] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4253), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58590] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4652), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58660] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(241), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58730] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(4713), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58800] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(6), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58870] = 7,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(4884), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [58940] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4385), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59010] = 7,
    ACTIONS(6230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6240), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8895), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4400), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6238), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6232), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59080] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4874), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59150] = 7,
    ACTIONS(6230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6240), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8895), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4385), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6238), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6232), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59220] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4661), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59290] = 7,
    ACTIONS(6230), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6240), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(8895), 1,
      aux_sym__intrinsic_type_token4,
    STATE(4402), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6238), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6232), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59360] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(284), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59430] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8106), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59500] = 7,
    ACTIONS(6976), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(6980), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(6984), 1,
      aux_sym_select_case_statement_token1,
    STATE(3719), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6982), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(6978), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59570] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4692), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59640] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7006), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59710] = 7,
    ACTIONS(5493), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5497), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(5501), 1,
      aux_sym_select_case_statement_token1,
    STATE(7283), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5499), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(5495), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59780] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(56), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59850] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3657), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59920] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(5519), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [59990] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8420), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60060] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6346), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60130] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(3), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60200] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7661), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60270] = 7,
    ACTIONS(8885), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8889), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8893), 1,
      aux_sym_select_case_statement_token1,
    STATE(907), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8891), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8887), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60340] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(292), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60410] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8392), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60480] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(58), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60550] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(59), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60620] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3681), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60690] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(81), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60760] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7729), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60830] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(73), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [60900] = 25,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8577), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4146), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [61006] = 25,
    ACTIONS(8001), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8003), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8005), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8017), 1,
      sym_preproc_directive,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8041), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8009), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8567), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [61112] = 25,
    ACTIONS(8684), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8687), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8690), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8698), 1,
      sym_preproc_directive,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8907), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7178), 1,
      sym_module_procedure_statement,
    STATE(7231), 1,
      sym_subroutine_statement,
    STATE(7232), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8695), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8693), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4147), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [61218] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6349), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61288] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(4), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61358] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7624), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61428] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(282), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61498] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(8620), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61568] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(57), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61638] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3805), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61708] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(82), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61778] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(244), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61848] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6310), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61918] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(5), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [61988] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(7581), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62058] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(286), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62128] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3716), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62198] = 7,
    ACTIONS(8845), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8849), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8853), 1,
      aux_sym_select_case_statement_token1,
    STATE(84), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8851), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8847), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62268] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6379), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62338] = 7,
    ACTIONS(8855), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8859), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8863), 1,
      aux_sym_select_case_statement_token1,
    STATE(7), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8861), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8857), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62408] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(291), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62478] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3754), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62548] = 7,
    ACTIONS(8885), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8889), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8893), 1,
      aux_sym_select_case_statement_token1,
    STATE(909), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8891), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8887), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62618] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6331), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62688] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(5511), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62758] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(281), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62828] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3776), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62898] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6334), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [62968] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(287), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63038] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3800), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63108] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6417), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63178] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(289), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63248] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3637), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63318] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6405), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63388] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(283), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63458] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6395), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63528] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(295), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63598] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6333), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63668] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(285), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63738] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6397), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63808] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(290), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63878] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6437), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [63948] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(293), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64018] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6359), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64088] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(294), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64158] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6361), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64228] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(296), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64298] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6338), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64368] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(297), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64438] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6436), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64508] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(298), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64578] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6426), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64648] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(299), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64718] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6427), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64788] = 7,
    ACTIONS(8835), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8839), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8843), 1,
      aux_sym_select_case_statement_token1,
    STATE(300), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8841), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8837), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64858] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6439), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64928] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6445), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [64998] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6447), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65068] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6322), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65138] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6326), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65208] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6327), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65278] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6328), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65348] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6332), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65418] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6335), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65488] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6336), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65558] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6337), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65628] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6342), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65698] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6352), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65768] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6353), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65838] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6356), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65908] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6360), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [65978] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6368), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66048] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6369), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66118] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6371), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66188] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6374), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66258] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6382), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66328] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6386), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66398] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6394), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66468] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6396), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66538] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6400), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66608] = 7,
    ACTIONS(766), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(1416), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4669), 1,
      aux_sym_select_case_statement_token1,
    STATE(4257), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(97), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66678] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6403), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66748] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6407), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66818] = 7,
    ACTIONS(8875), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8879), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8883), 1,
      aux_sym_select_case_statement_token1,
    STATE(6408), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8881), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8877), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66888] = 7,
    ACTIONS(8897), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8901), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8905), 1,
      aux_sym_select_case_statement_token1,
    STATE(3783), 1,
      sym_identifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8903), 2,
      aux_sym__standalone_type_qualifier_token4,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(8899), 47,
      aux_sym_defined_io_procedure_token1,
      aux_sym_defined_io_procedure_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token5,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token3,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
      aux_sym_stop_statement_token1,
      aux_sym_stop_statement_token2,
      aux_sym_keyword_statement_token2,
      aux_sym_keyword_statement_token3,
      aux_sym_data_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym_end_if_statement_token1,
      aux_sym_elseif_clause_token2,
      aux_sym_block_construct_token1,
      aux_sym_format_statement_token1,
      aux_sym_inquire_statement_token1,
      aux_sym_entry_statement_token1,
      aux_sym_null_literal_token1,
      aux_sym_coarray_statement_token1,
      aux_sym_coarray_statement_token2,
      aux_sym_coarray_statement_token6,
      aux_sym_coarray_statement_token8,
      aux_sym_coarray_statement_token11,
      aux_sym_coarray_statement_token12,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
      aux_sym_identifier_token1,
  [66958] = 16,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8912), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8910), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67045] = 15,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8912), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8910), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67130] = 17,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    ACTIONS(8932), 1,
      aux_sym_logical_expression_token1,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8912), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8910), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67219] = 13,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8934), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67300] = 9,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8938), 36,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67373] = 18,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    ACTIONS(8932), 1,
      aux_sym_logical_expression_token1,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8942), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8938), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67464] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    ACTIONS(8932), 1,
      aux_sym_logical_expression_token1,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8942), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8247), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8245), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67557] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    ACTIONS(8932), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(8950), 1,
      anon_sym_QMARK,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8942), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8946), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8944), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [67654] = 8,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8952), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67725] = 15,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8958), 5,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8956), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67810] = 11,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8938), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67887] = 10,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8938), 35,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [67962] = 13,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(8960), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68043] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8926), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(8928), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(8930), 1,
      anon_sym_STAR_STAR,
    ACTIONS(8932), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(8950), 1,
      anon_sym_QMARK,
    STATE(3077), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8916), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8918), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(8924), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8942), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4259), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8966), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(8922), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8964), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [68140] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6680), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6678), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68200] = 26,
    ACTIONS(8701), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8968), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8971), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8974), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8980), 1,
      sym_preproc_directive,
    ACTIONS(8983), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8693), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8977), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4245), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68306] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8579), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(8996), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8577), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4249), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6684), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6682), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68472] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6676), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(6674), 41,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [68532] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8569), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(8996), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8567), 2,
      aux_sym_preproc_if_token2,
      aux_sym_end_program_statement_token1,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4245), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68638] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(8998), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9000), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9002), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9006), 1,
      sym_preproc_directive,
    ACTIONS(9008), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7192), 1,
      sym_module_procedure_statement,
    STATE(7239), 1,
      sym_subroutine_statement,
    STATE(7240), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9004), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4258), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68743] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(9010), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9012), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9014), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9018), 1,
      sym_preproc_directive,
    ACTIONS(9020), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7164), 1,
      sym_module_procedure_statement,
    STATE(7209), 1,
      sym_subroutine_statement,
    STATE(7210), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9016), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4252), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68848] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(9010), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9012), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9014), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9018), 1,
      sym_preproc_directive,
    ACTIONS(9020), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7164), 1,
      sym_module_procedure_statement,
    STATE(7209), 1,
      sym_subroutine_statement,
    STATE(7210), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9016), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4255), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [68953] = 26,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9022), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9030), 1,
      sym_preproc_comment,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8625), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4292), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69058] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9034), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9037), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9040), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9046), 1,
      sym_preproc_directive,
    ACTIONS(9049), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7228), 1,
      sym_module_procedure_statement,
    STATE(7264), 1,
      sym_subroutine_statement,
    STATE(7265), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9043), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4254), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69163] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_submodule_statement_token1,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9052), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9055), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9058), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9064), 1,
      sym_preproc_directive,
    ACTIONS(9067), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7164), 1,
      sym_module_procedure_statement,
    STATE(7209), 1,
      sym_subroutine_statement,
    STATE(7210), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9061), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4255), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69268] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9070), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9072), 1,
      sym_preproc_comment,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4281), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69373] = 26,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9076), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9078), 1,
      sym_preproc_comment,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7930), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4280), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [69478] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9080), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9083), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9086), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9092), 1,
      sym_preproc_directive,
    ACTIONS(9095), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7192), 1,
      sym_module_procedure_statement,
    STATE(7239), 1,
      sym_subroutine_statement,
    STATE(7240), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9089), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4258), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69583] = 5,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4262), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9100), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9098), 38,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69646] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(9102), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9104), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9106), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9110), 1,
      sym_preproc_directive,
    ACTIONS(9112), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7137), 1,
      sym_module_procedure_statement,
    STATE(7197), 1,
      sym_subroutine_statement,
    STATE(7198), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9108), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4263), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69751] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9114), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9117), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9120), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9126), 1,
      sym_preproc_directive,
    ACTIONS(9129), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7174), 1,
      sym_subroutine_statement,
    STATE(7175), 1,
      sym_function_statement,
    STATE(7181), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9123), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4261), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [69856] = 6,
    ACTIONS(9136), 1,
      anon_sym_LPAREN2,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4262), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9134), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(9132), 37,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [69921] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(9102), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9104), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9106), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9110), 1,
      sym_preproc_directive,
    ACTIONS(9112), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7137), 1,
      sym_module_procedure_statement,
    STATE(7197), 1,
      sym_subroutine_statement,
    STATE(7198), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9108), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4266), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70026] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(9139), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9141), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9143), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9147), 1,
      sym_preproc_directive,
    ACTIONS(9149), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(6451), 1,
      sym_subroutine_statement,
    STATE(7207), 1,
      sym_module_procedure_statement,
    STATE(7247), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9145), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4267), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70131] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9151), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9154), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9157), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9163), 1,
      sym_preproc_directive,
    ACTIONS(9166), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(6451), 1,
      sym_subroutine_statement,
    STATE(7207), 1,
      sym_module_procedure_statement,
    STATE(7247), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9160), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4265), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70236] = 26,
    ACTIONS(8693), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8701), 1,
      aux_sym_end_module_statement_token1,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9169), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9172), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9175), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9181), 1,
      sym_preproc_directive,
    ACTIONS(9184), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7137), 1,
      sym_module_procedure_statement,
    STATE(7197), 1,
      sym_subroutine_statement,
    STATE(7198), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9178), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4266), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70341] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_function_statement_token1,
    ACTIONS(9139), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9141), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9143), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9147), 1,
      sym_preproc_directive,
    ACTIONS(9149), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(6451), 1,
      sym_subroutine_statement,
    STATE(7207), 1,
      sym_module_procedure_statement,
    STATE(7247), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9145), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4265), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70446] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_subroutine_statement_token1,
    ACTIONS(8998), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9000), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9002), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9006), 1,
      sym_preproc_directive,
    ACTIONS(9008), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7192), 1,
      sym_module_procedure_statement,
    STATE(7239), 1,
      sym_subroutine_statement,
    STATE(7240), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9004), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4250), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70551] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9187), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9189), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9191), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9195), 1,
      sym_preproc_directive,
    ACTIONS(9197), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7174), 1,
      sym_subroutine_statement,
    STATE(7175), 1,
      sym_function_statement,
    STATE(7181), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9193), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4261), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70656] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(9199), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9201), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9203), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9207), 1,
      sym_preproc_directive,
    ACTIONS(9209), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7228), 1,
      sym_module_procedure_statement,
    STATE(7264), 1,
      sym_subroutine_statement,
    STATE(7265), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9205), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4272), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70761] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8579), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(9187), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9189), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9191), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9195), 1,
      sym_preproc_directive,
    ACTIONS(9197), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7174), 1,
      sym_subroutine_statement,
    STATE(7175), 1,
      sym_function_statement,
    STATE(7181), 1,
      sym_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9193), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4269), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70866] = 26,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8569), 1,
      aux_sym_end_module_procedure_statement_token1,
    ACTIONS(9199), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9201), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9203), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9207), 1,
      sym_preproc_directive,
    ACTIONS(9209), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7228), 1,
      sym_module_procedure_statement,
    STATE(7264), 1,
      sym_subroutine_statement,
    STATE(7265), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9205), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4254), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [70971] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9211), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7874), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4274), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71073] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9213), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7888), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71175] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9215), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8047), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71277] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9215), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8047), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4279), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71379] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9217), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7739), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4275), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71481] = 25,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9219), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4288), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71583] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9221), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7763), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71685] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9211), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7874), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71787] = 25,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9219), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4285), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [71889] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9223), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8028), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4290), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [71991] = 25,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8577), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4284), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72093] = 25,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8567), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4285), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72195] = 25,
    ACTIONS(8693), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(8703), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8706), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8709), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8712), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8715), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8721), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8724), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8727), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8968), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8971), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8974), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8980), 1,
      sym_preproc_directive,
    ACTIONS(9225), 1,
      aux_sym_include_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8977), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8730), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8718), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4285), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72297] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9228), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8070), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72399] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9230), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8076), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72501] = 25,
    ACTIONS(8021), 1,
      aux_sym_module_statement_token1,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8986), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(8988), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(8990), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(8994), 1,
      sym_preproc_directive,
    ACTIONS(9074), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9232), 1,
      aux_sym_preproc_if_token2,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7217), 1,
      sym_module_procedure_statement,
    STATE(7255), 1,
      sym_subroutine_statement,
    STATE(7256), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8992), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5312), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4285), 12,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_internal_procedures,
      sym_preproc_ifdef_in_internal_procedures,
      sym_subroutine,
      sym_module_procedure,
      sym_function,
      sym__internal_procedures,
      sym_include_statement,
      aux_sym_preproc_if_in_internal_procedures_repeat1,
  [72603] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9234), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7845), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4286), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72705] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9236), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(8237), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72807] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9238), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7892), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4287), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [72909] = 25,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9024), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9026), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9238), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9028), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    STATE(7892), 3,
      sym_preproc_else_in_interface,
      sym_preproc_elif_in_interface,
      sym_preproc_elifdef_in_interface,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [73011] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7561), 38,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [73067] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
      anon_sym_DOT,
    ACTIONS(7549), 38,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [73123] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9250), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9264), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    STATE(1532), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6841), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4313), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73226] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9278), 1,
      aux_sym_end_type_statement_token1,
    STATE(1263), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6791), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73329] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9280), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9282), 1,
      aux_sym_end_type_statement_token1,
    STATE(2708), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6893), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4302), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73432] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9278), 1,
      aux_sym_end_type_statement_token1,
    STATE(1255), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6781), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4296), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73535] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9284), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9286), 1,
      aux_sym_end_type_statement_token1,
    STATE(1185), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6849), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73638] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9288), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_end_type_statement_token1,
    STATE(1563), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6939), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4305), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73741] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9292), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9294), 1,
      aux_sym_end_type_statement_token1,
    STATE(1648), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6593), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4304), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73844] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9280), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9282), 1,
      aux_sym_end_type_statement_token1,
    STATE(2719), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6902), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [73947] = 22,
    ACTIONS(9298), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9300), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9303), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(9309), 1,
      aux_sym_function_statement_token1,
    ACTIONS(9312), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(9315), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9318), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9324), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9327), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9330), 1,
      aux_sym_derived_type_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(9296), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(9306), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    ACTIONS(9333), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(9321), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [74040] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9292), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9294), 1,
      aux_sym_end_type_statement_token1,
    STATE(1638), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6606), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74143] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9288), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_end_type_statement_token1,
    STATE(1569), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6949), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74246] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9336), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9338), 1,
      aux_sym_end_type_statement_token1,
    STATE(1149), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6532), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74349] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9340), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9342), 1,
      aux_sym_end_type_statement_token1,
    STATE(2868), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6852), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4308), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74452] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9340), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9342), 1,
      aux_sym_end_type_statement_token1,
    STATE(2841), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6953), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74555] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9284), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9286), 1,
      aux_sym_end_type_statement_token1,
    STATE(1183), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6840), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4299), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74658] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9344), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9346), 1,
      aux_sym_end_type_statement_token1,
    STATE(3023), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6981), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4311), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74761] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9344), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9346), 1,
      aux_sym_end_type_statement_token1,
    STATE(3093), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6987), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74864] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9350), 1,
      aux_sym_end_type_statement_token1,
    STATE(1365), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6660), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4314), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [74967] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9250), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9264), 1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    STATE(1602), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(7229), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75070] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9350), 1,
      aux_sym_end_type_statement_token1,
    STATE(1369), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6673), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75173] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9352), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9354), 1,
      aux_sym_end_type_statement_token1,
    STATE(1612), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(7002), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4316), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75276] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9352), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9354), 1,
      aux_sym_end_type_statement_token1,
    STATE(1620), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(7009), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75379] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9356), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9358), 1,
      aux_sym_end_type_statement_token1,
    STATE(1392), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6721), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4319), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75482] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9336), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9338), 1,
      aux_sym_end_type_statement_token1,
    STATE(1127), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6519), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4306), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75585] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9356), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9358), 1,
      aux_sym_end_type_statement_token1,
    STATE(1401), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(6731), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75688] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9360), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9362), 1,
      aux_sym_end_type_statement_token1,
    STATE(2860), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(7251), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4321), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75791] = 27,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9240), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9242), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9244), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9248), 1,
      sym_preproc_directive,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9254), 1,
      aux_sym_contains_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9258), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9260), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9262), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9274), 1,
      aux_sym_include_statement_token1,
    ACTIONS(9360), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9362), 1,
      aux_sym_end_type_statement_token1,
    STATE(2882), 1,
      sym_end_type_statement,
    STATE(3608), 1,
      sym__intrinsic_type,
    STATE(5396), 1,
      sym_contains_statement,
    STATE(7279), 1,
      sym_derived_type_procedures,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9246), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [75894] = 22,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9364), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9366), 1,
      sym_preproc_comment,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4324), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [75984] = 23,
    ACTIONS(9368), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(9371), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(9374), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9380), 1,
      sym_preproc_directive,
    ACTIONS(9383), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9385), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9390), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9393), 1,
      aux_sym_private_statement_token1,
    ACTIONS(9396), 1,
      aux_sym_public_statement_token1,
    ACTIONS(9399), 1,
      aux_sym_derived_type_definition_token1,
    ACTIONS(9405), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9408), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(9411), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9417), 1,
      aux_sym_include_statement_token1,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9377), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(9388), 2,
      aux_sym_contains_statement_token1,
      aux_sym_end_type_statement_token1,
    ACTIONS(9414), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(6859), 2,
      sym_variable_declaration,
      sym_include_statement,
    STATE(3447), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9402), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
    STATE(4323), 9,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_derived_type,
      sym_preproc_ifdef_in_derived_type,
      sym_private_statement,
      sym_public_statement,
      aux_sym_derived_type_definition_repeat1,
  [76076] = 21,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9420), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76163] = 21,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9420), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4326), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76250] = 21,
    ACTIONS(8023), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(8025), 1,
      aux_sym_function_statement_token1,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(8367), 1,
      aux_sym_module_statement_token1,
    ACTIONS(9032), 1,
      aux_sym_import_statement_token1,
    ACTIONS(9422), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    STATE(5318), 1,
      sym__intrinsic_type,
    STATE(7221), 1,
      sym_subroutine_statement,
    STATE(7222), 1,
      sym_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5310), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(4303), 6,
      sym__interface_items,
      sym_subroutine,
      sym_function,
      sym_import_statement,
      sym_procedure_statement,
      aux_sym_preproc_if_in_interface_repeat1,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [76337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9424), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9426), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76384] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8960), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [76451] = 16,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8910), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [76524] = 15,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8910), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [76595] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9444), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9446), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76642] = 17,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [76717] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8934), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [76784] = 9,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [76843] = 18,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8940), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [76920] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9452), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9454), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [76967] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9456), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9458), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77014] = 8,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8952), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [77071] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9460), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9462), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77118] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9464), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9466), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77165] = 18,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [77242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9468), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9470), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77289] = 10,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [77350] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9472), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9474), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77397] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9476), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9478), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77444] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9480), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9482), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9484), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9486), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9488), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9490), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77585] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9492), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9494), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77632] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9496), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9498), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77679] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9500), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9502), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77726] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9504), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9506), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77773] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9508), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9510), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77820] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9512), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9514), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77867] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9516), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9518), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77914] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9520), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9522), 34,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_import_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [77961] = 11,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78024] = 15,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8958), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
    ACTIONS(8956), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78095] = 5,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4361), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9100), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9098), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78145] = 5,
    STATE(2550), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4362), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9100), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9098), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78195] = 6,
    ACTIONS(9524), 1,
      anon_sym_LPAREN2,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4361), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9134), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9132), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78247] = 6,
    ACTIONS(9527), 1,
      anon_sym_LPAREN2,
    STATE(2550), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4362), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9134), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9132), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_GT_GT_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [78299] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4387), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [78348] = 17,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 8,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78421] = 13,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8934), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78486] = 9,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78543] = 5,
    STATE(3170), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4395), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9100), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9098), 27,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78592] = 18,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(8940), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78667] = 15,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78736] = 8,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8952), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [78791] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9570), 1,
      anon_sym_COMMA,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9592), 1,
      anon_sym_RBRACK,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6992), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78876] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9598), 1,
      anon_sym_RPAREN,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6995), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [78961] = 17,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9602), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9604), 1,
      aux_sym_logical_expression_token2,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 7,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79034] = 13,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8934), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79099] = 9,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [79156] = 18,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9602), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9604), 1,
      aux_sym_logical_expression_token2,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8940), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9606), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79231] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9608), 1,
      anon_sym_COMMA,
    ACTIONS(9610), 1,
      anon_sym_RBRACK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6540), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79316] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6541), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79401] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4363), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9614), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9616), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79450] = 15,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(8958), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8956), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79519] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6676), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79604] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    STATE(6320), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9622), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79687] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(6372), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9628), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79770] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4387), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9634), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9636), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79819] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9640), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79864] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    STATE(6324), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9642), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [79947] = 5,
    ACTIONS(9644), 1,
      anon_sym_COMMA,
    STATE(4387), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9640), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [79996] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4387), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9647), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9649), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [80045] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7285), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80130] = 18,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80205] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9653), 1,
      anon_sym_COMMA,
    ACTIONS(9655), 1,
      anon_sym_RBRACK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6612), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80290] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6613), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80375] = 18,
    ACTIONS(8940), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80450] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(8966), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9602), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9604), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9659), 1,
      anon_sym_QMARK,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9606), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8964), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80531] = 6,
    ACTIONS(9661), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4395), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9134), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(9132), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80582] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    ACTIONS(9666), 1,
      anon_sym_LT_LT_LT,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4367), 1,
      aux_sym_call_expression_repeat1,
    STATE(4708), 1,
      sym_coarray_index,
    STATE(4839), 1,
      sym_argument_list,
    STATE(6153), 1,
      sym_cuda_kernel_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9664), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80667] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9668), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6613), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [80752] = 5,
    ACTIONS(9670), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(9672), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4295), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [80801] = 9,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [80858] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [80907] = 11,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8938), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [80968] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    STATE(4388), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9674), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9676), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [81017] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9678), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7187), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81102] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9651), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7294), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81187] = 10,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8938), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81246] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8247), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9602), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9604), 1,
      aux_sym_logical_expression_token2,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9606), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 5,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81323] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9682), 4,
      anon_sym_COMMA,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81402] = 8,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8952), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [81457] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(6365), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9684), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81540] = 15,
    ACTIONS(8958), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8956), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81609] = 11,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81670] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9686), 1,
      anon_sym_COMMA,
    ACTIONS(9688), 1,
      anon_sym_RBRACK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7248), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81755] = 10,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81814] = 13,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8960), 20,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [81879] = 16,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 9,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [81950] = 15,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 10,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82019] = 8,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8952), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82074] = 15,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8958), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8956), 9,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82143] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7285), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82228] = 13,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 4,
      anon_sym_GT,
      anon_sym_LT,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(8960), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [82293] = 18,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 6,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82368] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9692), 1,
      anon_sym_COMMA,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7293), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82453] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(7294), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82538] = 11,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82599] = 10,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82658] = 13,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8960), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [82723] = 16,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82794] = 15,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82863] = 17,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [82936] = 16,
    ACTIONS(8920), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9566), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9604), 1,
      aux_sym_logical_expression_token2,
    STATE(3019), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      aux_sym_end_program_statement_token1,
      anon_sym_DOT,
    ACTIONS(9558), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9560), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9564), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 8,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9562), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83007] = 13,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8934), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [83072] = 23,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    STATE(6541), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83157] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    ACTIONS(9700), 1,
      anon_sym_COMMA,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9702), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83237] = 4,
    ACTIONS(9706), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9704), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9708), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [83283] = 4,
    ACTIONS(9712), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9710), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9714), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [83329] = 4,
    ACTIONS(9718), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9716), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9720), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [83375] = 4,
    ACTIONS(9724), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83421] = 4,
    ACTIONS(9730), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83467] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6752), 1,
      anon_sym_COLON,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6748), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83547] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6716), 1,
      anon_sym_COLON,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6714), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83627] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9734), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83707] = 4,
    ACTIONS(9738), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [83753] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9744), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9742), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83833] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9746), 1,
      anon_sym_GT_GT_GT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(6550), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83915] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [83995] = 4,
    ACTIONS(9752), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9750), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9754), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84041] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4295), 27,
      anon_sym_COMMA,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84085] = 4,
    ACTIONS(9758), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84131] = 4,
    ACTIONS(9764), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84177] = 4,
    ACTIONS(9770), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84223] = 4,
    ACTIONS(9776), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84269] = 4,
    ACTIONS(9782), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84315] = 4,
    ACTIONS(9788), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84361] = 4,
    ACTIONS(9794), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84407] = 4,
    ACTIONS(9800), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9798), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9802), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84453] = 4,
    ACTIONS(9806), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [84499] = 4,
    ACTIONS(9812), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9810), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9814), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84545] = 8,
    ACTIONS(9816), 1,
      anon_sym_LPAREN2,
    STATE(668), 1,
      sym__end_of_statement,
    STATE(3170), 1,
      sym__argument_list,
    STATE(7142), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9819), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [84599] = 4,
    ACTIONS(9823), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9821), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9825), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [84645] = 11,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [84705] = 10,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 22,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [84763] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8964), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84841] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8944), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [84919] = 13,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8960), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [84983] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9837), 1,
      anon_sym_COMMA,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(7350), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85065] = 4,
    ACTIONS(9843), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9841), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9845), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85111] = 16,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9851), 1,
      aux_sym_logical_expression_token2,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 8,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85181] = 4,
    ACTIONS(9855), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9853), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9857), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [85227] = 8,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8952), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85281] = 17,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9851), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9859), 1,
      aux_sym_logical_expression_token1,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 7,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85353] = 13,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8934), 19,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [85417] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9682), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85495] = 18,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8940), 1,
      anon_sym_DOT,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9851), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9859), 1,
      aux_sym_logical_expression_token1,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9861), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85569] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9837), 1,
      anon_sym_COMMA,
    ACTIONS(9863), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(7350), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85651] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_COMMA,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6920), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85731] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9865), 1,
      anon_sym_COMMA,
    ACTIONS(9867), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(7685), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85813] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9869), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85891] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    ACTIONS(9871), 1,
      anon_sym_COMMA,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9873), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [85971] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86051] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9879), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86131] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9600), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86211] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9885), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86291] = 9,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8938), 23,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86347] = 7,
    ACTIONS(5511), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(7757), 1,
      anon_sym__,
    STATE(3711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5513), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(5515), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5517), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86399] = 15,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8958), 1,
      anon_sym_DOT,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8956), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86467] = 4,
    ACTIONS(9889), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9887), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9891), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86513] = 4,
    ACTIONS(9895), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9893), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9897), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86559] = 4,
    ACTIONS(9901), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9899), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9903), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [86605] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9851), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9859), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9905), 1,
      anon_sym_LBRACK,
    ACTIONS(9907), 1,
      anon_sym_QMARK,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9861), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8964), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86683] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86727] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86771] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4295), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86815] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86859] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4297), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4299), 29,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [86903] = 22,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    ACTIONS(9909), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(7672), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [86985] = 4,
    ACTIONS(9913), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87031] = 18,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9851), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9859), 1,
      aux_sym_logical_expression_token1,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9861), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 5,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87105] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(9919), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9917), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87185] = 15,
    ACTIONS(8912), 1,
      anon_sym_DOT,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9829), 1,
      anon_sym_PERCENT,
    ACTIONS(9831), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9835), 1,
      anon_sym_SLASH_SLASH,
    STATE(2961), 1,
      sym_user_defined_operator,
    STATE(4794), 1,
      sym__argument_list,
    STATE(4934), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9827), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9849), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4651), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 9,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(9847), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87253] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87296] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87339] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87382] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87425] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87468] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87511] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87554] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9937), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9939), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9520), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9522), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87640] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9456), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9458), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87683] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9468), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9470), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87726] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [87803] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [87846] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9943), 4,
      aux_sym__import_names_token1,
      aux_sym_coarray_statement_token3,
      aux_sym_coarray_statement_token4,
      aux_sym_coarray_statement_token5,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [87891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9480), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9482), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87934] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9488), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9490), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [87977] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88020] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9492), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9494), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88063] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9496), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9498), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88106] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9504), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9506), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88149] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88192] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88235] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9953), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9955), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88321] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88364] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9821), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9825), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88407] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88450] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9969), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9971), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88493] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88536] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9977), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9979), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9460), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9462), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88622] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9981), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9983), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88665] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88708] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88751] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9444), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9446), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [88794] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88837] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88880] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88923] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [88966] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89009] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89052] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89095] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9508), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9510), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89138] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89181] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9993), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9995), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9997), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9999), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89267] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9464), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9466), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89353] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89396] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89439] = 10,
    ACTIONS(10001), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10005), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10007), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10009), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10011), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4030), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10013), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3993), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10003), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [89496] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89539] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89582] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89625] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89668] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9853), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9857), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89754] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89797] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89840] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [89883] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10019), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10021), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89926] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10023), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10025), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [89969] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90012] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90055] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9484), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9486), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90098] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90141] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9452), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9454), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90184] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9710), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9714), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90227] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90270] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90313] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90356] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90399] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10035), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90476] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90519] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [90562] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10037), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90639] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90682] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90768] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90811] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10039), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [90888] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90931] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [90974] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91017] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91060] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91103] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91146] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91189] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91232] = 9,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8938), 21,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [91287] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9702), 1,
      anon_sym_RPAREN,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91366] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91409] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91452] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91495] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91538] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91615] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10043), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10045), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91658] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(9883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91735] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10047), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10049), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [91778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [91821] = 18,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8940), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8938), 3,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91894] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [91971] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92048] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10073), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92125] = 11,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8938), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92184] = 8,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8954), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8952), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92237] = 10,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8940), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8938), 20,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [92294] = 10,
    ACTIONS(10001), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10005), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10007), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10009), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10011), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4030), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10013), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3418), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10003), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [92351] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10075), 1,
      anon_sym_RPAREN,
    ACTIONS(10077), 1,
      anon_sym_EQ_GT,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92430] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10079), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92507] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10081), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10083), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9476), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9478), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92593] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9472), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9474), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92636] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9893), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9897), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92679] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9424), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9426), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92722] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9500), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9502), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92765] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9512), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9514), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92808] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9516), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9518), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [92851] = 15,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8958), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8956), 7,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92918] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8247), 1,
      anon_sym_EQ,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8245), 3,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [92993] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93036] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93079] = 17,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 5,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93193] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93236] = 10,
    ACTIONS(10001), 1,
      aux_sym_language_binding_token1,
    ACTIONS(10005), 1,
      aux_sym__standalone_type_qualifier_token3,
    ACTIONS(10007), 1,
      aux_sym__standalone_type_qualifier_token4,
    ACTIONS(10009), 1,
      aux_sym__standalone_type_qualifier_token6,
    ACTIONS(10011), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(4030), 1,
      sym__standalone_type_qualifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10013), 2,
      aux_sym_type_qualifier_token1,
      aux_sym_type_qualifier_token2,
    STATE(3423), 2,
      sym_language_binding,
      sym_type_qualifier,
    ACTIONS(10003), 24,
      aux_sym_procedure_attributes_token3,
      aux_sym_use_statement_token2,
      aux_sym_implicit_statement_token4,
      aux_sym_save_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_abstract_specifier_token1,
      aux_sym_procedure_attribute_token6,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
      aux_sym__standalone_type_qualifier_token1,
      aux_sym__standalone_type_qualifier_token2,
      aux_sym__standalone_type_qualifier_token5,
      aux_sym__standalone_type_qualifier_token10,
      aux_sym__standalone_type_qualifier_token11,
      aux_sym__standalone_type_qualifier_token12,
      aux_sym__standalone_type_qualifier_token14,
      aux_sym__standalone_type_qualifier_token15,
      aux_sym__standalone_type_qualifier_token16,
      aux_sym__standalone_type_qualifier_token17,
  [93293] = 21,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10085), 1,
      anon_sym_EQ,
    ACTIONS(10087), 1,
      anon_sym_EQ_GT,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93372] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10091), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93449] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10093), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93526] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10095), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93603] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10097), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93680] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8936), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8934), 17,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93743] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [93829] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [93906] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8962), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8960), 17,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [93969] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10105), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94046] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10107), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94123] = 16,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 6,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94192] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10109), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94269] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10111), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94346] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10113), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94423] = 15,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8912), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(8910), 7,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94490] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10115), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10117), 26,
      aux_sym_module_statement_token1,
      aux_sym_end_interface_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [94533] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(7525), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9546), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9548), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9624), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(4708), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9544), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9554), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10119), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9542), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94610] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94653] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 13,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [94696] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10125), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94772] = 5,
    ACTIONS(10127), 1,
      anon_sym__,
    STATE(4727), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5515), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5517), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [94818] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8952), 1,
      anon_sym_RPAREN,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [94894] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4653), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9614), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9616), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [94940] = 5,
    STATE(4794), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4655), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9100), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9098), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [94986] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4658), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95032] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4678), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95078] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9839), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95154] = 6,
    ACTIONS(9136), 1,
      anon_sym_LPAREN2,
    STATE(4794), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(4655), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9134), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(9132), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [95202] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10131), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95278] = 5,
    ACTIONS(10127), 1,
      anon_sym__,
    STATE(4707), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7755), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7753), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [95324] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4678), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9634), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9636), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95370] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10133), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95446] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4287), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95488] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4662), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9674), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9676), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95534] = 5,
    ACTIONS(10129), 1,
      anon_sym_COMMA,
    STATE(4678), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9647), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9649), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [95580] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10135), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95656] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(9863), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95732] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4297), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4299), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [95774] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10137), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95850] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10139), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [95926] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10141), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96002] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10143), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96078] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10145), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96154] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10147), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96230] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10149), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96306] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4291), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96348] = 6,
    ACTIONS(10151), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10153), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(10155), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4297), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4299), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [96396] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10039), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96472] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10157), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4295), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96590] = 5,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    STATE(4678), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9640), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [96636] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10162), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96712] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10164), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96788] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10107), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [96864] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 12,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4287), 21,
      sym_preproc_comment,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [96906] = 5,
    STATE(205), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10166), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [96952] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(9632), 1,
      anon_sym_QMARK,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97028] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10170), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97104] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(9582), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9584), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9588), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9590), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9594), 1,
      anon_sym_QMARK,
    ACTIONS(10172), 1,
      anon_sym_COLON,
    STATE(3001), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    STATE(3974), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9572), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9574), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(9578), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9586), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4359), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9576), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97180] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97253] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10174), 2,
      aux_sym_coarray_statement_token9,
      aux_sym_coarray_statement_token10,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97296] = 5,
    ACTIONS(10176), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(10178), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97341] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    ACTIONS(9540), 1,
      anon_sym_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9552), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(3010), 1,
      sym_user_defined_operator,
    STATE(3170), 1,
      sym__argument_list,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9538), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4367), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97414] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3096), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97487] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9638), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9640), 30,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [97528] = 5,
    ACTIONS(10180), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10182), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4295), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97573] = 4,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [97616] = 19,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9442), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(9448), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(3747), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9440), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9450), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(4360), 2,
      sym_argument_list,
      aux_sym_call_expression_repeat1,
    ACTIONS(9438), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [97689] = 5,
    ACTIONS(9670), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(9672), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4295), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97734] = 5,
    ACTIONS(10186), 1,
      anon_sym__,
    STATE(4859), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7755), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7753), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97779] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(7432), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97826] = 5,
    ACTIONS(10186), 1,
      anon_sym__,
    STATE(4786), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5515), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5517), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97871] = 6,
    ACTIONS(7757), 1,
      anon_sym__,
    STATE(3711), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5513), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5515), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5517), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97918] = 5,
    ACTIONS(10176), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(10188), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [97963] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3428), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98010] = 20,
    ACTIONS(167), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(9432), 1,
      anon_sym_PERCENT,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      aux_sym_logical_expression_token1,
    ACTIONS(10061), 1,
      aux_sym_logical_expression_token2,
    ACTIONS(10065), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(10067), 1,
      anon_sym_STAR_STAR,
    ACTIONS(10089), 1,
      anon_sym_QMARK,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3025), 1,
      sym_user_defined_operator,
    STATE(4360), 1,
      aux_sym_call_expression_repeat1,
    STATE(5110), 1,
      sym_argument_list,
    STATE(5111), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10053), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(10057), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10063), 2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
    ACTIONS(10055), 10,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
  [98085] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8147), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8145), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98125] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8091), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98165] = 4,
    ACTIONS(10190), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98207] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8178), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8176), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98247] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8231), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8229), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98287] = 5,
    ACTIONS(10192), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98331] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8291), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8289), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98371] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8305), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8303), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98411] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8317), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8315), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98451] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8170), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8168), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8172), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98531] = 4,
    ACTIONS(10194), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 25,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98573] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8131), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8129), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98613] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8135), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8133), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98653] = 4,
    ACTIONS(10196), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98695] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8247), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8245), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98735] = 4,
    ACTIONS(10198), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98777] = 4,
    ACTIONS(10200), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98819] = 4,
    ACTIONS(10202), 1,
      aux_sym_stop_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98861] = 4,
    ACTIONS(10188), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98903] = 5,
    ACTIONS(10204), 1,
      anon_sym_LPAREN2,
    STATE(8034), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [98987] = 4,
    ACTIONS(10207), 1,
      aux_sym_block_construct_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99029] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8141), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99069] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9969), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9971), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99109] = 4,
    ACTIONS(10209), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99151] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8313), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8311), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99191] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9997), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9999), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99231] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9530), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9534), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [99271] = 7,
    ACTIONS(10211), 1,
      anon_sym_COMMA,
    ACTIONS(10213), 1,
      anon_sym_RPAREN,
    ACTIONS(10215), 1,
      anon_sym_COLON_COLON,
    STATE(7250), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99319] = 4,
    ACTIONS(10176), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99361] = 4,
    ACTIONS(10217), 1,
      aux_sym_coarray_critical_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99403] = 5,
    ACTIONS(7757), 1,
      anon_sym__,
    STATE(5198), 1,
      sym__kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5515), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(5517), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99447] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10219), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8341), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99489] = 4,
    ACTIONS(10221), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99531] = 4,
    ACTIONS(10223), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99573] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8091), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99613] = 4,
    ACTIONS(10225), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99655] = 6,
    ACTIONS(10227), 1,
      anon_sym_LPAREN2,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    STATE(8564), 1,
      sym__statement_function_arg_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [99701] = 4,
    ACTIONS(10232), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99743] = 4,
    ACTIONS(10234), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99785] = 4,
    ACTIONS(10236), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99827] = 4,
    ACTIONS(10238), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99869] = 4,
    ACTIONS(10240), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99911] = 4,
    ACTIONS(10242), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99953] = 4,
    ACTIONS(10244), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [99995] = 5,
    ACTIONS(10246), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100039] = 4,
    ACTIONS(10248), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [100081] = 4,
    ACTIONS(10250), 1,
      aux_sym_coarray_statement_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100123] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100203] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100243] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100283] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100323] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100363] = 4,
    ACTIONS(10252), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100405] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100445] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100485] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100525] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100565] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100645] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100685] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100725] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100765] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 2,
      aux_sym_preproc_elif_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 29,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_import_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [100805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7561), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100845] = 6,
    ACTIONS(5710), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5712), 1,
      anon_sym_LPAREN2,
    ACTIONS(5715), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [100891] = 4,
    ACTIONS(10178), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4291), 24,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100933] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(7549), 26,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [100973] = 5,
    ACTIONS(10192), 1,
      anon_sym_LPAREN2,
    STATE(2878), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101017] = 4,
    ACTIONS(10254), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101059] = 4,
    ACTIONS(10256), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101100] = 4,
    ACTIONS(10258), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101141] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101180] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101219] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101258] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101297] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101336] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101375] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101414] = 5,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(10260), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101457] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8141), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101496] = 4,
    ACTIONS(10262), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101537] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101615] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101654] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101693] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101732] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101771] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6672), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6670), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [101810] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101849] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101888] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101927] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [101966] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102005] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8313), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8311), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102083] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102122] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102161] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102200] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6962), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6964), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102239] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102278] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6692), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6690), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102317] = 4,
    ACTIONS(10264), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102358] = 4,
    ACTIONS(10266), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102399] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6634), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6632), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102438] = 4,
    ACTIONS(10268), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102479] = 4,
    ACTIONS(10270), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102520] = 4,
    ACTIONS(10272), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102561] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6668), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6666), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102600] = 4,
    ACTIONS(10274), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102641] = 4,
    ACTIONS(10276), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102682] = 4,
    ACTIONS(10278), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102723] = 4,
    ACTIONS(10280), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102764] = 4,
    ACTIONS(10282), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102805] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6652), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6650), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [102844] = 4,
    ACTIONS(10284), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102885] = 4,
    ACTIONS(10286), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102926] = 4,
    ACTIONS(10288), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [102967] = 7,
    ACTIONS(10290), 1,
      anon_sym_COMMA,
    ACTIONS(10292), 1,
      anon_sym_SLASH,
    STATE(6402), 1,
      aux_sym_data_set_repeat1,
    STATE(6501), 1,
      sym_data_value,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103014] = 4,
    ACTIONS(10294), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103055] = 4,
    ACTIONS(10296), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103096] = 4,
    ACTIONS(10298), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103137] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6688), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6686), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103176] = 4,
    ACTIONS(10300), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103217] = 4,
    ACTIONS(10302), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103258] = 4,
    ACTIONS(10304), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103299] = 4,
    ACTIONS(10306), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103340] = 4,
    ACTIONS(10308), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103381] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103420] = 4,
    ACTIONS(10310), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103461] = 4,
    ACTIONS(10312), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103502] = 4,
    ACTIONS(10314), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103543] = 4,
    ACTIONS(10316), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103584] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(10320), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10318), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT_LT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103625] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103664] = 4,
    ACTIONS(10324), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103705] = 6,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(10328), 1,
      anon_sym_RPAREN,
    STATE(7301), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [103750] = 4,
    ACTIONS(10330), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103791] = 4,
    ACTIONS(10332), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103832] = 4,
    ACTIONS(10334), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103873] = 4,
    ACTIONS(10336), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103914] = 4,
    ACTIONS(10338), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103955] = 4,
    ACTIONS(10340), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [103996] = 4,
    ACTIONS(10342), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104037] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10260), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104078] = 4,
    ACTIONS(10344), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104119] = 6,
    ACTIONS(10346), 1,
      anon_sym_COMMA,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(7036), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104164] = 4,
    ACTIONS(10350), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104205] = 4,
    ACTIONS(8127), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104246] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104285] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8091), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104324] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8093), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8091), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104363] = 5,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104406] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8178), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8176), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104445] = 4,
    ACTIONS(8127), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 24,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104486] = 4,
    ACTIONS(10354), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104527] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8291), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8289), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104566] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8305), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8303), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104605] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8317), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8315), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104644] = 4,
    ACTIONS(10356), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104685] = 6,
    ACTIONS(10211), 1,
      anon_sym_COMMA,
    ACTIONS(10213), 1,
      anon_sym_RPAREN,
    STATE(7208), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104730] = 4,
    ACTIONS(10358), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104771] = 4,
    ACTIONS(10360), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104812] = 4,
    ACTIONS(10362), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104853] = 4,
    ACTIONS(10364), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104894] = 4,
    ACTIONS(10366), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [104935] = 4,
    ACTIONS(10368), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [104976] = 4,
    ACTIONS(10370), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105017] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8170), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8168), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105056] = 4,
    ACTIONS(10372), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105097] = 4,
    ACTIONS(10374), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105138] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8174), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8172), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105177] = 4,
    ACTIONS(10376), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105218] = 4,
    ACTIONS(10378), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105259] = 4,
    ACTIONS(10380), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105300] = 4,
    ACTIONS(10382), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105341] = 4,
    ACTIONS(10384), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105382] = 4,
    ACTIONS(10386), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105423] = 17,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10396), 1,
      sym_preproc_comment,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5164), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8480), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [105490] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8131), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8129), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105529] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8135), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8133), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105568] = 4,
    ACTIONS(10398), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105609] = 4,
    ACTIONS(10400), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105650] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8247), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8245), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105689] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8147), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8145), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105728] = 4,
    ACTIONS(10402), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105769] = 4,
    ACTIONS(10404), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105810] = 4,
    ACTIONS(10406), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105851] = 4,
    ACTIONS(10230), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [105892] = 4,
    ACTIONS(10408), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105933] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [105972] = 4,
    ACTIONS(10410), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9756), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9760), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106013] = 4,
    ACTIONS(10412), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106054] = 4,
    ACTIONS(10414), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9768), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9772), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106095] = 4,
    ACTIONS(10416), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106136] = 5,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [106179] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106218] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106257] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106296] = 17,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10418), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10420), 1,
      sym_preproc_comment,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(4960), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(7959), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [106363] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106402] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106441] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106480] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106519] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106597] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106636] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106675] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106714] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106753] = 4,
    ACTIONS(10422), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106794] = 4,
    ACTIONS(10424), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106835] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106874] = 4,
    ACTIONS(10426), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9792), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9796), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106915] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106954] = 4,
    ACTIONS(10428), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9780), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9784), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [106995] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107034] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107073] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107112] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107151] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107190] = 5,
    ACTIONS(10184), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107233] = 5,
    ACTIONS(5715), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5712), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
    ACTIONS(4285), 4,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4287), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107276] = 4,
    ACTIONS(10430), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9804), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9808), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107317] = 4,
    ACTIONS(10432), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9911), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9915), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107358] = 4,
    ACTIONS(10434), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9722), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9726), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107399] = 4,
    ACTIONS(10436), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107440] = 4,
    ACTIONS(10438), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9736), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9740), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107481] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8231), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8229), 25,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [107520] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107596] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107634] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107672] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107710] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107748] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107824] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107862] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107900] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107938] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [107976] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108014] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108052] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108090] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108128] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108166] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108204] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108242] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108280] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108318] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108356] = 6,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(10442), 1,
      anon_sym_SLASH,
    STATE(6565), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108400] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108438] = 7,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(10442), 1,
      anon_sym_SLASH,
    ACTIONS(10445), 1,
      anon_sym_STAR,
    STATE(6568), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [108484] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10447), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8445), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [108548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108586] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108624] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108662] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108700] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108738] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108776] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108814] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108852] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108890] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [108966] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109004] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109042] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109080] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109118] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10260), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [109158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109196] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109690] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109728] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109766] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109804] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109842] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109880] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [109918] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10449), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8399), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [109982] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110020] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110058] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110096] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110134] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110172] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110210] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110248] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110286] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110324] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110362] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110400] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110438] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110476] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110514] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110552] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110590] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110628] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110666] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110704] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110742] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110780] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110818] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110856] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110894] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110932] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [110970] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111008] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111046] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111084] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111122] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111160] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111198] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111236] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [111276] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111314] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111352] = 4,
    ACTIONS(10260), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [111392] = 10,
    ACTIONS(8914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    STATE(3974), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7523), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7517), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [111444] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111482] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111520] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111558] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111596] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111634] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111672] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111710] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111748] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111824] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111862] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111900] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111938] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [111976] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112014] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112052] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112090] = 4,
    ACTIONS(10453), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [112130] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [112170] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112208] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112246] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112284] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112322] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112360] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112398] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112436] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112474] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112512] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112550] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112588] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112626] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112664] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112702] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112740] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112778] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112816] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112854] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112892] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112930] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [112968] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113006] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113044] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113082] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113120] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113158] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113196] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113234] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113272] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113576] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [113616] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113654] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113692] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10458), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8022), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [113756] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10458), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5155), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8022), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [113820] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113858] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10460), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8143), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [113922] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113960] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [113998] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114036] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114074] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114112] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114188] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114226] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114264] = 4,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [114304] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114342] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(10320), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(10318), 21,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
  [114382] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8231), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8229), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [114422] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114460] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114498] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114536] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114574] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114612] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114650] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114688] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114726] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114764] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114802] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114840] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114878] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4553), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4555), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114916] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4557), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4559), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114954] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [114992] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115030] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115068] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115106] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115144] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115182] = 4,
    ACTIONS(10466), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [115222] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115260] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4561), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4563), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115298] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115336] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115374] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115450] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115488] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115526] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115564] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115602] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115640] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115678] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [115718] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115756] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115794] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115832] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115870] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10468), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5095), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8378), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [115934] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [115972] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116010] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116048] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116086] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10470), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8031), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116188] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116226] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116264] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116302] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10472), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5207), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8071), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116366] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4565), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4567), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116404] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4569), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4571), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116442] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10474), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5208), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8087), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116506] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10474), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8087), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [116570] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116608] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116646] = 4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [116686] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116724] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4573), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4575), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116762] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116800] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116838] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9762), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9766), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116876] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116914] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [116952] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10447), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5098), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8445), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [117016] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9774), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9778), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117054] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117092] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117130] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9933), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9935), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117168] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10121), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10123), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117206] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9786), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9790), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117244] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117282] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117320] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9945), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9947), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117358] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4577), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4579), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117396] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9949), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9951), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117434] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9921), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9923), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117472] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4581), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4583), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117510] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9957), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9959), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117548] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9961), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9963), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117586] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117624] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4585), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4587), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117662] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4589), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4591), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117700] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4397), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4399), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117738] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9925), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9927), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117776] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4593), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4595), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117814] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7559), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7561), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117852] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8143), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(8141), 23,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [117890] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9929), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9931), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7547), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(7549), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [117966] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118004] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118042] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10478), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(4997), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8130), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [118106] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118144] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118182] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118220] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10480), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8148), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [118284] = 16,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10390), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10392), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10482), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    ACTIONS(10394), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(8152), 3,
      sym_preproc_else_in_derived_type,
      sym_preproc_elif_in_derived_type,
      sym_preproc_elifdef_in_derived_type,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [118348] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118386] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118424] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118462] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118500] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118538] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9965), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9967), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4407), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9973), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9975), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118652] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118690] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118728] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9985), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9987), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118766] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10099), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10101), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118804] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4631), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118842] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4639), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118880] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4403), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118918] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4531), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118956] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9728), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9732), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [118994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119032] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119070] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10027), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10029), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119108] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10031), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10033), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_module_procedure_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119146] = 4,
    ACTIONS(10484), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119186] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4625), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4627), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9989), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9991), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119262] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4633), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4635), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119300] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4411), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119338] = 4,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119378] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_end_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119416] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4415), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119454] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10015), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10017), 21,
      aux_sym_module_statement_token1,
      aux_sym_end_submodule_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119492] = 6,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(10490), 1,
      anon_sym_SLASH,
    STATE(6907), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119536] = 4,
    ACTIONS(10493), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 23,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119576] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4461), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4463), 21,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_end_function_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119614] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4597), 8,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(4599), 21,
      aux_sym_end_program_statement_token2,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
      aux_sym_include_statement_token1,
  [119652] = 4,
    ACTIONS(10497), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10495), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10499), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [119691] = 4,
    ACTIONS(10501), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119730] = 4,
    ACTIONS(10503), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119769] = 4,
    ACTIONS(10505), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119808] = 4,
    ACTIONS(10509), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10507), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10511), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [119847] = 4,
    ACTIONS(10513), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119886] = 4,
    ACTIONS(10515), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119925] = 4,
    ACTIONS(10517), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [119964] = 4,
    ACTIONS(10521), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10519), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10523), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120003] = 4,
    ACTIONS(10527), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10525), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10529), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120042] = 5,
    ACTIONS(10531), 1,
      anon_sym_COMMA,
    ACTIONS(10533), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120083] = 4,
    ACTIONS(10538), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10536), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10540), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120122] = 4,
    ACTIONS(10544), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10542), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10546), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120161] = 5,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120202] = 4,
    ACTIONS(10555), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10553), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10557), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120241] = 4,
    ACTIONS(10561), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10559), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10563), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120280] = 4,
    ACTIONS(10567), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10565), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10569), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120319] = 4,
    ACTIONS(10573), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10571), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10575), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120358] = 4,
    ACTIONS(10579), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10577), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10581), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120397] = 4,
    ACTIONS(10585), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10583), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10587), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120436] = 4,
    ACTIONS(10589), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 5,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120475] = 5,
    ACTIONS(10591), 1,
      anon_sym_COMMA,
    ACTIONS(10593), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 4,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120516] = 6,
    ACTIONS(10591), 1,
      anon_sym_COMMA,
    ACTIONS(10593), 1,
      anon_sym_SLASH,
    ACTIONS(10596), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8341), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(8339), 22,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_logical_expression_token4,
      aux_sym_relational_expression_token1,
      aux_sym_relational_expression_token2,
      aux_sym_relational_expression_token3,
      aux_sym_relational_expression_token4,
      aux_sym_relational_expression_token5,
      anon_sym_SLASH_EQ,
      aux_sym_relational_expression_token6,
      anon_sym_SLASH_SLASH,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK,
  [120559] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10559), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10563), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120595] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10598), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10600), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120631] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10602), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10604), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120667] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4409), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4411), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120703] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10577), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10581), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120739] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10606), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10608), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120775] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5086), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5088), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120811] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4629), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4631), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120847] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10610), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10612), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120883] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10614), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10616), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120919] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10618), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10620), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120955] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9383), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(9388), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [120991] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4637), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4639), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121027] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10622), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10624), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121063] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10626), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10628), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121099] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4401), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4403), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121135] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4405), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4407), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121171] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5038), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5040), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121207] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10630), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10632), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121243] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10634), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10636), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121279] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10638), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10640), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121315] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5084), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121351] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4413), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4415), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121387] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10642), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10644), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121423] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10646), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10648), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121459] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10650), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10652), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121495] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4529), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(4531), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121531] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10654), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10656), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121567] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5058), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5060), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121603] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5094), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5096), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121639] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10658), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10660), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121675] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10662), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10664), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121711] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10666), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10668), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121747] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10670), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10672), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121783] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10674), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10676), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121819] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10678), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10680), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121855] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5138), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5140), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121891] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5034), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121927] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10565), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10569), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121963] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10682), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10684), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [121999] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5054), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(5056), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [122035] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10686), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10688), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [122071] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10525), 10,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10529), 17,
      aux_sym_module_procedure_statement_token1,
      aux_sym_contains_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_derived_type_definition_token1,
      aux_sym_end_type_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      aux_sym_include_statement_token1,
  [122107] = 12,
    ACTIONS(10695), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(10698), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10704), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10707), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10710), 1,
      aux_sym_derived_type_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10693), 2,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5309), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(10690), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(10701), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122160] = 13,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10713), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10715), 1,
      aux_sym_function_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5309), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 6,
      aux_sym_module_statement_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122215] = 13,
    ACTIONS(10719), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10721), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(10724), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10730), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10733), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10736), 1,
      aux_sym_derived_type_token1,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10739), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    ACTIONS(10717), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(10727), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122270] = 14,
    ACTIONS(8027), 1,
      aux_sym_procedure_attributes_token1,
    ACTIONS(8029), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(8033), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(8035), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(8037), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10713), 1,
      aux_sym_subroutine_statement_token1,
    ACTIONS(10715), 1,
      aux_sym_function_statement_token1,
    ACTIONS(10742), 1,
      aux_sym_module_statement_token1,
    STATE(5318), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5387), 2,
      sym_intrinsic_type,
      sym_derived_type,
    STATE(5309), 3,
      aux_sym__callable_interface_qualifers,
      sym_procedure_attributes,
      sym_procedure_qualifier,
    ACTIONS(8039), 5,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
    ACTIONS(8031), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122327] = 5,
    ACTIONS(10744), 1,
      anon_sym_LPAREN2,
    ACTIONS(10746), 1,
      aux_sym_kind_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7741), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7737), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [122365] = 18,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    STATE(6680), 1,
      sym_statement_label,
    STATE(7671), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5323), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [122429] = 18,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    STATE(7195), 1,
      sym_statement_label,
    STATE(7530), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5323), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [122493] = 18,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    STATE(7274), 1,
      sym_statement_label,
    STATE(7660), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5323), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [122557] = 18,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    STATE(6646), 1,
      sym_statement_label,
    STATE(7394), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5323), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [122621] = 7,
    ACTIONS(7218), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9556), 1,
      anon_sym_LPAREN2,
    ACTIONS(10772), 1,
      anon_sym_STAR,
    STATE(5365), 1,
      sym_kind,
    STATE(5366), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7212), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [122662] = 5,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    STATE(5334), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7523), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7517), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [122699] = 4,
    ACTIONS(10774), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7749), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7745), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [122734] = 13,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10776), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10778), 1,
      sym_preproc_comment,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5328), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [122786] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7761), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7759), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [122818] = 15,
    ACTIONS(10780), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10783), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10786), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10792), 1,
      sym_preproc_directive,
    ACTIONS(10795), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10797), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10800), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10805), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10808), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10811), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10789), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10803), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5323), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [122874] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7799), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7797), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [122906] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7781), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7779), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [122938] = 7,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_EQ_GT,
    STATE(5341), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10818), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10816), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [122978] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7765), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7763), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
      anon_sym_LBRACK,
  [123010] = 12,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10824), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [123059] = 3,
    ACTIONS(5718), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123090] = 3,
    ACTIONS(7222), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7220), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123121] = 3,
    ACTIONS(7226), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7224), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123152] = 12,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10826), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5311), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [123201] = 12,
    ACTIONS(784), 1,
      aux_sym_derived_type_token1,
    ACTIONS(9252), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(9256), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(9268), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(9270), 1,
      aux_sym__intrinsic_type_token8,
    ACTIONS(10824), 1,
      aux_sym_preproc_if_token2,
    STATE(3608), 1,
      sym__intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9272), 2,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
    STATE(5332), 2,
      sym_variable_declaration,
      aux_sym_preproc_if_in_derived_type_repeat1,
    STATE(3448), 4,
      sym_procedure_declaration,
      sym_intrinsic_type,
      sym_derived_type,
      sym_declared_type,
    ACTIONS(9266), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [123250] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7863), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(7861), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      anon_sym_EQ_GT,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123281] = 5,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10830), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10828), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123316] = 3,
    ACTIONS(7230), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7228), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym__,
    STATE(5496), 1,
      sym__kind,
    ACTIONS(5515), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5517), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123381] = 4,
    ACTIONS(7332), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10836), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10834), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123413] = 5,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(5342), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10840), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10838), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123447] = 5,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(5339), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10844), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10842), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123481] = 5,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(5342), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10848), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10846), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123515] = 5,
    ACTIONS(10850), 1,
      anon_sym_COMMA,
    STATE(5342), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10855), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10853), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123549] = 5,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(5349), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10844), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10842), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123583] = 4,
    ACTIONS(7332), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10857), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10834), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_LF,
    ACTIONS(10859), 1,
      anon_sym__,
    STATE(5422), 1,
      sym__kind,
    ACTIONS(5515), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123649] = 4,
    ACTIONS(7332), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(10861), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10834), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [123681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10863), 1,
      anon_sym_LF,
    ACTIONS(10865), 1,
      anon_sym_LPAREN2,
    STATE(5424), 1,
      sym_preproc_argument_list,
    ACTIONS(10867), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10869), 1,
      anon_sym_LPAREN2,
    STATE(5438), 1,
      sym_preproc_argument_list,
    ACTIONS(10867), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10863), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123749] = 5,
    ACTIONS(10814), 1,
      anon_sym_COMMA,
    STATE(5342), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10840), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10838), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 1,
      anon_sym_LF,
    ACTIONS(4285), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [123812] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10873), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10871), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123841] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10873), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10871), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [123870] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    STATE(6643), 1,
      sym_statement_label,
    STATE(7528), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5512), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [123919] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6687), 1,
      sym_statement_label,
    STATE(7361), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5516), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [123968] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(10889), 1,
      anon_sym_RPAREN,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    STATE(7306), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [124023] = 3,
    ACTIONS(10917), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10915), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124052] = 3,
    ACTIONS(7332), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10834), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124081] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6467), 1,
      sym_statement_label,
    STATE(7457), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5516), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [124130] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    STATE(6722), 1,
      sym_statement_label,
    STATE(7593), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5512), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [124179] = 13,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5314), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [124228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_LF,
    ACTIONS(4289), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [124257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4295), 1,
      anon_sym_LF,
    ACTIONS(4293), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [124286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 1,
      anon_sym_LF,
    ACTIONS(4285), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [124315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_LF,
    ACTIONS(4297), 20,
      anon_sym_LPAREN2,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [124344] = 3,
    ACTIONS(7256), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7254), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124373] = 3,
    ACTIONS(7280), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7278), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124402] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(7201), 1,
      sym_statement_label,
    STATE(7548), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5516), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [124451] = 3,
    ACTIONS(7260), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7258), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124480] = 3,
    ACTIONS(7272), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7270), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124509] = 3,
    ACTIONS(7276), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7274), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124538] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    STATE(7215), 1,
      sym_statement_label,
    STATE(7561), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5512), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [124587] = 3,
    ACTIONS(7202), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10919), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124616] = 3,
    ACTIONS(7296), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7294), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124645] = 13,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5316), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [124694] = 3,
    ACTIONS(7328), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7326), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124723] = 3,
    ACTIONS(7304), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7302), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124752] = 3,
    ACTIONS(7308), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7306), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124781] = 3,
    ACTIONS(7312), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7310), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10921), 1,
      anon_sym_RPAREN,
    STATE(7032), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [124865] = 3,
    ACTIONS(7316), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7314), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124894] = 3,
    ACTIONS(7292), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7290), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124923] = 3,
    ACTIONS(7320), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7318), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124952] = 3,
    ACTIONS(7324), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7322), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [124981] = 3,
    ACTIONS(7243), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7240), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [125010] = 13,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5315), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125059] = 13,
    ACTIONS(4671), 1,
      sym__integer_literal,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(6704), 1,
      sym_statement_label,
    STATE(7481), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5516), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [125108] = 3,
    ACTIONS(7208), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10923), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [125137] = 11,
    ACTIONS(10925), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10931), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10933), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10939), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10942), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10945), 1,
      aux_sym_end_type_statement_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10928), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(10936), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5388), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [125182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4287), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4291), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4295), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4287), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4299), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125327] = 11,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10951), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10955), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10957), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10959), 1,
      aux_sym_end_type_statement_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5388), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [125372] = 13,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10752), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10760), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(10762), 1,
      aux_sym_derived_type_token1,
    ACTIONS(10766), 1,
      aux_sym_type_statement_token2,
    ACTIONS(10768), 1,
      aux_sym_type_statement_token3,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    STATE(3648), 1,
      sym__class_default,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10754), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5317), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_type,
      sym_preproc_ifdef_in_select_type,
      sym_type_statement,
      aux_sym_select_type_statement_repeat1,
  [125421] = 11,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(10955), 1,
      aux_sym_private_statement_token1,
    ACTIONS(10957), 1,
      aux_sym_public_statement_token1,
    ACTIONS(10961), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10963), 1,
      aux_sym_end_type_statement_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
    STATE(5394), 6,
      sym_preproc_if_in_bound_procedures,
      sym_preproc_ifdef_in_bound_procedures,
      sym_private_statement,
      sym_public_statement,
      sym_procedure_statement,
      aux_sym_derived_type_procedures_repeat1,
  [125466] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10965), 1,
      anon_sym_RPAREN,
    STATE(7027), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [125521] = 3,
    ACTIONS(7300), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7298), 19,
      aux_sym_module_statement_token1,
      aux_sym_subroutine_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_procedure_attributes_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_derived_type_token1,
      aux_sym_procedure_qualifier_token1,
      aux_sym_procedure_qualifier_token2,
      aux_sym_procedure_qualifier_token3,
      aux_sym_procedure_qualifier_token4,
      aux_sym_procedure_qualifier_token5,
  [125550] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10967), 1,
      anon_sym_LF,
    ACTIONS(10969), 1,
      sym_preproc_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125598] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10993), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(10991), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [125626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 12,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125660] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10999), 1,
      anon_sym_LF,
    ACTIONS(11001), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125708] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11003), 1,
      anon_sym_LF,
    ACTIONS(11005), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10997), 6,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [125794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7561), 1,
      anon_sym_LF,
    ACTIONS(7559), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125822] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11007), 1,
      anon_sym_LF,
    ACTIONS(11009), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11011), 1,
      anon_sym_LF,
    ACTIONS(11013), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11017), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11015), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [125946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11019), 1,
      anon_sym_LF,
    ACTIONS(11021), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [125994] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11025), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11023), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126022] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11027), 1,
      anon_sym_LF,
    ACTIONS(11029), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11031), 1,
      anon_sym_LF,
    ACTIONS(11033), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 14,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11035), 1,
      anon_sym_LF,
    ACTIONS(11037), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126178] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11041), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11039), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11015), 1,
      anon_sym_LF,
    ACTIONS(11017), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11045), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11043), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126262] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11049), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11047), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [126290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11037), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11035), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8311), 1,
      anon_sym_LF,
    ACTIONS(8313), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7561), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_LF,
    ACTIONS(8143), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126402] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11051), 1,
      anon_sym_LF,
    ACTIONS(11053), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11055), 1,
      anon_sym_LF,
    ACTIONS(11057), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11061), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11059), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11065), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11063), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126534] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11067), 1,
      anon_sym_LF,
    ACTIONS(11069), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11071), 1,
      anon_sym_LF,
    ACTIONS(11073), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126610] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(11075), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [126660] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11077), 1,
      anon_sym_LF,
    ACTIONS(11079), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_LF,
    ACTIONS(7547), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [126736] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11081), 1,
      anon_sym_LF,
    ACTIONS(11083), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11085), 1,
      anon_sym_LF,
    ACTIONS(11087), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11089), 1,
      anon_sym_LF,
    ACTIONS(11091), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126880] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11093), 1,
      anon_sym_LF,
    ACTIONS(11095), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126928] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11097), 1,
      anon_sym_LF,
    ACTIONS(11099), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [126976] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11101), 1,
      anon_sym_LF,
    ACTIONS(11103), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11057), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11055), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127052] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11105), 1,
      anon_sym_LF,
    ACTIONS(11107), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127100] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10997), 4,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
  [127142] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11109), 1,
      anon_sym_LF,
    ACTIONS(11111), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10997), 5,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
  [127230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 3,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127274] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11113), 1,
      anon_sym_LF,
    ACTIONS(11115), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127322] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11117), 1,
      anon_sym_LF,
    ACTIONS(11119), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127370] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11121), 1,
      anon_sym_LF,
    ACTIONS(11123), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127418] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11125), 1,
      anon_sym_LF,
    ACTIONS(11127), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11063), 1,
      anon_sym_LF,
    ACTIONS(11065), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [127494] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11131), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11129), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [127522] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11133), 1,
      anon_sym_LF,
    ACTIONS(11135), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127570] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10997), 2,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127616] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11137), 1,
      anon_sym_LF,
    ACTIONS(11139), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127664] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11141), 1,
      anon_sym_LF,
    ACTIONS(11143), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127712] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11145), 1,
      anon_sym_LF,
    ACTIONS(11147), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127760] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11149), 1,
      anon_sym_LF,
    ACTIONS(11151), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127808] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11153), 1,
      anon_sym_LF,
    ACTIONS(11155), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127856] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11157), 1,
      anon_sym_LF,
    ACTIONS(11159), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11161), 1,
      anon_sym_LF,
    ACTIONS(11163), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [127952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11165), 1,
      anon_sym_LF,
    ACTIONS(11167), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128000] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11169), 1,
      anon_sym_LF,
    ACTIONS(11171), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128048] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11173), 1,
      anon_sym_LF,
    ACTIONS(11175), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128096] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11177), 1,
      anon_sym_LF,
    ACTIONS(11179), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128144] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11181), 1,
      anon_sym_LF,
    ACTIONS(11183), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128192] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11185), 1,
      anon_sym_LF,
    ACTIONS(11187), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128240] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_LF,
    ACTIONS(11191), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11193), 1,
      anon_sym_LF,
    ACTIONS(11195), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11197), 1,
      anon_sym_LF,
    ACTIONS(11199), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128384] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11201), 1,
      anon_sym_LF,
    ACTIONS(11203), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11205), 1,
      anon_sym_LF,
    ACTIONS(11207), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11073), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11071), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10995), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10997), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10995), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128546] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10995), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [128594] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11209), 1,
      anon_sym_LF,
    ACTIONS(11211), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128642] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10995), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [128688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10997), 1,
      anon_sym_PIPE,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10995), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [128734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10997), 1,
      anon_sym_PIPE,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10995), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [128778] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10997), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10995), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [128820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
    ACTIONS(10995), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
  [128858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10995), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [128892] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11213), 1,
      anon_sym_LF,
    ACTIONS(11215), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10995), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [128972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11207), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(11205), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10997), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129028] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11217), 1,
      anon_sym_LF,
    ACTIONS(11219), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129076] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11221), 1,
      anon_sym_LF,
    ACTIONS(11223), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129124] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11225), 1,
      anon_sym_LF,
    ACTIONS(11227), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129172] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11229), 1,
      anon_sym_LF,
    ACTIONS(11231), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7549), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129248] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11233), 1,
      anon_sym_LF,
    ACTIONS(11235), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11237), 1,
      anon_sym_LF,
    ACTIONS(11239), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10997), 16,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10995), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10997), 8,
      sym_preproc_comment,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [129410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11059), 1,
      anon_sym_LF,
    ACTIONS(11061), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129438] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11241), 1,
      anon_sym_LF,
    ACTIONS(11243), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8143), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8141), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129514] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11245), 1,
      anon_sym_LF,
    ACTIONS(11247), 1,
      sym_preproc_comment,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 1,
      anon_sym_LF,
    ACTIONS(11045), 19,
      sym_preproc_comment,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8313), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8311), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [129618] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11251), 4,
      aux_sym_preproc_elif_token1,
      aux_sym_implicit_statement_token3,
      aux_sym__intrinsic_type_token4,
      aux_sym_derived_type_token1,
    ACTIONS(11249), 15,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      aux_sym_module_procedure_statement_token1,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token8,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
      aux_sym_declared_type_token1,
      aux_sym_declared_type_token2,
  [129646] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11253), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129691] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11255), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11257), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129781] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11259), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11261), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11263), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129916] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11265), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129961] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11267), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130006] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11269), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11271), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130096] = 11,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11273), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11281), 1,
      sym_preproc_comment,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5549), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8575), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [130139] = 10,
    ACTIONS(11283), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11286), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11289), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11295), 1,
      sym_preproc_directive,
    ACTIONS(11298), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11300), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11292), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11303), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5512), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [130180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11305), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130225] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11307), 1,
      anon_sym_RPAREN,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [130274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11309), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130319] = 10,
    ACTIONS(11311), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(11317), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11323), 1,
      sym_preproc_directive,
    ACTIONS(11326), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11328), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11320), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(11331), 2,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
    STATE(5516), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [130360] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11333), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11335), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130450] = 11,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11337), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11339), 1,
      sym_preproc_comment,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5548), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8270), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [130493] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11341), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130538] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11343), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130583] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11345), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130628] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11347), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130673] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10897), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10899), 1,
      anon_sym_PIPE,
    ACTIONS(10901), 1,
      anon_sym_CARET,
    ACTIONS(10903), 1,
      anon_sym_AMP,
    ACTIONS(10905), 1,
      anon_sym_EQ_EQ,
    ACTIONS(10907), 1,
      anon_sym_BANG_EQ,
    ACTIONS(11349), 1,
      anon_sym_RPAREN,
    ACTIONS(10891), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10909), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10911), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10913), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10893), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [130722] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11351), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11353), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130812] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11355), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130857] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11357), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130902] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11359), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11361), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11363), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131037] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11365), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131082] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11367), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131127] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11369), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11371), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10975), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10977), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10979), 1,
      anon_sym_PIPE,
    ACTIONS(10981), 1,
      anon_sym_CARET,
    ACTIONS(10983), 1,
      anon_sym_AMP,
    ACTIONS(11373), 1,
      anon_sym_LF,
    ACTIONS(10971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(10985), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10989), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10973), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10987), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [131262] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11375), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5550), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8478), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131302] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11377), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5542), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8239), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131342] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11379), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(7737), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131382] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11377), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8239), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131422] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11381), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5539), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8428), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131462] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11383), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8314), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131502] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11385), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8433), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131542] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11387), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8436), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131582] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11389), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5540), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8209), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131622] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11391), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5543), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8338), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131662] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11393), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5544), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8343), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131702] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11393), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8343), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131742] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11375), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8478), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131782] = 10,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11275), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11277), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11395), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11279), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    STATE(8316), 3,
      sym_preproc_else_in_bound_procedures,
      sym_preproc_elif_in_bound_procedures,
      sym_preproc_elifdef_in_bound_procedures,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [131822] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4403), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4401), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131847] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4531), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4529), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131872] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4407), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4405), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131897] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4415), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4413), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131922] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4411), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4409), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131947] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4631), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4629), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131972] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4639), 7,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(4637), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [131997] = 4,
    ACTIONS(11399), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11401), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11397), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132023] = 4,
    ACTIONS(11405), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11407), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11403), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132049] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5367), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [132083] = 4,
    ACTIONS(11411), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11413), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11409), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132109] = 4,
    ACTIONS(11417), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11419), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11415), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132135] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5359), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [132169] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5353), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [132203] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5386), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [132237] = 4,
    ACTIONS(11423), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11425), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11421), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132263] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5354), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [132297] = 4,
    ACTIONS(11429), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11431), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11427), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132323] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10875), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10879), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10877), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5371), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_case,
      sym_preproc_ifdef_in_select_case,
      sym_case_statement,
      aux_sym_select_case_statement_repeat1,
  [132357] = 4,
    ACTIONS(11435), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11437), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11433), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132383] = 4,
    ACTIONS(11441), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11443), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11439), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132409] = 8,
    ACTIONS(10748), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(10750), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(10756), 1,
      sym_preproc_directive,
    ACTIONS(10881), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10885), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(5358), 8,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_select_rank,
      sym_preproc_ifdef_in_select_rank,
      sym_rank_statement,
      aux_sym_select_rank_statement_repeat1,
  [132443] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11445), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7827), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [132480] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8566), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8567), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8668), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [132513] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11461), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7714), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132546] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11463), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8235), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8646), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [132579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11467), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11465), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [132602] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11469), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7747), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132639] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11471), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7914), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [132676] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11473), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7710), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8342), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8682), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132709] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11475), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7954), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132746] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11469), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7747), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132783] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11477), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8155), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8167), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8639), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [132816] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11479), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8283), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8329), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132853] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11481), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7749), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7860), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(7864), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [132886] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11455), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8566), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8567), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132923] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11483), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7750), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7898), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7951), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [132956] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11485), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8372), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8418), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8556), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [132989] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11401), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11397), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [133012] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8283), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8329), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8492), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [133045] = 4,
    ACTIONS(11491), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11487), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11489), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133070] = 4,
    ACTIONS(11497), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11493), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11495), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133095] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11499), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8231), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133132] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11501), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7738), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(7755), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7848), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [133165] = 4,
    ACTIONS(11507), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11503), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11505), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133190] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11471), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7914), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [133227] = 4,
    ACTIONS(11513), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11509), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11511), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133252] = 4,
    ACTIONS(11519), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11515), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11517), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133277] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11521), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7802), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8095), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8294), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [133310] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11525), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11523), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [133333] = 4,
    ACTIONS(11531), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11527), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11529), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133358] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11499), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8231), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133395] = 4,
    ACTIONS(11537), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11533), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11535), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133420] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11539), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7816), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133457] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11543), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11541), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [133480] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11545), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7943), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [133517] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11547), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8111), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133554] = 4,
    ACTIONS(11553), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11549), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11551), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133579] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11557), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11555), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [133602] = 4,
    ACTIONS(11563), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11559), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11561), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133627] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11565), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8318), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133664] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11545), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7943), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [133701] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11567), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7911), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133738] = 4,
    ACTIONS(11573), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11569), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11571), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [133763] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11575), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7756), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8154), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8309), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [133796] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11577), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7883), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [133833] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11579), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7757), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8175), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8354), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [133866] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11581), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8273), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133903] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11583), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7761), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8277), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8417), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [133936] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11585), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8431), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [133973] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11587), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7946), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8387), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134010] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11461), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134047] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11589), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7770), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8199), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8207), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [134080] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11591), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7986), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8398), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134117] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11593), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8158), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8169), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8660), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134150] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11431), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11427), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [134173] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11463), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8646), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134210] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11591), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7986), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8320), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8398), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134243] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11469), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7747), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8323), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [134276] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11595), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7722), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7742), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8287), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [134309] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11597), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8387), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8405), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134346] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11599), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8543), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134383] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11601), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8655), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134420] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11603), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7712), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134457] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11599), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8224), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8543), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134490] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11603), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7712), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134527] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11605), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8438), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134564] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11565), 1,
      aux_sym_preproc_if_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8318), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134601] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11609), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11607), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [134624] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11611), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7772), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8236), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8248), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [134657] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11613), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7868), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8200), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8213), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [134690] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11445), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7827), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134727] = 10,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(11615), 1,
      aux_sym_preproc_if_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7851), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8387), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134764] = 4,
    ACTIONS(11621), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11617), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11619), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [134789] = 7,
    ACTIONS(11625), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11627), 1,
      aux_sym_module_statement_token1,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(11623), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(11630), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [134820] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11633), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8050), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8651), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8654), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134853] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11637), 5,
      sym__integer_literal,
      aux_sym_end_select_statement_token1,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
    ACTIONS(11635), 9,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
  [134876] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11639), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7754), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7824), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8275), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [134909] = 8,
    ACTIONS(758), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11457), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11641), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11459), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7927), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8127), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8580), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [134942] = 4,
    ACTIONS(11647), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11643), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11645), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [134967] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5038), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5040), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [134989] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11649), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11651), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135011] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11653), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11655), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135033] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      aux_sym_end_program_statement_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    STATE(6165), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11661), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [135075] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11663), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11665), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135097] = 14,
    ACTIONS(10155), 1,
      aux_sym_select_case_statement_token3,
    ACTIONS(11667), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(11669), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(11671), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(11673), 1,
      aux_sym__forall_control_expression_token1,
    ACTIONS(11675), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(11677), 1,
      aux_sym_select_type_statement_token1,
    ACTIONS(11679), 1,
      aux_sym_select_rank_statement_token1,
    ACTIONS(11681), 1,
      aux_sym_block_construct_token1,
    ACTIONS(11683), 1,
      aux_sym_associate_statement_token1,
    ACTIONS(11685), 1,
      aux_sym_coarray_team_statement_token1,
    ACTIONS(11687), 1,
      aux_sym_coarray_critical_statement_token1,
    STATE(7266), 1,
      sym__forall_control_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [135141] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11689), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11691), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135163] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11693), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11695), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135185] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11697), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11699), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135207] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11509), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11511), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135229] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11701), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11703), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135251] = 13,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(11705), 1,
      aux_sym_end_program_statement_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    STATE(6224), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11707), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [135293] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5138), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5140), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135315] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5032), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5034), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135337] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5082), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5084), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135359] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5054), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5056), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135381] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5086), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5088), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135403] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11709), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11711), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135425] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5058), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5060), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135447] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5094), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5096), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135469] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11713), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11715), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135491] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11533), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11535), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135513] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11527), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11529), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135535] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11569), 2,
      aux_sym_preproc_if_token1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11571), 11,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_module_statement_token1,
      aux_sym_module_procedure_statement_token1,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_end_type_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135557] = 12,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    STATE(6323), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11707), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [135596] = 11,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    ACTIONS(11721), 1,
      aux_sym_end_program_statement_token1,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11719), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [135633] = 3,
    ACTIONS(11725), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11723), 11,
      aux_sym_do_loop_statement_token1,
      aux_sym__inline_if_statement_token1,
      aux_sym__inline_where_statement_token1,
      aux_sym__forall_control_expression_token1,
      aux_sym_select_case_statement_token3,
      aux_sym_select_type_statement_token1,
      aux_sym_select_rank_statement_token1,
      aux_sym_block_construct_token1,
      aux_sym_associate_statement_token1,
      aux_sym_coarray_team_statement_token1,
      aux_sym_coarray_critical_statement_token1,
  [135654] = 7,
    ACTIONS(11727), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(11731), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11733), 1,
      aux_sym__intrinsic_type_token8,
    STATE(6414), 1,
      sym__intrinsic_type,
    STATE(8536), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11729), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [135683] = 12,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    STATE(6381), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11661), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [135722] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11735), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7714), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [135750] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11463), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8646), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [135778] = 4,
    ACTIONS(11743), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11745), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11741), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [135800] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11747), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7750), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7951), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [135828] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11469), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7747), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [135856] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11749), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8050), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8651), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [135884] = 4,
    ACTIONS(11753), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11755), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11751), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [135906] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11757), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7756), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8309), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [135934] = 7,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11759), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11761), 1,
      sym_preproc_comment,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5768), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [135962] = 4,
    ACTIONS(11765), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11767), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11763), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [135984] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11769), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8236), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8248), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136012] = 4,
    ACTIONS(11773), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11775), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11771), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136034] = 4,
    ACTIONS(11779), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11781), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11777), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136056] = 4,
    ACTIONS(11785), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11787), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11783), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136078] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11789), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8372), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8556), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136106] = 4,
    ACTIONS(11793), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11795), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11791), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136128] = 4,
    ACTIONS(11799), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11801), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11797), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136150] = 4,
    ACTIONS(11805), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11807), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11803), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136172] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11809), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7757), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8354), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136200] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11605), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8438), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136228] = 4,
    ACTIONS(11813), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11815), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11811), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136250] = 4,
    ACTIONS(11819), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11821), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11817), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136272] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11823), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7761), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8417), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136300] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11825), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8567), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8668), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136328] = 4,
    ACTIONS(11829), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11831), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11827), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136350] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11833), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7927), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8127), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136378] = 9,
    ACTIONS(11835), 1,
      anon_sym_COMMA,
    ACTIONS(11837), 1,
      anon_sym_RPAREN,
    ACTIONS(11839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11841), 1,
      sym_edit_descriptor,
    ACTIONS(11843), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11845), 1,
      sym__string_literal,
    ACTIONS(11847), 1,
      sym__string_literal_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5711), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [136410] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11849), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8235), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136438] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11461), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136466] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11851), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7749), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(7860), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136494] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11581), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8273), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136522] = 9,
    ACTIONS(11853), 1,
      anon_sym_COMMA,
    ACTIONS(11856), 1,
      anon_sym_RPAREN,
    ACTIONS(11858), 1,
      anon_sym_LPAREN2,
    ACTIONS(11861), 1,
      sym_edit_descriptor,
    ACTIONS(11864), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11867), 1,
      sym__string_literal,
    ACTIONS(11870), 1,
      sym__string_literal_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5711), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [136554] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11873), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7802), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8294), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136582] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11875), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7986), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8320), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136610] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8283), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8329), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136638] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11877), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8158), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8169), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136666] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11499), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8231), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136694] = 4,
    ACTIONS(11881), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11883), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11879), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136716] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11885), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8224), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136744] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11887), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8342), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8682), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136772] = 4,
    ACTIONS(11891), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11893), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11889), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136794] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8566), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8567), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136822] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11895), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8323), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [136850] = 4,
    ACTIONS(11899), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11901), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11897), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [136872] = 10,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_STAR,
    STATE(2550), 1,
      sym__argument_list,
    STATE(5322), 1,
      sym_character_length,
    STATE(5327), 1,
      sym_argument_list,
    STATE(5334), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11719), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [136906] = 6,
    ACTIONS(11731), 1,
      aux_sym__intrinsic_type_token4,
    ACTIONS(11733), 1,
      aux_sym__intrinsic_type_token8,
    STATE(6414), 1,
      sym__intrinsic_type,
    STATE(7910), 1,
      sym_intrinsic_type,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11729), 7,
      aux_sym__intrinsic_type_token1,
      aux_sym__intrinsic_type_token2,
      aux_sym__intrinsic_type_token3,
      aux_sym__intrinsic_type_token6,
      aux_sym__intrinsic_type_token7,
      aux_sym__intrinsic_type_token9,
      aux_sym__intrinsic_type_token10,
  [136932] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11597), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8387), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8405), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [136960] = 9,
    ACTIONS(11835), 1,
      anon_sym_COMMA,
    ACTIONS(11839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11843), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11845), 1,
      sym__string_literal,
    ACTIONS(11847), 1,
      sym__string_literal_kind,
    ACTIONS(11903), 1,
      anon_sym_RPAREN,
    ACTIONS(11905), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5706), 4,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
      aux_sym__transfer_items_repeat1,
  [136992] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11907), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7754), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8275), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [137020] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11539), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(7816), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137048] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11909), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8329), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8492), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [137076] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11565), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8318), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137104] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11911), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7738), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(7755), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137132] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11599), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8543), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137160] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11913), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8199), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8207), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [137188] = 7,
    ACTIONS(850), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11447), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11591), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11449), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7986), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8398), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [137216] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11915), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7742), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8287), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [137244] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11917), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8200), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
    STATE(8213), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
  [137272] = 4,
    ACTIONS(11921), 1,
      sym_preproc_comment,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11923), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11919), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137294] = 7,
    ACTIONS(1472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11737), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11925), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11739), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8155), 3,
      sym_preproc_else_in_procedure_statements,
      sym_preproc_elif_in_procedure_statements,
      sym_preproc_elifdef_in_procedure_statements,
    STATE(8167), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [137322] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11929), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11927), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137341] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11933), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11931), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137360] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11937), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11935), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137379] = 10,
    ACTIONS(2731), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11943), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6226), 1,
      sym_else_clause,
    STATE(7061), 1,
      sym_statement_label,
    STATE(7632), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6009), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [137412] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11893), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11889), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137431] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11949), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11947), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137450] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11953), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11951), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137469] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11957), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11955), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137488] = 7,
    ACTIONS(11959), 1,
      anon_sym_LPAREN2,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11965), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6023), 2,
      sym__parameters,
      sym_parameters,
    STATE(6025), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [137515] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11815), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11811), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137534] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11775), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11771), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137553] = 7,
    ACTIONS(11959), 1,
      anon_sym_LPAREN2,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11967), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6011), 2,
      sym__parameters,
      sym_parameters,
    STATE(6012), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [137580] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11971), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11969), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137599] = 10,
    ACTIONS(2731), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11943), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6107), 1,
      sym_else_clause,
    STATE(7043), 1,
      sym_statement_label,
    STATE(7590), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6009), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [137632] = 10,
    ACTIONS(2731), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11943), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6119), 1,
      sym_else_clause,
    STATE(6526), 1,
      sym_statement_label,
    STATE(7605), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6009), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [137665] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11975), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11973), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137684] = 8,
    ACTIONS(11977), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11981), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(11983), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7493), 1,
      sym_access_specifier,
    STATE(7494), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11979), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(6985), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [137713] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11987), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11985), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137732] = 10,
    ACTIONS(2731), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11943), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6301), 1,
      sym_else_clause,
    STATE(7246), 1,
      sym_statement_label,
    STATE(7701), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6009), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [137765] = 6,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11989), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [137790] = 7,
    ACTIONS(11959), 1,
      anon_sym_LPAREN2,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11991), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6008), 2,
      sym__parameters,
      sym_parameters,
    STATE(6010), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [137817] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11831), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11827), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137836] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11995), 3,
      sym__integer_literal,
      aux_sym_select_case_statement_token2,
      aux_sym_end_select_statement_token1,
    ACTIONS(11993), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137855] = 8,
    ACTIONS(11977), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11981), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(11983), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7493), 1,
      sym_access_specifier,
    STATE(7494), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11979), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(6764), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [137884] = 6,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11997), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5759), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [137909] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12001), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(11999), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137928] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12005), 3,
      sym__integer_literal,
      aux_sym__standalone_type_qualifier_token13,
      aux_sym_end_select_statement_token1,
    ACTIONS(12003), 7,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      aux_sym_end_program_statement_token1,
  [137947] = 8,
    ACTIONS(11977), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11981), 1,
      aux_sym_abstract_specifier_token1,
    ACTIONS(11983), 1,
      aux_sym_base_type_specifier_token1,
    STATE(7493), 1,
      sym_access_specifier,
    STATE(7494), 1,
      sym_base_type_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11979), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
    STATE(7639), 3,
      sym_language_binding,
      sym_abstract_specifier,
      sym__derived_type_qualifier,
  [137976] = 6,
    ACTIONS(10953), 1,
      aux_sym_module_statement_token1,
    ACTIONS(11997), 1,
      aux_sym_preproc_if_token2,
    STATE(3339), 1,
      sym_procedure_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5645), 2,
      sym_procedure_statement,
      aux_sym_preproc_if_in_bound_procedures_repeat1,
    ACTIONS(8371), 5,
      aux_sym_module_procedure_statement_token1,
      aux_sym_procedure_kind_token1,
      aux_sym_procedure_kind_token2,
      aux_sym_procedure_kind_token3,
      aux_sym_procedure_kind_token4,
  [138001] = 4,
    ACTIONS(12009), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3347), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12007), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138021] = 7,
    ACTIONS(12015), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12017), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12019), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12011), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    ACTIONS(12013), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5773), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [138047] = 4,
    ACTIONS(12009), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3819), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12007), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138067] = 4,
    ACTIONS(12023), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3954), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12021), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138087] = 7,
    ACTIONS(12030), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12033), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12036), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12025), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    ACTIONS(12028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5773), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [138113] = 7,
    ACTIONS(12015), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(12017), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(12019), 1,
      aux_sym_concurrent_locality_token4,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12011), 2,
      aux_sym_variable_attributes_token3,
      aux_sym_concurrent_locality_token2,
    ACTIONS(12039), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5770), 2,
      sym_concurrent_locality,
      aux_sym_concurrent_statement_repeat1,
  [138139] = 4,
    ACTIONS(12023), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3963), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12021), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138159] = 4,
    ACTIONS(12023), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3962), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12021), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138179] = 4,
    ACTIONS(12009), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3342), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12007), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138199] = 4,
    ACTIONS(12009), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3348), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12007), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138219] = 4,
    ACTIONS(12043), 1,
      aux_sym_procedure_attributes_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12041), 3,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
    ACTIONS(12045), 5,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [138239] = 4,
    ACTIONS(12023), 1,
      aux_sym_procedure_attribute_token2,
    STATE(4055), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12021), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138259] = 8,
    ACTIONS(11839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11843), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11845), 1,
      sym__string_literal,
    ACTIONS(11847), 1,
      sym__string_literal_kind,
    ACTIONS(12047), 1,
      sym_edit_descriptor,
    STATE(8156), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5727), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [138287] = 8,
    ACTIONS(11839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11843), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11845), 1,
      sym__string_literal,
    ACTIONS(11847), 1,
      sym__string_literal_kind,
    ACTIONS(12047), 1,
      sym_edit_descriptor,
    STATE(8366), 1,
      sym__transfer_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(5727), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [138315] = 4,
    ACTIONS(12009), 1,
      aux_sym_procedure_attribute_token2,
    STATE(3343), 1,
      sym_procedure_attribute,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12007), 7,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
      aux_sym_procedure_attribute_token1,
      aux_sym_procedure_attribute_token3,
      aux_sym_procedure_attribute_token4,
      aux_sym_procedure_attribute_token5,
      aux_sym_procedure_attribute_token6,
  [138335] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12049), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8336), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [138358] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12055), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8188), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138381] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12061), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7902), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138404] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12063), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7903), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138427] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12065), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7911), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138450] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12067), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8548), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138473] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12069), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7904), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138496] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12071), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7905), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138519] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12073), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7820), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138542] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12075), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7906), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138565] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12077), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7907), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138588] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12079), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7918), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138611] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12081), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7919), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138634] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12083), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7920), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138657] = 6,
    ACTIONS(12085), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8054), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [138680] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12093), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7921), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138703] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12095), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7816), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138726] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12097), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7922), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138749] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12099), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7923), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138772] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11461), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8596), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [138795] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12105), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7934), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138818] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12107), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7914), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138841] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12109), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7935), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138864] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12111), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7936), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138887] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12113), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7937), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138910] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12115), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8465), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138933] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12117), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7938), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138956] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12119), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7939), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [138979] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12121), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7943), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139002] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12123), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8233), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139025] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12125), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8318), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139048] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12127), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7946), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139071] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12129), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7954), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139094] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12131), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8317), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139117] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8362), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [139140] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12135), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8368), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [139163] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12137), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8329), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139186] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12139), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8145), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [139209] = 6,
    ACTIONS(12141), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7852), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [139232] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12149), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8466), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139255] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12151), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8006), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139278] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12153), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8408), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139301] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12155), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8178), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139324] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12157), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8639), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139347] = 6,
    ACTIONS(12159), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8359), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [139370] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12167), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8486), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139393] = 9,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12169), 1,
      sym_preproc_comment,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5867), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [139422] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12179), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8494), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [139445] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12181), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8473), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139468] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12183), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8531), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139491] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12185), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7722), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139514] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12187), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8515), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [139537] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12189), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8535), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139560] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12191), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8390), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [139583] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12193), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7898), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139606] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12195), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8341), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139629] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12197), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8475), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139652] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12199), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8528), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [139675] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12201), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7819), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139698] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12203), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8004), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [139721] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12205), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8269), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [139744] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12207), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8561), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139767] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12209), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8583), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139790] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12211), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8586), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139813] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12213), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8587), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139836] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12215), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8479), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139859] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12217), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8641), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139882] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12219), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8584), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139905] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11599), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8543), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [139928] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12221), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7966), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [139951] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12223), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7967), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [139974] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12225), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8591), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [139997] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12227), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7986), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140020] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12229), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8662), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140043] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12231), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8103), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [140066] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12233), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8603), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140089] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12235), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8612), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140112] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12237), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8387), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140135] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8566), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140158] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12239), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8149), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140181] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12241), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7856), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140204] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12243), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8563), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140227] = 9,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    ACTIONS(12245), 1,
      sym_preproc_comment,
    STATE(3669), 1,
      sym__class_default,
    STATE(5841), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [140256] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12247), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8554), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [140279] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12249), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8194), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140302] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12251), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8230), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140325] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12253), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8206), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140348] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12255), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7764), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140371] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12257), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8214), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140394] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12259), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8223), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [140417] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12261), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8095), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140440] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12263), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8114), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140463] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12265), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8346), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140486] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12267), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8161), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140509] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12269), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8185), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140532] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12271), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7864), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140555] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12273), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8660), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140578] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12275), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7956), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140601] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12277), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8525), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [140624] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12279), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8640), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140647] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12281), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8154), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140670] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11469), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7747), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140693] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12283), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8567), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140716] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12285), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8273), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140739] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12287), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8132), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140762] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12289), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8666), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140785] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12291), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8175), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140808] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12293), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8405), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140831] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12295), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8134), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140854] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12297), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7735), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140877] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12299), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7708), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140900] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12301), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8654), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140923] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12303), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7806), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [140946] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12305), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8150), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140969] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12307), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8151), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [140992] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12309), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8159), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141015] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12311), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8643), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [141038] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12313), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7709), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141061] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12315), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7828), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [141084] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12317), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7715), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141107] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12319), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8231), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141130] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12321), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7716), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141153] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12323), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7720), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141176] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12325), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8425), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [141199] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12327), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8418), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141222] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12329), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7770), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141245] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12331), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8437), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [141268] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12333), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7908), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [141291] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11463), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8646), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141314] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12335), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8644), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141337] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12337), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8259), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141360] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12339), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8280), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141383] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12341), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7868), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141406] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12343), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7990), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141429] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8283), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141452] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12345), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8228), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141475] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11591), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8398), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141498] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12347), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7998), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [141521] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12349), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7996), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141544] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12351), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7717), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [141567] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12353), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7777), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141590] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12355), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8454), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [141613] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12357), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8552), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [141636] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12359), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8431), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141659] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12361), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7782), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141682] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12363), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7780), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141705] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12365), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7783), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141728] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12367), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7866), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141751] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12369), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7789), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141774] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12371), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7731), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [141797] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12373), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8655), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141820] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12375), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7712), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141843] = 6,
    ACTIONS(12143), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12145), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12377), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12147), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7811), 3,
      sym_preproc_else_in_select_type,
      sym_preproc_elif_in_select_type,
      sym_preproc_elifdef_in_select_type,
  [141866] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12379), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7790), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141889] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12381), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7924), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141912] = 9,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12383), 1,
      sym_preproc_comment,
    ACTIONS(12385), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12387), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12389), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12391), 1,
      aux_sym_type_statement_token3,
    STATE(3795), 1,
      sym__class_default,
    STATE(7964), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [141941] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12393), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7827), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141964] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12395), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7851), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [141987] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12397), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8111), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142010] = 5,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3428), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 5,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [142031] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12399), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7942), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [142054] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12401), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7794), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142077] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12403), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8449), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142100] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12405), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8277), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142123] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12407), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7809), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142146] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12409), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7814), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142169] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12411), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8571), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142192] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12413), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7815), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142215] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12415), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7772), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142238] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12417), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8119), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142261] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12419), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7821), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142284] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12421), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7822), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142307] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12423), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8023), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [142330] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12425), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7826), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142353] = 6,
    ACTIONS(12087), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12089), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12427), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12091), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7778), 3,
      sym_preproc_else_in_select_case,
      sym_preproc_elif_in_select_case,
      sym_preproc_elifdef_in_select_case,
  [142376] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12429), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8580), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142399] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12431), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7841), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142422] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12433), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7781), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142445] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12435), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8284), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142468] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12437), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8481), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142491] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12439), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7846), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142514] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12441), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7847), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142537] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12443), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7710), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142560] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12445), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7853), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142583] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12447), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7854), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142606] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12449), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7858), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142629] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12451), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7883), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142652] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12453), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8306), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142675] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12455), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7753), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [142698] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12457), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7873), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142721] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12459), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8086), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142744] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12461), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8438), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142767] = 6,
    ACTIONS(12161), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12163), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12463), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12165), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8598), 3,
      sym_preproc_else_in_select_rank,
      sym_preproc_elif_in_select_rank,
      sym_preproc_elifdef_in_select_rank,
  [142790] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12465), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7878), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142813] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12467), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7879), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142836] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12469), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8582), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142859] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12471), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8549), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [142882] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12473), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7824), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142905] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12475), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8327), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142928] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12477), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7885), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142951] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12479), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7848), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [142974] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12481), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8328), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [142997] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12483), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7886), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143020] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12485), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7875), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [143043] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12487), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7890), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143066] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12489), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8090), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143089] = 6,
    ACTIONS(4653), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12491), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12053), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7880), 3,
      sym_preproc_else_in_module,
      sym_preproc_elif_in_module,
      sym_preproc_elifdef_in_module,
  [143112] = 7,
    ACTIONS(11839), 1,
      anon_sym_LPAREN2,
    ACTIONS(11843), 1,
      aux_sym_hollerith_constant_token1,
    ACTIONS(11845), 1,
      sym__string_literal,
    ACTIONS(11847), 1,
      sym__string_literal_kind,
    ACTIONS(12493), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6033), 3,
      sym__transfer_item,
      sym_hollerith_constant,
      sym_string_literal,
  [143137] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12495), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8347), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143160] = 6,
    ACTIONS(1568), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12057), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12497), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12059), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8339), 3,
      sym_preproc_else_in_statements,
      sym_preproc_elif_in_statements,
      sym_preproc_elifdef_in_statements,
  [143183] = 6,
    ACTIONS(884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(12101), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(12499), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12103), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8066), 3,
      sym_preproc_else_in_specification_part,
      sym_preproc_elif_in_specification_part,
      sym_preproc_elifdef_in_specification_part,
  [143206] = 3,
    ACTIONS(12503), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12501), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143222] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12505), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143242] = 5,
    ACTIONS(12507), 1,
      aux_sym_language_binding_token1,
    ACTIONS(12510), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143262] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5822), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143288] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5831), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143314] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5835), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143340] = 6,
    ACTIONS(11959), 1,
      anon_sym_LPAREN2,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    STATE(7487), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12515), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6391), 2,
      sym__parameters,
      sym_parameters,
  [143362] = 3,
    ACTIONS(12519), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12517), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [143378] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12385), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12387), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12389), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12391), 1,
      aux_sym_type_statement_token3,
    STATE(3795), 1,
      sym__class_default,
    STATE(7877), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143404] = 3,
    ACTIONS(12523), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12521), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143420] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12525), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143440] = 3,
    ACTIONS(12529), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12527), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143456] = 3,
    ACTIONS(12533), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12531), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143472] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12535), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6005), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143492] = 6,
    ACTIONS(12537), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12541), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12544), 1,
      aux_sym_elseif_clause_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12539), 2,
      sym__integer_literal,
      aux_sym_end_if_statement_token1,
    STATE(6009), 2,
      sym_elseif_clause,
      aux_sym__block_if_statement_repeat1,
  [143514] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12547), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143534] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12549), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5996), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143554] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12551), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143574] = 6,
    ACTIONS(11959), 1,
      anon_sym_LPAREN2,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    STATE(7496), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12553), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6393), 2,
      sym__parameters,
      sym_parameters,
  [143596] = 3,
    ACTIONS(12557), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12555), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143612] = 3,
    ACTIONS(12561), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12559), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143628] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5910), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143654] = 3,
    ACTIONS(12565), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12563), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143670] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5936), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143696] = 3,
    ACTIONS(12569), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12567), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143712] = 3,
    ACTIONS(7559), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7561), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [143728] = 3,
    ACTIONS(7547), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7549), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [143744] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12571), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143764] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12573), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6022), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143784] = 7,
    ACTIONS(2429), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7383), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6043), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [143808] = 5,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    ACTIONS(11963), 1,
      aux_sym_function_result_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12581), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(5997), 3,
      sym_language_binding,
      sym_function_result,
      aux_sym_function_statement_repeat1,
  [143828] = 8,
    ACTIONS(10770), 1,
      aux_sym__class_default_token1,
    ACTIONS(12171), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(12173), 1,
      aux_sym_derived_type_token1,
    ACTIONS(12175), 1,
      aux_sym_type_statement_token2,
    ACTIONS(12177), 1,
      aux_sym_type_statement_token3,
    STATE(3669), 1,
      sym__class_default,
    STATE(5933), 1,
      sym_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [143854] = 3,
    ACTIONS(12585), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12583), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143870] = 3,
    ACTIONS(12589), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12587), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143886] = 7,
    ACTIONS(2429), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7525), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6043), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [143910] = 3,
    ACTIONS(12593), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12591), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143926] = 3,
    ACTIONS(12597), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12595), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143942] = 3,
    ACTIONS(12601), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12599), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [143958] = 3,
    ACTIONS(12603), 1,
      sym_edit_descriptor,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11856), 6,
      sym__string_literal,
      sym__string_literal_kind,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      aux_sym_hollerith_constant_token1,
  [143974] = 3,
    ACTIONS(12607), 1,
      aux_sym_concurrent_locality_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12605), 6,
      sym__external_end_of_statement,
      aux_sym_variable_attributes_token3,
      anon_sym_SEMI,
      aux_sym_concurrent_locality_token2,
      aux_sym_concurrent_locality_token3,
      aux_sym_concurrent_locality_token4,
  [143990] = 7,
    ACTIONS(2429), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12575), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12577), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(12579), 1,
      aux_sym_elsewhere_clause_token1,
    STATE(7470), 1,
      sym_end_where_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6043), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [144014] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6732), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144035] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6607), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144056] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    STATE(3188), 1,
      sym_kind,
    STATE(3194), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7212), 2,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [144077] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6664), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6040), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144098] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6674), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144119] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6725), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6036), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144140] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6857), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6064), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144161] = 6,
    ACTIONS(12617), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12619), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(12622), 1,
      aux_sym_end_where_statement_token1,
    ACTIONS(12624), 1,
      aux_sym_elsewhere_clause_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6043), 2,
      sym_elsewhere_clause,
      aux_sym__block_where_statement_repeat1,
  [144182] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6785), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6045), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144203] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6792), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144224] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4287), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [144239] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6844), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6048), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144260] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6850), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144281] = 6,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    ACTIONS(12629), 1,
      anon_sym_EQ,
    ACTIONS(12631), 1,
      anon_sym_EQ_GT,
    STATE(6348), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10816), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144302] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6895), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6051), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144323] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6903), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144344] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4289), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4291), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [144359] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6942), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6054), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144380] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6950), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144401] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5267), 1,
      sym__end_of_statement,
    STATE(6966), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12633), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144422] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6596), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6037), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144443] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6988), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144464] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7004), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6060), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144485] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12045), 6,
      aux_sym_procedure_attributes_token3,
      aux_sym_variable_attributes_token1,
      aux_sym_variable_attributes_token2,
      aux_sym_variable_attributes_token3,
      aux_sym_variable_attributes_token4,
      aux_sym_variable_attributes_token5,
  [144498] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7010), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144519] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4293), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4295), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [144534] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7091), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144555] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5290), 1,
      sym__end_of_statement,
    STATE(7289), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12635), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144576] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6958), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144597] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5271), 1,
      sym__end_of_statement,
    STATE(7033), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12637), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144618] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7257), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6070), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144639] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5285), 1,
      sym__end_of_statement,
    STATE(6745), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12639), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144660] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4285), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4287), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [144675] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5299), 1,
      sym__end_of_statement,
    STATE(6874), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12641), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144696] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(7280), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144717] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(683), 1,
      sym__end_of_statement,
    STATE(3170), 1,
      sym__argument_list,
    STATE(6862), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144738] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5297), 1,
      sym__end_of_statement,
    STATE(7037), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12645), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144759] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6522), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6074), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144780] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6533), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144801] = 3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4297), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_derived_type_token1,
    ACTIONS(4299), 4,
      sym_preproc_comment,
      aux_sym_type_statement_token2,
      aux_sym_type_statement_token3,
      aux_sym__class_default_token1,
  [144816] = 6,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(5280), 1,
      sym__end_of_statement,
    STATE(7177), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12647), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144837] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6683), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6062), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144858] = 6,
    ACTIONS(12609), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12611), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12613), 1,
      aux_sym_end_enum_statement_token1,
    STATE(6983), 1,
      sym_end_enum_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6057), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144879] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1143), 1,
      sym__end_of_statement,
    STATE(6159), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12651), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144897] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4612), 1,
      sym__end_of_statement,
    STATE(6186), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12655), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144915] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1481), 1,
      sym__end_of_statement,
    STATE(6102), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12657), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144933] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1481), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12657), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [144951] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6920), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6251), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [144969] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12663), 1,
      aux_sym_end_program_statement_token1,
    STATE(6164), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12665), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [144987] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1576), 1,
      sym__end_of_statement,
    STATE(6155), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145005] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4614), 1,
      sym__end_of_statement,
    STATE(6213), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12669), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145023] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1493), 1,
      sym__end_of_statement,
    STATE(6109), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12671), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145041] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1580), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12673), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145059] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1493), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12671), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145077] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4331), 1,
      sym__end_of_statement,
    STATE(6222), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12675), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145095] = 5,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(7702), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12677), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145113] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1446), 1,
      sym__end_of_statement,
    STATE(6098), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12679), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145131] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1449), 1,
      sym__end_of_statement,
    STATE(6100), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12681), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145149] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2885), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12683), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145167] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2902), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12685), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145185] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1467), 1,
      sym__end_of_statement,
    STATE(6105), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145203] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4530), 1,
      sym__end_of_statement,
    STATE(6172), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12689), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145221] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1467), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12687), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145239] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1468), 1,
      sym__end_of_statement,
    STATE(6106), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12691), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145257] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1468), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12691), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145275] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2816), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145293] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1348), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12695), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145311] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6858), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6111), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [145329] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4353), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12697), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145347] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12699), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145365] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1487), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12701), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145383] = 6,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6456), 1,
      sym_statement_label,
    STATE(7612), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145403] = 4,
    ACTIONS(12703), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12706), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6108), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [145419] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1439), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12708), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145437] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4547), 1,
      sym__end_of_statement,
    STATE(6211), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12710), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145455] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6959), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [145473] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4356), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12712), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145491] = 6,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_COMMA,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(7029), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(7515), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145511] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5287), 1,
      sym__end_of_statement,
    STATE(6266), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12714), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145529] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4337), 1,
      sym__end_of_statement,
    STATE(6141), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12716), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145547] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5487), 5,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [145559] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1394), 1,
      sym__end_of_statement,
    STATE(6168), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145577] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4342), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12720), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145595] = 6,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(7043), 1,
      sym_statement_label,
    STATE(7590), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145615] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1396), 1,
      sym__end_of_statement,
    STATE(6174), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12722), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145633] = 6,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_COMMA,
    ACTIONS(10213), 1,
      anon_sym_RPAREN,
    STATE(7188), 1,
      aux_sym_allocate_statement_repeat1,
    STATE(7515), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [145653] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12724), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [145665] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3110), 1,
      sym__end_of_statement,
    STATE(6128), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12726), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145683] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2968), 1,
      sym__end_of_statement,
    STATE(6131), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12728), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145701] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3140), 1,
      sym__end_of_statement,
    STATE(6133), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12730), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145719] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1504), 1,
      sym__end_of_statement,
    STATE(6088), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12732), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145737] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      sym__end_of_statement,
    STATE(6151), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12734), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145755] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3140), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12730), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145773] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3143), 1,
      sym__end_of_statement,
    STATE(6137), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12736), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145791] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1141), 1,
      sym__end_of_statement,
    STATE(6152), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12738), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145809] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3143), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12736), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145827] = 4,
    ACTIONS(12629), 1,
      anon_sym_EQ,
    ACTIONS(12631), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10828), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145843] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(3076), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12740), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145861] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7258), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6139), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [145879] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5665), 1,
      sym__end_of_statement,
    STATE(6145), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12742), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145897] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5667), 1,
      sym__end_of_statement,
    STATE(6147), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12744), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145915] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2973), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12746), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145933] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5272), 1,
      sym__end_of_statement,
    STATE(6270), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12748), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145951] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7281), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [145969] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4346), 1,
      sym__end_of_statement,
    STATE(6169), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12750), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [145987] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4348), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12752), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146005] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4340), 1,
      sym__end_of_statement,
    STATE(6304), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12754), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146023] = 4,
    ACTIONS(12756), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9682), 3,
      anon_sym_GT_GT_GT,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [146039] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5669), 1,
      sym__end_of_statement,
    STATE(6149), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12759), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146057] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5669), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12759), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146075] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      sym__end_of_statement,
    STATE(6150), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12761), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146093] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5670), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12761), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146111] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      sym__end_of_statement,
    STATE(6158), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12763), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146129] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5666), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12765), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146147] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5651), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12767), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146165] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12763), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146183] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1143), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12651), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146201] = 5,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(7507), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146219] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6523), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6161), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146237] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1359), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12769), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146255] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12771), 1,
      aux_sym_end_program_statement_token1,
    STATE(6221), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12773), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [146273] = 6,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(7246), 1,
      sym_statement_label,
    STATE(7701), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146293] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12775), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146311] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1125), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12777), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146329] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12779), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8599), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [146349] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6534), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146367] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1466), 1,
      sym__end_of_statement,
    STATE(6268), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12781), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146385] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4534), 1,
      sym__end_of_statement,
    STATE(6220), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12783), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146403] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12785), 1,
      aux_sym_end_program_statement_token1,
    STATE(6246), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12787), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [146421] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12789), 1,
      aux_sym_end_program_statement_token1,
    STATE(6246), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12791), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [146439] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4616), 1,
      sym__end_of_statement,
    STATE(6178), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146457] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1405), 1,
      sym__end_of_statement,
    STATE(6215), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146475] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1405), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146493] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4349), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12797), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146511] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1406), 1,
      sym__end_of_statement,
    STATE(6216), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12799), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146529] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6597), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6175), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146547] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4617), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12801), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146565] = 4,
    ACTIONS(12803), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12805), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
    STATE(6108), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [146581] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1406), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12799), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146599] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6608), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146617] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4564), 1,
      sym__end_of_statement,
    STATE(6218), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12807), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146635] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4350), 1,
      sym__end_of_statement,
    STATE(6195), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12809), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146653] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4566), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12811), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146671] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2883), 1,
      sym__end_of_statement,
    STATE(6252), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12813), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146689] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2884), 1,
      sym__end_of_statement,
    STATE(6254), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12815), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146707] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1361), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12817), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146725] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1499), 1,
      sym__end_of_statement,
    STATE(6192), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12819), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146743] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6665), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6185), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146761] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1503), 1,
      sym__end_of_statement,
    STATE(6199), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12821), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146779] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6675), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146797] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4508), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12823), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146815] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2827), 1,
      sym__end_of_statement,
    STATE(6272), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12825), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146833] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1312), 1,
      sym__end_of_statement,
    STATE(6198), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12827), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146851] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1524), 1,
      sym__end_of_statement,
    STATE(6206), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12829), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146869] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6726), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6193), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146887] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1313), 1,
      sym__end_of_statement,
    STATE(6202), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12831), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146905] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1524), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12829), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146923] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6733), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [146941] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2828), 1,
      sym__end_of_statement,
    STATE(6101), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12833), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146959] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4352), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12835), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146977] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1530), 1,
      sym__end_of_statement,
    STATE(6209), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [146995] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1315), 1,
      sym__end_of_statement,
    STATE(6207), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12839), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147013] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1315), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12839), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147031] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1530), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147049] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6786), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6204), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147067] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1316), 1,
      sym__end_of_statement,
    STATE(6208), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12841), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147085] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1316), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12841), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147103] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5283), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12843), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147121] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6793), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147139] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4509), 1,
      sym__end_of_statement,
    STATE(6298), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12845), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147157] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1531), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12847), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147175] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1320), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12849), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147193] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1321), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12851), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147211] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12853), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147229] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6845), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6212), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147247] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4615), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12855), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147265] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6851), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147283] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4510), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12857), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147301] = 5,
    ACTIONS(5507), 1,
      sym__string_literal,
    ACTIONS(5509), 1,
      sym__string_literal_kind,
    STATE(7442), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12859), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147319] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12861), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147337] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1424), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12863), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147355] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6896), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6219), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147373] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4542), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12865), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147391] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6904), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147409] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4611), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12867), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147427] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      aux_sym_end_program_statement_token1,
    STATE(6246), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12871), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [147445] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4345), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12873), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147463] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6943), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6225), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147481] = 5,
    ACTIONS(11657), 1,
      anon_sym_COMMA,
    ACTIONS(12875), 1,
      aux_sym_end_program_statement_token1,
    STATE(6246), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12877), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [147499] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6951), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147517] = 6,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(6526), 1,
      sym_statement_label,
    STATE(7605), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147537] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1617), 1,
      sym__end_of_statement,
    STATE(6082), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12879), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147555] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6984), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6231), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147573] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4517), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12881), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147591] = 3,
    ACTIONS(12883), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
  [147605] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(6989), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147623] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1631), 1,
      sym__end_of_statement,
    STATE(6259), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12885), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147641] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1162), 1,
      sym__end_of_statement,
    STATE(6241), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12887), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147659] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1163), 1,
      sym__end_of_statement,
    STATE(6243), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12889), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147677] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4519), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147695] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7005), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6239), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147713] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1632), 1,
      sym__end_of_statement,
    STATE(6261), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12893), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147731] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5294), 1,
      sym__end_of_statement,
    STATE(6289), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12895), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147749] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7011), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147767] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      sym__end_of_statement,
    STATE(6244), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12897), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147785] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12897), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147803] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1186), 1,
      sym__end_of_statement,
    STATE(6245), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12899), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147821] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1186), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12899), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147839] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1189), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12901), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147857] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12903), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147875] = 5,
    ACTIONS(12905), 1,
      anon_sym_COMMA,
    ACTIONS(12908), 1,
      aux_sym_end_program_statement_token1,
    STATE(6246), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12910), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [147893] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12912), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8469), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147913] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4518), 1,
      sym__end_of_statement,
    STATE(6235), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12914), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147931] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12916), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8470), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [147951] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      sym__end_of_statement,
    STATE(6276), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12918), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [147969] = 5,
    ACTIONS(12659), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12661), 1,
      aux_sym_enumerator_statement_token1,
    STATE(7271), 1,
      sym_end_enumeration_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [147987] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12918), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148005] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2854), 1,
      sym__end_of_statement,
    STATE(6277), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12920), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148023] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2854), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12920), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148041] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4514), 1,
      sym__end_of_statement,
    STATE(6229), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12922), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148059] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12924), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8482), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148079] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1634), 1,
      sym__end_of_statement,
    STATE(6264), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12926), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148097] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12928), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8483), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148117] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1634), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12926), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148135] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1627), 1,
      sym__end_of_statement,
    STATE(6265), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148153] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1627), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12930), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148171] = 5,
    ACTIONS(12932), 1,
      anon_sym_COMMA,
    ACTIONS(12934), 1,
      anon_sym_EQ_GT,
    STATE(6446), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12936), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148189] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4339), 1,
      sym__end_of_statement,
    STATE(6288), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12938), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148207] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1635), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12940), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148225] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1636), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12942), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148243] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5294), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12895), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148261] = 5,
    ACTIONS(12944), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(12946), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(12949), 1,
      aux_sym_end_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6267), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [148279] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1576), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148297] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5295), 1,
      sym__end_of_statement,
    STATE(6203), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12951), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148315] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5295), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12951), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148333] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1618), 1,
      sym__end_of_statement,
    STATE(6089), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12953), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148351] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2798), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12955), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148369] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2740), 1,
      sym__end_of_statement,
    STATE(6282), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12957), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148387] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2742), 1,
      sym__end_of_statement,
    STATE(6286), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12959), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148405] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(1580), 1,
      sym__end_of_statement,
    STATE(6181), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12673), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148423] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2799), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12961), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148441] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2800), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12963), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148459] = 4,
    ACTIONS(12965), 1,
      anon_sym_COMMA,
    STATE(6279), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7991), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
  [148475] = 4,
    ACTIONS(12967), 1,
      anon_sym_COMMA,
    STATE(6279), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8191), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
  [148491] = 4,
    ACTIONS(4287), 1,
      anon_sym_EQ,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
  [148507] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2765), 1,
      sym__end_of_statement,
    STATE(6291), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12970), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148525] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2765), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12970), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148543] = 3,
    ACTIONS(12972), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 4,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
  [148557] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2766), 1,
      sym__end_of_statement,
    STATE(6292), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12974), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148575] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12976), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8244), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148595] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2766), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12974), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148613] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4354), 1,
      sym__end_of_statement,
    STATE(6305), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12978), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148631] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4355), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12980), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148649] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(5306), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12982), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148667] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8310), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148687] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2735), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12986), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148705] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2741), 1,
      sym__end_of_statement,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12988), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148723] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4344), 1,
      sym__end_of_statement,
    STATE(6112), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12990), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148741] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8594), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148761] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12994), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(7751), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148781] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(12996), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8595), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148801] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2798), 1,
      sym__end_of_statement,
    STATE(6094), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12955), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148819] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4515), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12998), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148837] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4327), 1,
      sym__end_of_statement,
    STATE(6118), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13000), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148855] = 4,
    ACTIONS(12965), 1,
      anon_sym_COMMA,
    STATE(6278), 1,
      aux_sym_common_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8223), 3,
      sym__external_end_of_statement,
      anon_sym_SLASH,
      anon_sym_SEMI,
  [148871] = 6,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(11945), 1,
      sym__integer_literal,
    STATE(7061), 1,
      sym_statement_label,
    STATE(7632), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148891] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4347), 1,
      sym__end_of_statement,
    STATE(6104), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13002), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148909] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(13004), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8351), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [148929] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4351), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13006), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148947] = 5,
    ACTIONS(12653), 1,
      anon_sym_COMMA,
    STATE(4336), 1,
      sym__end_of_statement,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148965] = 5,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(2816), 1,
      sym__end_of_statement,
    STATE(6095), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [148983] = 6,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym__argument_list,
    STATE(8600), 1,
      sym_kind,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149003] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6362), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149018] = 4,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    STATE(7515), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [149033] = 5,
    ACTIONS(13014), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13018), 1,
      sym_preproc_arg,
    STATE(7538), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149050] = 4,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(6351), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10842), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149065] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13020), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [149076] = 4,
    ACTIONS(13022), 1,
      anon_sym_COMMA,
    STATE(7633), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13024), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149091] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6366), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149106] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13030), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [149117] = 5,
    ACTIONS(13032), 1,
      anon_sym_LPAREN2,
    ACTIONS(13034), 1,
      sym__integer_literal,
    STATE(6542), 1,
      sym_statement_label,
    STATE(7679), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149134] = 5,
    ACTIONS(13036), 1,
      anon_sym_LPAREN2,
    ACTIONS(13038), 1,
      aux_sym_kind_token1,
    STATE(3994), 1,
      sym_parenthesized_expression,
    STATE(4000), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [149151] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13040), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [149162] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6389), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13042), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149177] = 4,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    STATE(6377), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13044), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149192] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6363), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12871), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [149207] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13046), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13048), 1,
      sym_preproc_arg,
    STATE(7328), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149224] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6363), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12877), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [149239] = 4,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    STATE(6377), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13050), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149254] = 3,
    ACTIONS(13054), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13052), 3,
      anon_sym_COMMA,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [149267] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13056), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13058), 1,
      sym_preproc_arg,
    STATE(7332), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149284] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13060), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13062), 1,
      sym_preproc_arg,
    STATE(7336), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149301] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13064), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13066), 1,
      sym_preproc_arg,
    STATE(7340), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149318] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6401), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149333] = 4,
    ACTIONS(13068), 1,
      anon_sym_COMMA,
    STATE(6330), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149348] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13073), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13075), 1,
      sym_preproc_arg,
    STATE(7595), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149365] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13077), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13079), 1,
      sym_preproc_arg,
    STATE(7344), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149382] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13081), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13083), 1,
      sym_preproc_arg,
    STATE(7410), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149399] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13085), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13087), 1,
      sym_preproc_arg,
    STATE(7529), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149416] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13089), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13091), 1,
      sym_preproc_arg,
    STATE(7348), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149433] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13093), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13095), 1,
      sym_preproc_arg,
    STATE(7351), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149450] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13097), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13099), 1,
      sym_preproc_arg,
    STATE(7355), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149467] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13101), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13103), 1,
      sym_preproc_arg,
    STATE(7628), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149484] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6375), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13105), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149499] = 4,
    ACTIONS(13107), 1,
      anon_sym_COMMA,
    STATE(6441), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13109), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149514] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13111), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [149525] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13113), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13115), 1,
      sym_preproc_arg,
    STATE(7359), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149542] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7651), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [149553] = 4,
    ACTIONS(13117), 1,
      anon_sym_LPAREN2,
    STATE(7859), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149568] = 4,
    ACTIONS(13119), 1,
      anon_sym_COMMA,
    STATE(7560), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149583] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13123), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13125), 1,
      sym_preproc_arg,
    STATE(7574), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149600] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6357), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12665), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [149615] = 4,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(6449), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10846), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149630] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13127), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13129), 1,
      sym_preproc_arg,
    STATE(7617), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149647] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13131), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [149658] = 4,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(6449), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10838), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149673] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13133), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13135), 1,
      sym_preproc_arg,
    STATE(7362), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149690] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13137), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13139), 1,
      sym_preproc_arg,
    STATE(7366), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149707] = 4,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(6449), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10838), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149722] = 4,
    ACTIONS(13141), 1,
      anon_sym_COMMA,
    STATE(6355), 1,
      aux_sym_private_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13144), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149737] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13146), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13148), 1,
      sym_preproc_arg,
    STATE(7369), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149754] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6363), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12787), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [149769] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13150), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [149780] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13152), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13154), 1,
      sym_preproc_arg,
    STATE(7575), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149797] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13156), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13158), 1,
      sym_preproc_arg,
    STATE(7373), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149814] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13160), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13162), 1,
      sym_preproc_arg,
    STATE(7598), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149831] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6401), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9636), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149846] = 4,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    STATE(6363), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12910), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [149861] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6339), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13167), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149876] = 4,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13169), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [149891] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6375), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13171), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149906] = 4,
    ACTIONS(13173), 1,
      anon_sym_COMMA,
    STATE(6424), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13175), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149921] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13177), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13179), 1,
      sym_preproc_arg,
    STATE(7377), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149938] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13181), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13183), 1,
      sym_preproc_arg,
    STATE(7381), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149955] = 4,
    ACTIONS(12932), 1,
      anon_sym_COMMA,
    STATE(6446), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12936), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [149970] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13185), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13187), 1,
      sym_preproc_arg,
    STATE(7385), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [149987] = 4,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13189), 2,
      anon_sym_SLASH_RPAREN,
      anon_sym_RBRACK,
  [150002] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13191), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13193), 1,
      sym_preproc_arg,
    STATE(7534), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150019] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13195), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13197), 1,
      sym_preproc_arg,
    STATE(7388), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150036] = 4,
    ACTIONS(13199), 1,
      anon_sym_COMMA,
    STATE(6375), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13202), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150051] = 4,
    ACTIONS(13204), 1,
      anon_sym_COMMA,
    STATE(6385), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13206), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150066] = 4,
    ACTIONS(13208), 1,
      anon_sym_COMMA,
    STATE(6377), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9682), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150081] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6433), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13213), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150096] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13215), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13217), 1,
      sym_preproc_arg,
    STATE(7582), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150113] = 4,
    ACTIONS(12949), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13219), 1,
      aux_sym_enumerator_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6380), 2,
      sym_enumerator_statement,
      aux_sym_enum_repeat1,
  [150128] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6363), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12791), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [150143] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13222), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13224), 1,
      sym_preproc_arg,
    STATE(7392), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150160] = 4,
    ACTIONS(13226), 1,
      anon_sym_COMMA,
    STATE(6383), 1,
      aux_sym_procedure_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13229), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150175] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6388), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13231), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150190] = 4,
    ACTIONS(13204), 1,
      anon_sym_COMMA,
    STATE(6422), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150205] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13235), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13237), 1,
      sym_preproc_arg,
    STATE(7395), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150222] = 4,
    ACTIONS(13204), 1,
      anon_sym_COMMA,
    STATE(6431), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150237] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6399), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150252] = 4,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    STATE(6375), 1,
      aux_sym_use_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13241), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150267] = 3,
    ACTIONS(12934), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13243), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150280] = 4,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    STATE(7365), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13245), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150295] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7617), 4,
      sym__external_end_of_statement,
      aux_sym_language_binding_token1,
      aux_sym_function_result_token1,
      anon_sym_SEMI,
  [150306] = 4,
    ACTIONS(11961), 1,
      aux_sym_language_binding_token1,
    STATE(7426), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13247), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150321] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13249), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13251), 1,
      sym_preproc_arg,
    STATE(7398), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150338] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13253), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13255), 1,
      sym_preproc_arg,
    STATE(7642), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150355] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13257), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13259), 1,
      sym_preproc_arg,
    STATE(7401), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150372] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13261), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13263), 1,
      sym_preproc_arg,
    STATE(7500), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150389] = 3,
    STATE(8443), 1,
      sym_binary_op,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13265), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      aux_sym_binary_op_token1,
  [150402] = 4,
    ACTIONS(13267), 1,
      anon_sym_COMMA,
    STATE(6399), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13270), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150417] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13272), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13274), 1,
      sym_preproc_arg,
    STATE(7404), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150434] = 4,
    ACTIONS(13276), 1,
      anon_sym_COMMA,
    STATE(6401), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150449] = 5,
    ACTIONS(10290), 1,
      anon_sym_COMMA,
    ACTIONS(13279), 1,
      anon_sym_SLASH,
    STATE(6630), 1,
      sym_data_value,
    STATE(6659), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150466] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13281), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13283), 1,
      sym_preproc_arg,
    STATE(7407), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150483] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6399), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13285), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150498] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13287), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13289), 1,
      sym_preproc_arg,
    STATE(7317), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150515] = 4,
    ACTIONS(13291), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13243), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150530] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13294), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13296), 1,
      sym_preproc_arg,
    STATE(7411), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150547] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13298), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13300), 1,
      sym_preproc_arg,
    STATE(7414), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150564] = 3,
    ACTIONS(5511), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5513), 3,
      aux_sym_implicit_statement_token3,
      aux_sym_end_select_statement_token1,
      aux_sym_format_statement_token1,
  [150577] = 5,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1055), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150594] = 4,
    ACTIONS(12627), 1,
      anon_sym_COMMA,
    STATE(6354), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10842), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150609] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6401), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9649), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150624] = 5,
    ACTIONS(13308), 1,
      anon_sym_LPAREN2,
    ACTIONS(13310), 1,
      aux_sym_kind_token1,
    STATE(3192), 1,
      sym_parenthesized_expression,
    STATE(3193), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150641] = 5,
    ACTIONS(12615), 1,
      anon_sym_STAR,
    ACTIONS(13312), 1,
      anon_sym_LPAREN2,
    STATE(3188), 1,
      sym_kind,
    STATE(3194), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150658] = 5,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(13315), 1,
      aux_sym_preproc_if_token2,
    STATE(1061), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150675] = 4,
    ACTIONS(13317), 1,
      anon_sym_COMMA,
    STATE(6423), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13319), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150690] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13321), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13323), 1,
      sym_preproc_arg,
    STATE(7357), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150707] = 3,
    ACTIONS(13327), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13325), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150720] = 4,
    ACTIONS(11717), 1,
      anon_sym_COMMA,
    STATE(6321), 1,
      aux_sym_enumerator_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12773), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [150735] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6399), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13213), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150750] = 5,
    ACTIONS(13034), 1,
      sym__integer_literal,
    ACTIONS(13329), 1,
      anon_sym_LPAREN2,
    STATE(6542), 1,
      sym_statement_label,
    STATE(7476), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150767] = 4,
    ACTIONS(13331), 1,
      anon_sym_COMMA,
    STATE(6422), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13334), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150782] = 4,
    ACTIONS(13317), 1,
      anon_sym_COMMA,
    STATE(6434), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13336), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150797] = 4,
    ACTIONS(13173), 1,
      anon_sym_COMMA,
    STATE(6428), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13338), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150812] = 4,
    ACTIONS(13173), 1,
      anon_sym_COMMA,
    STATE(6428), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13340), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150827] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13344), 1,
      sym_preproc_arg,
    STATE(7673), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150844] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13346), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13348), 1,
      sym_preproc_arg,
    STATE(7689), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150861] = 4,
    ACTIONS(13350), 1,
      anon_sym_COMMA,
    STATE(6428), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13353), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150876] = 5,
    ACTIONS(13310), 1,
      aux_sym_kind_token1,
    ACTIONS(13355), 1,
      anon_sym_LPAREN2,
    STATE(3192), 1,
      sym_parenthesized_expression,
    STATE(3193), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [150893] = 4,
    ACTIONS(13173), 1,
      anon_sym_COMMA,
    STATE(6425), 1,
      aux_sym_variable_modification_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13357), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150908] = 4,
    ACTIONS(13204), 1,
      anon_sym_COMMA,
    STATE(6422), 1,
      aux_sym_implicit_statement_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13359), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150923] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12041), 4,
      aux_sym_procedure_attributes_token2,
      aux_sym_procedure_attributes_token3,
      aux_sym_procedure_attributes_token4,
      aux_sym_procedure_attributes_token5,
  [150934] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6399), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150949] = 4,
    ACTIONS(13363), 1,
      anon_sym_COMMA,
    STATE(6434), 1,
      aux_sym_equivalence_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13366), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150964] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13361), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [150979] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13368), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13370), 1,
      sym_preproc_arg,
    STATE(7650), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [150996] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13372), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13374), 1,
      sym_preproc_arg,
    STATE(7540), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [151013] = 5,
    ACTIONS(13376), 1,
      anon_sym_LPAREN2,
    ACTIONS(13378), 1,
      aux_sym_kind_token1,
    STATE(5369), 1,
      sym_parenthesized_expression,
    STATE(5370), 1,
      sym__argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151030] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13380), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13382), 1,
      sym_preproc_arg,
    STATE(7533), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [151047] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6412), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151062] = 4,
    ACTIONS(13107), 1,
      anon_sym_COMMA,
    STATE(6330), 1,
      aux_sym_data_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13384), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151077] = 5,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    ACTIONS(13386), 1,
      aux_sym_preproc_if_token2,
    STATE(1055), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151094] = 5,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1061), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151111] = 4,
    ACTIONS(13388), 1,
      anon_sym_COMMA,
    STATE(7456), 1,
      sym_included_items,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13390), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151126] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13392), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13394), 1,
      sym_preproc_arg,
    STATE(7321), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [151143] = 4,
    ACTIONS(12932), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_included_items_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13396), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151158] = 5,
    ACTIONS(13016), 1,
      anon_sym_LPAREN,
    ACTIONS(13398), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(13400), 1,
      sym_preproc_arg,
    STATE(7324), 1,
      sym_preproc_params,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [151175] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(6329), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9616), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151190] = 4,
    ACTIONS(13402), 1,
      anon_sym_COMMA,
    STATE(6449), 1,
      aux_sym__declaration_targets_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10853), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151205] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(6420), 1,
      aux_sym_save_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151220] = 3,
    STATE(179), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13405), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151232] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13409), 1,
      anon_sym_RBRACK,
    STATE(6458), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151246] = 4,
    ACTIONS(13411), 1,
      anon_sym_COMMA,
    ACTIONS(13414), 1,
      anon_sym_RPAREN,
    STATE(6453), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151260] = 4,
    ACTIONS(13416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13418), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5118), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151274] = 3,
    STATE(701), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13420), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151286] = 4,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    STATE(7684), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151300] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13422), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151310] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151324] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      anon_sym_RBRACK,
    STATE(6469), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151338] = 3,
    STATE(749), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13426), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151350] = 3,
    STATE(758), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13428), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151362] = 4,
    ACTIONS(13430), 1,
      anon_sym_COMMA,
    ACTIONS(13432), 1,
      anon_sym_RPAREN,
    STATE(6545), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151376] = 4,
    ACTIONS(13434), 1,
      anon_sym_COMMA,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
    STATE(7284), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151390] = 3,
    STATE(5158), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13438), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151402] = 3,
    STATE(2307), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13440), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151414] = 4,
    ACTIONS(13416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13418), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5159), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151428] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7439), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151442] = 4,
    ACTIONS(13442), 1,
      sym_preproc_comment,
    ACTIONS(13444), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8411), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151456] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151470] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13450), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151484] = 4,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
    ACTIONS(13454), 1,
      anon_sym_RPAREN,
    STATE(6453), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151498] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13243), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151508] = 4,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    ACTIONS(13458), 1,
      anon_sym_RPAREN,
    STATE(7286), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151522] = 4,
    ACTIONS(13460), 1,
      aux_sym_included_items_token1,
    ACTIONS(13462), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(13464), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151536] = 3,
    STATE(5189), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13466), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151548] = 4,
    ACTIONS(13416), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13418), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5190), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151562] = 3,
    STATE(725), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13468), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151574] = 4,
    ACTIONS(13470), 1,
      anon_sym_COMMA,
    ACTIONS(13473), 1,
      anon_sym_COLON_COLON,
    STATE(6478), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151588] = 4,
    ACTIONS(7470), 1,
      sym__integer_literal,
    STATE(4019), 1,
      sym_statement_label,
    STATE(6546), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151602] = 3,
    STATE(746), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13475), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151614] = 3,
    STATE(752), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13477), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151626] = 3,
    STATE(707), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151638] = 3,
    STATE(966), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13481), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151650] = 3,
    STATE(714), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13483), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151662] = 3,
    STATE(719), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13485), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151674] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13366), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151684] = 3,
    STATE(2819), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151696] = 3,
    STATE(2830), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13489), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151708] = 4,
    ACTIONS(13491), 1,
      anon_sym_COMMA,
    ACTIONS(13493), 1,
      anon_sym_RPAREN,
    STATE(6562), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151722] = 4,
    ACTIONS(13495), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13497), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1001), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151736] = 4,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(13501), 1,
      anon_sym_RPAREN,
    STATE(7044), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151750] = 4,
    ACTIONS(13503), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13505), 1,
      aux_sym_end_function_statement_token1,
    STATE(1003), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151764] = 3,
    STATE(1521), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151776] = 3,
    STATE(1012), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13509), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151788] = 4,
    ACTIONS(13495), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13497), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1013), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151802] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13511), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151812] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13513), 1,
      anon_sym_RBRACK,
    STATE(7295), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151826] = 3,
    STATE(1015), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13515), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151838] = 3,
    STATE(662), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7629), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151850] = 4,
    ACTIONS(13503), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13505), 1,
      aux_sym_end_function_statement_token1,
    STATE(1016), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151864] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13517), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151874] = 3,
    STATE(1022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13519), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151886] = 4,
    ACTIONS(13495), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13497), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1023), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151900] = 3,
    STATE(1024), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13521), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151912] = 4,
    ACTIONS(13503), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13505), 1,
      aux_sym_end_function_statement_token1,
    STATE(1025), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151926] = 4,
    ACTIONS(9875), 1,
      anon_sym_RBRACK,
    ACTIONS(13523), 1,
      anon_sym_COMMA,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151940] = 4,
    ACTIONS(13526), 1,
      sym__string_literal,
    ACTIONS(13528), 1,
      sym__string_literal_kind,
    STATE(4558), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [151954] = 3,
    STATE(3952), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13530), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151966] = 3,
    STATE(1126), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13532), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151978] = 3,
    STATE(967), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [151990] = 3,
    STATE(2510), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13536), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152002] = 4,
    ACTIONS(13538), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [152016] = 3,
    STATE(1445), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13542), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152028] = 3,
    STATE(977), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13544), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152040] = 3,
    ACTIONS(9879), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [152052] = 3,
    STATE(1391), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152064] = 4,
    ACTIONS(195), 1,
      sym__string_literal,
    ACTIONS(197), 1,
      sym__string_literal_kind,
    STATE(5047), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152078] = 3,
    STATE(697), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7675), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152090] = 4,
    ACTIONS(9336), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9338), 1,
      aux_sym_end_type_statement_token1,
    STATE(1149), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152104] = 3,
    STATE(2511), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13548), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152116] = 3,
    STATE(1370), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13550), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152128] = 3,
    STATE(1152), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13552), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152140] = 3,
    STATE(1135), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13554), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152152] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(13558), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152166] = 4,
    ACTIONS(9881), 1,
      anon_sym_RPAREN,
    ACTIONS(13560), 1,
      anon_sym_COMMA,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152180] = 4,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    STATE(7590), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152194] = 4,
    ACTIONS(9608), 1,
      anon_sym_COMMA,
    ACTIONS(9610), 1,
      anon_sym_RBRACK,
    STATE(6540), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152208] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    STATE(6541), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152222] = 3,
    STATE(2720), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13563), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152234] = 3,
    ACTIONS(4289), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4291), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [152246] = 3,
    STATE(1142), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13565), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152258] = 4,
    ACTIONS(9336), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9338), 1,
      aux_sym_end_type_statement_token1,
    STATE(1145), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152272] = 3,
    STATE(1146), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13567), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152284] = 3,
    STATE(1148), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13569), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152296] = 3,
    ACTIONS(4293), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4295), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [152308] = 3,
    ACTIONS(4285), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [152320] = 3,
    ACTIONS(9885), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9883), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [152332] = 3,
    ACTIONS(4297), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4299), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [152344] = 3,
    STATE(753), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13571), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152356] = 4,
    ACTIONS(13573), 1,
      anon_sym_COMMA,
    ACTIONS(13575), 1,
      anon_sym_RBRACK,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152370] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(13577), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152384] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8771), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152394] = 3,
    STATE(1151), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13579), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152406] = 3,
    STATE(848), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152418] = 4,
    ACTIONS(13581), 1,
      anon_sym_COMMA,
    ACTIONS(13584), 1,
      anon_sym_RPAREN,
    STATE(6545), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152432] = 4,
    ACTIONS(13491), 1,
      anon_sym_COMMA,
    ACTIONS(13586), 1,
      anon_sym_RPAREN,
    STATE(6551), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152446] = 4,
    ACTIONS(7470), 1,
      sym__integer_literal,
    STATE(4019), 1,
      sym_statement_label,
    STATE(7614), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152460] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13588), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [152470] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13590), 1,
      anon_sym_RBRACK,
    STATE(6556), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152484] = 4,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(13592), 1,
      anon_sym_GT_GT_GT,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152498] = 4,
    ACTIONS(13491), 1,
      anon_sym_COMMA,
    ACTIONS(13594), 1,
      anon_sym_RPAREN,
    STATE(6560), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152512] = 4,
    ACTIONS(7517), 1,
      anon_sym_EQ,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    STATE(5334), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152526] = 4,
    ACTIONS(13596), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13598), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4569), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152540] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
    STATE(6678), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152554] = 4,
    ACTIONS(13602), 1,
      sym_preproc_comment,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5882), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152568] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152582] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13606), 1,
      anon_sym_RBRACK,
    STATE(6564), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152596] = 3,
    STATE(654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13608), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152608] = 3,
    STATE(4502), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13610), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152620] = 4,
    ACTIONS(13612), 1,
      anon_sym_COMMA,
    ACTIONS(13615), 1,
      anon_sym_RPAREN,
    STATE(6560), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152634] = 4,
    ACTIONS(13596), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13598), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4503), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152648] = 4,
    ACTIONS(13491), 1,
      anon_sym_COMMA,
    ACTIONS(13586), 1,
      anon_sym_RPAREN,
    STATE(6560), 1,
      aux_sym_keyword_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152662] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13617), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152672] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13619), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152686] = 4,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(13621), 1,
      anon_sym_SLASH,
    STATE(7310), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152700] = 3,
    STATE(4523), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13623), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152712] = 4,
    ACTIONS(13596), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13598), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4524), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152726] = 4,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(13625), 1,
      anon_sym_SLASH,
    STATE(7310), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152740] = 3,
    STATE(900), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13627), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152752] = 3,
    STATE(901), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13629), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152764] = 4,
    ACTIONS(13631), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13633), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4993), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152778] = 3,
    STATE(968), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13635), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152790] = 4,
    ACTIONS(13637), 1,
      anon_sym_COMMA,
    ACTIONS(13639), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152804] = 4,
    ACTIONS(13641), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13643), 1,
      aux_sym_end_function_statement_token1,
    STATE(4995), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152818] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(13645), 1,
      anon_sym_RPAREN,
    STATE(7315), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152832] = 3,
    STATE(5015), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13647), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152844] = 4,
    ACTIONS(13631), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13633), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5016), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152858] = 3,
    STATE(5020), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13649), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152870] = 4,
    ACTIONS(13641), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13643), 1,
      aux_sym_end_function_statement_token1,
    STATE(5021), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152884] = 3,
    STATE(5040), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13651), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152896] = 4,
    ACTIONS(13631), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13633), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5042), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152910] = 3,
    STATE(5044), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13653), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152922] = 4,
    ACTIONS(13641), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13643), 1,
      aux_sym_end_function_statement_token1,
    STATE(5056), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152936] = 4,
    ACTIONS(13655), 1,
      sym__string_literal,
    ACTIONS(13657), 1,
      sym__string_literal_kind,
    STATE(4954), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [152950] = 3,
    STATE(4268), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13659), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152962] = 3,
    STATE(1660), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13661), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152974] = 3,
    STATE(5395), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13663), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152986] = 3,
    STATE(2581), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13665), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [152998] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(13667), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [153012] = 4,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    ACTIONS(13669), 1,
      anon_sym_COMMA,
    STATE(6590), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153026] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13071), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153036] = 3,
    STATE(1157), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13672), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153048] = 4,
    ACTIONS(9292), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9294), 1,
      aux_sym_end_type_statement_token1,
    STATE(1638), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153062] = 3,
    STATE(2586), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13674), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153074] = 3,
    STATE(1402), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153086] = 3,
    STATE(1649), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13678), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153098] = 3,
    STATE(1656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13680), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153110] = 4,
    ACTIONS(13682), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13684), 1,
      aux_sym_end_module_statement_token1,
    STATE(851), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153124] = 3,
    STATE(975), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13686), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153136] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
    STATE(7000), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153150] = 4,
    ACTIONS(9653), 1,
      anon_sym_COMMA,
    ACTIONS(9655), 1,
      anon_sym_RBRACK,
    STATE(6612), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153164] = 4,
    ACTIONS(13690), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13692), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(853), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153178] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(6613), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153192] = 3,
    STATE(1179), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13694), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153204] = 3,
    STATE(1653), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13696), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153216] = 4,
    ACTIONS(9292), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9294), 1,
      aux_sym_end_type_statement_token1,
    STATE(1655), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153230] = 3,
    STATE(1658), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13698), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153242] = 3,
    STATE(1659), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13700), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153254] = 3,
    STATE(2292), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13702), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153266] = 4,
    ACTIONS(8771), 1,
      anon_sym_COMMA,
    ACTIONS(13704), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13706), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153280] = 4,
    ACTIONS(13708), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13710), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(976), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153294] = 4,
    ACTIONS(13712), 1,
      anon_sym_COMMA,
    ACTIONS(13714), 1,
      anon_sym_RBRACK,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153308] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(13716), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153322] = 3,
    STATE(1628), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153334] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13720), 1,
      anon_sym_RBRACK,
    STATE(6619), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153348] = 3,
    STATE(647), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8239), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153360] = 4,
    ACTIONS(13722), 1,
      anon_sym_COMMA,
    ACTIONS(13724), 1,
      anon_sym_RPAREN,
    STATE(6847), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153374] = 4,
    ACTIONS(13726), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13728), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5151), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153388] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13730), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153402] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13730), 1,
      anon_sym_RBRACK,
    STATE(6626), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153416] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13732), 1,
      anon_sym_RPAREN,
    STATE(6470), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153430] = 3,
    STATE(566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13734), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153442] = 3,
    STATE(5195), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13736), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153454] = 4,
    ACTIONS(13726), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13728), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5199), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153468] = 3,
    STATE(549), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13738), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153480] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(13740), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153494] = 3,
    STATE(980), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13742), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153506] = 3,
    STATE(4943), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13744), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153518] = 4,
    ACTIONS(13726), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13728), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4944), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153532] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13746), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153542] = 3,
    STATE(5374), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13748), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153554] = 3,
    STATE(1654), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13750), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153566] = 3,
    STATE(1640), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13752), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153578] = 4,
    ACTIONS(13754), 1,
      anon_sym_COMMA,
    ACTIONS(13757), 1,
      anon_sym_RPAREN,
    STATE(6634), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153592] = 4,
    ACTIONS(13759), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13761), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5135), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153606] = 4,
    ACTIONS(13763), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13765), 1,
      aux_sym_end_function_statement_token1,
    STATE(981), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153620] = 4,
    ACTIONS(13767), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13769), 1,
      aux_sym_end_function_statement_token1,
    STATE(5137), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153634] = 4,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(13771), 1,
      sym_preproc_comment,
    STATE(5844), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153648] = 3,
    STATE(5572), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153660] = 3,
    STATE(5563), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13775), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153672] = 3,
    STATE(5140), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13777), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153684] = 4,
    ACTIONS(13759), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13761), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5141), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153698] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7417), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153712] = 3,
    STATE(5143), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13779), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153724] = 4,
    ACTIONS(13767), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13769), 1,
      aux_sym_end_function_statement_token1,
    STATE(5144), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153738] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7565), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153752] = 3,
    STATE(5147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13781), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153764] = 4,
    ACTIONS(13759), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13761), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5149), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153778] = 3,
    STATE(5153), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13783), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153790] = 4,
    ACTIONS(13767), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13769), 1,
      aux_sym_end_function_statement_token1,
    STATE(5154), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153804] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153818] = 4,
    ACTIONS(13787), 1,
      sym__string_literal,
    ACTIONS(13789), 1,
      sym__string_literal_kind,
    STATE(5114), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153832] = 3,
    STATE(4264), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13791), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153844] = 3,
    STATE(1363), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153856] = 3,
    STATE(2634), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153868] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(13797), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [153882] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13799), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153896] = 3,
    STATE(1562), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13801), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153908] = 4,
    ACTIONS(10548), 1,
      anon_sym_SLASH,
    ACTIONS(13803), 1,
      anon_sym_COMMA,
    STATE(6659), 1,
      aux_sym_data_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153922] = 4,
    ACTIONS(9348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9350), 1,
      aux_sym_end_type_statement_token1,
    STATE(1369), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153936] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13806), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [153950] = 3,
    STATE(2636), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13808), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153962] = 3,
    STATE(1265), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13810), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153974] = 3,
    STATE(1371), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13812), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153986] = 3,
    STATE(1372), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13814), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [153998] = 4,
    ACTIONS(13816), 1,
      sym_preproc_comment,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5976), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154012] = 3,
    STATE(760), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13820), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154024] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154038] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    STATE(6676), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154052] = 4,
    ACTIONS(13434), 1,
      anon_sym_COMMA,
    ACTIONS(13824), 1,
      anon_sym_RPAREN,
    STATE(6463), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154066] = 3,
    STATE(1646), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13826), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154078] = 3,
    STATE(1379), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13828), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154090] = 4,
    ACTIONS(9348), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9350), 1,
      aux_sym_end_type_statement_token1,
    STATE(1380), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154104] = 3,
    STATE(1381), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13830), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154116] = 3,
    STATE(1382), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13832), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154128] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(13834), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154142] = 3,
    STATE(558), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13836), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154154] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154168] = 3,
    STATE(1385), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13840), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154180] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7406), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154194] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13842), 1,
      anon_sym_RPAREN,
    STATE(7125), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154208] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13844), 1,
      anon_sym_RPAREN,
    STATE(7129), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154222] = 3,
    STATE(1556), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13846), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154234] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13848), 1,
      anon_sym_RPAREN,
    STATE(7133), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154248] = 4,
    ACTIONS(13850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13852), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5063), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154262] = 4,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(13854), 1,
      sym_preproc_comment,
    STATE(5843), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154276] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7368), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154290] = 3,
    STATE(5074), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13856), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154302] = 4,
    ACTIONS(13850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13852), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5076), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154316] = 4,
    ACTIONS(13858), 1,
      anon_sym_COMMA,
    ACTIONS(13860), 1,
      anon_sym_RPAREN,
    STATE(6573), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154330] = 3,
    STATE(682), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13862), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154342] = 3,
    STATE(5090), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13864), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154354] = 4,
    ACTIONS(13850), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13852), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5091), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154368] = 4,
    ACTIONS(13866), 1,
      anon_sym_COMMA,
    ACTIONS(13869), 1,
      anon_sym_RPAREN,
    STATE(6694), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154382] = 3,
    STATE(1414), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13871), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154394] = 3,
    STATE(1425), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13873), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154406] = 3,
    STATE(856), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13875), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154418] = 4,
    ACTIONS(13877), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13879), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4756), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154432] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13881), 1,
      anon_sym_RPAREN,
    STATE(6964), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154446] = 4,
    ACTIONS(13883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13885), 1,
      aux_sym_end_function_statement_token1,
    STATE(4758), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154460] = 3,
    STATE(4761), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13887), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154472] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13889), 1,
      anon_sym_RPAREN,
    STATE(6991), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154486] = 4,
    ACTIONS(13877), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13879), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4762), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154500] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7566), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154514] = 3,
    STATE(4764), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13891), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154526] = 4,
    ACTIONS(13883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13885), 1,
      aux_sym_end_function_statement_token1,
    STATE(4765), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154540] = 3,
    STATE(4766), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13893), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154552] = 4,
    ACTIONS(13877), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13879), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4767), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154566] = 3,
    STATE(4768), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13895), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154578] = 4,
    ACTIONS(13883), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13885), 1,
      aux_sym_end_function_statement_token1,
    STATE(4769), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154592] = 4,
    ACTIONS(7022), 1,
      sym__string_literal,
    ACTIONS(7024), 1,
      sym__string_literal_kind,
    STATE(4558), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154606] = 4,
    ACTIONS(10346), 1,
      anon_sym_COMMA,
    ACTIONS(10348), 1,
      anon_sym_RPAREN,
    STATE(7030), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154620] = 3,
    STATE(4246), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13897), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154632] = 3,
    STATE(1391), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154644] = 3,
    ACTIONS(13901), 1,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [154656] = 3,
    STATE(1936), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13903), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154668] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(13905), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [154682] = 4,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    ACTIONS(13907), 1,
      anon_sym_RPAREN,
    STATE(6473), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154696] = 3,
    STATE(1611), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13909), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154708] = 3,
    ACTIONS(4285), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(4287), 2,
      aux_sym_preproc_def_token2,
      anon_sym_LPAREN,
  [154720] = 4,
    ACTIONS(9356), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9358), 1,
      aux_sym_end_type_statement_token1,
    STATE(1401), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154734] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7446), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154748] = 3,
    STATE(1969), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13911), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154760] = 3,
    STATE(1179), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13694), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154772] = 3,
    STATE(1403), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13913), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154784] = 3,
    STATE(1404), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13915), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154796] = 3,
    STATE(1583), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13917), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154808] = 3,
    STATE(3103), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13919), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154820] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13921), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154830] = 3,
    STATE(1417), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13923), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154842] = 4,
    ACTIONS(9356), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9358), 1,
      aux_sym_end_type_statement_token1,
    STATE(1418), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154856] = 3,
    STATE(1420), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13925), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154868] = 3,
    STATE(1421), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13927), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154880] = 3,
    STATE(666), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13929), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154892] = 4,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(857), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154906] = 3,
    STATE(1427), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13931), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154918] = 3,
    STATE(859), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13933), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154930] = 4,
    ACTIONS(13682), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13684), 1,
      aux_sym_end_module_statement_token1,
    STATE(860), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154944] = 3,
    STATE(705), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13935), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154956] = 3,
    STATE(862), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13937), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154968] = 3,
    STATE(5289), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13939), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [154980] = 4,
    ACTIONS(13941), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13943), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4904), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [154994] = 4,
    ACTIONS(13690), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13692), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(863), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155008] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(13945), 1,
      anon_sym_RPAREN,
    STATE(7064), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155022] = 3,
    STATE(5274), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13947), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155034] = 3,
    STATE(1409), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13949), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155046] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10871), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155056] = 3,
    STATE(5564), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13951), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155068] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10871), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155078] = 4,
    ACTIONS(13953), 1,
      anon_sym_COMMA,
    ACTIONS(13955), 1,
      anon_sym_COLON_COLON,
    STATE(6478), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155092] = 3,
    STATE(4910), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13957), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155104] = 4,
    ACTIONS(13941), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13943), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4911), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155118] = 4,
    ACTIONS(13959), 1,
      anon_sym_COMMA,
    ACTIONS(13962), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155132] = 3,
    ACTIONS(13964), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13966), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155144] = 3,
    STATE(4918), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13968), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155156] = 4,
    ACTIONS(13941), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13943), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4920), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155170] = 3,
    ACTIONS(13970), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13972), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155182] = 3,
    STATE(1475), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13974), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155194] = 3,
    STATE(1488), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13976), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155206] = 4,
    ACTIONS(13978), 1,
      anon_sym_COMMA,
    ACTIONS(13980), 1,
      anon_sym_RPAREN,
    STATE(7106), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155220] = 4,
    ACTIONS(13982), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13984), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4548), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155234] = 4,
    ACTIONS(13986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13988), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4577), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155248] = 4,
    ACTIONS(13990), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13992), 1,
      aux_sym_end_function_statement_token1,
    STATE(4559), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155262] = 4,
    ACTIONS(13953), 1,
      anon_sym_COMMA,
    ACTIONS(13994), 1,
      anon_sym_COLON_COLON,
    STATE(7035), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155276] = 3,
    STATE(4646), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13996), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155288] = 4,
    ACTIONS(13982), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13984), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4588), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155302] = 3,
    STATE(4620), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13998), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155314] = 4,
    ACTIONS(14000), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14002), 1,
      aux_sym_end_function_statement_token1,
    STATE(4579), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155328] = 4,
    ACTIONS(13990), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13992), 1,
      aux_sym_end_function_statement_token1,
    STATE(4500), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155342] = 3,
    STATE(4633), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14004), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155354] = 4,
    ACTIONS(13982), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13984), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4506), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155368] = 3,
    STATE(4512), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14006), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155380] = 4,
    ACTIONS(13990), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13992), 1,
      aux_sym_end_function_statement_token1,
    STATE(4521), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155394] = 4,
    ACTIONS(14008), 1,
      sym__string_literal,
    ACTIONS(14010), 1,
      sym__string_literal_kind,
    STATE(4926), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155408] = 4,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
    ACTIONS(14012), 1,
      anon_sym_RPAREN,
    STATE(6471), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155422] = 3,
    STATE(4270), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14014), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155434] = 3,
    STATE(1254), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14016), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155446] = 3,
    STATE(1798), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14018), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155458] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14020), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155472] = 3,
    STATE(5360), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14022), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155484] = 4,
    ACTIONS(9276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9278), 1,
      aux_sym_end_type_statement_token1,
    STATE(1263), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155498] = 4,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
    ACTIONS(14024), 1,
      anon_sym_RPAREN,
    STATE(6471), 1,
      aux_sym_procedure_attributes_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155512] = 3,
    STATE(1799), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14026), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155524] = 3,
    STATE(1570), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155536] = 3,
    STATE(1266), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14030), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155548] = 3,
    STATE(1268), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14032), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155560] = 4,
    ACTIONS(14034), 1,
      anon_sym_COMMA,
    ACTIONS(14037), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155574] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14039), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155588] = 3,
    STATE(1370), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13550), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155600] = 3,
    STATE(1277), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14041), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155612] = 4,
    ACTIONS(9276), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9278), 1,
      aux_sym_end_type_statement_token1,
    STATE(1278), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155626] = 3,
    STATE(1279), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14043), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155638] = 3,
    STATE(1282), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14045), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155650] = 4,
    ACTIONS(14047), 1,
      sym__string_literal,
    ACTIONS(14049), 1,
      sym__string_literal_kind,
    STATE(5037), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155664] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14051), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155678] = 3,
    STATE(1283), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14053), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155690] = 3,
    STATE(619), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155702] = 3,
    ACTIONS(14055), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14057), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [155714] = 4,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(844), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155728] = 3,
    STATE(3972), 1,
      sym_access_specifier,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11979), 2,
      aux_sym_private_statement_token1,
      aux_sym_public_statement_token1,
  [155740] = 3,
    STATE(5567), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14059), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155752] = 4,
    ACTIONS(14061), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14063), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5229), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155766] = 3,
    STATE(4260), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14065), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155778] = 3,
    STATE(2867), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14067), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155790] = 4,
    ACTIONS(7470), 1,
      sym__integer_literal,
    STATE(4019), 1,
      sym_statement_label,
    STATE(7972), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155804] = 3,
    STATE(1715), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14069), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155816] = 3,
    STATE(847), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14071), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155828] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14073), 1,
      anon_sym_RPAREN,
    STATE(7180), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155842] = 3,
    STATE(5045), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14075), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155854] = 4,
    ACTIONS(14077), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(14079), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(14081), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155868] = 4,
    ACTIONS(14061), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14063), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5046), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155882] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14083), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [155896] = 3,
    STATE(4963), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14085), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155908] = 4,
    ACTIONS(14061), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14063), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5004), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155922] = 3,
    STATE(5565), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14087), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155934] = 4,
    ACTIONS(10211), 1,
      anon_sym_COMMA,
    ACTIONS(10213), 1,
      anon_sym_RPAREN,
    STATE(7190), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155948] = 3,
    STATE(1037), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14089), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155960] = 3,
    STATE(1038), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14091), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [155972] = 4,
    ACTIONS(14093), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14095), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5065), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [155986] = 4,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(6899), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156000] = 4,
    ACTIONS(14097), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14099), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(885), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156014] = 4,
    ACTIONS(14101), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14103), 1,
      aux_sym_end_function_statement_token1,
    STATE(5079), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156028] = 3,
    STATE(5165), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14105), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156040] = 4,
    ACTIONS(14093), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14095), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5166), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156054] = 4,
    ACTIONS(14107), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14109), 1,
      aux_sym_end_function_statement_token1,
    STATE(887), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156068] = 3,
    STATE(5170), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14111), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156080] = 4,
    ACTIONS(14113), 1,
      aux_sym_included_items_token1,
    ACTIONS(14115), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(14117), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156094] = 4,
    ACTIONS(14101), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14103), 1,
      aux_sym_end_function_statement_token1,
    STATE(5191), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156108] = 3,
    STATE(5209), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14119), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156120] = 4,
    ACTIONS(14093), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14095), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5231), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156134] = 3,
    STATE(5233), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14121), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156146] = 4,
    ACTIONS(14101), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14103), 1,
      aux_sym_end_function_statement_token1,
    STATE(5236), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156160] = 3,
    STATE(690), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14123), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156172] = 4,
    ACTIONS(7010), 1,
      sym__string_literal,
    ACTIONS(7012), 1,
      sym__string_literal_kind,
    STATE(4926), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156186] = 3,
    STATE(1157), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13672), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156198] = 3,
    STATE(2016), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14125), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156210] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14127), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156224] = 4,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(849), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156238] = 3,
    STATE(1660), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13661), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156250] = 4,
    ACTIONS(9284), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9286), 1,
      aux_sym_end_type_statement_token1,
    STATE(1185), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156264] = 4,
    ACTIONS(9250), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9264), 1,
      aux_sym_end_type_statement_token1,
    STATE(1602), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156278] = 3,
    STATE(2017), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14129), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156290] = 3,
    STATE(1621), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14131), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156302] = 3,
    STATE(1159), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14133), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156314] = 3,
    STATE(1164), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14135), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156326] = 3,
    STATE(1402), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13676), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156338] = 4,
    ACTIONS(14137), 1,
      anon_sym_COMMA,
    ACTIONS(14139), 1,
      anon_sym_RPAREN,
    STATE(6634), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156352] = 3,
    STATE(1165), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14141), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156364] = 4,
    ACTIONS(9284), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9286), 1,
      aux_sym_end_type_statement_token1,
    STATE(1172), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156378] = 3,
    STATE(1175), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14143), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156390] = 3,
    STATE(1176), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14145), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156402] = 4,
    ACTIONS(9340), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9342), 1,
      aux_sym_end_type_statement_token1,
    STATE(2841), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156416] = 3,
    STATE(1180), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14147), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156428] = 3,
    STATE(5099), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14149), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156440] = 3,
    STATE(1763), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14151), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156452] = 3,
    STATE(1150), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14153), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156464] = 3,
    STATE(2786), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14155), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156476] = 3,
    STATE(2791), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14157), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156488] = 3,
    STATE(5277), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14159), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156500] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14161), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156510] = 4,
    ACTIONS(10476), 1,
      anon_sym_RPAREN,
    ACTIONS(14163), 1,
      anon_sym_COMMA,
    STATE(6861), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156524] = 3,
    STATE(663), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14166), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156536] = 4,
    ACTIONS(14168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14170), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5107), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156550] = 3,
    STATE(5385), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14172), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156562] = 3,
    STATE(1182), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156574] = 3,
    STATE(1184), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14176), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156586] = 3,
    STATE(5560), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14178), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156598] = 4,
    ACTIONS(14180), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14182), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5161), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156612] = 4,
    ACTIONS(14184), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14186), 1,
      aux_sym_end_function_statement_token1,
    STATE(5169), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156626] = 3,
    STATE(2286), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14188), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156638] = 3,
    ACTIONS(12803), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    STATE(6173), 2,
      sym_variable_group,
      aux_sym_namelist_statement_repeat1,
  [156650] = 3,
    STATE(5173), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14190), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156662] = 4,
    ACTIONS(14180), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14182), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5174), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156676] = 3,
    STATE(5293), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156688] = 4,
    ACTIONS(9678), 1,
      anon_sym_COMMA,
    ACTIONS(9680), 1,
      anon_sym_RPAREN,
    STATE(7187), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156702] = 3,
    STATE(5178), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156714] = 3,
    STATE(686), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14196), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156726] = 4,
    ACTIONS(14184), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14186), 1,
      aux_sym_end_function_statement_token1,
    STATE(5182), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156740] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14198), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156750] = 3,
    STATE(5201), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14200), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156762] = 4,
    ACTIONS(14180), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14182), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5204), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156776] = 3,
    STATE(5205), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14202), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156788] = 4,
    ACTIONS(14184), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14186), 1,
      aux_sym_end_function_statement_token1,
    STATE(5241), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156802] = 3,
    STATE(649), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8227), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156814] = 4,
    ACTIONS(14204), 1,
      sym__string_literal,
    ACTIONS(14206), 1,
      sym__string_literal_kind,
    STATE(5050), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156828] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14208), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156838] = 3,
    STATE(2707), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14210), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156850] = 3,
    STATE(2193), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14212), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156862] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14214), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [156876] = 3,
    STATE(5569), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14216), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156888] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13325), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156898] = 3,
    ACTIONS(7619), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7617), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [156910] = 4,
    ACTIONS(9280), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9282), 1,
      aux_sym_end_type_statement_token1,
    STATE(2719), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156924] = 3,
    STATE(2194), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14218), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156936] = 3,
    STATE(2722), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14220), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156948] = 3,
    STATE(2725), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156960] = 3,
    STATE(133), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14224), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156972] = 4,
    ACTIONS(13978), 1,
      anon_sym_COMMA,
    ACTIONS(14226), 1,
      anon_sym_RPAREN,
    STATE(7065), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [156986] = 3,
    STATE(691), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14228), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [156998] = 3,
    STATE(1570), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157010] = 3,
    STATE(2729), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14230), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157022] = 4,
    ACTIONS(9280), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9282), 1,
      aux_sym_end_type_statement_token1,
    STATE(2730), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157036] = 3,
    STATE(2762), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14232), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157048] = 3,
    STATE(2764), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14234), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157060] = 3,
    STATE(2682), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14236), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157072] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14238), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157082] = 4,
    ACTIONS(10440), 1,
      anon_sym_COMMA,
    ACTIONS(14240), 1,
      anon_sym_SLASH,
    STATE(7310), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157096] = 4,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    ACTIONS(14242), 1,
      anon_sym_COMMA,
    STATE(6908), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157110] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13270), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157120] = 4,
    ACTIONS(9570), 1,
      anon_sym_COMMA,
    ACTIONS(9592), 1,
      anon_sym_RBRACK,
    STATE(6992), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157134] = 3,
    ACTIONS(14245), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14247), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157146] = 3,
    STATE(1052), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157158] = 3,
    STATE(2697), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14251), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157170] = 3,
    STATE(2701), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14253), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157182] = 4,
    ACTIONS(14255), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14257), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4791), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157196] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9598), 1,
      anon_sym_RPAREN,
    STATE(6995), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157210] = 3,
    STATE(667), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14259), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157222] = 3,
    STATE(1066), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14261), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157234] = 4,
    ACTIONS(14263), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14265), 1,
      aux_sym_end_function_statement_token1,
    STATE(4793), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157248] = 3,
    STATE(1600), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14267), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157260] = 3,
    STATE(4796), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14269), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157272] = 3,
    STATE(889), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14271), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157284] = 4,
    ACTIONS(14255), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14257), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4797), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157298] = 4,
    ACTIONS(13708), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13710), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1067), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157312] = 3,
    STATE(4799), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14273), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157324] = 4,
    ACTIONS(14263), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14265), 1,
      aux_sym_end_function_statement_token1,
    STATE(4800), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157338] = 3,
    STATE(4802), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14275), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157350] = 4,
    ACTIONS(14255), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14257), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4803), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157364] = 3,
    STATE(4804), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14277), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157376] = 4,
    ACTIONS(14263), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14265), 1,
      aux_sym_end_function_statement_token1,
    STATE(4806), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157390] = 4,
    ACTIONS(14097), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14099), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(890), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157404] = 3,
    STATE(1080), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14279), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157416] = 3,
    STATE(1562), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13801), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157428] = 3,
    STATE(2467), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14281), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157440] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14283), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [157454] = 4,
    ACTIONS(14285), 1,
      anon_sym_COMMA,
    ACTIONS(14287), 1,
      anon_sym_RPAREN,
    STATE(6999), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157468] = 3,
    STATE(837), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14289), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157480] = 4,
    ACTIONS(13763), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13765), 1,
      aux_sym_end_function_statement_token1,
    STATE(1083), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157494] = 4,
    ACTIONS(9288), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_end_type_statement_token1,
    STATE(1569), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157508] = 3,
    STATE(2905), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14291), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157520] = 3,
    STATE(2478), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14293), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157532] = 3,
    STATE(1571), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14295), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157544] = 3,
    STATE(1572), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14297), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157556] = 4,
    ACTIONS(14299), 1,
      anon_sym_COMMA,
    ACTIONS(14301), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157570] = 3,
    STATE(2298), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14303), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157582] = 3,
    STATE(2776), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14305), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157594] = 3,
    STATE(1621), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14131), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157606] = 3,
    STATE(1578), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14307), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157618] = 4,
    ACTIONS(9288), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9290), 1,
      aux_sym_end_type_statement_token1,
    STATE(1579), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157632] = 3,
    STATE(1581), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14309), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157644] = 3,
    STATE(1582), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14311), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157656] = 4,
    ACTIONS(14107), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14109), 1,
      aux_sym_end_function_statement_token1,
    STATE(892), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157670] = 4,
    ACTIONS(9340), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9342), 1,
      aux_sym_end_type_statement_token1,
    STATE(2777), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157684] = 4,
    ACTIONS(6702), 1,
      anon_sym_LPAREN2,
    STATE(2550), 1,
      sym__argument_list,
    STATE(3428), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157698] = 3,
    STATE(1589), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14313), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157710] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14315), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157724] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13144), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157734] = 3,
    STATE(2778), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14317), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157746] = 3,
    STATE(2907), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14319), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157758] = 3,
    STATE(641), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14321), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157770] = 4,
    ACTIONS(14323), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14325), 1,
      aux_sym_end_program_statement_token2,
    STATE(995), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157784] = 3,
    STATE(1605), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14327), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157796] = 3,
    STATE(1607), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14329), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157808] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14331), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157822] = 4,
    ACTIONS(14333), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14335), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5071), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157836] = 3,
    STATE(5286), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14337), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157848] = 4,
    ACTIONS(14339), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14341), 1,
      aux_sym_end_function_statement_token1,
    STATE(5084), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157862] = 4,
    ACTIONS(14168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14170), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5075), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157876] = 3,
    STATE(1009), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14343), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157888] = 3,
    STATE(5188), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14345), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157900] = 4,
    ACTIONS(14333), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14335), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5192), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157914] = 3,
    STATE(5194), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14347), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157926] = 4,
    ACTIONS(14339), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14341), 1,
      aux_sym_end_function_statement_token1,
    STATE(5196), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157940] = 3,
    STATE(5227), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14349), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157952] = 4,
    ACTIONS(14333), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14335), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4937), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157966] = 3,
    STATE(4945), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14351), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [157978] = 4,
    ACTIONS(14339), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14341), 1,
      aux_sym_end_function_statement_token1,
    STATE(4947), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [157992] = 3,
    STATE(3022), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14353), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158004] = 3,
    STATE(2589), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14355), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158016] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14357), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158030] = 4,
    ACTIONS(9344), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9346), 1,
      aux_sym_end_type_statement_token1,
    STATE(3093), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158044] = 3,
    STATE(2633), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14359), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158056] = 3,
    STATE(3104), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14361), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158068] = 3,
    STATE(3117), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14363), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158080] = 4,
    ACTIONS(13953), 1,
      anon_sym_COMMA,
    ACTIONS(14365), 1,
      anon_sym_COLON_COLON,
    STATE(6750), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158094] = 3,
    STATE(3043), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14367), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158106] = 4,
    ACTIONS(9344), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9346), 1,
      aux_sym_end_type_statement_token1,
    STATE(2976), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158120] = 3,
    STATE(2987), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14369), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158132] = 3,
    STATE(3122), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14371), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158144] = 3,
    STATE(3062), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14373), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158156] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14375), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158170] = 4,
    ACTIONS(14377), 1,
      anon_sym_COMMA,
    ACTIONS(14379), 1,
      anon_sym_RBRACK,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158184] = 3,
    STATE(3133), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14381), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158196] = 3,
    STATE(3070), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14383), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158208] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(14385), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158222] = 3,
    STATE(1611), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13909), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158234] = 3,
    STATE(1776), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14387), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158246] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14389), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158260] = 4,
    ACTIONS(14391), 1,
      anon_sym_COMMA,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
    STATE(6634), 1,
      aux_sym__forall_control_expression_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158274] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158288] = 3,
    STATE(2781), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14397), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158300] = 4,
    ACTIONS(9352), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9354), 1,
      aux_sym_end_type_statement_token1,
    STATE(1620), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158314] = 3,
    STATE(1777), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14399), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158326] = 3,
    STATE(1622), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14401), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158338] = 3,
    STATE(1623), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14403), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158350] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9640), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158360] = 3,
    STATE(895), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14405), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158372] = 3,
    STATE(1543), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14407), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158384] = 4,
    ACTIONS(9352), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9354), 1,
      aux_sym_end_type_statement_token1,
    STATE(1560), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158398] = 3,
    STATE(1566), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14409), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158410] = 3,
    STATE(1340), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14411), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158422] = 3,
    STATE(2320), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14413), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158434] = 3,
    STATE(1448), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14415), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158446] = 3,
    STATE(2817), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158458] = 4,
    ACTIONS(14419), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14421), 1,
      aux_sym_end_module_statement_token1,
    STATE(1010), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158472] = 4,
    ACTIONS(14097), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14099), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(902), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158486] = 3,
    STATE(904), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14423), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158498] = 4,
    ACTIONS(11451), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11453), 1,
      aux_sym_end_program_statement_token2,
    STATE(868), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158512] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14425), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158522] = 4,
    ACTIONS(14107), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14109), 1,
      aux_sym_end_function_statement_token1,
    STATE(855), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158536] = 3,
    STATE(869), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14427), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158548] = 3,
    STATE(1473), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14429), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158560] = 3,
    STATE(1480), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14431), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158572] = 3,
    STATE(2543), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14433), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158584] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14435), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158598] = 4,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    ACTIONS(14437), 1,
      anon_sym_RPAREN,
    STATE(7261), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158612] = 4,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(14439), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158626] = 3,
    STATE(2546), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14441), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158638] = 4,
    ACTIONS(14443), 1,
      anon_sym_COMMA,
    ACTIONS(14445), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158652] = 4,
    ACTIONS(14447), 1,
      anon_sym_COMMA,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158666] = 3,
    STATE(870), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14451), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158678] = 4,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(14453), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158692] = 3,
    STATE(5296), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14455), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158704] = 3,
    STATE(1019), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14457), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158716] = 4,
    ACTIONS(13953), 1,
      anon_sym_COMMA,
    ACTIONS(14459), 1,
      anon_sym_COLON_COLON,
    STATE(6478), 1,
      aux_sym_derived_type_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158730] = 4,
    ACTIONS(14461), 1,
      anon_sym_COMMA,
    ACTIONS(14463), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158744] = 3,
    STATE(5275), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14465), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158756] = 3,
    STATE(2660), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14467), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158768] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14469), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158782] = 3,
    STATE(2658), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14471), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158794] = 3,
    STATE(1436), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14473), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158806] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14475), 1,
      anon_sym_RBRACK,
    STATE(7072), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158820] = 4,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    STATE(7612), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158834] = 4,
    ACTIONS(13499), 1,
      anon_sym_COMMA,
    ACTIONS(14477), 1,
      anon_sym_RPAREN,
    STATE(7140), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158848] = 3,
    STATE(601), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14479), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158860] = 3,
    STATE(754), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14481), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158872] = 3,
    STATE(4582), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14483), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158884] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14485), 1,
      anon_sym_RPAREN,
    STATE(6524), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158898] = 3,
    STATE(2142), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14487), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158910] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14489), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [158924] = 3,
    STATE(2144), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14491), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158936] = 4,
    ACTIONS(13986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13988), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4583), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158950] = 4,
    ACTIONS(14493), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14495), 1,
      aux_sym__standalone_type_qualifier_token13,
    ACTIONS(14497), 1,
      aux_sym_select_case_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [158964] = 3,
    STATE(121), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14499), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158976] = 3,
    STATE(616), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14501), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [158988] = 4,
    ACTIONS(14503), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14505), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1020), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159002] = 3,
    STATE(4585), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159014] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4962), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159028] = 3,
    STATE(2639), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159040] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14515), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159054] = 4,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    STATE(7605), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159068] = 3,
    STATE(2409), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14517), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159080] = 4,
    ACTIONS(14000), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14002), 1,
      aux_sym_end_function_statement_token1,
    STATE(4586), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159094] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14519), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159108] = 4,
    ACTIONS(13978), 1,
      anon_sym_COMMA,
    ACTIONS(14521), 1,
      anon_sym_RPAREN,
    STATE(6694), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159122] = 3,
    STATE(4975), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14523), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159134] = 3,
    STATE(1838), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14525), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159146] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14527), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159160] = 3,
    STATE(1839), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14529), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159172] = 3,
    STATE(1039), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14531), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159184] = 3,
    ACTIONS(7653), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7651), 2,
      aux_sym_enumerator_statement_token1,
      aux_sym_end_enum_statement_token1,
  [159196] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14533), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159210] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14533), 1,
      anon_sym_RBRACK,
    STATE(7120), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159224] = 3,
    STATE(2496), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14535), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159236] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14537), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159250] = 3,
    STATE(599), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14539), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159262] = 3,
    STATE(2498), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14541), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159274] = 3,
    STATE(602), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14543), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159286] = 4,
    ACTIONS(14168), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14170), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4977), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159300] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14545), 1,
      anon_sym_RPAREN,
    STATE(6651), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159314] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14547), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159328] = 3,
    STATE(547), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14549), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159340] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14551), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159354] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14553), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159368] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14555), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159382] = 3,
    STATE(554), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14557), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159394] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14559), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159408] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14561), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159422] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12724), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [159432] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14563), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159446] = 3,
    STATE(1515), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14565), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159458] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14567), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159472] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14569), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159486] = 3,
    STATE(650), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14571), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159498] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14573), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159512] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14575), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159526] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14577), 1,
      anon_sym_RPAREN,
    STATE(7304), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159540] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14579), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159554] = 3,
    STATE(680), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14581), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159566] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14583), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159580] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14585), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159594] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14587), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159608] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14589), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159622] = 3,
    STATE(4985), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14591), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159634] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14593), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159648] = 4,
    ACTIONS(13978), 1,
      anon_sym_COMMA,
    ACTIONS(14226), 1,
      anon_sym_RPAREN,
    STATE(6694), 1,
      aux_sym_associate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159662] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14595), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159676] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(4986), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159690] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14597), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159704] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14599), 1,
      anon_sym_RPAREN,
    STATE(6657), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159718] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14601), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159732] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14603), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159746] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14605), 1,
      anon_sym_RPAREN,
    STATE(6661), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159760] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14607), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159774] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14609), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159788] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14611), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159802] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14613), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159816] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14615), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159830] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14617), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159844] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14619), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159858] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14621), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [159872] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14623), 1,
      anon_sym_RPAREN,
    STATE(6668), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159886] = 3,
    STATE(129), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14625), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159898] = 3,
    STATE(147), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14627), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [159910] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14629), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159924] = 4,
    ACTIONS(14323), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14325), 1,
      aux_sym_end_program_statement_token2,
    STATE(1099), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159938] = 4,
    ACTIONS(14631), 1,
      aux_sym__standalone_type_qualifier_token7,
    ACTIONS(14633), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(14635), 1,
      aux_sym__standalone_type_qualifier_token9,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159952] = 4,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(7702), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159966] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159980] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6940), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [159994] = 3,
    STATE(5005), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160006] = 4,
    ACTIONS(14509), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14511), 1,
      aux_sym_end_module_procedure_statement_token1,
    STATE(5006), 1,
      sym_end_module_procedure_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160020] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14645), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160034] = 3,
    STATE(586), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14647), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160046] = 4,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
    ACTIONS(14649), 1,
      anon_sym_COMMA,
    STATE(7135), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160060] = 3,
    STATE(594), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14652), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160072] = 3,
    STATE(148), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14654), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160084] = 3,
    STATE(622), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14656), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160096] = 3,
    STATE(600), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14658), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160108] = 4,
    ACTIONS(14660), 1,
      anon_sym_COMMA,
    ACTIONS(14663), 1,
      anon_sym_RPAREN,
    STATE(7140), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160122] = 4,
    ACTIONS(7519), 1,
      anon_sym_LPAREN2,
    STATE(3170), 1,
      sym__argument_list,
    STATE(6917), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160136] = 3,
    STATE(683), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12643), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160148] = 4,
    ACTIONS(13708), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13710), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(1042), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160162] = 3,
    STATE(2294), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14665), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160174] = 4,
    ACTIONS(14323), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14325), 1,
      aux_sym_end_program_statement_token2,
    STATE(993), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160188] = 3,
    STATE(1521), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13507), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160200] = 3,
    STATE(605), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14667), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160212] = 3,
    STATE(569), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14669), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160224] = 3,
    STATE(1101), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8349), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160236] = 4,
    ACTIONS(13763), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13765), 1,
      aux_sym_end_function_statement_token1,
    STATE(1045), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160250] = 4,
    ACTIONS(14671), 1,
      sym_preproc_comment,
    ACTIONS(14673), 1,
      aux_sym_select_case_statement_token2,
    STATE(8094), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160264] = 3,
    STATE(4145), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14675), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160276] = 3,
    STATE(4283), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14677), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160288] = 3,
    STATE(1060), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8263), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160300] = 3,
    STATE(141), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14679), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160312] = 3,
    STATE(144), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14681), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160324] = 4,
    ACTIONS(14683), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14685), 1,
      aux_sym_end_module_statement_token1,
    STATE(1063), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160338] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14687), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160352] = 4,
    ACTIONS(14689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14691), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1065), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160366] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(7276), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160380] = 3,
    STATE(1070), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14693), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160392] = 4,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1071), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160406] = 3,
    STATE(1073), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14695), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160418] = 3,
    STATE(124), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14697), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160430] = 4,
    ACTIONS(7470), 1,
      sym__integer_literal,
    STATE(4019), 1,
      sym_statement_label,
    STATE(6489), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160444] = 4,
    ACTIONS(14683), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14685), 1,
      aux_sym_end_module_statement_token1,
    STATE(1074), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160458] = 3,
    STATE(1076), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14699), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160470] = 4,
    ACTIONS(14689), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14691), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1077), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160484] = 3,
    STATE(2893), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14701), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160496] = 4,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1093), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160510] = 3,
    STATE(1094), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14703), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160522] = 3,
    STATE(1095), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14705), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160534] = 3,
    STATE(2866), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14707), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160546] = 3,
    STATE(134), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14709), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160558] = 3,
    STATE(135), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14711), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160570] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6529), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160584] = 3,
    STATE(5300), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14713), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160596] = 3,
    STATE(139), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160608] = 4,
    ACTIONS(14717), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14719), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5052), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160622] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160636] = 3,
    STATE(123), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14723), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160648] = 4,
    ACTIONS(14725), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14727), 1,
      aux_sym_end_function_statement_token1,
    STATE(4970), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160662] = 4,
    ACTIONS(9686), 1,
      anon_sym_COMMA,
    ACTIONS(9688), 1,
      anon_sym_RBRACK,
    STATE(7248), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160676] = 3,
    STATE(145), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14729), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160688] = 3,
    STATE(146), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14731), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160700] = 3,
    STATE(4544), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14733), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160712] = 4,
    ACTIONS(9678), 1,
      anon_sym_COMMA,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
    STATE(6590), 1,
      aux_sym_case_value_range_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160726] = 4,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    ACTIONS(14739), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160740] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6604), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160754] = 4,
    ACTIONS(14741), 1,
      anon_sym_COMMA,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160768] = 3,
    STATE(5122), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14745), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160780] = 3,
    STATE(187), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14747), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160792] = 4,
    ACTIONS(14717), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14719), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5126), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160806] = 3,
    STATE(1507), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14749), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160818] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7492), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160832] = 3,
    STATE(5129), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14751), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160844] = 3,
    STATE(153), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14753), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160856] = 3,
    STATE(154), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14755), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160868] = 4,
    ACTIONS(5507), 1,
      sym__string_literal,
    ACTIONS(5509), 1,
      sym__string_literal_kind,
    STATE(7522), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160882] = 4,
    ACTIONS(14725), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14727), 1,
      aux_sym_end_function_statement_token1,
    STATE(5138), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160896] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7501), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160910] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6671), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160924] = 3,
    STATE(5242), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14757), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160936] = 4,
    ACTIONS(14717), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14719), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(5116), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160950] = 3,
    STATE(4979), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14759), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160962] = 4,
    ACTIONS(14725), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14727), 1,
      aux_sym_end_function_statement_token1,
    STATE(5008), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [160976] = 3,
    STATE(155), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14761), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [160988] = 4,
    ACTIONS(14763), 1,
      anon_sym_COMMA,
    ACTIONS(14765), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161002] = 3,
    STATE(159), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14767), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161014] = 3,
    STATE(160), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14769), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161026] = 3,
    STATE(4271), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14771), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161038] = 3,
    STATE(4591), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14773), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161050] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6728), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161064] = 4,
    ACTIONS(14775), 1,
      sym__string_literal,
    ACTIONS(14777), 1,
      sym__string_literal_kind,
    STATE(5238), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161078] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7503), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161092] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    STATE(7285), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161106] = 3,
    STATE(161), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14779), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161118] = 4,
    ACTIONS(13986), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13988), 1,
      aux_sym_end_subroutine_statement_token1,
    STATE(4592), 1,
      sym_end_subroutine_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161132] = 3,
    STATE(4593), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14781), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161144] = 4,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1055), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161158] = 3,
    STATE(165), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14783), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161170] = 3,
    STATE(166), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14785), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161182] = 3,
    STATE(4251), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14787), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161194] = 3,
    STATE(2858), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14789), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161206] = 3,
    STATE(2503), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14791), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161218] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6789), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161232] = 3,
    STATE(1058), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161244] = 3,
    STATE(167), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14795), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161256] = 4,
    ACTIONS(9250), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9264), 1,
      aux_sym_end_type_statement_token1,
    STATE(1513), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161270] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14797), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [161284] = 3,
    STATE(171), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14799), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161296] = 3,
    STATE(172), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14801), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161308] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14803), 1,
      anon_sym_RPAREN,
    STATE(6956), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161322] = 4,
    ACTIONS(14419), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14421), 1,
      aux_sym_end_module_statement_token1,
    STATE(1040), 1,
      sym_end_module_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161336] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6846), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161350] = 3,
    STATE(208), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14805), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161362] = 4,
    ACTIONS(7969), 1,
      anon_sym_LPAREN2,
    STATE(4040), 1,
      sym__argument_list,
    STATE(4053), 1,
      sym_argument_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161376] = 4,
    ACTIONS(14807), 1,
      aux_sym_included_items_token1,
    ACTIONS(14809), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(14811), 1,
      aux_sym__import_names_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161390] = 3,
    STATE(175), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14813), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161402] = 3,
    STATE(176), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14815), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161414] = 4,
    ACTIONS(14000), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14002), 1,
      aux_sym_end_function_statement_token1,
    STATE(4594), 1,
      sym_end_function_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161428] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(7001), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161442] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6900), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161456] = 4,
    ACTIONS(13304), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13306), 1,
      aux_sym_end_program_statement_token2,
    STATE(1061), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161470] = 3,
    STATE(1363), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13793), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161482] = 4,
    ACTIONS(11939), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(11941), 1,
      aux_sym_end_if_statement_token1,
    STATE(7632), 1,
      sym_end_if_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161496] = 3,
    STATE(180), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14817), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161508] = 4,
    ACTIONS(14819), 1,
      anon_sym_COMMA,
    ACTIONS(14821), 1,
      anon_sym_RBRACK,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161522] = 4,
    ACTIONS(14639), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(14641), 1,
      aux_sym_format_statement_token1,
    STATE(6947), 1,
      sym_format_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161536] = 4,
    ACTIONS(14823), 1,
      anon_sym_COMMA,
    ACTIONS(14825), 1,
      anon_sym_RPAREN,
    STATE(6753), 1,
      aux_sym_allocate_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161550] = 4,
    ACTIONS(9360), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9362), 1,
      aux_sym_end_type_statement_token1,
    STATE(2882), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161564] = 3,
    STATE(765), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14827), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161576] = 3,
    STATE(2462), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14829), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161588] = 3,
    STATE(1646), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13826), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161600] = 3,
    STATE(183), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14831), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161612] = 3,
    STATE(184), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14833), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161624] = 3,
    STATE(2779), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14835), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161636] = 3,
    STATE(2811), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14837), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161648] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14839), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161658] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13052), 3,
      anon_sym_COMMA,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [161668] = 4,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    ACTIONS(14841), 1,
      anon_sym_RPAREN,
    STATE(7286), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161682] = 3,
    ACTIONS(6752), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6748), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [161694] = 4,
    ACTIONS(13034), 1,
      sym__integer_literal,
    STATE(6542), 1,
      sym_statement_label,
    STATE(7343), 1,
      sym_statement_label_reference,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161708] = 3,
    STATE(185), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14843), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161720] = 3,
    STATE(186), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14845), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161732] = 3,
    STATE(656), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14847), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161744] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14849), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161758] = 3,
    ACTIONS(6716), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6714), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161770] = 4,
    ACTIONS(14503), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14505), 1,
      aux_sym_end_submodule_statement_token1,
    STATE(1046), 1,
      sym_end_submodule_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161784] = 4,
    ACTIONS(9692), 1,
      anon_sym_COMMA,
    ACTIONS(9694), 1,
      anon_sym_RBRACK,
    STATE(7293), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161798] = 3,
    STATE(1516), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14851), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161810] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(9696), 1,
      anon_sym_RPAREN,
    STATE(7294), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161824] = 4,
    ACTIONS(13540), 1,
      anon_sym_LPAREN2,
    ACTIONS(14853), 1,
      aux_sym_preproc_include_token2,
    STATE(7746), 1,
      sym_preproc_argument_list,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [161838] = 4,
    ACTIONS(10758), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(10764), 1,
      aux_sym_end_select_statement_token1,
    STATE(7422), 1,
      sym_end_select_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161852] = 4,
    ACTIONS(13430), 1,
      anon_sym_COMMA,
    ACTIONS(14855), 1,
      anon_sym_RPAREN,
    STATE(6462), 1,
      aux_sym_parameter_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161866] = 3,
    STATE(1445), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13542), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161878] = 3,
    STATE(2391), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14857), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161890] = 3,
    STATE(2832), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14859), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161902] = 4,
    ACTIONS(9360), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(9362), 1,
      aux_sym_end_type_statement_token1,
    STATE(2839), 1,
      sym_end_type_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161916] = 3,
    STATE(2845), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14861), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161928] = 3,
    STATE(2847), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14863), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [161940] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13202), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161950] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14865), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [161960] = 4,
    ACTIONS(14867), 1,
      anon_sym_COMMA,
    ACTIONS(14870), 1,
      anon_sym_RPAREN,
    STATE(7284), 1,
      aux_sym_implicit_statement_repeat3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161974] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(14872), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [161988] = 4,
    ACTIONS(14874), 1,
      anon_sym_COMMA,
    ACTIONS(14877), 1,
      anon_sym_RPAREN,
    STATE(7286), 1,
      aux_sym_implicit_statement_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162002] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14879), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162012] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14881), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162022] = 3,
    STATE(5284), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14883), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162034] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14885), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162044] = 4,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    ACTIONS(14887), 1,
      anon_sym_RPAREN,
    STATE(7267), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162058] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14889), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162068] = 4,
    ACTIONS(14891), 1,
      anon_sym_COMMA,
    ACTIONS(14893), 1,
      anon_sym_RBRACK,
    STATE(6506), 1,
      aux_sym_coarray_index_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162082] = 4,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    ACTIONS(14895), 1,
      anon_sym_RPAREN,
    STATE(6525), 1,
      aux_sym__argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162096] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14897), 1,
      anon_sym_RBRACK,
    STATE(6787), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162110] = 4,
    ACTIONS(13407), 1,
      anon_sym_COMMA,
    ACTIONS(14897), 1,
      anon_sym_RBRACK,
    STATE(6788), 1,
      aux_sym_coarray_index_repeat2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162124] = 3,
    STATE(2132), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14899), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162136] = 4,
    ACTIONS(14901), 1,
      anon_sym_COMMA,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    STATE(7298), 1,
      aux_sym__io_arguments_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162150] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14906), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [162160] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14908), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162170] = 4,
    ACTIONS(10326), 1,
      anon_sym_COMMA,
    ACTIONS(14910), 1,
      anon_sym_RPAREN,
    STATE(6861), 1,
      aux_sym_equivalence_set_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162184] = 3,
    STATE(2793), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14912), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162196] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9869), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [162206] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162220] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14916), 3,
      sym__external_end_of_statement,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
  [162230] = 4,
    ACTIONS(10887), 1,
      anon_sym_COMMA,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162244] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5487), 3,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_COLON,
  [162254] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14920), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162264] = 3,
    STATE(4531), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7579), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162276] = 4,
    ACTIONS(14922), 1,
      anon_sym_COMMA,
    ACTIONS(14925), 1,
      anon_sym_SLASH,
    STATE(7310), 1,
      aux_sym_data_value_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162290] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14920), 3,
      sym__external_end_of_statement,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [162300] = 4,
    ACTIONS(14927), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_RPAREN,
    STATE(6944), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162314] = 4,
    ACTIONS(14931), 1,
      anon_sym_COMMA,
    ACTIONS(14934), 1,
      anon_sym_RPAREN,
    STATE(7313), 1,
      aux_sym_concurrent_header_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162328] = 4,
    ACTIONS(14323), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(14325), 1,
      aux_sym_end_program_statement_token2,
    STATE(964), 1,
      sym_end_program_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162342] = 4,
    ACTIONS(13556), 1,
      anon_sym_COMMA,
    ACTIONS(14936), 1,
      anon_sym_RPAREN,
    STATE(6908), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162356] = 3,
    STATE(548), 1,
      sym__end_of_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14938), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162368] = 3,
    ACTIONS(14940), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14942), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162379] = 3,
    ACTIONS(14944), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14946), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162390] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14948), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162399] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14950), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162408] = 3,
    ACTIONS(14952), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14954), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162419] = 3,
    ACTIONS(14956), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14958), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162430] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6960), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162439] = 3,
    ACTIONS(14960), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14962), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162450] = 3,
    ACTIONS(14964), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14966), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162461] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14968), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162470] = 3,
    ACTIONS(14051), 1,
      anon_sym_RPAREN,
    ACTIONS(14970), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162481] = 3,
    ACTIONS(14972), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14974), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162492] = 3,
    ACTIONS(14976), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14978), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162503] = 3,
    ACTIONS(14980), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14982), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162514] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14984), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162523] = 3,
    ACTIONS(14986), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14988), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162534] = 3,
    ACTIONS(14990), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(14992), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162545] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14994), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162554] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6639), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162565] = 3,
    ACTIONS(14998), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15000), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162576] = 3,
    ACTIONS(15002), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15004), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162587] = 3,
    ACTIONS(15006), 1,
      aux_sym_language_binding_token1,
    STATE(6798), 1,
      sym_language_binding,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162598] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162607] = 3,
    ACTIONS(15010), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15012), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162618] = 3,
    ACTIONS(15014), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15016), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162629] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162638] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15018), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162647] = 3,
    ACTIONS(15020), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15022), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162658] = 3,
    ACTIONS(15024), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15026), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162669] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6640), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162680] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15028), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162689] = 3,
    ACTIONS(15030), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15032), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162700] = 3,
    ACTIONS(15034), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15036), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162711] = 3,
    ACTIONS(15038), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162722] = 3,
    ACTIONS(15040), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15042), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162733] = 3,
    ACTIONS(15044), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15046), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162744] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15048), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162753] = 3,
    ACTIONS(15050), 1,
      anon_sym_RPAREN,
    ACTIONS(15052), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162764] = 3,
    ACTIONS(15054), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15056), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162775] = 3,
    ACTIONS(15058), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15060), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162786] = 3,
    ACTIONS(15062), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15064), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162797] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7192), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162806] = 3,
    ACTIONS(15066), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15068), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162817] = 3,
    ACTIONS(15070), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15072), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162828] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15074), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162837] = 3,
    ACTIONS(15076), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15078), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162848] = 3,
    ACTIONS(15080), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15082), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162859] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15084), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162868] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15086), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162877] = 3,
    ACTIONS(15088), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15090), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162888] = 3,
    ACTIONS(15092), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15094), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162899] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15096), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162908] = 3,
    ACTIONS(15098), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15100), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162919] = 3,
    ACTIONS(15102), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15104), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162930] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15106), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [162939] = 3,
    ACTIONS(15108), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15110), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162950] = 3,
    ACTIONS(15112), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15114), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162961] = 3,
    ACTIONS(15116), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15118), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [162972] = 3,
    ACTIONS(9670), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(9672), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [162983] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13869), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [162992] = 3,
    ACTIONS(15120), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15122), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163003] = 3,
    ACTIONS(15124), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15126), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163014] = 3,
    ACTIONS(15128), 1,
      aux_sym_implicit_range_token1,
    STATE(7026), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163025] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15130), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163034] = 3,
    ACTIONS(15132), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15134), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163045] = 3,
    ACTIONS(15136), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15138), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163056] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15140), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163065] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15142), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163074] = 3,
    ACTIONS(15144), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15146), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163085] = 3,
    ACTIONS(15148), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15150), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163096] = 3,
    ACTIONS(15152), 1,
      anon_sym_LBRACK,
    STATE(4050), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163107] = 3,
    ACTIONS(15154), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15156), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163118] = 3,
    ACTIONS(15158), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15160), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163129] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15162), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163138] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15164), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163147] = 3,
    ACTIONS(15166), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15168), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163158] = 3,
    ACTIONS(15170), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15172), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163169] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15174), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163178] = 3,
    ACTIONS(15176), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15178), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163189] = 3,
    ACTIONS(15180), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15182), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163200] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15184), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163209] = 3,
    ACTIONS(15186), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15188), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163220] = 3,
    ACTIONS(15190), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15192), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163231] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15194), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163240] = 3,
    ACTIONS(15196), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15198), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163251] = 3,
    ACTIONS(15200), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15202), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163262] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5921), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163273] = 3,
    ACTIONS(15204), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15206), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163284] = 3,
    ACTIONS(15208), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15210), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163295] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15212), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163304] = 3,
    ACTIONS(15214), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15216), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163315] = 3,
    ACTIONS(15218), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15220), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163326] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163335] = 3,
    ACTIONS(15224), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15226), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163346] = 3,
    ACTIONS(15228), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15230), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163357] = 3,
    ACTIONS(15232), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15234), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163368] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5828), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163379] = 3,
    ACTIONS(15236), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15238), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163390] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [163399] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5853), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163410] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15240), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163419] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8417), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163428] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12677), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163437] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5854), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163448] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15242), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163457] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15244), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163466] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15246), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163475] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15248), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163484] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15250), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163493] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15252), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163502] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15254), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [163511] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6890), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163522] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15248), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163531] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15256), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163540] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15258), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163549] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(12677), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163558] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15248), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163567] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15260), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163576] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15262), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163585] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15264), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163594] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15266), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [163603] = 3,
    ACTIONS(15268), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15270), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163614] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15272), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163623] = 3,
    ACTIONS(15274), 1,
      anon_sym_RPAREN,
    ACTIONS(15276), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163634] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15278), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [163643] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15280), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163652] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15282), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [163661] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15284), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [163670] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14663), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [163679] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15286), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163688] = 3,
    ACTIONS(15288), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15290), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163699] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13757), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [163708] = 3,
    ACTIONS(4285), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163719] = 3,
    ACTIONS(15292), 1,
      anon_sym_LPAREN2,
    ACTIONS(15294), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163730] = 3,
    ACTIONS(15296), 1,
      anon_sym_LPAREN2,
    ACTIONS(15298), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163741] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6928), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163750] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15300), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163759] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163768] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6801), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163779] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15302), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163788] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15304), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163797] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15306), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163806] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15308), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163815] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15310), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163824] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5958), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163835] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(8523), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163844] = 3,
    ACTIONS(13117), 1,
      anon_sym_LPAREN2,
    STATE(7859), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163855] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15312), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163864] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15314), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163873] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5858), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163884] = 3,
    ACTIONS(4285), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [163895] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15316), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163904] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15318), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [163913] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15320), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163922] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15322), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163931] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11715), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163940] = 3,
    ACTIONS(15324), 1,
      anon_sym_LPAREN2,
    STATE(6416), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163951] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15326), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163960] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15328), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163969] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15330), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [163978] = 3,
    ACTIONS(15332), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(15334), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [163989] = 3,
    ACTIONS(15336), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15338), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164000] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15340), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [164009] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15342), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164018] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15344), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164027] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(5513), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164036] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15346), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164045] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15348), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164054] = 3,
    ACTIONS(15350), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15352), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164065] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13206), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164074] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15354), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164083] = 3,
    ACTIONS(15356), 1,
      anon_sym_LPAREN2,
    ACTIONS(15358), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164094] = 3,
    ACTIONS(15360), 1,
      anon_sym_LPAREN2,
    ACTIONS(15362), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164105] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9999), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164114] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164123] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15364), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164132] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15366), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [164141] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15368), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [164150] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15370), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164159] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15372), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164168] = 3,
    ACTIONS(15374), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15376), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164179] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6780), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164190] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9534), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164199] = 3,
    ACTIONS(15378), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15380), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164210] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15382), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164219] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15384), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164228] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15386), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164237] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15388), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164246] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15390), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164255] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6972), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164264] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15392), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164273] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5837), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164284] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6748), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164295] = 3,
    ACTIONS(15394), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15396), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164306] = 3,
    ACTIONS(15398), 1,
      anon_sym_LPAREN2,
    ACTIONS(15400), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164317] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15402), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164326] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15404), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164335] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15406), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164344] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164353] = 3,
    ACTIONS(13117), 1,
      anon_sym_LPAREN2,
    STATE(7857), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164364] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15408), 2,
      aux_sym_end_program_statement_token1,
      aux_sym_enumerator_statement_token1,
  [164373] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15410), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164382] = 3,
    ACTIONS(15128), 1,
      aux_sym_implicit_range_token1,
    STATE(7652), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164393] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15412), 2,
      aux_sym_implicit_statement_token3,
      aux_sym_implicit_statement_token4,
  [164402] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6587), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164413] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10017), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164422] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13921), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164431] = 3,
    ACTIONS(7767), 1,
      anon_sym_LPAREN2,
    STATE(7400), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164442] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15414), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164451] = 3,
    ACTIONS(15416), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15418), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164462] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15420), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164471] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15422), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164480] = 3,
    ACTIONS(15424), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15426), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164491] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15428), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164500] = 3,
    ACTIONS(15430), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15432), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164511] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(6968), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164520] = 3,
    ACTIONS(15434), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15436), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164531] = 3,
    ACTIONS(15438), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15440), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164542] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15442), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [164551] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13414), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164560] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164569] = 3,
    ACTIONS(15444), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15446), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164580] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6867), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164591] = 3,
    ACTIONS(15448), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15450), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164602] = 3,
    ACTIONS(15452), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15454), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164613] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164622] = 3,
    ACTIONS(15458), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15460), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164633] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6631), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164644] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164653] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5798), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164664] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9971), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164673] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15462), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164682] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15464), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164691] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15466), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164700] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15468), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164709] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164718] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(7016), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164727] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15470), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164736] = 3,
    ACTIONS(15472), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15474), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164747] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11249), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164756] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15476), 2,
      aux_sym_defined_io_procedure_token3,
      aux_sym_defined_io_procedure_token4,
  [164765] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15478), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164774] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(10991), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164783] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15480), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164792] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15482), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164801] = 3,
    ACTIONS(15128), 1,
      aux_sym_implicit_range_token1,
    STATE(6718), 1,
      sym_implicit_range,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164812] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11039), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164821] = 3,
    ACTIONS(15484), 1,
      anon_sym_COMMA,
    ACTIONS(15486), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164832] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15488), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164841] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15490), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164850] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15492), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [164859] = 3,
    ACTIONS(15494), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15496), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164870] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164879] = 3,
    ACTIONS(13444), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(8142), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164890] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15498), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164899] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15500), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164908] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15502), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164917] = 3,
    ACTIONS(15504), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15506), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164928] = 3,
    ACTIONS(15508), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15510), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [164939] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6815), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164950] = 3,
    ACTIONS(10180), 1,
      aux_sym__intrinsic_type_token5,
    ACTIONS(10182), 1,
      aux_sym__intrinsic_type_token7,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164961] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15512), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164970] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15514), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164979] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15516), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [164988] = 3,
    ACTIONS(15518), 1,
      anon_sym_COMMA,
    ACTIONS(15520), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [164999] = 3,
    ACTIONS(15522), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15524), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165010] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165019] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165028] = 3,
    ACTIONS(14673), 1,
      aux_sym_select_case_statement_token2,
    STATE(7791), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165039] = 3,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
    ACTIONS(15528), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165050] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15530), 2,
      aux_sym_use_statement_token2,
      aux_sym_use_statement_token3,
  [165059] = 3,
    ACTIONS(15532), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15534), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165070] = 3,
    ACTIONS(15536), 1,
      anon_sym_LPAREN2,
    STATE(8564), 1,
      sym__statement_function_arg_list,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165081] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15538), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165090] = 3,
    ACTIONS(4293), 1,
      anon_sym_LPAREN2,
    ACTIONS(4295), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165101] = 3,
    ACTIONS(15540), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15542), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165112] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15544), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165121] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15546), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165130] = 3,
    ACTIONS(15548), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15550), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165141] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15552), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165150] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15554), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165159] = 3,
    ACTIONS(15556), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15558), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165170] = 3,
    ACTIONS(13117), 1,
      anon_sym_LPAREN2,
    STATE(8034), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165181] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15456), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165190] = 3,
    ACTIONS(10192), 1,
      anon_sym_LPAREN2,
    STATE(2851), 1,
      sym__io_arguments,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165201] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15560), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165210] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15562), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165219] = 3,
    ACTIONS(15564), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15566), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165230] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15568), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165239] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15570), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165248] = 3,
    ACTIONS(7767), 1,
      anon_sym_LPAREN2,
    STATE(7316), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165259] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15572), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165268] = 3,
    ACTIONS(15574), 1,
      anon_sym_LPAREN2,
    ACTIONS(15576), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165279] = 3,
    ACTIONS(13704), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(13706), 1,
      aux_sym_end_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165290] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15578), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165299] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15580), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165308] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165317] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165326] = 3,
    ACTIONS(15584), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15586), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165337] = 3,
    ACTIONS(15588), 1,
      anon_sym_RPAREN,
    ACTIONS(15590), 1,
      aux_sym__standalone_type_qualifier_token8,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165348] = 3,
    ACTIONS(15592), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15594), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165359] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11129), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165368] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15596), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165377] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15598), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [165386] = 3,
    ACTIONS(15600), 1,
      anon_sym_LPAREN2,
    STATE(768), 1,
      sym_parenthesized_expression,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165397] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15222), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165406] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165415] = 3,
    ACTIONS(15602), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165426] = 3,
    ACTIONS(4297), 1,
      anon_sym_LPAREN2,
    ACTIONS(4299), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165437] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15606), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165446] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5907), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165457] = 3,
    ACTIONS(15608), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15610), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165468] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165477] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11023), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165486] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15614), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165495] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15616), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165504] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15618), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165513] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165522] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15620), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165531] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11047), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165540] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15526), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165549] = 3,
    ACTIONS(14996), 1,
      anon_sym_LPAREN2,
    STATE(6864), 1,
      sym_selector,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165560] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15622), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [165569] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15624), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165578] = 3,
    ACTIONS(15626), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15628), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165589] = 3,
    ACTIONS(15630), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15632), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165600] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15634), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165609] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15636), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165618] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165627] = 3,
    ACTIONS(9630), 1,
      anon_sym_LBRACK,
    STATE(3422), 1,
      sym_coarray_index,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165638] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(13233), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165647] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15638), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165656] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15640), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165665] = 3,
    ACTIONS(15642), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15644), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165676] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15646), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165685] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14877), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165694] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5818), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165705] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15648), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165714] = 3,
    ACTIONS(15324), 1,
      anon_sym_LPAREN2,
    STATE(6486), 1,
      sym_equivalence_set,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165725] = 3,
    ACTIONS(13604), 1,
      aux_sym_select_case_statement_token2,
    STATE(5819), 1,
      sym_case_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165736] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15650), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165745] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15652), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [165754] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [165763] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15654), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165772] = 3,
    ACTIONS(15656), 1,
      anon_sym_COMMA,
    ACTIONS(15658), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165783] = 3,
    ACTIONS(14887), 1,
      anon_sym_RPAREN,
    ACTIONS(15660), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165794] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15662), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165803] = 3,
    ACTIONS(13818), 1,
      aux_sym__standalone_type_qualifier_token13,
    STATE(5925), 1,
      sym_rank_statement,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165814] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14904), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165823] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [165832] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15666), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165841] = 3,
    ACTIONS(15668), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15670), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165852] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15672), 2,
      aux_sym__kind_token1,
      aux_sym__kind_token2,
  [165861] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(9748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [165870] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15674), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165879] = 3,
    ACTIONS(15676), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [165890] = 3,
    ACTIONS(15678), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15680), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165901] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15682), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165910] = 3,
    ACTIONS(15684), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15686), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165921] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15688), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165930] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15690), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165939] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15692), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165948] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15694), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165957] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15688), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165966] = 3,
    ACTIONS(15696), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15698), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [165977] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15688), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [165986] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15700), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [165995] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15702), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166004] = 3,
    ACTIONS(15704), 1,
      anon_sym_COMMA,
    STATE(6143), 1,
      aux_sym_cuda_kernel_argument_list_repeat1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166015] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15706), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166024] = 3,
    ACTIONS(4289), 1,
      anon_sym_LPAREN2,
    ACTIONS(4291), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166035] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15708), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166044] = 3,
    ACTIONS(15710), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15712), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166055] = 3,
    ACTIONS(5511), 1,
      aux_sym_end_program_statement_token1,
    ACTIONS(5513), 1,
      aux_sym_end_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166066] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15714), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166075] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15716), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166084] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166093] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15718), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166102] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15720), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166111] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(14934), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [166120] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15722), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166129] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(11023), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166138] = 3,
    ACTIONS(15724), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(15726), 1,
      sym_preproc_arg,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166149] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15008), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166158] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15728), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166167] = 2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
    ACTIONS(15730), 2,
      sym__external_end_of_statement,
      anon_sym_SEMI,
  [166176] = 3,
    ACTIONS(15732), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(15734), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166187] = 3,
    ACTIONS(15732), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(15736), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166198] = 3,
    ACTIONS(15732), 1,
      aux_sym_concurrent_locality_token3,
    ACTIONS(15738), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166209] = 2,
    ACTIONS(15740), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166217] = 2,
    ACTIONS(15742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166225] = 2,
    ACTIONS(15744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166233] = 2,
    ACTIONS(15746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166241] = 2,
    ACTIONS(15748), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166249] = 2,
    ACTIONS(15750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166257] = 2,
    ACTIONS(15752), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166265] = 2,
    ACTIONS(15754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166273] = 2,
    ACTIONS(15756), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166281] = 2,
    ACTIONS(15758), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166289] = 2,
    ACTIONS(15760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166297] = 2,
    ACTIONS(15762), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166305] = 2,
    ACTIONS(15764), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166313] = 2,
    ACTIONS(7561), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166321] = 2,
    ACTIONS(15766), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166329] = 2,
    ACTIONS(15768), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166337] = 2,
    ACTIONS(15770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166345] = 2,
    ACTIONS(15772), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166353] = 2,
    ACTIONS(15774), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166361] = 2,
    ACTIONS(14469), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166369] = 2,
    ACTIONS(15776), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166377] = 2,
    ACTIONS(15778), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166385] = 2,
    ACTIONS(15780), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166393] = 2,
    ACTIONS(15782), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166401] = 2,
    ACTIONS(15784), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166409] = 2,
    ACTIONS(15786), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166417] = 2,
    ACTIONS(15788), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166425] = 2,
    ACTIONS(15790), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166433] = 2,
    ACTIONS(15792), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166441] = 2,
    ACTIONS(15794), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166449] = 2,
    ACTIONS(15796), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166457] = 2,
    ACTIONS(15798), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166465] = 2,
    ACTIONS(15800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166473] = 2,
    ACTIONS(15802), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166481] = 2,
    ACTIONS(15804), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166489] = 2,
    ACTIONS(15806), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166497] = 2,
    ACTIONS(15808), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166505] = 2,
    ACTIONS(15810), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166513] = 2,
    ACTIONS(15812), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166521] = 2,
    ACTIONS(15814), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166529] = 2,
    ACTIONS(11055), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166537] = 2,
    ACTIONS(15816), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166545] = 2,
    ACTIONS(15818), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166553] = 2,
    ACTIONS(15820), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166561] = 2,
    ACTIONS(15822), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166569] = 2,
    ACTIONS(15824), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166577] = 2,
    ACTIONS(15826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166585] = 2,
    ACTIONS(15828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166593] = 2,
    ACTIONS(15830), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166601] = 2,
    ACTIONS(15832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166609] = 2,
    ACTIONS(15834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166617] = 2,
    ACTIONS(15836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166625] = 2,
    ACTIONS(15838), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166633] = 2,
    ACTIONS(15840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166641] = 2,
    ACTIONS(15842), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166649] = 2,
    ACTIONS(15844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166657] = 2,
    ACTIONS(15846), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166665] = 2,
    ACTIONS(15848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166673] = 2,
    ACTIONS(15850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166681] = 2,
    ACTIONS(15852), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166689] = 2,
    ACTIONS(14489), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166697] = 2,
    ACTIONS(15854), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166705] = 2,
    ACTIONS(15856), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166713] = 2,
    ACTIONS(15858), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166721] = 2,
    ACTIONS(15860), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166729] = 2,
    ACTIONS(15862), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166737] = 2,
    ACTIONS(15864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166745] = 2,
    ACTIONS(15866), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166753] = 2,
    ACTIONS(15868), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166761] = 2,
    ACTIONS(15870), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166769] = 2,
    ACTIONS(15872), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166777] = 2,
    ACTIONS(15874), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166785] = 2,
    ACTIONS(15876), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166793] = 2,
    ACTIONS(15878), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166801] = 2,
    ACTIONS(15880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166809] = 2,
    ACTIONS(15882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166817] = 2,
    ACTIONS(15884), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166825] = 2,
    ACTIONS(15886), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166833] = 2,
    ACTIONS(15888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166841] = 2,
    ACTIONS(15890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166849] = 2,
    ACTIONS(15892), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166857] = 2,
    ACTIONS(15894), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166865] = 2,
    ACTIONS(15896), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166873] = 2,
    ACTIONS(15898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166881] = 2,
    ACTIONS(15900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166889] = 2,
    ACTIONS(15902), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166897] = 2,
    ACTIONS(15904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166905] = 2,
    ACTIONS(15906), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166913] = 2,
    ACTIONS(15908), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166921] = 2,
    ACTIONS(14127), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166929] = 2,
    ACTIONS(15910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166937] = 2,
    ACTIONS(15912), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166945] = 2,
    ACTIONS(14515), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166953] = 2,
    ACTIONS(15914), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166961] = 2,
    ACTIONS(15916), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166969] = 2,
    ACTIONS(15918), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166977] = 2,
    ACTIONS(15920), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [166985] = 2,
    ACTIONS(15922), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [166993] = 2,
    ACTIONS(15924), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167001] = 2,
    ACTIONS(15926), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167009] = 2,
    ACTIONS(15928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167017] = 2,
    ACTIONS(15930), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167025] = 2,
    ACTIONS(15932), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167033] = 2,
    ACTIONS(15934), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167041] = 2,
    ACTIONS(15936), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167049] = 2,
    ACTIONS(15938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167057] = 2,
    ACTIONS(15940), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167065] = 2,
    ACTIONS(15942), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167073] = 2,
    ACTIONS(15944), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167081] = 2,
    ACTIONS(15946), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167089] = 2,
    ACTIONS(15948), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167097] = 2,
    ACTIONS(15950), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167105] = 2,
    ACTIONS(15952), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167113] = 2,
    ACTIONS(15954), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167121] = 2,
    ACTIONS(15956), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167129] = 2,
    ACTIONS(15958), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167137] = 2,
    ACTIONS(15960), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167145] = 2,
    ACTIONS(15962), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167153] = 2,
    ACTIONS(15964), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167161] = 2,
    ACTIONS(15966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167169] = 2,
    ACTIONS(15968), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167177] = 2,
    ACTIONS(15970), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167185] = 2,
    ACTIONS(15972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167193] = 2,
    ACTIONS(15974), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167201] = 2,
    ACTIONS(14527), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167209] = 2,
    ACTIONS(15976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167217] = 2,
    ACTIONS(15978), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167225] = 2,
    ACTIONS(15980), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167233] = 2,
    ACTIONS(15982), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167241] = 2,
    ACTIONS(15984), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167249] = 2,
    ACTIONS(15986), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167257] = 2,
    ACTIONS(15988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167265] = 2,
    ACTIONS(15990), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167273] = 2,
    ACTIONS(15992), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167281] = 2,
    ACTIONS(15994), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167289] = 2,
    ACTIONS(15996), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167297] = 2,
    ACTIONS(15998), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167305] = 2,
    ACTIONS(16000), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167313] = 2,
    ACTIONS(16002), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167321] = 2,
    ACTIONS(16004), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167329] = 2,
    ACTIONS(16006), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167337] = 2,
    ACTIONS(16008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167345] = 2,
    ACTIONS(16010), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167353] = 2,
    ACTIONS(16012), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167361] = 2,
    ACTIONS(16014), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167369] = 2,
    ACTIONS(16016), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167377] = 2,
    ACTIONS(16018), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167385] = 2,
    ACTIONS(16020), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167393] = 2,
    ACTIONS(16022), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167401] = 2,
    ACTIONS(16024), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167409] = 2,
    ACTIONS(16026), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167417] = 2,
    ACTIONS(16028), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167425] = 2,
    ACTIONS(16030), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167433] = 2,
    ACTIONS(16032), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167441] = 2,
    ACTIONS(16034), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167449] = 2,
    ACTIONS(16036), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167457] = 2,
    ACTIONS(14537), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167465] = 2,
    ACTIONS(16038), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167473] = 2,
    ACTIONS(16040), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167481] = 2,
    ACTIONS(16042), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167489] = 2,
    ACTIONS(16044), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167497] = 2,
    ACTIONS(16046), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167505] = 2,
    ACTIONS(16048), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167513] = 2,
    ACTIONS(16050), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167521] = 2,
    ACTIONS(16052), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167529] = 2,
    ACTIONS(16054), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167537] = 2,
    ACTIONS(16056), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167545] = 2,
    ACTIONS(16058), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167553] = 2,
    ACTIONS(16060), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167561] = 2,
    ACTIONS(16062), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167569] = 2,
    ACTIONS(16064), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167577] = 2,
    ACTIONS(16066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167585] = 2,
    ACTIONS(16068), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167593] = 2,
    ACTIONS(16070), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167601] = 2,
    ACTIONS(16072), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167609] = 2,
    ACTIONS(16074), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167617] = 2,
    ACTIONS(16076), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167625] = 2,
    ACTIONS(16078), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167633] = 2,
    ACTIONS(13327), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167641] = 2,
    ACTIONS(16080), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167649] = 2,
    ACTIONS(16082), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167657] = 2,
    ACTIONS(16084), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167665] = 2,
    ACTIONS(16086), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167673] = 2,
    ACTIONS(16088), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167681] = 2,
    ACTIONS(16090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167689] = 2,
    ACTIONS(16092), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167697] = 2,
    ACTIONS(16094), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167705] = 2,
    ACTIONS(14547), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167713] = 2,
    ACTIONS(16096), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167721] = 2,
    ACTIONS(16098), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167729] = 2,
    ACTIONS(16100), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167737] = 2,
    ACTIONS(16102), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167745] = 2,
    ACTIONS(16104), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167753] = 2,
    ACTIONS(16106), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167761] = 2,
    ACTIONS(16108), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167769] = 2,
    ACTIONS(16110), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167777] = 2,
    ACTIONS(16112), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167785] = 2,
    ACTIONS(16114), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167793] = 2,
    ACTIONS(16116), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167801] = 2,
    ACTIONS(16118), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167809] = 2,
    ACTIONS(16120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167817] = 2,
    ACTIONS(16122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167825] = 2,
    ACTIONS(16124), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167833] = 2,
    ACTIONS(14551), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167841] = 2,
    ACTIONS(16126), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167849] = 2,
    ACTIONS(16128), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167857] = 2,
    ACTIONS(16130), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167865] = 2,
    ACTIONS(16132), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167873] = 2,
    ACTIONS(16134), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167881] = 2,
    ACTIONS(16136), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167889] = 2,
    ACTIONS(16138), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167897] = 2,
    ACTIONS(16140), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167905] = 2,
    ACTIONS(16142), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167913] = 2,
    ACTIONS(16144), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167921] = 2,
    ACTIONS(16146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167929] = 2,
    ACTIONS(16148), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167937] = 2,
    ACTIONS(16150), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167945] = 2,
    ACTIONS(16152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167953] = 2,
    ACTIONS(16154), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167961] = 2,
    ACTIONS(14553), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167969] = 2,
    ACTIONS(10162), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167977] = 2,
    ACTIONS(16156), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [167985] = 2,
    ACTIONS(16158), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [167993] = 2,
    ACTIONS(16160), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168001] = 2,
    ACTIONS(16162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168009] = 2,
    ACTIONS(16164), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168017] = 2,
    ACTIONS(16166), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168025] = 2,
    ACTIONS(16168), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168033] = 2,
    ACTIONS(16170), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168041] = 2,
    ACTIONS(16172), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168049] = 2,
    ACTIONS(16174), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168057] = 2,
    ACTIONS(16176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168065] = 2,
    ACTIONS(16178), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168073] = 2,
    ACTIONS(16180), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168081] = 2,
    ACTIONS(16182), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168089] = 2,
    ACTIONS(14555), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168097] = 2,
    ACTIONS(16184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168105] = 2,
    ACTIONS(16186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168113] = 2,
    ACTIONS(16188), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168121] = 2,
    ACTIONS(16190), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168129] = 2,
    ACTIONS(16192), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168137] = 2,
    ACTIONS(16194), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168145] = 2,
    ACTIONS(16196), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168153] = 2,
    ACTIONS(14559), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168161] = 2,
    ACTIONS(16198), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168169] = 2,
    ACTIONS(16200), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168177] = 2,
    ACTIONS(16202), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168185] = 2,
    ACTIONS(16204), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168193] = 2,
    ACTIONS(16206), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168201] = 2,
    ACTIONS(16208), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168209] = 2,
    ACTIONS(16210), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168217] = 2,
    ACTIONS(14561), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168225] = 2,
    ACTIONS(16212), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168233] = 2,
    ACTIONS(16214), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168241] = 2,
    ACTIONS(16216), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168249] = 2,
    ACTIONS(16218), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168257] = 2,
    ACTIONS(16220), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168265] = 2,
    ACTIONS(16222), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168273] = 2,
    ACTIONS(16224), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168281] = 2,
    ACTIONS(14563), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168289] = 2,
    ACTIONS(16226), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168297] = 2,
    ACTIONS(16228), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168305] = 2,
    ACTIONS(16230), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168313] = 2,
    ACTIONS(16232), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168321] = 2,
    ACTIONS(16234), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168329] = 2,
    ACTIONS(16236), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168337] = 2,
    ACTIONS(16238), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168345] = 2,
    ACTIONS(14567), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168353] = 2,
    ACTIONS(16240), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168361] = 2,
    ACTIONS(16242), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168369] = 2,
    ACTIONS(16244), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168377] = 2,
    ACTIONS(16246), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168385] = 2,
    ACTIONS(16248), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168393] = 2,
    ACTIONS(16250), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168401] = 2,
    ACTIONS(16252), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168409] = 2,
    ACTIONS(14569), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168417] = 2,
    ACTIONS(16254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168425] = 2,
    ACTIONS(16256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168433] = 2,
    ACTIONS(16258), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168441] = 2,
    ACTIONS(16260), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168449] = 2,
    ACTIONS(16262), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168457] = 2,
    ACTIONS(16264), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168465] = 2,
    ACTIONS(16266), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168473] = 2,
    ACTIONS(14573), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168481] = 2,
    ACTIONS(16268), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168489] = 2,
    ACTIONS(16270), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168497] = 2,
    ACTIONS(16272), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168505] = 2,
    ACTIONS(16274), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168513] = 2,
    ACTIONS(16276), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168521] = 2,
    ACTIONS(16278), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168529] = 2,
    ACTIONS(16280), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168537] = 2,
    ACTIONS(14575), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168545] = 2,
    ACTIONS(16282), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168553] = 2,
    ACTIONS(16284), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168561] = 2,
    ACTIONS(16286), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168569] = 2,
    ACTIONS(16288), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168577] = 2,
    ACTIONS(13905), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168585] = 2,
    ACTIONS(16290), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168593] = 2,
    ACTIONS(16292), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168601] = 2,
    ACTIONS(14579), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168609] = 2,
    ACTIONS(16294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168617] = 2,
    ACTIONS(16296), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168625] = 2,
    ACTIONS(16298), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168633] = 2,
    ACTIONS(16300), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168641] = 2,
    ACTIONS(16302), 1,
      aux_sym_implicit_statement_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168649] = 2,
    ACTIONS(16304), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168657] = 2,
    ACTIONS(16306), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168665] = 2,
    ACTIONS(14583), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168673] = 2,
    ACTIONS(16308), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168681] = 2,
    ACTIONS(16310), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168689] = 2,
    ACTIONS(16312), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168697] = 2,
    ACTIONS(16314), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168705] = 2,
    ACTIONS(16316), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168713] = 2,
    ACTIONS(16318), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168721] = 2,
    ACTIONS(16320), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168729] = 2,
    ACTIONS(14585), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168737] = 2,
    ACTIONS(16322), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168745] = 2,
    ACTIONS(16324), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168753] = 2,
    ACTIONS(16326), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168761] = 2,
    ACTIONS(16328), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168769] = 2,
    ACTIONS(16330), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168777] = 2,
    ACTIONS(16332), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168785] = 2,
    ACTIONS(16334), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168793] = 2,
    ACTIONS(14587), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168801] = 2,
    ACTIONS(16336), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168809] = 2,
    ACTIONS(16338), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168817] = 2,
    ACTIONS(16340), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168825] = 2,
    ACTIONS(16342), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168833] = 2,
    ACTIONS(16344), 1,
      aux_sym__block_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168841] = 2,
    ACTIONS(16346), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168849] = 2,
    ACTIONS(13538), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168857] = 2,
    ACTIONS(14589), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168865] = 2,
    ACTIONS(16348), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168873] = 2,
    ACTIONS(14214), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168881] = 2,
    ACTIONS(16350), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168889] = 2,
    ACTIONS(16352), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168897] = 2,
    ACTIONS(12934), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168905] = 2,
    ACTIONS(16354), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168913] = 2,
    ACTIONS(16356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168921] = 2,
    ACTIONS(14593), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168929] = 2,
    ACTIONS(16358), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168937] = 2,
    ACTIONS(16360), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168945] = 2,
    ACTIONS(16362), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168953] = 2,
    ACTIONS(16364), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168961] = 2,
    ACTIONS(16366), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168969] = 2,
    ACTIONS(16368), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168977] = 2,
    ACTIONS(16370), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [168985] = 2,
    ACTIONS(14595), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [168993] = 2,
    ACTIONS(16372), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169001] = 2,
    ACTIONS(16374), 1,
      aux_sym_enum_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169009] = 2,
    ACTIONS(16376), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169017] = 2,
    ACTIONS(16378), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169025] = 2,
    ACTIONS(16380), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169033] = 2,
    ACTIONS(16382), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169041] = 2,
    ACTIONS(16384), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169049] = 2,
    ACTIONS(14597), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169057] = 2,
    ACTIONS(16386), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169065] = 2,
    ACTIONS(16388), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169073] = 2,
    ACTIONS(16390), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169081] = 2,
    ACTIONS(16392), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169089] = 2,
    ACTIONS(16394), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169097] = 2,
    ACTIONS(16396), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169105] = 2,
    ACTIONS(16398), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169113] = 2,
    ACTIONS(14601), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169121] = 2,
    ACTIONS(16400), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169129] = 2,
    ACTIONS(16402), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169137] = 2,
    ACTIONS(16404), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169145] = 2,
    ACTIONS(16406), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169153] = 2,
    ACTIONS(16408), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169161] = 2,
    ACTIONS(16410), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169169] = 2,
    ACTIONS(16412), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169177] = 2,
    ACTIONS(14603), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169185] = 2,
    ACTIONS(16414), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169193] = 2,
    ACTIONS(16416), 1,
      aux_sym_enumeration_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169201] = 2,
    ACTIONS(16418), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169209] = 2,
    ACTIONS(16420), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169217] = 2,
    ACTIONS(16422), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169225] = 2,
    ACTIONS(16424), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169233] = 2,
    ACTIONS(16426), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169241] = 2,
    ACTIONS(14607), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169249] = 2,
    ACTIONS(16428), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169257] = 2,
    ACTIONS(16430), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169265] = 2,
    ACTIONS(16432), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169273] = 2,
    ACTIONS(16434), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169281] = 2,
    ACTIONS(16436), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169289] = 2,
    ACTIONS(16438), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169297] = 2,
    ACTIONS(16440), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169305] = 2,
    ACTIONS(14609), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169313] = 2,
    ACTIONS(16442), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169321] = 2,
    ACTIONS(16444), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169329] = 2,
    ACTIONS(16446), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169337] = 2,
    ACTIONS(16448), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169345] = 2,
    ACTIONS(16450), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169353] = 2,
    ACTIONS(16452), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169361] = 2,
    ACTIONS(16454), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169369] = 2,
    ACTIONS(14611), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169377] = 2,
    ACTIONS(16456), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169385] = 2,
    ACTIONS(16458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169393] = 2,
    ACTIONS(16460), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169401] = 2,
    ACTIONS(16462), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169409] = 2,
    ACTIONS(16464), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169417] = 2,
    ACTIONS(16466), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169425] = 2,
    ACTIONS(16468), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169433] = 2,
    ACTIONS(14613), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169441] = 2,
    ACTIONS(16470), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169449] = 2,
    ACTIONS(16472), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169457] = 2,
    ACTIONS(16474), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169465] = 2,
    ACTIONS(16476), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169473] = 2,
    ACTIONS(16478), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169481] = 2,
    ACTIONS(16480), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169489] = 2,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169497] = 2,
    ACTIONS(14615), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169505] = 2,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169513] = 2,
    ACTIONS(16484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169521] = 2,
    ACTIONS(16486), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169529] = 2,
    ACTIONS(16488), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169537] = 2,
    ACTIONS(16490), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169545] = 2,
    ACTIONS(16492), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169553] = 2,
    ACTIONS(16494), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169561] = 2,
    ACTIONS(14617), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169569] = 2,
    ACTIONS(16496), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169577] = 2,
    ACTIONS(16498), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169585] = 2,
    ACTIONS(16500), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169593] = 2,
    ACTIONS(16502), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169601] = 2,
    ACTIONS(16504), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169609] = 2,
    ACTIONS(16506), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169617] = 2,
    ACTIONS(16508), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169625] = 2,
    ACTIONS(14621), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169633] = 2,
    ACTIONS(16510), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169641] = 2,
    ACTIONS(16512), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169649] = 2,
    ACTIONS(16514), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169657] = 2,
    ACTIONS(16516), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169665] = 2,
    ACTIONS(16518), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169673] = 2,
    ACTIONS(16520), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169681] = 2,
    ACTIONS(16522), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169689] = 2,
    ACTIONS(16524), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169697] = 2,
    ACTIONS(16526), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169705] = 2,
    ACTIONS(16528), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169713] = 2,
    ACTIONS(16530), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169721] = 2,
    ACTIONS(16532), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169729] = 2,
    ACTIONS(16534), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169737] = 2,
    ACTIONS(16536), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169745] = 2,
    ACTIONS(16538), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169753] = 2,
    ACTIONS(16540), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169761] = 2,
    ACTIONS(16542), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169769] = 2,
    ACTIONS(16544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169777] = 2,
    ACTIONS(16546), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169785] = 2,
    ACTIONS(10172), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169793] = 2,
    ACTIONS(16548), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169801] = 2,
    ACTIONS(16550), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169809] = 2,
    ACTIONS(16552), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169817] = 2,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169825] = 2,
    ACTIONS(16556), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169833] = 2,
    ACTIONS(16558), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169841] = 2,
    ACTIONS(16560), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169849] = 2,
    ACTIONS(16562), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169857] = 2,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169865] = 2,
    ACTIONS(16566), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169873] = 2,
    ACTIONS(16568), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169881] = 2,
    ACTIONS(10198), 1,
      aux_sym__inline_where_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169889] = 2,
    ACTIONS(16570), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169897] = 2,
    ACTIONS(16572), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169905] = 2,
    ACTIONS(16574), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169913] = 2,
    ACTIONS(16576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169921] = 2,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169929] = 2,
    ACTIONS(16580), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169937] = 2,
    ACTIONS(16582), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169945] = 2,
    ACTIONS(16584), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169953] = 2,
    ACTIONS(16586), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169961] = 2,
    ACTIONS(16588), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169969] = 2,
    ACTIONS(16590), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [169977] = 2,
    ACTIONS(16592), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169985] = 2,
    ACTIONS(16594), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [169993] = 2,
    ACTIONS(16596), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170001] = 2,
    ACTIONS(16598), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170009] = 2,
    ACTIONS(16600), 1,
      ts_builtin_sym_end,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170017] = 2,
    ACTIONS(16602), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170025] = 2,
    ACTIONS(16604), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170033] = 2,
    ACTIONS(16606), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170041] = 2,
    ACTIONS(16608), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170049] = 2,
    ACTIONS(11035), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170057] = 2,
    ACTIONS(16610), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170065] = 2,
    ACTIONS(16612), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170073] = 2,
    ACTIONS(16614), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170081] = 2,
    ACTIONS(16616), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170089] = 2,
    ACTIONS(16618), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170097] = 2,
    ACTIONS(10137), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170105] = 2,
    ACTIONS(16620), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170113] = 2,
    ACTIONS(16622), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170121] = 2,
    ACTIONS(16624), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170129] = 2,
    ACTIONS(16626), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170137] = 2,
    ACTIONS(10174), 1,
      aux_sym_coarray_statement_token10,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170145] = 2,
    ACTIONS(16628), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170153] = 2,
    ACTIONS(16630), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170161] = 2,
    ACTIONS(16632), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170169] = 2,
    ACTIONS(16634), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170177] = 2,
    ACTIONS(16636), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170185] = 2,
    ACTIONS(16638), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170193] = 2,
    ACTIONS(16640), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170201] = 2,
    ACTIONS(16642), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170209] = 2,
    ACTIONS(16644), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170217] = 2,
    ACTIONS(16646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170225] = 2,
    ACTIONS(16648), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170233] = 2,
    ACTIONS(16650), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170241] = 2,
    ACTIONS(16652), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170249] = 2,
    ACTIONS(16654), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170257] = 2,
    ACTIONS(16656), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170265] = 2,
    ACTIONS(16658), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170273] = 2,
    ACTIONS(16660), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170281] = 2,
    ACTIONS(16662), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170289] = 2,
    ACTIONS(16664), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170297] = 2,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170305] = 2,
    ACTIONS(16666), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170313] = 2,
    ACTIONS(16668), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170321] = 2,
    ACTIONS(16670), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170329] = 2,
    ACTIONS(16672), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170337] = 2,
    ACTIONS(16674), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170345] = 2,
    ACTIONS(16676), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170353] = 2,
    ACTIONS(16678), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170361] = 2,
    ACTIONS(16680), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170369] = 2,
    ACTIONS(16682), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170377] = 2,
    ACTIONS(16684), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170385] = 2,
    ACTIONS(16686), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170393] = 2,
    ACTIONS(16688), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170401] = 2,
    ACTIONS(16690), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170409] = 2,
    ACTIONS(16692), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170417] = 2,
    ACTIONS(15050), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170425] = 2,
    ACTIONS(16694), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170433] = 2,
    ACTIONS(16696), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170441] = 2,
    ACTIONS(16698), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170449] = 2,
    ACTIONS(16700), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170457] = 2,
    ACTIONS(16702), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170465] = 2,
    ACTIONS(16704), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170473] = 2,
    ACTIONS(16706), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170481] = 2,
    ACTIONS(14283), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170489] = 2,
    ACTIONS(16708), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170497] = 2,
    ACTIONS(16710), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170505] = 2,
    ACTIONS(16712), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170513] = 2,
    ACTIONS(16714), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170521] = 2,
    ACTIONS(16716), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170529] = 2,
    ACTIONS(16718), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170537] = 2,
    ACTIONS(16720), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170545] = 2,
    ACTIONS(16722), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170553] = 2,
    ACTIONS(16724), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170561] = 2,
    ACTIONS(16726), 1,
      aux_sym_keyword_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170569] = 2,
    ACTIONS(16728), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170577] = 2,
    ACTIONS(16730), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170585] = 2,
    ACTIONS(16732), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170593] = 2,
    ACTIONS(13315), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170601] = 2,
    ACTIONS(16734), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170609] = 2,
    ACTIONS(16736), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170617] = 2,
    ACTIONS(16738), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170625] = 2,
    ACTIONS(16740), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170633] = 2,
    ACTIONS(16742), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170641] = 2,
    ACTIONS(16744), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170649] = 2,
    ACTIONS(16746), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170657] = 2,
    ACTIONS(16748), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170665] = 2,
    ACTIONS(16750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170673] = 2,
    ACTIONS(16752), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170681] = 2,
    ACTIONS(8297), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170689] = 2,
    ACTIONS(16754), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170697] = 2,
    ACTIONS(16756), 1,
      aux_sym_user_defined_operator_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170705] = 2,
    ACTIONS(16758), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170713] = 2,
    ACTIONS(16760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170721] = 2,
    ACTIONS(16762), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170729] = 2,
    ACTIONS(16764), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170737] = 2,
    ACTIONS(16766), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170745] = 2,
    ACTIONS(16768), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170753] = 2,
    ACTIONS(16770), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170761] = 2,
    ACTIONS(16772), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170769] = 2,
    ACTIONS(13315), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170777] = 2,
    ACTIONS(16774), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170785] = 2,
    ACTIONS(11205), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170793] = 2,
    ACTIONS(10141), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170801] = 2,
    ACTIONS(16776), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170809] = 2,
    ACTIONS(16778), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170817] = 2,
    ACTIONS(16780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170825] = 2,
    ACTIONS(16782), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170833] = 2,
    ACTIONS(16784), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170841] = 2,
    ACTIONS(16786), 1,
      aux_sym_select_case_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170849] = 2,
    ACTIONS(16788), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170857] = 2,
    ACTIONS(16790), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170865] = 2,
    ACTIONS(10075), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170873] = 2,
    ACTIONS(16792), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170881] = 2,
    ACTIONS(16794), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170889] = 2,
    ACTIONS(13315), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170897] = 2,
    ACTIONS(16796), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170905] = 2,
    ACTIONS(16798), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170913] = 2,
    ACTIONS(16800), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170921] = 2,
    ACTIONS(16802), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170929] = 2,
    ACTIONS(16804), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170937] = 2,
    ACTIONS(16806), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170945] = 2,
    ACTIONS(16808), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170953] = 2,
    ACTIONS(16810), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170961] = 2,
    ACTIONS(16812), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170969] = 2,
    ACTIONS(16814), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170977] = 2,
    ACTIONS(16816), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [170985] = 2,
    ACTIONS(16818), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [170993] = 2,
    ACTIONS(16820), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171001] = 2,
    ACTIONS(16822), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171009] = 2,
    ACTIONS(16824), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171017] = 2,
    ACTIONS(16826), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171025] = 2,
    ACTIONS(14879), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171033] = 2,
    ACTIONS(16828), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171041] = 2,
    ACTIONS(16830), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171049] = 2,
    ACTIONS(14881), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171057] = 2,
    ACTIONS(16832), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171065] = 2,
    ACTIONS(14885), 1,
      anon_sym_EQ_GT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171073] = 2,
    ACTIONS(16834), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171081] = 2,
    ACTIONS(16836), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171089] = 2,
    ACTIONS(16838), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171097] = 2,
    ACTIONS(16840), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171105] = 2,
    ACTIONS(16842), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171113] = 2,
    ACTIONS(16844), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171121] = 2,
    ACTIONS(16846), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171129] = 2,
    ACTIONS(16848), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171137] = 2,
    ACTIONS(16850), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171145] = 2,
    ACTIONS(16852), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171153] = 2,
    ACTIONS(16854), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171161] = 2,
    ACTIONS(16856), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171169] = 2,
    ACTIONS(16858), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171177] = 2,
    ACTIONS(16860), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171185] = 2,
    ACTIONS(16862), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171193] = 2,
    ACTIONS(16864), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171201] = 2,
    ACTIONS(16866), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171209] = 2,
    ACTIONS(16868), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171217] = 2,
    ACTIONS(16870), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171225] = 2,
    ACTIONS(16872), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171233] = 2,
    ACTIONS(16874), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171241] = 2,
    ACTIONS(16876), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171249] = 2,
    ACTIONS(16878), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171257] = 2,
    ACTIONS(16880), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171265] = 2,
    ACTIONS(16882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171273] = 2,
    ACTIONS(16884), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171281] = 2,
    ACTIONS(16886), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171289] = 2,
    ACTIONS(16888), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171297] = 2,
    ACTIONS(16890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171305] = 2,
    ACTIONS(16892), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171313] = 2,
    ACTIONS(16894), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171321] = 2,
    ACTIONS(16896), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171329] = 2,
    ACTIONS(16898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171337] = 2,
    ACTIONS(16900), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171345] = 2,
    ACTIONS(16902), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171353] = 2,
    ACTIONS(16904), 1,
      aux_sym_implicit_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171361] = 2,
    ACTIONS(16906), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171369] = 2,
    ACTIONS(16908), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171377] = 2,
    ACTIONS(16910), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171385] = 2,
    ACTIONS(16912), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171393] = 2,
    ACTIONS(16914), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171401] = 2,
    ACTIONS(16916), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171409] = 2,
    ACTIONS(16918), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171417] = 2,
    ACTIONS(16920), 1,
      aux_sym_implicit_range_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171425] = 2,
    ACTIONS(16922), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171433] = 2,
    ACTIONS(16924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171441] = 2,
    ACTIONS(13386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171449] = 2,
    ACTIONS(16926), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171457] = 2,
    ACTIONS(16928), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171465] = 2,
    ACTIONS(16930), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171473] = 2,
    ACTIONS(16932), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171481] = 2,
    ACTIONS(16934), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171489] = 2,
    ACTIONS(16936), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171497] = 2,
    ACTIONS(10143), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171505] = 2,
    ACTIONS(16938), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171513] = 2,
    ACTIONS(16940), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171521] = 2,
    ACTIONS(16942), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171529] = 2,
    ACTIONS(13797), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171537] = 2,
    ACTIONS(16944), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171545] = 2,
    ACTIONS(16946), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171553] = 2,
    ACTIONS(10861), 1,
      aux_sym_module_procedure_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171561] = 2,
    ACTIONS(16948), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171569] = 2,
    ACTIONS(16950), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171577] = 2,
    ACTIONS(14020), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171585] = 2,
    ACTIONS(16952), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171593] = 2,
    ACTIONS(16954), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171601] = 2,
    ACTIONS(16956), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171609] = 2,
    ACTIONS(16958), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171617] = 2,
    ACTIONS(16960), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171625] = 2,
    ACTIONS(16962), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171633] = 2,
    ACTIONS(16964), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171641] = 2,
    ACTIONS(16966), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171649] = 2,
    ACTIONS(16968), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171657] = 2,
    ACTIONS(16970), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171665] = 2,
    ACTIONS(16972), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171673] = 2,
    ACTIONS(16974), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171681] = 2,
    ACTIONS(16976), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171689] = 2,
    ACTIONS(16978), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171697] = 2,
    ACTIONS(16980), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171705] = 2,
    ACTIONS(16982), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171713] = 2,
    ACTIONS(16984), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171721] = 2,
    ACTIONS(16986), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171729] = 2,
    ACTIONS(16988), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171737] = 2,
    ACTIONS(16990), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171745] = 2,
    ACTIONS(16992), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171753] = 2,
    ACTIONS(16994), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171761] = 2,
    ACTIONS(16996), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171769] = 2,
    ACTIONS(14357), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171777] = 2,
    ACTIONS(16998), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171785] = 2,
    ACTIONS(17000), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171793] = 2,
    ACTIONS(17002), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171801] = 2,
    ACTIONS(17004), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171809] = 2,
    ACTIONS(17006), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171817] = 2,
    ACTIONS(13302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171825] = 2,
    ACTIONS(17008), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171833] = 2,
    ACTIONS(17010), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171841] = 2,
    ACTIONS(17012), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171849] = 2,
    ACTIONS(17014), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171857] = 2,
    ACTIONS(17016), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171865] = 2,
    ACTIONS(17018), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171873] = 2,
    ACTIONS(17020), 1,
      anon_sym_DOT,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171881] = 2,
    ACTIONS(17022), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171889] = 2,
    ACTIONS(17024), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171897] = 2,
    ACTIONS(17026), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171905] = 2,
    ACTIONS(17028), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171913] = 2,
    ACTIONS(17030), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171921] = 2,
    ACTIONS(17032), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171929] = 2,
    ACTIONS(17034), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171937] = 2,
    ACTIONS(14797), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171945] = 2,
    ACTIONS(17036), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171953] = 2,
    ACTIONS(17038), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171961] = 2,
    ACTIONS(17040), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171969] = 2,
    ACTIONS(17042), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171977] = 2,
    ACTIONS(17044), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [171985] = 2,
    ACTIONS(17046), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [171993] = 2,
    ACTIONS(17048), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172001] = 2,
    ACTIONS(17050), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172009] = 2,
    ACTIONS(17052), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172017] = 2,
    ACTIONS(17054), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172025] = 2,
    ACTIONS(17056), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172033] = 2,
    ACTIONS(17058), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172041] = 2,
    ACTIONS(17060), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172049] = 2,
    ACTIONS(17062), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172057] = 2,
    ACTIONS(17064), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172065] = 2,
    ACTIONS(17066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172073] = 2,
    ACTIONS(17068), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172081] = 2,
    ACTIONS(17070), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172089] = 2,
    ACTIONS(17072), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172097] = 2,
    ACTIONS(17074), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172105] = 2,
    ACTIONS(17076), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172113] = 2,
    ACTIONS(17078), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172121] = 2,
    ACTIONS(17080), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172129] = 2,
    ACTIONS(17082), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172137] = 2,
    ACTIONS(17084), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172145] = 2,
    ACTIONS(17086), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172153] = 2,
    ACTIONS(17088), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172161] = 2,
    ACTIONS(17090), 1,
      anon_sym_SLASH_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172169] = 2,
    ACTIONS(17092), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172177] = 2,
    ACTIONS(17094), 1,
      anon_sym_RBRACK,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172185] = 2,
    ACTIONS(17096), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172193] = 2,
    ACTIONS(17098), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172201] = 2,
    ACTIONS(17100), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172209] = 2,
    ACTIONS(17102), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172217] = 2,
    ACTIONS(17104), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172225] = 2,
    ACTIONS(17106), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172233] = 2,
    ACTIONS(17108), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172241] = 2,
    ACTIONS(17110), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172249] = 2,
    ACTIONS(17112), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172257] = 2,
    ACTIONS(17114), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172265] = 2,
    ACTIONS(17116), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172273] = 2,
    ACTIONS(17118), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172281] = 2,
    ACTIONS(17120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172289] = 2,
    ACTIONS(17122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172297] = 2,
    ACTIONS(17124), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172305] = 2,
    ACTIONS(17126), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172313] = 2,
    ACTIONS(17128), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172321] = 2,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172329] = 2,
    ACTIONS(17132), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172337] = 2,
    ACTIONS(17134), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172345] = 2,
    ACTIONS(17136), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172353] = 2,
    ACTIONS(17138), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172361] = 2,
    ACTIONS(17140), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172369] = 2,
    ACTIONS(17142), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172377] = 2,
    ACTIONS(17144), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172385] = 2,
    ACTIONS(17146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172393] = 2,
    ACTIONS(17148), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172401] = 2,
    ACTIONS(17150), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172409] = 2,
    ACTIONS(17152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172417] = 2,
    ACTIONS(17154), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172425] = 2,
    ACTIONS(17156), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172433] = 2,
    ACTIONS(17158), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172441] = 2,
    ACTIONS(17160), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172449] = 2,
    ACTIONS(17162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172457] = 2,
    ACTIONS(17164), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172465] = 2,
    ACTIONS(17166), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172473] = 2,
    ACTIONS(17168), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172481] = 2,
    ACTIONS(10366), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172489] = 2,
    ACTIONS(17170), 1,
      aux_sym_coarray_statement_token5,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172497] = 2,
    ACTIONS(17172), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172505] = 2,
    ACTIONS(17174), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172513] = 2,
    ACTIONS(17176), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172521] = 2,
    ACTIONS(13386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172529] = 2,
    ACTIONS(17178), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172537] = 2,
    ACTIONS(17180), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172545] = 2,
    ACTIONS(15588), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172553] = 2,
    ACTIONS(17182), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172561] = 2,
    ACTIONS(17184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172569] = 2,
    ACTIONS(17186), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172577] = 2,
    ACTIONS(17188), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172585] = 2,
    ACTIONS(17190), 1,
      anon_sym_SLASH,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172593] = 2,
    ACTIONS(17192), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172601] = 2,
    ACTIONS(17194), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172609] = 2,
    ACTIONS(17196), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172617] = 2,
    ACTIONS(14389), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172625] = 2,
    ACTIONS(17198), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172633] = 2,
    ACTIONS(17200), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172641] = 2,
    ACTIONS(17202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172649] = 2,
    ACTIONS(17204), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172657] = 2,
    ACTIONS(17206), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172665] = 2,
    ACTIONS(17208), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172673] = 2,
    ACTIONS(17210), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172681] = 2,
    ACTIONS(17212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172689] = 2,
    ACTIONS(17214), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172697] = 2,
    ACTIONS(17216), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172705] = 2,
    ACTIONS(17218), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172713] = 2,
    ACTIONS(17220), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172721] = 2,
    ACTIONS(17222), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172729] = 2,
    ACTIONS(17224), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172737] = 2,
    ACTIONS(17226), 1,
      anon_sym__,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172745] = 2,
    ACTIONS(17228), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172753] = 2,
    ACTIONS(17230), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172761] = 2,
    ACTIONS(17232), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172769] = 2,
    ACTIONS(17234), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172777] = 2,
    ACTIONS(17236), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172785] = 2,
    ACTIONS(17238), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172793] = 2,
    ACTIONS(17240), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172801] = 2,
    ACTIONS(17242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172809] = 2,
    ACTIONS(17244), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172817] = 2,
    ACTIONS(17246), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172825] = 2,
    ACTIONS(17248), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172833] = 2,
    ACTIONS(17250), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172841] = 2,
    ACTIONS(17252), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172849] = 2,
    ACTIONS(17254), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172857] = 2,
    ACTIONS(17256), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172865] = 2,
    ACTIONS(17258), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172873] = 2,
    ACTIONS(17260), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172881] = 2,
    ACTIONS(17262), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172889] = 2,
    ACTIONS(17264), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172897] = 2,
    ACTIONS(17266), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172905] = 2,
    ACTIONS(17268), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172913] = 2,
    ACTIONS(17270), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172921] = 2,
    ACTIONS(10188), 1,
      aux_sym__inline_if_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172929] = 2,
    ACTIONS(17272), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172937] = 2,
    ACTIONS(17274), 1,
      aux_sym_operator_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172945] = 2,
    ACTIONS(17276), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172953] = 2,
    ACTIONS(17278), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172961] = 2,
    ACTIONS(17280), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172969] = 2,
    ACTIONS(17282), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172977] = 2,
    ACTIONS(17284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [172985] = 2,
    ACTIONS(17286), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [172993] = 2,
    ACTIONS(17288), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173001] = 2,
    ACTIONS(17290), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173009] = 2,
    ACTIONS(17292), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173017] = 2,
    ACTIONS(17294), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173025] = 2,
    ACTIONS(17296), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173033] = 2,
    ACTIONS(17298), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173041] = 2,
    ACTIONS(17300), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173049] = 2,
    ACTIONS(17302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173057] = 2,
    ACTIONS(17304), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173065] = 2,
    ACTIONS(17306), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173073] = 2,
    ACTIONS(17308), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173081] = 2,
    ACTIONS(10131), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173089] = 2,
    ACTIONS(17310), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173097] = 2,
    ACTIONS(17312), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173105] = 2,
    ACTIONS(17314), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173113] = 2,
    ACTIONS(17316), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173121] = 2,
    ACTIONS(17318), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173129] = 2,
    ACTIONS(17320), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173137] = 2,
    ACTIONS(17322), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173145] = 2,
    ACTIONS(17324), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173153] = 2,
    ACTIONS(17326), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173161] = 2,
    ACTIONS(17328), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173169] = 2,
    ACTIONS(17330), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173177] = 2,
    ACTIONS(17332), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173185] = 2,
    ACTIONS(17334), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173193] = 2,
    ACTIONS(17336), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173201] = 2,
    ACTIONS(17338), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173209] = 2,
    ACTIONS(17340), 1,
      anon_sym_STAR,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173217] = 2,
    ACTIONS(17342), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173225] = 2,
    ACTIONS(17344), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173233] = 2,
    ACTIONS(17346), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173241] = 2,
    ACTIONS(17348), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173249] = 2,
    ACTIONS(17350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173257] = 2,
    ACTIONS(17352), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173265] = 2,
    ACTIONS(17354), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173273] = 2,
    ACTIONS(17356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173281] = 2,
    ACTIONS(13386), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173289] = 2,
    ACTIONS(17358), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173297] = 2,
    ACTIONS(17360), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173305] = 2,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173313] = 2,
    ACTIONS(17364), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173321] = 2,
    ACTIONS(17366), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173329] = 2,
    ACTIONS(17368), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173337] = 2,
    ACTIONS(17370), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173345] = 2,
    ACTIONS(17372), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173353] = 2,
    ACTIONS(17374), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173361] = 2,
    ACTIONS(17376), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173369] = 2,
    ACTIONS(17378), 1,
      anon_sym_COMMA,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173377] = 2,
    ACTIONS(17380), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173385] = 2,
    ACTIONS(17382), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173393] = 2,
    ACTIONS(17384), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173401] = 2,
    ACTIONS(17386), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173409] = 2,
    ACTIONS(17388), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173417] = 2,
    ACTIONS(17390), 1,
      anon_sym_LF,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173425] = 2,
    ACTIONS(17392), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173433] = 2,
    ACTIONS(17394), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173441] = 2,
    ACTIONS(8323), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173449] = 2,
    ACTIONS(10149), 1,
      anon_sym_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173457] = 2,
    ACTIONS(17396), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173465] = 2,
    ACTIONS(17398), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173473] = 2,
    ACTIONS(17400), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173481] = 2,
    ACTIONS(17402), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173489] = 2,
    ACTIONS(17404), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173497] = 2,
    ACTIONS(17406), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173505] = 2,
    ACTIONS(17408), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173513] = 2,
    ACTIONS(17410), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173521] = 2,
    ACTIONS(17412), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173529] = 2,
    ACTIONS(13667), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173537] = 2,
    ACTIONS(10176), 1,
      aux_sym_do_loop_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173545] = 2,
    ACTIONS(17414), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173553] = 2,
    ACTIONS(17416), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173561] = 2,
    ACTIONS(17418), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173569] = 2,
    ACTIONS(17420), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173577] = 2,
    ACTIONS(17422), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173585] = 2,
    ACTIONS(14435), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173593] = 2,
    ACTIONS(17424), 1,
      sym__string_literal,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173601] = 2,
    ACTIONS(14853), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173609] = 2,
    ACTIONS(17426), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173617] = 2,
    ACTIONS(17428), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173625] = 2,
    ACTIONS(17430), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173633] = 2,
    ACTIONS(17432), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173641] = 2,
    ACTIONS(10215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173649] = 2,
    ACTIONS(17434), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173657] = 2,
    ACTIONS(17436), 1,
      aux_sym_stop_statement_token3,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173665] = 2,
    ACTIONS(14083), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173673] = 2,
    ACTIONS(17438), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173681] = 2,
    ACTIONS(17440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173689] = 2,
    ACTIONS(17442), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173697] = 2,
    ACTIONS(17444), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173705] = 2,
    ACTIONS(17446), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173713] = 2,
    ACTIONS(17448), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173721] = 2,
    ACTIONS(17450), 1,
      aux_sym_interface_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173729] = 2,
    ACTIONS(17452), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173737] = 2,
    ACTIONS(17454), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173745] = 2,
    ACTIONS(17456), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173753] = 2,
    ACTIONS(17458), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173761] = 2,
    ACTIONS(17460), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173769] = 2,
    ACTIONS(17462), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173777] = 2,
    ACTIONS(17464), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173785] = 2,
    ACTIONS(17466), 1,
      anon_sym_EQ,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173793] = 2,
    ACTIONS(17468), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173801] = 2,
    ACTIONS(17470), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173809] = 2,
    ACTIONS(17472), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173817] = 2,
    ACTIONS(17474), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173825] = 2,
    ACTIONS(17476), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173833] = 2,
    ACTIONS(17478), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173841] = 2,
    ACTIONS(17480), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173849] = 2,
    ACTIONS(17482), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173857] = 2,
    ACTIONS(17484), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173865] = 2,
    ACTIONS(17486), 1,
      aux_sym_preproc_def_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173873] = 2,
    ACTIONS(17488), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173881] = 2,
    ACTIONS(17490), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173889] = 2,
    ACTIONS(17492), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173897] = 2,
    ACTIONS(17494), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173905] = 2,
    ACTIONS(17496), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173913] = 2,
    ACTIONS(17498), 1,
      anon_sym_RPAREN,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173921] = 2,
    ACTIONS(11015), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [173929] = 2,
    ACTIONS(17500), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173937] = 2,
    ACTIONS(17502), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173945] = 2,
    ACTIONS(17504), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173953] = 2,
    ACTIONS(17506), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173961] = 2,
    ACTIONS(17508), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173969] = 2,
    ACTIONS(17510), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173977] = 2,
    ACTIONS(17512), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173985] = 2,
    ACTIONS(17514), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [173993] = 2,
    ACTIONS(17516), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174001] = 2,
    ACTIONS(17518), 1,
      anon_sym_LPAREN2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174009] = 2,
    ACTIONS(17520), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174017] = 2,
    ACTIONS(17522), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174025] = 2,
    ACTIONS(17524), 1,
      aux_sym_type_statement_token1,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
  [174033] = 2,
    ACTIONS(7549), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3), 2,
      anon_sym_AMP,
      sym_comment,
  [174041] = 2,
    ACTIONS(17526), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(21), 2,
      anon_sym_AMP,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3404)] = 0,
  [SMALL_STATE(3405)] = 91,
  [SMALL_STATE(3406)] = 182,
  [SMALL_STATE(3407)] = 253,
  [SMALL_STATE(3408)] = 344,
  [SMALL_STATE(3409)] = 435,
  [SMALL_STATE(3410)] = 506,
  [SMALL_STATE(3411)] = 597,
  [SMALL_STATE(3412)] = 688,
  [SMALL_STATE(3413)] = 779,
  [SMALL_STATE(3414)] = 870,
  [SMALL_STATE(3415)] = 961,
  [SMALL_STATE(3416)] = 1050,
  [SMALL_STATE(3417)] = 1145,
  [SMALL_STATE(3418)] = 1232,
  [SMALL_STATE(3419)] = 1327,
  [SMALL_STATE(3420)] = 1398,
  [SMALL_STATE(3421)] = 1489,
  [SMALL_STATE(3422)] = 1560,
  [SMALL_STATE(3423)] = 1631,
  [SMALL_STATE(3424)] = 1726,
  [SMALL_STATE(3425)] = 1817,
  [SMALL_STATE(3426)] = 1904,
  [SMALL_STATE(3427)] = 1995,
  [SMALL_STATE(3428)] = 2066,
  [SMALL_STATE(3429)] = 2137,
  [SMALL_STATE(3430)] = 2224,
  [SMALL_STATE(3431)] = 2319,
  [SMALL_STATE(3432)] = 2410,
  [SMALL_STATE(3433)] = 2501,
  [SMALL_STATE(3434)] = 2572,
  [SMALL_STATE(3435)] = 2663,
  [SMALL_STATE(3436)] = 2754,
  [SMALL_STATE(3437)] = 2825,
  [SMALL_STATE(3438)] = 2911,
  [SMALL_STATE(3439)] = 2997,
  [SMALL_STATE(3440)] = 3083,
  [SMALL_STATE(3441)] = 3169,
  [SMALL_STATE(3442)] = 3255,
  [SMALL_STATE(3443)] = 3343,
  [SMALL_STATE(3444)] = 3429,
  [SMALL_STATE(3445)] = 3515,
  [SMALL_STATE(3446)] = 3601,
  [SMALL_STATE(3447)] = 3689,
  [SMALL_STATE(3448)] = 3781,
  [SMALL_STATE(3449)] = 3873,
  [SMALL_STATE(3450)] = 3959,
  [SMALL_STATE(3451)] = 4045,
  [SMALL_STATE(3452)] = 4119,
  [SMALL_STATE(3453)] = 4205,
  [SMALL_STATE(3454)] = 4291,
  [SMALL_STATE(3455)] = 4376,
  [SMALL_STATE(3456)] = 4449,
  [SMALL_STATE(3457)] = 4520,
  [SMALL_STATE(3458)] = 4602,
  [SMALL_STATE(3459)] = 4688,
  [SMALL_STATE(3460)] = 4760,
  [SMALL_STATE(3461)] = 4846,
  [SMALL_STATE(3462)] = 4928,
  [SMALL_STATE(3463)] = 4996,
  [SMALL_STATE(3464)] = 5080,
  [SMALL_STATE(3465)] = 5166,
  [SMALL_STATE(3466)] = 5234,
  [SMALL_STATE(3467)] = 5302,
  [SMALL_STATE(3468)] = 5384,
  [SMALL_STATE(3469)] = 5466,
  [SMALL_STATE(3470)] = 5552,
  [SMALL_STATE(3471)] = 5638,
  [SMALL_STATE(3472)] = 5720,
  [SMALL_STATE(3473)] = 5802,
  [SMALL_STATE(3474)] = 5888,
  [SMALL_STATE(3475)] = 5956,
  [SMALL_STATE(3476)] = 6042,
  [SMALL_STATE(3477)] = 6110,
  [SMALL_STATE(3478)] = 6192,
  [SMALL_STATE(3479)] = 6274,
  [SMALL_STATE(3480)] = 6360,
  [SMALL_STATE(3481)] = 6446,
  [SMALL_STATE(3482)] = 6528,
  [SMALL_STATE(3483)] = 6610,
  [SMALL_STATE(3484)] = 6692,
  [SMALL_STATE(3485)] = 6774,
  [SMALL_STATE(3486)] = 6856,
  [SMALL_STATE(3487)] = 6924,
  [SMALL_STATE(3488)] = 7006,
  [SMALL_STATE(3489)] = 7088,
  [SMALL_STATE(3490)] = 7174,
  [SMALL_STATE(3491)] = 7256,
  [SMALL_STATE(3492)] = 7338,
  [SMALL_STATE(3493)] = 7420,
  [SMALL_STATE(3494)] = 7502,
  [SMALL_STATE(3495)] = 7584,
  [SMALL_STATE(3496)] = 7666,
  [SMALL_STATE(3497)] = 7748,
  [SMALL_STATE(3498)] = 7830,
  [SMALL_STATE(3499)] = 7912,
  [SMALL_STATE(3500)] = 7994,
  [SMALL_STATE(3501)] = 8076,
  [SMALL_STATE(3502)] = 8158,
  [SMALL_STATE(3503)] = 8226,
  [SMALL_STATE(3504)] = 8312,
  [SMALL_STATE(3505)] = 8380,
  [SMALL_STATE(3506)] = 8462,
  [SMALL_STATE(3507)] = 8548,
  [SMALL_STATE(3508)] = 8616,
  [SMALL_STATE(3509)] = 8702,
  [SMALL_STATE(3510)] = 8784,
  [SMALL_STATE(3511)] = 8866,
  [SMALL_STATE(3512)] = 8952,
  [SMALL_STATE(3513)] = 9038,
  [SMALL_STATE(3514)] = 9124,
  [SMALL_STATE(3515)] = 9206,
  [SMALL_STATE(3516)] = 9289,
  [SMALL_STATE(3517)] = 9372,
  [SMALL_STATE(3518)] = 9455,
  [SMALL_STATE(3519)] = 9538,
  [SMALL_STATE(3520)] = 9621,
  [SMALL_STATE(3521)] = 9704,
  [SMALL_STATE(3522)] = 9787,
  [SMALL_STATE(3523)] = 9870,
  [SMALL_STATE(3524)] = 9953,
  [SMALL_STATE(3525)] = 10036,
  [SMALL_STATE(3526)] = 10119,
  [SMALL_STATE(3527)] = 10202,
  [SMALL_STATE(3528)] = 10285,
  [SMALL_STATE(3529)] = 10368,
  [SMALL_STATE(3530)] = 10451,
  [SMALL_STATE(3531)] = 10534,
  [SMALL_STATE(3532)] = 10617,
  [SMALL_STATE(3533)] = 10700,
  [SMALL_STATE(3534)] = 10783,
  [SMALL_STATE(3535)] = 10866,
  [SMALL_STATE(3536)] = 10949,
  [SMALL_STATE(3537)] = 11032,
  [SMALL_STATE(3538)] = 11115,
  [SMALL_STATE(3539)] = 11182,
  [SMALL_STATE(3540)] = 11265,
  [SMALL_STATE(3541)] = 11348,
  [SMALL_STATE(3542)] = 11431,
  [SMALL_STATE(3543)] = 11514,
  [SMALL_STATE(3544)] = 11597,
  [SMALL_STATE(3545)] = 11680,
  [SMALL_STATE(3546)] = 11747,
  [SMALL_STATE(3547)] = 11830,
  [SMALL_STATE(3548)] = 11913,
  [SMALL_STATE(3549)] = 11996,
  [SMALL_STATE(3550)] = 12079,
  [SMALL_STATE(3551)] = 12162,
  [SMALL_STATE(3552)] = 12245,
  [SMALL_STATE(3553)] = 12328,
  [SMALL_STATE(3554)] = 12411,
  [SMALL_STATE(3555)] = 12494,
  [SMALL_STATE(3556)] = 12577,
  [SMALL_STATE(3557)] = 12660,
  [SMALL_STATE(3558)] = 12743,
  [SMALL_STATE(3559)] = 12826,
  [SMALL_STATE(3560)] = 12909,
  [SMALL_STATE(3561)] = 12992,
  [SMALL_STATE(3562)] = 13075,
  [SMALL_STATE(3563)] = 13158,
  [SMALL_STATE(3564)] = 13241,
  [SMALL_STATE(3565)] = 13324,
  [SMALL_STATE(3566)] = 13407,
  [SMALL_STATE(3567)] = 13490,
  [SMALL_STATE(3568)] = 13573,
  [SMALL_STATE(3569)] = 13656,
  [SMALL_STATE(3570)] = 13739,
  [SMALL_STATE(3571)] = 13822,
  [SMALL_STATE(3572)] = 13905,
  [SMALL_STATE(3573)] = 13988,
  [SMALL_STATE(3574)] = 14071,
  [SMALL_STATE(3575)] = 14154,
  [SMALL_STATE(3576)] = 14237,
  [SMALL_STATE(3577)] = 14320,
  [SMALL_STATE(3578)] = 14403,
  [SMALL_STATE(3579)] = 14486,
  [SMALL_STATE(3580)] = 14569,
  [SMALL_STATE(3581)] = 14652,
  [SMALL_STATE(3582)] = 14735,
  [SMALL_STATE(3583)] = 14818,
  [SMALL_STATE(3584)] = 14901,
  [SMALL_STATE(3585)] = 14984,
  [SMALL_STATE(3586)] = 15067,
  [SMALL_STATE(3587)] = 15150,
  [SMALL_STATE(3588)] = 15233,
  [SMALL_STATE(3589)] = 15316,
  [SMALL_STATE(3590)] = 15399,
  [SMALL_STATE(3591)] = 15482,
  [SMALL_STATE(3592)] = 15549,
  [SMALL_STATE(3593)] = 15632,
  [SMALL_STATE(3594)] = 15715,
  [SMALL_STATE(3595)] = 15798,
  [SMALL_STATE(3596)] = 15881,
  [SMALL_STATE(3597)] = 15964,
  [SMALL_STATE(3598)] = 16047,
  [SMALL_STATE(3599)] = 16130,
  [SMALL_STATE(3600)] = 16213,
  [SMALL_STATE(3601)] = 16296,
  [SMALL_STATE(3602)] = 16379,
  [SMALL_STATE(3603)] = 16450,
  [SMALL_STATE(3604)] = 16533,
  [SMALL_STATE(3605)] = 16616,
  [SMALL_STATE(3606)] = 16683,
  [SMALL_STATE(3607)] = 16766,
  [SMALL_STATE(3608)] = 16849,
  [SMALL_STATE(3609)] = 16924,
  [SMALL_STATE(3610)] = 17007,
  [SMALL_STATE(3611)] = 17090,
  [SMALL_STATE(3612)] = 17173,
  [SMALL_STATE(3613)] = 17256,
  [SMALL_STATE(3614)] = 17339,
  [SMALL_STATE(3615)] = 17422,
  [SMALL_STATE(3616)] = 17505,
  [SMALL_STATE(3617)] = 17588,
  [SMALL_STATE(3618)] = 17671,
  [SMALL_STATE(3619)] = 17754,
  [SMALL_STATE(3620)] = 17837,
  [SMALL_STATE(3621)] = 17920,
  [SMALL_STATE(3622)] = 18003,
  [SMALL_STATE(3623)] = 18086,
  [SMALL_STATE(3624)] = 18169,
  [SMALL_STATE(3625)] = 18252,
  [SMALL_STATE(3626)] = 18335,
  [SMALL_STATE(3627)] = 18418,
  [SMALL_STATE(3628)] = 18501,
  [SMALL_STATE(3629)] = 18584,
  [SMALL_STATE(3630)] = 18664,
  [SMALL_STATE(3631)] = 18744,
  [SMALL_STATE(3632)] = 18824,
  [SMALL_STATE(3633)] = 18894,
  [SMALL_STATE(3634)] = 18974,
  [SMALL_STATE(3635)] = 19054,
  [SMALL_STATE(3636)] = 19134,
  [SMALL_STATE(3637)] = 19214,
  [SMALL_STATE(3638)] = 19334,
  [SMALL_STATE(3639)] = 19414,
  [SMALL_STATE(3640)] = 19494,
  [SMALL_STATE(3641)] = 19574,
  [SMALL_STATE(3642)] = 19640,
  [SMALL_STATE(3643)] = 19720,
  [SMALL_STATE(3644)] = 19800,
  [SMALL_STATE(3645)] = 19880,
  [SMALL_STATE(3646)] = 19960,
  [SMALL_STATE(3647)] = 20040,
  [SMALL_STATE(3648)] = 20120,
  [SMALL_STATE(3649)] = 20200,
  [SMALL_STATE(3650)] = 20280,
  [SMALL_STATE(3651)] = 20360,
  [SMALL_STATE(3652)] = 20440,
  [SMALL_STATE(3653)] = 20520,
  [SMALL_STATE(3654)] = 20600,
  [SMALL_STATE(3655)] = 20680,
  [SMALL_STATE(3656)] = 20760,
  [SMALL_STATE(3657)] = 20840,
  [SMALL_STATE(3658)] = 20960,
  [SMALL_STATE(3659)] = 21040,
  [SMALL_STATE(3660)] = 21106,
  [SMALL_STATE(3661)] = 21186,
  [SMALL_STATE(3662)] = 21266,
  [SMALL_STATE(3663)] = 21346,
  [SMALL_STATE(3664)] = 21426,
  [SMALL_STATE(3665)] = 21506,
  [SMALL_STATE(3666)] = 21586,
  [SMALL_STATE(3667)] = 21666,
  [SMALL_STATE(3668)] = 21746,
  [SMALL_STATE(3669)] = 21826,
  [SMALL_STATE(3670)] = 21906,
  [SMALL_STATE(3671)] = 21986,
  [SMALL_STATE(3672)] = 22066,
  [SMALL_STATE(3673)] = 22132,
  [SMALL_STATE(3674)] = 22212,
  [SMALL_STATE(3675)] = 22278,
  [SMALL_STATE(3676)] = 22358,
  [SMALL_STATE(3677)] = 22438,
  [SMALL_STATE(3678)] = 22518,
  [SMALL_STATE(3679)] = 22598,
  [SMALL_STATE(3680)] = 22678,
  [SMALL_STATE(3681)] = 22758,
  [SMALL_STATE(3682)] = 22878,
  [SMALL_STATE(3683)] = 22958,
  [SMALL_STATE(3684)] = 23028,
  [SMALL_STATE(3685)] = 23108,
  [SMALL_STATE(3686)] = 23188,
  [SMALL_STATE(3687)] = 23268,
  [SMALL_STATE(3688)] = 23340,
  [SMALL_STATE(3689)] = 23420,
  [SMALL_STATE(3690)] = 23500,
  [SMALL_STATE(3691)] = 23580,
  [SMALL_STATE(3692)] = 23660,
  [SMALL_STATE(3693)] = 23740,
  [SMALL_STATE(3694)] = 23820,
  [SMALL_STATE(3695)] = 23900,
  [SMALL_STATE(3696)] = 23980,
  [SMALL_STATE(3697)] = 24060,
  [SMALL_STATE(3698)] = 24140,
  [SMALL_STATE(3699)] = 24220,
  [SMALL_STATE(3700)] = 24300,
  [SMALL_STATE(3701)] = 24380,
  [SMALL_STATE(3702)] = 24460,
  [SMALL_STATE(3703)] = 24540,
  [SMALL_STATE(3704)] = 24608,
  [SMALL_STATE(3705)] = 24688,
  [SMALL_STATE(3706)] = 24754,
  [SMALL_STATE(3707)] = 24820,
  [SMALL_STATE(3708)] = 24900,
  [SMALL_STATE(3709)] = 24980,
  [SMALL_STATE(3710)] = 25060,
  [SMALL_STATE(3711)] = 25140,
  [SMALL_STATE(3712)] = 25206,
  [SMALL_STATE(3713)] = 25272,
  [SMALL_STATE(3714)] = 25352,
  [SMALL_STATE(3715)] = 25432,
  [SMALL_STATE(3716)] = 25502,
  [SMALL_STATE(3717)] = 25622,
  [SMALL_STATE(3718)] = 25702,
  [SMALL_STATE(3719)] = 25782,
  [SMALL_STATE(3720)] = 25848,
  [SMALL_STATE(3721)] = 25914,
  [SMALL_STATE(3722)] = 25980,
  [SMALL_STATE(3723)] = 26060,
  [SMALL_STATE(3724)] = 26140,
  [SMALL_STATE(3725)] = 26220,
  [SMALL_STATE(3726)] = 26300,
  [SMALL_STATE(3727)] = 26380,
  [SMALL_STATE(3728)] = 26460,
  [SMALL_STATE(3729)] = 26530,
  [SMALL_STATE(3730)] = 26610,
  [SMALL_STATE(3731)] = 26690,
  [SMALL_STATE(3732)] = 26770,
  [SMALL_STATE(3733)] = 26850,
  [SMALL_STATE(3734)] = 26930,
  [SMALL_STATE(3735)] = 27010,
  [SMALL_STATE(3736)] = 27080,
  [SMALL_STATE(3737)] = 27160,
  [SMALL_STATE(3738)] = 27240,
  [SMALL_STATE(3739)] = 27320,
  [SMALL_STATE(3740)] = 27400,
  [SMALL_STATE(3741)] = 27482,
  [SMALL_STATE(3742)] = 27562,
  [SMALL_STATE(3743)] = 27642,
  [SMALL_STATE(3744)] = 27722,
  [SMALL_STATE(3745)] = 27792,
  [SMALL_STATE(3746)] = 27872,
  [SMALL_STATE(3747)] = 27952,
  [SMALL_STATE(3748)] = 28018,
  [SMALL_STATE(3749)] = 28098,
  [SMALL_STATE(3750)] = 28178,
  [SMALL_STATE(3751)] = 28258,
  [SMALL_STATE(3752)] = 28338,
  [SMALL_STATE(3753)] = 28418,
  [SMALL_STATE(3754)] = 28498,
  [SMALL_STATE(3755)] = 28618,
  [SMALL_STATE(3756)] = 28684,
  [SMALL_STATE(3757)] = 28764,
  [SMALL_STATE(3758)] = 28844,
  [SMALL_STATE(3759)] = 28924,
  [SMALL_STATE(3760)] = 29004,
  [SMALL_STATE(3761)] = 29084,
  [SMALL_STATE(3762)] = 29164,
  [SMALL_STATE(3763)] = 29244,
  [SMALL_STATE(3764)] = 29324,
  [SMALL_STATE(3765)] = 29404,
  [SMALL_STATE(3766)] = 29484,
  [SMALL_STATE(3767)] = 29564,
  [SMALL_STATE(3768)] = 29644,
  [SMALL_STATE(3769)] = 29724,
  [SMALL_STATE(3770)] = 29804,
  [SMALL_STATE(3771)] = 29884,
  [SMALL_STATE(3772)] = 29964,
  [SMALL_STATE(3773)] = 30044,
  [SMALL_STATE(3774)] = 30124,
  [SMALL_STATE(3775)] = 30204,
  [SMALL_STATE(3776)] = 30284,
  [SMALL_STATE(3777)] = 30404,
  [SMALL_STATE(3778)] = 30484,
  [SMALL_STATE(3779)] = 30564,
  [SMALL_STATE(3780)] = 30644,
  [SMALL_STATE(3781)] = 30724,
  [SMALL_STATE(3782)] = 30804,
  [SMALL_STATE(3783)] = 30884,
  [SMALL_STATE(3784)] = 31004,
  [SMALL_STATE(3785)] = 31084,
  [SMALL_STATE(3786)] = 31164,
  [SMALL_STATE(3787)] = 31244,
  [SMALL_STATE(3788)] = 31324,
  [SMALL_STATE(3789)] = 31404,
  [SMALL_STATE(3790)] = 31470,
  [SMALL_STATE(3791)] = 31550,
  [SMALL_STATE(3792)] = 31632,
  [SMALL_STATE(3793)] = 31712,
  [SMALL_STATE(3794)] = 31778,
  [SMALL_STATE(3795)] = 31858,
  [SMALL_STATE(3796)] = 31938,
  [SMALL_STATE(3797)] = 32018,
  [SMALL_STATE(3798)] = 32098,
  [SMALL_STATE(3799)] = 32164,
  [SMALL_STATE(3800)] = 32230,
  [SMALL_STATE(3801)] = 32350,
  [SMALL_STATE(3802)] = 32432,
  [SMALL_STATE(3803)] = 32512,
  [SMALL_STATE(3804)] = 32592,
  [SMALL_STATE(3805)] = 32660,
  [SMALL_STATE(3806)] = 32780,
  [SMALL_STATE(3807)] = 32860,
  [SMALL_STATE(3808)] = 32926,
  [SMALL_STATE(3809)] = 33006,
  [SMALL_STATE(3810)] = 33086,
  [SMALL_STATE(3811)] = 33166,
  [SMALL_STATE(3812)] = 33246,
  [SMALL_STATE(3813)] = 33326,
  [SMALL_STATE(3814)] = 33406,
  [SMALL_STATE(3815)] = 33486,
  [SMALL_STATE(3816)] = 33566,
  [SMALL_STATE(3817)] = 33646,
  [SMALL_STATE(3818)] = 33723,
  [SMALL_STATE(3819)] = 33838,
  [SMALL_STATE(3820)] = 33903,
  [SMALL_STATE(3821)] = 34018,
  [SMALL_STATE(3822)] = 34133,
  [SMALL_STATE(3823)] = 34210,
  [SMALL_STATE(3824)] = 34327,
  [SMALL_STATE(3825)] = 34444,
  [SMALL_STATE(3826)] = 34561,
  [SMALL_STATE(3827)] = 34626,
  [SMALL_STATE(3828)] = 34743,
  [SMALL_STATE(3829)] = 34860,
  [SMALL_STATE(3830)] = 34977,
  [SMALL_STATE(3831)] = 35092,
  [SMALL_STATE(3832)] = 35207,
  [SMALL_STATE(3833)] = 35324,
  [SMALL_STATE(3834)] = 35401,
  [SMALL_STATE(3835)] = 35478,
  [SMALL_STATE(3836)] = 35555,
  [SMALL_STATE(3837)] = 35672,
  [SMALL_STATE(3838)] = 35787,
  [SMALL_STATE(3839)] = 35904,
  [SMALL_STATE(3840)] = 36021,
  [SMALL_STATE(3841)] = 36138,
  [SMALL_STATE(3842)] = 36215,
  [SMALL_STATE(3843)] = 36292,
  [SMALL_STATE(3844)] = 36409,
  [SMALL_STATE(3845)] = 36524,
  [SMALL_STATE(3846)] = 36601,
  [SMALL_STATE(3847)] = 36718,
  [SMALL_STATE(3848)] = 36795,
  [SMALL_STATE(3849)] = 36872,
  [SMALL_STATE(3850)] = 36989,
  [SMALL_STATE(3851)] = 37106,
  [SMALL_STATE(3852)] = 37171,
  [SMALL_STATE(3853)] = 37236,
  [SMALL_STATE(3854)] = 37351,
  [SMALL_STATE(3855)] = 37468,
  [SMALL_STATE(3856)] = 37545,
  [SMALL_STATE(3857)] = 37660,
  [SMALL_STATE(3858)] = 37737,
  [SMALL_STATE(3859)] = 37852,
  [SMALL_STATE(3860)] = 37967,
  [SMALL_STATE(3861)] = 38082,
  [SMALL_STATE(3862)] = 38159,
  [SMALL_STATE(3863)] = 38276,
  [SMALL_STATE(3864)] = 38393,
  [SMALL_STATE(3865)] = 38458,
  [SMALL_STATE(3866)] = 38523,
  [SMALL_STATE(3867)] = 38588,
  [SMALL_STATE(3868)] = 38705,
  [SMALL_STATE(3869)] = 38822,
  [SMALL_STATE(3870)] = 38939,
  [SMALL_STATE(3871)] = 39056,
  [SMALL_STATE(3872)] = 39173,
  [SMALL_STATE(3873)] = 39290,
  [SMALL_STATE(3874)] = 39407,
  [SMALL_STATE(3875)] = 39524,
  [SMALL_STATE(3876)] = 39641,
  [SMALL_STATE(3877)] = 39758,
  [SMALL_STATE(3878)] = 39835,
  [SMALL_STATE(3879)] = 39912,
  [SMALL_STATE(3880)] = 39989,
  [SMALL_STATE(3881)] = 40106,
  [SMALL_STATE(3882)] = 40223,
  [SMALL_STATE(3883)] = 40338,
  [SMALL_STATE(3884)] = 40415,
  [SMALL_STATE(3885)] = 40532,
  [SMALL_STATE(3886)] = 40647,
  [SMALL_STATE(3887)] = 40724,
  [SMALL_STATE(3888)] = 40841,
  [SMALL_STATE(3889)] = 40958,
  [SMALL_STATE(3890)] = 41075,
  [SMALL_STATE(3891)] = 41190,
  [SMALL_STATE(3892)] = 41307,
  [SMALL_STATE(3893)] = 41422,
  [SMALL_STATE(3894)] = 41537,
  [SMALL_STATE(3895)] = 41604,
  [SMALL_STATE(3896)] = 41719,
  [SMALL_STATE(3897)] = 41836,
  [SMALL_STATE(3898)] = 41953,
  [SMALL_STATE(3899)] = 42070,
  [SMALL_STATE(3900)] = 42187,
  [SMALL_STATE(3901)] = 42304,
  [SMALL_STATE(3902)] = 42381,
  [SMALL_STATE(3903)] = 42498,
  [SMALL_STATE(3904)] = 42615,
  [SMALL_STATE(3905)] = 42732,
  [SMALL_STATE(3906)] = 42849,
  [SMALL_STATE(3907)] = 42966,
  [SMALL_STATE(3908)] = 43081,
  [SMALL_STATE(3909)] = 43196,
  [SMALL_STATE(3910)] = 43313,
  [SMALL_STATE(3911)] = 43428,
  [SMALL_STATE(3912)] = 43545,
  [SMALL_STATE(3913)] = 43660,
  [SMALL_STATE(3914)] = 43777,
  [SMALL_STATE(3915)] = 43854,
  [SMALL_STATE(3916)] = 43971,
  [SMALL_STATE(3917)] = 44048,
  [SMALL_STATE(3918)] = 44125,
  [SMALL_STATE(3919)] = 44202,
  [SMALL_STATE(3920)] = 44317,
  [SMALL_STATE(3921)] = 44396,
  [SMALL_STATE(3922)] = 44475,
  [SMALL_STATE(3923)] = 44592,
  [SMALL_STATE(3924)] = 44707,
  [SMALL_STATE(3925)] = 44824,
  [SMALL_STATE(3926)] = 44939,
  [SMALL_STATE(3927)] = 45016,
  [SMALL_STATE(3928)] = 45133,
  [SMALL_STATE(3929)] = 45250,
  [SMALL_STATE(3930)] = 45367,
  [SMALL_STATE(3931)] = 45484,
  [SMALL_STATE(3932)] = 45601,
  [SMALL_STATE(3933)] = 45666,
  [SMALL_STATE(3934)] = 45743,
  [SMALL_STATE(3935)] = 45860,
  [SMALL_STATE(3936)] = 45975,
  [SMALL_STATE(3937)] = 46092,
  [SMALL_STATE(3938)] = 46209,
  [SMALL_STATE(3939)] = 46326,
  [SMALL_STATE(3940)] = 46443,
  [SMALL_STATE(3941)] = 46558,
  [SMALL_STATE(3942)] = 46635,
  [SMALL_STATE(3943)] = 46750,
  [SMALL_STATE(3944)] = 46867,
  [SMALL_STATE(3945)] = 46944,
  [SMALL_STATE(3946)] = 47061,
  [SMALL_STATE(3947)] = 47125,
  [SMALL_STATE(3948)] = 47191,
  [SMALL_STATE(3949)] = 47301,
  [SMALL_STATE(3950)] = 47377,
  [SMALL_STATE(3951)] = 47453,
  [SMALL_STATE(3952)] = 47529,
  [SMALL_STATE(3953)] = 47639,
  [SMALL_STATE(3954)] = 47707,
  [SMALL_STATE(3955)] = 47775,
  [SMALL_STATE(3956)] = 47843,
  [SMALL_STATE(3957)] = 47911,
  [SMALL_STATE(3958)] = 47987,
  [SMALL_STATE(3959)] = 48051,
  [SMALL_STATE(3960)] = 48115,
  [SMALL_STATE(3961)] = 48179,
  [SMALL_STATE(3962)] = 48255,
  [SMALL_STATE(3963)] = 48323,
  [SMALL_STATE(3964)] = 48391,
  [SMALL_STATE(3965)] = 48503,
  [SMALL_STATE(3966)] = 48579,
  [SMALL_STATE(3967)] = 48689,
  [SMALL_STATE(3968)] = 48765,
  [SMALL_STATE(3969)] = 48829,
  [SMALL_STATE(3970)] = 48905,
  [SMALL_STATE(3971)] = 48973,
  [SMALL_STATE(3972)] = 49041,
  [SMALL_STATE(3973)] = 49117,
  [SMALL_STATE(3974)] = 49185,
  [SMALL_STATE(3975)] = 49249,
  [SMALL_STATE(3976)] = 49312,
  [SMALL_STATE(3977)] = 49375,
  [SMALL_STATE(3978)] = 49448,
  [SMALL_STATE(3979)] = 49521,
  [SMALL_STATE(3980)] = 49594,
  [SMALL_STATE(3981)] = 49667,
  [SMALL_STATE(3982)] = 49740,
  [SMALL_STATE(3983)] = 49813,
  [SMALL_STATE(3984)] = 49876,
  [SMALL_STATE(3985)] = 49939,
  [SMALL_STATE(3986)] = 50002,
  [SMALL_STATE(3987)] = 50065,
  [SMALL_STATE(3988)] = 50128,
  [SMALL_STATE(3989)] = 50191,
  [SMALL_STATE(3990)] = 50264,
  [SMALL_STATE(3991)] = 50327,
  [SMALL_STATE(3992)] = 50390,
  [SMALL_STATE(3993)] = 50453,
  [SMALL_STATE(3994)] = 50516,
  [SMALL_STATE(3995)] = 50579,
  [SMALL_STATE(3996)] = 50642,
  [SMALL_STATE(3997)] = 50715,
  [SMALL_STATE(3998)] = 50778,
  [SMALL_STATE(3999)] = 50841,
  [SMALL_STATE(4000)] = 50904,
  [SMALL_STATE(4001)] = 50967,
  [SMALL_STATE(4002)] = 51030,
  [SMALL_STATE(4003)] = 51103,
  [SMALL_STATE(4004)] = 51176,
  [SMALL_STATE(4005)] = 51249,
  [SMALL_STATE(4006)] = 51312,
  [SMALL_STATE(4007)] = 51375,
  [SMALL_STATE(4008)] = 51448,
  [SMALL_STATE(4009)] = 51511,
  [SMALL_STATE(4010)] = 51584,
  [SMALL_STATE(4011)] = 51647,
  [SMALL_STATE(4012)] = 51720,
  [SMALL_STATE(4013)] = 51793,
  [SMALL_STATE(4014)] = 51856,
  [SMALL_STATE(4015)] = 51919,
  [SMALL_STATE(4016)] = 51992,
  [SMALL_STATE(4017)] = 52065,
  [SMALL_STATE(4018)] = 52138,
  [SMALL_STATE(4019)] = 52211,
  [SMALL_STATE(4020)] = 52274,
  [SMALL_STATE(4021)] = 52337,
  [SMALL_STATE(4022)] = 52400,
  [SMALL_STATE(4023)] = 52473,
  [SMALL_STATE(4024)] = 52546,
  [SMALL_STATE(4025)] = 52619,
  [SMALL_STATE(4026)] = 52682,
  [SMALL_STATE(4027)] = 52755,
  [SMALL_STATE(4028)] = 52818,
  [SMALL_STATE(4029)] = 52881,
  [SMALL_STATE(4030)] = 52954,
  [SMALL_STATE(4031)] = 53017,
  [SMALL_STATE(4032)] = 53090,
  [SMALL_STATE(4033)] = 53155,
  [SMALL_STATE(4034)] = 53228,
  [SMALL_STATE(4035)] = 53301,
  [SMALL_STATE(4036)] = 53374,
  [SMALL_STATE(4037)] = 53447,
  [SMALL_STATE(4038)] = 53520,
  [SMALL_STATE(4039)] = 53593,
  [SMALL_STATE(4040)] = 53656,
  [SMALL_STATE(4041)] = 53719,
  [SMALL_STATE(4042)] = 53792,
  [SMALL_STATE(4043)] = 53855,
  [SMALL_STATE(4044)] = 53918,
  [SMALL_STATE(4045)] = 53981,
  [SMALL_STATE(4046)] = 54054,
  [SMALL_STATE(4047)] = 54127,
  [SMALL_STATE(4048)] = 54200,
  [SMALL_STATE(4049)] = 54263,
  [SMALL_STATE(4050)] = 54336,
  [SMALL_STATE(4051)] = 54399,
  [SMALL_STATE(4052)] = 54472,
  [SMALL_STATE(4053)] = 54535,
  [SMALL_STATE(4054)] = 54598,
  [SMALL_STATE(4055)] = 54671,
  [SMALL_STATE(4056)] = 54734,
  [SMALL_STATE(4057)] = 54797,
  [SMALL_STATE(4058)] = 54870,
  [SMALL_STATE(4059)] = 54933,
  [SMALL_STATE(4060)] = 55006,
  [SMALL_STATE(4061)] = 55071,
  [SMALL_STATE(4062)] = 55144,
  [SMALL_STATE(4063)] = 55207,
  [SMALL_STATE(4064)] = 55280,
  [SMALL_STATE(4065)] = 55353,
  [SMALL_STATE(4066)] = 55426,
  [SMALL_STATE(4067)] = 55499,
  [SMALL_STATE(4068)] = 55572,
  [SMALL_STATE(4069)] = 55635,
  [SMALL_STATE(4070)] = 55708,
  [SMALL_STATE(4071)] = 55781,
  [SMALL_STATE(4072)] = 55844,
  [SMALL_STATE(4073)] = 55907,
  [SMALL_STATE(4074)] = 55970,
  [SMALL_STATE(4075)] = 56040,
  [SMALL_STATE(4076)] = 56110,
  [SMALL_STATE(4077)] = 56180,
  [SMALL_STATE(4078)] = 56250,
  [SMALL_STATE(4079)] = 56320,
  [SMALL_STATE(4080)] = 56390,
  [SMALL_STATE(4081)] = 56460,
  [SMALL_STATE(4082)] = 56530,
  [SMALL_STATE(4083)] = 56600,
  [SMALL_STATE(4084)] = 56670,
  [SMALL_STATE(4085)] = 56740,
  [SMALL_STATE(4086)] = 56810,
  [SMALL_STATE(4087)] = 56880,
  [SMALL_STATE(4088)] = 56950,
  [SMALL_STATE(4089)] = 57020,
  [SMALL_STATE(4090)] = 57090,
  [SMALL_STATE(4091)] = 57160,
  [SMALL_STATE(4092)] = 57230,
  [SMALL_STATE(4093)] = 57300,
  [SMALL_STATE(4094)] = 57370,
  [SMALL_STATE(4095)] = 57440,
  [SMALL_STATE(4096)] = 57510,
  [SMALL_STATE(4097)] = 57580,
  [SMALL_STATE(4098)] = 57650,
  [SMALL_STATE(4099)] = 57720,
  [SMALL_STATE(4100)] = 57790,
  [SMALL_STATE(4101)] = 57852,
  [SMALL_STATE(4102)] = 57922,
  [SMALL_STATE(4103)] = 57992,
  [SMALL_STATE(4104)] = 58062,
  [SMALL_STATE(4105)] = 58124,
  [SMALL_STATE(4106)] = 58186,
  [SMALL_STATE(4107)] = 58248,
  [SMALL_STATE(4108)] = 58310,
  [SMALL_STATE(4109)] = 58380,
  [SMALL_STATE(4110)] = 58450,
  [SMALL_STATE(4111)] = 58520,
  [SMALL_STATE(4112)] = 58590,
  [SMALL_STATE(4113)] = 58660,
  [SMALL_STATE(4114)] = 58730,
  [SMALL_STATE(4115)] = 58800,
  [SMALL_STATE(4116)] = 58870,
  [SMALL_STATE(4117)] = 58940,
  [SMALL_STATE(4118)] = 59010,
  [SMALL_STATE(4119)] = 59080,
  [SMALL_STATE(4120)] = 59150,
  [SMALL_STATE(4121)] = 59220,
  [SMALL_STATE(4122)] = 59290,
  [SMALL_STATE(4123)] = 59360,
  [SMALL_STATE(4124)] = 59430,
  [SMALL_STATE(4125)] = 59500,
  [SMALL_STATE(4126)] = 59570,
  [SMALL_STATE(4127)] = 59640,
  [SMALL_STATE(4128)] = 59710,
  [SMALL_STATE(4129)] = 59780,
  [SMALL_STATE(4130)] = 59850,
  [SMALL_STATE(4131)] = 59920,
  [SMALL_STATE(4132)] = 59990,
  [SMALL_STATE(4133)] = 60060,
  [SMALL_STATE(4134)] = 60130,
  [SMALL_STATE(4135)] = 60200,
  [SMALL_STATE(4136)] = 60270,
  [SMALL_STATE(4137)] = 60340,
  [SMALL_STATE(4138)] = 60410,
  [SMALL_STATE(4139)] = 60480,
  [SMALL_STATE(4140)] = 60550,
  [SMALL_STATE(4141)] = 60620,
  [SMALL_STATE(4142)] = 60690,
  [SMALL_STATE(4143)] = 60760,
  [SMALL_STATE(4144)] = 60830,
  [SMALL_STATE(4145)] = 60900,
  [SMALL_STATE(4146)] = 61006,
  [SMALL_STATE(4147)] = 61112,
  [SMALL_STATE(4148)] = 61218,
  [SMALL_STATE(4149)] = 61288,
  [SMALL_STATE(4150)] = 61358,
  [SMALL_STATE(4151)] = 61428,
  [SMALL_STATE(4152)] = 61498,
  [SMALL_STATE(4153)] = 61568,
  [SMALL_STATE(4154)] = 61638,
  [SMALL_STATE(4155)] = 61708,
  [SMALL_STATE(4156)] = 61778,
  [SMALL_STATE(4157)] = 61848,
  [SMALL_STATE(4158)] = 61918,
  [SMALL_STATE(4159)] = 61988,
  [SMALL_STATE(4160)] = 62058,
  [SMALL_STATE(4161)] = 62128,
  [SMALL_STATE(4162)] = 62198,
  [SMALL_STATE(4163)] = 62268,
  [SMALL_STATE(4164)] = 62338,
  [SMALL_STATE(4165)] = 62408,
  [SMALL_STATE(4166)] = 62478,
  [SMALL_STATE(4167)] = 62548,
  [SMALL_STATE(4168)] = 62618,
  [SMALL_STATE(4169)] = 62688,
  [SMALL_STATE(4170)] = 62758,
  [SMALL_STATE(4171)] = 62828,
  [SMALL_STATE(4172)] = 62898,
  [SMALL_STATE(4173)] = 62968,
  [SMALL_STATE(4174)] = 63038,
  [SMALL_STATE(4175)] = 63108,
  [SMALL_STATE(4176)] = 63178,
  [SMALL_STATE(4177)] = 63248,
  [SMALL_STATE(4178)] = 63318,
  [SMALL_STATE(4179)] = 63388,
  [SMALL_STATE(4180)] = 63458,
  [SMALL_STATE(4181)] = 63528,
  [SMALL_STATE(4182)] = 63598,
  [SMALL_STATE(4183)] = 63668,
  [SMALL_STATE(4184)] = 63738,
  [SMALL_STATE(4185)] = 63808,
  [SMALL_STATE(4186)] = 63878,
  [SMALL_STATE(4187)] = 63948,
  [SMALL_STATE(4188)] = 64018,
  [SMALL_STATE(4189)] = 64088,
  [SMALL_STATE(4190)] = 64158,
  [SMALL_STATE(4191)] = 64228,
  [SMALL_STATE(4192)] = 64298,
  [SMALL_STATE(4193)] = 64368,
  [SMALL_STATE(4194)] = 64438,
  [SMALL_STATE(4195)] = 64508,
  [SMALL_STATE(4196)] = 64578,
  [SMALL_STATE(4197)] = 64648,
  [SMALL_STATE(4198)] = 64718,
  [SMALL_STATE(4199)] = 64788,
  [SMALL_STATE(4200)] = 64858,
  [SMALL_STATE(4201)] = 64928,
  [SMALL_STATE(4202)] = 64998,
  [SMALL_STATE(4203)] = 65068,
  [SMALL_STATE(4204)] = 65138,
  [SMALL_STATE(4205)] = 65208,
  [SMALL_STATE(4206)] = 65278,
  [SMALL_STATE(4207)] = 65348,
  [SMALL_STATE(4208)] = 65418,
  [SMALL_STATE(4209)] = 65488,
  [SMALL_STATE(4210)] = 65558,
  [SMALL_STATE(4211)] = 65628,
  [SMALL_STATE(4212)] = 65698,
  [SMALL_STATE(4213)] = 65768,
  [SMALL_STATE(4214)] = 65838,
  [SMALL_STATE(4215)] = 65908,
  [SMALL_STATE(4216)] = 65978,
  [SMALL_STATE(4217)] = 66048,
  [SMALL_STATE(4218)] = 66118,
  [SMALL_STATE(4219)] = 66188,
  [SMALL_STATE(4220)] = 66258,
  [SMALL_STATE(4221)] = 66328,
  [SMALL_STATE(4222)] = 66398,
  [SMALL_STATE(4223)] = 66468,
  [SMALL_STATE(4224)] = 66538,
  [SMALL_STATE(4225)] = 66608,
  [SMALL_STATE(4226)] = 66678,
  [SMALL_STATE(4227)] = 66748,
  [SMALL_STATE(4228)] = 66818,
  [SMALL_STATE(4229)] = 66888,
  [SMALL_STATE(4230)] = 66958,
  [SMALL_STATE(4231)] = 67045,
  [SMALL_STATE(4232)] = 67130,
  [SMALL_STATE(4233)] = 67219,
  [SMALL_STATE(4234)] = 67300,
  [SMALL_STATE(4235)] = 67373,
  [SMALL_STATE(4236)] = 67464,
  [SMALL_STATE(4237)] = 67557,
  [SMALL_STATE(4238)] = 67654,
  [SMALL_STATE(4239)] = 67725,
  [SMALL_STATE(4240)] = 67810,
  [SMALL_STATE(4241)] = 67887,
  [SMALL_STATE(4242)] = 67962,
  [SMALL_STATE(4243)] = 68043,
  [SMALL_STATE(4244)] = 68140,
  [SMALL_STATE(4245)] = 68200,
  [SMALL_STATE(4246)] = 68306,
  [SMALL_STATE(4247)] = 68412,
  [SMALL_STATE(4248)] = 68472,
  [SMALL_STATE(4249)] = 68532,
  [SMALL_STATE(4250)] = 68638,
  [SMALL_STATE(4251)] = 68743,
  [SMALL_STATE(4252)] = 68848,
  [SMALL_STATE(4253)] = 68953,
  [SMALL_STATE(4254)] = 69058,
  [SMALL_STATE(4255)] = 69163,
  [SMALL_STATE(4256)] = 69268,
  [SMALL_STATE(4257)] = 69373,
  [SMALL_STATE(4258)] = 69478,
  [SMALL_STATE(4259)] = 69583,
  [SMALL_STATE(4260)] = 69646,
  [SMALL_STATE(4261)] = 69751,
  [SMALL_STATE(4262)] = 69856,
  [SMALL_STATE(4263)] = 69921,
  [SMALL_STATE(4264)] = 70026,
  [SMALL_STATE(4265)] = 70131,
  [SMALL_STATE(4266)] = 70236,
  [SMALL_STATE(4267)] = 70341,
  [SMALL_STATE(4268)] = 70446,
  [SMALL_STATE(4269)] = 70551,
  [SMALL_STATE(4270)] = 70656,
  [SMALL_STATE(4271)] = 70761,
  [SMALL_STATE(4272)] = 70866,
  [SMALL_STATE(4273)] = 70971,
  [SMALL_STATE(4274)] = 71073,
  [SMALL_STATE(4275)] = 71175,
  [SMALL_STATE(4276)] = 71277,
  [SMALL_STATE(4277)] = 71379,
  [SMALL_STATE(4278)] = 71481,
  [SMALL_STATE(4279)] = 71583,
  [SMALL_STATE(4280)] = 71685,
  [SMALL_STATE(4281)] = 71787,
  [SMALL_STATE(4282)] = 71889,
  [SMALL_STATE(4283)] = 71991,
  [SMALL_STATE(4284)] = 72093,
  [SMALL_STATE(4285)] = 72195,
  [SMALL_STATE(4286)] = 72297,
  [SMALL_STATE(4287)] = 72399,
  [SMALL_STATE(4288)] = 72501,
  [SMALL_STATE(4289)] = 72603,
  [SMALL_STATE(4290)] = 72705,
  [SMALL_STATE(4291)] = 72807,
  [SMALL_STATE(4292)] = 72909,
  [SMALL_STATE(4293)] = 73011,
  [SMALL_STATE(4294)] = 73067,
  [SMALL_STATE(4295)] = 73123,
  [SMALL_STATE(4296)] = 73226,
  [SMALL_STATE(4297)] = 73329,
  [SMALL_STATE(4298)] = 73432,
  [SMALL_STATE(4299)] = 73535,
  [SMALL_STATE(4300)] = 73638,
  [SMALL_STATE(4301)] = 73741,
  [SMALL_STATE(4302)] = 73844,
  [SMALL_STATE(4303)] = 73947,
  [SMALL_STATE(4304)] = 74040,
  [SMALL_STATE(4305)] = 74143,
  [SMALL_STATE(4306)] = 74246,
  [SMALL_STATE(4307)] = 74349,
  [SMALL_STATE(4308)] = 74452,
  [SMALL_STATE(4309)] = 74555,
  [SMALL_STATE(4310)] = 74658,
  [SMALL_STATE(4311)] = 74761,
  [SMALL_STATE(4312)] = 74864,
  [SMALL_STATE(4313)] = 74967,
  [SMALL_STATE(4314)] = 75070,
  [SMALL_STATE(4315)] = 75173,
  [SMALL_STATE(4316)] = 75276,
  [SMALL_STATE(4317)] = 75379,
  [SMALL_STATE(4318)] = 75482,
  [SMALL_STATE(4319)] = 75585,
  [SMALL_STATE(4320)] = 75688,
  [SMALL_STATE(4321)] = 75791,
  [SMALL_STATE(4322)] = 75894,
  [SMALL_STATE(4323)] = 75984,
  [SMALL_STATE(4324)] = 76076,
  [SMALL_STATE(4325)] = 76163,
  [SMALL_STATE(4326)] = 76250,
  [SMALL_STATE(4327)] = 76337,
  [SMALL_STATE(4328)] = 76384,
  [SMALL_STATE(4329)] = 76451,
  [SMALL_STATE(4330)] = 76524,
  [SMALL_STATE(4331)] = 76595,
  [SMALL_STATE(4332)] = 76642,
  [SMALL_STATE(4333)] = 76717,
  [SMALL_STATE(4334)] = 76784,
  [SMALL_STATE(4335)] = 76843,
  [SMALL_STATE(4336)] = 76920,
  [SMALL_STATE(4337)] = 76967,
  [SMALL_STATE(4338)] = 77014,
  [SMALL_STATE(4339)] = 77071,
  [SMALL_STATE(4340)] = 77118,
  [SMALL_STATE(4341)] = 77165,
  [SMALL_STATE(4342)] = 77242,
  [SMALL_STATE(4343)] = 77289,
  [SMALL_STATE(4344)] = 77350,
  [SMALL_STATE(4345)] = 77397,
  [SMALL_STATE(4346)] = 77444,
  [SMALL_STATE(4347)] = 77491,
  [SMALL_STATE(4348)] = 77538,
  [SMALL_STATE(4349)] = 77585,
  [SMALL_STATE(4350)] = 77632,
  [SMALL_STATE(4351)] = 77679,
  [SMALL_STATE(4352)] = 77726,
  [SMALL_STATE(4353)] = 77773,
  [SMALL_STATE(4354)] = 77820,
  [SMALL_STATE(4355)] = 77867,
  [SMALL_STATE(4356)] = 77914,
  [SMALL_STATE(4357)] = 77961,
  [SMALL_STATE(4358)] = 78024,
  [SMALL_STATE(4359)] = 78095,
  [SMALL_STATE(4360)] = 78145,
  [SMALL_STATE(4361)] = 78195,
  [SMALL_STATE(4362)] = 78247,
  [SMALL_STATE(4363)] = 78299,
  [SMALL_STATE(4364)] = 78348,
  [SMALL_STATE(4365)] = 78421,
  [SMALL_STATE(4366)] = 78486,
  [SMALL_STATE(4367)] = 78543,
  [SMALL_STATE(4368)] = 78592,
  [SMALL_STATE(4369)] = 78667,
  [SMALL_STATE(4370)] = 78736,
  [SMALL_STATE(4371)] = 78791,
  [SMALL_STATE(4372)] = 78876,
  [SMALL_STATE(4373)] = 78961,
  [SMALL_STATE(4374)] = 79034,
  [SMALL_STATE(4375)] = 79099,
  [SMALL_STATE(4376)] = 79156,
  [SMALL_STATE(4377)] = 79231,
  [SMALL_STATE(4378)] = 79316,
  [SMALL_STATE(4379)] = 79401,
  [SMALL_STATE(4380)] = 79450,
  [SMALL_STATE(4381)] = 79519,
  [SMALL_STATE(4382)] = 79604,
  [SMALL_STATE(4383)] = 79687,
  [SMALL_STATE(4384)] = 79770,
  [SMALL_STATE(4385)] = 79819,
  [SMALL_STATE(4386)] = 79864,
  [SMALL_STATE(4387)] = 79947,
  [SMALL_STATE(4388)] = 79996,
  [SMALL_STATE(4389)] = 80045,
  [SMALL_STATE(4390)] = 80130,
  [SMALL_STATE(4391)] = 80205,
  [SMALL_STATE(4392)] = 80290,
  [SMALL_STATE(4393)] = 80375,
  [SMALL_STATE(4394)] = 80450,
  [SMALL_STATE(4395)] = 80531,
  [SMALL_STATE(4396)] = 80582,
  [SMALL_STATE(4397)] = 80667,
  [SMALL_STATE(4398)] = 80752,
  [SMALL_STATE(4399)] = 80801,
  [SMALL_STATE(4400)] = 80858,
  [SMALL_STATE(4401)] = 80907,
  [SMALL_STATE(4402)] = 80968,
  [SMALL_STATE(4403)] = 81017,
  [SMALL_STATE(4404)] = 81102,
  [SMALL_STATE(4405)] = 81187,
  [SMALL_STATE(4406)] = 81246,
  [SMALL_STATE(4407)] = 81323,
  [SMALL_STATE(4408)] = 81402,
  [SMALL_STATE(4409)] = 81457,
  [SMALL_STATE(4410)] = 81540,
  [SMALL_STATE(4411)] = 81609,
  [SMALL_STATE(4412)] = 81670,
  [SMALL_STATE(4413)] = 81755,
  [SMALL_STATE(4414)] = 81814,
  [SMALL_STATE(4415)] = 81879,
  [SMALL_STATE(4416)] = 81950,
  [SMALL_STATE(4417)] = 82019,
  [SMALL_STATE(4418)] = 82074,
  [SMALL_STATE(4419)] = 82143,
  [SMALL_STATE(4420)] = 82228,
  [SMALL_STATE(4421)] = 82293,
  [SMALL_STATE(4422)] = 82368,
  [SMALL_STATE(4423)] = 82453,
  [SMALL_STATE(4424)] = 82538,
  [SMALL_STATE(4425)] = 82599,
  [SMALL_STATE(4426)] = 82658,
  [SMALL_STATE(4427)] = 82723,
  [SMALL_STATE(4428)] = 82794,
  [SMALL_STATE(4429)] = 82863,
  [SMALL_STATE(4430)] = 82936,
  [SMALL_STATE(4431)] = 83007,
  [SMALL_STATE(4432)] = 83072,
  [SMALL_STATE(4433)] = 83157,
  [SMALL_STATE(4434)] = 83237,
  [SMALL_STATE(4435)] = 83283,
  [SMALL_STATE(4436)] = 83329,
  [SMALL_STATE(4437)] = 83375,
  [SMALL_STATE(4438)] = 83421,
  [SMALL_STATE(4439)] = 83467,
  [SMALL_STATE(4440)] = 83547,
  [SMALL_STATE(4441)] = 83627,
  [SMALL_STATE(4442)] = 83707,
  [SMALL_STATE(4443)] = 83753,
  [SMALL_STATE(4444)] = 83833,
  [SMALL_STATE(4445)] = 83915,
  [SMALL_STATE(4446)] = 83995,
  [SMALL_STATE(4447)] = 84041,
  [SMALL_STATE(4448)] = 84085,
  [SMALL_STATE(4449)] = 84131,
  [SMALL_STATE(4450)] = 84177,
  [SMALL_STATE(4451)] = 84223,
  [SMALL_STATE(4452)] = 84269,
  [SMALL_STATE(4453)] = 84315,
  [SMALL_STATE(4454)] = 84361,
  [SMALL_STATE(4455)] = 84407,
  [SMALL_STATE(4456)] = 84453,
  [SMALL_STATE(4457)] = 84499,
  [SMALL_STATE(4458)] = 84545,
  [SMALL_STATE(4459)] = 84599,
  [SMALL_STATE(4460)] = 84645,
  [SMALL_STATE(4461)] = 84705,
  [SMALL_STATE(4462)] = 84763,
  [SMALL_STATE(4463)] = 84841,
  [SMALL_STATE(4464)] = 84919,
  [SMALL_STATE(4465)] = 84983,
  [SMALL_STATE(4466)] = 85065,
  [SMALL_STATE(4467)] = 85111,
  [SMALL_STATE(4468)] = 85181,
  [SMALL_STATE(4469)] = 85227,
  [SMALL_STATE(4470)] = 85281,
  [SMALL_STATE(4471)] = 85353,
  [SMALL_STATE(4472)] = 85417,
  [SMALL_STATE(4473)] = 85495,
  [SMALL_STATE(4474)] = 85569,
  [SMALL_STATE(4475)] = 85651,
  [SMALL_STATE(4476)] = 85731,
  [SMALL_STATE(4477)] = 85813,
  [SMALL_STATE(4478)] = 85891,
  [SMALL_STATE(4479)] = 85971,
  [SMALL_STATE(4480)] = 86051,
  [SMALL_STATE(4481)] = 86131,
  [SMALL_STATE(4482)] = 86211,
  [SMALL_STATE(4483)] = 86291,
  [SMALL_STATE(4484)] = 86347,
  [SMALL_STATE(4485)] = 86399,
  [SMALL_STATE(4486)] = 86467,
  [SMALL_STATE(4487)] = 86513,
  [SMALL_STATE(4488)] = 86559,
  [SMALL_STATE(4489)] = 86605,
  [SMALL_STATE(4490)] = 86683,
  [SMALL_STATE(4491)] = 86727,
  [SMALL_STATE(4492)] = 86771,
  [SMALL_STATE(4493)] = 86815,
  [SMALL_STATE(4494)] = 86859,
  [SMALL_STATE(4495)] = 86903,
  [SMALL_STATE(4496)] = 86985,
  [SMALL_STATE(4497)] = 87031,
  [SMALL_STATE(4498)] = 87105,
  [SMALL_STATE(4499)] = 87185,
  [SMALL_STATE(4500)] = 87253,
  [SMALL_STATE(4501)] = 87296,
  [SMALL_STATE(4502)] = 87339,
  [SMALL_STATE(4503)] = 87382,
  [SMALL_STATE(4504)] = 87425,
  [SMALL_STATE(4505)] = 87468,
  [SMALL_STATE(4506)] = 87511,
  [SMALL_STATE(4507)] = 87554,
  [SMALL_STATE(4508)] = 87597,
  [SMALL_STATE(4509)] = 87640,
  [SMALL_STATE(4510)] = 87683,
  [SMALL_STATE(4511)] = 87726,
  [SMALL_STATE(4512)] = 87803,
  [SMALL_STATE(4513)] = 87846,
  [SMALL_STATE(4514)] = 87891,
  [SMALL_STATE(4515)] = 87934,
  [SMALL_STATE(4516)] = 87977,
  [SMALL_STATE(4517)] = 88020,
  [SMALL_STATE(4518)] = 88063,
  [SMALL_STATE(4519)] = 88106,
  [SMALL_STATE(4520)] = 88149,
  [SMALL_STATE(4521)] = 88192,
  [SMALL_STATE(4522)] = 88235,
  [SMALL_STATE(4523)] = 88278,
  [SMALL_STATE(4524)] = 88321,
  [SMALL_STATE(4525)] = 88364,
  [SMALL_STATE(4526)] = 88407,
  [SMALL_STATE(4527)] = 88450,
  [SMALL_STATE(4528)] = 88493,
  [SMALL_STATE(4529)] = 88536,
  [SMALL_STATE(4530)] = 88579,
  [SMALL_STATE(4531)] = 88622,
  [SMALL_STATE(4532)] = 88665,
  [SMALL_STATE(4533)] = 88708,
  [SMALL_STATE(4534)] = 88751,
  [SMALL_STATE(4535)] = 88794,
  [SMALL_STATE(4536)] = 88837,
  [SMALL_STATE(4537)] = 88880,
  [SMALL_STATE(4538)] = 88923,
  [SMALL_STATE(4539)] = 88966,
  [SMALL_STATE(4540)] = 89009,
  [SMALL_STATE(4541)] = 89052,
  [SMALL_STATE(4542)] = 89095,
  [SMALL_STATE(4543)] = 89138,
  [SMALL_STATE(4544)] = 89181,
  [SMALL_STATE(4545)] = 89224,
  [SMALL_STATE(4546)] = 89267,
  [SMALL_STATE(4547)] = 89310,
  [SMALL_STATE(4548)] = 89353,
  [SMALL_STATE(4549)] = 89396,
  [SMALL_STATE(4550)] = 89439,
  [SMALL_STATE(4551)] = 89496,
  [SMALL_STATE(4552)] = 89539,
  [SMALL_STATE(4553)] = 89582,
  [SMALL_STATE(4554)] = 89625,
  [SMALL_STATE(4555)] = 89668,
  [SMALL_STATE(4556)] = 89711,
  [SMALL_STATE(4557)] = 89754,
  [SMALL_STATE(4558)] = 89797,
  [SMALL_STATE(4559)] = 89840,
  [SMALL_STATE(4560)] = 89883,
  [SMALL_STATE(4561)] = 89926,
  [SMALL_STATE(4562)] = 89969,
  [SMALL_STATE(4563)] = 90012,
  [SMALL_STATE(4564)] = 90055,
  [SMALL_STATE(4565)] = 90098,
  [SMALL_STATE(4566)] = 90141,
  [SMALL_STATE(4567)] = 90184,
  [SMALL_STATE(4568)] = 90227,
  [SMALL_STATE(4569)] = 90270,
  [SMALL_STATE(4570)] = 90313,
  [SMALL_STATE(4571)] = 90356,
  [SMALL_STATE(4572)] = 90399,
  [SMALL_STATE(4573)] = 90476,
  [SMALL_STATE(4574)] = 90519,
  [SMALL_STATE(4575)] = 90562,
  [SMALL_STATE(4576)] = 90639,
  [SMALL_STATE(4577)] = 90682,
  [SMALL_STATE(4578)] = 90725,
  [SMALL_STATE(4579)] = 90768,
  [SMALL_STATE(4580)] = 90811,
  [SMALL_STATE(4581)] = 90888,
  [SMALL_STATE(4582)] = 90931,
  [SMALL_STATE(4583)] = 90974,
  [SMALL_STATE(4584)] = 91017,
  [SMALL_STATE(4585)] = 91060,
  [SMALL_STATE(4586)] = 91103,
  [SMALL_STATE(4587)] = 91146,
  [SMALL_STATE(4588)] = 91189,
  [SMALL_STATE(4589)] = 91232,
  [SMALL_STATE(4590)] = 91287,
  [SMALL_STATE(4591)] = 91366,
  [SMALL_STATE(4592)] = 91409,
  [SMALL_STATE(4593)] = 91452,
  [SMALL_STATE(4594)] = 91495,
  [SMALL_STATE(4595)] = 91538,
  [SMALL_STATE(4596)] = 91615,
  [SMALL_STATE(4597)] = 91658,
  [SMALL_STATE(4598)] = 91735,
  [SMALL_STATE(4599)] = 91778,
  [SMALL_STATE(4600)] = 91821,
  [SMALL_STATE(4601)] = 91894,
  [SMALL_STATE(4602)] = 91971,
  [SMALL_STATE(4603)] = 92048,
  [SMALL_STATE(4604)] = 92125,
  [SMALL_STATE(4605)] = 92184,
  [SMALL_STATE(4606)] = 92237,
  [SMALL_STATE(4607)] = 92294,
  [SMALL_STATE(4608)] = 92351,
  [SMALL_STATE(4609)] = 92430,
  [SMALL_STATE(4610)] = 92507,
  [SMALL_STATE(4611)] = 92550,
  [SMALL_STATE(4612)] = 92593,
  [SMALL_STATE(4613)] = 92636,
  [SMALL_STATE(4614)] = 92679,
  [SMALL_STATE(4615)] = 92722,
  [SMALL_STATE(4616)] = 92765,
  [SMALL_STATE(4617)] = 92808,
  [SMALL_STATE(4618)] = 92851,
  [SMALL_STATE(4619)] = 92918,
  [SMALL_STATE(4620)] = 92993,
  [SMALL_STATE(4621)] = 93036,
  [SMALL_STATE(4622)] = 93079,
  [SMALL_STATE(4623)] = 93150,
  [SMALL_STATE(4624)] = 93193,
  [SMALL_STATE(4625)] = 93236,
  [SMALL_STATE(4626)] = 93293,
  [SMALL_STATE(4627)] = 93372,
  [SMALL_STATE(4628)] = 93449,
  [SMALL_STATE(4629)] = 93526,
  [SMALL_STATE(4630)] = 93603,
  [SMALL_STATE(4631)] = 93680,
  [SMALL_STATE(4632)] = 93743,
  [SMALL_STATE(4633)] = 93786,
  [SMALL_STATE(4634)] = 93829,
  [SMALL_STATE(4635)] = 93906,
  [SMALL_STATE(4636)] = 93969,
  [SMALL_STATE(4637)] = 94046,
  [SMALL_STATE(4638)] = 94123,
  [SMALL_STATE(4639)] = 94192,
  [SMALL_STATE(4640)] = 94269,
  [SMALL_STATE(4641)] = 94346,
  [SMALL_STATE(4642)] = 94423,
  [SMALL_STATE(4643)] = 94490,
  [SMALL_STATE(4644)] = 94533,
  [SMALL_STATE(4645)] = 94610,
  [SMALL_STATE(4646)] = 94653,
  [SMALL_STATE(4647)] = 94696,
  [SMALL_STATE(4648)] = 94772,
  [SMALL_STATE(4649)] = 94818,
  [SMALL_STATE(4650)] = 94894,
  [SMALL_STATE(4651)] = 94940,
  [SMALL_STATE(4652)] = 94986,
  [SMALL_STATE(4653)] = 95032,
  [SMALL_STATE(4654)] = 95078,
  [SMALL_STATE(4655)] = 95154,
  [SMALL_STATE(4656)] = 95202,
  [SMALL_STATE(4657)] = 95278,
  [SMALL_STATE(4658)] = 95324,
  [SMALL_STATE(4659)] = 95370,
  [SMALL_STATE(4660)] = 95446,
  [SMALL_STATE(4661)] = 95488,
  [SMALL_STATE(4662)] = 95534,
  [SMALL_STATE(4663)] = 95580,
  [SMALL_STATE(4664)] = 95656,
  [SMALL_STATE(4665)] = 95732,
  [SMALL_STATE(4666)] = 95774,
  [SMALL_STATE(4667)] = 95850,
  [SMALL_STATE(4668)] = 95926,
  [SMALL_STATE(4669)] = 96002,
  [SMALL_STATE(4670)] = 96078,
  [SMALL_STATE(4671)] = 96154,
  [SMALL_STATE(4672)] = 96230,
  [SMALL_STATE(4673)] = 96306,
  [SMALL_STATE(4674)] = 96348,
  [SMALL_STATE(4675)] = 96396,
  [SMALL_STATE(4676)] = 96472,
  [SMALL_STATE(4677)] = 96548,
  [SMALL_STATE(4678)] = 96590,
  [SMALL_STATE(4679)] = 96636,
  [SMALL_STATE(4680)] = 96712,
  [SMALL_STATE(4681)] = 96788,
  [SMALL_STATE(4682)] = 96864,
  [SMALL_STATE(4683)] = 96906,
  [SMALL_STATE(4684)] = 96952,
  [SMALL_STATE(4685)] = 97028,
  [SMALL_STATE(4686)] = 97104,
  [SMALL_STATE(4687)] = 97180,
  [SMALL_STATE(4688)] = 97253,
  [SMALL_STATE(4689)] = 97296,
  [SMALL_STATE(4690)] = 97341,
  [SMALL_STATE(4691)] = 97414,
  [SMALL_STATE(4692)] = 97487,
  [SMALL_STATE(4693)] = 97528,
  [SMALL_STATE(4694)] = 97573,
  [SMALL_STATE(4695)] = 97616,
  [SMALL_STATE(4696)] = 97689,
  [SMALL_STATE(4697)] = 97734,
  [SMALL_STATE(4698)] = 97779,
  [SMALL_STATE(4699)] = 97826,
  [SMALL_STATE(4700)] = 97871,
  [SMALL_STATE(4701)] = 97918,
  [SMALL_STATE(4702)] = 97963,
  [SMALL_STATE(4703)] = 98010,
  [SMALL_STATE(4704)] = 98085,
  [SMALL_STATE(4705)] = 98125,
  [SMALL_STATE(4706)] = 98165,
  [SMALL_STATE(4707)] = 98207,
  [SMALL_STATE(4708)] = 98247,
  [SMALL_STATE(4709)] = 98287,
  [SMALL_STATE(4710)] = 98331,
  [SMALL_STATE(4711)] = 98371,
  [SMALL_STATE(4712)] = 98411,
  [SMALL_STATE(4713)] = 98451,
  [SMALL_STATE(4714)] = 98491,
  [SMALL_STATE(4715)] = 98531,
  [SMALL_STATE(4716)] = 98573,
  [SMALL_STATE(4717)] = 98613,
  [SMALL_STATE(4718)] = 98653,
  [SMALL_STATE(4719)] = 98695,
  [SMALL_STATE(4720)] = 98735,
  [SMALL_STATE(4721)] = 98777,
  [SMALL_STATE(4722)] = 98819,
  [SMALL_STATE(4723)] = 98861,
  [SMALL_STATE(4724)] = 98903,
  [SMALL_STATE(4725)] = 98947,
  [SMALL_STATE(4726)] = 98987,
  [SMALL_STATE(4727)] = 99029,
  [SMALL_STATE(4728)] = 99069,
  [SMALL_STATE(4729)] = 99109,
  [SMALL_STATE(4730)] = 99151,
  [SMALL_STATE(4731)] = 99191,
  [SMALL_STATE(4732)] = 99231,
  [SMALL_STATE(4733)] = 99271,
  [SMALL_STATE(4734)] = 99319,
  [SMALL_STATE(4735)] = 99361,
  [SMALL_STATE(4736)] = 99403,
  [SMALL_STATE(4737)] = 99447,
  [SMALL_STATE(4738)] = 99489,
  [SMALL_STATE(4739)] = 99531,
  [SMALL_STATE(4740)] = 99573,
  [SMALL_STATE(4741)] = 99613,
  [SMALL_STATE(4742)] = 99655,
  [SMALL_STATE(4743)] = 99701,
  [SMALL_STATE(4744)] = 99743,
  [SMALL_STATE(4745)] = 99785,
  [SMALL_STATE(4746)] = 99827,
  [SMALL_STATE(4747)] = 99869,
  [SMALL_STATE(4748)] = 99911,
  [SMALL_STATE(4749)] = 99953,
  [SMALL_STATE(4750)] = 99995,
  [SMALL_STATE(4751)] = 100039,
  [SMALL_STATE(4752)] = 100081,
  [SMALL_STATE(4753)] = 100123,
  [SMALL_STATE(4754)] = 100163,
  [SMALL_STATE(4755)] = 100203,
  [SMALL_STATE(4756)] = 100243,
  [SMALL_STATE(4757)] = 100283,
  [SMALL_STATE(4758)] = 100323,
  [SMALL_STATE(4759)] = 100363,
  [SMALL_STATE(4760)] = 100405,
  [SMALL_STATE(4761)] = 100445,
  [SMALL_STATE(4762)] = 100485,
  [SMALL_STATE(4763)] = 100525,
  [SMALL_STATE(4764)] = 100565,
  [SMALL_STATE(4765)] = 100605,
  [SMALL_STATE(4766)] = 100645,
  [SMALL_STATE(4767)] = 100685,
  [SMALL_STATE(4768)] = 100725,
  [SMALL_STATE(4769)] = 100765,
  [SMALL_STATE(4770)] = 100805,
  [SMALL_STATE(4771)] = 100845,
  [SMALL_STATE(4772)] = 100891,
  [SMALL_STATE(4773)] = 100933,
  [SMALL_STATE(4774)] = 100973,
  [SMALL_STATE(4775)] = 101017,
  [SMALL_STATE(4776)] = 101059,
  [SMALL_STATE(4777)] = 101100,
  [SMALL_STATE(4778)] = 101141,
  [SMALL_STATE(4779)] = 101180,
  [SMALL_STATE(4780)] = 101219,
  [SMALL_STATE(4781)] = 101258,
  [SMALL_STATE(4782)] = 101297,
  [SMALL_STATE(4783)] = 101336,
  [SMALL_STATE(4784)] = 101375,
  [SMALL_STATE(4785)] = 101414,
  [SMALL_STATE(4786)] = 101457,
  [SMALL_STATE(4787)] = 101496,
  [SMALL_STATE(4788)] = 101537,
  [SMALL_STATE(4789)] = 101576,
  [SMALL_STATE(4790)] = 101615,
  [SMALL_STATE(4791)] = 101654,
  [SMALL_STATE(4792)] = 101693,
  [SMALL_STATE(4793)] = 101732,
  [SMALL_STATE(4794)] = 101771,
  [SMALL_STATE(4795)] = 101810,
  [SMALL_STATE(4796)] = 101849,
  [SMALL_STATE(4797)] = 101888,
  [SMALL_STATE(4798)] = 101927,
  [SMALL_STATE(4799)] = 101966,
  [SMALL_STATE(4800)] = 102005,
  [SMALL_STATE(4801)] = 102044,
  [SMALL_STATE(4802)] = 102083,
  [SMALL_STATE(4803)] = 102122,
  [SMALL_STATE(4804)] = 102161,
  [SMALL_STATE(4805)] = 102200,
  [SMALL_STATE(4806)] = 102239,
  [SMALL_STATE(4807)] = 102278,
  [SMALL_STATE(4808)] = 102317,
  [SMALL_STATE(4809)] = 102358,
  [SMALL_STATE(4810)] = 102399,
  [SMALL_STATE(4811)] = 102438,
  [SMALL_STATE(4812)] = 102479,
  [SMALL_STATE(4813)] = 102520,
  [SMALL_STATE(4814)] = 102561,
  [SMALL_STATE(4815)] = 102600,
  [SMALL_STATE(4816)] = 102641,
  [SMALL_STATE(4817)] = 102682,
  [SMALL_STATE(4818)] = 102723,
  [SMALL_STATE(4819)] = 102764,
  [SMALL_STATE(4820)] = 102805,
  [SMALL_STATE(4821)] = 102844,
  [SMALL_STATE(4822)] = 102885,
  [SMALL_STATE(4823)] = 102926,
  [SMALL_STATE(4824)] = 102967,
  [SMALL_STATE(4825)] = 103014,
  [SMALL_STATE(4826)] = 103055,
  [SMALL_STATE(4827)] = 103096,
  [SMALL_STATE(4828)] = 103137,
  [SMALL_STATE(4829)] = 103176,
  [SMALL_STATE(4830)] = 103217,
  [SMALL_STATE(4831)] = 103258,
  [SMALL_STATE(4832)] = 103299,
  [SMALL_STATE(4833)] = 103340,
  [SMALL_STATE(4834)] = 103381,
  [SMALL_STATE(4835)] = 103420,
  [SMALL_STATE(4836)] = 103461,
  [SMALL_STATE(4837)] = 103502,
  [SMALL_STATE(4838)] = 103543,
  [SMALL_STATE(4839)] = 103584,
  [SMALL_STATE(4840)] = 103625,
  [SMALL_STATE(4841)] = 103664,
  [SMALL_STATE(4842)] = 103705,
  [SMALL_STATE(4843)] = 103750,
  [SMALL_STATE(4844)] = 103791,
  [SMALL_STATE(4845)] = 103832,
  [SMALL_STATE(4846)] = 103873,
  [SMALL_STATE(4847)] = 103914,
  [SMALL_STATE(4848)] = 103955,
  [SMALL_STATE(4849)] = 103996,
  [SMALL_STATE(4850)] = 104037,
  [SMALL_STATE(4851)] = 104078,
  [SMALL_STATE(4852)] = 104119,
  [SMALL_STATE(4853)] = 104164,
  [SMALL_STATE(4854)] = 104205,
  [SMALL_STATE(4855)] = 104246,
  [SMALL_STATE(4856)] = 104285,
  [SMALL_STATE(4857)] = 104324,
  [SMALL_STATE(4858)] = 104363,
  [SMALL_STATE(4859)] = 104406,
  [SMALL_STATE(4860)] = 104445,
  [SMALL_STATE(4861)] = 104486,
  [SMALL_STATE(4862)] = 104527,
  [SMALL_STATE(4863)] = 104566,
  [SMALL_STATE(4864)] = 104605,
  [SMALL_STATE(4865)] = 104644,
  [SMALL_STATE(4866)] = 104685,
  [SMALL_STATE(4867)] = 104730,
  [SMALL_STATE(4868)] = 104771,
  [SMALL_STATE(4869)] = 104812,
  [SMALL_STATE(4870)] = 104853,
  [SMALL_STATE(4871)] = 104894,
  [SMALL_STATE(4872)] = 104935,
  [SMALL_STATE(4873)] = 104976,
  [SMALL_STATE(4874)] = 105017,
  [SMALL_STATE(4875)] = 105056,
  [SMALL_STATE(4876)] = 105097,
  [SMALL_STATE(4877)] = 105138,
  [SMALL_STATE(4878)] = 105177,
  [SMALL_STATE(4879)] = 105218,
  [SMALL_STATE(4880)] = 105259,
  [SMALL_STATE(4881)] = 105300,
  [SMALL_STATE(4882)] = 105341,
  [SMALL_STATE(4883)] = 105382,
  [SMALL_STATE(4884)] = 105423,
  [SMALL_STATE(4885)] = 105490,
  [SMALL_STATE(4886)] = 105529,
  [SMALL_STATE(4887)] = 105568,
  [SMALL_STATE(4888)] = 105609,
  [SMALL_STATE(4889)] = 105650,
  [SMALL_STATE(4890)] = 105689,
  [SMALL_STATE(4891)] = 105728,
  [SMALL_STATE(4892)] = 105769,
  [SMALL_STATE(4893)] = 105810,
  [SMALL_STATE(4894)] = 105851,
  [SMALL_STATE(4895)] = 105892,
  [SMALL_STATE(4896)] = 105933,
  [SMALL_STATE(4897)] = 105972,
  [SMALL_STATE(4898)] = 106013,
  [SMALL_STATE(4899)] = 106054,
  [SMALL_STATE(4900)] = 106095,
  [SMALL_STATE(4901)] = 106136,
  [SMALL_STATE(4902)] = 106179,
  [SMALL_STATE(4903)] = 106218,
  [SMALL_STATE(4904)] = 106257,
  [SMALL_STATE(4905)] = 106296,
  [SMALL_STATE(4906)] = 106363,
  [SMALL_STATE(4907)] = 106402,
  [SMALL_STATE(4908)] = 106441,
  [SMALL_STATE(4909)] = 106480,
  [SMALL_STATE(4910)] = 106519,
  [SMALL_STATE(4911)] = 106558,
  [SMALL_STATE(4912)] = 106597,
  [SMALL_STATE(4913)] = 106636,
  [SMALL_STATE(4914)] = 106675,
  [SMALL_STATE(4915)] = 106714,
  [SMALL_STATE(4916)] = 106753,
  [SMALL_STATE(4917)] = 106794,
  [SMALL_STATE(4918)] = 106835,
  [SMALL_STATE(4919)] = 106874,
  [SMALL_STATE(4920)] = 106915,
  [SMALL_STATE(4921)] = 106954,
  [SMALL_STATE(4922)] = 106995,
  [SMALL_STATE(4923)] = 107034,
  [SMALL_STATE(4924)] = 107073,
  [SMALL_STATE(4925)] = 107112,
  [SMALL_STATE(4926)] = 107151,
  [SMALL_STATE(4927)] = 107190,
  [SMALL_STATE(4928)] = 107233,
  [SMALL_STATE(4929)] = 107276,
  [SMALL_STATE(4930)] = 107317,
  [SMALL_STATE(4931)] = 107358,
  [SMALL_STATE(4932)] = 107399,
  [SMALL_STATE(4933)] = 107440,
  [SMALL_STATE(4934)] = 107481,
  [SMALL_STATE(4935)] = 107520,
  [SMALL_STATE(4936)] = 107558,
  [SMALL_STATE(4937)] = 107596,
  [SMALL_STATE(4938)] = 107634,
  [SMALL_STATE(4939)] = 107672,
  [SMALL_STATE(4940)] = 107710,
  [SMALL_STATE(4941)] = 107748,
  [SMALL_STATE(4942)] = 107786,
  [SMALL_STATE(4943)] = 107824,
  [SMALL_STATE(4944)] = 107862,
  [SMALL_STATE(4945)] = 107900,
  [SMALL_STATE(4946)] = 107938,
  [SMALL_STATE(4947)] = 107976,
  [SMALL_STATE(4948)] = 108014,
  [SMALL_STATE(4949)] = 108052,
  [SMALL_STATE(4950)] = 108090,
  [SMALL_STATE(4951)] = 108128,
  [SMALL_STATE(4952)] = 108166,
  [SMALL_STATE(4953)] = 108204,
  [SMALL_STATE(4954)] = 108242,
  [SMALL_STATE(4955)] = 108280,
  [SMALL_STATE(4956)] = 108318,
  [SMALL_STATE(4957)] = 108356,
  [SMALL_STATE(4958)] = 108400,
  [SMALL_STATE(4959)] = 108438,
  [SMALL_STATE(4960)] = 108484,
  [SMALL_STATE(4961)] = 108548,
  [SMALL_STATE(4962)] = 108586,
  [SMALL_STATE(4963)] = 108624,
  [SMALL_STATE(4964)] = 108662,
  [SMALL_STATE(4965)] = 108700,
  [SMALL_STATE(4966)] = 108738,
  [SMALL_STATE(4967)] = 108776,
  [SMALL_STATE(4968)] = 108814,
  [SMALL_STATE(4969)] = 108852,
  [SMALL_STATE(4970)] = 108890,
  [SMALL_STATE(4971)] = 108928,
  [SMALL_STATE(4972)] = 108966,
  [SMALL_STATE(4973)] = 109004,
  [SMALL_STATE(4974)] = 109042,
  [SMALL_STATE(4975)] = 109080,
  [SMALL_STATE(4976)] = 109118,
  [SMALL_STATE(4977)] = 109158,
  [SMALL_STATE(4978)] = 109196,
  [SMALL_STATE(4979)] = 109234,
  [SMALL_STATE(4980)] = 109272,
  [SMALL_STATE(4981)] = 109310,
  [SMALL_STATE(4982)] = 109348,
  [SMALL_STATE(4983)] = 109386,
  [SMALL_STATE(4984)] = 109424,
  [SMALL_STATE(4985)] = 109462,
  [SMALL_STATE(4986)] = 109500,
  [SMALL_STATE(4987)] = 109538,
  [SMALL_STATE(4988)] = 109576,
  [SMALL_STATE(4989)] = 109614,
  [SMALL_STATE(4990)] = 109652,
  [SMALL_STATE(4991)] = 109690,
  [SMALL_STATE(4992)] = 109728,
  [SMALL_STATE(4993)] = 109766,
  [SMALL_STATE(4994)] = 109804,
  [SMALL_STATE(4995)] = 109842,
  [SMALL_STATE(4996)] = 109880,
  [SMALL_STATE(4997)] = 109918,
  [SMALL_STATE(4998)] = 109982,
  [SMALL_STATE(4999)] = 110020,
  [SMALL_STATE(5000)] = 110058,
  [SMALL_STATE(5001)] = 110096,
  [SMALL_STATE(5002)] = 110134,
  [SMALL_STATE(5003)] = 110172,
  [SMALL_STATE(5004)] = 110210,
  [SMALL_STATE(5005)] = 110248,
  [SMALL_STATE(5006)] = 110286,
  [SMALL_STATE(5007)] = 110324,
  [SMALL_STATE(5008)] = 110362,
  [SMALL_STATE(5009)] = 110400,
  [SMALL_STATE(5010)] = 110438,
  [SMALL_STATE(5011)] = 110476,
  [SMALL_STATE(5012)] = 110514,
  [SMALL_STATE(5013)] = 110552,
  [SMALL_STATE(5014)] = 110590,
  [SMALL_STATE(5015)] = 110628,
  [SMALL_STATE(5016)] = 110666,
  [SMALL_STATE(5017)] = 110704,
  [SMALL_STATE(5018)] = 110742,
  [SMALL_STATE(5019)] = 110780,
  [SMALL_STATE(5020)] = 110818,
  [SMALL_STATE(5021)] = 110856,
  [SMALL_STATE(5022)] = 110894,
  [SMALL_STATE(5023)] = 110932,
  [SMALL_STATE(5024)] = 110970,
  [SMALL_STATE(5025)] = 111008,
  [SMALL_STATE(5026)] = 111046,
  [SMALL_STATE(5027)] = 111084,
  [SMALL_STATE(5028)] = 111122,
  [SMALL_STATE(5029)] = 111160,
  [SMALL_STATE(5030)] = 111198,
  [SMALL_STATE(5031)] = 111236,
  [SMALL_STATE(5032)] = 111276,
  [SMALL_STATE(5033)] = 111314,
  [SMALL_STATE(5034)] = 111352,
  [SMALL_STATE(5035)] = 111392,
  [SMALL_STATE(5036)] = 111444,
  [SMALL_STATE(5037)] = 111482,
  [SMALL_STATE(5038)] = 111520,
  [SMALL_STATE(5039)] = 111558,
  [SMALL_STATE(5040)] = 111596,
  [SMALL_STATE(5041)] = 111634,
  [SMALL_STATE(5042)] = 111672,
  [SMALL_STATE(5043)] = 111710,
  [SMALL_STATE(5044)] = 111748,
  [SMALL_STATE(5045)] = 111786,
  [SMALL_STATE(5046)] = 111824,
  [SMALL_STATE(5047)] = 111862,
  [SMALL_STATE(5048)] = 111900,
  [SMALL_STATE(5049)] = 111938,
  [SMALL_STATE(5050)] = 111976,
  [SMALL_STATE(5051)] = 112014,
  [SMALL_STATE(5052)] = 112052,
  [SMALL_STATE(5053)] = 112090,
  [SMALL_STATE(5054)] = 112130,
  [SMALL_STATE(5055)] = 112170,
  [SMALL_STATE(5056)] = 112208,
  [SMALL_STATE(5057)] = 112246,
  [SMALL_STATE(5058)] = 112284,
  [SMALL_STATE(5059)] = 112322,
  [SMALL_STATE(5060)] = 112360,
  [SMALL_STATE(5061)] = 112398,
  [SMALL_STATE(5062)] = 112436,
  [SMALL_STATE(5063)] = 112474,
  [SMALL_STATE(5064)] = 112512,
  [SMALL_STATE(5065)] = 112550,
  [SMALL_STATE(5066)] = 112588,
  [SMALL_STATE(5067)] = 112626,
  [SMALL_STATE(5068)] = 112664,
  [SMALL_STATE(5069)] = 112702,
  [SMALL_STATE(5070)] = 112740,
  [SMALL_STATE(5071)] = 112778,
  [SMALL_STATE(5072)] = 112816,
  [SMALL_STATE(5073)] = 112854,
  [SMALL_STATE(5074)] = 112892,
  [SMALL_STATE(5075)] = 112930,
  [SMALL_STATE(5076)] = 112968,
  [SMALL_STATE(5077)] = 113006,
  [SMALL_STATE(5078)] = 113044,
  [SMALL_STATE(5079)] = 113082,
  [SMALL_STATE(5080)] = 113120,
  [SMALL_STATE(5081)] = 113158,
  [SMALL_STATE(5082)] = 113196,
  [SMALL_STATE(5083)] = 113234,
  [SMALL_STATE(5084)] = 113272,
  [SMALL_STATE(5085)] = 113310,
  [SMALL_STATE(5086)] = 113348,
  [SMALL_STATE(5087)] = 113386,
  [SMALL_STATE(5088)] = 113424,
  [SMALL_STATE(5089)] = 113462,
  [SMALL_STATE(5090)] = 113500,
  [SMALL_STATE(5091)] = 113538,
  [SMALL_STATE(5092)] = 113576,
  [SMALL_STATE(5093)] = 113616,
  [SMALL_STATE(5094)] = 113654,
  [SMALL_STATE(5095)] = 113692,
  [SMALL_STATE(5096)] = 113756,
  [SMALL_STATE(5097)] = 113820,
  [SMALL_STATE(5098)] = 113858,
  [SMALL_STATE(5099)] = 113922,
  [SMALL_STATE(5100)] = 113960,
  [SMALL_STATE(5101)] = 113998,
  [SMALL_STATE(5102)] = 114036,
  [SMALL_STATE(5103)] = 114074,
  [SMALL_STATE(5104)] = 114112,
  [SMALL_STATE(5105)] = 114150,
  [SMALL_STATE(5106)] = 114188,
  [SMALL_STATE(5107)] = 114226,
  [SMALL_STATE(5108)] = 114264,
  [SMALL_STATE(5109)] = 114304,
  [SMALL_STATE(5110)] = 114342,
  [SMALL_STATE(5111)] = 114382,
  [SMALL_STATE(5112)] = 114422,
  [SMALL_STATE(5113)] = 114460,
  [SMALL_STATE(5114)] = 114498,
  [SMALL_STATE(5115)] = 114536,
  [SMALL_STATE(5116)] = 114574,
  [SMALL_STATE(5117)] = 114612,
  [SMALL_STATE(5118)] = 114650,
  [SMALL_STATE(5119)] = 114688,
  [SMALL_STATE(5120)] = 114726,
  [SMALL_STATE(5121)] = 114764,
  [SMALL_STATE(5122)] = 114802,
  [SMALL_STATE(5123)] = 114840,
  [SMALL_STATE(5124)] = 114878,
  [SMALL_STATE(5125)] = 114916,
  [SMALL_STATE(5126)] = 114954,
  [SMALL_STATE(5127)] = 114992,
  [SMALL_STATE(5128)] = 115030,
  [SMALL_STATE(5129)] = 115068,
  [SMALL_STATE(5130)] = 115106,
  [SMALL_STATE(5131)] = 115144,
  [SMALL_STATE(5132)] = 115182,
  [SMALL_STATE(5133)] = 115222,
  [SMALL_STATE(5134)] = 115260,
  [SMALL_STATE(5135)] = 115298,
  [SMALL_STATE(5136)] = 115336,
  [SMALL_STATE(5137)] = 115374,
  [SMALL_STATE(5138)] = 115412,
  [SMALL_STATE(5139)] = 115450,
  [SMALL_STATE(5140)] = 115488,
  [SMALL_STATE(5141)] = 115526,
  [SMALL_STATE(5142)] = 115564,
  [SMALL_STATE(5143)] = 115602,
  [SMALL_STATE(5144)] = 115640,
  [SMALL_STATE(5145)] = 115678,
  [SMALL_STATE(5146)] = 115718,
  [SMALL_STATE(5147)] = 115756,
  [SMALL_STATE(5148)] = 115794,
  [SMALL_STATE(5149)] = 115832,
  [SMALL_STATE(5150)] = 115870,
  [SMALL_STATE(5151)] = 115934,
  [SMALL_STATE(5152)] = 115972,
  [SMALL_STATE(5153)] = 116010,
  [SMALL_STATE(5154)] = 116048,
  [SMALL_STATE(5155)] = 116086,
  [SMALL_STATE(5156)] = 116150,
  [SMALL_STATE(5157)] = 116188,
  [SMALL_STATE(5158)] = 116226,
  [SMALL_STATE(5159)] = 116264,
  [SMALL_STATE(5160)] = 116302,
  [SMALL_STATE(5161)] = 116366,
  [SMALL_STATE(5162)] = 116404,
  [SMALL_STATE(5163)] = 116442,
  [SMALL_STATE(5164)] = 116506,
  [SMALL_STATE(5165)] = 116570,
  [SMALL_STATE(5166)] = 116608,
  [SMALL_STATE(5167)] = 116646,
  [SMALL_STATE(5168)] = 116686,
  [SMALL_STATE(5169)] = 116724,
  [SMALL_STATE(5170)] = 116762,
  [SMALL_STATE(5171)] = 116800,
  [SMALL_STATE(5172)] = 116838,
  [SMALL_STATE(5173)] = 116876,
  [SMALL_STATE(5174)] = 116914,
  [SMALL_STATE(5175)] = 116952,
  [SMALL_STATE(5176)] = 117016,
  [SMALL_STATE(5177)] = 117054,
  [SMALL_STATE(5178)] = 117092,
  [SMALL_STATE(5179)] = 117130,
  [SMALL_STATE(5180)] = 117168,
  [SMALL_STATE(5181)] = 117206,
  [SMALL_STATE(5182)] = 117244,
  [SMALL_STATE(5183)] = 117282,
  [SMALL_STATE(5184)] = 117320,
  [SMALL_STATE(5185)] = 117358,
  [SMALL_STATE(5186)] = 117396,
  [SMALL_STATE(5187)] = 117434,
  [SMALL_STATE(5188)] = 117472,
  [SMALL_STATE(5189)] = 117510,
  [SMALL_STATE(5190)] = 117548,
  [SMALL_STATE(5191)] = 117586,
  [SMALL_STATE(5192)] = 117624,
  [SMALL_STATE(5193)] = 117662,
  [SMALL_STATE(5194)] = 117700,
  [SMALL_STATE(5195)] = 117738,
  [SMALL_STATE(5196)] = 117776,
  [SMALL_STATE(5197)] = 117814,
  [SMALL_STATE(5198)] = 117852,
  [SMALL_STATE(5199)] = 117890,
  [SMALL_STATE(5200)] = 117928,
  [SMALL_STATE(5201)] = 117966,
  [SMALL_STATE(5202)] = 118004,
  [SMALL_STATE(5203)] = 118042,
  [SMALL_STATE(5204)] = 118106,
  [SMALL_STATE(5205)] = 118144,
  [SMALL_STATE(5206)] = 118182,
  [SMALL_STATE(5207)] = 118220,
  [SMALL_STATE(5208)] = 118284,
  [SMALL_STATE(5209)] = 118348,
  [SMALL_STATE(5210)] = 118386,
  [SMALL_STATE(5211)] = 118424,
  [SMALL_STATE(5212)] = 118462,
  [SMALL_STATE(5213)] = 118500,
  [SMALL_STATE(5214)] = 118538,
  [SMALL_STATE(5215)] = 118576,
  [SMALL_STATE(5216)] = 118614,
  [SMALL_STATE(5217)] = 118652,
  [SMALL_STATE(5218)] = 118690,
  [SMALL_STATE(5219)] = 118728,
  [SMALL_STATE(5220)] = 118766,
  [SMALL_STATE(5221)] = 118804,
  [SMALL_STATE(5222)] = 118842,
  [SMALL_STATE(5223)] = 118880,
  [SMALL_STATE(5224)] = 118918,
  [SMALL_STATE(5225)] = 118956,
  [SMALL_STATE(5226)] = 118994,
  [SMALL_STATE(5227)] = 119032,
  [SMALL_STATE(5228)] = 119070,
  [SMALL_STATE(5229)] = 119108,
  [SMALL_STATE(5230)] = 119146,
  [SMALL_STATE(5231)] = 119186,
  [SMALL_STATE(5232)] = 119224,
  [SMALL_STATE(5233)] = 119262,
  [SMALL_STATE(5234)] = 119300,
  [SMALL_STATE(5235)] = 119338,
  [SMALL_STATE(5236)] = 119378,
  [SMALL_STATE(5237)] = 119416,
  [SMALL_STATE(5238)] = 119454,
  [SMALL_STATE(5239)] = 119492,
  [SMALL_STATE(5240)] = 119536,
  [SMALL_STATE(5241)] = 119576,
  [SMALL_STATE(5242)] = 119614,
  [SMALL_STATE(5243)] = 119652,
  [SMALL_STATE(5244)] = 119691,
  [SMALL_STATE(5245)] = 119730,
  [SMALL_STATE(5246)] = 119769,
  [SMALL_STATE(5247)] = 119808,
  [SMALL_STATE(5248)] = 119847,
  [SMALL_STATE(5249)] = 119886,
  [SMALL_STATE(5250)] = 119925,
  [SMALL_STATE(5251)] = 119964,
  [SMALL_STATE(5252)] = 120003,
  [SMALL_STATE(5253)] = 120042,
  [SMALL_STATE(5254)] = 120083,
  [SMALL_STATE(5255)] = 120122,
  [SMALL_STATE(5256)] = 120161,
  [SMALL_STATE(5257)] = 120202,
  [SMALL_STATE(5258)] = 120241,
  [SMALL_STATE(5259)] = 120280,
  [SMALL_STATE(5260)] = 120319,
  [SMALL_STATE(5261)] = 120358,
  [SMALL_STATE(5262)] = 120397,
  [SMALL_STATE(5263)] = 120436,
  [SMALL_STATE(5264)] = 120475,
  [SMALL_STATE(5265)] = 120516,
  [SMALL_STATE(5266)] = 120559,
  [SMALL_STATE(5267)] = 120595,
  [SMALL_STATE(5268)] = 120631,
  [SMALL_STATE(5269)] = 120667,
  [SMALL_STATE(5270)] = 120703,
  [SMALL_STATE(5271)] = 120739,
  [SMALL_STATE(5272)] = 120775,
  [SMALL_STATE(5273)] = 120811,
  [SMALL_STATE(5274)] = 120847,
  [SMALL_STATE(5275)] = 120883,
  [SMALL_STATE(5276)] = 120919,
  [SMALL_STATE(5277)] = 120955,
  [SMALL_STATE(5278)] = 120991,
  [SMALL_STATE(5279)] = 121027,
  [SMALL_STATE(5280)] = 121063,
  [SMALL_STATE(5281)] = 121099,
  [SMALL_STATE(5282)] = 121135,
  [SMALL_STATE(5283)] = 121171,
  [SMALL_STATE(5284)] = 121207,
  [SMALL_STATE(5285)] = 121243,
  [SMALL_STATE(5286)] = 121279,
  [SMALL_STATE(5287)] = 121315,
  [SMALL_STATE(5288)] = 121351,
  [SMALL_STATE(5289)] = 121387,
  [SMALL_STATE(5290)] = 121423,
  [SMALL_STATE(5291)] = 121459,
  [SMALL_STATE(5292)] = 121495,
  [SMALL_STATE(5293)] = 121531,
  [SMALL_STATE(5294)] = 121567,
  [SMALL_STATE(5295)] = 121603,
  [SMALL_STATE(5296)] = 121639,
  [SMALL_STATE(5297)] = 121675,
  [SMALL_STATE(5298)] = 121711,
  [SMALL_STATE(5299)] = 121747,
  [SMALL_STATE(5300)] = 121783,
  [SMALL_STATE(5301)] = 121819,
  [SMALL_STATE(5302)] = 121855,
  [SMALL_STATE(5303)] = 121891,
  [SMALL_STATE(5304)] = 121927,
  [SMALL_STATE(5305)] = 121963,
  [SMALL_STATE(5306)] = 121999,
  [SMALL_STATE(5307)] = 122035,
  [SMALL_STATE(5308)] = 122071,
  [SMALL_STATE(5309)] = 122107,
  [SMALL_STATE(5310)] = 122160,
  [SMALL_STATE(5311)] = 122215,
  [SMALL_STATE(5312)] = 122270,
  [SMALL_STATE(5313)] = 122327,
  [SMALL_STATE(5314)] = 122365,
  [SMALL_STATE(5315)] = 122429,
  [SMALL_STATE(5316)] = 122493,
  [SMALL_STATE(5317)] = 122557,
  [SMALL_STATE(5318)] = 122621,
  [SMALL_STATE(5319)] = 122662,
  [SMALL_STATE(5320)] = 122699,
  [SMALL_STATE(5321)] = 122734,
  [SMALL_STATE(5322)] = 122786,
  [SMALL_STATE(5323)] = 122818,
  [SMALL_STATE(5324)] = 122874,
  [SMALL_STATE(5325)] = 122906,
  [SMALL_STATE(5326)] = 122938,
  [SMALL_STATE(5327)] = 122978,
  [SMALL_STATE(5328)] = 123010,
  [SMALL_STATE(5329)] = 123059,
  [SMALL_STATE(5330)] = 123090,
  [SMALL_STATE(5331)] = 123121,
  [SMALL_STATE(5332)] = 123152,
  [SMALL_STATE(5333)] = 123201,
  [SMALL_STATE(5334)] = 123250,
  [SMALL_STATE(5335)] = 123281,
  [SMALL_STATE(5336)] = 123316,
  [SMALL_STATE(5337)] = 123347,
  [SMALL_STATE(5338)] = 123381,
  [SMALL_STATE(5339)] = 123413,
  [SMALL_STATE(5340)] = 123447,
  [SMALL_STATE(5341)] = 123481,
  [SMALL_STATE(5342)] = 123515,
  [SMALL_STATE(5343)] = 123549,
  [SMALL_STATE(5344)] = 123583,
  [SMALL_STATE(5345)] = 123615,
  [SMALL_STATE(5346)] = 123649,
  [SMALL_STATE(5347)] = 123681,
  [SMALL_STATE(5348)] = 123715,
  [SMALL_STATE(5349)] = 123749,
  [SMALL_STATE(5350)] = 123783,
  [SMALL_STATE(5351)] = 123812,
  [SMALL_STATE(5352)] = 123841,
  [SMALL_STATE(5353)] = 123870,
  [SMALL_STATE(5354)] = 123919,
  [SMALL_STATE(5355)] = 123968,
  [SMALL_STATE(5356)] = 124023,
  [SMALL_STATE(5357)] = 124052,
  [SMALL_STATE(5358)] = 124081,
  [SMALL_STATE(5359)] = 124130,
  [SMALL_STATE(5360)] = 124179,
  [SMALL_STATE(5361)] = 124228,
  [SMALL_STATE(5362)] = 124257,
  [SMALL_STATE(5363)] = 124286,
  [SMALL_STATE(5364)] = 124315,
  [SMALL_STATE(5365)] = 124344,
  [SMALL_STATE(5366)] = 124373,
  [SMALL_STATE(5367)] = 124402,
  [SMALL_STATE(5368)] = 124451,
  [SMALL_STATE(5369)] = 124480,
  [SMALL_STATE(5370)] = 124509,
  [SMALL_STATE(5371)] = 124538,
  [SMALL_STATE(5372)] = 124587,
  [SMALL_STATE(5373)] = 124616,
  [SMALL_STATE(5374)] = 124645,
  [SMALL_STATE(5375)] = 124694,
  [SMALL_STATE(5376)] = 124723,
  [SMALL_STATE(5377)] = 124752,
  [SMALL_STATE(5378)] = 124781,
  [SMALL_STATE(5379)] = 124810,
  [SMALL_STATE(5380)] = 124865,
  [SMALL_STATE(5381)] = 124894,
  [SMALL_STATE(5382)] = 124923,
  [SMALL_STATE(5383)] = 124952,
  [SMALL_STATE(5384)] = 124981,
  [SMALL_STATE(5385)] = 125010,
  [SMALL_STATE(5386)] = 125059,
  [SMALL_STATE(5387)] = 125108,
  [SMALL_STATE(5388)] = 125137,
  [SMALL_STATE(5389)] = 125182,
  [SMALL_STATE(5390)] = 125211,
  [SMALL_STATE(5391)] = 125240,
  [SMALL_STATE(5392)] = 125269,
  [SMALL_STATE(5393)] = 125298,
  [SMALL_STATE(5394)] = 125327,
  [SMALL_STATE(5395)] = 125372,
  [SMALL_STATE(5396)] = 125421,
  [SMALL_STATE(5397)] = 125466,
  [SMALL_STATE(5398)] = 125521,
  [SMALL_STATE(5399)] = 125550,
  [SMALL_STATE(5400)] = 125598,
  [SMALL_STATE(5401)] = 125626,
  [SMALL_STATE(5402)] = 125660,
  [SMALL_STATE(5403)] = 125708,
  [SMALL_STATE(5404)] = 125756,
  [SMALL_STATE(5405)] = 125794,
  [SMALL_STATE(5406)] = 125822,
  [SMALL_STATE(5407)] = 125870,
  [SMALL_STATE(5408)] = 125918,
  [SMALL_STATE(5409)] = 125946,
  [SMALL_STATE(5410)] = 125994,
  [SMALL_STATE(5411)] = 126022,
  [SMALL_STATE(5412)] = 126070,
  [SMALL_STATE(5413)] = 126118,
  [SMALL_STATE(5414)] = 126150,
  [SMALL_STATE(5415)] = 126178,
  [SMALL_STATE(5416)] = 126206,
  [SMALL_STATE(5417)] = 126234,
  [SMALL_STATE(5418)] = 126262,
  [SMALL_STATE(5419)] = 126290,
  [SMALL_STATE(5420)] = 126318,
  [SMALL_STATE(5421)] = 126346,
  [SMALL_STATE(5422)] = 126374,
  [SMALL_STATE(5423)] = 126402,
  [SMALL_STATE(5424)] = 126450,
  [SMALL_STATE(5425)] = 126478,
  [SMALL_STATE(5426)] = 126506,
  [SMALL_STATE(5427)] = 126534,
  [SMALL_STATE(5428)] = 126582,
  [SMALL_STATE(5429)] = 126610,
  [SMALL_STATE(5430)] = 126660,
  [SMALL_STATE(5431)] = 126708,
  [SMALL_STATE(5432)] = 126736,
  [SMALL_STATE(5433)] = 126784,
  [SMALL_STATE(5434)] = 126832,
  [SMALL_STATE(5435)] = 126880,
  [SMALL_STATE(5436)] = 126928,
  [SMALL_STATE(5437)] = 126976,
  [SMALL_STATE(5438)] = 127024,
  [SMALL_STATE(5439)] = 127052,
  [SMALL_STATE(5440)] = 127100,
  [SMALL_STATE(5441)] = 127142,
  [SMALL_STATE(5442)] = 127190,
  [SMALL_STATE(5443)] = 127230,
  [SMALL_STATE(5444)] = 127274,
  [SMALL_STATE(5445)] = 127322,
  [SMALL_STATE(5446)] = 127370,
  [SMALL_STATE(5447)] = 127418,
  [SMALL_STATE(5448)] = 127466,
  [SMALL_STATE(5449)] = 127494,
  [SMALL_STATE(5450)] = 127522,
  [SMALL_STATE(5451)] = 127570,
  [SMALL_STATE(5452)] = 127616,
  [SMALL_STATE(5453)] = 127664,
  [SMALL_STATE(5454)] = 127712,
  [SMALL_STATE(5455)] = 127760,
  [SMALL_STATE(5456)] = 127808,
  [SMALL_STATE(5457)] = 127856,
  [SMALL_STATE(5458)] = 127904,
  [SMALL_STATE(5459)] = 127952,
  [SMALL_STATE(5460)] = 128000,
  [SMALL_STATE(5461)] = 128048,
  [SMALL_STATE(5462)] = 128096,
  [SMALL_STATE(5463)] = 128144,
  [SMALL_STATE(5464)] = 128192,
  [SMALL_STATE(5465)] = 128240,
  [SMALL_STATE(5466)] = 128288,
  [SMALL_STATE(5467)] = 128336,
  [SMALL_STATE(5468)] = 128384,
  [SMALL_STATE(5469)] = 128432,
  [SMALL_STATE(5470)] = 128460,
  [SMALL_STATE(5471)] = 128488,
  [SMALL_STATE(5472)] = 128518,
  [SMALL_STATE(5473)] = 128546,
  [SMALL_STATE(5474)] = 128594,
  [SMALL_STATE(5475)] = 128642,
  [SMALL_STATE(5476)] = 128688,
  [SMALL_STATE(5477)] = 128734,
  [SMALL_STATE(5478)] = 128778,
  [SMALL_STATE(5479)] = 128820,
  [SMALL_STATE(5480)] = 128858,
  [SMALL_STATE(5481)] = 128892,
  [SMALL_STATE(5482)] = 128940,
  [SMALL_STATE(5483)] = 128972,
  [SMALL_STATE(5484)] = 129000,
  [SMALL_STATE(5485)] = 129028,
  [SMALL_STATE(5486)] = 129076,
  [SMALL_STATE(5487)] = 129124,
  [SMALL_STATE(5488)] = 129172,
  [SMALL_STATE(5489)] = 129220,
  [SMALL_STATE(5490)] = 129248,
  [SMALL_STATE(5491)] = 129296,
  [SMALL_STATE(5492)] = 129344,
  [SMALL_STATE(5493)] = 129374,
  [SMALL_STATE(5494)] = 129410,
  [SMALL_STATE(5495)] = 129438,
  [SMALL_STATE(5496)] = 129486,
  [SMALL_STATE(5497)] = 129514,
  [SMALL_STATE(5498)] = 129562,
  [SMALL_STATE(5499)] = 129590,
  [SMALL_STATE(5500)] = 129618,
  [SMALL_STATE(5501)] = 129646,
  [SMALL_STATE(5502)] = 129691,
  [SMALL_STATE(5503)] = 129736,
  [SMALL_STATE(5504)] = 129781,
  [SMALL_STATE(5505)] = 129826,
  [SMALL_STATE(5506)] = 129871,
  [SMALL_STATE(5507)] = 129916,
  [SMALL_STATE(5508)] = 129961,
  [SMALL_STATE(5509)] = 130006,
  [SMALL_STATE(5510)] = 130051,
  [SMALL_STATE(5511)] = 130096,
  [SMALL_STATE(5512)] = 130139,
  [SMALL_STATE(5513)] = 130180,
  [SMALL_STATE(5514)] = 130225,
  [SMALL_STATE(5515)] = 130274,
  [SMALL_STATE(5516)] = 130319,
  [SMALL_STATE(5517)] = 130360,
  [SMALL_STATE(5518)] = 130405,
  [SMALL_STATE(5519)] = 130450,
  [SMALL_STATE(5520)] = 130493,
  [SMALL_STATE(5521)] = 130538,
  [SMALL_STATE(5522)] = 130583,
  [SMALL_STATE(5523)] = 130628,
  [SMALL_STATE(5524)] = 130673,
  [SMALL_STATE(5525)] = 130722,
  [SMALL_STATE(5526)] = 130767,
  [SMALL_STATE(5527)] = 130812,
  [SMALL_STATE(5528)] = 130857,
  [SMALL_STATE(5529)] = 130902,
  [SMALL_STATE(5530)] = 130947,
  [SMALL_STATE(5531)] = 130992,
  [SMALL_STATE(5532)] = 131037,
  [SMALL_STATE(5533)] = 131082,
  [SMALL_STATE(5534)] = 131127,
  [SMALL_STATE(5535)] = 131172,
  [SMALL_STATE(5536)] = 131217,
  [SMALL_STATE(5537)] = 131262,
  [SMALL_STATE(5538)] = 131302,
  [SMALL_STATE(5539)] = 131342,
  [SMALL_STATE(5540)] = 131382,
  [SMALL_STATE(5541)] = 131422,
  [SMALL_STATE(5542)] = 131462,
  [SMALL_STATE(5543)] = 131502,
  [SMALL_STATE(5544)] = 131542,
  [SMALL_STATE(5545)] = 131582,
  [SMALL_STATE(5546)] = 131622,
  [SMALL_STATE(5547)] = 131662,
  [SMALL_STATE(5548)] = 131702,
  [SMALL_STATE(5549)] = 131742,
  [SMALL_STATE(5550)] = 131782,
  [SMALL_STATE(5551)] = 131822,
  [SMALL_STATE(5552)] = 131847,
  [SMALL_STATE(5553)] = 131872,
  [SMALL_STATE(5554)] = 131897,
  [SMALL_STATE(5555)] = 131922,
  [SMALL_STATE(5556)] = 131947,
  [SMALL_STATE(5557)] = 131972,
  [SMALL_STATE(5558)] = 131997,
  [SMALL_STATE(5559)] = 132023,
  [SMALL_STATE(5560)] = 132049,
  [SMALL_STATE(5561)] = 132083,
  [SMALL_STATE(5562)] = 132109,
  [SMALL_STATE(5563)] = 132135,
  [SMALL_STATE(5564)] = 132169,
  [SMALL_STATE(5565)] = 132203,
  [SMALL_STATE(5566)] = 132237,
  [SMALL_STATE(5567)] = 132263,
  [SMALL_STATE(5568)] = 132297,
  [SMALL_STATE(5569)] = 132323,
  [SMALL_STATE(5570)] = 132357,
  [SMALL_STATE(5571)] = 132383,
  [SMALL_STATE(5572)] = 132409,
  [SMALL_STATE(5573)] = 132443,
  [SMALL_STATE(5574)] = 132480,
  [SMALL_STATE(5575)] = 132513,
  [SMALL_STATE(5576)] = 132546,
  [SMALL_STATE(5577)] = 132579,
  [SMALL_STATE(5578)] = 132602,
  [SMALL_STATE(5579)] = 132639,
  [SMALL_STATE(5580)] = 132676,
  [SMALL_STATE(5581)] = 132709,
  [SMALL_STATE(5582)] = 132746,
  [SMALL_STATE(5583)] = 132783,
  [SMALL_STATE(5584)] = 132816,
  [SMALL_STATE(5585)] = 132853,
  [SMALL_STATE(5586)] = 132886,
  [SMALL_STATE(5587)] = 132923,
  [SMALL_STATE(5588)] = 132956,
  [SMALL_STATE(5589)] = 132989,
  [SMALL_STATE(5590)] = 133012,
  [SMALL_STATE(5591)] = 133045,
  [SMALL_STATE(5592)] = 133070,
  [SMALL_STATE(5593)] = 133095,
  [SMALL_STATE(5594)] = 133132,
  [SMALL_STATE(5595)] = 133165,
  [SMALL_STATE(5596)] = 133190,
  [SMALL_STATE(5597)] = 133227,
  [SMALL_STATE(5598)] = 133252,
  [SMALL_STATE(5599)] = 133277,
  [SMALL_STATE(5600)] = 133310,
  [SMALL_STATE(5601)] = 133333,
  [SMALL_STATE(5602)] = 133358,
  [SMALL_STATE(5603)] = 133395,
  [SMALL_STATE(5604)] = 133420,
  [SMALL_STATE(5605)] = 133457,
  [SMALL_STATE(5606)] = 133480,
  [SMALL_STATE(5607)] = 133517,
  [SMALL_STATE(5608)] = 133554,
  [SMALL_STATE(5609)] = 133579,
  [SMALL_STATE(5610)] = 133602,
  [SMALL_STATE(5611)] = 133627,
  [SMALL_STATE(5612)] = 133664,
  [SMALL_STATE(5613)] = 133701,
  [SMALL_STATE(5614)] = 133738,
  [SMALL_STATE(5615)] = 133763,
  [SMALL_STATE(5616)] = 133796,
  [SMALL_STATE(5617)] = 133833,
  [SMALL_STATE(5618)] = 133866,
  [SMALL_STATE(5619)] = 133903,
  [SMALL_STATE(5620)] = 133936,
  [SMALL_STATE(5621)] = 133973,
  [SMALL_STATE(5622)] = 134010,
  [SMALL_STATE(5623)] = 134047,
  [SMALL_STATE(5624)] = 134080,
  [SMALL_STATE(5625)] = 134117,
  [SMALL_STATE(5626)] = 134150,
  [SMALL_STATE(5627)] = 134173,
  [SMALL_STATE(5628)] = 134210,
  [SMALL_STATE(5629)] = 134243,
  [SMALL_STATE(5630)] = 134276,
  [SMALL_STATE(5631)] = 134309,
  [SMALL_STATE(5632)] = 134346,
  [SMALL_STATE(5633)] = 134383,
  [SMALL_STATE(5634)] = 134420,
  [SMALL_STATE(5635)] = 134457,
  [SMALL_STATE(5636)] = 134490,
  [SMALL_STATE(5637)] = 134527,
  [SMALL_STATE(5638)] = 134564,
  [SMALL_STATE(5639)] = 134601,
  [SMALL_STATE(5640)] = 134624,
  [SMALL_STATE(5641)] = 134657,
  [SMALL_STATE(5642)] = 134690,
  [SMALL_STATE(5643)] = 134727,
  [SMALL_STATE(5644)] = 134764,
  [SMALL_STATE(5645)] = 134789,
  [SMALL_STATE(5646)] = 134820,
  [SMALL_STATE(5647)] = 134853,
  [SMALL_STATE(5648)] = 134876,
  [SMALL_STATE(5649)] = 134909,
  [SMALL_STATE(5650)] = 134942,
  [SMALL_STATE(5651)] = 134967,
  [SMALL_STATE(5652)] = 134989,
  [SMALL_STATE(5653)] = 135011,
  [SMALL_STATE(5654)] = 135033,
  [SMALL_STATE(5655)] = 135075,
  [SMALL_STATE(5656)] = 135097,
  [SMALL_STATE(5657)] = 135141,
  [SMALL_STATE(5658)] = 135163,
  [SMALL_STATE(5659)] = 135185,
  [SMALL_STATE(5660)] = 135207,
  [SMALL_STATE(5661)] = 135229,
  [SMALL_STATE(5662)] = 135251,
  [SMALL_STATE(5663)] = 135293,
  [SMALL_STATE(5664)] = 135315,
  [SMALL_STATE(5665)] = 135337,
  [SMALL_STATE(5666)] = 135359,
  [SMALL_STATE(5667)] = 135381,
  [SMALL_STATE(5668)] = 135403,
  [SMALL_STATE(5669)] = 135425,
  [SMALL_STATE(5670)] = 135447,
  [SMALL_STATE(5671)] = 135469,
  [SMALL_STATE(5672)] = 135491,
  [SMALL_STATE(5673)] = 135513,
  [SMALL_STATE(5674)] = 135535,
  [SMALL_STATE(5675)] = 135557,
  [SMALL_STATE(5676)] = 135596,
  [SMALL_STATE(5677)] = 135633,
  [SMALL_STATE(5678)] = 135654,
  [SMALL_STATE(5679)] = 135683,
  [SMALL_STATE(5680)] = 135722,
  [SMALL_STATE(5681)] = 135750,
  [SMALL_STATE(5682)] = 135778,
  [SMALL_STATE(5683)] = 135800,
  [SMALL_STATE(5684)] = 135828,
  [SMALL_STATE(5685)] = 135856,
  [SMALL_STATE(5686)] = 135884,
  [SMALL_STATE(5687)] = 135906,
  [SMALL_STATE(5688)] = 135934,
  [SMALL_STATE(5689)] = 135962,
  [SMALL_STATE(5690)] = 135984,
  [SMALL_STATE(5691)] = 136012,
  [SMALL_STATE(5692)] = 136034,
  [SMALL_STATE(5693)] = 136056,
  [SMALL_STATE(5694)] = 136078,
  [SMALL_STATE(5695)] = 136106,
  [SMALL_STATE(5696)] = 136128,
  [SMALL_STATE(5697)] = 136150,
  [SMALL_STATE(5698)] = 136172,
  [SMALL_STATE(5699)] = 136200,
  [SMALL_STATE(5700)] = 136228,
  [SMALL_STATE(5701)] = 136250,
  [SMALL_STATE(5702)] = 136272,
  [SMALL_STATE(5703)] = 136300,
  [SMALL_STATE(5704)] = 136328,
  [SMALL_STATE(5705)] = 136350,
  [SMALL_STATE(5706)] = 136378,
  [SMALL_STATE(5707)] = 136410,
  [SMALL_STATE(5708)] = 136438,
  [SMALL_STATE(5709)] = 136466,
  [SMALL_STATE(5710)] = 136494,
  [SMALL_STATE(5711)] = 136522,
  [SMALL_STATE(5712)] = 136554,
  [SMALL_STATE(5713)] = 136582,
  [SMALL_STATE(5714)] = 136610,
  [SMALL_STATE(5715)] = 136638,
  [SMALL_STATE(5716)] = 136666,
  [SMALL_STATE(5717)] = 136694,
  [SMALL_STATE(5718)] = 136716,
  [SMALL_STATE(5719)] = 136744,
  [SMALL_STATE(5720)] = 136772,
  [SMALL_STATE(5721)] = 136794,
  [SMALL_STATE(5722)] = 136822,
  [SMALL_STATE(5723)] = 136850,
  [SMALL_STATE(5724)] = 136872,
  [SMALL_STATE(5725)] = 136906,
  [SMALL_STATE(5726)] = 136932,
  [SMALL_STATE(5727)] = 136960,
  [SMALL_STATE(5728)] = 136992,
  [SMALL_STATE(5729)] = 137020,
  [SMALL_STATE(5730)] = 137048,
  [SMALL_STATE(5731)] = 137076,
  [SMALL_STATE(5732)] = 137104,
  [SMALL_STATE(5733)] = 137132,
  [SMALL_STATE(5734)] = 137160,
  [SMALL_STATE(5735)] = 137188,
  [SMALL_STATE(5736)] = 137216,
  [SMALL_STATE(5737)] = 137244,
  [SMALL_STATE(5738)] = 137272,
  [SMALL_STATE(5739)] = 137294,
  [SMALL_STATE(5740)] = 137322,
  [SMALL_STATE(5741)] = 137341,
  [SMALL_STATE(5742)] = 137360,
  [SMALL_STATE(5743)] = 137379,
  [SMALL_STATE(5744)] = 137412,
  [SMALL_STATE(5745)] = 137431,
  [SMALL_STATE(5746)] = 137450,
  [SMALL_STATE(5747)] = 137469,
  [SMALL_STATE(5748)] = 137488,
  [SMALL_STATE(5749)] = 137515,
  [SMALL_STATE(5750)] = 137534,
  [SMALL_STATE(5751)] = 137553,
  [SMALL_STATE(5752)] = 137580,
  [SMALL_STATE(5753)] = 137599,
  [SMALL_STATE(5754)] = 137632,
  [SMALL_STATE(5755)] = 137665,
  [SMALL_STATE(5756)] = 137684,
  [SMALL_STATE(5757)] = 137713,
  [SMALL_STATE(5758)] = 137732,
  [SMALL_STATE(5759)] = 137765,
  [SMALL_STATE(5760)] = 137790,
  [SMALL_STATE(5761)] = 137817,
  [SMALL_STATE(5762)] = 137836,
  [SMALL_STATE(5763)] = 137855,
  [SMALL_STATE(5764)] = 137884,
  [SMALL_STATE(5765)] = 137909,
  [SMALL_STATE(5766)] = 137928,
  [SMALL_STATE(5767)] = 137947,
  [SMALL_STATE(5768)] = 137976,
  [SMALL_STATE(5769)] = 138001,
  [SMALL_STATE(5770)] = 138021,
  [SMALL_STATE(5771)] = 138047,
  [SMALL_STATE(5772)] = 138067,
  [SMALL_STATE(5773)] = 138087,
  [SMALL_STATE(5774)] = 138113,
  [SMALL_STATE(5775)] = 138139,
  [SMALL_STATE(5776)] = 138159,
  [SMALL_STATE(5777)] = 138179,
  [SMALL_STATE(5778)] = 138199,
  [SMALL_STATE(5779)] = 138219,
  [SMALL_STATE(5780)] = 138239,
  [SMALL_STATE(5781)] = 138259,
  [SMALL_STATE(5782)] = 138287,
  [SMALL_STATE(5783)] = 138315,
  [SMALL_STATE(5784)] = 138335,
  [SMALL_STATE(5785)] = 138358,
  [SMALL_STATE(5786)] = 138381,
  [SMALL_STATE(5787)] = 138404,
  [SMALL_STATE(5788)] = 138427,
  [SMALL_STATE(5789)] = 138450,
  [SMALL_STATE(5790)] = 138473,
  [SMALL_STATE(5791)] = 138496,
  [SMALL_STATE(5792)] = 138519,
  [SMALL_STATE(5793)] = 138542,
  [SMALL_STATE(5794)] = 138565,
  [SMALL_STATE(5795)] = 138588,
  [SMALL_STATE(5796)] = 138611,
  [SMALL_STATE(5797)] = 138634,
  [SMALL_STATE(5798)] = 138657,
  [SMALL_STATE(5799)] = 138680,
  [SMALL_STATE(5800)] = 138703,
  [SMALL_STATE(5801)] = 138726,
  [SMALL_STATE(5802)] = 138749,
  [SMALL_STATE(5803)] = 138772,
  [SMALL_STATE(5804)] = 138795,
  [SMALL_STATE(5805)] = 138818,
  [SMALL_STATE(5806)] = 138841,
  [SMALL_STATE(5807)] = 138864,
  [SMALL_STATE(5808)] = 138887,
  [SMALL_STATE(5809)] = 138910,
  [SMALL_STATE(5810)] = 138933,
  [SMALL_STATE(5811)] = 138956,
  [SMALL_STATE(5812)] = 138979,
  [SMALL_STATE(5813)] = 139002,
  [SMALL_STATE(5814)] = 139025,
  [SMALL_STATE(5815)] = 139048,
  [SMALL_STATE(5816)] = 139071,
  [SMALL_STATE(5817)] = 139094,
  [SMALL_STATE(5818)] = 139117,
  [SMALL_STATE(5819)] = 139140,
  [SMALL_STATE(5820)] = 139163,
  [SMALL_STATE(5821)] = 139186,
  [SMALL_STATE(5822)] = 139209,
  [SMALL_STATE(5823)] = 139232,
  [SMALL_STATE(5824)] = 139255,
  [SMALL_STATE(5825)] = 139278,
  [SMALL_STATE(5826)] = 139301,
  [SMALL_STATE(5827)] = 139324,
  [SMALL_STATE(5828)] = 139347,
  [SMALL_STATE(5829)] = 139370,
  [SMALL_STATE(5830)] = 139393,
  [SMALL_STATE(5831)] = 139422,
  [SMALL_STATE(5832)] = 139445,
  [SMALL_STATE(5833)] = 139468,
  [SMALL_STATE(5834)] = 139491,
  [SMALL_STATE(5835)] = 139514,
  [SMALL_STATE(5836)] = 139537,
  [SMALL_STATE(5837)] = 139560,
  [SMALL_STATE(5838)] = 139583,
  [SMALL_STATE(5839)] = 139606,
  [SMALL_STATE(5840)] = 139629,
  [SMALL_STATE(5841)] = 139652,
  [SMALL_STATE(5842)] = 139675,
  [SMALL_STATE(5843)] = 139698,
  [SMALL_STATE(5844)] = 139721,
  [SMALL_STATE(5845)] = 139744,
  [SMALL_STATE(5846)] = 139767,
  [SMALL_STATE(5847)] = 139790,
  [SMALL_STATE(5848)] = 139813,
  [SMALL_STATE(5849)] = 139836,
  [SMALL_STATE(5850)] = 139859,
  [SMALL_STATE(5851)] = 139882,
  [SMALL_STATE(5852)] = 139905,
  [SMALL_STATE(5853)] = 139928,
  [SMALL_STATE(5854)] = 139951,
  [SMALL_STATE(5855)] = 139974,
  [SMALL_STATE(5856)] = 139997,
  [SMALL_STATE(5857)] = 140020,
  [SMALL_STATE(5858)] = 140043,
  [SMALL_STATE(5859)] = 140066,
  [SMALL_STATE(5860)] = 140089,
  [SMALL_STATE(5861)] = 140112,
  [SMALL_STATE(5862)] = 140135,
  [SMALL_STATE(5863)] = 140158,
  [SMALL_STATE(5864)] = 140181,
  [SMALL_STATE(5865)] = 140204,
  [SMALL_STATE(5866)] = 140227,
  [SMALL_STATE(5867)] = 140256,
  [SMALL_STATE(5868)] = 140279,
  [SMALL_STATE(5869)] = 140302,
  [SMALL_STATE(5870)] = 140325,
  [SMALL_STATE(5871)] = 140348,
  [SMALL_STATE(5872)] = 140371,
  [SMALL_STATE(5873)] = 140394,
  [SMALL_STATE(5874)] = 140417,
  [SMALL_STATE(5875)] = 140440,
  [SMALL_STATE(5876)] = 140463,
  [SMALL_STATE(5877)] = 140486,
  [SMALL_STATE(5878)] = 140509,
  [SMALL_STATE(5879)] = 140532,
  [SMALL_STATE(5880)] = 140555,
  [SMALL_STATE(5881)] = 140578,
  [SMALL_STATE(5882)] = 140601,
  [SMALL_STATE(5883)] = 140624,
  [SMALL_STATE(5884)] = 140647,
  [SMALL_STATE(5885)] = 140670,
  [SMALL_STATE(5886)] = 140693,
  [SMALL_STATE(5887)] = 140716,
  [SMALL_STATE(5888)] = 140739,
  [SMALL_STATE(5889)] = 140762,
  [SMALL_STATE(5890)] = 140785,
  [SMALL_STATE(5891)] = 140808,
  [SMALL_STATE(5892)] = 140831,
  [SMALL_STATE(5893)] = 140854,
  [SMALL_STATE(5894)] = 140877,
  [SMALL_STATE(5895)] = 140900,
  [SMALL_STATE(5896)] = 140923,
  [SMALL_STATE(5897)] = 140946,
  [SMALL_STATE(5898)] = 140969,
  [SMALL_STATE(5899)] = 140992,
  [SMALL_STATE(5900)] = 141015,
  [SMALL_STATE(5901)] = 141038,
  [SMALL_STATE(5902)] = 141061,
  [SMALL_STATE(5903)] = 141084,
  [SMALL_STATE(5904)] = 141107,
  [SMALL_STATE(5905)] = 141130,
  [SMALL_STATE(5906)] = 141153,
  [SMALL_STATE(5907)] = 141176,
  [SMALL_STATE(5908)] = 141199,
  [SMALL_STATE(5909)] = 141222,
  [SMALL_STATE(5910)] = 141245,
  [SMALL_STATE(5911)] = 141268,
  [SMALL_STATE(5912)] = 141291,
  [SMALL_STATE(5913)] = 141314,
  [SMALL_STATE(5914)] = 141337,
  [SMALL_STATE(5915)] = 141360,
  [SMALL_STATE(5916)] = 141383,
  [SMALL_STATE(5917)] = 141406,
  [SMALL_STATE(5918)] = 141429,
  [SMALL_STATE(5919)] = 141452,
  [SMALL_STATE(5920)] = 141475,
  [SMALL_STATE(5921)] = 141498,
  [SMALL_STATE(5922)] = 141521,
  [SMALL_STATE(5923)] = 141544,
  [SMALL_STATE(5924)] = 141567,
  [SMALL_STATE(5925)] = 141590,
  [SMALL_STATE(5926)] = 141613,
  [SMALL_STATE(5927)] = 141636,
  [SMALL_STATE(5928)] = 141659,
  [SMALL_STATE(5929)] = 141682,
  [SMALL_STATE(5930)] = 141705,
  [SMALL_STATE(5931)] = 141728,
  [SMALL_STATE(5932)] = 141751,
  [SMALL_STATE(5933)] = 141774,
  [SMALL_STATE(5934)] = 141797,
  [SMALL_STATE(5935)] = 141820,
  [SMALL_STATE(5936)] = 141843,
  [SMALL_STATE(5937)] = 141866,
  [SMALL_STATE(5938)] = 141889,
  [SMALL_STATE(5939)] = 141912,
  [SMALL_STATE(5940)] = 141941,
  [SMALL_STATE(5941)] = 141964,
  [SMALL_STATE(5942)] = 141987,
  [SMALL_STATE(5943)] = 142010,
  [SMALL_STATE(5944)] = 142031,
  [SMALL_STATE(5945)] = 142054,
  [SMALL_STATE(5946)] = 142077,
  [SMALL_STATE(5947)] = 142100,
  [SMALL_STATE(5948)] = 142123,
  [SMALL_STATE(5949)] = 142146,
  [SMALL_STATE(5950)] = 142169,
  [SMALL_STATE(5951)] = 142192,
  [SMALL_STATE(5952)] = 142215,
  [SMALL_STATE(5953)] = 142238,
  [SMALL_STATE(5954)] = 142261,
  [SMALL_STATE(5955)] = 142284,
  [SMALL_STATE(5956)] = 142307,
  [SMALL_STATE(5957)] = 142330,
  [SMALL_STATE(5958)] = 142353,
  [SMALL_STATE(5959)] = 142376,
  [SMALL_STATE(5960)] = 142399,
  [SMALL_STATE(5961)] = 142422,
  [SMALL_STATE(5962)] = 142445,
  [SMALL_STATE(5963)] = 142468,
  [SMALL_STATE(5964)] = 142491,
  [SMALL_STATE(5965)] = 142514,
  [SMALL_STATE(5966)] = 142537,
  [SMALL_STATE(5967)] = 142560,
  [SMALL_STATE(5968)] = 142583,
  [SMALL_STATE(5969)] = 142606,
  [SMALL_STATE(5970)] = 142629,
  [SMALL_STATE(5971)] = 142652,
  [SMALL_STATE(5972)] = 142675,
  [SMALL_STATE(5973)] = 142698,
  [SMALL_STATE(5974)] = 142721,
  [SMALL_STATE(5975)] = 142744,
  [SMALL_STATE(5976)] = 142767,
  [SMALL_STATE(5977)] = 142790,
  [SMALL_STATE(5978)] = 142813,
  [SMALL_STATE(5979)] = 142836,
  [SMALL_STATE(5980)] = 142859,
  [SMALL_STATE(5981)] = 142882,
  [SMALL_STATE(5982)] = 142905,
  [SMALL_STATE(5983)] = 142928,
  [SMALL_STATE(5984)] = 142951,
  [SMALL_STATE(5985)] = 142974,
  [SMALL_STATE(5986)] = 142997,
  [SMALL_STATE(5987)] = 143020,
  [SMALL_STATE(5988)] = 143043,
  [SMALL_STATE(5989)] = 143066,
  [SMALL_STATE(5990)] = 143089,
  [SMALL_STATE(5991)] = 143112,
  [SMALL_STATE(5992)] = 143137,
  [SMALL_STATE(5993)] = 143160,
  [SMALL_STATE(5994)] = 143183,
  [SMALL_STATE(5995)] = 143206,
  [SMALL_STATE(5996)] = 143222,
  [SMALL_STATE(5997)] = 143242,
  [SMALL_STATE(5998)] = 143262,
  [SMALL_STATE(5999)] = 143288,
  [SMALL_STATE(6000)] = 143314,
  [SMALL_STATE(6001)] = 143340,
  [SMALL_STATE(6002)] = 143362,
  [SMALL_STATE(6003)] = 143378,
  [SMALL_STATE(6004)] = 143404,
  [SMALL_STATE(6005)] = 143420,
  [SMALL_STATE(6006)] = 143440,
  [SMALL_STATE(6007)] = 143456,
  [SMALL_STATE(6008)] = 143472,
  [SMALL_STATE(6009)] = 143492,
  [SMALL_STATE(6010)] = 143514,
  [SMALL_STATE(6011)] = 143534,
  [SMALL_STATE(6012)] = 143554,
  [SMALL_STATE(6013)] = 143574,
  [SMALL_STATE(6014)] = 143596,
  [SMALL_STATE(6015)] = 143612,
  [SMALL_STATE(6016)] = 143628,
  [SMALL_STATE(6017)] = 143654,
  [SMALL_STATE(6018)] = 143670,
  [SMALL_STATE(6019)] = 143696,
  [SMALL_STATE(6020)] = 143712,
  [SMALL_STATE(6021)] = 143728,
  [SMALL_STATE(6022)] = 143744,
  [SMALL_STATE(6023)] = 143764,
  [SMALL_STATE(6024)] = 143784,
  [SMALL_STATE(6025)] = 143808,
  [SMALL_STATE(6026)] = 143828,
  [SMALL_STATE(6027)] = 143854,
  [SMALL_STATE(6028)] = 143870,
  [SMALL_STATE(6029)] = 143886,
  [SMALL_STATE(6030)] = 143910,
  [SMALL_STATE(6031)] = 143926,
  [SMALL_STATE(6032)] = 143942,
  [SMALL_STATE(6033)] = 143958,
  [SMALL_STATE(6034)] = 143974,
  [SMALL_STATE(6035)] = 143990,
  [SMALL_STATE(6036)] = 144014,
  [SMALL_STATE(6037)] = 144035,
  [SMALL_STATE(6038)] = 144056,
  [SMALL_STATE(6039)] = 144077,
  [SMALL_STATE(6040)] = 144098,
  [SMALL_STATE(6041)] = 144119,
  [SMALL_STATE(6042)] = 144140,
  [SMALL_STATE(6043)] = 144161,
  [SMALL_STATE(6044)] = 144182,
  [SMALL_STATE(6045)] = 144203,
  [SMALL_STATE(6046)] = 144224,
  [SMALL_STATE(6047)] = 144239,
  [SMALL_STATE(6048)] = 144260,
  [SMALL_STATE(6049)] = 144281,
  [SMALL_STATE(6050)] = 144302,
  [SMALL_STATE(6051)] = 144323,
  [SMALL_STATE(6052)] = 144344,
  [SMALL_STATE(6053)] = 144359,
  [SMALL_STATE(6054)] = 144380,
  [SMALL_STATE(6055)] = 144401,
  [SMALL_STATE(6056)] = 144422,
  [SMALL_STATE(6057)] = 144443,
  [SMALL_STATE(6058)] = 144464,
  [SMALL_STATE(6059)] = 144485,
  [SMALL_STATE(6060)] = 144498,
  [SMALL_STATE(6061)] = 144519,
  [SMALL_STATE(6062)] = 144534,
  [SMALL_STATE(6063)] = 144555,
  [SMALL_STATE(6064)] = 144576,
  [SMALL_STATE(6065)] = 144597,
  [SMALL_STATE(6066)] = 144618,
  [SMALL_STATE(6067)] = 144639,
  [SMALL_STATE(6068)] = 144660,
  [SMALL_STATE(6069)] = 144675,
  [SMALL_STATE(6070)] = 144696,
  [SMALL_STATE(6071)] = 144717,
  [SMALL_STATE(6072)] = 144738,
  [SMALL_STATE(6073)] = 144759,
  [SMALL_STATE(6074)] = 144780,
  [SMALL_STATE(6075)] = 144801,
  [SMALL_STATE(6076)] = 144816,
  [SMALL_STATE(6077)] = 144837,
  [SMALL_STATE(6078)] = 144858,
  [SMALL_STATE(6079)] = 144879,
  [SMALL_STATE(6080)] = 144897,
  [SMALL_STATE(6081)] = 144915,
  [SMALL_STATE(6082)] = 144933,
  [SMALL_STATE(6083)] = 144951,
  [SMALL_STATE(6084)] = 144969,
  [SMALL_STATE(6085)] = 144987,
  [SMALL_STATE(6086)] = 145005,
  [SMALL_STATE(6087)] = 145023,
  [SMALL_STATE(6088)] = 145041,
  [SMALL_STATE(6089)] = 145059,
  [SMALL_STATE(6090)] = 145077,
  [SMALL_STATE(6091)] = 145095,
  [SMALL_STATE(6092)] = 145113,
  [SMALL_STATE(6093)] = 145131,
  [SMALL_STATE(6094)] = 145149,
  [SMALL_STATE(6095)] = 145167,
  [SMALL_STATE(6096)] = 145185,
  [SMALL_STATE(6097)] = 145203,
  [SMALL_STATE(6098)] = 145221,
  [SMALL_STATE(6099)] = 145239,
  [SMALL_STATE(6100)] = 145257,
  [SMALL_STATE(6101)] = 145275,
  [SMALL_STATE(6102)] = 145293,
  [SMALL_STATE(6103)] = 145311,
  [SMALL_STATE(6104)] = 145329,
  [SMALL_STATE(6105)] = 145347,
  [SMALL_STATE(6106)] = 145365,
  [SMALL_STATE(6107)] = 145383,
  [SMALL_STATE(6108)] = 145403,
  [SMALL_STATE(6109)] = 145419,
  [SMALL_STATE(6110)] = 145437,
  [SMALL_STATE(6111)] = 145455,
  [SMALL_STATE(6112)] = 145473,
  [SMALL_STATE(6113)] = 145491,
  [SMALL_STATE(6114)] = 145511,
  [SMALL_STATE(6115)] = 145529,
  [SMALL_STATE(6116)] = 145547,
  [SMALL_STATE(6117)] = 145559,
  [SMALL_STATE(6118)] = 145577,
  [SMALL_STATE(6119)] = 145595,
  [SMALL_STATE(6120)] = 145615,
  [SMALL_STATE(6121)] = 145633,
  [SMALL_STATE(6122)] = 145653,
  [SMALL_STATE(6123)] = 145665,
  [SMALL_STATE(6124)] = 145683,
  [SMALL_STATE(6125)] = 145701,
  [SMALL_STATE(6126)] = 145719,
  [SMALL_STATE(6127)] = 145737,
  [SMALL_STATE(6128)] = 145755,
  [SMALL_STATE(6129)] = 145773,
  [SMALL_STATE(6130)] = 145791,
  [SMALL_STATE(6131)] = 145809,
  [SMALL_STATE(6132)] = 145827,
  [SMALL_STATE(6133)] = 145843,
  [SMALL_STATE(6134)] = 145861,
  [SMALL_STATE(6135)] = 145879,
  [SMALL_STATE(6136)] = 145897,
  [SMALL_STATE(6137)] = 145915,
  [SMALL_STATE(6138)] = 145933,
  [SMALL_STATE(6139)] = 145951,
  [SMALL_STATE(6140)] = 145969,
  [SMALL_STATE(6141)] = 145987,
  [SMALL_STATE(6142)] = 146005,
  [SMALL_STATE(6143)] = 146023,
  [SMALL_STATE(6144)] = 146039,
  [SMALL_STATE(6145)] = 146057,
  [SMALL_STATE(6146)] = 146075,
  [SMALL_STATE(6147)] = 146093,
  [SMALL_STATE(6148)] = 146111,
  [SMALL_STATE(6149)] = 146129,
  [SMALL_STATE(6150)] = 146147,
  [SMALL_STATE(6151)] = 146165,
  [SMALL_STATE(6152)] = 146183,
  [SMALL_STATE(6153)] = 146201,
  [SMALL_STATE(6154)] = 146219,
  [SMALL_STATE(6155)] = 146237,
  [SMALL_STATE(6156)] = 146255,
  [SMALL_STATE(6157)] = 146273,
  [SMALL_STATE(6158)] = 146293,
  [SMALL_STATE(6159)] = 146311,
  [SMALL_STATE(6160)] = 146329,
  [SMALL_STATE(6161)] = 146349,
  [SMALL_STATE(6162)] = 146367,
  [SMALL_STATE(6163)] = 146385,
  [SMALL_STATE(6164)] = 146403,
  [SMALL_STATE(6165)] = 146421,
  [SMALL_STATE(6166)] = 146439,
  [SMALL_STATE(6167)] = 146457,
  [SMALL_STATE(6168)] = 146475,
  [SMALL_STATE(6169)] = 146493,
  [SMALL_STATE(6170)] = 146511,
  [SMALL_STATE(6171)] = 146529,
  [SMALL_STATE(6172)] = 146547,
  [SMALL_STATE(6173)] = 146565,
  [SMALL_STATE(6174)] = 146581,
  [SMALL_STATE(6175)] = 146599,
  [SMALL_STATE(6176)] = 146617,
  [SMALL_STATE(6177)] = 146635,
  [SMALL_STATE(6178)] = 146653,
  [SMALL_STATE(6179)] = 146671,
  [SMALL_STATE(6180)] = 146689,
  [SMALL_STATE(6181)] = 146707,
  [SMALL_STATE(6182)] = 146725,
  [SMALL_STATE(6183)] = 146743,
  [SMALL_STATE(6184)] = 146761,
  [SMALL_STATE(6185)] = 146779,
  [SMALL_STATE(6186)] = 146797,
  [SMALL_STATE(6187)] = 146815,
  [SMALL_STATE(6188)] = 146833,
  [SMALL_STATE(6189)] = 146851,
  [SMALL_STATE(6190)] = 146869,
  [SMALL_STATE(6191)] = 146887,
  [SMALL_STATE(6192)] = 146905,
  [SMALL_STATE(6193)] = 146923,
  [SMALL_STATE(6194)] = 146941,
  [SMALL_STATE(6195)] = 146959,
  [SMALL_STATE(6196)] = 146977,
  [SMALL_STATE(6197)] = 146995,
  [SMALL_STATE(6198)] = 147013,
  [SMALL_STATE(6199)] = 147031,
  [SMALL_STATE(6200)] = 147049,
  [SMALL_STATE(6201)] = 147067,
  [SMALL_STATE(6202)] = 147085,
  [SMALL_STATE(6203)] = 147103,
  [SMALL_STATE(6204)] = 147121,
  [SMALL_STATE(6205)] = 147139,
  [SMALL_STATE(6206)] = 147157,
  [SMALL_STATE(6207)] = 147175,
  [SMALL_STATE(6208)] = 147193,
  [SMALL_STATE(6209)] = 147211,
  [SMALL_STATE(6210)] = 147229,
  [SMALL_STATE(6211)] = 147247,
  [SMALL_STATE(6212)] = 147265,
  [SMALL_STATE(6213)] = 147283,
  [SMALL_STATE(6214)] = 147301,
  [SMALL_STATE(6215)] = 147319,
  [SMALL_STATE(6216)] = 147337,
  [SMALL_STATE(6217)] = 147355,
  [SMALL_STATE(6218)] = 147373,
  [SMALL_STATE(6219)] = 147391,
  [SMALL_STATE(6220)] = 147409,
  [SMALL_STATE(6221)] = 147427,
  [SMALL_STATE(6222)] = 147445,
  [SMALL_STATE(6223)] = 147463,
  [SMALL_STATE(6224)] = 147481,
  [SMALL_STATE(6225)] = 147499,
  [SMALL_STATE(6226)] = 147517,
  [SMALL_STATE(6227)] = 147537,
  [SMALL_STATE(6228)] = 147555,
  [SMALL_STATE(6229)] = 147573,
  [SMALL_STATE(6230)] = 147591,
  [SMALL_STATE(6231)] = 147605,
  [SMALL_STATE(6232)] = 147623,
  [SMALL_STATE(6233)] = 147641,
  [SMALL_STATE(6234)] = 147659,
  [SMALL_STATE(6235)] = 147677,
  [SMALL_STATE(6236)] = 147695,
  [SMALL_STATE(6237)] = 147713,
  [SMALL_STATE(6238)] = 147731,
  [SMALL_STATE(6239)] = 147749,
  [SMALL_STATE(6240)] = 147767,
  [SMALL_STATE(6241)] = 147785,
  [SMALL_STATE(6242)] = 147803,
  [SMALL_STATE(6243)] = 147821,
  [SMALL_STATE(6244)] = 147839,
  [SMALL_STATE(6245)] = 147857,
  [SMALL_STATE(6246)] = 147875,
  [SMALL_STATE(6247)] = 147893,
  [SMALL_STATE(6248)] = 147913,
  [SMALL_STATE(6249)] = 147931,
  [SMALL_STATE(6250)] = 147951,
  [SMALL_STATE(6251)] = 147969,
  [SMALL_STATE(6252)] = 147987,
  [SMALL_STATE(6253)] = 148005,
  [SMALL_STATE(6254)] = 148023,
  [SMALL_STATE(6255)] = 148041,
  [SMALL_STATE(6256)] = 148059,
  [SMALL_STATE(6257)] = 148079,
  [SMALL_STATE(6258)] = 148097,
  [SMALL_STATE(6259)] = 148117,
  [SMALL_STATE(6260)] = 148135,
  [SMALL_STATE(6261)] = 148153,
  [SMALL_STATE(6262)] = 148171,
  [SMALL_STATE(6263)] = 148189,
  [SMALL_STATE(6264)] = 148207,
  [SMALL_STATE(6265)] = 148225,
  [SMALL_STATE(6266)] = 148243,
  [SMALL_STATE(6267)] = 148261,
  [SMALL_STATE(6268)] = 148279,
  [SMALL_STATE(6269)] = 148297,
  [SMALL_STATE(6270)] = 148315,
  [SMALL_STATE(6271)] = 148333,
  [SMALL_STATE(6272)] = 148351,
  [SMALL_STATE(6273)] = 148369,
  [SMALL_STATE(6274)] = 148387,
  [SMALL_STATE(6275)] = 148405,
  [SMALL_STATE(6276)] = 148423,
  [SMALL_STATE(6277)] = 148441,
  [SMALL_STATE(6278)] = 148459,
  [SMALL_STATE(6279)] = 148475,
  [SMALL_STATE(6280)] = 148491,
  [SMALL_STATE(6281)] = 148507,
  [SMALL_STATE(6282)] = 148525,
  [SMALL_STATE(6283)] = 148543,
  [SMALL_STATE(6284)] = 148557,
  [SMALL_STATE(6285)] = 148575,
  [SMALL_STATE(6286)] = 148595,
  [SMALL_STATE(6287)] = 148613,
  [SMALL_STATE(6288)] = 148631,
  [SMALL_STATE(6289)] = 148649,
  [SMALL_STATE(6290)] = 148667,
  [SMALL_STATE(6291)] = 148687,
  [SMALL_STATE(6292)] = 148705,
  [SMALL_STATE(6293)] = 148723,
  [SMALL_STATE(6294)] = 148741,
  [SMALL_STATE(6295)] = 148761,
  [SMALL_STATE(6296)] = 148781,
  [SMALL_STATE(6297)] = 148801,
  [SMALL_STATE(6298)] = 148819,
  [SMALL_STATE(6299)] = 148837,
  [SMALL_STATE(6300)] = 148855,
  [SMALL_STATE(6301)] = 148871,
  [SMALL_STATE(6302)] = 148891,
  [SMALL_STATE(6303)] = 148909,
  [SMALL_STATE(6304)] = 148929,
  [SMALL_STATE(6305)] = 148947,
  [SMALL_STATE(6306)] = 148965,
  [SMALL_STATE(6307)] = 148983,
  [SMALL_STATE(6308)] = 149003,
  [SMALL_STATE(6309)] = 149018,
  [SMALL_STATE(6310)] = 149033,
  [SMALL_STATE(6311)] = 149050,
  [SMALL_STATE(6312)] = 149065,
  [SMALL_STATE(6313)] = 149076,
  [SMALL_STATE(6314)] = 149091,
  [SMALL_STATE(6315)] = 149106,
  [SMALL_STATE(6316)] = 149117,
  [SMALL_STATE(6317)] = 149134,
  [SMALL_STATE(6318)] = 149151,
  [SMALL_STATE(6319)] = 149162,
  [SMALL_STATE(6320)] = 149177,
  [SMALL_STATE(6321)] = 149192,
  [SMALL_STATE(6322)] = 149207,
  [SMALL_STATE(6323)] = 149224,
  [SMALL_STATE(6324)] = 149239,
  [SMALL_STATE(6325)] = 149254,
  [SMALL_STATE(6326)] = 149267,
  [SMALL_STATE(6327)] = 149284,
  [SMALL_STATE(6328)] = 149301,
  [SMALL_STATE(6329)] = 149318,
  [SMALL_STATE(6330)] = 149333,
  [SMALL_STATE(6331)] = 149348,
  [SMALL_STATE(6332)] = 149365,
  [SMALL_STATE(6333)] = 149382,
  [SMALL_STATE(6334)] = 149399,
  [SMALL_STATE(6335)] = 149416,
  [SMALL_STATE(6336)] = 149433,
  [SMALL_STATE(6337)] = 149450,
  [SMALL_STATE(6338)] = 149467,
  [SMALL_STATE(6339)] = 149484,
  [SMALL_STATE(6340)] = 149499,
  [SMALL_STATE(6341)] = 149514,
  [SMALL_STATE(6342)] = 149525,
  [SMALL_STATE(6343)] = 149542,
  [SMALL_STATE(6344)] = 149553,
  [SMALL_STATE(6345)] = 149568,
  [SMALL_STATE(6346)] = 149583,
  [SMALL_STATE(6347)] = 149600,
  [SMALL_STATE(6348)] = 149615,
  [SMALL_STATE(6349)] = 149630,
  [SMALL_STATE(6350)] = 149647,
  [SMALL_STATE(6351)] = 149658,
  [SMALL_STATE(6352)] = 149673,
  [SMALL_STATE(6353)] = 149690,
  [SMALL_STATE(6354)] = 149707,
  [SMALL_STATE(6355)] = 149722,
  [SMALL_STATE(6356)] = 149737,
  [SMALL_STATE(6357)] = 149754,
  [SMALL_STATE(6358)] = 149769,
  [SMALL_STATE(6359)] = 149780,
  [SMALL_STATE(6360)] = 149797,
  [SMALL_STATE(6361)] = 149814,
  [SMALL_STATE(6362)] = 149831,
  [SMALL_STATE(6363)] = 149846,
  [SMALL_STATE(6364)] = 149861,
  [SMALL_STATE(6365)] = 149876,
  [SMALL_STATE(6366)] = 149891,
  [SMALL_STATE(6367)] = 149906,
  [SMALL_STATE(6368)] = 149921,
  [SMALL_STATE(6369)] = 149938,
  [SMALL_STATE(6370)] = 149955,
  [SMALL_STATE(6371)] = 149970,
  [SMALL_STATE(6372)] = 149987,
  [SMALL_STATE(6373)] = 150002,
  [SMALL_STATE(6374)] = 150019,
  [SMALL_STATE(6375)] = 150036,
  [SMALL_STATE(6376)] = 150051,
  [SMALL_STATE(6377)] = 150066,
  [SMALL_STATE(6378)] = 150081,
  [SMALL_STATE(6379)] = 150096,
  [SMALL_STATE(6380)] = 150113,
  [SMALL_STATE(6381)] = 150128,
  [SMALL_STATE(6382)] = 150143,
  [SMALL_STATE(6383)] = 150160,
  [SMALL_STATE(6384)] = 150175,
  [SMALL_STATE(6385)] = 150190,
  [SMALL_STATE(6386)] = 150205,
  [SMALL_STATE(6387)] = 150222,
  [SMALL_STATE(6388)] = 150237,
  [SMALL_STATE(6389)] = 150252,
  [SMALL_STATE(6390)] = 150267,
  [SMALL_STATE(6391)] = 150280,
  [SMALL_STATE(6392)] = 150295,
  [SMALL_STATE(6393)] = 150306,
  [SMALL_STATE(6394)] = 150321,
  [SMALL_STATE(6395)] = 150338,
  [SMALL_STATE(6396)] = 150355,
  [SMALL_STATE(6397)] = 150372,
  [SMALL_STATE(6398)] = 150389,
  [SMALL_STATE(6399)] = 150402,
  [SMALL_STATE(6400)] = 150417,
  [SMALL_STATE(6401)] = 150434,
  [SMALL_STATE(6402)] = 150449,
  [SMALL_STATE(6403)] = 150466,
  [SMALL_STATE(6404)] = 150483,
  [SMALL_STATE(6405)] = 150498,
  [SMALL_STATE(6406)] = 150515,
  [SMALL_STATE(6407)] = 150530,
  [SMALL_STATE(6408)] = 150547,
  [SMALL_STATE(6409)] = 150564,
  [SMALL_STATE(6410)] = 150577,
  [SMALL_STATE(6411)] = 150594,
  [SMALL_STATE(6412)] = 150609,
  [SMALL_STATE(6413)] = 150624,
  [SMALL_STATE(6414)] = 150641,
  [SMALL_STATE(6415)] = 150658,
  [SMALL_STATE(6416)] = 150675,
  [SMALL_STATE(6417)] = 150690,
  [SMALL_STATE(6418)] = 150707,
  [SMALL_STATE(6419)] = 150720,
  [SMALL_STATE(6420)] = 150735,
  [SMALL_STATE(6421)] = 150750,
  [SMALL_STATE(6422)] = 150767,
  [SMALL_STATE(6423)] = 150782,
  [SMALL_STATE(6424)] = 150797,
  [SMALL_STATE(6425)] = 150812,
  [SMALL_STATE(6426)] = 150827,
  [SMALL_STATE(6427)] = 150844,
  [SMALL_STATE(6428)] = 150861,
  [SMALL_STATE(6429)] = 150876,
  [SMALL_STATE(6430)] = 150893,
  [SMALL_STATE(6431)] = 150908,
  [SMALL_STATE(6432)] = 150923,
  [SMALL_STATE(6433)] = 150934,
  [SMALL_STATE(6434)] = 150949,
  [SMALL_STATE(6435)] = 150964,
  [SMALL_STATE(6436)] = 150979,
  [SMALL_STATE(6437)] = 150996,
  [SMALL_STATE(6438)] = 151013,
  [SMALL_STATE(6439)] = 151030,
  [SMALL_STATE(6440)] = 151047,
  [SMALL_STATE(6441)] = 151062,
  [SMALL_STATE(6442)] = 151077,
  [SMALL_STATE(6443)] = 151094,
  [SMALL_STATE(6444)] = 151111,
  [SMALL_STATE(6445)] = 151126,
  [SMALL_STATE(6446)] = 151143,
  [SMALL_STATE(6447)] = 151158,
  [SMALL_STATE(6448)] = 151175,
  [SMALL_STATE(6449)] = 151190,
  [SMALL_STATE(6450)] = 151205,
  [SMALL_STATE(6451)] = 151220,
  [SMALL_STATE(6452)] = 151232,
  [SMALL_STATE(6453)] = 151246,
  [SMALL_STATE(6454)] = 151260,
  [SMALL_STATE(6455)] = 151274,
  [SMALL_STATE(6456)] = 151286,
  [SMALL_STATE(6457)] = 151300,
  [SMALL_STATE(6458)] = 151310,
  [SMALL_STATE(6459)] = 151324,
  [SMALL_STATE(6460)] = 151338,
  [SMALL_STATE(6461)] = 151350,
  [SMALL_STATE(6462)] = 151362,
  [SMALL_STATE(6463)] = 151376,
  [SMALL_STATE(6464)] = 151390,
  [SMALL_STATE(6465)] = 151402,
  [SMALL_STATE(6466)] = 151414,
  [SMALL_STATE(6467)] = 151428,
  [SMALL_STATE(6468)] = 151442,
  [SMALL_STATE(6469)] = 151456,
  [SMALL_STATE(6470)] = 151470,
  [SMALL_STATE(6471)] = 151484,
  [SMALL_STATE(6472)] = 151498,
  [SMALL_STATE(6473)] = 151508,
  [SMALL_STATE(6474)] = 151522,
  [SMALL_STATE(6475)] = 151536,
  [SMALL_STATE(6476)] = 151548,
  [SMALL_STATE(6477)] = 151562,
  [SMALL_STATE(6478)] = 151574,
  [SMALL_STATE(6479)] = 151588,
  [SMALL_STATE(6480)] = 151602,
  [SMALL_STATE(6481)] = 151614,
  [SMALL_STATE(6482)] = 151626,
  [SMALL_STATE(6483)] = 151638,
  [SMALL_STATE(6484)] = 151650,
  [SMALL_STATE(6485)] = 151662,
  [SMALL_STATE(6486)] = 151674,
  [SMALL_STATE(6487)] = 151684,
  [SMALL_STATE(6488)] = 151696,
  [SMALL_STATE(6489)] = 151708,
  [SMALL_STATE(6490)] = 151722,
  [SMALL_STATE(6491)] = 151736,
  [SMALL_STATE(6492)] = 151750,
  [SMALL_STATE(6493)] = 151764,
  [SMALL_STATE(6494)] = 151776,
  [SMALL_STATE(6495)] = 151788,
  [SMALL_STATE(6496)] = 151802,
  [SMALL_STATE(6497)] = 151812,
  [SMALL_STATE(6498)] = 151826,
  [SMALL_STATE(6499)] = 151838,
  [SMALL_STATE(6500)] = 151850,
  [SMALL_STATE(6501)] = 151864,
  [SMALL_STATE(6502)] = 151874,
  [SMALL_STATE(6503)] = 151886,
  [SMALL_STATE(6504)] = 151900,
  [SMALL_STATE(6505)] = 151912,
  [SMALL_STATE(6506)] = 151926,
  [SMALL_STATE(6507)] = 151940,
  [SMALL_STATE(6508)] = 151954,
  [SMALL_STATE(6509)] = 151966,
  [SMALL_STATE(6510)] = 151978,
  [SMALL_STATE(6511)] = 151990,
  [SMALL_STATE(6512)] = 152002,
  [SMALL_STATE(6513)] = 152016,
  [SMALL_STATE(6514)] = 152028,
  [SMALL_STATE(6515)] = 152040,
  [SMALL_STATE(6516)] = 152052,
  [SMALL_STATE(6517)] = 152064,
  [SMALL_STATE(6518)] = 152078,
  [SMALL_STATE(6519)] = 152090,
  [SMALL_STATE(6520)] = 152104,
  [SMALL_STATE(6521)] = 152116,
  [SMALL_STATE(6522)] = 152128,
  [SMALL_STATE(6523)] = 152140,
  [SMALL_STATE(6524)] = 152152,
  [SMALL_STATE(6525)] = 152166,
  [SMALL_STATE(6526)] = 152180,
  [SMALL_STATE(6527)] = 152194,
  [SMALL_STATE(6528)] = 152208,
  [SMALL_STATE(6529)] = 152222,
  [SMALL_STATE(6530)] = 152234,
  [SMALL_STATE(6531)] = 152246,
  [SMALL_STATE(6532)] = 152258,
  [SMALL_STATE(6533)] = 152272,
  [SMALL_STATE(6534)] = 152284,
  [SMALL_STATE(6535)] = 152296,
  [SMALL_STATE(6536)] = 152308,
  [SMALL_STATE(6537)] = 152320,
  [SMALL_STATE(6538)] = 152332,
  [SMALL_STATE(6539)] = 152344,
  [SMALL_STATE(6540)] = 152356,
  [SMALL_STATE(6541)] = 152370,
  [SMALL_STATE(6542)] = 152384,
  [SMALL_STATE(6543)] = 152394,
  [SMALL_STATE(6544)] = 152406,
  [SMALL_STATE(6545)] = 152418,
  [SMALL_STATE(6546)] = 152432,
  [SMALL_STATE(6547)] = 152446,
  [SMALL_STATE(6548)] = 152460,
  [SMALL_STATE(6549)] = 152470,
  [SMALL_STATE(6550)] = 152484,
  [SMALL_STATE(6551)] = 152498,
  [SMALL_STATE(6552)] = 152512,
  [SMALL_STATE(6553)] = 152526,
  [SMALL_STATE(6554)] = 152540,
  [SMALL_STATE(6555)] = 152554,
  [SMALL_STATE(6556)] = 152568,
  [SMALL_STATE(6557)] = 152582,
  [SMALL_STATE(6558)] = 152596,
  [SMALL_STATE(6559)] = 152608,
  [SMALL_STATE(6560)] = 152620,
  [SMALL_STATE(6561)] = 152634,
  [SMALL_STATE(6562)] = 152648,
  [SMALL_STATE(6563)] = 152662,
  [SMALL_STATE(6564)] = 152672,
  [SMALL_STATE(6565)] = 152686,
  [SMALL_STATE(6566)] = 152700,
  [SMALL_STATE(6567)] = 152712,
  [SMALL_STATE(6568)] = 152726,
  [SMALL_STATE(6569)] = 152740,
  [SMALL_STATE(6570)] = 152752,
  [SMALL_STATE(6571)] = 152764,
  [SMALL_STATE(6572)] = 152778,
  [SMALL_STATE(6573)] = 152790,
  [SMALL_STATE(6574)] = 152804,
  [SMALL_STATE(6575)] = 152818,
  [SMALL_STATE(6576)] = 152832,
  [SMALL_STATE(6577)] = 152844,
  [SMALL_STATE(6578)] = 152858,
  [SMALL_STATE(6579)] = 152870,
  [SMALL_STATE(6580)] = 152884,
  [SMALL_STATE(6581)] = 152896,
  [SMALL_STATE(6582)] = 152910,
  [SMALL_STATE(6583)] = 152922,
  [SMALL_STATE(6584)] = 152936,
  [SMALL_STATE(6585)] = 152950,
  [SMALL_STATE(6586)] = 152962,
  [SMALL_STATE(6587)] = 152974,
  [SMALL_STATE(6588)] = 152986,
  [SMALL_STATE(6589)] = 152998,
  [SMALL_STATE(6590)] = 153012,
  [SMALL_STATE(6591)] = 153026,
  [SMALL_STATE(6592)] = 153036,
  [SMALL_STATE(6593)] = 153048,
  [SMALL_STATE(6594)] = 153062,
  [SMALL_STATE(6595)] = 153074,
  [SMALL_STATE(6596)] = 153086,
  [SMALL_STATE(6597)] = 153098,
  [SMALL_STATE(6598)] = 153110,
  [SMALL_STATE(6599)] = 153124,
  [SMALL_STATE(6600)] = 153136,
  [SMALL_STATE(6601)] = 153150,
  [SMALL_STATE(6602)] = 153164,
  [SMALL_STATE(6603)] = 153178,
  [SMALL_STATE(6604)] = 153192,
  [SMALL_STATE(6605)] = 153204,
  [SMALL_STATE(6606)] = 153216,
  [SMALL_STATE(6607)] = 153230,
  [SMALL_STATE(6608)] = 153242,
  [SMALL_STATE(6609)] = 153254,
  [SMALL_STATE(6610)] = 153266,
  [SMALL_STATE(6611)] = 153280,
  [SMALL_STATE(6612)] = 153294,
  [SMALL_STATE(6613)] = 153308,
  [SMALL_STATE(6614)] = 153322,
  [SMALL_STATE(6615)] = 153334,
  [SMALL_STATE(6616)] = 153348,
  [SMALL_STATE(6617)] = 153360,
  [SMALL_STATE(6618)] = 153374,
  [SMALL_STATE(6619)] = 153388,
  [SMALL_STATE(6620)] = 153402,
  [SMALL_STATE(6621)] = 153416,
  [SMALL_STATE(6622)] = 153430,
  [SMALL_STATE(6623)] = 153442,
  [SMALL_STATE(6624)] = 153454,
  [SMALL_STATE(6625)] = 153468,
  [SMALL_STATE(6626)] = 153480,
  [SMALL_STATE(6627)] = 153494,
  [SMALL_STATE(6628)] = 153506,
  [SMALL_STATE(6629)] = 153518,
  [SMALL_STATE(6630)] = 153532,
  [SMALL_STATE(6631)] = 153542,
  [SMALL_STATE(6632)] = 153554,
  [SMALL_STATE(6633)] = 153566,
  [SMALL_STATE(6634)] = 153578,
  [SMALL_STATE(6635)] = 153592,
  [SMALL_STATE(6636)] = 153606,
  [SMALL_STATE(6637)] = 153620,
  [SMALL_STATE(6638)] = 153634,
  [SMALL_STATE(6639)] = 153648,
  [SMALL_STATE(6640)] = 153660,
  [SMALL_STATE(6641)] = 153672,
  [SMALL_STATE(6642)] = 153684,
  [SMALL_STATE(6643)] = 153698,
  [SMALL_STATE(6644)] = 153712,
  [SMALL_STATE(6645)] = 153724,
  [SMALL_STATE(6646)] = 153738,
  [SMALL_STATE(6647)] = 153752,
  [SMALL_STATE(6648)] = 153764,
  [SMALL_STATE(6649)] = 153778,
  [SMALL_STATE(6650)] = 153790,
  [SMALL_STATE(6651)] = 153804,
  [SMALL_STATE(6652)] = 153818,
  [SMALL_STATE(6653)] = 153832,
  [SMALL_STATE(6654)] = 153844,
  [SMALL_STATE(6655)] = 153856,
  [SMALL_STATE(6656)] = 153868,
  [SMALL_STATE(6657)] = 153882,
  [SMALL_STATE(6658)] = 153896,
  [SMALL_STATE(6659)] = 153908,
  [SMALL_STATE(6660)] = 153922,
  [SMALL_STATE(6661)] = 153936,
  [SMALL_STATE(6662)] = 153950,
  [SMALL_STATE(6663)] = 153962,
  [SMALL_STATE(6664)] = 153974,
  [SMALL_STATE(6665)] = 153986,
  [SMALL_STATE(6666)] = 153998,
  [SMALL_STATE(6667)] = 154012,
  [SMALL_STATE(6668)] = 154024,
  [SMALL_STATE(6669)] = 154038,
  [SMALL_STATE(6670)] = 154052,
  [SMALL_STATE(6671)] = 154066,
  [SMALL_STATE(6672)] = 154078,
  [SMALL_STATE(6673)] = 154090,
  [SMALL_STATE(6674)] = 154104,
  [SMALL_STATE(6675)] = 154116,
  [SMALL_STATE(6676)] = 154128,
  [SMALL_STATE(6677)] = 154142,
  [SMALL_STATE(6678)] = 154154,
  [SMALL_STATE(6679)] = 154168,
  [SMALL_STATE(6680)] = 154180,
  [SMALL_STATE(6681)] = 154194,
  [SMALL_STATE(6682)] = 154208,
  [SMALL_STATE(6683)] = 154222,
  [SMALL_STATE(6684)] = 154234,
  [SMALL_STATE(6685)] = 154248,
  [SMALL_STATE(6686)] = 154262,
  [SMALL_STATE(6687)] = 154276,
  [SMALL_STATE(6688)] = 154290,
  [SMALL_STATE(6689)] = 154302,
  [SMALL_STATE(6690)] = 154316,
  [SMALL_STATE(6691)] = 154330,
  [SMALL_STATE(6692)] = 154342,
  [SMALL_STATE(6693)] = 154354,
  [SMALL_STATE(6694)] = 154368,
  [SMALL_STATE(6695)] = 154382,
  [SMALL_STATE(6696)] = 154394,
  [SMALL_STATE(6697)] = 154406,
  [SMALL_STATE(6698)] = 154418,
  [SMALL_STATE(6699)] = 154432,
  [SMALL_STATE(6700)] = 154446,
  [SMALL_STATE(6701)] = 154460,
  [SMALL_STATE(6702)] = 154472,
  [SMALL_STATE(6703)] = 154486,
  [SMALL_STATE(6704)] = 154500,
  [SMALL_STATE(6705)] = 154514,
  [SMALL_STATE(6706)] = 154526,
  [SMALL_STATE(6707)] = 154540,
  [SMALL_STATE(6708)] = 154552,
  [SMALL_STATE(6709)] = 154566,
  [SMALL_STATE(6710)] = 154578,
  [SMALL_STATE(6711)] = 154592,
  [SMALL_STATE(6712)] = 154606,
  [SMALL_STATE(6713)] = 154620,
  [SMALL_STATE(6714)] = 154632,
  [SMALL_STATE(6715)] = 154644,
  [SMALL_STATE(6716)] = 154656,
  [SMALL_STATE(6717)] = 154668,
  [SMALL_STATE(6718)] = 154682,
  [SMALL_STATE(6719)] = 154696,
  [SMALL_STATE(6720)] = 154708,
  [SMALL_STATE(6721)] = 154720,
  [SMALL_STATE(6722)] = 154734,
  [SMALL_STATE(6723)] = 154748,
  [SMALL_STATE(6724)] = 154760,
  [SMALL_STATE(6725)] = 154772,
  [SMALL_STATE(6726)] = 154784,
  [SMALL_STATE(6727)] = 154796,
  [SMALL_STATE(6728)] = 154808,
  [SMALL_STATE(6729)] = 154820,
  [SMALL_STATE(6730)] = 154830,
  [SMALL_STATE(6731)] = 154842,
  [SMALL_STATE(6732)] = 154856,
  [SMALL_STATE(6733)] = 154868,
  [SMALL_STATE(6734)] = 154880,
  [SMALL_STATE(6735)] = 154892,
  [SMALL_STATE(6736)] = 154906,
  [SMALL_STATE(6737)] = 154918,
  [SMALL_STATE(6738)] = 154930,
  [SMALL_STATE(6739)] = 154944,
  [SMALL_STATE(6740)] = 154956,
  [SMALL_STATE(6741)] = 154968,
  [SMALL_STATE(6742)] = 154980,
  [SMALL_STATE(6743)] = 154994,
  [SMALL_STATE(6744)] = 155008,
  [SMALL_STATE(6745)] = 155022,
  [SMALL_STATE(6746)] = 155034,
  [SMALL_STATE(6747)] = 155046,
  [SMALL_STATE(6748)] = 155056,
  [SMALL_STATE(6749)] = 155068,
  [SMALL_STATE(6750)] = 155078,
  [SMALL_STATE(6751)] = 155092,
  [SMALL_STATE(6752)] = 155104,
  [SMALL_STATE(6753)] = 155118,
  [SMALL_STATE(6754)] = 155132,
  [SMALL_STATE(6755)] = 155144,
  [SMALL_STATE(6756)] = 155156,
  [SMALL_STATE(6757)] = 155170,
  [SMALL_STATE(6758)] = 155182,
  [SMALL_STATE(6759)] = 155194,
  [SMALL_STATE(6760)] = 155206,
  [SMALL_STATE(6761)] = 155220,
  [SMALL_STATE(6762)] = 155234,
  [SMALL_STATE(6763)] = 155248,
  [SMALL_STATE(6764)] = 155262,
  [SMALL_STATE(6765)] = 155276,
  [SMALL_STATE(6766)] = 155288,
  [SMALL_STATE(6767)] = 155302,
  [SMALL_STATE(6768)] = 155314,
  [SMALL_STATE(6769)] = 155328,
  [SMALL_STATE(6770)] = 155342,
  [SMALL_STATE(6771)] = 155354,
  [SMALL_STATE(6772)] = 155368,
  [SMALL_STATE(6773)] = 155380,
  [SMALL_STATE(6774)] = 155394,
  [SMALL_STATE(6775)] = 155408,
  [SMALL_STATE(6776)] = 155422,
  [SMALL_STATE(6777)] = 155434,
  [SMALL_STATE(6778)] = 155446,
  [SMALL_STATE(6779)] = 155458,
  [SMALL_STATE(6780)] = 155472,
  [SMALL_STATE(6781)] = 155484,
  [SMALL_STATE(6782)] = 155498,
  [SMALL_STATE(6783)] = 155512,
  [SMALL_STATE(6784)] = 155524,
  [SMALL_STATE(6785)] = 155536,
  [SMALL_STATE(6786)] = 155548,
  [SMALL_STATE(6787)] = 155560,
  [SMALL_STATE(6788)] = 155574,
  [SMALL_STATE(6789)] = 155588,
  [SMALL_STATE(6790)] = 155600,
  [SMALL_STATE(6791)] = 155612,
  [SMALL_STATE(6792)] = 155626,
  [SMALL_STATE(6793)] = 155638,
  [SMALL_STATE(6794)] = 155650,
  [SMALL_STATE(6795)] = 155664,
  [SMALL_STATE(6796)] = 155678,
  [SMALL_STATE(6797)] = 155690,
  [SMALL_STATE(6798)] = 155702,
  [SMALL_STATE(6799)] = 155714,
  [SMALL_STATE(6800)] = 155728,
  [SMALL_STATE(6801)] = 155740,
  [SMALL_STATE(6802)] = 155752,
  [SMALL_STATE(6803)] = 155766,
  [SMALL_STATE(6804)] = 155778,
  [SMALL_STATE(6805)] = 155790,
  [SMALL_STATE(6806)] = 155804,
  [SMALL_STATE(6807)] = 155816,
  [SMALL_STATE(6808)] = 155828,
  [SMALL_STATE(6809)] = 155842,
  [SMALL_STATE(6810)] = 155854,
  [SMALL_STATE(6811)] = 155868,
  [SMALL_STATE(6812)] = 155882,
  [SMALL_STATE(6813)] = 155896,
  [SMALL_STATE(6814)] = 155908,
  [SMALL_STATE(6815)] = 155922,
  [SMALL_STATE(6816)] = 155934,
  [SMALL_STATE(6817)] = 155948,
  [SMALL_STATE(6818)] = 155960,
  [SMALL_STATE(6819)] = 155972,
  [SMALL_STATE(6820)] = 155986,
  [SMALL_STATE(6821)] = 156000,
  [SMALL_STATE(6822)] = 156014,
  [SMALL_STATE(6823)] = 156028,
  [SMALL_STATE(6824)] = 156040,
  [SMALL_STATE(6825)] = 156054,
  [SMALL_STATE(6826)] = 156068,
  [SMALL_STATE(6827)] = 156080,
  [SMALL_STATE(6828)] = 156094,
  [SMALL_STATE(6829)] = 156108,
  [SMALL_STATE(6830)] = 156120,
  [SMALL_STATE(6831)] = 156134,
  [SMALL_STATE(6832)] = 156146,
  [SMALL_STATE(6833)] = 156160,
  [SMALL_STATE(6834)] = 156172,
  [SMALL_STATE(6835)] = 156186,
  [SMALL_STATE(6836)] = 156198,
  [SMALL_STATE(6837)] = 156210,
  [SMALL_STATE(6838)] = 156224,
  [SMALL_STATE(6839)] = 156238,
  [SMALL_STATE(6840)] = 156250,
  [SMALL_STATE(6841)] = 156264,
  [SMALL_STATE(6842)] = 156278,
  [SMALL_STATE(6843)] = 156290,
  [SMALL_STATE(6844)] = 156302,
  [SMALL_STATE(6845)] = 156314,
  [SMALL_STATE(6846)] = 156326,
  [SMALL_STATE(6847)] = 156338,
  [SMALL_STATE(6848)] = 156352,
  [SMALL_STATE(6849)] = 156364,
  [SMALL_STATE(6850)] = 156378,
  [SMALL_STATE(6851)] = 156390,
  [SMALL_STATE(6852)] = 156402,
  [SMALL_STATE(6853)] = 156416,
  [SMALL_STATE(6854)] = 156428,
  [SMALL_STATE(6855)] = 156440,
  [SMALL_STATE(6856)] = 156452,
  [SMALL_STATE(6857)] = 156464,
  [SMALL_STATE(6858)] = 156476,
  [SMALL_STATE(6859)] = 156488,
  [SMALL_STATE(6860)] = 156500,
  [SMALL_STATE(6861)] = 156510,
  [SMALL_STATE(6862)] = 156524,
  [SMALL_STATE(6863)] = 156536,
  [SMALL_STATE(6864)] = 156550,
  [SMALL_STATE(6865)] = 156562,
  [SMALL_STATE(6866)] = 156574,
  [SMALL_STATE(6867)] = 156586,
  [SMALL_STATE(6868)] = 156598,
  [SMALL_STATE(6869)] = 156612,
  [SMALL_STATE(6870)] = 156626,
  [SMALL_STATE(6871)] = 156638,
  [SMALL_STATE(6872)] = 156650,
  [SMALL_STATE(6873)] = 156662,
  [SMALL_STATE(6874)] = 156676,
  [SMALL_STATE(6875)] = 156688,
  [SMALL_STATE(6876)] = 156702,
  [SMALL_STATE(6877)] = 156714,
  [SMALL_STATE(6878)] = 156726,
  [SMALL_STATE(6879)] = 156740,
  [SMALL_STATE(6880)] = 156750,
  [SMALL_STATE(6881)] = 156762,
  [SMALL_STATE(6882)] = 156776,
  [SMALL_STATE(6883)] = 156788,
  [SMALL_STATE(6884)] = 156802,
  [SMALL_STATE(6885)] = 156814,
  [SMALL_STATE(6886)] = 156828,
  [SMALL_STATE(6887)] = 156838,
  [SMALL_STATE(6888)] = 156850,
  [SMALL_STATE(6889)] = 156862,
  [SMALL_STATE(6890)] = 156876,
  [SMALL_STATE(6891)] = 156888,
  [SMALL_STATE(6892)] = 156898,
  [SMALL_STATE(6893)] = 156910,
  [SMALL_STATE(6894)] = 156924,
  [SMALL_STATE(6895)] = 156936,
  [SMALL_STATE(6896)] = 156948,
  [SMALL_STATE(6897)] = 156960,
  [SMALL_STATE(6898)] = 156972,
  [SMALL_STATE(6899)] = 156986,
  [SMALL_STATE(6900)] = 156998,
  [SMALL_STATE(6901)] = 157010,
  [SMALL_STATE(6902)] = 157022,
  [SMALL_STATE(6903)] = 157036,
  [SMALL_STATE(6904)] = 157048,
  [SMALL_STATE(6905)] = 157060,
  [SMALL_STATE(6906)] = 157072,
  [SMALL_STATE(6907)] = 157082,
  [SMALL_STATE(6908)] = 157096,
  [SMALL_STATE(6909)] = 157110,
  [SMALL_STATE(6910)] = 157120,
  [SMALL_STATE(6911)] = 157134,
  [SMALL_STATE(6912)] = 157146,
  [SMALL_STATE(6913)] = 157158,
  [SMALL_STATE(6914)] = 157170,
  [SMALL_STATE(6915)] = 157182,
  [SMALL_STATE(6916)] = 157196,
  [SMALL_STATE(6917)] = 157210,
  [SMALL_STATE(6918)] = 157222,
  [SMALL_STATE(6919)] = 157234,
  [SMALL_STATE(6920)] = 157248,
  [SMALL_STATE(6921)] = 157260,
  [SMALL_STATE(6922)] = 157272,
  [SMALL_STATE(6923)] = 157284,
  [SMALL_STATE(6924)] = 157298,
  [SMALL_STATE(6925)] = 157312,
  [SMALL_STATE(6926)] = 157324,
  [SMALL_STATE(6927)] = 157338,
  [SMALL_STATE(6928)] = 157350,
  [SMALL_STATE(6929)] = 157364,
  [SMALL_STATE(6930)] = 157376,
  [SMALL_STATE(6931)] = 157390,
  [SMALL_STATE(6932)] = 157404,
  [SMALL_STATE(6933)] = 157416,
  [SMALL_STATE(6934)] = 157428,
  [SMALL_STATE(6935)] = 157440,
  [SMALL_STATE(6936)] = 157454,
  [SMALL_STATE(6937)] = 157468,
  [SMALL_STATE(6938)] = 157480,
  [SMALL_STATE(6939)] = 157494,
  [SMALL_STATE(6940)] = 157508,
  [SMALL_STATE(6941)] = 157520,
  [SMALL_STATE(6942)] = 157532,
  [SMALL_STATE(6943)] = 157544,
  [SMALL_STATE(6944)] = 157556,
  [SMALL_STATE(6945)] = 157570,
  [SMALL_STATE(6946)] = 157582,
  [SMALL_STATE(6947)] = 157594,
  [SMALL_STATE(6948)] = 157606,
  [SMALL_STATE(6949)] = 157618,
  [SMALL_STATE(6950)] = 157632,
  [SMALL_STATE(6951)] = 157644,
  [SMALL_STATE(6952)] = 157656,
  [SMALL_STATE(6953)] = 157670,
  [SMALL_STATE(6954)] = 157684,
  [SMALL_STATE(6955)] = 157698,
  [SMALL_STATE(6956)] = 157710,
  [SMALL_STATE(6957)] = 157724,
  [SMALL_STATE(6958)] = 157734,
  [SMALL_STATE(6959)] = 157746,
  [SMALL_STATE(6960)] = 157758,
  [SMALL_STATE(6961)] = 157770,
  [SMALL_STATE(6962)] = 157784,
  [SMALL_STATE(6963)] = 157796,
  [SMALL_STATE(6964)] = 157808,
  [SMALL_STATE(6965)] = 157822,
  [SMALL_STATE(6966)] = 157836,
  [SMALL_STATE(6967)] = 157848,
  [SMALL_STATE(6968)] = 157862,
  [SMALL_STATE(6969)] = 157876,
  [SMALL_STATE(6970)] = 157888,
  [SMALL_STATE(6971)] = 157900,
  [SMALL_STATE(6972)] = 157914,
  [SMALL_STATE(6973)] = 157926,
  [SMALL_STATE(6974)] = 157940,
  [SMALL_STATE(6975)] = 157952,
  [SMALL_STATE(6976)] = 157966,
  [SMALL_STATE(6977)] = 157978,
  [SMALL_STATE(6978)] = 157992,
  [SMALL_STATE(6979)] = 158004,
  [SMALL_STATE(6980)] = 158016,
  [SMALL_STATE(6981)] = 158030,
  [SMALL_STATE(6982)] = 158044,
  [SMALL_STATE(6983)] = 158056,
  [SMALL_STATE(6984)] = 158068,
  [SMALL_STATE(6985)] = 158080,
  [SMALL_STATE(6986)] = 158094,
  [SMALL_STATE(6987)] = 158106,
  [SMALL_STATE(6988)] = 158120,
  [SMALL_STATE(6989)] = 158132,
  [SMALL_STATE(6990)] = 158144,
  [SMALL_STATE(6991)] = 158156,
  [SMALL_STATE(6992)] = 158170,
  [SMALL_STATE(6993)] = 158184,
  [SMALL_STATE(6994)] = 158196,
  [SMALL_STATE(6995)] = 158208,
  [SMALL_STATE(6996)] = 158222,
  [SMALL_STATE(6997)] = 158234,
  [SMALL_STATE(6998)] = 158246,
  [SMALL_STATE(6999)] = 158260,
  [SMALL_STATE(7000)] = 158274,
  [SMALL_STATE(7001)] = 158288,
  [SMALL_STATE(7002)] = 158300,
  [SMALL_STATE(7003)] = 158314,
  [SMALL_STATE(7004)] = 158326,
  [SMALL_STATE(7005)] = 158338,
  [SMALL_STATE(7006)] = 158350,
  [SMALL_STATE(7007)] = 158360,
  [SMALL_STATE(7008)] = 158372,
  [SMALL_STATE(7009)] = 158384,
  [SMALL_STATE(7010)] = 158398,
  [SMALL_STATE(7011)] = 158410,
  [SMALL_STATE(7012)] = 158422,
  [SMALL_STATE(7013)] = 158434,
  [SMALL_STATE(7014)] = 158446,
  [SMALL_STATE(7015)] = 158458,
  [SMALL_STATE(7016)] = 158472,
  [SMALL_STATE(7017)] = 158486,
  [SMALL_STATE(7018)] = 158498,
  [SMALL_STATE(7019)] = 158512,
  [SMALL_STATE(7020)] = 158522,
  [SMALL_STATE(7021)] = 158536,
  [SMALL_STATE(7022)] = 158548,
  [SMALL_STATE(7023)] = 158560,
  [SMALL_STATE(7024)] = 158572,
  [SMALL_STATE(7025)] = 158584,
  [SMALL_STATE(7026)] = 158598,
  [SMALL_STATE(7027)] = 158612,
  [SMALL_STATE(7028)] = 158626,
  [SMALL_STATE(7029)] = 158638,
  [SMALL_STATE(7030)] = 158652,
  [SMALL_STATE(7031)] = 158666,
  [SMALL_STATE(7032)] = 158678,
  [SMALL_STATE(7033)] = 158692,
  [SMALL_STATE(7034)] = 158704,
  [SMALL_STATE(7035)] = 158716,
  [SMALL_STATE(7036)] = 158730,
  [SMALL_STATE(7037)] = 158744,
  [SMALL_STATE(7038)] = 158756,
  [SMALL_STATE(7039)] = 158768,
  [SMALL_STATE(7040)] = 158782,
  [SMALL_STATE(7041)] = 158794,
  [SMALL_STATE(7042)] = 158806,
  [SMALL_STATE(7043)] = 158820,
  [SMALL_STATE(7044)] = 158834,
  [SMALL_STATE(7045)] = 158848,
  [SMALL_STATE(7046)] = 158860,
  [SMALL_STATE(7047)] = 158872,
  [SMALL_STATE(7048)] = 158884,
  [SMALL_STATE(7049)] = 158898,
  [SMALL_STATE(7050)] = 158910,
  [SMALL_STATE(7051)] = 158924,
  [SMALL_STATE(7052)] = 158936,
  [SMALL_STATE(7053)] = 158950,
  [SMALL_STATE(7054)] = 158964,
  [SMALL_STATE(7055)] = 158976,
  [SMALL_STATE(7056)] = 158988,
  [SMALL_STATE(7057)] = 159002,
  [SMALL_STATE(7058)] = 159014,
  [SMALL_STATE(7059)] = 159028,
  [SMALL_STATE(7060)] = 159040,
  [SMALL_STATE(7061)] = 159054,
  [SMALL_STATE(7062)] = 159068,
  [SMALL_STATE(7063)] = 159080,
  [SMALL_STATE(7064)] = 159094,
  [SMALL_STATE(7065)] = 159108,
  [SMALL_STATE(7066)] = 159122,
  [SMALL_STATE(7067)] = 159134,
  [SMALL_STATE(7068)] = 159146,
  [SMALL_STATE(7069)] = 159160,
  [SMALL_STATE(7070)] = 159172,
  [SMALL_STATE(7071)] = 159184,
  [SMALL_STATE(7072)] = 159196,
  [SMALL_STATE(7073)] = 159210,
  [SMALL_STATE(7074)] = 159224,
  [SMALL_STATE(7075)] = 159236,
  [SMALL_STATE(7076)] = 159250,
  [SMALL_STATE(7077)] = 159262,
  [SMALL_STATE(7078)] = 159274,
  [SMALL_STATE(7079)] = 159286,
  [SMALL_STATE(7080)] = 159300,
  [SMALL_STATE(7081)] = 159314,
  [SMALL_STATE(7082)] = 159328,
  [SMALL_STATE(7083)] = 159340,
  [SMALL_STATE(7084)] = 159354,
  [SMALL_STATE(7085)] = 159368,
  [SMALL_STATE(7086)] = 159382,
  [SMALL_STATE(7087)] = 159394,
  [SMALL_STATE(7088)] = 159408,
  [SMALL_STATE(7089)] = 159422,
  [SMALL_STATE(7090)] = 159432,
  [SMALL_STATE(7091)] = 159446,
  [SMALL_STATE(7092)] = 159458,
  [SMALL_STATE(7093)] = 159472,
  [SMALL_STATE(7094)] = 159486,
  [SMALL_STATE(7095)] = 159498,
  [SMALL_STATE(7096)] = 159512,
  [SMALL_STATE(7097)] = 159526,
  [SMALL_STATE(7098)] = 159540,
  [SMALL_STATE(7099)] = 159554,
  [SMALL_STATE(7100)] = 159566,
  [SMALL_STATE(7101)] = 159580,
  [SMALL_STATE(7102)] = 159594,
  [SMALL_STATE(7103)] = 159608,
  [SMALL_STATE(7104)] = 159622,
  [SMALL_STATE(7105)] = 159634,
  [SMALL_STATE(7106)] = 159648,
  [SMALL_STATE(7107)] = 159662,
  [SMALL_STATE(7108)] = 159676,
  [SMALL_STATE(7109)] = 159690,
  [SMALL_STATE(7110)] = 159704,
  [SMALL_STATE(7111)] = 159718,
  [SMALL_STATE(7112)] = 159732,
  [SMALL_STATE(7113)] = 159746,
  [SMALL_STATE(7114)] = 159760,
  [SMALL_STATE(7115)] = 159774,
  [SMALL_STATE(7116)] = 159788,
  [SMALL_STATE(7117)] = 159802,
  [SMALL_STATE(7118)] = 159816,
  [SMALL_STATE(7119)] = 159830,
  [SMALL_STATE(7120)] = 159844,
  [SMALL_STATE(7121)] = 159858,
  [SMALL_STATE(7122)] = 159872,
  [SMALL_STATE(7123)] = 159886,
  [SMALL_STATE(7124)] = 159898,
  [SMALL_STATE(7125)] = 159910,
  [SMALL_STATE(7126)] = 159924,
  [SMALL_STATE(7127)] = 159938,
  [SMALL_STATE(7128)] = 159952,
  [SMALL_STATE(7129)] = 159966,
  [SMALL_STATE(7130)] = 159980,
  [SMALL_STATE(7131)] = 159994,
  [SMALL_STATE(7132)] = 160006,
  [SMALL_STATE(7133)] = 160020,
  [SMALL_STATE(7134)] = 160034,
  [SMALL_STATE(7135)] = 160046,
  [SMALL_STATE(7136)] = 160060,
  [SMALL_STATE(7137)] = 160072,
  [SMALL_STATE(7138)] = 160084,
  [SMALL_STATE(7139)] = 160096,
  [SMALL_STATE(7140)] = 160108,
  [SMALL_STATE(7141)] = 160122,
  [SMALL_STATE(7142)] = 160136,
  [SMALL_STATE(7143)] = 160148,
  [SMALL_STATE(7144)] = 160162,
  [SMALL_STATE(7145)] = 160174,
  [SMALL_STATE(7146)] = 160188,
  [SMALL_STATE(7147)] = 160200,
  [SMALL_STATE(7148)] = 160212,
  [SMALL_STATE(7149)] = 160224,
  [SMALL_STATE(7150)] = 160236,
  [SMALL_STATE(7151)] = 160250,
  [SMALL_STATE(7152)] = 160264,
  [SMALL_STATE(7153)] = 160276,
  [SMALL_STATE(7154)] = 160288,
  [SMALL_STATE(7155)] = 160300,
  [SMALL_STATE(7156)] = 160312,
  [SMALL_STATE(7157)] = 160324,
  [SMALL_STATE(7158)] = 160338,
  [SMALL_STATE(7159)] = 160352,
  [SMALL_STATE(7160)] = 160366,
  [SMALL_STATE(7161)] = 160380,
  [SMALL_STATE(7162)] = 160392,
  [SMALL_STATE(7163)] = 160406,
  [SMALL_STATE(7164)] = 160418,
  [SMALL_STATE(7165)] = 160430,
  [SMALL_STATE(7166)] = 160444,
  [SMALL_STATE(7167)] = 160458,
  [SMALL_STATE(7168)] = 160470,
  [SMALL_STATE(7169)] = 160484,
  [SMALL_STATE(7170)] = 160496,
  [SMALL_STATE(7171)] = 160510,
  [SMALL_STATE(7172)] = 160522,
  [SMALL_STATE(7173)] = 160534,
  [SMALL_STATE(7174)] = 160546,
  [SMALL_STATE(7175)] = 160558,
  [SMALL_STATE(7176)] = 160570,
  [SMALL_STATE(7177)] = 160584,
  [SMALL_STATE(7178)] = 160596,
  [SMALL_STATE(7179)] = 160608,
  [SMALL_STATE(7180)] = 160622,
  [SMALL_STATE(7181)] = 160636,
  [SMALL_STATE(7182)] = 160648,
  [SMALL_STATE(7183)] = 160662,
  [SMALL_STATE(7184)] = 160676,
  [SMALL_STATE(7185)] = 160688,
  [SMALL_STATE(7186)] = 160700,
  [SMALL_STATE(7187)] = 160712,
  [SMALL_STATE(7188)] = 160726,
  [SMALL_STATE(7189)] = 160740,
  [SMALL_STATE(7190)] = 160754,
  [SMALL_STATE(7191)] = 160768,
  [SMALL_STATE(7192)] = 160780,
  [SMALL_STATE(7193)] = 160792,
  [SMALL_STATE(7194)] = 160806,
  [SMALL_STATE(7195)] = 160818,
  [SMALL_STATE(7196)] = 160832,
  [SMALL_STATE(7197)] = 160844,
  [SMALL_STATE(7198)] = 160856,
  [SMALL_STATE(7199)] = 160868,
  [SMALL_STATE(7200)] = 160882,
  [SMALL_STATE(7201)] = 160896,
  [SMALL_STATE(7202)] = 160910,
  [SMALL_STATE(7203)] = 160924,
  [SMALL_STATE(7204)] = 160936,
  [SMALL_STATE(7205)] = 160950,
  [SMALL_STATE(7206)] = 160962,
  [SMALL_STATE(7207)] = 160976,
  [SMALL_STATE(7208)] = 160988,
  [SMALL_STATE(7209)] = 161002,
  [SMALL_STATE(7210)] = 161014,
  [SMALL_STATE(7211)] = 161026,
  [SMALL_STATE(7212)] = 161038,
  [SMALL_STATE(7213)] = 161050,
  [SMALL_STATE(7214)] = 161064,
  [SMALL_STATE(7215)] = 161078,
  [SMALL_STATE(7216)] = 161092,
  [SMALL_STATE(7217)] = 161106,
  [SMALL_STATE(7218)] = 161118,
  [SMALL_STATE(7219)] = 161132,
  [SMALL_STATE(7220)] = 161144,
  [SMALL_STATE(7221)] = 161158,
  [SMALL_STATE(7222)] = 161170,
  [SMALL_STATE(7223)] = 161182,
  [SMALL_STATE(7224)] = 161194,
  [SMALL_STATE(7225)] = 161206,
  [SMALL_STATE(7226)] = 161218,
  [SMALL_STATE(7227)] = 161232,
  [SMALL_STATE(7228)] = 161244,
  [SMALL_STATE(7229)] = 161256,
  [SMALL_STATE(7230)] = 161270,
  [SMALL_STATE(7231)] = 161284,
  [SMALL_STATE(7232)] = 161296,
  [SMALL_STATE(7233)] = 161308,
  [SMALL_STATE(7234)] = 161322,
  [SMALL_STATE(7235)] = 161336,
  [SMALL_STATE(7236)] = 161350,
  [SMALL_STATE(7237)] = 161362,
  [SMALL_STATE(7238)] = 161376,
  [SMALL_STATE(7239)] = 161390,
  [SMALL_STATE(7240)] = 161402,
  [SMALL_STATE(7241)] = 161414,
  [SMALL_STATE(7242)] = 161428,
  [SMALL_STATE(7243)] = 161442,
  [SMALL_STATE(7244)] = 161456,
  [SMALL_STATE(7245)] = 161470,
  [SMALL_STATE(7246)] = 161482,
  [SMALL_STATE(7247)] = 161496,
  [SMALL_STATE(7248)] = 161508,
  [SMALL_STATE(7249)] = 161522,
  [SMALL_STATE(7250)] = 161536,
  [SMALL_STATE(7251)] = 161550,
  [SMALL_STATE(7252)] = 161564,
  [SMALL_STATE(7253)] = 161576,
  [SMALL_STATE(7254)] = 161588,
  [SMALL_STATE(7255)] = 161600,
  [SMALL_STATE(7256)] = 161612,
  [SMALL_STATE(7257)] = 161624,
  [SMALL_STATE(7258)] = 161636,
  [SMALL_STATE(7259)] = 161648,
  [SMALL_STATE(7260)] = 161658,
  [SMALL_STATE(7261)] = 161668,
  [SMALL_STATE(7262)] = 161682,
  [SMALL_STATE(7263)] = 161694,
  [SMALL_STATE(7264)] = 161708,
  [SMALL_STATE(7265)] = 161720,
  [SMALL_STATE(7266)] = 161732,
  [SMALL_STATE(7267)] = 161744,
  [SMALL_STATE(7268)] = 161758,
  [SMALL_STATE(7269)] = 161770,
  [SMALL_STATE(7270)] = 161784,
  [SMALL_STATE(7271)] = 161798,
  [SMALL_STATE(7272)] = 161810,
  [SMALL_STATE(7273)] = 161824,
  [SMALL_STATE(7274)] = 161838,
  [SMALL_STATE(7275)] = 161852,
  [SMALL_STATE(7276)] = 161866,
  [SMALL_STATE(7277)] = 161878,
  [SMALL_STATE(7278)] = 161890,
  [SMALL_STATE(7279)] = 161902,
  [SMALL_STATE(7280)] = 161916,
  [SMALL_STATE(7281)] = 161928,
  [SMALL_STATE(7282)] = 161940,
  [SMALL_STATE(7283)] = 161950,
  [SMALL_STATE(7284)] = 161960,
  [SMALL_STATE(7285)] = 161974,
  [SMALL_STATE(7286)] = 161988,
  [SMALL_STATE(7287)] = 162002,
  [SMALL_STATE(7288)] = 162012,
  [SMALL_STATE(7289)] = 162022,
  [SMALL_STATE(7290)] = 162034,
  [SMALL_STATE(7291)] = 162044,
  [SMALL_STATE(7292)] = 162058,
  [SMALL_STATE(7293)] = 162068,
  [SMALL_STATE(7294)] = 162082,
  [SMALL_STATE(7295)] = 162096,
  [SMALL_STATE(7296)] = 162110,
  [SMALL_STATE(7297)] = 162124,
  [SMALL_STATE(7298)] = 162136,
  [SMALL_STATE(7299)] = 162150,
  [SMALL_STATE(7300)] = 162160,
  [SMALL_STATE(7301)] = 162170,
  [SMALL_STATE(7302)] = 162184,
  [SMALL_STATE(7303)] = 162196,
  [SMALL_STATE(7304)] = 162206,
  [SMALL_STATE(7305)] = 162220,
  [SMALL_STATE(7306)] = 162230,
  [SMALL_STATE(7307)] = 162244,
  [SMALL_STATE(7308)] = 162254,
  [SMALL_STATE(7309)] = 162264,
  [SMALL_STATE(7310)] = 162276,
  [SMALL_STATE(7311)] = 162290,
  [SMALL_STATE(7312)] = 162300,
  [SMALL_STATE(7313)] = 162314,
  [SMALL_STATE(7314)] = 162328,
  [SMALL_STATE(7315)] = 162342,
  [SMALL_STATE(7316)] = 162356,
  [SMALL_STATE(7317)] = 162368,
  [SMALL_STATE(7318)] = 162379,
  [SMALL_STATE(7319)] = 162390,
  [SMALL_STATE(7320)] = 162399,
  [SMALL_STATE(7321)] = 162408,
  [SMALL_STATE(7322)] = 162419,
  [SMALL_STATE(7323)] = 162430,
  [SMALL_STATE(7324)] = 162439,
  [SMALL_STATE(7325)] = 162450,
  [SMALL_STATE(7326)] = 162461,
  [SMALL_STATE(7327)] = 162470,
  [SMALL_STATE(7328)] = 162481,
  [SMALL_STATE(7329)] = 162492,
  [SMALL_STATE(7330)] = 162503,
  [SMALL_STATE(7331)] = 162514,
  [SMALL_STATE(7332)] = 162523,
  [SMALL_STATE(7333)] = 162534,
  [SMALL_STATE(7334)] = 162545,
  [SMALL_STATE(7335)] = 162554,
  [SMALL_STATE(7336)] = 162565,
  [SMALL_STATE(7337)] = 162576,
  [SMALL_STATE(7338)] = 162587,
  [SMALL_STATE(7339)] = 162598,
  [SMALL_STATE(7340)] = 162607,
  [SMALL_STATE(7341)] = 162618,
  [SMALL_STATE(7342)] = 162629,
  [SMALL_STATE(7343)] = 162638,
  [SMALL_STATE(7344)] = 162647,
  [SMALL_STATE(7345)] = 162658,
  [SMALL_STATE(7346)] = 162669,
  [SMALL_STATE(7347)] = 162680,
  [SMALL_STATE(7348)] = 162689,
  [SMALL_STATE(7349)] = 162700,
  [SMALL_STATE(7350)] = 162711,
  [SMALL_STATE(7351)] = 162722,
  [SMALL_STATE(7352)] = 162733,
  [SMALL_STATE(7353)] = 162744,
  [SMALL_STATE(7354)] = 162753,
  [SMALL_STATE(7355)] = 162764,
  [SMALL_STATE(7356)] = 162775,
  [SMALL_STATE(7357)] = 162786,
  [SMALL_STATE(7358)] = 162797,
  [SMALL_STATE(7359)] = 162806,
  [SMALL_STATE(7360)] = 162817,
  [SMALL_STATE(7361)] = 162828,
  [SMALL_STATE(7362)] = 162837,
  [SMALL_STATE(7363)] = 162848,
  [SMALL_STATE(7364)] = 162859,
  [SMALL_STATE(7365)] = 162868,
  [SMALL_STATE(7366)] = 162877,
  [SMALL_STATE(7367)] = 162888,
  [SMALL_STATE(7368)] = 162899,
  [SMALL_STATE(7369)] = 162908,
  [SMALL_STATE(7370)] = 162919,
  [SMALL_STATE(7371)] = 162930,
  [SMALL_STATE(7372)] = 162939,
  [SMALL_STATE(7373)] = 162950,
  [SMALL_STATE(7374)] = 162961,
  [SMALL_STATE(7375)] = 162972,
  [SMALL_STATE(7376)] = 162983,
  [SMALL_STATE(7377)] = 162992,
  [SMALL_STATE(7378)] = 163003,
  [SMALL_STATE(7379)] = 163014,
  [SMALL_STATE(7380)] = 163025,
  [SMALL_STATE(7381)] = 163034,
  [SMALL_STATE(7382)] = 163045,
  [SMALL_STATE(7383)] = 163056,
  [SMALL_STATE(7384)] = 163065,
  [SMALL_STATE(7385)] = 163074,
  [SMALL_STATE(7386)] = 163085,
  [SMALL_STATE(7387)] = 163096,
  [SMALL_STATE(7388)] = 163107,
  [SMALL_STATE(7389)] = 163118,
  [SMALL_STATE(7390)] = 163129,
  [SMALL_STATE(7391)] = 163138,
  [SMALL_STATE(7392)] = 163147,
  [SMALL_STATE(7393)] = 163158,
  [SMALL_STATE(7394)] = 163169,
  [SMALL_STATE(7395)] = 163178,
  [SMALL_STATE(7396)] = 163189,
  [SMALL_STATE(7397)] = 163200,
  [SMALL_STATE(7398)] = 163209,
  [SMALL_STATE(7399)] = 163220,
  [SMALL_STATE(7400)] = 163231,
  [SMALL_STATE(7401)] = 163240,
  [SMALL_STATE(7402)] = 163251,
  [SMALL_STATE(7403)] = 163262,
  [SMALL_STATE(7404)] = 163273,
  [SMALL_STATE(7405)] = 163284,
  [SMALL_STATE(7406)] = 163295,
  [SMALL_STATE(7407)] = 163304,
  [SMALL_STATE(7408)] = 163315,
  [SMALL_STATE(7409)] = 163326,
  [SMALL_STATE(7410)] = 163335,
  [SMALL_STATE(7411)] = 163346,
  [SMALL_STATE(7412)] = 163357,
  [SMALL_STATE(7413)] = 163368,
  [SMALL_STATE(7414)] = 163379,
  [SMALL_STATE(7415)] = 163390,
  [SMALL_STATE(7416)] = 163399,
  [SMALL_STATE(7417)] = 163410,
  [SMALL_STATE(7418)] = 163419,
  [SMALL_STATE(7419)] = 163428,
  [SMALL_STATE(7420)] = 163437,
  [SMALL_STATE(7421)] = 163448,
  [SMALL_STATE(7422)] = 163457,
  [SMALL_STATE(7423)] = 163466,
  [SMALL_STATE(7424)] = 163475,
  [SMALL_STATE(7425)] = 163484,
  [SMALL_STATE(7426)] = 163493,
  [SMALL_STATE(7427)] = 163502,
  [SMALL_STATE(7428)] = 163511,
  [SMALL_STATE(7429)] = 163522,
  [SMALL_STATE(7430)] = 163531,
  [SMALL_STATE(7431)] = 163540,
  [SMALL_STATE(7432)] = 163549,
  [SMALL_STATE(7433)] = 163558,
  [SMALL_STATE(7434)] = 163567,
  [SMALL_STATE(7435)] = 163576,
  [SMALL_STATE(7436)] = 163585,
  [SMALL_STATE(7437)] = 163594,
  [SMALL_STATE(7438)] = 163603,
  [SMALL_STATE(7439)] = 163614,
  [SMALL_STATE(7440)] = 163623,
  [SMALL_STATE(7441)] = 163634,
  [SMALL_STATE(7442)] = 163643,
  [SMALL_STATE(7443)] = 163652,
  [SMALL_STATE(7444)] = 163661,
  [SMALL_STATE(7445)] = 163670,
  [SMALL_STATE(7446)] = 163679,
  [SMALL_STATE(7447)] = 163688,
  [SMALL_STATE(7448)] = 163699,
  [SMALL_STATE(7449)] = 163708,
  [SMALL_STATE(7450)] = 163719,
  [SMALL_STATE(7451)] = 163730,
  [SMALL_STATE(7452)] = 163741,
  [SMALL_STATE(7453)] = 163750,
  [SMALL_STATE(7454)] = 163759,
  [SMALL_STATE(7455)] = 163768,
  [SMALL_STATE(7456)] = 163779,
  [SMALL_STATE(7457)] = 163788,
  [SMALL_STATE(7458)] = 163797,
  [SMALL_STATE(7459)] = 163806,
  [SMALL_STATE(7460)] = 163815,
  [SMALL_STATE(7461)] = 163824,
  [SMALL_STATE(7462)] = 163835,
  [SMALL_STATE(7463)] = 163844,
  [SMALL_STATE(7464)] = 163855,
  [SMALL_STATE(7465)] = 163864,
  [SMALL_STATE(7466)] = 163873,
  [SMALL_STATE(7467)] = 163884,
  [SMALL_STATE(7468)] = 163895,
  [SMALL_STATE(7469)] = 163904,
  [SMALL_STATE(7470)] = 163913,
  [SMALL_STATE(7471)] = 163922,
  [SMALL_STATE(7472)] = 163931,
  [SMALL_STATE(7473)] = 163940,
  [SMALL_STATE(7474)] = 163951,
  [SMALL_STATE(7475)] = 163960,
  [SMALL_STATE(7476)] = 163969,
  [SMALL_STATE(7477)] = 163978,
  [SMALL_STATE(7478)] = 163989,
  [SMALL_STATE(7479)] = 164000,
  [SMALL_STATE(7480)] = 164009,
  [SMALL_STATE(7481)] = 164018,
  [SMALL_STATE(7482)] = 164027,
  [SMALL_STATE(7483)] = 164036,
  [SMALL_STATE(7484)] = 164045,
  [SMALL_STATE(7485)] = 164054,
  [SMALL_STATE(7486)] = 164065,
  [SMALL_STATE(7487)] = 164074,
  [SMALL_STATE(7488)] = 164083,
  [SMALL_STATE(7489)] = 164094,
  [SMALL_STATE(7490)] = 164105,
  [SMALL_STATE(7491)] = 164114,
  [SMALL_STATE(7492)] = 164123,
  [SMALL_STATE(7493)] = 164132,
  [SMALL_STATE(7494)] = 164141,
  [SMALL_STATE(7495)] = 164150,
  [SMALL_STATE(7496)] = 164159,
  [SMALL_STATE(7497)] = 164168,
  [SMALL_STATE(7498)] = 164179,
  [SMALL_STATE(7499)] = 164190,
  [SMALL_STATE(7500)] = 164199,
  [SMALL_STATE(7501)] = 164210,
  [SMALL_STATE(7502)] = 164219,
  [SMALL_STATE(7503)] = 164228,
  [SMALL_STATE(7504)] = 164237,
  [SMALL_STATE(7505)] = 164246,
  [SMALL_STATE(7506)] = 164255,
  [SMALL_STATE(7507)] = 164264,
  [SMALL_STATE(7508)] = 164273,
  [SMALL_STATE(7509)] = 164284,
  [SMALL_STATE(7510)] = 164295,
  [SMALL_STATE(7511)] = 164306,
  [SMALL_STATE(7512)] = 164317,
  [SMALL_STATE(7513)] = 164326,
  [SMALL_STATE(7514)] = 164335,
  [SMALL_STATE(7515)] = 164344,
  [SMALL_STATE(7516)] = 164353,
  [SMALL_STATE(7517)] = 164364,
  [SMALL_STATE(7518)] = 164373,
  [SMALL_STATE(7519)] = 164382,
  [SMALL_STATE(7520)] = 164393,
  [SMALL_STATE(7521)] = 164402,
  [SMALL_STATE(7522)] = 164413,
  [SMALL_STATE(7523)] = 164422,
  [SMALL_STATE(7524)] = 164431,
  [SMALL_STATE(7525)] = 164442,
  [SMALL_STATE(7526)] = 164451,
  [SMALL_STATE(7527)] = 164462,
  [SMALL_STATE(7528)] = 164471,
  [SMALL_STATE(7529)] = 164480,
  [SMALL_STATE(7530)] = 164491,
  [SMALL_STATE(7531)] = 164500,
  [SMALL_STATE(7532)] = 164511,
  [SMALL_STATE(7533)] = 164520,
  [SMALL_STATE(7534)] = 164531,
  [SMALL_STATE(7535)] = 164542,
  [SMALL_STATE(7536)] = 164551,
  [SMALL_STATE(7537)] = 164560,
  [SMALL_STATE(7538)] = 164569,
  [SMALL_STATE(7539)] = 164580,
  [SMALL_STATE(7540)] = 164591,
  [SMALL_STATE(7541)] = 164602,
  [SMALL_STATE(7542)] = 164613,
  [SMALL_STATE(7543)] = 164622,
  [SMALL_STATE(7544)] = 164633,
  [SMALL_STATE(7545)] = 164644,
  [SMALL_STATE(7546)] = 164653,
  [SMALL_STATE(7547)] = 164664,
  [SMALL_STATE(7548)] = 164673,
  [SMALL_STATE(7549)] = 164682,
  [SMALL_STATE(7550)] = 164691,
  [SMALL_STATE(7551)] = 164700,
  [SMALL_STATE(7552)] = 164709,
  [SMALL_STATE(7553)] = 164718,
  [SMALL_STATE(7554)] = 164727,
  [SMALL_STATE(7555)] = 164736,
  [SMALL_STATE(7556)] = 164747,
  [SMALL_STATE(7557)] = 164756,
  [SMALL_STATE(7558)] = 164765,
  [SMALL_STATE(7559)] = 164774,
  [SMALL_STATE(7560)] = 164783,
  [SMALL_STATE(7561)] = 164792,
  [SMALL_STATE(7562)] = 164801,
  [SMALL_STATE(7563)] = 164812,
  [SMALL_STATE(7564)] = 164821,
  [SMALL_STATE(7565)] = 164832,
  [SMALL_STATE(7566)] = 164841,
  [SMALL_STATE(7567)] = 164850,
  [SMALL_STATE(7568)] = 164859,
  [SMALL_STATE(7569)] = 164870,
  [SMALL_STATE(7570)] = 164879,
  [SMALL_STATE(7571)] = 164890,
  [SMALL_STATE(7572)] = 164899,
  [SMALL_STATE(7573)] = 164908,
  [SMALL_STATE(7574)] = 164917,
  [SMALL_STATE(7575)] = 164928,
  [SMALL_STATE(7576)] = 164939,
  [SMALL_STATE(7577)] = 164950,
  [SMALL_STATE(7578)] = 164961,
  [SMALL_STATE(7579)] = 164970,
  [SMALL_STATE(7580)] = 164979,
  [SMALL_STATE(7581)] = 164988,
  [SMALL_STATE(7582)] = 164999,
  [SMALL_STATE(7583)] = 165010,
  [SMALL_STATE(7584)] = 165019,
  [SMALL_STATE(7585)] = 165028,
  [SMALL_STATE(7586)] = 165039,
  [SMALL_STATE(7587)] = 165050,
  [SMALL_STATE(7588)] = 165059,
  [SMALL_STATE(7589)] = 165070,
  [SMALL_STATE(7590)] = 165081,
  [SMALL_STATE(7591)] = 165090,
  [SMALL_STATE(7592)] = 165101,
  [SMALL_STATE(7593)] = 165112,
  [SMALL_STATE(7594)] = 165121,
  [SMALL_STATE(7595)] = 165130,
  [SMALL_STATE(7596)] = 165141,
  [SMALL_STATE(7597)] = 165150,
  [SMALL_STATE(7598)] = 165159,
  [SMALL_STATE(7599)] = 165170,
  [SMALL_STATE(7600)] = 165181,
  [SMALL_STATE(7601)] = 165190,
  [SMALL_STATE(7602)] = 165201,
  [SMALL_STATE(7603)] = 165210,
  [SMALL_STATE(7604)] = 165219,
  [SMALL_STATE(7605)] = 165230,
  [SMALL_STATE(7606)] = 165239,
  [SMALL_STATE(7607)] = 165248,
  [SMALL_STATE(7608)] = 165259,
  [SMALL_STATE(7609)] = 165268,
  [SMALL_STATE(7610)] = 165279,
  [SMALL_STATE(7611)] = 165290,
  [SMALL_STATE(7612)] = 165299,
  [SMALL_STATE(7613)] = 165308,
  [SMALL_STATE(7614)] = 165317,
  [SMALL_STATE(7615)] = 165326,
  [SMALL_STATE(7616)] = 165337,
  [SMALL_STATE(7617)] = 165348,
  [SMALL_STATE(7618)] = 165359,
  [SMALL_STATE(7619)] = 165368,
  [SMALL_STATE(7620)] = 165377,
  [SMALL_STATE(7621)] = 165386,
  [SMALL_STATE(7622)] = 165397,
  [SMALL_STATE(7623)] = 165406,
  [SMALL_STATE(7624)] = 165415,
  [SMALL_STATE(7625)] = 165426,
  [SMALL_STATE(7626)] = 165437,
  [SMALL_STATE(7627)] = 165446,
  [SMALL_STATE(7628)] = 165457,
  [SMALL_STATE(7629)] = 165468,
  [SMALL_STATE(7630)] = 165477,
  [SMALL_STATE(7631)] = 165486,
  [SMALL_STATE(7632)] = 165495,
  [SMALL_STATE(7633)] = 165504,
  [SMALL_STATE(7634)] = 165513,
  [SMALL_STATE(7635)] = 165522,
  [SMALL_STATE(7636)] = 165531,
  [SMALL_STATE(7637)] = 165540,
  [SMALL_STATE(7638)] = 165549,
  [SMALL_STATE(7639)] = 165560,
  [SMALL_STATE(7640)] = 165569,
  [SMALL_STATE(7641)] = 165578,
  [SMALL_STATE(7642)] = 165589,
  [SMALL_STATE(7643)] = 165600,
  [SMALL_STATE(7644)] = 165609,
  [SMALL_STATE(7645)] = 165618,
  [SMALL_STATE(7646)] = 165627,
  [SMALL_STATE(7647)] = 165638,
  [SMALL_STATE(7648)] = 165647,
  [SMALL_STATE(7649)] = 165656,
  [SMALL_STATE(7650)] = 165665,
  [SMALL_STATE(7651)] = 165676,
  [SMALL_STATE(7652)] = 165685,
  [SMALL_STATE(7653)] = 165694,
  [SMALL_STATE(7654)] = 165705,
  [SMALL_STATE(7655)] = 165714,
  [SMALL_STATE(7656)] = 165725,
  [SMALL_STATE(7657)] = 165736,
  [SMALL_STATE(7658)] = 165745,
  [SMALL_STATE(7659)] = 165754,
  [SMALL_STATE(7660)] = 165763,
  [SMALL_STATE(7661)] = 165772,
  [SMALL_STATE(7662)] = 165783,
  [SMALL_STATE(7663)] = 165794,
  [SMALL_STATE(7664)] = 165803,
  [SMALL_STATE(7665)] = 165814,
  [SMALL_STATE(7666)] = 165823,
  [SMALL_STATE(7667)] = 165832,
  [SMALL_STATE(7668)] = 165841,
  [SMALL_STATE(7669)] = 165852,
  [SMALL_STATE(7670)] = 165861,
  [SMALL_STATE(7671)] = 165870,
  [SMALL_STATE(7672)] = 165879,
  [SMALL_STATE(7673)] = 165890,
  [SMALL_STATE(7674)] = 165901,
  [SMALL_STATE(7675)] = 165910,
  [SMALL_STATE(7676)] = 165921,
  [SMALL_STATE(7677)] = 165930,
  [SMALL_STATE(7678)] = 165939,
  [SMALL_STATE(7679)] = 165948,
  [SMALL_STATE(7680)] = 165957,
  [SMALL_STATE(7681)] = 165966,
  [SMALL_STATE(7682)] = 165977,
  [SMALL_STATE(7683)] = 165986,
  [SMALL_STATE(7684)] = 165995,
  [SMALL_STATE(7685)] = 166004,
  [SMALL_STATE(7686)] = 166015,
  [SMALL_STATE(7687)] = 166024,
  [SMALL_STATE(7688)] = 166035,
  [SMALL_STATE(7689)] = 166044,
  [SMALL_STATE(7690)] = 166055,
  [SMALL_STATE(7691)] = 166066,
  [SMALL_STATE(7692)] = 166075,
  [SMALL_STATE(7693)] = 166084,
  [SMALL_STATE(7694)] = 166093,
  [SMALL_STATE(7695)] = 166102,
  [SMALL_STATE(7696)] = 166111,
  [SMALL_STATE(7697)] = 166120,
  [SMALL_STATE(7698)] = 166129,
  [SMALL_STATE(7699)] = 166138,
  [SMALL_STATE(7700)] = 166149,
  [SMALL_STATE(7701)] = 166158,
  [SMALL_STATE(7702)] = 166167,
  [SMALL_STATE(7703)] = 166176,
  [SMALL_STATE(7704)] = 166187,
  [SMALL_STATE(7705)] = 166198,
  [SMALL_STATE(7706)] = 166209,
  [SMALL_STATE(7707)] = 166217,
  [SMALL_STATE(7708)] = 166225,
  [SMALL_STATE(7709)] = 166233,
  [SMALL_STATE(7710)] = 166241,
  [SMALL_STATE(7711)] = 166249,
  [SMALL_STATE(7712)] = 166257,
  [SMALL_STATE(7713)] = 166265,
  [SMALL_STATE(7714)] = 166273,
  [SMALL_STATE(7715)] = 166281,
  [SMALL_STATE(7716)] = 166289,
  [SMALL_STATE(7717)] = 166297,
  [SMALL_STATE(7718)] = 166305,
  [SMALL_STATE(7719)] = 166313,
  [SMALL_STATE(7720)] = 166321,
  [SMALL_STATE(7721)] = 166329,
  [SMALL_STATE(7722)] = 166337,
  [SMALL_STATE(7723)] = 166345,
  [SMALL_STATE(7724)] = 166353,
  [SMALL_STATE(7725)] = 166361,
  [SMALL_STATE(7726)] = 166369,
  [SMALL_STATE(7727)] = 166377,
  [SMALL_STATE(7728)] = 166385,
  [SMALL_STATE(7729)] = 166393,
  [SMALL_STATE(7730)] = 166401,
  [SMALL_STATE(7731)] = 166409,
  [SMALL_STATE(7732)] = 166417,
  [SMALL_STATE(7733)] = 166425,
  [SMALL_STATE(7734)] = 166433,
  [SMALL_STATE(7735)] = 166441,
  [SMALL_STATE(7736)] = 166449,
  [SMALL_STATE(7737)] = 166457,
  [SMALL_STATE(7738)] = 166465,
  [SMALL_STATE(7739)] = 166473,
  [SMALL_STATE(7740)] = 166481,
  [SMALL_STATE(7741)] = 166489,
  [SMALL_STATE(7742)] = 166497,
  [SMALL_STATE(7743)] = 166505,
  [SMALL_STATE(7744)] = 166513,
  [SMALL_STATE(7745)] = 166521,
  [SMALL_STATE(7746)] = 166529,
  [SMALL_STATE(7747)] = 166537,
  [SMALL_STATE(7748)] = 166545,
  [SMALL_STATE(7749)] = 166553,
  [SMALL_STATE(7750)] = 166561,
  [SMALL_STATE(7751)] = 166569,
  [SMALL_STATE(7752)] = 166577,
  [SMALL_STATE(7753)] = 166585,
  [SMALL_STATE(7754)] = 166593,
  [SMALL_STATE(7755)] = 166601,
  [SMALL_STATE(7756)] = 166609,
  [SMALL_STATE(7757)] = 166617,
  [SMALL_STATE(7758)] = 166625,
  [SMALL_STATE(7759)] = 166633,
  [SMALL_STATE(7760)] = 166641,
  [SMALL_STATE(7761)] = 166649,
  [SMALL_STATE(7762)] = 166657,
  [SMALL_STATE(7763)] = 166665,
  [SMALL_STATE(7764)] = 166673,
  [SMALL_STATE(7765)] = 166681,
  [SMALL_STATE(7766)] = 166689,
  [SMALL_STATE(7767)] = 166697,
  [SMALL_STATE(7768)] = 166705,
  [SMALL_STATE(7769)] = 166713,
  [SMALL_STATE(7770)] = 166721,
  [SMALL_STATE(7771)] = 166729,
  [SMALL_STATE(7772)] = 166737,
  [SMALL_STATE(7773)] = 166745,
  [SMALL_STATE(7774)] = 166753,
  [SMALL_STATE(7775)] = 166761,
  [SMALL_STATE(7776)] = 166769,
  [SMALL_STATE(7777)] = 166777,
  [SMALL_STATE(7778)] = 166785,
  [SMALL_STATE(7779)] = 166793,
  [SMALL_STATE(7780)] = 166801,
  [SMALL_STATE(7781)] = 166809,
  [SMALL_STATE(7782)] = 166817,
  [SMALL_STATE(7783)] = 166825,
  [SMALL_STATE(7784)] = 166833,
  [SMALL_STATE(7785)] = 166841,
  [SMALL_STATE(7786)] = 166849,
  [SMALL_STATE(7787)] = 166857,
  [SMALL_STATE(7788)] = 166865,
  [SMALL_STATE(7789)] = 166873,
  [SMALL_STATE(7790)] = 166881,
  [SMALL_STATE(7791)] = 166889,
  [SMALL_STATE(7792)] = 166897,
  [SMALL_STATE(7793)] = 166905,
  [SMALL_STATE(7794)] = 166913,
  [SMALL_STATE(7795)] = 166921,
  [SMALL_STATE(7796)] = 166929,
  [SMALL_STATE(7797)] = 166937,
  [SMALL_STATE(7798)] = 166945,
  [SMALL_STATE(7799)] = 166953,
  [SMALL_STATE(7800)] = 166961,
  [SMALL_STATE(7801)] = 166969,
  [SMALL_STATE(7802)] = 166977,
  [SMALL_STATE(7803)] = 166985,
  [SMALL_STATE(7804)] = 166993,
  [SMALL_STATE(7805)] = 167001,
  [SMALL_STATE(7806)] = 167009,
  [SMALL_STATE(7807)] = 167017,
  [SMALL_STATE(7808)] = 167025,
  [SMALL_STATE(7809)] = 167033,
  [SMALL_STATE(7810)] = 167041,
  [SMALL_STATE(7811)] = 167049,
  [SMALL_STATE(7812)] = 167057,
  [SMALL_STATE(7813)] = 167065,
  [SMALL_STATE(7814)] = 167073,
  [SMALL_STATE(7815)] = 167081,
  [SMALL_STATE(7816)] = 167089,
  [SMALL_STATE(7817)] = 167097,
  [SMALL_STATE(7818)] = 167105,
  [SMALL_STATE(7819)] = 167113,
  [SMALL_STATE(7820)] = 167121,
  [SMALL_STATE(7821)] = 167129,
  [SMALL_STATE(7822)] = 167137,
  [SMALL_STATE(7823)] = 167145,
  [SMALL_STATE(7824)] = 167153,
  [SMALL_STATE(7825)] = 167161,
  [SMALL_STATE(7826)] = 167169,
  [SMALL_STATE(7827)] = 167177,
  [SMALL_STATE(7828)] = 167185,
  [SMALL_STATE(7829)] = 167193,
  [SMALL_STATE(7830)] = 167201,
  [SMALL_STATE(7831)] = 167209,
  [SMALL_STATE(7832)] = 167217,
  [SMALL_STATE(7833)] = 167225,
  [SMALL_STATE(7834)] = 167233,
  [SMALL_STATE(7835)] = 167241,
  [SMALL_STATE(7836)] = 167249,
  [SMALL_STATE(7837)] = 167257,
  [SMALL_STATE(7838)] = 167265,
  [SMALL_STATE(7839)] = 167273,
  [SMALL_STATE(7840)] = 167281,
  [SMALL_STATE(7841)] = 167289,
  [SMALL_STATE(7842)] = 167297,
  [SMALL_STATE(7843)] = 167305,
  [SMALL_STATE(7844)] = 167313,
  [SMALL_STATE(7845)] = 167321,
  [SMALL_STATE(7846)] = 167329,
  [SMALL_STATE(7847)] = 167337,
  [SMALL_STATE(7848)] = 167345,
  [SMALL_STATE(7849)] = 167353,
  [SMALL_STATE(7850)] = 167361,
  [SMALL_STATE(7851)] = 167369,
  [SMALL_STATE(7852)] = 167377,
  [SMALL_STATE(7853)] = 167385,
  [SMALL_STATE(7854)] = 167393,
  [SMALL_STATE(7855)] = 167401,
  [SMALL_STATE(7856)] = 167409,
  [SMALL_STATE(7857)] = 167417,
  [SMALL_STATE(7858)] = 167425,
  [SMALL_STATE(7859)] = 167433,
  [SMALL_STATE(7860)] = 167441,
  [SMALL_STATE(7861)] = 167449,
  [SMALL_STATE(7862)] = 167457,
  [SMALL_STATE(7863)] = 167465,
  [SMALL_STATE(7864)] = 167473,
  [SMALL_STATE(7865)] = 167481,
  [SMALL_STATE(7866)] = 167489,
  [SMALL_STATE(7867)] = 167497,
  [SMALL_STATE(7868)] = 167505,
  [SMALL_STATE(7869)] = 167513,
  [SMALL_STATE(7870)] = 167521,
  [SMALL_STATE(7871)] = 167529,
  [SMALL_STATE(7872)] = 167537,
  [SMALL_STATE(7873)] = 167545,
  [SMALL_STATE(7874)] = 167553,
  [SMALL_STATE(7875)] = 167561,
  [SMALL_STATE(7876)] = 167569,
  [SMALL_STATE(7877)] = 167577,
  [SMALL_STATE(7878)] = 167585,
  [SMALL_STATE(7879)] = 167593,
  [SMALL_STATE(7880)] = 167601,
  [SMALL_STATE(7881)] = 167609,
  [SMALL_STATE(7882)] = 167617,
  [SMALL_STATE(7883)] = 167625,
  [SMALL_STATE(7884)] = 167633,
  [SMALL_STATE(7885)] = 167641,
  [SMALL_STATE(7886)] = 167649,
  [SMALL_STATE(7887)] = 167657,
  [SMALL_STATE(7888)] = 167665,
  [SMALL_STATE(7889)] = 167673,
  [SMALL_STATE(7890)] = 167681,
  [SMALL_STATE(7891)] = 167689,
  [SMALL_STATE(7892)] = 167697,
  [SMALL_STATE(7893)] = 167705,
  [SMALL_STATE(7894)] = 167713,
  [SMALL_STATE(7895)] = 167721,
  [SMALL_STATE(7896)] = 167729,
  [SMALL_STATE(7897)] = 167737,
  [SMALL_STATE(7898)] = 167745,
  [SMALL_STATE(7899)] = 167753,
  [SMALL_STATE(7900)] = 167761,
  [SMALL_STATE(7901)] = 167769,
  [SMALL_STATE(7902)] = 167777,
  [SMALL_STATE(7903)] = 167785,
  [SMALL_STATE(7904)] = 167793,
  [SMALL_STATE(7905)] = 167801,
  [SMALL_STATE(7906)] = 167809,
  [SMALL_STATE(7907)] = 167817,
  [SMALL_STATE(7908)] = 167825,
  [SMALL_STATE(7909)] = 167833,
  [SMALL_STATE(7910)] = 167841,
  [SMALL_STATE(7911)] = 167849,
  [SMALL_STATE(7912)] = 167857,
  [SMALL_STATE(7913)] = 167865,
  [SMALL_STATE(7914)] = 167873,
  [SMALL_STATE(7915)] = 167881,
  [SMALL_STATE(7916)] = 167889,
  [SMALL_STATE(7917)] = 167897,
  [SMALL_STATE(7918)] = 167905,
  [SMALL_STATE(7919)] = 167913,
  [SMALL_STATE(7920)] = 167921,
  [SMALL_STATE(7921)] = 167929,
  [SMALL_STATE(7922)] = 167937,
  [SMALL_STATE(7923)] = 167945,
  [SMALL_STATE(7924)] = 167953,
  [SMALL_STATE(7925)] = 167961,
  [SMALL_STATE(7926)] = 167969,
  [SMALL_STATE(7927)] = 167977,
  [SMALL_STATE(7928)] = 167985,
  [SMALL_STATE(7929)] = 167993,
  [SMALL_STATE(7930)] = 168001,
  [SMALL_STATE(7931)] = 168009,
  [SMALL_STATE(7932)] = 168017,
  [SMALL_STATE(7933)] = 168025,
  [SMALL_STATE(7934)] = 168033,
  [SMALL_STATE(7935)] = 168041,
  [SMALL_STATE(7936)] = 168049,
  [SMALL_STATE(7937)] = 168057,
  [SMALL_STATE(7938)] = 168065,
  [SMALL_STATE(7939)] = 168073,
  [SMALL_STATE(7940)] = 168081,
  [SMALL_STATE(7941)] = 168089,
  [SMALL_STATE(7942)] = 168097,
  [SMALL_STATE(7943)] = 168105,
  [SMALL_STATE(7944)] = 168113,
  [SMALL_STATE(7945)] = 168121,
  [SMALL_STATE(7946)] = 168129,
  [SMALL_STATE(7947)] = 168137,
  [SMALL_STATE(7948)] = 168145,
  [SMALL_STATE(7949)] = 168153,
  [SMALL_STATE(7950)] = 168161,
  [SMALL_STATE(7951)] = 168169,
  [SMALL_STATE(7952)] = 168177,
  [SMALL_STATE(7953)] = 168185,
  [SMALL_STATE(7954)] = 168193,
  [SMALL_STATE(7955)] = 168201,
  [SMALL_STATE(7956)] = 168209,
  [SMALL_STATE(7957)] = 168217,
  [SMALL_STATE(7958)] = 168225,
  [SMALL_STATE(7959)] = 168233,
  [SMALL_STATE(7960)] = 168241,
  [SMALL_STATE(7961)] = 168249,
  [SMALL_STATE(7962)] = 168257,
  [SMALL_STATE(7963)] = 168265,
  [SMALL_STATE(7964)] = 168273,
  [SMALL_STATE(7965)] = 168281,
  [SMALL_STATE(7966)] = 168289,
  [SMALL_STATE(7967)] = 168297,
  [SMALL_STATE(7968)] = 168305,
  [SMALL_STATE(7969)] = 168313,
  [SMALL_STATE(7970)] = 168321,
  [SMALL_STATE(7971)] = 168329,
  [SMALL_STATE(7972)] = 168337,
  [SMALL_STATE(7973)] = 168345,
  [SMALL_STATE(7974)] = 168353,
  [SMALL_STATE(7975)] = 168361,
  [SMALL_STATE(7976)] = 168369,
  [SMALL_STATE(7977)] = 168377,
  [SMALL_STATE(7978)] = 168385,
  [SMALL_STATE(7979)] = 168393,
  [SMALL_STATE(7980)] = 168401,
  [SMALL_STATE(7981)] = 168409,
  [SMALL_STATE(7982)] = 168417,
  [SMALL_STATE(7983)] = 168425,
  [SMALL_STATE(7984)] = 168433,
  [SMALL_STATE(7985)] = 168441,
  [SMALL_STATE(7986)] = 168449,
  [SMALL_STATE(7987)] = 168457,
  [SMALL_STATE(7988)] = 168465,
  [SMALL_STATE(7989)] = 168473,
  [SMALL_STATE(7990)] = 168481,
  [SMALL_STATE(7991)] = 168489,
  [SMALL_STATE(7992)] = 168497,
  [SMALL_STATE(7993)] = 168505,
  [SMALL_STATE(7994)] = 168513,
  [SMALL_STATE(7995)] = 168521,
  [SMALL_STATE(7996)] = 168529,
  [SMALL_STATE(7997)] = 168537,
  [SMALL_STATE(7998)] = 168545,
  [SMALL_STATE(7999)] = 168553,
  [SMALL_STATE(8000)] = 168561,
  [SMALL_STATE(8001)] = 168569,
  [SMALL_STATE(8002)] = 168577,
  [SMALL_STATE(8003)] = 168585,
  [SMALL_STATE(8004)] = 168593,
  [SMALL_STATE(8005)] = 168601,
  [SMALL_STATE(8006)] = 168609,
  [SMALL_STATE(8007)] = 168617,
  [SMALL_STATE(8008)] = 168625,
  [SMALL_STATE(8009)] = 168633,
  [SMALL_STATE(8010)] = 168641,
  [SMALL_STATE(8011)] = 168649,
  [SMALL_STATE(8012)] = 168657,
  [SMALL_STATE(8013)] = 168665,
  [SMALL_STATE(8014)] = 168673,
  [SMALL_STATE(8015)] = 168681,
  [SMALL_STATE(8016)] = 168689,
  [SMALL_STATE(8017)] = 168697,
  [SMALL_STATE(8018)] = 168705,
  [SMALL_STATE(8019)] = 168713,
  [SMALL_STATE(8020)] = 168721,
  [SMALL_STATE(8021)] = 168729,
  [SMALL_STATE(8022)] = 168737,
  [SMALL_STATE(8023)] = 168745,
  [SMALL_STATE(8024)] = 168753,
  [SMALL_STATE(8025)] = 168761,
  [SMALL_STATE(8026)] = 168769,
  [SMALL_STATE(8027)] = 168777,
  [SMALL_STATE(8028)] = 168785,
  [SMALL_STATE(8029)] = 168793,
  [SMALL_STATE(8030)] = 168801,
  [SMALL_STATE(8031)] = 168809,
  [SMALL_STATE(8032)] = 168817,
  [SMALL_STATE(8033)] = 168825,
  [SMALL_STATE(8034)] = 168833,
  [SMALL_STATE(8035)] = 168841,
  [SMALL_STATE(8036)] = 168849,
  [SMALL_STATE(8037)] = 168857,
  [SMALL_STATE(8038)] = 168865,
  [SMALL_STATE(8039)] = 168873,
  [SMALL_STATE(8040)] = 168881,
  [SMALL_STATE(8041)] = 168889,
  [SMALL_STATE(8042)] = 168897,
  [SMALL_STATE(8043)] = 168905,
  [SMALL_STATE(8044)] = 168913,
  [SMALL_STATE(8045)] = 168921,
  [SMALL_STATE(8046)] = 168929,
  [SMALL_STATE(8047)] = 168937,
  [SMALL_STATE(8048)] = 168945,
  [SMALL_STATE(8049)] = 168953,
  [SMALL_STATE(8050)] = 168961,
  [SMALL_STATE(8051)] = 168969,
  [SMALL_STATE(8052)] = 168977,
  [SMALL_STATE(8053)] = 168985,
  [SMALL_STATE(8054)] = 168993,
  [SMALL_STATE(8055)] = 169001,
  [SMALL_STATE(8056)] = 169009,
  [SMALL_STATE(8057)] = 169017,
  [SMALL_STATE(8058)] = 169025,
  [SMALL_STATE(8059)] = 169033,
  [SMALL_STATE(8060)] = 169041,
  [SMALL_STATE(8061)] = 169049,
  [SMALL_STATE(8062)] = 169057,
  [SMALL_STATE(8063)] = 169065,
  [SMALL_STATE(8064)] = 169073,
  [SMALL_STATE(8065)] = 169081,
  [SMALL_STATE(8066)] = 169089,
  [SMALL_STATE(8067)] = 169097,
  [SMALL_STATE(8068)] = 169105,
  [SMALL_STATE(8069)] = 169113,
  [SMALL_STATE(8070)] = 169121,
  [SMALL_STATE(8071)] = 169129,
  [SMALL_STATE(8072)] = 169137,
  [SMALL_STATE(8073)] = 169145,
  [SMALL_STATE(8074)] = 169153,
  [SMALL_STATE(8075)] = 169161,
  [SMALL_STATE(8076)] = 169169,
  [SMALL_STATE(8077)] = 169177,
  [SMALL_STATE(8078)] = 169185,
  [SMALL_STATE(8079)] = 169193,
  [SMALL_STATE(8080)] = 169201,
  [SMALL_STATE(8081)] = 169209,
  [SMALL_STATE(8082)] = 169217,
  [SMALL_STATE(8083)] = 169225,
  [SMALL_STATE(8084)] = 169233,
  [SMALL_STATE(8085)] = 169241,
  [SMALL_STATE(8086)] = 169249,
  [SMALL_STATE(8087)] = 169257,
  [SMALL_STATE(8088)] = 169265,
  [SMALL_STATE(8089)] = 169273,
  [SMALL_STATE(8090)] = 169281,
  [SMALL_STATE(8091)] = 169289,
  [SMALL_STATE(8092)] = 169297,
  [SMALL_STATE(8093)] = 169305,
  [SMALL_STATE(8094)] = 169313,
  [SMALL_STATE(8095)] = 169321,
  [SMALL_STATE(8096)] = 169329,
  [SMALL_STATE(8097)] = 169337,
  [SMALL_STATE(8098)] = 169345,
  [SMALL_STATE(8099)] = 169353,
  [SMALL_STATE(8100)] = 169361,
  [SMALL_STATE(8101)] = 169369,
  [SMALL_STATE(8102)] = 169377,
  [SMALL_STATE(8103)] = 169385,
  [SMALL_STATE(8104)] = 169393,
  [SMALL_STATE(8105)] = 169401,
  [SMALL_STATE(8106)] = 169409,
  [SMALL_STATE(8107)] = 169417,
  [SMALL_STATE(8108)] = 169425,
  [SMALL_STATE(8109)] = 169433,
  [SMALL_STATE(8110)] = 169441,
  [SMALL_STATE(8111)] = 169449,
  [SMALL_STATE(8112)] = 169457,
  [SMALL_STATE(8113)] = 169465,
  [SMALL_STATE(8114)] = 169473,
  [SMALL_STATE(8115)] = 169481,
  [SMALL_STATE(8116)] = 169489,
  [SMALL_STATE(8117)] = 169497,
  [SMALL_STATE(8118)] = 169505,
  [SMALL_STATE(8119)] = 169513,
  [SMALL_STATE(8120)] = 169521,
  [SMALL_STATE(8121)] = 169529,
  [SMALL_STATE(8122)] = 169537,
  [SMALL_STATE(8123)] = 169545,
  [SMALL_STATE(8124)] = 169553,
  [SMALL_STATE(8125)] = 169561,
  [SMALL_STATE(8126)] = 169569,
  [SMALL_STATE(8127)] = 169577,
  [SMALL_STATE(8128)] = 169585,
  [SMALL_STATE(8129)] = 169593,
  [SMALL_STATE(8130)] = 169601,
  [SMALL_STATE(8131)] = 169609,
  [SMALL_STATE(8132)] = 169617,
  [SMALL_STATE(8133)] = 169625,
  [SMALL_STATE(8134)] = 169633,
  [SMALL_STATE(8135)] = 169641,
  [SMALL_STATE(8136)] = 169649,
  [SMALL_STATE(8137)] = 169657,
  [SMALL_STATE(8138)] = 169665,
  [SMALL_STATE(8139)] = 169673,
  [SMALL_STATE(8140)] = 169681,
  [SMALL_STATE(8141)] = 169689,
  [SMALL_STATE(8142)] = 169697,
  [SMALL_STATE(8143)] = 169705,
  [SMALL_STATE(8144)] = 169713,
  [SMALL_STATE(8145)] = 169721,
  [SMALL_STATE(8146)] = 169729,
  [SMALL_STATE(8147)] = 169737,
  [SMALL_STATE(8148)] = 169745,
  [SMALL_STATE(8149)] = 169753,
  [SMALL_STATE(8150)] = 169761,
  [SMALL_STATE(8151)] = 169769,
  [SMALL_STATE(8152)] = 169777,
  [SMALL_STATE(8153)] = 169785,
  [SMALL_STATE(8154)] = 169793,
  [SMALL_STATE(8155)] = 169801,
  [SMALL_STATE(8156)] = 169809,
  [SMALL_STATE(8157)] = 169817,
  [SMALL_STATE(8158)] = 169825,
  [SMALL_STATE(8159)] = 169833,
  [SMALL_STATE(8160)] = 169841,
  [SMALL_STATE(8161)] = 169849,
  [SMALL_STATE(8162)] = 169857,
  [SMALL_STATE(8163)] = 169865,
  [SMALL_STATE(8164)] = 169873,
  [SMALL_STATE(8165)] = 169881,
  [SMALL_STATE(8166)] = 169889,
  [SMALL_STATE(8167)] = 169897,
  [SMALL_STATE(8168)] = 169905,
  [SMALL_STATE(8169)] = 169913,
  [SMALL_STATE(8170)] = 169921,
  [SMALL_STATE(8171)] = 169929,
  [SMALL_STATE(8172)] = 169937,
  [SMALL_STATE(8173)] = 169945,
  [SMALL_STATE(8174)] = 169953,
  [SMALL_STATE(8175)] = 169961,
  [SMALL_STATE(8176)] = 169969,
  [SMALL_STATE(8177)] = 169977,
  [SMALL_STATE(8178)] = 169985,
  [SMALL_STATE(8179)] = 169993,
  [SMALL_STATE(8180)] = 170001,
  [SMALL_STATE(8181)] = 170009,
  [SMALL_STATE(8182)] = 170017,
  [SMALL_STATE(8183)] = 170025,
  [SMALL_STATE(8184)] = 170033,
  [SMALL_STATE(8185)] = 170041,
  [SMALL_STATE(8186)] = 170049,
  [SMALL_STATE(8187)] = 170057,
  [SMALL_STATE(8188)] = 170065,
  [SMALL_STATE(8189)] = 170073,
  [SMALL_STATE(8190)] = 170081,
  [SMALL_STATE(8191)] = 170089,
  [SMALL_STATE(8192)] = 170097,
  [SMALL_STATE(8193)] = 170105,
  [SMALL_STATE(8194)] = 170113,
  [SMALL_STATE(8195)] = 170121,
  [SMALL_STATE(8196)] = 170129,
  [SMALL_STATE(8197)] = 170137,
  [SMALL_STATE(8198)] = 170145,
  [SMALL_STATE(8199)] = 170153,
  [SMALL_STATE(8200)] = 170161,
  [SMALL_STATE(8201)] = 170169,
  [SMALL_STATE(8202)] = 170177,
  [SMALL_STATE(8203)] = 170185,
  [SMALL_STATE(8204)] = 170193,
  [SMALL_STATE(8205)] = 170201,
  [SMALL_STATE(8206)] = 170209,
  [SMALL_STATE(8207)] = 170217,
  [SMALL_STATE(8208)] = 170225,
  [SMALL_STATE(8209)] = 170233,
  [SMALL_STATE(8210)] = 170241,
  [SMALL_STATE(8211)] = 170249,
  [SMALL_STATE(8212)] = 170257,
  [SMALL_STATE(8213)] = 170265,
  [SMALL_STATE(8214)] = 170273,
  [SMALL_STATE(8215)] = 170281,
  [SMALL_STATE(8216)] = 170289,
  [SMALL_STATE(8217)] = 170297,
  [SMALL_STATE(8218)] = 170305,
  [SMALL_STATE(8219)] = 170313,
  [SMALL_STATE(8220)] = 170321,
  [SMALL_STATE(8221)] = 170329,
  [SMALL_STATE(8222)] = 170337,
  [SMALL_STATE(8223)] = 170345,
  [SMALL_STATE(8224)] = 170353,
  [SMALL_STATE(8225)] = 170361,
  [SMALL_STATE(8226)] = 170369,
  [SMALL_STATE(8227)] = 170377,
  [SMALL_STATE(8228)] = 170385,
  [SMALL_STATE(8229)] = 170393,
  [SMALL_STATE(8230)] = 170401,
  [SMALL_STATE(8231)] = 170409,
  [SMALL_STATE(8232)] = 170417,
  [SMALL_STATE(8233)] = 170425,
  [SMALL_STATE(8234)] = 170433,
  [SMALL_STATE(8235)] = 170441,
  [SMALL_STATE(8236)] = 170449,
  [SMALL_STATE(8237)] = 170457,
  [SMALL_STATE(8238)] = 170465,
  [SMALL_STATE(8239)] = 170473,
  [SMALL_STATE(8240)] = 170481,
  [SMALL_STATE(8241)] = 170489,
  [SMALL_STATE(8242)] = 170497,
  [SMALL_STATE(8243)] = 170505,
  [SMALL_STATE(8244)] = 170513,
  [SMALL_STATE(8245)] = 170521,
  [SMALL_STATE(8246)] = 170529,
  [SMALL_STATE(8247)] = 170537,
  [SMALL_STATE(8248)] = 170545,
  [SMALL_STATE(8249)] = 170553,
  [SMALL_STATE(8250)] = 170561,
  [SMALL_STATE(8251)] = 170569,
  [SMALL_STATE(8252)] = 170577,
  [SMALL_STATE(8253)] = 170585,
  [SMALL_STATE(8254)] = 170593,
  [SMALL_STATE(8255)] = 170601,
  [SMALL_STATE(8256)] = 170609,
  [SMALL_STATE(8257)] = 170617,
  [SMALL_STATE(8258)] = 170625,
  [SMALL_STATE(8259)] = 170633,
  [SMALL_STATE(8260)] = 170641,
  [SMALL_STATE(8261)] = 170649,
  [SMALL_STATE(8262)] = 170657,
  [SMALL_STATE(8263)] = 170665,
  [SMALL_STATE(8264)] = 170673,
  [SMALL_STATE(8265)] = 170681,
  [SMALL_STATE(8266)] = 170689,
  [SMALL_STATE(8267)] = 170697,
  [SMALL_STATE(8268)] = 170705,
  [SMALL_STATE(8269)] = 170713,
  [SMALL_STATE(8270)] = 170721,
  [SMALL_STATE(8271)] = 170729,
  [SMALL_STATE(8272)] = 170737,
  [SMALL_STATE(8273)] = 170745,
  [SMALL_STATE(8274)] = 170753,
  [SMALL_STATE(8275)] = 170761,
  [SMALL_STATE(8276)] = 170769,
  [SMALL_STATE(8277)] = 170777,
  [SMALL_STATE(8278)] = 170785,
  [SMALL_STATE(8279)] = 170793,
  [SMALL_STATE(8280)] = 170801,
  [SMALL_STATE(8281)] = 170809,
  [SMALL_STATE(8282)] = 170817,
  [SMALL_STATE(8283)] = 170825,
  [SMALL_STATE(8284)] = 170833,
  [SMALL_STATE(8285)] = 170841,
  [SMALL_STATE(8286)] = 170849,
  [SMALL_STATE(8287)] = 170857,
  [SMALL_STATE(8288)] = 170865,
  [SMALL_STATE(8289)] = 170873,
  [SMALL_STATE(8290)] = 170881,
  [SMALL_STATE(8291)] = 170889,
  [SMALL_STATE(8292)] = 170897,
  [SMALL_STATE(8293)] = 170905,
  [SMALL_STATE(8294)] = 170913,
  [SMALL_STATE(8295)] = 170921,
  [SMALL_STATE(8296)] = 170929,
  [SMALL_STATE(8297)] = 170937,
  [SMALL_STATE(8298)] = 170945,
  [SMALL_STATE(8299)] = 170953,
  [SMALL_STATE(8300)] = 170961,
  [SMALL_STATE(8301)] = 170969,
  [SMALL_STATE(8302)] = 170977,
  [SMALL_STATE(8303)] = 170985,
  [SMALL_STATE(8304)] = 170993,
  [SMALL_STATE(8305)] = 171001,
  [SMALL_STATE(8306)] = 171009,
  [SMALL_STATE(8307)] = 171017,
  [SMALL_STATE(8308)] = 171025,
  [SMALL_STATE(8309)] = 171033,
  [SMALL_STATE(8310)] = 171041,
  [SMALL_STATE(8311)] = 171049,
  [SMALL_STATE(8312)] = 171057,
  [SMALL_STATE(8313)] = 171065,
  [SMALL_STATE(8314)] = 171073,
  [SMALL_STATE(8315)] = 171081,
  [SMALL_STATE(8316)] = 171089,
  [SMALL_STATE(8317)] = 171097,
  [SMALL_STATE(8318)] = 171105,
  [SMALL_STATE(8319)] = 171113,
  [SMALL_STATE(8320)] = 171121,
  [SMALL_STATE(8321)] = 171129,
  [SMALL_STATE(8322)] = 171137,
  [SMALL_STATE(8323)] = 171145,
  [SMALL_STATE(8324)] = 171153,
  [SMALL_STATE(8325)] = 171161,
  [SMALL_STATE(8326)] = 171169,
  [SMALL_STATE(8327)] = 171177,
  [SMALL_STATE(8328)] = 171185,
  [SMALL_STATE(8329)] = 171193,
  [SMALL_STATE(8330)] = 171201,
  [SMALL_STATE(8331)] = 171209,
  [SMALL_STATE(8332)] = 171217,
  [SMALL_STATE(8333)] = 171225,
  [SMALL_STATE(8334)] = 171233,
  [SMALL_STATE(8335)] = 171241,
  [SMALL_STATE(8336)] = 171249,
  [SMALL_STATE(8337)] = 171257,
  [SMALL_STATE(8338)] = 171265,
  [SMALL_STATE(8339)] = 171273,
  [SMALL_STATE(8340)] = 171281,
  [SMALL_STATE(8341)] = 171289,
  [SMALL_STATE(8342)] = 171297,
  [SMALL_STATE(8343)] = 171305,
  [SMALL_STATE(8344)] = 171313,
  [SMALL_STATE(8345)] = 171321,
  [SMALL_STATE(8346)] = 171329,
  [SMALL_STATE(8347)] = 171337,
  [SMALL_STATE(8348)] = 171345,
  [SMALL_STATE(8349)] = 171353,
  [SMALL_STATE(8350)] = 171361,
  [SMALL_STATE(8351)] = 171369,
  [SMALL_STATE(8352)] = 171377,
  [SMALL_STATE(8353)] = 171385,
  [SMALL_STATE(8354)] = 171393,
  [SMALL_STATE(8355)] = 171401,
  [SMALL_STATE(8356)] = 171409,
  [SMALL_STATE(8357)] = 171417,
  [SMALL_STATE(8358)] = 171425,
  [SMALL_STATE(8359)] = 171433,
  [SMALL_STATE(8360)] = 171441,
  [SMALL_STATE(8361)] = 171449,
  [SMALL_STATE(8362)] = 171457,
  [SMALL_STATE(8363)] = 171465,
  [SMALL_STATE(8364)] = 171473,
  [SMALL_STATE(8365)] = 171481,
  [SMALL_STATE(8366)] = 171489,
  [SMALL_STATE(8367)] = 171497,
  [SMALL_STATE(8368)] = 171505,
  [SMALL_STATE(8369)] = 171513,
  [SMALL_STATE(8370)] = 171521,
  [SMALL_STATE(8371)] = 171529,
  [SMALL_STATE(8372)] = 171537,
  [SMALL_STATE(8373)] = 171545,
  [SMALL_STATE(8374)] = 171553,
  [SMALL_STATE(8375)] = 171561,
  [SMALL_STATE(8376)] = 171569,
  [SMALL_STATE(8377)] = 171577,
  [SMALL_STATE(8378)] = 171585,
  [SMALL_STATE(8379)] = 171593,
  [SMALL_STATE(8380)] = 171601,
  [SMALL_STATE(8381)] = 171609,
  [SMALL_STATE(8382)] = 171617,
  [SMALL_STATE(8383)] = 171625,
  [SMALL_STATE(8384)] = 171633,
  [SMALL_STATE(8385)] = 171641,
  [SMALL_STATE(8386)] = 171649,
  [SMALL_STATE(8387)] = 171657,
  [SMALL_STATE(8388)] = 171665,
  [SMALL_STATE(8389)] = 171673,
  [SMALL_STATE(8390)] = 171681,
  [SMALL_STATE(8391)] = 171689,
  [SMALL_STATE(8392)] = 171697,
  [SMALL_STATE(8393)] = 171705,
  [SMALL_STATE(8394)] = 171713,
  [SMALL_STATE(8395)] = 171721,
  [SMALL_STATE(8396)] = 171729,
  [SMALL_STATE(8397)] = 171737,
  [SMALL_STATE(8398)] = 171745,
  [SMALL_STATE(8399)] = 171753,
  [SMALL_STATE(8400)] = 171761,
  [SMALL_STATE(8401)] = 171769,
  [SMALL_STATE(8402)] = 171777,
  [SMALL_STATE(8403)] = 171785,
  [SMALL_STATE(8404)] = 171793,
  [SMALL_STATE(8405)] = 171801,
  [SMALL_STATE(8406)] = 171809,
  [SMALL_STATE(8407)] = 171817,
  [SMALL_STATE(8408)] = 171825,
  [SMALL_STATE(8409)] = 171833,
  [SMALL_STATE(8410)] = 171841,
  [SMALL_STATE(8411)] = 171849,
  [SMALL_STATE(8412)] = 171857,
  [SMALL_STATE(8413)] = 171865,
  [SMALL_STATE(8414)] = 171873,
  [SMALL_STATE(8415)] = 171881,
  [SMALL_STATE(8416)] = 171889,
  [SMALL_STATE(8417)] = 171897,
  [SMALL_STATE(8418)] = 171905,
  [SMALL_STATE(8419)] = 171913,
  [SMALL_STATE(8420)] = 171921,
  [SMALL_STATE(8421)] = 171929,
  [SMALL_STATE(8422)] = 171937,
  [SMALL_STATE(8423)] = 171945,
  [SMALL_STATE(8424)] = 171953,
  [SMALL_STATE(8425)] = 171961,
  [SMALL_STATE(8426)] = 171969,
  [SMALL_STATE(8427)] = 171977,
  [SMALL_STATE(8428)] = 171985,
  [SMALL_STATE(8429)] = 171993,
  [SMALL_STATE(8430)] = 172001,
  [SMALL_STATE(8431)] = 172009,
  [SMALL_STATE(8432)] = 172017,
  [SMALL_STATE(8433)] = 172025,
  [SMALL_STATE(8434)] = 172033,
  [SMALL_STATE(8435)] = 172041,
  [SMALL_STATE(8436)] = 172049,
  [SMALL_STATE(8437)] = 172057,
  [SMALL_STATE(8438)] = 172065,
  [SMALL_STATE(8439)] = 172073,
  [SMALL_STATE(8440)] = 172081,
  [SMALL_STATE(8441)] = 172089,
  [SMALL_STATE(8442)] = 172097,
  [SMALL_STATE(8443)] = 172105,
  [SMALL_STATE(8444)] = 172113,
  [SMALL_STATE(8445)] = 172121,
  [SMALL_STATE(8446)] = 172129,
  [SMALL_STATE(8447)] = 172137,
  [SMALL_STATE(8448)] = 172145,
  [SMALL_STATE(8449)] = 172153,
  [SMALL_STATE(8450)] = 172161,
  [SMALL_STATE(8451)] = 172169,
  [SMALL_STATE(8452)] = 172177,
  [SMALL_STATE(8453)] = 172185,
  [SMALL_STATE(8454)] = 172193,
  [SMALL_STATE(8455)] = 172201,
  [SMALL_STATE(8456)] = 172209,
  [SMALL_STATE(8457)] = 172217,
  [SMALL_STATE(8458)] = 172225,
  [SMALL_STATE(8459)] = 172233,
  [SMALL_STATE(8460)] = 172241,
  [SMALL_STATE(8461)] = 172249,
  [SMALL_STATE(8462)] = 172257,
  [SMALL_STATE(8463)] = 172265,
  [SMALL_STATE(8464)] = 172273,
  [SMALL_STATE(8465)] = 172281,
  [SMALL_STATE(8466)] = 172289,
  [SMALL_STATE(8467)] = 172297,
  [SMALL_STATE(8468)] = 172305,
  [SMALL_STATE(8469)] = 172313,
  [SMALL_STATE(8470)] = 172321,
  [SMALL_STATE(8471)] = 172329,
  [SMALL_STATE(8472)] = 172337,
  [SMALL_STATE(8473)] = 172345,
  [SMALL_STATE(8474)] = 172353,
  [SMALL_STATE(8475)] = 172361,
  [SMALL_STATE(8476)] = 172369,
  [SMALL_STATE(8477)] = 172377,
  [SMALL_STATE(8478)] = 172385,
  [SMALL_STATE(8479)] = 172393,
  [SMALL_STATE(8480)] = 172401,
  [SMALL_STATE(8481)] = 172409,
  [SMALL_STATE(8482)] = 172417,
  [SMALL_STATE(8483)] = 172425,
  [SMALL_STATE(8484)] = 172433,
  [SMALL_STATE(8485)] = 172441,
  [SMALL_STATE(8486)] = 172449,
  [SMALL_STATE(8487)] = 172457,
  [SMALL_STATE(8488)] = 172465,
  [SMALL_STATE(8489)] = 172473,
  [SMALL_STATE(8490)] = 172481,
  [SMALL_STATE(8491)] = 172489,
  [SMALL_STATE(8492)] = 172497,
  [SMALL_STATE(8493)] = 172505,
  [SMALL_STATE(8494)] = 172513,
  [SMALL_STATE(8495)] = 172521,
  [SMALL_STATE(8496)] = 172529,
  [SMALL_STATE(8497)] = 172537,
  [SMALL_STATE(8498)] = 172545,
  [SMALL_STATE(8499)] = 172553,
  [SMALL_STATE(8500)] = 172561,
  [SMALL_STATE(8501)] = 172569,
  [SMALL_STATE(8502)] = 172577,
  [SMALL_STATE(8503)] = 172585,
  [SMALL_STATE(8504)] = 172593,
  [SMALL_STATE(8505)] = 172601,
  [SMALL_STATE(8506)] = 172609,
  [SMALL_STATE(8507)] = 172617,
  [SMALL_STATE(8508)] = 172625,
  [SMALL_STATE(8509)] = 172633,
  [SMALL_STATE(8510)] = 172641,
  [SMALL_STATE(8511)] = 172649,
  [SMALL_STATE(8512)] = 172657,
  [SMALL_STATE(8513)] = 172665,
  [SMALL_STATE(8514)] = 172673,
  [SMALL_STATE(8515)] = 172681,
  [SMALL_STATE(8516)] = 172689,
  [SMALL_STATE(8517)] = 172697,
  [SMALL_STATE(8518)] = 172705,
  [SMALL_STATE(8519)] = 172713,
  [SMALL_STATE(8520)] = 172721,
  [SMALL_STATE(8521)] = 172729,
  [SMALL_STATE(8522)] = 172737,
  [SMALL_STATE(8523)] = 172745,
  [SMALL_STATE(8524)] = 172753,
  [SMALL_STATE(8525)] = 172761,
  [SMALL_STATE(8526)] = 172769,
  [SMALL_STATE(8527)] = 172777,
  [SMALL_STATE(8528)] = 172785,
  [SMALL_STATE(8529)] = 172793,
  [SMALL_STATE(8530)] = 172801,
  [SMALL_STATE(8531)] = 172809,
  [SMALL_STATE(8532)] = 172817,
  [SMALL_STATE(8533)] = 172825,
  [SMALL_STATE(8534)] = 172833,
  [SMALL_STATE(8535)] = 172841,
  [SMALL_STATE(8536)] = 172849,
  [SMALL_STATE(8537)] = 172857,
  [SMALL_STATE(8538)] = 172865,
  [SMALL_STATE(8539)] = 172873,
  [SMALL_STATE(8540)] = 172881,
  [SMALL_STATE(8541)] = 172889,
  [SMALL_STATE(8542)] = 172897,
  [SMALL_STATE(8543)] = 172905,
  [SMALL_STATE(8544)] = 172913,
  [SMALL_STATE(8545)] = 172921,
  [SMALL_STATE(8546)] = 172929,
  [SMALL_STATE(8547)] = 172937,
  [SMALL_STATE(8548)] = 172945,
  [SMALL_STATE(8549)] = 172953,
  [SMALL_STATE(8550)] = 172961,
  [SMALL_STATE(8551)] = 172969,
  [SMALL_STATE(8552)] = 172977,
  [SMALL_STATE(8553)] = 172985,
  [SMALL_STATE(8554)] = 172993,
  [SMALL_STATE(8555)] = 173001,
  [SMALL_STATE(8556)] = 173009,
  [SMALL_STATE(8557)] = 173017,
  [SMALL_STATE(8558)] = 173025,
  [SMALL_STATE(8559)] = 173033,
  [SMALL_STATE(8560)] = 173041,
  [SMALL_STATE(8561)] = 173049,
  [SMALL_STATE(8562)] = 173057,
  [SMALL_STATE(8563)] = 173065,
  [SMALL_STATE(8564)] = 173073,
  [SMALL_STATE(8565)] = 173081,
  [SMALL_STATE(8566)] = 173089,
  [SMALL_STATE(8567)] = 173097,
  [SMALL_STATE(8568)] = 173105,
  [SMALL_STATE(8569)] = 173113,
  [SMALL_STATE(8570)] = 173121,
  [SMALL_STATE(8571)] = 173129,
  [SMALL_STATE(8572)] = 173137,
  [SMALL_STATE(8573)] = 173145,
  [SMALL_STATE(8574)] = 173153,
  [SMALL_STATE(8575)] = 173161,
  [SMALL_STATE(8576)] = 173169,
  [SMALL_STATE(8577)] = 173177,
  [SMALL_STATE(8578)] = 173185,
  [SMALL_STATE(8579)] = 173193,
  [SMALL_STATE(8580)] = 173201,
  [SMALL_STATE(8581)] = 173209,
  [SMALL_STATE(8582)] = 173217,
  [SMALL_STATE(8583)] = 173225,
  [SMALL_STATE(8584)] = 173233,
  [SMALL_STATE(8585)] = 173241,
  [SMALL_STATE(8586)] = 173249,
  [SMALL_STATE(8587)] = 173257,
  [SMALL_STATE(8588)] = 173265,
  [SMALL_STATE(8589)] = 173273,
  [SMALL_STATE(8590)] = 173281,
  [SMALL_STATE(8591)] = 173289,
  [SMALL_STATE(8592)] = 173297,
  [SMALL_STATE(8593)] = 173305,
  [SMALL_STATE(8594)] = 173313,
  [SMALL_STATE(8595)] = 173321,
  [SMALL_STATE(8596)] = 173329,
  [SMALL_STATE(8597)] = 173337,
  [SMALL_STATE(8598)] = 173345,
  [SMALL_STATE(8599)] = 173353,
  [SMALL_STATE(8600)] = 173361,
  [SMALL_STATE(8601)] = 173369,
  [SMALL_STATE(8602)] = 173377,
  [SMALL_STATE(8603)] = 173385,
  [SMALL_STATE(8604)] = 173393,
  [SMALL_STATE(8605)] = 173401,
  [SMALL_STATE(8606)] = 173409,
  [SMALL_STATE(8607)] = 173417,
  [SMALL_STATE(8608)] = 173425,
  [SMALL_STATE(8609)] = 173433,
  [SMALL_STATE(8610)] = 173441,
  [SMALL_STATE(8611)] = 173449,
  [SMALL_STATE(8612)] = 173457,
  [SMALL_STATE(8613)] = 173465,
  [SMALL_STATE(8614)] = 173473,
  [SMALL_STATE(8615)] = 173481,
  [SMALL_STATE(8616)] = 173489,
  [SMALL_STATE(8617)] = 173497,
  [SMALL_STATE(8618)] = 173505,
  [SMALL_STATE(8619)] = 173513,
  [SMALL_STATE(8620)] = 173521,
  [SMALL_STATE(8621)] = 173529,
  [SMALL_STATE(8622)] = 173537,
  [SMALL_STATE(8623)] = 173545,
  [SMALL_STATE(8624)] = 173553,
  [SMALL_STATE(8625)] = 173561,
  [SMALL_STATE(8626)] = 173569,
  [SMALL_STATE(8627)] = 173577,
  [SMALL_STATE(8628)] = 173585,
  [SMALL_STATE(8629)] = 173593,
  [SMALL_STATE(8630)] = 173601,
  [SMALL_STATE(8631)] = 173609,
  [SMALL_STATE(8632)] = 173617,
  [SMALL_STATE(8633)] = 173625,
  [SMALL_STATE(8634)] = 173633,
  [SMALL_STATE(8635)] = 173641,
  [SMALL_STATE(8636)] = 173649,
  [SMALL_STATE(8637)] = 173657,
  [SMALL_STATE(8638)] = 173665,
  [SMALL_STATE(8639)] = 173673,
  [SMALL_STATE(8640)] = 173681,
  [SMALL_STATE(8641)] = 173689,
  [SMALL_STATE(8642)] = 173697,
  [SMALL_STATE(8643)] = 173705,
  [SMALL_STATE(8644)] = 173713,
  [SMALL_STATE(8645)] = 173721,
  [SMALL_STATE(8646)] = 173729,
  [SMALL_STATE(8647)] = 173737,
  [SMALL_STATE(8648)] = 173745,
  [SMALL_STATE(8649)] = 173753,
  [SMALL_STATE(8650)] = 173761,
  [SMALL_STATE(8651)] = 173769,
  [SMALL_STATE(8652)] = 173777,
  [SMALL_STATE(8653)] = 173785,
  [SMALL_STATE(8654)] = 173793,
  [SMALL_STATE(8655)] = 173801,
  [SMALL_STATE(8656)] = 173809,
  [SMALL_STATE(8657)] = 173817,
  [SMALL_STATE(8658)] = 173825,
  [SMALL_STATE(8659)] = 173833,
  [SMALL_STATE(8660)] = 173841,
  [SMALL_STATE(8661)] = 173849,
  [SMALL_STATE(8662)] = 173857,
  [SMALL_STATE(8663)] = 173865,
  [SMALL_STATE(8664)] = 173873,
  [SMALL_STATE(8665)] = 173881,
  [SMALL_STATE(8666)] = 173889,
  [SMALL_STATE(8667)] = 173897,
  [SMALL_STATE(8668)] = 173905,
  [SMALL_STATE(8669)] = 173913,
  [SMALL_STATE(8670)] = 173921,
  [SMALL_STATE(8671)] = 173929,
  [SMALL_STATE(8672)] = 173937,
  [SMALL_STATE(8673)] = 173945,
  [SMALL_STATE(8674)] = 173953,
  [SMALL_STATE(8675)] = 173961,
  [SMALL_STATE(8676)] = 173969,
  [SMALL_STATE(8677)] = 173977,
  [SMALL_STATE(8678)] = 173985,
  [SMALL_STATE(8679)] = 173993,
  [SMALL_STATE(8680)] = 174001,
  [SMALL_STATE(8681)] = 174009,
  [SMALL_STATE(8682)] = 174017,
  [SMALL_STATE(8683)] = 174025,
  [SMALL_STATE(8684)] = 174033,
  [SMALL_STATE(8685)] = 174041,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5678),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8672),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7509),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7455),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7812),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 2, 0, 15),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 3, 0, 68),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 15),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 131),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 15),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 68),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 4, 0, 15),
  [345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 68),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 15),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 5, 0, 131),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 131),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3517),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3309),
  [376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4158),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4057),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3068),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3816),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3215),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8521),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4709),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8459),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7472),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5678),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3801),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6871),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3463),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1726),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4398),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8340),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8578),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(575),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4722),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8250),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6421),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1666),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7621),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8672),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4674),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7509),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7498),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7455),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4683),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4871),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7601),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8196),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4774),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8349),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6214),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7812),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2997),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3459),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4513),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4752),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4688),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4698),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8197),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4706),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4458),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4736),
  [648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3357),
  [651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8204),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 1, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3581),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4101),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4115),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7438),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3647),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(614),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4192),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3313),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4164),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7615),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3126),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3730),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(620),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 3, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8604),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 68),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 15),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 131),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7604),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 2, 0, 15),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 3, 0, 68),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 15),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 131),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 68),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 15),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 131),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 2, 0, 15),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 3, 0, 68),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 15),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 68),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 15),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 131),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 68),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 131),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 131),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 15),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4196),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3318),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4173),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7668),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [2090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4709),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [2111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [2114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4722),
  [2117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [2120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8250),
  [2132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(6421),
  [2135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [2138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7621),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8672),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4674),
  [2153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7509),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7498),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7455),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4683),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4871),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7601),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8196),
  [2180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4774),
  [2183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [2186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(6214),
  [2189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7812),
  [2192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [2195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2997),
  [2198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [2207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3459),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4513),
  [2216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4752),
  [2219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4688),
  [2222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4698),
  [2225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8197),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4706),
  [2231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4458),
  [2234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [2237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4736),
  [2240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3357),
  [2243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(8204),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(3571),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(4219),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(3326),
  [2255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(4187),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(7386),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(3204),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 195),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 195), SHIFT(1665),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(3571),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(4219),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(3326),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(4187),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(7386),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(3204),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 8, 0, 196),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 8, 0, 196), SHIFT(1665),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(3571),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(4219),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(3326),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(4187),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(7386),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(3204),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 183),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 183), SHIFT(1665),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3571),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4219),
  [2323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3326),
  [2326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(4187),
  [2329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(7386),
  [2332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(3204),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 2, 0, 0),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 2, 0, 0), SHIFT(1665),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3571),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4219),
  [2348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3326),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(4187),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(7386),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(3204),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 4, 0, 0),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 4, 0, 0), SHIFT(1665),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(3571),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(4219),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(3326),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(4187),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(7386),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(3204),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 195),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 195), SHIFT(1665),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(3571),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(4219),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(3326),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(4187),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(7386),
  [2405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(3204),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 195),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 195), SHIFT(1665),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [2435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(3571),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(4219),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(3326),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(4187),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(7386),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(3204),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 184),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 184), SHIFT(1665),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(3571),
  [2463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(4219),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(3326),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(4187),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(7386),
  [2475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(3204),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 6, 0, 196),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 6, 0, 196), SHIFT(1665),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(3571),
  [2490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(4219),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(3326),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(4187),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(7386),
  [2502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(3204),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 196),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 196), SHIFT(1665),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(3571),
  [2517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(4219),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(3326),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(4187),
  [2526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(7386),
  [2529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(3204),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 183),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 183), SHIFT(1665),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3571),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4219),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3326),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(4187),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(7386),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(3204),
  [2555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 3, 0, 0),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 3, 0, 0), SHIFT(1665),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3559),
  [2577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4207),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [2583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4170),
  [2586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7341),
  [2589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3571),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4219),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3326),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4187),
  [2604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7386),
  [2607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(3571),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(4219),
  [2616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(3326),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(4187),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(7386),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(3204),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 7, 0, 184),
  [2630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 7, 0, 184), SHIFT(1665),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(3571),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(4219),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(3326),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(4187),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(7386),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(3204),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 183),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 183), SHIFT(1665),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(3571),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(4219),
  [2666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(3326),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(4187),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(7386),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(3204),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_statement, 5, 0, 184),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_statement, 5, 0, 184), SHIFT(1665),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3578),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4227),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4197),
  [2709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7408),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(570),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7478),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 1, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 144),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 1, 0, 0),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3573),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4221),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3308),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4156),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7393),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2999),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3092),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4709),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3206),
  [2880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4722),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8250),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(6421),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [2907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [2910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7621),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8672),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4674),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7509),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7498),
  [2928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7455),
  [2931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4683),
  [2934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7849),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4871),
  [2940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7601),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8196),
  [2949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4774),
  [2952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [2955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(6214),
  [2958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7812),
  [2961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3172),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(2997),
  [2967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8267),
  [2970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3459),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4513),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4752),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4688),
  [2991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4698),
  [2994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8197),
  [2997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4706),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4458),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [3006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4736),
  [3009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3357),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(8204),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [3019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3549),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4194),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [3027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7641),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [3041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8215),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [3053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [3056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5678),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [3068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [3071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6871),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3463),
  [3077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [3083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4693),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8578),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [3125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [3131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8349),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6409),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4206),
  [3146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3301),
  [3149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4074),
  [3152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [3155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(631),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4205),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(3237),
  [3167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(4113),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(7333),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0), SHIFT_REPEAT(633),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [3180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0), SHIFT(3204),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0), SHIFT(3204),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 2, 0, 0),
  [3194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3561),
  [3197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4209),
  [3200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3323),
  [3203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4181),
  [3206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7349),
  [3209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3551),
  [3215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4198),
  [3218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3320),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4176),
  [3224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [3230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 140), SHIFT(3204),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 6, 0, 140),
  [3235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 140), SHIFT(3204),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 140),
  [3242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0), SHIFT(3204),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 3, 0, 0),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 140), SHIFT(3204),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 4, 0, 140),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 140), SHIFT(3204),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 140),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0), SHIFT(3204),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsewhere_clause, 5, 0, 0),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3628),
  [3271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4223),
  [3274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3329),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(4193),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(7399),
  [3283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(3204),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 0), SHIFT(1665),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3628),
  [3294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4223),
  [3297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3329),
  [3300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [3303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7399),
  [3306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(655),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3626),
  [3330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4172),
  [3333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3282),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4093),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7478),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3532),
  [3380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4184),
  [3383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3300),
  [3386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4142),
  [3389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7485),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [3399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [3402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [3405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [3408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8215),
  [3414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [3417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [3420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5678),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [3426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [3429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [3432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1742),
  [3435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6871),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3463),
  [3441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [3444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [3447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4693),
  [3459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [3465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [3468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [3471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [3474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8578),
  [3477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [3480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [3483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [3486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [3489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [3492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [3495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [3498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8349),
  [3501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6409),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(3628),
  [3507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(4223),
  [3510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(3329),
  [3513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(4193),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(7399),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(3204),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 144), SHIFT(1665),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7360),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4133),
  [3577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3275),
  [3580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4075),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1725),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3569),
  [3605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4217),
  [3608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4179),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7378),
  [3617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(675),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3536),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4186),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4155),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7526),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1746),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(3628),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(4223),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(3329),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(4193),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(7399),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(3204),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 144), SHIFT(1665),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3628),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4223),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3329),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(4193),
  [3686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(7399),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(3204),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 0), SHIFT(1665),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(3628),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(4223),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(3329),
  [3710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(4193),
  [3713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(7399),
  [3716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(3204),
  [3719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 144), SHIFT(1665),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3568),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4216),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4162),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [3737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3628),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4223),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3329),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(4193),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(7399),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(3204),
  [3763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_statement, 7, 0, 0), SHIFT(1665),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 194), SHIFT(3204),
  [3783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 194), SHIFT(3203),
  [3786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 7, 0, 194),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 7, 0, 194), SHIFT(1665),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3572),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4220),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3327),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4189),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7389),
  [3806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(3576),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(4224),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(3330),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(4195),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(7402),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(3204),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(3206),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [3832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 144), SHIFT(1665),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 4, 0, 144),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3576),
  [3846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4224),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3330),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4195),
  [3855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7402),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(712),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 144),
  [3865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3579),
  [3868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4228),
  [3871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [3874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4199),
  [3877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7412),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(717),
  [3883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3563),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4211),
  [3889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3324),
  [3892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4183),
  [3895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7356),
  [3898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [3908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4212),
  [3911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3325),
  [3914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4185),
  [3917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7360),
  [3920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 182), SHIFT(3204),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 182), SHIFT(3203),
  [3939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 182),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 182), SHIFT(1665),
  [3944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(3576),
  [3947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(4224),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(3330),
  [3953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(4195),
  [3956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(7402),
  [3959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(3204),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(3206),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 3, 0, 144), SHIFT(1665),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3528),
  [3975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4182),
  [3978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3310),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4160),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7372),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(731),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 194), SHIFT(3204),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 194), SHIFT(3203),
  [3998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 194),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 194), SHIFT(1665),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3576),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4224),
  [4009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3330),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(4195),
  [4015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(7402),
  [4018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3204),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(3206),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 5, 0, 0), SHIFT(1665),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0),
  [4031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [4034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4178),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3297),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4137),
  [4043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7497),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rank_statement, 7, 0, 0),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3553),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4201),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3304),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4151),
  [4067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7318),
  [4070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3544),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4190),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3314),
  [4084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4165),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7592),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(748),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 182), SHIFT(3204),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 182), SHIFT(3203),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 182),
  [4107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 182), SHIFT(1665),
  [4110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 194), SHIFT(3204),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 194), SHIFT(3203),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 194),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 194), SHIFT(1665),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 182), SHIFT(3204),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 182), SHIFT(3203),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 6, 0, 182),
  [4131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_elseif_clause, 6, 0, 182), SHIFT(1665),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3576),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4224),
  [4144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3330),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(4195),
  [4150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(7402),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3204),
  [4156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(3206),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_rank_statement, 6, 0, 0), SHIFT(1665),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 139), SHIFT(3204),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 139), SHIFT(3203),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 139), SHIFT(1665),
  [4185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3560),
  [4188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4208),
  [4191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7345),
  [4194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1755),
  [4197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1756),
  [4200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3574),
  [4203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4222),
  [4206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3328),
  [4209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(4191),
  [4212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(7396),
  [4215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [4218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 139), SHIFT(3204),
  [4221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 139), SHIFT(3203),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 139), SHIFT(1665),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 139), SHIFT(3204),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 139), SHIFT(3203),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 139), SHIFT(1665),
  [4240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3525),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [4246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7604),
  [4249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1737),
  [4252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [4277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 15),
  [4279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 15),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 3, 0, 15),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [4289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 2),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 2),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 3),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 3),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 5),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 5),
  [4301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 15),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 68),
  [4307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 68),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 4, 0, 68),
  [4313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 68),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 15),
  [4317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 15),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 15),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 15),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 69),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 69),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 15),
  [4335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 99),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 99),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 68),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 68),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 68),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 68),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 68),
  [4355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 100),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 100),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 15),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 15),
  [4367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 130),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 130),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 68),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 68),
  [4379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 132),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 132),
  [4385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 156),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 156),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 89),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 89),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 15),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 15),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 67),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 67),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 35),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 35),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 98),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 98),
  [4417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 1, 0, 0),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [4421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 2, 0, 0),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 2, 0, 0),
  [4425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 2, 0, 0),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [4429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 0),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 0),
  [4433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 2, 0, 0),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 2, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 3, 0, 0),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 3, 0, 0),
  [4441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 3, 0, 0),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 2, 0, 45),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 2, 0, 45),
  [4449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 3, 0, 0),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 3, 0, 0),
  [4453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 2, 0, 46),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 2, 0, 46),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 3, 0, 0),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 3, 0, 0),
  [4461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, 0, 0),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 0),
  [4465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_program_statement, 4, 0, 0),
  [4467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_program_statement, 4, 0, 0),
  [4469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 4, 0, 0),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4, 0, 0),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 85),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 85),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 3, 0, 45),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 3, 0, 45),
  [4481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 4, 0, 0),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 4, 0, 0),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 86),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 86),
  [4489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 3, 0, 46),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 3, 0, 46),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule, 4, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule, 4, 0, 0),
  [4497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 15),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 15),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 15),
  [4503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 69),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 69),
  [4507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program, 5, 0, 0),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5, 0, 0),
  [4511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_statement, 4, 0, 85),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_statement, 4, 0, 85),
  [4515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_submodule_statement, 4, 0, 86),
  [4517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_submodule_statement, 4, 0, 86),
  [4519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 99),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 99),
  [4523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 68),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 68),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 68),
  [4529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 34),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 34),
  [4533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 15),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 15),
  [4537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 130),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 130),
  [4541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 7, 0, 68),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 7, 0, 68),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 7, 0, 132),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 7, 0, 132),
  [4549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 8, 0, 156),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 8, 0, 156),
  [4553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 3, 0, 0),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 3, 0, 0),
  [4557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 0),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 0),
  [4561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 2, 0, 88),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 2, 0, 88),
  [4565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 4, 0, 0),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 4, 0, 0),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 2, 0, 89),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 2, 0, 89),
  [4573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 0),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 0),
  [4577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 122),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 122),
  [4581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 3, 0, 88),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 3, 0, 88),
  [4585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 5, 0, 0),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 5, 0, 0),
  [4589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 3, 0, 123),
  [4591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 3, 0, 123),
  [4593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, 0, 0),
  [4595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 0),
  [4597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_subroutine_statement, 4, 0, 122),
  [4599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_subroutine_statement, 4, 0, 122),
  [4601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 2, 0, 0),
  [4603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 2, 0, 0),
  [4605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 2, 0, 47),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 2, 0, 47),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface, 3, 0, 0),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface, 3, 0, 0),
  [4613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 87),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 87),
  [4617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 3, 0, 47),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 3, 0, 47),
  [4621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_interface_statement, 4, 0, 87),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_interface_statement, 4, 0, 87),
  [4625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine, 6, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine, 6, 0, 0),
  [4629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 10),
  [4631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 10),
  [4633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_function_statement, 4, 0, 123),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_function_statement, 4, 0, 123),
  [4637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 32),
  [4639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 32),
  [4641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 6, 0, 100),
  [4643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 6, 0, 100),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [4673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 2, 0, 15),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [4689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 3, 0, 68),
  [4691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 15),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 68),
  [4697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 131),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 131),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 15),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 15),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 68),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [4833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3595),
  [4836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4148),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3243),
  [4842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [4845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7543),
  [4848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [4859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [4862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8215),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3961),
  [4874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(5678),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [4880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [4886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6871),
  [4892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3463),
  [4895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [4898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [4901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [4904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3894),
  [4907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [4910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4693),
  [4913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [4916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [4919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [4922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [4925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8578),
  [4931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [4934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [4937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [4940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [4943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2949),
  [4946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [4949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [4952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(8349),
  [4955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(6409),
  [4958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3529),
  [4961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4157),
  [4964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [4967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4136),
  [4970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7531),
  [4973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [4976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [4979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3554),
  [4982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4202),
  [4985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7322),
  [4988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [4991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 15),
  [5002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 15),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [5006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 15),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [5012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 1, 0, 0),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 68),
  [5026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 68),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 68),
  [5032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 2, 0, 0),
  [5036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [5038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 5, 0, 0),
  [5042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 2, 0, 0),
  [5046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 2, 0, 0),
  [5050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 91),
  [5052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 91),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 5, 0, 0),
  [5058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 4, 0, 0),
  [5062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 3, 0, 0),
  [5066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 15),
  [5068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 15),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 15),
  [5072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0),
  [5077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 1, 0, 0), REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 3, 0, 0),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 3, 0, 0),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 3, 0, 50),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 3, 0, 50),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 4, 0, 0),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 68),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 68),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 68),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 4, 0, 0),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 0),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 0),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 2, 0, 50),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 2, 0, 50),
  [5116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type, 4, 0, 0),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_definition, 3, 0, 0),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__specification_part, 3, 0, 0),
  [5128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_type_statement, 4, 0, 91),
  [5130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_type_statement, 4, 0, 91),
  [5132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 3, 0, 0),
  [5134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 3, 0, 0),
  [5136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_private_statement, 2, 0, 0),
  [5142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3565),
  [5145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(4213),
  [5148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [5151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3190),
  [5154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3191),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 156),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 156),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [5181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 158),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 158),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 175),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 175),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 177),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 177),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 191),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 191),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [5215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 69),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [5219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 4, 0, 69),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 132),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 132),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 130),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [5257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 130),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [5271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 100),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 100),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 99),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [5307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 5, 0, 99),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 130),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 7, 0, 130),
  [5437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_program_statement, 2, 0, 12),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program_statement, 2, 0, 12),
  [5441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 158),
  [5443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 158),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 15),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 8, 0, 15),
  [5449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 175),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 175),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 191),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 10, 0, 191),
  [5457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 99),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 6, 0, 99),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 100),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 6, 0, 100),
  [5465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 69),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 5, 0, 69),
  [5469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 68),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 9, 0, 68),
  [5473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 177),
  [5475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 9, 0, 177),
  [5477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 132),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_specification_part, 7, 0, 132),
  [5481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 156),
  [5483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_specification_part, 8, 0, 156),
  [5485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 13),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 13),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 1, 0, 1),
  [5513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 1, 0, 1),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [5523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3102),
  [5526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2982),
  [5529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 1, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(8267),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1833),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [5547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(2999),
  [5550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3092),
  [5553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1831),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 175),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 175),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 3, 0, 15),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 4, 0, 68),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 15),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 68),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 15),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 68),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 15),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 68),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 100),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 100),
  [5600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 99),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 5, 0, 99),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 130),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 130),
  [5612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 132),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 132),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 69),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 4, 0, 69),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 156),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 156),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 158),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 158),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [5638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 15),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 68),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 2, 0, 0),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [5700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [5712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0), REDUCE(sym_identifier, 1, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 0),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 69),
  [5728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 5, 0, 69),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 99),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 6, 0, 99),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 100),
  [5762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 6, 0, 100),
  [5764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 175),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 9, 0, 175),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [5792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 130),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 7, 0, 130),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 132),
  [5800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 7, 0, 132),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [5818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 156),
  [5820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_statements, 8, 0, 156),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 158),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_statements, 8, 0, 158),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_specification_part_repeat1, 3, 0, 0),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 15),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [6012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 15),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [6024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 130),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 130),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 15),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 15),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 158),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 158),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 69),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 69),
  [6084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 15),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 3, 0, 15),
  [6090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 68),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 68),
  [6096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 68),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 68),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 99),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [6110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 5, 0, 99),
  [6112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 100),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [6116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 100),
  [6118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 68),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [6122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 4, 0, 68),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 15),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [6128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 4, 0, 15),
  [6130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 156),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [6134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 156),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 132),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 132),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 175),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 175),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 68),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 68),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 156),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 156),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 158),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 8, 0, 158),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 15),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 15),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [6334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 175),
  [6336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 9, 0, 175),
  [6338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 68),
  [6340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 8, 0, 68),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [6384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 3, 0, 0),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 100),
  [6394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 6, 0, 100),
  [6396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 132),
  [6398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 7, 0, 132),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 130),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 7, 0, 130),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 69),
  [6502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_procedure_statements, 5, 0, 69),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_repeat1, 2, 0, 0),
  [6512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 99),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_procedure_statements, 6, 0, 99),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [6634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 4, 0, 0),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 6, 0, 0),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [6666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [6668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 5, 0, 0),
  [6670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 1, 0, 0),
  [6672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 1, 0, 0),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 4, 1, 0),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 3, 1, 0),
  [6682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_list, 2, 1, 0),
  [6686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [6688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 7, 0, 0),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_index, 3, 0, 0),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [6698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 1, 0, 0),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 1, 0, 0),
  [6706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 1, 0, 0),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [6714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 2, 0, 0),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 15),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [6722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 15),
  [6724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 15),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [6728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 15),
  [6730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 69),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [6734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 4, 0, 69),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 15),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [6742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 3, 0, 15),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [6748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 2, 0, 0),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [6754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 175),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [6758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 175),
  [6760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 100),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [6764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 100),
  [6766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 4, 0, 68),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [6770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 4, 0, 68),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 130),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [6780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 130),
  [6782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 68),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [6786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 68),
  [6788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 132),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [6792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 132),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [6804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 2, 0, 0),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [6812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 99),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [6816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 99),
  [6818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 5, 0, 68),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 5, 0, 68),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [6830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 15),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [6834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 15),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [6838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 1, 0, 0),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [6856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 156),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 156),
  [6862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 68),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 68),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 158),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [6876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 158),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [6882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 69),
  [6884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 5, 0, 69),
  [6886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 158),
  [6888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 8, 0, 158),
  [6890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 9, 0, 175),
  [6892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 9, 0, 175),
  [6894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 6, 0, 99),
  [6896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 6, 0, 99),
  [6898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 156),
  [6900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 156),
  [6902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 100),
  [6904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 6, 0, 100),
  [6906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_statement, 2, 0, 0),
  [6908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_statement, 2, 0, 0),
  [6910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 2, 0, 0),
  [6912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 8, 0, 68),
  [6914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 8, 0, 68),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [6920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 2, 0, 0),
  [6922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 5, 0, 101),
  [6924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 5, 0, 101),
  [6926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 2, 0, 0),
  [6928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 3, 0, 0),
  [6930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 2, 0, 0),
  [6932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_module, 7, 0, 130),
  [6934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_module, 7, 0, 130),
  [6936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 132),
  [6938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 132),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [6946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 15),
  [6948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_module, 7, 0, 15),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [6952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_submodule_statement, 7, 0, 159),
  [6954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_submodule_statement, 7, 0, 159),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [6958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [6960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 7, 0, 0),
  [6962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [6968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 6, 0, 0),
  [6970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [6972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 5, 0, 0),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [6980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [7014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [7016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__forall_control_expression, 4, 0, 0),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [7028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 6),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [7044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [7100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [7124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [7132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [7156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 1, 0, 112),
  [7186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 1, 0, 0),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 1, 0, 0),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [7196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 1, 0, 0),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [7202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_attributes, 4, 0, 0),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [7208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 6),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [7218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 1, 0, 0),
  [7220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [7222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 1, 0, 4),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 18),
  [7226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 18),
  [7228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [7230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__intrinsic_type, 2, 0, 0),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym__argument_list, 3, 1, 0),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [7254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intrinsic_type, 2, 0, 26),
  [7256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intrinsic_type, 2, 0, 26),
  [7258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 56),
  [7260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 56),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 0),
  [7272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 0),
  [7274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 2, 0, 57),
  [7276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 2, 0, 57),
  [7278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_kind, 1, 0, 0),
  [7280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_kind, 1, 0, 0),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [7290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 107),
  [7292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 107),
  [7294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 71),
  [7296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 71),
  [7298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 72),
  [7300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 72),
  [7302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 74),
  [7304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 74),
  [7306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 1, 75),
  [7308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 1, 75),
  [7310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 76),
  [7312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 76),
  [7314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 106),
  [7316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 106),
  [7318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 0, 109),
  [7320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 0, 109),
  [7322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 5, 1, 110),
  [7324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 5, 1, 110),
  [7326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type, 4, 0, 0),
  [7328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type, 4, 0, 0),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [7332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [7336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(2861),
  [7339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_procedure_qualifier, 1, 0, 0), SHIFT(2864),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [7434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [7436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 3, 0, 0),
  [7438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [7440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 7, 0, 0),
  [7442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [7444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 4, 0, 0),
  [7446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [7448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 6, 0, 0),
  [7450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [7452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 8, 0, 0),
  [7454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [7456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__io_arguments, 5, 0, 0),
  [7458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_spec, 2, 0, 0),
  [7460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_spec, 2, 0, 0),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [7472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [7474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_operator, 3, 0, 0),
  [7476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [7478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [7481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8215),
  [7484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [7487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0),
  [7489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(7646),
  [7492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [7495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(8578),
  [7498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 2, 0, 0), SHIFT_REPEAT(6954),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8609),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [7523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator, 1, 0, 0),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [7547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 31),
  [7549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 31),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [7559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [7561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [7607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [7617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 4, 0, 0),
  [7619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 4, 0, 0),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [7651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language_binding, 6, 0, 0),
  [7653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_language_binding, 6, 0, 0),
  [7655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [7657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 0),
  [7659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [7661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 0),
  [7663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 3, 0, 0),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [7677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 111),
  [7679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 5, 0, 111),
  [7681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 19),
  [7683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 2, 0, 19),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [7687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [7691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 77),
  [7693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__standalone_type_qualifier, 4, 0, 77),
  [7695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 7),
  [7697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat1, 1, 0, 7),
  [7699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(4022),
  [7702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3474),
  [7705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3462),
  [7708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3504),
  [7711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3502),
  [7714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [7716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(3486),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [7729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_common_statement, 2, 0, 0),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [7737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 1, 0, 0),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [7741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 1, 0, 0),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [7745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 2, 0, 0),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [7749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 2, 0, 0),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 1, 0, 121),
  [7753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [7755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [7761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 0),
  [7763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_declarator, 2, 0, 39),
  [7765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_declarator, 2, 0, 39),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [7779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 5, 0, 0),
  [7781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 5, 0, 0),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [7791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 148),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_length, 4, 0, 0),
  [7799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_length, 4, 0, 0),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [7813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7449),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [7861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_declarator, 2, 0, 19),
  [7863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_declarator, 2, 0, 19),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [7867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [7939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 5, 0, 0),
  [7993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 5, 0, 0),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [8001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [8003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [8005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [8007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [8033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [8047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 1, 0, 0),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [8065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 2, 0, 15),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [8071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [8073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_kind, 2, 0, 0),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 1, 0, 8),
  [8093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 1, 0, 8),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [8109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 2, 0, 0),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [8129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [8131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 5, 0, 0),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [8135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_complex_literal, 5, 0, 0),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 2, 0, 9),
  [8143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 2, 0, 9),
  [8145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [8147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implied_do_loop_expression, 6, 0, 0),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [8153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5771),
  [8156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [8158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_member_expression, 3, 0, 63),
  [8170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_member_expression, 3, 0, 63),
  [8172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [8174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_literal, 1, 0, 0),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 2, 0, 9),
  [8178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 2, 0, 9),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3847),
  [8191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [8193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [8205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [8207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_common_statement_repeat2, 1, 0, 0),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [8217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [8223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_group, 4, 0, 0),
  [8225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_group, 4, 0, 0),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [8231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coarray_expression, 2, 0, 0),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [8245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 129),
  [8247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 129),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [8281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [8289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_legacy, 3, 0, 43),
  [8291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_legacy, 3, 0, 43),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [8303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_constructor_f2003, 3, 0, 43),
  [8305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_constructor_f2003, 3, 0, 43),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__kind, 2, 0, 26),
  [8313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__kind, 2, 0, 26),
  [8315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 3, 0, 0),
  [8317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 3, 0, 0),
  [8319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [8327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [8331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 1, 0, 0),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4888),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [8339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [8341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [8353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 1, 0, 44),
  [8355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [8357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [8359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [8361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [8363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7510),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [8375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [8383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [8385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [8387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [8389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [8391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [8399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [8401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 165),
  [8403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 1, 0, 41),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [8415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 81),
  [8417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 148),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [8421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 78),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 138),
  [8431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 3, 0, 68),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [8439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 84),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [8445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8256),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [8449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 113),
  [8451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [8453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [8455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attribute, 4, 0, 0),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [8461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [8465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [8471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 1, 0, 80),
  [8473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 1, 0, 114),
  [8475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 1, 0, 42),
  [8477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [8479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [8481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [8487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8412),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [8491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 145),
  [8493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [8495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 15),
  [8497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 131),
  [8499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 131),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4868),
  [8503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [8505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 1, 0, 146),
  [8507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 68),
  [8509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 15),
  [8511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [8513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [8515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [8517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [8521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [8523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 2, 0, 121),
  [8525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 1, 0, 59),
  [8527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 94),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [8543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 3, 0, 2),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [8563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [8567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [8569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 3, 0, 0),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [8575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7743),
  [8577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [8579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_procedures, 2, 0, 0),
  [8581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0), SHIFT(5772),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [8586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [8588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 1, 0, 0),
  [8590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(5780),
  [8593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [8595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [8597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 127), SHIFT_REPEAT(4550),
  [8600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 127),
  [8602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 127),
  [8604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0), SHIFT(5780),
  [8607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [8609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 0),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [8615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 70), SHIFT(5780),
  [8618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 6, 0, 70),
  [8620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 6, 0, 70),
  [8622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0), SHIFT(5780),
  [8625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [8627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [8629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3584),
  [8632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4163),
  [8635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [8638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [8641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7510),
  [8644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [8646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5346),
  [8649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0),
  [8651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [8654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [8657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [8660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8656),
  [8663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8166),
  [8666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3161),
  [8669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5329),
  [8672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [8675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [8678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8632),
  [8681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [8684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3562),
  [8687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4210),
  [8690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [8693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [8695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4161),
  [8698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7352),
  [8701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0),
  [8703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5344),
  [8706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [8709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [8712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8656),
  [8715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8166),
  [8718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5329),
  [8721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [8724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [8727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8632),
  [8730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [8733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6507),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [8740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0), SHIFT(5780),
  [8743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [8745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [8747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5780),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 70), SHIFT(5780),
  [8755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 7, 0, 70),
  [8757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 7, 0, 70),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [8761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 124),
  [8763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 124),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [8767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declared_type, 4, 0, 71),
  [8769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declared_type, 4, 0, 71),
  [8771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label_reference, 1, 0, 14),
  [8773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label_reference, 1, 0, 14),
  [8775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [8777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [8779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0), SHIFT(5775),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [8788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 1, 0, 0),
  [8790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 1, 0, 0),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [8800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [8802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_default, 2, 0, 0),
  [8804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_default, 2, 0, 0),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [8816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 70), SHIFT(5776),
  [8819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_declaration, 4, 0, 70),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 70),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 52),
  [8829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 52),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [8833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [8837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [8841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [8845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [8847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [8853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [8857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [8861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [8863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [8865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [8867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [8869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [8871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [8873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [8875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [8877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [8879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6536),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [8885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [8893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4673),
  [8899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [8903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [8907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6711),
  [8910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 62),
  [8912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 62),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [8934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 62),
  [8936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation_expression, 3, 0, 62),
  [8938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_expression, 3, 0, 62),
  [8940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_expression, 3, 0, 62),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_pointer_association, 3, 0, 64),
  [8946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_pointer_association, 3, 0, 64),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [8954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [8956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [8958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 2, 0, 0),
  [8960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 62),
  [8962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 62),
  [8964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_assignment, 3, 0, 64),
  [8966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_assignment, 3, 0, 64),
  [8968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3570),
  [8971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4218),
  [8974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3319),
  [8977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4174),
  [8980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7382),
  [8983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [8986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [9016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 2, 0, 15),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [9034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3577),
  [9037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4226),
  [9040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3321),
  [9043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4177),
  [9046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7405),
  [9049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6885),
  [9052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3556),
  [9055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4204),
  [9058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3306),
  [9061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4154),
  [9064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7329),
  [9067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7214),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 1, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [9080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3566),
  [9083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4214),
  [9086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [9089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4166),
  [9092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7367),
  [9095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6584),
  [9098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [9114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3540),
  [9117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4188),
  [9120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3258),
  [9123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4229),
  [9126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7568),
  [9129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6517),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [9134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0),
  [9136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1894),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [9151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3567),
  [9154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4215),
  [9157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3317),
  [9160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4171),
  [9163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7370),
  [9166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6652),
  [9169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3555),
  [9172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4203),
  [9175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3299),
  [9178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4141),
  [9181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [9184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6794),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [9201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [9203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [9205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [9207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [9219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 2, 0, 0),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [9223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 131),
  [9225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_internal_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(6834),
  [9228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 68),
  [9230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 15),
  [9232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_internal_procedures, 3, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 3, 0, 68),
  [9236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 131),
  [9238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 15),
  [9240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [9268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [9298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0),
  [9300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5346),
  [9303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [9306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [9309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [9312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8656),
  [9315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8166),
  [9318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [9321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5329),
  [9324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [9327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5330),
  [9330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(8632),
  [9333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5357),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 1, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [9368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3612),
  [9371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4168),
  [9374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3257),
  [9377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4076),
  [9380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7541),
  [9383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [9385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0),
  [9390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8265),
  [9393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3367),
  [9396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3368),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6741),
  [9402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [9405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7577),
  [9408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [9411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [9414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [9417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7199),
  [9420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 2, 0, 0),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_interface, 3, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 187),
  [9426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 187),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [9444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 167),
  [9446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 167),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [9452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 97),
  [9454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 97),
  [9456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 198),
  [9458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 198),
  [9460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 3, 0, 30),
  [9462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 3, 0, 30),
  [9464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 169),
  [9466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 169),
  [9468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 199),
  [9470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 199),
  [9472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 186),
  [9474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 186),
  [9476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 185),
  [9478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 185),
  [9480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 204),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 204),
  [9484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 5, 0, 149),
  [9486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 5, 0, 149),
  [9488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 9, 0, 205),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 9, 0, 205),
  [9492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 206),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 206),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 10, 0, 207),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 10, 0, 207),
  [9500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 7, 0, 188),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 7, 0, 188),
  [9504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 11, 0, 208),
  [9506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 11, 0, 208),
  [9508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 6, 0, 168),
  [9510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 6, 0, 168),
  [9512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 65),
  [9514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 65),
  [9516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 4, 0, 66),
  [9518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 4, 0, 66),
  [9520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_statement, 8, 0, 197),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_statement, 8, 0, 197),
  [9524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1892),
  [9527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [9530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 0),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [9614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 1, 0, 0),
  [9616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 1, 0, 0),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [9622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 1, 0, 0),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [9628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 6),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [9634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 3, 0, 0),
  [9636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 3, 0, 0),
  [9638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [9640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 1, 0, 0),
  [9644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4120),
  [9647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 5, 0, 0),
  [9649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 5, 0, 0),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [9661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [9664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 2, 0, 20),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [9674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 4, 0, 0),
  [9676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 4, 0, 0),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [9680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 1, 0, 0),
  [9682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0),
  [9684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 1, 0, 0),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [9702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 5, 0, 0),
  [9704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 130),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [9708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 130),
  [9710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 68),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [9714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 68),
  [9716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 132),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [9720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 132),
  [9722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 68),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [9726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 4, 0, 68),
  [9728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 15),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [9732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 15),
  [9734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript, 2, 0, 0),
  [9736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 69),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 4, 0, 69),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 5, 0, 181),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [9748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0),
  [9750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 156),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 156),
  [9756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 99),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 99),
  [9762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 68),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [9766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 5, 0, 68),
  [9768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 100),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [9772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 100),
  [9774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 15),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [9778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 15),
  [9780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 130),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [9784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 130),
  [9786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 68),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [9790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 68),
  [9792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 132),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [9796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 132),
  [9798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 15),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [9802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 3, 0, 15),
  [9804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 156),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [9808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 156),
  [9810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 99),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [9814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 99),
  [9816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(1879),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [9821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 68),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [9825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 5, 0, 68),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [9841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 100),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [9845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 100),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [9853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 15),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [9857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 15),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [9869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 102),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [9873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 3, 0, 0),
  [9875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0),
  [9877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 3, 0, 0),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0),
  [9883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 3, 0, 0),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [9887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 68),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [9891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 4, 0, 68),
  [9893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 15),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 15),
  [9899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 69),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [9903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 4, 0, 69),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [9911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 15),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [9915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 3, 0, 15),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 5, 0, 0),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [9921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 170),
  [9923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 170),
  [9925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 150),
  [9927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 3, 0, 150),
  [9929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [9931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 5, 0, 0),
  [9933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 99),
  [9935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 6, 0, 99),
  [9937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 156),
  [9939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 8, 0, 156),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_control, 7, 0, 203),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [9945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 100),
  [9947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 100),
  [9949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 15),
  [9951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 6, 0, 15),
  [9953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 100),
  [9955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 100),
  [9957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 170),
  [9959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 4, 0, 170),
  [9961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 6, 0, 0),
  [9965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 130),
  [9967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 130),
  [9969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [9971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [9973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 68),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 7, 0, 68),
  [9977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 15),
  [9979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 6, 0, 15),
  [9981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [9983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 3, 0, 0),
  [9985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 132),
  [9987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 7, 0, 132),
  [9989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 156),
  [9991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_internal_procedures, 8, 0, 156),
  [9993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 4, 0, 0),
  [9997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_names, 2, 0, 40),
  [9999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_names, 2, 0, 40),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [10015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 2, 0, 21),
  [10017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 21),
  [10019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 99),
  [10021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 6, 0, 99),
  [10023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 69),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 5, 0, 69),
  [10027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 150),
  [10029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_module_procedure_statement, 2, 0, 150),
  [10031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [10033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 4, 0, 0),
  [10035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 8, 0, 0),
  [10037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_function, 4, 0, 0),
  [10039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_control_expression, 7, 0, 0),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [10043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 130),
  [10045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 130),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 68),
  [10049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface, 7, 0, 68),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [10069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_assignment, 3, 0, 0),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 5, 0, 0),
  [10073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 5, 0, 0),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [10079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_association, 3, 0, 117),
  [10081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 132),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_interface, 7, 0, 132),
  [10085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 5, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 5, 0, 0),
  [10095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 7, 0, 0),
  [10097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 7, 0, 0),
  [10099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [10101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure, 3, 0, 0),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_triplet_spec, 7, 0, 0),
  [10105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 64),
  [10107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_association_statement, 3, 0, 0),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__coarray_extent_specifier, 4, 0, 0),
  [10111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extent_specifier, 4, 0, 0),
  [10113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stop_statement, 6, 0, 0),
  [10115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_statement, 2, 0, 0),
  [10119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 6, 0, 0),
  [10121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 69),
  [10123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_internal_procedures, 5, 0, 69),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [10159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4126),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [10204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0), SHIFT(3078),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [10219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1, 0, 0),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [10227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4092),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [10260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__io_expressions, 1, 0, 0),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [10318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_call_expression_repeat1, 1, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 3, 0, 20),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [10352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 118),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [10388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 2, 0, 15),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [10442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6563),
  [10445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [10449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 131),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [10453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3425),
  [10456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_identifier, 1, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_allocation, 2, 0, 39),
  [10464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_allocation, 2, 0, 19),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [10472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 3, 0, 68),
  [10474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 15),
  [10476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0),
  [10478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 131),
  [10480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 68),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 15),
  [10484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3429),
  [10487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(3417),
  [10490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6906),
  [10493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [10495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 132),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [10499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 132),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [10507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 15),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [10511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 3, 0, 15),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [10519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 130),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 130),
  [10525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 68),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [10529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 68),
  [10531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 4, 0, 162),
  [10533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 4, 0, 162),
  [10536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 156),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [10540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 156),
  [10542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 68),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [10546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 4, 0, 68),
  [10548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [10550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_set_repeat1, 2, 0, 0),
  [10553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 100),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [10557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 100),
  [10559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 15),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [10563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 15),
  [10565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 15),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [10569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 15),
  [10571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 99),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [10575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 99),
  [10577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 68),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [10581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 5, 0, 68),
  [10583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 69),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [10587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 4, 0, 69),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [10593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), REDUCE(aux_sym_data_value_repeat1, 2, 0, 0),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [10598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 190),
  [10600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 190),
  [10602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 68),
  [10604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 68),
  [10606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [10608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 3, 0, 0),
  [10610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 178),
  [10612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 178),
  [10614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 153),
  [10616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 153),
  [10618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 132),
  [10620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 7, 0, 132),
  [10622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 156),
  [10624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 8, 0, 156),
  [10626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 171),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 171),
  [10630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 160),
  [10632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 160),
  [10634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 7, 0, 161),
  [10636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 7, 0, 161),
  [10638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 9, 0, 200),
  [10640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 9, 0, 200),
  [10642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 51),
  [10644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_definition_repeat1, 2, 0, 51),
  [10646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 6, 0, 134),
  [10648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 6, 0, 134),
  [10650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 69),
  [10652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 5, 0, 69),
  [10654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 108),
  [10656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 108),
  [10658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 73),
  [10660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 73),
  [10662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [10664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 5, 0, 0),
  [10666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 100),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 100),
  [10670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [10672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 4, 0, 0),
  [10674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_statement, 8, 0, 189),
  [10676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_statement, 8, 0, 189),
  [10678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 15),
  [10680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_derived_type, 6, 0, 15),
  [10682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 130),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 7, 0, 130),
  [10686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 99),
  [10688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_derived_type, 6, 0, 99),
  [10690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(5357),
  [10693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22),
  [10695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(8656),
  [10698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(8166),
  [10701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(5329),
  [10704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(7477),
  [10707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(5330),
  [10710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 2, 0, 22), SHIFT_REPEAT(8632),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [10717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [10719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0),
  [10721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3953),
  [10724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8265),
  [10727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [10730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7577),
  [10733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3852),
  [10736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [10739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_derived_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [10754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8285),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8512),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 1, 0, 0),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [10780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [10783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4200),
  [10786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3271),
  [10789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4099),
  [10792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [10795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [10797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8512),
  [10800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [10803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0),
  [10805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8532),
  [10808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8588),
  [10811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_type_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 23),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 23),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 2, 0, 0),
  [10826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_derived_type, 3, 0, 0),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 30),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 30),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [10834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_qualifier, 1, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [10838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 55),
  [10840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 55),
  [10842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 1, 0, 24),
  [10844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 1, 0, 24),
  [10846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_targets, 2, 0, 54),
  [10848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_targets, 2, 0, 54),
  [10850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 93), SHIFT_REPEAT(3535),
  [10853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 93),
  [10855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 93),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [10863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [10865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [10867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [10871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 61),
  [10873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 61),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [10899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [10909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [10915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [10917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure_attributes, 5, 0, 0),
  [10919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_attributes, 4, 0, 0),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [10923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__callable_interface_qualifers, 1, 0, 6),
  [10925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3259),
  [10928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(4169),
  [10931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [10933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8374),
  [10936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [10939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3385),
  [10942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3388),
  [10945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_procedures_repeat1, 2, 0, 0),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [10951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [10959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 2, 0, 0),
  [10961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [10963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_derived_type_procedures, 1, 0, 0),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [10973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [10977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [10991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 126),
  [10993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 126),
  [10995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 62),
  [10997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 62),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8082),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [11015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [11017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [11023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 25),
  [11025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 25),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [11029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [11035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [11037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [11039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 92),
  [11041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 92),
  [11043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [11045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [11047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 152),
  [11049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 6, 0, 152),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [11055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 33),
  [11057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 33),
  [11059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 11),
  [11061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 11),
  [11063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [11065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [11071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [11073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [11075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [11083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [11111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8295),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [11129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 53),
  [11131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 53),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8102),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [11153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [11163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [11165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [11169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8384),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [11183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [11191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8424),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [11195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [11199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [11203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [11205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [11207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [11211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [11215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [11219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [11223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8533),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [11231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [11233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [11235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [11239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8124),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [11243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [11247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8607),
  [11249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 125),
  [11251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 5, 0, 125),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [11277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [11283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [11286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4200),
  [11289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [11292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4097),
  [11295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [11298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [11300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7511),
  [11303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_case_statement_repeat1, 2, 0, 0),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [11311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [11314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4200),
  [11317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3272),
  [11320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4102),
  [11323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [11326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [11328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7609),
  [11331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_rank_statement_repeat1, 2, 0, 0),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [11337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 2, 0, 15),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [11379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 131),
  [11381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 131),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [11385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 68),
  [11387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 15),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [11391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 3, 0, 68),
  [11393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 15),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [11397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 15),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [11401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 15),
  [11403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 156),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 156),
  [11409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 15),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 4, 0, 15),
  [11415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 100),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [11419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 5, 0, 100),
  [11421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 130),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [11425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 130),
  [11427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 68),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [11431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 6, 0, 68),
  [11433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 132),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 132),
  [11439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 68),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [11443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 5, 0, 68),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [11451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 131),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [11461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 68),
  [11463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 15),
  [11465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 156),
  [11467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 8, 0, 156),
  [11469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 15),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [11479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 15),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [11487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 69),
  [11489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 69),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [11493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 130),
  [11495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 130),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [11503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 156),
  [11505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 156),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [11509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 68),
  [11511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 68),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [11515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 99),
  [11517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 99),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [11523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 130),
  [11525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 130),
  [11527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 15),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 4, 0, 15),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [11533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 68),
  [11535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 5, 0, 68),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [11541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 68),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_type, 7, 0, 68),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [11549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 15),
  [11551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 3, 0, 15),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [11555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 132),
  [11557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 7, 0, 132),
  [11559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 68),
  [11561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 4, 0, 68),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [11569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 15),
  [11571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 15),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [11585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 68),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [11599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 131),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [11607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 15),
  [11609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 15),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [11617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 132),
  [11619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 132),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0),
  [11627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(8374),
  [11630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_bound_procedures_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [11635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 100),
  [11637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_type, 6, 0, 100),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [11643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 100),
  [11645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 100),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [11649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 69),
  [11651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 5, 0, 69),
  [11653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 130),
  [11655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 130),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [11659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 30),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 30),
  [11663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 68),
  [11665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 7, 0, 68),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [11675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [11689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 99),
  [11691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 6, 0, 99),
  [11693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 100),
  [11695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 100),
  [11697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 132),
  [11699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 7, 0, 132),
  [11701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 15),
  [11703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_bound_procedures, 6, 0, 15),
  [11705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 65),
  [11707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 65),
  [11709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 156),
  [11711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_bound_procedures, 8, 0, 156),
  [11713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [11715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contains_statement, 1, 0, 0),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [11719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 30),
  [11721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 30),
  [11723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_label_start_expression, 2, 0, 29),
  [11725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_label_start_expression, 2, 0, 29),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [11731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [11735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 68),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [11741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 132),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [11745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 132),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [11751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 130),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [11755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 130),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [11759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 1, 0, 0),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [11763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 68),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [11767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 5, 0, 68),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [11771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 15),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [11775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 15),
  [11777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 156),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [11781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 156),
  [11783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 100),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [11787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 5, 0, 100),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [11791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 15),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [11795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 4, 0, 15),
  [11797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 68),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [11801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 5, 0, 68),
  [11803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 156),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 156),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [11811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 15),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [11815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 15),
  [11817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 100),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [11821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 5, 0, 100),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [11825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 131),
  [11827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 68),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 6, 0, 68),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [11837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 2, 0, 0),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [11849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 15),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [11853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(5991),
  [11856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [11858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(5781),
  [11861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(5711),
  [11864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6002),
  [11867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(6020),
  [11870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0), SHIFT_REPEAT(8365),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 68),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [11879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 130),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [11883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 130),
  [11885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 131),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [11889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 68),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [11893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 6, 0, 68),
  [11895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 15),
  [11897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 132),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [11901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 132),
  [11903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_items, 1, 0, 0),
  [11905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [11909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 15),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 15),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [11923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 4, 0, 15),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [11927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 68),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 68),
  [11931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 156),
  [11933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 8, 0, 156),
  [11935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 132),
  [11937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 7, 0, 132),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [11947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 130),
  [11949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 130),
  [11951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 68),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_case, 7, 0, 68),
  [11955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 156),
  [11957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 8, 0, 156),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [11965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 49),
  [11967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 2, 0, 15),
  [11969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 15),
  [11971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 15),
  [11973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 132),
  [11975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 7, 0, 132),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [11985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 100),
  [11987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 100),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 3, 0, 0),
  [11991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 2, 0, 15),
  [11993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 15),
  [11995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_case, 6, 0, 15),
  [11997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_bound_procedures, 2, 0, 0),
  [11999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 130),
  [12001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_select_rank, 7, 0, 130),
  [12003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 100),
  [12005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_select_rank, 6, 0, 100),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 2, 0, 0),
  [12015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8257),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [12025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8257),
  [12028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0),
  [12030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8257),
  [12033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8350),
  [12036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8353),
  [12039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_statement, 1, 0, 0),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [12047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [12067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 131),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [12089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [12133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 4, 0, 68),
  [12135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 15),
  [12137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 15),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [12145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8681),
  [12173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [12179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 4, 0, 68),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [12187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 15),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [12221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 4, 0, 68),
  [12223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 15),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [12227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 68),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [12243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 68),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [12247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 3, 0, 15),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [12251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 15),
  [12253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 131),
  [12255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 15),
  [12257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 68),
  [12259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 15),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [12277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 3, 0, 15),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [12283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 131),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [12311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 131),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [12325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 131),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [12331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 131),
  [12333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 68),
  [12335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 68),
  [12337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 15),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [12355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 131),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [12385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8683),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7704),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [12399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 15),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [12411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 15),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [12437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 131),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [12463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 3, 0, 15),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [12493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 5, 0, 0),
  [12505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 35),
  [12507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8602),
  [12510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8146),
  [12513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_statement_repeat1, 2, 0, 0),
  [12515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 2, 0, 15),
  [12517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hollerith_constant, 1, 0, 0),
  [12519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hollerith_constant, 1, 0, 0),
  [12521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [12523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 5, 0, 0),
  [12525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 4, 0, 35),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [12529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 4, 0, 0),
  [12531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 9, 0, 202),
  [12533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 9, 0, 202),
  [12535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 35),
  [12537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [12539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0),
  [12541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7891),
  [12544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7599),
  [12547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entry_statement, 3, 0, 15),
  [12549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 35),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 15),
  [12553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 49),
  [12555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 8, 0, 193),
  [12557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 8, 0, 193),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [12561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 6, 0, 0),
  [12563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [12565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 7, 0, 0),
  [12567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 164),
  [12569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 164),
  [12571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 90),
  [12573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 90),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [12581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 49),
  [12583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 163),
  [12585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 163),
  [12587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 6, 0, 163),
  [12589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 6, 0, 163),
  [12591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 0),
  [12595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_locality, 4, 0, 137),
  [12597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_locality, 4, 0, 137),
  [12599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [12601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__transfer_item, 3, 0, 0),
  [12603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__transfer_items_repeat1, 2, 0, 0),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concurrent_header, 7, 0, 180),
  [12607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concurrent_header, 7, 0, 180),
  [12609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [12617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [12619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7733),
  [12622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0),
  [12624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_where_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [12629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [12663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 2, 0, 61),
  [12665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 2, 0, 61),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 2, 0, 0),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [12703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3981),
  [12706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namelist_statement_repeat1, 2, 0, 0),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [12724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, 0, 17),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [12756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3149),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [12771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 95),
  [12773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 95),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [12785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 96),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 96),
  [12789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 3, 0, 66),
  [12791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 3, 0, 66),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [12805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namelist_statement, 2, 0, 0),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [12859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 1, 0, 0),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [12869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 128),
  [12871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 128),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [12875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_statement, 4, 0, 97),
  [12877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_statement, 4, 0, 97),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 93), SHIFT_REPEAT(3794),
  [12908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 93),
  [12910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 93),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [12936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 4, 0, 0),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [12944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [12946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(3580),
  [12949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [12967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_common_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3883),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [13018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [13020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [13024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 103),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 36),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [13040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [13042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 7, 0, 103),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input_item_list, 2, 0, 0),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [13048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [13050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output_item_list, 2, 0, 0),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 61),
  [13054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 61),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [13058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [13062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [13066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [13068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2942),
  [13071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_statement_repeat1, 2, 0, 0),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [13075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [13079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7977),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [13083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [13087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [13091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [13099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [13103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [13105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 16),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [13109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [13111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_size, 1, 0, 0),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [13115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [13121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 36),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [13125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [13129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8496),
  [13131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [13135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [13139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [13141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3461),
  [13144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_private_statement_repeat1, 2, 0, 0),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [13148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8033),
  [13150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_result, 4, 0, 0),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [13154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [13158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [13162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [13164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_statement_repeat1, 2, 0, 93), SHIFT_REPEAT(3696),
  [13167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 16),
  [13169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 2, 0, 0),
  [13171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 36),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [13175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 65),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [13183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [13187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ac_value_list, 3, 0, 6),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [13193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [13197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [13199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4026),
  [13202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_statement_repeat1, 2, 0, 0),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [13206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 5, 0, 0),
  [13208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cuda_kernel_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [13213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 4, 0, 0),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [13217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [13219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 0), SHIFT_REPEAT(3587),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [13224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [13226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 93), SHIFT_REPEAT(3435),
  [13229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 93),
  [13231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 2, 0, 0),
  [13233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 6, 0, 0),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [13237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [13239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 3, 0, 0),
  [13241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 8, 0, 103),
  [13243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0),
  [13245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 35),
  [13247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 90),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [13251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [13255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [13259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [13263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [13267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4047),
  [13270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 2, 0, 0),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [13274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [13276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4127),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [13283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8121),
  [13285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 6, 0, 0),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [13291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_included_items_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [13296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8129),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [13300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [13302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 3, 0, 0),
  [13304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [13312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intrinsic_type, 1, 0, 0), SHIFT(1897),
  [13315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 4, 0, 0),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [13319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 2, 0, 0),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [13323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [13325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_name, 1, 0, 48),
  [13327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [13331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(5725),
  [13334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 2, 0, 0),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_statement, 3, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 4, 0, 97),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 3, 0, 66),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [13344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [13348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [13350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 93), SHIFT_REPEAT(3834),
  [13353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 93),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_modification, 2, 0, 30),
  [13359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 7, 0, 0),
  [13361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_statement, 5, 0, 0),
  [13363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7655),
  [13366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equivalence_statement_repeat1, 2, 0, 0),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7803),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [13374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [13382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [13386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 2, 0, 0),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [13390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 2, 0, 16),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [13394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [13396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_included_items, 5, 0, 0),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [13400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7929),
  [13402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_targets_repeat1, 2, 0, 93), SHIFT_REPEAT(3533),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [13411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(6315),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_attributes_repeat1, 2, 0, 0),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [13422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 6, 0, 0),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [13470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 105), SHIFT_REPEAT(5767),
  [13473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 105),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [13495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [13503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [13511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 6, 0, 179),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [13517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 2, 0, 0),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [13523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [13540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [13560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2010),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [13581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [13584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_statement_repeat1, 2, 0, 0),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [13588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 3, 0, 0),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [13612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6547),
  [13615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyword_statement_repeat1, 2, 0, 0),
  [13617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 3, 0, 0),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [13641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [13669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_value_range_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2789),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [13682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [13690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [13726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [13746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_set, 3, 0, 0),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [13754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4051),
  [13757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__forall_control_expression_repeat1, 2, 0, 0),
  [13759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [13763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [13767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [13803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_set_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [13866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4038),
  [13869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_associate_statement_repeat1, 2, 0, 0),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [13877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [13883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [13899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 1, 0, 0),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [13921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_identifier, 1, 0, 0),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [13941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [13959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 120), SHIFT_REPEAT(2913),
  [13962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_allocate_statement_repeat1, 2, 0, 120),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [13966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_statement, 2, 0, 0),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [13972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 2, 0, 0),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [13982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [13986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [13990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [14034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0), SHIFT_REPEAT(8601),
  [14037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 2, 0, 0),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [14055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [14057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 3, 0, 0),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [14061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [14077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [14093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [14097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [14101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [14107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [14161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 6, 0, 0),
  [14163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equivalence_set_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [14168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [14180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [14184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [14198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_procedure_statement_repeat2, 2, 0, 30),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [14208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 0, 0),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [14238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 5, 0, 162),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [14242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4117),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [14247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [14255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [14263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [14323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [14333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [14339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [14419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [14425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_modification_repeat2, 2, 0, 30),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [14503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [14509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [14631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [14649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3250),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [14660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(4034),
  [14663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [14689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [14717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [14735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_value_range_list, 2, 0, 0),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [14839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat2, 5, 0, 0),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [14865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_alias, 3, 0, 133),
  [14867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0), SHIFT_REPEAT(7469),
  [14870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat3, 2, 0, 0),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [14874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7519),
  [14877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implicit_statement_repeat1, 2, 0, 0),
  [14879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 0),
  [14881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 4, 0, 0),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [14885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defined_io_procedure, 4, 0, 0),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [14889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_statement_repeat1, 4, 0, 0),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [14901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(4023),
  [14904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__io_arguments_repeat1, 2, 0, 0),
  [14906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assumed_shape, 1, 0, 0),
  [14908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equivalence_set, 5, 0, 0),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [14916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cuda_kernel_argument_list, 4, 0, 0),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [14920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_value, 4, 0, 135),
  [14922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 136), SHIFT_REPEAT(3095),
  [14925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_value_repeat1, 2, 0, 136),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [14931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0), SHIFT_REPEAT(3982),
  [14934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concurrent_header_repeat1, 2, 0, 0),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [14942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [14946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [14948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 4, 0, 0),
  [14950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 2, 0, 42),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [14954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [14958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [14962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [14966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [14968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 3, 0, 0),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [14974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7947),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [14978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [14982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [14984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 4, 0, 0),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [14992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [14994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_statement, 1, 0, 0),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [15004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [15008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 119),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [15012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [15016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [15018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_if_statement, 7, 0, 0),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [15022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [15026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7984),
  [15028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 3, 0, 0),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [15032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [15036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [15042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7995),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [15046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [15048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 4, 0, 148),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [15056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8003),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [15060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8008),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [15064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [15068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [15072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [15074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 5, 0, 116),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [15078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [15082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [15084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_block_construct_statement, 3, 0, 81),
  [15086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 35),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [15090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [15096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 116),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [15100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [15104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [15106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 5, 0, 0),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [15110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [15114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8043),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [15118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [15122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [15126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [15128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [15130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 3, 0, 0),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [15134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [15138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [15140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 5, 0, 0),
  [15142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 2, 0, 114),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [15146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [15150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [15156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [15160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [15162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall_statement, 1, 0, 0),
  [15164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 4, 0, 0),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [15168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8083),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [15172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [15174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 154),
  [15176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [15184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inquire_statement, 3, 0, 0),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [15188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [15192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [15194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 2, 0, 0),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [15198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [15202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [15206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [15210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [15212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 115),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [15216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [15220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [15222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 166),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [15226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [15230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [15234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [15238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [15240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 0),
  [15242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 2, 0, 112),
  [15244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 141),
  [15246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 147),
  [15248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 9, 0, 166),
  [15250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 5, 0, 0),
  [15252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 5, 0, 90),
  [15254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 3, 0, 0),
  [15256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_team_statement, 3, 0, 121),
  [15258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 5, 0, 0),
  [15260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 83),
  [15262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_statement, 4, 0, 0),
  [15264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 5, 0, 0),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [15270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8523),
  [15272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 142),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [15278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 5, 0, 0),
  [15280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_position_statement, 2, 0, 0),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [15284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1, 0, 0),
  [15286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 143),
  [15288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [15290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [15300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_statement, 4, 0, 82),
  [15302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 16),
  [15304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 142),
  [15306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 4, 0, 0),
  [15308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 3, 0, 71),
  [15310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 0),
  [15312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_statement, 1, 0, 0),
  [15314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 6, 0, 0),
  [15316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 6, 0, 0),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [15320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 6, 0, 0),
  [15322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 4, 0, 0),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [15326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 8, 0, 0),
  [15328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 3, 0, 0),
  [15330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 2, 0, 0),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [15338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [15340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 4, 0, 0),
  [15342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 4, 0, 0),
  [15344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 6, 0, 155),
  [15346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 2, 0, 146),
  [15348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 3, 0, 78),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [15352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [15354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 3, 0, 15),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [15364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 8, 0, 172),
  [15366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 37),
  [15368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__derived_type_qualifier, 1, 0, 38),
  [15370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 1, 0, 28),
  [15372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_statement, 4, 0, 49),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [15376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [15380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [15382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 8, 0, 173),
  [15384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 4, 0, 0),
  [15386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 8, 0, 174),
  [15388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 3, 0, 0),
  [15390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_construct, 6, 0, 0),
  [15392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_call, 4, 0, 20),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [15396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [15402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 3, 0, 0),
  [15404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 4, 0, 83),
  [15406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enum_statement, 2, 0, 60),
  [15408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumeration_type_statement, 6, 0, 0),
  [15410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 5, 0, 0),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [15414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_where_statement, 7, 0, 0),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [15418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [15420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 7, 0, 0),
  [15422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 5, 0, 0),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [15426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [15428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 172),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [15432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [15436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [15440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [15446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [15450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [15454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8379),
  [15456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 7, 0, 119),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [15460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [15462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 173),
  [15464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_if_statement, 3, 0, 0),
  [15466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 6, 0, 0),
  [15468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 5, 0, 0),
  [15470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 6, 0, 0),
  [15472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [15474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [15478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 3, 0, 113),
  [15480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 36),
  [15482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 7, 0, 174),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [15488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 7, 0, 154),
  [15490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_rank_statement, 7, 0, 155),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [15496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [15498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 147),
  [15500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 6, 0, 0),
  [15502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close_statement, 7, 0, 0),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [15506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8380),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [15510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [15512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 7, 0, 0),
  [15514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_procedure_statement, 4, 0, 151),
  [15516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__file_position_spec, 6, 0, 0),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [15524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [15526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 5, 0, 119),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [15532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [15534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [15538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 9, 0, 0),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [15542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [15544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_case_statement, 6, 0, 143),
  [15546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_select_statement, 3, 0, 145),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [15550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [15552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 9, 0, 0),
  [15554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_forall_statement, 2, 0, 0),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [15558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [15560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_loop_statement, 2, 0, 41),
  [15562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_label, 1, 0, 79),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [15566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [15568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 8, 0, 0),
  [15570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 3, 0, 94),
  [15572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 5, 0, 0),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [15578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 6, 0, 83),
  [15580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 10, 0, 0),
  [15582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extent_specifier, 1, 0, 0),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [15586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7769),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [15594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8569),
  [15596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 4, 0, 0),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [15606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_associate_statement, 3, 0, 165),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [15610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [15612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiple_subscript_triplet, 2, 0, 0),
  [15614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_enumeration_type_statement, 4, 0, 2),
  [15616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 7, 0, 0),
  [15618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 6, 0, 103),
  [15620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_label_statement, 3, 0, 0),
  [15622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_derived_type_statement_repeat1, 2, 0, 104),
  [15624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associate_statement, 8, 0, 0),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [15628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [15632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [15634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_team_statement, 5, 0, 0),
  [15636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 8, 0, 147),
  [15638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 2, 0, 44),
  [15640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameterized_read_statement, 3, 0, 0),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [15644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [15646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_range, 3, 0, 0),
  [15648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 2, 0, 27),
  [15650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_read_statement, 4, 0, 0),
  [15652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_type_specifier, 4, 0, 0),
  [15654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 6, 0, 141),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [15662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_critical_statement, 5, 0, 0),
  [15664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_coarray_index_repeat2, 3, 0, 0),
  [15666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_do_label_statement, 3, 0, 58),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [15670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7833),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [15674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_type_statement, 5, 0, 115),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7839),
  [15682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_if_statement, 3, 0, 138),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [15686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [15688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allocate_statement, 10, 0, 166),
  [15690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_coarray_critical_statement, 3, 0, 84),
  [15692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 7, 0, 0),
  [15694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_statement, 3, 0, 0),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [15698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [15700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_specifier, 1, 0, 0),
  [15702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 11, 0, 0),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [15706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_where_statement, 3, 0, 0),
  [15708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_where_statement, 2, 0, 80),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [15712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [15714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_forall_statement, 2, 0, 59),
  [15716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 1, 0, 0),
  [15718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_loop_statement, 6, 0, 0),
  [15720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_write_statement, 4, 0, 0),
  [15722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_forall_statement, 3, 0, 0),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [15726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [15728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_if_statement, 6, 0, 0),
  [15730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coarray_statement, 3, 0, 0),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [15756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 156),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [15794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [15798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 6, 0, 176),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [15816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 5, 0, 132),
  [15818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [15826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 3, 0, 0),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [15838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 3, 0, 69),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [15850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 5, 0, 132),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [15888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 3, 0, 0),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [15902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 3, 0, 0),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [15976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [15984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 157),
  [15988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [15996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [16000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_function_arg_list, 4, 0, 0),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [16004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 4, 0, 99),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [16038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 3, 0, 69),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [16046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [16066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 3, 0, 0),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [16074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 2, 0, 0),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [16094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 4, 0, 100),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [16124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 5, 0, 130),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [16134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [16142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [16148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [16154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [16156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [16158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [16160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [16164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [16168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [16170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [16174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [16176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [16178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [16182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [16184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 5, 0, 132),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [16190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [16194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [16198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [16210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [16220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 4, 0, 99),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [16224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_type, 2, 0, 0),
  [16226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 5, 0, 130),
  [16228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 5, 0, 132),
  [16230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [16238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [16252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 4, 0, 100),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [16260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [16262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 130),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [16274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [16292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [16294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [16296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [16306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [16308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 5, 0, 132),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [16334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 157),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [16348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [16350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [16372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [16400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 5, 0, 130),
  [16402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 4, 0, 99),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [16412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 5, 0, 132),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [16426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 4, 0, 0),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [16430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 4, 0, 100),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [16442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_case, 2, 0, 0),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [16504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 157),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [16526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 3, 0, 0),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [16538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 5, 0, 130),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [16546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 5, 0, 132),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [16568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 4, 0, 99),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [16574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 3, 0, 69),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [16598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [16600] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [16618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 3, 0, 0),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [16644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 176),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [16660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 6, 0, 156),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 6, 0, 158),
  [16678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 7, 0, 192),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [16690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_module, 4, 0, 100),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [16698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 6, 0, 158),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [16702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface, 6, 0, 176),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [16730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_function_arg_list, 3, 0, 0),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [16742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 6, 0, 158),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 3, 0, 69),
  [16746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 3, 0, 69),
  [16748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 99),
  [16750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 4, 0, 99),
  [16752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 4, 0, 99),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [16762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 3, 0, 69),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [16780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 100),
  [16782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 4, 0, 100),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [16792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_specification_part, 5, 0, 0),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [16796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 157),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [16832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 157),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [16836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 157),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [16846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 5, 0, 130),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [16852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 5, 0, 132),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [16864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_statements, 4, 0, 100),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [16882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 4, 0, 99),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [16892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 4, 0, 100),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [16896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 4, 0, 0),
  [16898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [16910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 130),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [16928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 5, 0, 130),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [16938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 5, 0, 132),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [16944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [16946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 157),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [16966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 5, 0, 130),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [16972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_internal_procedures, 5, 0, 132),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [16992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 5, 0, 130),
  [16994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_derived_type, 6, 0, 176),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [17014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_select_rank, 2, 0, 0),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [17040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_case, 6, 0, 176),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [17046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 157),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [17056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_bound_procedures, 5, 0, 130),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [17062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_bound_procedures, 5, 0, 132),
  [17064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 6, 0, 176),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [17068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_op, 1, 0, 0),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [17072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 4, 0, 99),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [17092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_procedure_statements, 2, 0, 0),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [17098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_rank, 6, 0, 176),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [17116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_statements, 4, 0, 0),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [17150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_derived_type, 3, 0, 69),
  [17152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 8, 0, 201),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [17172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_procedure_statements, 4, 0, 100),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [17176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_select_type, 5, 0, 130),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [17196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [17202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 5, 0, 157),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [17212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 5, 0, 132),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [17220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unlimited_polymorphic, 1, 0, 0),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [17232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_case, 4, 0, 100),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [17268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 192),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [17274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8381),
  [17276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 7, 0, 192),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [17288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_type, 4, 0, 100),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [17306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 7, 0, 175),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [17310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 176),
  [17312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 176),
  [17314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 6, 0, 176),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [17320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 7, 0, 177),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [17326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_module, 2, 0, 0),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [17366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [17368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_specification_part, 6, 0, 156),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [17372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_select_rank, 4, 0, 100),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [17402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_internal_procedures, 6, 0, 176),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [17418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_interface, 3, 0, 69),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [17446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_module, 7, 0, 192),
  [17448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_statements, 6, 0, 156),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [17452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_specification_part, 6, 0, 158),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [17496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_procedure_statements, 6, 0, 176),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [17506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 69),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_AMP = 0,
  ts_external_token__integer_literal = 1,
  ts_external_token__float_literal = 2,
  ts_external_token__boz_literal = 3,
  ts_external_token__string_literal = 4,
  ts_external_token__string_literal_kind = 5,
  ts_external_token__external_end_of_statement = 6,
  ts_external_token__preproc_unary_operator = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_AMP] = anon_sym_AMP,
  [ts_external_token__integer_literal] = sym__integer_literal,
  [ts_external_token__float_literal] = sym__float_literal,
  [ts_external_token__boz_literal] = sym__boz_literal,
  [ts_external_token__string_literal] = sym__string_literal,
  [ts_external_token__string_literal_kind] = sym__string_literal_kind,
  [ts_external_token__external_end_of_statement] = sym__external_end_of_statement,
  [ts_external_token__preproc_unary_operator] = sym__preproc_unary_operator,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [2] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [3] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [4] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
  },
  [5] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [6] = {
    [ts_external_token_AMP] = true,
  },
  [7] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__preproc_unary_operator] = true,
  },
  [8] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [9] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__integer_literal] = true,
    [ts_external_token__float_literal] = true,
    [ts_external_token__boz_literal] = true,
  },
  [10] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
  },
  [11] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
    [ts_external_token__string_literal_kind] = true,
    [ts_external_token__external_end_of_statement] = true,
  },
  [12] = {
    [ts_external_token_AMP] = true,
    [ts_external_token__string_literal] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_fortran_external_scanner_create(void);
void tree_sitter_fortran_external_scanner_destroy(void *);
bool tree_sitter_fortran_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_fortran_external_scanner_serialize(void *, char *);
void tree_sitter_fortran_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_fortran(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_fortran_external_scanner_create,
      tree_sitter_fortran_external_scanner_destroy,
      tree_sitter_fortran_external_scanner_scan,
      tree_sitter_fortran_external_scanner_serialize,
      tree_sitter_fortran_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
